
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2012, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner);



/* Line 189 of yacc.c  */
#line 231 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EXCEPT = 384,
     EXCLUDE = 385,
     EXCLUDING = 386,
     EXCLUSIVE = 387,
     EXECUTE = 388,
     EXISTS = 389,
     EXPLAIN = 390,
     EXTENSION = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LABEL = 451,
     LANGUAGE = 452,
     LARGE_P = 453,
     LAST_P = 454,
     LC_COLLATE_P = 455,
     LC_CTYPE_P = 456,
     LEADING = 457,
     LEAKPROOF = 458,
     LEAST = 459,
     LEFT = 460,
     LEVEL = 461,
     LIKE = 462,
     LIMIT = 463,
     LISTEN = 464,
     LOAD = 465,
     LOCAL = 466,
     LOCALTIME = 467,
     LOCALTIMESTAMP = 468,
     LOCATION = 469,
     LOCK_P = 470,
     MAPPING = 471,
     MATCH = 472,
     MAXVALUE = 473,
     MINUTE_P = 474,
     MINVALUE = 475,
     MODE = 476,
     MONTH_P = 477,
     MOVE = 478,
     NAME_P = 479,
     NAMES = 480,
     NATIONAL = 481,
     NATURAL = 482,
     NCHAR = 483,
     NEXT = 484,
     NO = 485,
     NONE = 486,
     NOT = 487,
     NOTHING = 488,
     NOTIFY = 489,
     NOTNULL = 490,
     NOWAIT = 491,
     NULL_P = 492,
     NULLIF = 493,
     NULLS_P = 494,
     NUMERIC = 495,
     OBJECT_P = 496,
     OF = 497,
     OFF = 498,
     OFFSET = 499,
     OIDS = 500,
     ON = 501,
     ONLY = 502,
     OPERATOR = 503,
     OPTION = 504,
     OPTIONS = 505,
     OR = 506,
     ORDER = 507,
     OUT_P = 508,
     OUTER_P = 509,
     OVER = 510,
     OVERLAPS = 511,
     OVERLAY = 512,
     OWNED = 513,
     OWNER = 514,
     PARSER = 515,
     PARTIAL = 516,
     PARTITION = 517,
     PASSING = 518,
     PASSWORD = 519,
     PLACING = 520,
     PLANS = 521,
     POSITION = 522,
     PRECEDING = 523,
     PRECISION = 524,
     PRESERVE = 525,
     PREPARE = 526,
     PREPARED = 527,
     PRIMARY = 528,
     PRIOR = 529,
     PRIVILEGES = 530,
     PROCEDURAL = 531,
     PROCEDURE = 532,
     QUOTE = 533,
     RANGE = 534,
     READ = 535,
     REAL = 536,
     REASSIGN = 537,
     RECHECK = 538,
     RECURSIVE = 539,
     REF = 540,
     REFERENCES = 541,
     REINDEX = 542,
     RELATIVE_P = 543,
     RELEASE = 544,
     RENAME = 545,
     REPEATABLE = 546,
     REPLACE = 547,
     REPLICA = 548,
     RESET = 549,
     RESTART = 550,
     RESTRICT = 551,
     RETURNING = 552,
     RETURNS = 553,
     REVOKE = 554,
     RIGHT = 555,
     ROLE = 556,
     ROLLBACK = 557,
     ROW = 558,
     ROWS = 559,
     RULE = 560,
     SAVEPOINT = 561,
     SCHEMA = 562,
     SCROLL = 563,
     SEARCH = 564,
     SECOND_P = 565,
     SECURITY = 566,
     SELECT = 567,
     SEQUENCE = 568,
     SEQUENCES = 569,
     SERIALIZABLE = 570,
     SERVER = 571,
     SESSION = 572,
     SESSION_USER = 573,
     SET = 574,
     SETOF = 575,
     SHARE = 576,
     SHOW = 577,
     SIMILAR = 578,
     SIMPLE = 579,
     SMALLINT = 580,
     SNAPSHOT = 581,
     SOME = 582,
     STABLE = 583,
     STANDALONE_P = 584,
     START = 585,
     STATEMENT = 586,
     STATISTICS = 587,
     STDIN = 588,
     STDOUT = 589,
     STORAGE = 590,
     STRICT_P = 591,
     STRIP_P = 592,
     SUBSTRING = 593,
     SYMMETRIC = 594,
     SYSID = 595,
     SYSTEM_P = 596,
     TABLE = 597,
     TABLES = 598,
     TABLESPACE = 599,
     TEMP = 600,
     TEMPLATE = 601,
     TEMPORARY = 602,
     TEXT_P = 603,
     THEN = 604,
     TIME = 605,
     TIMESTAMP = 606,
     TO = 607,
     TRAILING = 608,
     TRANSACTION = 609,
     TREAT = 610,
     TRIGGER = 611,
     TRIM = 612,
     TRUE_P = 613,
     TRUNCATE = 614,
     TRUSTED = 615,
     TYPE_P = 616,
     TYPES_P = 617,
     UNBOUNDED = 618,
     UNCOMMITTED = 619,
     UNENCRYPTED = 620,
     UNION = 621,
     UNIQUE = 622,
     UNKNOWN = 623,
     UNLISTEN = 624,
     UNLOGGED = 625,
     UNTIL = 626,
     UPDATE = 627,
     USER = 628,
     USING = 629,
     VACUUM = 630,
     VALID = 631,
     VALIDATE = 632,
     VALIDATOR = 633,
     VALUE_P = 634,
     VALUES = 635,
     VARCHAR = 636,
     VARIADIC = 637,
     VARYING = 638,
     VERBOSE = 639,
     VERSION_P = 640,
     VIEW = 641,
     VOLATILE = 642,
     WHEN = 643,
     WHERE = 644,
     WHITESPACE_P = 645,
     WINDOW = 646,
     WITH = 647,
     WITHOUT = 648,
     WORK = 649,
     WRAPPER = 650,
     WRITE = 651,
     XML_P = 652,
     XMLATTRIBUTES = 653,
     XMLCONCAT = 654,
     XMLELEMENT = 655,
     XMLEXISTS = 656,
     XMLFOREST = 657,
     XMLPARSE = 658,
     XMLPI = 659,
     XMLROOT = 660,
     XMLSERIALIZE = 661,
     YEAR_P = 662,
     YES_P = 663,
     ZONE = 664,
     NULLS_FIRST = 665,
     NULLS_LAST = 666,
     WITH_TIME = 667,
     POSTFIXOP = 668,
     UMINUS = 669
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 159 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 214 of yacc.c  */
#line 720 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 745 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  696
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   72264

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  432
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  544
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2253
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4290

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   669

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   421,     2,     2,
     426,   427,   419,   417,   430,   418,   428,   420,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   431,   429,
     414,   413,   415,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   424,     2,   425,   422,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   416,   423
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   232,   238,   240,   241,
     244,   245,   248,   249,   252,   255,   259,   263,   265,   269,
     273,   276,   278,   280,   283,   286,   289,   293,   297,   303,
     309,   310,   314,   320,   326,   331,   335,   341,   345,   351,
     357,   364,   366,   368,   372,   378,   385,   390,   392,   393,
     396,   397,   399,   401,   403,   405,   407,   409,   412,   416,
     420,   423,   429,   431,   435,   439,   443,   447,   451,   455,
     458,   461,   464,   467,   471,   475,   479,   483,   485,   489,
     491,   495,   497,   499,   502,   505,   508,   510,   512,   514,
     516,   518,   520,   522,   526,   533,   535,   537,   539,   541,
     543,   544,   546,   548,   551,   555,   560,   564,   567,   570,
     572,   575,   577,   580,   584,   589,   593,   596,   601,   603,
     605,   607,   609,   611,   614,   617,   620,   623,   628,   635,
     640,   647,   652,   659,   664,   671,   673,   677,   680,   684,
     689,   696,   703,   710,   716,   722,   729,   736,   741,   750,
     755,   758,   762,   769,   774,   778,   782,   786,   790,   794,
     799,   804,   808,   812,   816,   820,   824,   828,   833,   838,
     842,   845,   849,   852,   855,   859,   863,   866,   869,   871,
     875,   878,   880,   882,   883,   886,   887,   890,   891,   895,
     898,   899,   901,   905,   909,   911,   917,   921,   926,   928,
     932,   937,   944,   949,   958,   961,   964,   975,   982,   984,
     986,   988,   990,   992,   994,   998,  1001,  1002,  1004,  1006,
    1010,  1014,  1016,  1018,  1022,  1026,  1030,  1034,  1039,  1042,
    1044,  1045,  1048,  1049,  1053,  1054,  1056,  1057,  1059,  1063,
    1066,  1068,  1070,  1072,  1076,  1077,  1079,  1083,  1085,  1097,
    1112,  1123,  1137,  1139,  1141,  1144,  1147,  1150,  1153,  1155,
    1156,  1158,  1159,  1163,  1164,  1166,  1170,  1172,  1176,  1178,
    1180,  1182,  1184,  1186,  1191,  1196,  1199,  1200,  1204,  1206,
    1208,  1211,  1214,  1216,  1220,  1225,  1231,  1234,  1240,  1242,
    1245,  1248,  1251,  1255,  1259,  1263,  1264,  1266,  1268,  1270,
    1272,  1274,  1276,  1280,  1282,  1289,  1297,  1301,  1310,  1315,
    1325,  1337,  1340,  1341,  1345,  1346,  1348,  1352,  1354,  1357,
    1360,  1363,  1364,  1366,  1370,  1374,  1381,  1386,  1387,  1389,
    1391,  1394,  1397,  1398,  1402,  1406,  1409,  1411,  1413,  1416,
    1419,  1424,  1425,  1428,  1431,  1434,  1435,  1439,  1444,  1449,
    1450,  1453,  1454,  1459,  1460,  1464,  1472,  1478,  1481,  1485,
    1486,  1492,  1497,  1504,  1506,  1507,  1509,  1512,  1515,  1517,
    1520,  1524,  1527,  1530,  1533,  1536,  1540,  1544,  1546,  1550,
    1552,  1553,  1555,  1558,  1560,  1562,  1566,  1573,  1584,  1586,
    1587,  1589,  1592,  1595,  1596,  1599,  1602,  1604,  1605,  1611,
    1619,  1621,  1622,  1629,  1632,  1633,  1637,  1643,  1649,  1658,
    1661,  1662,  1665,  1668,  1671,  1677,  1680,  1681,  1684,  1692,
    1703,  1710,  1717,  1724,  1731,  1739,  1747,  1757,  1767,  1774,
    1781,  1790,  1799,  1808,  1817,  1824,  1831,  1839,  1848,  1855,
    1862,  1870,  1873,  1876,  1879,  1882,  1884,  1887,  1889,  1890,
    1897,  1906,  1914,  1921,  1926,  1927,  1929,  1933,  1938,  1940,
    1944,  1946,  1949,  1952,  1955,  1958,  1960,  1962,  1973,  1976,
    1977,  1980,  1983,  1985,  1986,  1991,  1998,  2004,  2009,  2014,
    2023,  2035,  2039,  2042,  2044,  2048,  2050,  2056,  2064,  2073,
    2075,  2077,  2079,  2087,  2097,  2106,  2122,  2143,  2145,  2147,
    2150,  2152,  2156,  2158,  2160,  2162,  2166,  2168,  2172,  2173,
    2175,  2176,  2178,  2180,  2185,  2186,  2188,  2192,  2193,  2195,
    2197,  2199,  2201,  2204,  2205,  2206,  2209,  2212,  2214,  2217,
    2220,  2223,  2230,  2239,  2248,  2253,  2259,  2264,  2269,  2274,
    2278,  2286,  2295,  2302,  2309,  2316,  2323,  2330,  2335,  2341,
    2345,  2347,  2351,  2355,  2357,  2359,  2361,  2363,  2365,  2367,
    2371,  2375,  2379,  2381,  2385,  2389,  2391,  2392,  2394,  2398,
    2405,  2414,  2423,  2437,  2439,  2443,  2449,  2456,  2461,  2469,
    2472,  2474,  2475,  2478,  2479,  2482,  2487,  2488,  2490,  2491,
    2498,  2507,  2516,  2518,  2522,  2528,  2534,  2542,  2552,  2560,
    2570,  2576,  2583,  2590,  2595,  2601,  2609,  2611,  2613,  2615,
    2617,  2620,  2622,  2624,  2626,  2628,  2630,  2632,  2636,  2640,
    2644,  2648,  2650,  2654,  2656,  2659,  2662,  2666,  2672,  2675,
    2678,  2679,  2686,  2694,  2702,  2710,  2719,  2728,  2735,  2744,
    2754,  2764,  2772,  2783,  2791,  2800,  2809,  2818,  2827,  2829,
    2831,  2833,  2835,  2837,  2839,  2841,  2843,  2845,  2847,  2849,
    2851,  2853,  2855,  2858,  2860,  2864,  2866,  2868,  2877,  2887,
    2897,  2907,  2917,  2920,  2921,  2923,  2925,  2928,  2930,  2932,
    2934,  2936,  2938,  2940,  2942,  2944,  2946,  2948,  2951,  2954,
    2956,  2959,  2963,  2967,  2971,  2975,  2980,  2985,  2989,  2993,
    2997,  3002,  3007,  3011,  3016,  3021,  3023,  3025,  3027,  3028,
    3036,  3044,  3055,  3057,  3059,  3062,  3067,  3073,  3075,  3079,
    3082,  3085,  3088,  3091,  3093,  3096,  3099,  3104,  3108,  3111,
    3114,  3117,  3120,  3124,  3127,  3130,  3133,  3139,  3145,  3151,
    3153,  3157,  3159,  3162,  3166,  3167,  3169,  3173,  3176,  3183,
    3190,  3200,  3204,  3205,  3209,  3210,  3216,  3219,  3220,  3224,
    3228,  3232,  3240,  3248,  3259,  3261,  3263,  3265,  3267,  3282,
    3284,  3285,  3287,  3288,  3290,  3291,  3294,  3295,  3297,  3301,
    3307,  3313,  3321,  3324,  3325,  3327,  3330,  3331,  3333,  3335,
    3336,  3338,  3340,  3341,  3351,  3364,  3372,  3375,  3376,  3380,
    3383,  3385,  3389,  3393,  3396,  3398,  3402,  3406,  3410,  3413,
    3416,  3418,  3420,  3422,  3424,  3427,  3429,  3431,  3433,  3435,
    3440,  3446,  3448,  3452,  3456,  3458,  3461,  3466,  3472,  3474,
    3476,  3478,  3480,  3484,  3488,  3491,  3494,  3496,  3499,  3502,
    3505,  3507,  3510,  3513,  3515,  3517,  3519,  3523,  3526,  3527,
    3530,  3532,  3536,  3542,  3544,  3547,  3549,  3550,  3556,  3564,
    3570,  3578,  3584,  3592,  3596,  3602,  3608,  3614,  3616,  3620,
    3623,  3625,  3628,  3630,  3633,  3645,  3656,  3667,  3670,  3673,
    3674,  3684,  3687,  3688,  3693,  3698,  3703,  3705,  3707,  3709,
    3710,  3718,  3725,  3732,  3739,  3746,  3755,  3764,  3771,  3778,
    3786,  3796,  3806,  3813,  3820,  3827,  3836,  3843,  3852,  3859,
    3868,  3875,  3884,  3892,  3902,  3911,  3922,  3931,  3941,  3953,
    3962,  3969,  3976,  3983,  3989,  3995,  4004,  4013,  4022,  4031,
    4038,  4048,  4050,  4051,  4054,  4055,  4063,  4070,  4077,  4084,
    4091,  4098,  4106,  4116,  4126,  4133,  4142,  4151,  4160,  4169,
    4178,  4185,  4194,  4201,  4210,  4218,  4228,  4235,  4243,  4250,
    4257,  4264,  4271,  4278,  4286,  4294,  4302,  4312,  4322,  4329,
    4336,  4343,  4352,  4361,  4370,  4377,  4391,  4393,  4395,  4399,
    4403,  4405,  4407,  4409,  4411,  4413,  4415,  4417,  4418,  4420,
    4422,  4424,  4426,  4428,  4430,  4431,  4438,  4447,  4451,  4454,
    4455,  4458,  4461,  4464,  4467,  4471,  4475,  4478,  4481,  4484,
    4487,  4491,  4494,  4500,  4505,  4509,  4513,  4517,  4519,  4521,
    4522,  4526,  4529,  4532,  4534,  4537,  4539,  4543,  4546,  4548,
    4549,  4559,  4571,  4575,  4580,  4585,  4586,  4589,  4595,  4598,
    4599,  4603,  4607,  4611,  4615,  4619,  4623,  4627,  4631,  4635,
    4639,  4643,  4647,  4651,  4656,  4660,  4664,  4666,  4667,  4673,
    4680,  4685,  4688,  4689,  4694,  4698,  4704,  4711,  4716,  4723,
    4730,  4736,  4744,  4754,  4761,  4763,  4764,  4771,  4783,  4795,
    4807,  4821,  4831,  4843,  4854,  4859,  4862,  4868,  4871,  4872,
    4877,  4883,  4889,  4894,  4901,  4903,  4907,  4909,  4911,  4913,
    4915,  4918,  4923,  4925,  4927,  4929,  4930,  4932,  4933,  4935,
    4936,  4940,  4941,  4944,  4949,  4953,  4959,  4961,  4963,  4965,
    4967,  4969,  4971,  4973,  4975,  4979,  4982,  4984,  4986,  4988,
    4990,  4992,  4993,  4999,  5003,  5004,  5006,  5008,  5010,  5012,
    5016,  5026,  5030,  5031,  5034,  5038,  5041,  5045,  5052,  5054,
    5059,  5062,  5064,  5068,  5071,  5074,  5075,  5083,  5086,  5087,
    5093,  5097,  5098,  5101,  5104,  5107,  5111,  5113,  5117,  5119,
    5122,  5124,  5125,  5134,  5136,  5140,  5142,  5144,  5148,  5154,
    5157,  5159,  5163,  5171,  5173,  5174,  5178,  5181,  5184,  5187,
    5188,  5191,  5194,  5196,  5198,  5202,  5206,  5208,  5211,  5216,
    5221,  5224,  5228,  5234,  5240,  5242,  5244,  5254,  5256,  5259,
    5264,  5269,  5274,  5277,  5281,  5283,  5287,  5294,  5296,  5297,
    5300,  5301,  5305,  5309,  5314,  5319,  5324,  5329,  5333,  5336,
    5338,  5340,  5341,  5343,  5345,  5346,  5348,  5354,  5356,  5357,
    5359,  5360,  5364,  5366,  5370,  5375,  5379,  5382,  5385,  5387,
    5389,  5391,  5392,  5395,  5400,  5406,  5409,  5413,  5415,  5417,
    5419,  5421,  5425,  5426,  5428,  5430,  5432,  5434,  5436,  5440,
    5441,  5444,  5445,  5447,  5451,  5453,  5454,  5456,  5459,  5464,
    5469,  5472,  5473,  5476,  5480,  5483,  5484,  5486,  5490,  5492,
    5495,  5497,  5500,  5506,  5513,  5519,  5521,  5524,  5526,  5531,
    5535,  5540,  5546,  5551,  5557,  5562,  5568,  5571,  5576,  5578,
    5581,  5584,  5587,  5589,  5591,  5592,  5597,  5600,  5602,  5605,
    5608,  5613,  5615,  5619,  5621,  5624,  5628,  5630,  5633,  5634,
    5637,  5642,  5643,  5645,  5646,  5648,  5652,  5656,  5659,  5663,
    5669,  5676,  5679,  5683,  5687,  5692,  5693,  5695,  5697,  5699,
    5701,  5703,  5706,  5712,  5714,  5716,  5718,  5720,  5723,  5727,
    5731,  5732,  5734,  5736,  5738,  5740,  5742,  5745,  5748,  5751,
    5754,  5757,  5759,  5763,  5764,  5766,  5768,  5770,  5772,  5778,
    5781,  5783,  5785,  5787,  5789,  5795,  5798,  5801,  5804,  5806,
    5810,  5814,  5817,  5819,  5820,  5824,  5825,  5831,  5834,  5840,
    5843,  5845,  5848,  5852,  5853,  5855,  5857,  5859,  5861,  5863,
    5865,  5869,  5873,  5877,  5881,  5885,  5889,  5893,  5894,  5896,
    5901,  5903,  5907,  5911,  5917,  5920,  5923,  5927,  5931,  5935,
    5939,  5943,  5947,  5951,  5955,  5959,  5963,  5966,  5969,  5973,
    5977,  5980,  5984,  5990,  5995,  6002,  6006,  6012,  6017,  6024,
    6029,  6036,  6042,  6050,  6054,  6057,  6062,  6065,  6069,  6073,
    6078,  6082,  6087,  6091,  6096,  6102,  6109,  6116,  6124,  6131,
    6139,  6146,  6154,  6158,  6163,  6168,  6175,  6178,  6182,  6187,
    6189,  6193,  6196,  6199,  6203,  6207,  6211,  6215,  6219,  6223,
    6227,  6231,  6235,  6239,  6242,  6245,  6251,  6258,  6265,  6273,
    6277,  6282,  6284,  6286,  6289,  6294,  6296,  6298,  6300,  6303,
    6306,  6309,  6311,  6316,  6322,  6329,  6338,  6345,  6353,  6361,
    6367,  6373,  6375,  6377,  6382,  6384,  6389,  6391,  6396,  6398,
    6403,  6405,  6407,  6409,  6411,  6413,  6415,  6422,  6427,  6432,
    6437,  6442,  6449,  6455,  6461,  6467,  6472,  6479,  6484,  6489,
    6494,  6499,  6505,  6513,  6521,  6531,  6537,  6542,  6549,  6555,
    6563,  6571,  6579,  6582,  6586,  6590,  6594,  6599,  6600,  6605,
    6607,  6611,  6615,  6617,  6619,  6621,  6624,  6627,  6628,  6631,
    6636,  6641,  6648,  6651,  6652,  6654,  6658,  6662,  6665,  6668,
    6669,  6676,  6678,  6679,  6683,  6684,  6687,  6690,  6691,  6693,
    6698,  6701,  6704,  6707,  6710,  6713,  6718,  6722,  6728,  6730,
    6732,  6734,  6736,  6738,  6740,  6742,  6744,  6746,  6748,  6750,
    6752,  6754,  6756,  6758,  6763,  6765,  6770,  6772,  6777,  6779,
    6782,  6784,  6787,  6789,  6793,  6795,  6799,  6801,  6805,  6807,
    6811,  6815,  6819,  6822,  6824,  6828,  6832,  6833,  6835,  6837,
    6839,  6841,  6843,  6845,  6847,  6849,  6854,  6858,  6861,  6865,
    6866,  6870,  6874,  6877,  6880,  6882,  6883,  6886,  6889,  6893,
    6896,  6898,  6900,  6904,  6910,  6912,  6915,  6920,  6923,  6924,
    6926,  6927,  6929,  6932,  6935,  6938,  6942,  6948,  6950,  6953,
    6954,  6957,  6959,  6960,  6962,  6964,  6966,  6970,  6974,  6976,
    6980,  6984,  6987,  6989,  6991,  6993,  6997,  6999,  7002,  7004,
    7008,  7010,  7012,  7014,  7016,  7018,  7020,  7022,  7025,  7027,
    7029,  7031,  7033,  7035,  7038,  7044,  7047,  7051,  7058,  7060,
    7062,  7064,  7066,  7068,  7070,  7072,  7075,  7078,  7080,  7082,
    7084,  7086,  7088,  7090,  7092,  7094,  7096,  7098,  7100,  7102,
    7104,  7106,  7108,  7110,  7112,  7114,  7116,  7118,  7120,  7122,
    7124,  7126,  7128,  7130,  7132,  7134,  7136,  7138,  7140,  7142,
    7144,  7146,  7148,  7150,  7152,  7154,  7156,  7158,  7160,  7162,
    7164,  7166,  7168,  7170,  7172,  7174,  7176,  7178,  7180,  7182,
    7184,  7186,  7188,  7190,  7192,  7194,  7196,  7198,  7200,  7202,
    7204,  7206,  7208,  7210,  7212,  7214,  7216,  7218,  7220,  7222,
    7224,  7226,  7228,  7230,  7232,  7234,  7236,  7238,  7240,  7242,
    7244,  7246,  7248,  7250,  7252,  7254,  7256,  7258,  7260,  7262,
    7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,  7282,
    7284,  7286,  7288,  7290,  7292,  7294,  7296,  7298,  7300,  7302,
    7304,  7306,  7308,  7310,  7312,  7314,  7316,  7318,  7320,  7322,
    7324,  7326,  7328,  7330,  7332,  7334,  7336,  7338,  7340,  7342,
    7344,  7346,  7348,  7350,  7352,  7354,  7356,  7358,  7360,  7362,
    7364,  7366,  7368,  7370,  7372,  7374,  7376,  7378,  7380,  7382,
    7384,  7386,  7388,  7390,  7392,  7394,  7396,  7398,  7400,  7402,
    7404,  7406,  7408,  7410,  7412,  7414,  7416,  7418,  7420,  7422,
    7424,  7426,  7428,  7430,  7432,  7434,  7436,  7438,  7440,  7442,
    7444,  7446,  7448,  7450,  7452,  7454,  7456,  7458,  7460,  7462,
    7464,  7466,  7468,  7470,  7472,  7474,  7476,  7478,  7480,  7482,
    7484,  7486,  7488,  7490,  7492,  7494,  7496,  7498,  7500,  7502,
    7504,  7506,  7508,  7510,  7512,  7514,  7516,  7518,  7520,  7522,
    7524,  7526,  7528,  7530,  7532,  7534,  7536,  7538,  7540,  7542,
    7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,  7562,
    7564,  7566,  7568,  7570,  7572,  7574,  7576,  7578,  7580,  7582,
    7584,  7586,  7588,  7590,  7592,  7594,  7596,  7598,  7600,  7602,
    7604,  7606,  7608,  7610,  7612,  7614,  7616,  7618,  7620,  7622,
    7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,  7640,  7642,
    7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,  7660,  7662,
    7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,  7680,  7682,
    7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,  7700,  7702,
    7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,  7720,  7722,
    7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,  7740,  7742,
    7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,  7760,  7762,
    7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,  7780,  7782,
    7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,  7800,  7802,
    7804,  7806,  7808,  7810,  7812,  7814,  7816,  7818,  7820,  7822,
    7824,  7826,  7828,  7830,  7832,  7834,  7836,  7838,  7840,  7842,
    7844,  7846,  7848,  7850,  7852,  7854,  7856,  7858,  7860,  7862,
    7864,  7866,  7868,  7870,  7872,  7874,  7876,  7878,  7880,  7882,
    7884,  7886,  7888,  7890
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     433,     0,    -1,   434,    -1,   434,   429,   435,    -1,   435,
      -1,   761,    -1,   762,    -1,   679,    -1,   767,    -1,   630,
      -1,   570,    -1,   573,    -1,   579,    -1,   593,    -1,   598,
      -1,   714,    -1,   451,    -1,   735,    -1,   736,    -1,   549,
      -1,   478,    -1,   489,    -1,   445,    -1,   443,    -1,   770,
      -1,   769,    -1,   602,    -1,   447,    -1,   446,    -1,   777,
      -1,   476,    -1,   492,    -1,   772,    -1,   653,    -1,   473,
      -1,   493,    -1,   545,    -1,   617,    -1,   725,    -1,   771,
      -1,   766,    -1,   567,    -1,   574,    -1,   588,    -1,   594,
      -1,   695,    -1,   450,    -1,   631,    -1,   638,    -1,   639,
      -1,   556,    -1,   454,    -1,   548,    -1,   508,    -1,   564,
      -1,   603,    -1,   436,    -1,   442,    -1,   599,    -1,   757,
      -1,   794,    -1,   813,    -1,   619,    -1,   800,    -1,   477,
      -1,   722,    -1,   618,    -1,   727,    -1,   578,    -1,   592,
      -1,   453,    -1,   642,    -1,   643,    -1,   644,    -1,   562,
      -1,   744,    -1,   646,    -1,   566,    -1,   616,    -1,   448,
      -1,   449,    -1,   601,    -1,   765,    -1,   792,    -1,   783,
      -1,   660,    -1,   664,    -1,   675,    -1,   684,    -1,   795,
      -1,   747,    -1,   756,    -1,   802,    -1,   745,    -1,   789,
      -1,   645,    -1,   729,    -1,   718,    -1,   717,    -1,   719,
      -1,   732,    -1,   665,    -1,   676,    -1,   737,    -1,   656,
      -1,   817,    -1,   749,    -1,   651,    -1,   748,    -1,   806,
      -1,   774,    -1,   469,    -1,   458,    -1,   472,    -1,   754,
      -1,    -1,    83,   301,   967,   437,   438,    -1,   392,    -1,
      -1,   438,   441,    -1,    -1,   439,   440,    -1,    -1,   264,
     966,    -1,   264,   237,    -1,   125,   264,   966,    -1,   365,
     264,   966,    -1,   175,    -1,    75,   208,   968,    -1,   376,
     371,   966,    -1,   373,   956,    -1,     3,    -1,   440,    -1,
     340,   965,    -1,    19,   956,    -1,   301,   956,    -1,   170,
     301,   956,    -1,   170,   158,   956,    -1,    83,   373,   967,
     437,   438,    -1,    24,   301,   967,   437,   439,    -1,    -1,
     170,    97,   958,    -1,    24,   301,   967,   444,   470,    -1,
      24,   373,   967,   437,   439,    -1,    24,   373,   967,   470,
      -1,   120,   301,   956,    -1,   120,   301,   165,   134,   956,
      -1,   120,   373,   956,    -1,   120,   373,   165,   134,   956,
      -1,    83,   158,   967,   437,   438,    -1,    24,   158,   967,
     452,   373,   956,    -1,    18,    -1,   120,    -1,   120,   158,
     956,    -1,   120,   158,   165,   134,   956,    -1,    83,   307,
     455,    38,   967,   456,    -1,    83,   307,   969,   456,    -1,
     969,    -1,    -1,   456,   457,    -1,    -1,   508,    -1,   684,
      -1,   548,    -1,   603,    -1,   664,    -1,   754,    -1,   319,
     459,    -1,   319,   211,   459,    -1,   319,   317,   459,    -1,
     354,   752,    -1,   317,    59,    31,   354,   752,    -1,   460,
      -1,   461,   352,   462,    -1,   461,   413,   462,    -1,   461,
     352,   103,    -1,   461,   413,   103,    -1,   461,   150,    86,
      -1,   350,   409,   466,    -1,    55,   966,    -1,   307,   966,
      -1,   225,   467,    -1,   301,   468,    -1,   317,    38,   468,
      -1,   317,    38,   103,    -1,   397,   249,   903,    -1,   354,
     326,   966,    -1,   969,    -1,   461,   428,   969,    -1,   463,
      -1,   462,   430,   463,    -1,   465,    -1,   554,    -1,   280,
     364,    -1,   280,    72,    -1,   291,   280,    -1,   315,    -1,
     358,    -1,   139,    -1,   246,    -1,   468,    -1,   966,    -1,
       3,    -1,   890,   966,   892,    -1,   890,   426,   965,   427,
     966,   892,    -1,   554,    -1,   103,    -1,   211,    -1,   966,
      -1,   103,    -1,    -1,   969,    -1,   966,    -1,   294,   461,
      -1,   294,   350,   409,    -1,   294,   354,   193,   206,    -1,
     294,   317,    38,    -1,   294,    22,    -1,   319,   459,    -1,
     469,    -1,   319,   460,    -1,   469,    -1,   322,   461,    -1,
     322,   350,   409,    -1,   322,   354,   193,   206,    -1,   322,
     317,    38,    -1,   322,    22,    -1,   319,    77,   474,   475,
      -1,    22,    -1,   954,    -1,   106,    -1,   167,    -1,    61,
      -1,   114,    22,    -1,   114,   345,    -1,   114,   347,    -1,
     114,   266,    -1,    24,   342,   861,   479,    -1,    24,   342,
     165,   134,   861,   479,    -1,    24,   173,   955,   479,    -1,
      24,   173,   165,   134,   955,   479,    -1,    24,   313,   955,
     479,    -1,    24,   313,   165,   134,   955,   479,    -1,    24,
     386,   955,   479,    -1,    24,   386,   165,   134,   955,   479,
      -1,   480,    -1,   479,   430,   480,    -1,    18,   516,    -1,
      18,    68,   516,    -1,    24,   733,   969,   481,    -1,    24,
     733,   969,   120,   232,   237,    -1,    24,   733,   969,   319,
     232,   237,    -1,    24,   733,   969,   319,   332,   968,    -1,
      24,   733,   969,   319,   485,    -1,    24,   733,   969,   294,
     485,    -1,    24,   733,   969,   319,   335,   969,    -1,   120,
     733,   165,   134,   969,   482,    -1,   120,   733,   969,   482,
      -1,    24,   733,   969,   734,   361,   870,   483,   484,    -1,
      24,   733,   969,   582,    -1,    18,   525,    -1,   377,    76,
     957,    -1,   120,    76,   165,   134,   957,   482,    -1,   120,
      76,   957,   482,    -1,   319,   392,   245,    -1,   319,   393,
     245,    -1,    64,   246,   957,    -1,   319,   393,    64,    -1,
     123,   356,   957,    -1,   123,    25,   356,   957,    -1,   123,
     293,   356,   957,    -1,   123,   356,    22,    -1,   123,   356,
     373,    -1,   113,   356,   957,    -1,   113,   356,    22,    -1,
     113,   356,   373,    -1,   123,   305,   957,    -1,   123,    25,
     305,   957,    -1,   123,   293,   305,   957,    -1,   113,   305,
     957,    -1,   175,   955,    -1,   230,   175,   955,    -1,   242,
     649,    -1,   232,   242,    -1,   259,   352,   967,    -1,   319,
     344,   957,    -1,   319,   485,    -1,   294,   485,    -1,   582,
      -1,   319,   103,   894,    -1,   120,   103,    -1,    51,    -1,
     296,    -1,    -1,    66,   649,    -1,    -1,   374,   894,    -1,
      -1,   426,   487,   427,    -1,   392,   485,    -1,    -1,   488,
      -1,   487,   430,   488,    -1,   971,   413,   623,    -1,   971,
      -1,   971,   428,   971,   413,   623,    -1,   971,   428,   971,
      -1,    24,   361,   649,   490,    -1,   491,    -1,   490,   430,
     491,    -1,    18,    37,   869,   482,    -1,   120,    37,   165,
     134,   969,   482,    -1,   120,    37,   969,   482,    -1,    24,
      37,   969,   734,   361,   870,   483,   482,    -1,    63,   814,
      -1,    63,    22,    -1,    81,   499,   955,   528,   500,   494,
     495,   501,   437,   496,    -1,    81,   818,   352,   495,   437,
     496,    -1,   150,    -1,   352,    -1,   966,    -1,   333,    -1,
     334,    -1,   497,    -1,   426,   503,   427,    -1,   497,   498,
      -1,    -1,    44,    -1,   245,    -1,   109,   768,   966,    -1,
     237,   768,   966,    -1,    85,    -1,   161,    -1,   278,   768,
     966,    -1,   128,   768,   966,    -1,   146,   278,   529,    -1,
     146,   278,   419,    -1,   146,   232,   237,   529,    -1,   124,
     966,    -1,    44,    -1,    -1,   392,   245,    -1,    -1,   502,
     110,   966,    -1,    -1,   374,    -1,    -1,   504,    -1,   503,
     430,   504,    -1,   971,   505,    -1,   465,    -1,   554,    -1,
     419,    -1,   426,   506,   427,    -1,    -1,   507,    -1,   506,
     430,   507,    -1,   465,    -1,    83,   509,   342,   955,   426,
     510,   427,   539,   540,   541,   542,    -1,    83,   509,   342,
     165,   232,   134,   955,   426,   510,   427,   539,   540,   541,
     542,    -1,    83,   509,   342,   955,   242,   649,   511,   540,
     541,   542,    -1,    83,   509,   342,   165,   232,   134,   955,
     242,   649,   511,   540,   541,   542,    -1,   347,    -1,   345,
      -1,   211,   347,    -1,   211,   345,    -1,   154,   347,    -1,
     154,   345,    -1,   370,    -1,    -1,   512,    -1,    -1,   426,
     513,   427,    -1,    -1,   514,    -1,   512,   430,   514,    -1,
     515,    -1,   513,   430,   515,    -1,   516,    -1,   522,    -1,
     525,    -1,   517,    -1,   525,    -1,   969,   870,   580,   518,
      -1,   969,   392,   250,   518,    -1,   518,   519,    -1,    -1,
      76,   957,   520,    -1,   520,    -1,   521,    -1,    66,   649,
      -1,   232,   237,    -1,   237,    -1,   367,   711,   543,    -1,
     273,   195,   711,   543,    -1,    60,   527,   426,   894,   427,
      -1,   103,   895,    -1,   286,   955,   528,   531,   535,    -1,
     105,    -1,   232,   105,    -1,   177,   106,    -1,   177,   167,
      -1,   207,   955,   523,    -1,   523,   171,   524,    -1,   523,
     131,   524,    -1,    -1,   104,    -1,    77,    -1,   174,    -1,
     335,    -1,    70,    -1,    22,    -1,    76,   957,   526,    -1,
     526,    -1,    60,   527,   426,   894,   427,   614,    -1,   367,
     426,   529,   427,   711,   543,   614,    -1,   367,   544,   614,
      -1,   273,   195,   426,   529,   427,   711,   543,   614,    -1,
     273,   195,   544,   614,    -1,   130,   688,   426,   532,   427,
     711,   543,   534,   614,    -1,   147,   195,   426,   529,   427,
     286,   955,   528,   531,   535,   614,    -1,   230,   175,    -1,
      -1,   426,   529,   427,    -1,    -1,   530,    -1,   529,   430,
     530,    -1,   969,    -1,   217,   151,    -1,   217,   261,    -1,
     217,   324,    -1,    -1,   533,    -1,   532,   430,   533,    -1,
     690,   392,   721,    -1,   690,   392,   248,   426,   721,   427,
      -1,   389,   426,   894,   427,    -1,    -1,   536,    -1,   537,
      -1,   536,   537,    -1,   537,   536,    -1,    -1,   246,   372,
     538,    -1,   246,   108,   538,    -1,   230,    17,    -1,   296,
      -1,    51,    -1,   319,   237,    -1,   319,   103,    -1,   176,
     426,   954,   427,    -1,    -1,   392,   485,    -1,   392,   245,
      -1,   393,   245,    -1,    -1,   246,    71,   120,    -1,   246,
      71,   108,   304,    -1,   246,    71,   270,   304,    -1,    -1,
     344,   957,    -1,    -1,   374,   173,   344,   957,    -1,    -1,
     374,   173,   961,    -1,    83,   509,   342,   546,    31,   817,
     547,    -1,   955,   528,   540,   541,   542,    -1,   392,    96,
      -1,   392,   230,    96,    -1,    -1,    83,   509,   313,   955,
     550,    -1,    24,   313,   955,   551,    -1,    24,   313,   165,
     134,   955,   551,    -1,   551,    -1,    -1,   552,    -1,   551,
     552,    -1,    49,   554,    -1,    95,    -1,   230,    95,    -1,
     172,   553,   554,    -1,   218,   554,    -1,   220,   554,    -1,
     230,   218,    -1,   230,   220,    -1,   258,    48,   649,    -1,
     330,   437,   554,    -1,   295,    -1,   295,   437,   554,    -1,
      48,    -1,    -1,     4,    -1,   418,     4,    -1,   968,    -1,
     554,    -1,   555,   430,   554,    -1,    83,   696,   557,   563,
     197,   468,    -1,    83,   696,   557,   563,   197,   468,   159,
     558,   559,   561,    -1,   360,    -1,    -1,   957,    -1,   957,
     650,    -1,   178,   558,    -1,    -1,   378,   558,    -1,   230,
     378,    -1,   560,    -1,    -1,   120,   563,   197,   468,   482,
      -1,   120,   563,   197,   165,   134,   468,   482,    -1,   276,
      -1,    -1,    83,   344,   957,   565,   214,   966,    -1,   259,
     957,    -1,    -1,   120,   344,   957,    -1,   120,   344,   165,
     134,   957,    -1,    83,   136,   957,   437,   568,    -1,    83,
     136,   165,   232,   134,   957,   437,   568,    -1,   568,   569,
      -1,    -1,   307,   957,    -1,   385,   468,    -1,   150,   468,
      -1,    24,   136,   957,   372,   571,    -1,   571,   572,    -1,
      -1,   352,   468,    -1,    24,   136,   957,   452,    21,   963,
     624,    -1,    24,   136,   957,   452,    54,   426,   870,    31,
     870,   427,    -1,    24,   136,   957,   452,    67,   649,    -1,
      24,   136,   957,   452,    80,   649,    -1,    24,   136,   957,
     452,   118,   649,    -1,    24,   136,   957,   452,   152,   674,
      -1,    24,   136,   957,   452,   563,   197,   957,    -1,    24,
     136,   957,   452,   248,   721,   720,    -1,    24,   136,   957,
     452,   248,    62,   649,   374,   959,    -1,    24,   136,   957,
     452,   248,   140,   649,   374,   959,    -1,    24,   136,   957,
     452,   307,   957,    -1,    24,   136,   957,   452,   342,   649,
      -1,    24,   136,   957,   452,   348,   309,   260,   649,    -1,
      24,   136,   957,   452,   348,   309,   112,   649,    -1,    24,
     136,   957,   452,   348,   309,   346,   649,    -1,    24,   136,
     957,   452,   348,   309,    74,   649,    -1,    24,   136,   957,
     452,   313,   649,    -1,    24,   136,   957,   452,   386,   649,
      -1,    24,   136,   957,   452,   147,   342,   649,    -1,    24,
     136,   957,   452,   147,    96,   395,   957,    -1,    24,   136,
     957,   452,   316,   957,    -1,    24,   136,   957,   452,   361,
     649,    -1,    83,   147,    96,   395,   957,   577,   580,    -1,
     159,   558,    -1,   230,   159,    -1,   378,   558,    -1,   230,
     378,    -1,   575,    -1,   576,   575,    -1,   576,    -1,    -1,
     120,   147,    96,   395,   957,   482,    -1,   120,   147,    96,
     395,   165,   134,   957,   482,    -1,    24,   147,    96,   395,
     957,   577,   582,    -1,    24,   147,    96,   395,   957,   576,
      -1,   250,   426,   581,   427,    -1,    -1,   585,    -1,   581,
     430,   585,    -1,   250,   426,   583,   427,    -1,   584,    -1,
     583,   430,   584,    -1,   585,    -1,   319,   585,    -1,    18,
     585,    -1,   120,   586,    -1,   586,   587,    -1,   971,    -1,
     966,    -1,    83,   316,   957,   589,   591,   147,    96,   395,
     957,   580,    -1,   361,   966,    -1,    -1,   385,   966,    -1,
     385,   237,    -1,   590,    -1,    -1,   120,   316,   957,   482,
      -1,   120,   316,   165,   134,   957,   482,    -1,    24,   316,
     957,   590,   582,    -1,    24,   316,   957,   590,    -1,    24,
     316,   957,   582,    -1,    83,   147,   342,   955,   595,   316,
     957,   580,    -1,    83,   147,   342,   165,   232,   134,   955,
     595,   316,   957,   580,    -1,   426,   596,   427,    -1,   426,
     427,    -1,   597,    -1,   596,   430,   597,    -1,   516,    -1,
      24,   147,   342,   861,   479,    -1,    24,   147,   342,   165,
     134,   861,   479,    -1,    83,   373,   216,   145,   600,   316,
     957,   580,    -1,    93,    -1,   373,    -1,   967,    -1,   120,
     373,   216,   145,   600,   316,   957,    -1,   120,   373,   216,
     165,   134,   145,   600,   316,   957,    -1,    24,   373,   216,
     145,   600,   316,   957,   582,    -1,    83,   356,   957,   604,
     605,   246,   955,   607,   610,   133,   277,   963,   426,   611,
     427,    -1,    83,    76,   356,   957,    20,   605,   246,   955,
     613,   614,   145,   121,   303,   610,   133,   277,   963,   426,
     611,   427,    -1,    40,    -1,    20,    -1,   184,   242,    -1,
     606,    -1,   605,   251,   606,    -1,   183,    -1,   108,    -1,
     372,    -1,   372,   242,   529,    -1,   359,    -1,   145,   608,
     609,    -1,    -1,   121,    -1,    -1,   303,    -1,   331,    -1,
     388,   426,   894,   427,    -1,    -1,   612,    -1,   611,   430,
     612,    -1,    -1,   965,    -1,     4,    -1,   966,    -1,   971,
      -1,   150,   955,    -1,    -1,    -1,   614,   615,    -1,   232,
     105,    -1,   105,    -1,   177,   167,    -1,   177,   106,    -1,
     232,   376,    -1,   120,   356,   957,   246,   649,   482,    -1,
     120,   356,   165,   134,   957,   246,   649,   482,    -1,    83,
      33,   957,    60,   426,   894,   427,   614,    -1,   120,    33,
     957,   482,    -1,    83,    21,   963,   624,   620,    -1,    83,
      21,   963,   625,    -1,    83,   248,   721,   620,    -1,    83,
     361,   649,   620,    -1,    83,   361,   649,    -1,    83,   361,
     649,    31,   426,   867,   427,    -1,    83,   361,   649,    31,
     127,   426,   628,   427,    -1,    83,   361,   649,    31,   279,
     620,    -1,    83,   348,   309,   260,   649,   620,    -1,    83,
     348,   309,   112,   649,   620,    -1,    83,   348,   309,   346,
     649,   620,    -1,    83,   348,   309,    74,   649,   620,    -1,
      83,    67,   649,   620,    -1,    83,    67,   649,   150,   649,
      -1,   426,   621,   427,    -1,   622,    -1,   621,   430,   622,
      -1,   971,   413,   623,    -1,   971,    -1,   705,    -1,   975,
      -1,   921,    -1,   554,    -1,   966,    -1,   426,   926,   427,
      -1,   426,   419,   427,    -1,   426,   626,   427,    -1,   627,
      -1,   626,   430,   627,    -1,     3,   413,   623,    -1,   629,
      -1,    -1,   966,    -1,   629,   430,   966,    -1,    24,   361,
     649,    18,   379,   966,    -1,    24,   361,   649,    18,   379,
     966,    40,   966,    -1,    24,   361,   649,    18,   379,   966,
      20,   966,    -1,    83,   248,    62,   649,   634,   145,   361,
     870,   374,   959,   635,    31,   632,    -1,   633,    -1,   632,
     430,   633,    -1,   248,   965,   721,   636,   637,    -1,   248,
     965,   721,   720,   636,   637,    -1,   152,   965,   963,   697,
      -1,   152,   965,   426,   926,   427,   963,   697,    -1,   335,
     870,    -1,   103,    -1,    -1,   140,   649,    -1,    -1,   145,
     309,    -1,   145,   252,    48,   649,    -1,    -1,   283,    -1,
      -1,    83,   248,   140,   649,   374,   959,    -1,    24,   248,
     140,   649,   374,   959,    18,   632,    -1,    24,   248,   140,
     649,   374,   959,   120,   640,    -1,   641,    -1,   640,   430,
     641,    -1,   248,   965,   426,   926,   427,    -1,   152,   965,
     426,   926,   427,    -1,   120,   248,    62,   649,   374,   959,
     482,    -1,   120,   248,    62,   165,   134,   649,   374,   959,
     482,    -1,   120,   248,   140,   649,   374,   959,   482,    -1,
     120,   248,   140,   165,   134,   649,   374,   959,   482,    -1,
     120,   258,    48,   956,   482,    -1,   282,   258,    48,   956,
     352,   957,    -1,   120,   647,   165,   134,   648,   482,    -1,
     120,   647,   648,   482,    -1,   120,   173,    73,   648,   482,
      -1,   120,   173,    73,   165,   134,   648,   482,    -1,   342,
      -1,   313,    -1,   386,    -1,   173,    -1,   147,   342,    -1,
     361,    -1,   118,    -1,    67,    -1,    80,    -1,   307,    -1,
     136,    -1,   348,   309,   260,    -1,   348,   309,   112,    -1,
     348,   309,   346,    -1,   348,   309,    74,    -1,   649,    -1,
     648,   430,   649,    -1,   969,    -1,   969,   650,    -1,   428,
     960,    -1,   650,   428,   960,    -1,   359,   828,   862,   652,
     482,    -1,    79,   164,    -1,   295,   164,    -1,    -1,    69,
     246,   654,   649,   191,   655,    -1,    69,   246,    21,   963,
     624,   191,   655,    -1,    69,   246,   152,   963,   697,   191,
     655,    -1,    69,   246,   248,   721,   720,   191,   655,    -1,
      69,   246,    76,   957,   246,   649,   191,   655,    -1,    69,
     246,   305,   957,   246,   649,   191,   655,    -1,    69,   246,
     305,   957,   191,   655,    -1,    69,   246,   356,   957,   246,
     649,   191,   655,    -1,    69,   246,   248,    62,   649,   374,
     959,   191,   655,    -1,    69,   246,   248,   140,   649,   374,
     959,   191,   655,    -1,    69,   246,   198,   241,   554,   191,
     655,    -1,    69,   246,    54,   426,   870,    31,   870,   427,
     191,   655,    -1,    69,   246,   563,   197,   649,   191,   655,
      -1,    69,   246,   348,   309,   260,   649,   191,   655,    -1,
      69,   246,   348,   309,   112,   649,   191,   655,    -1,    69,
     246,   348,   309,   346,   649,   191,   655,    -1,    69,   246,
     348,   309,    74,   649,   191,   655,    -1,    68,    -1,    97,
      -1,   307,    -1,   173,    -1,   313,    -1,   342,    -1,   118,
      -1,   361,    -1,   386,    -1,    67,    -1,    80,    -1,   344,
      -1,   136,    -1,   301,    -1,   147,   342,    -1,   316,    -1,
     147,    96,   395,    -1,   966,    -1,   237,    -1,   311,   196,
     657,   246,   658,   649,   191,   659,    -1,   311,   196,   657,
     246,    21,   963,   624,   191,   659,    -1,   311,   196,   657,
     246,   152,   963,   697,   191,   659,    -1,   311,   196,   657,
     246,   198,   241,   554,   191,   659,    -1,   311,   196,   657,
     246,   563,   197,   649,   191,   659,    -1,   145,   468,    -1,
      -1,    68,    -1,    97,    -1,   147,   342,    -1,   307,    -1,
     313,    -1,   342,    -1,   118,    -1,   301,    -1,   344,    -1,
     361,    -1,   386,    -1,   966,    -1,   237,    -1,   141,   661,
      -1,   223,   661,    -1,   814,    -1,   662,   814,    -1,   229,
     663,   814,    -1,   274,   663,   814,    -1,   142,   663,   814,
      -1,   199,   663,   814,    -1,    15,   968,   663,   814,    -1,
     288,   968,   663,   814,    -1,   968,   663,   814,    -1,    22,
     663,   814,    -1,   148,   663,   814,    -1,   148,   968,   663,
     814,    -1,   148,    22,   663,   814,    -1,    39,   663,   814,
      -1,    39,   968,   663,   814,    -1,    39,    22,   663,   814,
      -1,   150,    -1,   170,    -1,   662,    -1,    -1,   155,   666,
     246,   669,   352,   670,   672,    -1,   299,   666,   246,   669,
     150,   670,   482,    -1,   299,   155,   249,   145,   666,   246,
     669,   150,   670,   482,    -1,   667,    -1,    22,    -1,    22,
     275,    -1,    22,   426,   529,   427,    -1,    22,   275,   426,
     529,   427,    -1,   668,    -1,   667,   430,   668,    -1,   312,
     528,    -1,   286,   528,    -1,    83,   528,    -1,   969,   528,
      -1,   954,    -1,   342,   954,    -1,   313,   954,    -1,   147,
      96,   395,   956,    -1,   147,   316,   956,    -1,   152,   673,
      -1,    97,   956,    -1,   118,   648,    -1,   197,   956,    -1,
     198,   241,   555,    -1,   307,   956,    -1,   344,   956,    -1,
     361,   648,    -1,    22,   343,   170,   307,   956,    -1,    22,
     314,   170,   307,   956,    -1,    22,   153,   170,   307,   956,
      -1,   671,    -1,   670,   430,   671,    -1,   967,    -1,   158,
     967,    -1,   392,   155,   249,    -1,    -1,   674,    -1,   673,
     430,   674,    -1,   963,   697,    -1,   155,   667,   352,   956,
     677,   678,    -1,   299,   667,   150,   956,   678,   482,    -1,
     299,    19,   249,   145,   667,   150,   956,   678,   482,    -1,
     392,    19,   249,    -1,    -1,   156,    48,   967,    -1,    -1,
      24,   103,   275,   680,   682,    -1,   680,   681,    -1,    -1,
     170,   307,   956,    -1,   145,   301,   956,    -1,   145,   373,
     956,    -1,   155,   666,   246,   683,   352,   670,   672,    -1,
     299,   666,   246,   683,   150,   670,   482,    -1,   299,   155,
     249,   145,   666,   246,   683,   150,   670,   482,    -1,   343,
      -1,   153,    -1,   314,    -1,   362,    -1,    83,   685,   173,
     686,   687,   246,   955,   688,   426,   689,   427,   486,   542,
     865,    -1,   367,    -1,    -1,    73,    -1,    -1,   961,    -1,
      -1,   374,   959,    -1,    -1,   690,    -1,   689,   430,   690,
      -1,   969,   691,   692,   693,   694,    -1,   897,   691,   692,
     693,   694,    -1,   426,   894,   427,   691,   692,   693,   694,
      -1,    66,   649,    -1,    -1,   649,    -1,   374,   649,    -1,
      -1,    32,    -1,   111,    -1,    -1,   410,    -1,   411,    -1,
      -1,    83,   696,   152,   963,   699,   298,   704,   707,   711,
      -1,    83,   696,   152,   963,   699,   298,   342,   426,   713,
     427,   707,   711,    -1,    83,   696,   152,   963,   699,   707,
     711,    -1,   251,   292,    -1,    -1,   426,   698,   427,    -1,
     426,   427,    -1,   701,    -1,   698,   430,   701,    -1,   426,
     700,   427,    -1,   426,   427,    -1,   706,    -1,   700,   430,
     706,    -1,   702,   703,   705,    -1,   703,   702,   705,    -1,
     703,   705,    -1,   702,   705,    -1,   705,    -1,   170,    -1,
     253,    -1,   180,    -1,   170,   253,    -1,   382,    -1,   970,
      -1,   705,    -1,   870,    -1,   970,   650,   421,   361,    -1,
     320,   970,   650,   421,   361,    -1,   701,    -1,   701,   103,
     894,    -1,   701,   413,   894,    -1,   709,    -1,   707,   709,
      -1,    50,   246,   237,   181,    -1,   298,   237,   246,   237,
     181,    -1,   336,    -1,   168,    -1,   328,    -1,   387,    -1,
     137,   311,   107,    -1,   137,   311,   190,    -1,   311,   107,
      -1,   311,   190,    -1,   203,    -1,   232,   203,    -1,    82,
     554,    -1,   304,   554,    -1,   471,    -1,    31,   710,    -1,
     197,   468,    -1,   391,    -1,   708,    -1,   966,    -1,   966,
     430,   966,    -1,   392,   620,    -1,    -1,   703,   705,    -1,
     712,    -1,   713,   430,   712,    -1,    24,   152,   674,   715,
     716,    -1,   708,    -1,   715,   708,    -1,   296,    -1,    -1,
     120,   152,   963,   697,   482,    -1,   120,   152,   165,   134,
     963,   697,   482,    -1,   120,    21,   963,   624,   482,    -1,
     120,    21,   165,   134,   963,   624,   482,    -1,   120,   248,
     721,   720,   482,    -1,   120,   248,   165,   134,   721,   720,
     482,    -1,   426,   870,   427,    -1,   426,   870,   430,   870,
     427,    -1,   426,   231,   430,   870,   427,    -1,   426,   870,
     430,   231,   427,    -1,   918,    -1,   969,   428,   721,    -1,
     116,   723,    -1,   724,    -1,   723,   724,    -1,   966,    -1,
     197,   468,    -1,    83,    54,   426,   870,    31,   870,   427,
     392,   152,   674,   726,    -1,    83,    54,   426,   870,    31,
     870,   427,   393,   152,   726,    -1,    83,    54,   426,   870,
      31,   870,   427,   392,   180,   726,    -1,    31,   169,    -1,
      31,    34,    -1,    -1,   120,    54,   728,   426,   870,    31,
     870,   427,   482,    -1,   165,   134,    -1,    -1,   287,   730,
     955,   731,    -1,   287,   341,   957,   731,    -1,   287,    97,
     957,   731,    -1,   173,    -1,   342,    -1,   146,    -1,    -1,
      24,    21,   963,   624,   290,   352,   957,    -1,    24,    67,
     649,   290,   352,   957,    -1,    24,    80,   649,   290,   352,
     957,    -1,    24,    97,   958,   290,   352,   958,    -1,    24,
     118,   649,   290,   352,   957,    -1,    24,   118,   649,   290,
      76,   957,   352,   957,    -1,    24,   147,    96,   395,   957,
     290,   352,   957,    -1,    24,   152,   674,   290,   352,   957,
      -1,    24,   158,   967,   290,   352,   967,    -1,    24,   563,
     197,   957,   290,   352,   957,    -1,    24,   248,    62,   649,
     374,   959,   290,   352,   957,    -1,    24,   248,   140,   649,
     374,   959,   290,   352,   957,    -1,    24,   307,   957,   290,
     352,   957,    -1,    24,   316,   957,   290,   352,   957,    -1,
      24,   342,   861,   290,   352,   957,    -1,    24,   342,   165,
     134,   861,   290,   352,   957,    -1,    24,   313,   955,   290,
     352,   957,    -1,    24,   313,   165,   134,   955,   290,   352,
     957,    -1,    24,   386,   955,   290,   352,   957,    -1,    24,
     386,   165,   134,   955,   290,   352,   957,    -1,    24,   173,
     955,   290,   352,   957,    -1,    24,   173,   165,   134,   955,
     290,   352,   957,    -1,    24,   147,   342,   861,   290,   352,
     957,    -1,    24,   147,   342,   165,   134,   861,   290,   352,
     957,    -1,    24,   342,   861,   290,   733,   957,   352,   957,
      -1,    24,   342,   165,   134,   861,   290,   733,   957,   352,
     957,    -1,    24,   342,   861,   290,    76,   957,   352,   957,
      -1,    24,   147,   342,   861,   290,   733,   957,   352,   957,
      -1,    24,   147,   342,   165,   134,   861,   290,   733,   957,
     352,   957,    -1,    24,   356,   957,   246,   955,   290,   352,
     957,    -1,    24,   301,   967,   290,   352,   967,    -1,    24,
     373,   967,   290,   352,   967,    -1,    24,   344,   957,   290,
     352,   957,    -1,    24,   344,   957,   319,   485,    -1,    24,
     344,   957,   294,   485,    -1,    24,   348,   309,   260,   649,
     290,   352,   957,    -1,    24,   348,   309,   112,   649,   290,
     352,   957,    -1,    24,   348,   309,   346,   649,   290,   352,
     957,    -1,    24,   348,   309,    74,   649,   290,   352,   957,
      -1,    24,   361,   649,   290,   352,   957,    -1,    24,   361,
     649,   290,    37,   957,   352,   957,   482,    -1,    68,    -1,
      -1,   319,    96,    -1,    -1,    24,    21,   963,   624,   319,
     307,   957,    -1,    24,    67,   649,   319,   307,   957,    -1,
      24,    80,   649,   319,   307,   957,    -1,    24,   118,   649,
     319,   307,   957,    -1,    24,   136,   649,   319,   307,   957,
      -1,    24,   152,   674,   319,   307,   957,    -1,    24,   248,
     721,   720,   319,   307,   957,    -1,    24,   248,    62,   649,
     374,   959,   319,   307,   957,    -1,    24,   248,   140,   649,
     374,   959,   319,   307,   957,    -1,    24,   342,   861,   319,
     307,   957,    -1,    24,   342,   165,   134,   861,   319,   307,
     957,    -1,    24,   348,   309,   260,   649,   319,   307,   957,
      -1,    24,   348,   309,   112,   649,   319,   307,   957,    -1,
      24,   348,   309,   346,   649,   319,   307,   957,    -1,    24,
     348,   309,    74,   649,   319,   307,   957,    -1,    24,   313,
     955,   319,   307,   957,    -1,    24,   313,   165,   134,   955,
     319,   307,   957,    -1,    24,   386,   955,   319,   307,   957,
      -1,    24,   386,   165,   134,   955,   319,   307,   957,    -1,
      24,   147,   342,   861,   319,   307,   957,    -1,    24,   147,
     342,   165,   134,   861,   319,   307,   957,    -1,    24,   361,
     649,   319,   307,   957,    -1,    24,    21,   963,   624,   259,
     352,   967,    -1,    24,    67,   649,   259,   352,   967,    -1,
      24,    80,   649,   259,   352,   967,    -1,    24,    97,   958,
     259,   352,   967,    -1,    24,   118,   649,   259,   352,   967,
      -1,    24,   152,   674,   259,   352,   967,    -1,    24,   563,
     197,   957,   259,   352,   967,    -1,    24,   198,   241,   554,
     259,   352,   967,    -1,    24,   248,   721,   720,   259,   352,
     967,    -1,    24,   248,    62,   649,   374,   959,   259,   352,
     967,    -1,    24,   248,   140,   649,   374,   959,   259,   352,
     967,    -1,    24,   307,   957,   259,   352,   967,    -1,    24,
     361,   649,   259,   352,   967,    -1,    24,   344,   957,   259,
     352,   967,    -1,    24,   348,   309,   112,   649,   259,   352,
     967,    -1,    24,   348,   309,    74,   649,   259,   352,   967,
      -1,    24,   147,    96,   395,   957,   259,   352,   967,    -1,
      24,   316,   957,   259,   352,   967,    -1,    83,   696,   305,
     957,    31,   246,   742,   352,   955,   865,   116,   743,   738,
      -1,   233,    -1,   740,    -1,   426,   739,   427,    -1,   739,
     429,   741,    -1,   741,    -1,   817,    -1,   795,    -1,   806,
      -1,   800,    -1,   745,    -1,   740,    -1,    -1,   312,    -1,
     372,    -1,   108,    -1,   183,    -1,   184,    -1,    23,    -1,
      -1,   120,   305,   957,   246,   649,   482,    -1,   120,   305,
     165,   134,   957,   246,   649,   482,    -1,   234,   969,   746,
      -1,   430,   966,    -1,    -1,   209,   969,    -1,   369,   969,
      -1,   369,   419,    -1,    14,   750,    -1,    41,   750,   753,
      -1,   330,   354,   753,    -1,    71,   750,    -1,   126,   750,
      -1,   302,   750,    -1,   306,   969,    -1,   289,   306,   969,
      -1,   289,   969,    -1,   302,   750,   352,   306,   969,    -1,
     302,   750,   352,   969,    -1,   271,   354,   966,    -1,    71,
     272,   966,    -1,   302,   272,   966,    -1,   394,    -1,   354,
      -1,    -1,   193,   206,   464,    -1,   280,   247,    -1,   280,
     396,    -1,   105,    -1,   232,   105,    -1,   751,    -1,   752,
     430,   751,    -1,   752,   751,    -1,   752,    -1,    -1,    83,
     509,   386,   955,   528,   486,    31,   817,   755,    -1,    83,
     251,   292,   509,   386,   955,   528,   486,    31,   817,   755,
      -1,   392,    60,   249,    -1,   392,    52,    60,   249,    -1,
     392,   211,    60,   249,    -1,    -1,   210,   962,    -1,    83,
      97,   958,   437,   758,    -1,   758,   759,    -1,    -1,   344,
     760,   957,    -1,   344,   760,   103,    -1,   214,   760,   966,
      -1,   214,   760,   103,    -1,   346,   760,   957,    -1,   346,
     760,   103,    -1,   124,   760,   966,    -1,   124,   760,   965,
      -1,   124,   760,   103,    -1,   200,   760,   966,    -1,   200,
     760,   103,    -1,   201,   760,   966,    -1,   201,   760,   103,
      -1,    75,   208,   760,   968,    -1,   259,   760,   957,    -1,
     259,   760,   103,    -1,   413,    -1,    -1,    24,    97,   958,
     437,   763,    -1,    24,    97,   958,   319,   344,   957,    -1,
      24,    97,   958,   470,    -1,   763,   764,    -1,    -1,    75,
     208,   760,   968,    -1,   120,    97,   958,    -1,   120,    97,
     165,   134,   958,    -1,    83,   118,   649,   768,   870,   518,
      -1,    24,   118,   649,   481,    -1,    24,   118,   649,   120,
     232,   237,    -1,    24,   118,   649,   319,   232,   237,    -1,
      24,   118,   649,    18,   525,    -1,    24,   118,   649,   120,
      76,   957,   482,    -1,    24,   118,   649,   120,    76,   165,
     134,   957,   482,    -1,    24,   118,   649,   377,    76,   957,
      -1,    31,    -1,    -1,    24,   348,   309,   112,   649,   620,
      -1,    24,   348,   309,    74,   649,    18,   216,   145,   956,
     392,   648,    -1,    24,   348,   309,    74,   649,    24,   216,
     145,   956,   392,   648,    -1,    24,   348,   309,    74,   649,
      24,   216,   292,   649,   392,   649,    -1,    24,   348,   309,
      74,   649,    24,   216,   145,   956,   292,   649,   392,   649,
      -1,    24,   348,   309,    74,   649,   120,   216,   145,   956,
      -1,    24,   348,   309,    74,   649,   120,   216,   165,   134,
     145,   956,    -1,    83,   634,    80,   649,   145,   966,   352,
     966,   150,   649,    -1,    64,   779,   955,   773,    -1,    64,
     779,    -1,    64,   779,   961,   246,   955,    -1,   374,   961,
      -1,    -1,   375,   780,   781,   779,    -1,   375,   780,   781,
     779,   955,    -1,   375,   780,   781,   779,   777,    -1,   375,
     426,   775,   427,    -1,   375,   426,   775,   427,   955,   782,
      -1,   776,    -1,   775,   430,   776,    -1,   778,    -1,   384,
      -1,   149,    -1,   151,    -1,   778,   779,    -1,   778,   779,
     955,   782,    -1,    27,    -1,    26,    -1,   384,    -1,    -1,
     151,    -1,    -1,   149,    -1,    -1,   426,   956,   427,    -1,
      -1,   135,   784,    -1,   135,   778,   779,   784,    -1,   135,
     384,   784,    -1,   135,   426,   785,   427,   784,    -1,   817,
      -1,   795,    -1,   806,    -1,   800,    -1,   813,    -1,   545,
      -1,   792,    -1,   786,    -1,   785,   430,   786,    -1,   787,
     788,    -1,   969,    -1,   778,    -1,   384,    -1,   465,    -1,
     554,    -1,    -1,   271,   957,   790,    31,   791,    -1,   426,
     926,   427,    -1,    -1,   817,    -1,   795,    -1,   806,    -1,
     800,    -1,   133,   957,   793,    -1,    83,   509,   342,   546,
      31,   133,   957,   793,   547,    -1,   426,   923,   427,    -1,
      -1,    99,   957,    -1,    99,   271,   957,    -1,    99,    22,
      -1,    99,   271,    22,    -1,   825,   183,   189,   955,   796,
     799,    -1,   817,    -1,   426,   797,   427,   817,    -1,   103,
     380,    -1,   798,    -1,   797,   430,   798,    -1,   969,   947,
      -1,   297,   952,    -1,    -1,   825,   108,   150,   863,   801,
     866,   799,    -1,   374,   854,    -1,    -1,   215,   828,   862,
     803,   805,    -1,   170,   804,   221,    -1,    -1,    16,   321,
      -1,   303,   321,    -1,   303,   132,    -1,   321,   372,   132,
      -1,   321,    -1,   321,   303,   132,    -1,   132,    -1,    16,
     132,    -1,   236,    -1,    -1,   825,   372,   863,   319,   807,
     853,   866,   799,    -1,   808,    -1,   807,   430,   808,    -1,
     809,    -1,   810,    -1,   811,   413,   949,    -1,   426,   812,
     427,   413,   951,    -1,   969,   947,    -1,   811,    -1,   812,
     430,   811,    -1,   102,   814,   815,    94,   816,   145,   817,
      -1,   957,    -1,    -1,   815,   230,   308,    -1,   815,   308,
      -1,   815,    44,    -1,   815,   182,    -1,    -1,   392,   162,
      -1,   393,   162,    -1,   819,    -1,   818,    -1,   426,   819,
     427,    -1,   426,   818,   427,    -1,   821,    -1,   820,   832,
      -1,   820,   831,   847,   836,    -1,   820,   831,   835,   848,
      -1,   822,   820,    -1,   822,   820,   832,    -1,   822,   820,
     831,   847,   836,    -1,   822,   820,   831,   835,   848,    -1,
     821,    -1,   818,    -1,   312,   830,   952,   826,   853,   865,
     845,   846,   906,    -1,   852,    -1,   342,   861,    -1,   820,
     366,   829,   820,    -1,   820,   187,   829,   820,    -1,   820,
     129,   829,   820,    -1,   392,   823,    -1,   392,   284,   823,
      -1,   824,    -1,   823,   430,   824,    -1,   957,   782,    31,
     426,   791,   427,    -1,   822,    -1,    -1,   189,   827,    -1,
      -1,   347,   828,   955,    -1,   345,   828,   955,    -1,   211,
     347,   828,   955,    -1,   211,   345,   828,   955,    -1,   154,
     347,   828,   955,    -1,   154,   345,   828,   955,    -1,   370,
     828,   955,    -1,   342,   955,    -1,   955,    -1,   342,    -1,
      -1,    22,    -1,   115,    -1,    -1,   115,    -1,   115,   246,
     426,   923,   427,    -1,    22,    -1,    -1,   832,    -1,    -1,
     252,    48,   833,    -1,   834,    -1,   833,   430,   834,    -1,
     894,   374,   921,   694,    -1,   894,   693,   694,    -1,   837,
     838,    -1,   838,   837,    -1,   837,    -1,   838,    -1,   835,
      -1,    -1,   208,   839,    -1,   208,   839,   430,   840,    -1,
     141,   844,   841,   843,   247,    -1,   244,   840,    -1,   244,
     842,   843,    -1,   894,    -1,    22,    -1,   894,    -1,   968,
      -1,   426,   894,   427,    -1,    -1,   896,    -1,   303,    -1,
     304,    -1,   142,    -1,   229,    -1,   158,    48,   923,    -1,
      -1,   160,   894,    -1,    -1,   849,    -1,   145,   280,   247,
      -1,   847,    -1,    -1,   850,    -1,   849,   850,    -1,   145,
     372,   851,   805,    -1,   145,   321,   851,   805,    -1,   242,
     954,    -1,    -1,   380,   951,    -1,   852,   430,   951,    -1,
     150,   854,    -1,    -1,   855,    -1,   854,   430,   855,    -1,
     861,    -1,   861,   857,    -1,   864,    -1,   864,   857,    -1,
     864,    31,   426,   868,   427,    -1,   864,    31,   969,   426,
     868,   427,    -1,   864,   969,   426,   868,   427,    -1,   818,
      -1,   818,   857,    -1,   856,    -1,   426,   856,   427,   857,
      -1,   426,   856,   427,    -1,   855,    84,   194,   855,    -1,
     855,   858,   194,   855,   860,    -1,   855,   194,   855,   860,
      -1,   855,   227,   858,   194,   855,    -1,   855,   227,   194,
     855,    -1,    31,   969,   426,   956,   427,    -1,    31,   969,
      -1,   969,   426,   956,   427,    -1,   969,    -1,   151,   859,
      -1,   205,   859,    -1,   300,   859,    -1,   179,    -1,   254,
      -1,    -1,   374,   426,   956,   427,    -1,   246,   894,    -1,
     955,    -1,   955,   419,    -1,   247,   955,    -1,   247,   426,
     955,   427,    -1,   861,    -1,   862,   430,   861,    -1,   861,
      -1,   861,   969,    -1,   861,    31,   969,    -1,   897,    -1,
     389,   894,    -1,    -1,   389,   894,    -1,   389,    86,   242,
     814,    -1,    -1,   868,    -1,    -1,   869,    -1,   868,   430,
     869,    -1,   969,   870,   483,    -1,   872,   871,    -1,   320,
     872,   871,    -1,   872,    30,   424,   965,   425,    -1,   320,
     872,    30,   424,   965,   425,    -1,   872,    30,    -1,   320,
     872,    30,    -1,   871,   424,   425,    -1,   871,   424,   965,
     425,    -1,    -1,   874,    -1,   876,    -1,   878,    -1,   882,
      -1,   889,    -1,   890,   892,    -1,   890,   426,   965,   427,
     892,    -1,   876,    -1,   879,    -1,   883,    -1,   889,    -1,
     970,   875,    -1,   970,   650,   875,    -1,   426,   923,   427,
      -1,    -1,   185,    -1,   186,    -1,   325,    -1,    43,    -1,
     281,    -1,   143,   877,    -1,   119,   269,    -1,   101,   875,
      -1,   100,   875,    -1,   240,   875,    -1,    46,    -1,   426,
     965,   427,    -1,    -1,   880,    -1,   881,    -1,   880,    -1,
     881,    -1,    45,   887,   426,   923,   427,    -1,    45,   887,
      -1,   884,    -1,   885,    -1,   884,    -1,   885,    -1,   886,
     426,   965,   427,   888,    -1,   886,   888,    -1,    58,   887,
      -1,    57,   887,    -1,   381,    -1,   226,    58,   887,    -1,
     226,    57,   887,    -1,   228,   887,    -1,   383,    -1,    -1,
      58,   319,   969,    -1,    -1,   351,   426,   965,   427,   891,
      -1,   351,   891,    -1,   350,   426,   965,   427,   891,    -1,
     350,   891,    -1,   188,    -1,   412,   409,    -1,   393,   350,
     409,    -1,    -1,   407,    -1,   222,    -1,    98,    -1,   163,
      -1,   219,    -1,   893,    -1,   407,   352,   222,    -1,    98,
     352,   163,    -1,    98,   352,   219,    -1,    98,   352,   893,
      -1,   163,   352,   219,    -1,   163,   352,   893,    -1,   219,
     352,   893,    -1,    -1,   310,    -1,   310,   426,   965,   427,
      -1,   896,    -1,   894,    11,   870,    -1,   894,    66,   649,
      -1,   894,    36,   350,   409,   894,    -1,   417,   894,    -1,
     418,   894,    -1,   894,   417,   894,    -1,   894,   418,   894,
      -1,   894,   419,   894,    -1,   894,   420,   894,    -1,   894,
     421,   894,    -1,   894,   422,   894,    -1,   894,   414,   894,
      -1,   894,   415,   894,    -1,   894,   413,   894,    -1,   894,
     920,   894,    -1,   920,   894,    -1,   894,   920,    -1,   894,
      28,   894,    -1,   894,   251,   894,    -1,   232,   894,    -1,
     894,   207,   894,    -1,   894,   207,   894,   128,   894,    -1,
     894,   232,   207,   894,    -1,   894,   232,   207,   894,   128,
     894,    -1,   894,   166,   894,    -1,   894,   166,   894,   128,
     894,    -1,   894,   232,   166,   894,    -1,   894,   232,   166,
     894,   128,   894,    -1,   894,   323,   352,   894,    -1,   894,
     323,   352,   894,   128,   894,    -1,   894,   232,   323,   352,
     894,    -1,   894,   232,   323,   352,   894,   128,   894,    -1,
     894,   191,   237,    -1,   894,   192,    -1,   894,   191,   232,
     237,    -1,   894,   235,    -1,   916,   256,   916,    -1,   894,
     191,   358,    -1,   894,   191,   232,   358,    -1,   894,   191,
     139,    -1,   894,   191,   232,   139,    -1,   894,   191,   368,
      -1,   894,   191,   232,   368,    -1,   894,   191,   115,   150,
     894,    -1,   894,   191,   232,   115,   150,   894,    -1,   894,
     191,   242,   426,   926,   427,    -1,   894,   191,   232,   242,
     426,   926,   427,    -1,   894,    42,   948,   895,    28,   895,
      -1,   894,   232,    42,   948,   895,    28,   895,    -1,   894,
      42,   339,   895,    28,   895,    -1,   894,   232,    42,   339,
     895,    28,   895,    -1,   894,   170,   938,    -1,   894,   232,
     170,   938,    -1,   894,   922,   917,   818,    -1,   894,   922,
     917,   426,   894,   427,    -1,   367,   818,    -1,   894,   191,
     117,    -1,   894,   191,   232,   117,    -1,   896,    -1,   895,
      11,   870,    -1,   417,   895,    -1,   418,   895,    -1,   895,
     417,   895,    -1,   895,   418,   895,    -1,   895,   419,   895,
      -1,   895,   420,   895,    -1,   895,   421,   895,    -1,   895,
     422,   895,    -1,   895,   414,   895,    -1,   895,   415,   895,
      -1,   895,   413,   895,    -1,   895,   920,   895,    -1,   920,
     895,    -1,   895,   920,    -1,   895,   191,   115,   150,   895,
      -1,   895,   191,   232,   115,   150,   895,    -1,   895,   191,
     242,   426,   926,   427,    -1,   895,   191,   232,   242,   426,
     926,   427,    -1,   895,   191,   117,    -1,   895,   191,   232,
     117,    -1,   944,    -1,   964,    -1,    10,   947,    -1,   426,
     894,   427,   947,    -1,   939,    -1,   897,    -1,   818,    -1,
     134,   818,    -1,    30,   818,    -1,    30,   927,    -1,   916,
      -1,   963,   426,   427,   909,    -1,   963,   426,   924,   427,
     909,    -1,   963,   426,   382,   925,   427,   909,    -1,   963,
     426,   924,   430,   382,   925,   427,   909,    -1,   963,   426,
     924,   832,   427,   909,    -1,   963,   426,    22,   924,   831,
     427,   909,    -1,   963,   426,   115,   924,   831,   427,   909,
      -1,   963,   426,   419,   427,   909,    -1,    67,   145,   426,
     894,   427,    -1,    88,    -1,    91,    -1,    91,   426,   965,
     427,    -1,    92,    -1,    92,   426,   965,   427,    -1,   212,
      -1,   212,   426,   965,   427,    -1,   213,    -1,   213,   426,
     965,   427,    -1,    89,    -1,    93,    -1,   318,    -1,   373,
      -1,    87,    -1,    90,    -1,    54,   426,   894,    31,   870,
     427,    -1,   138,   426,   929,   427,    -1,   257,   426,   931,
     427,    -1,   267,   426,   933,   427,    -1,   338,   426,   934,
     427,    -1,   355,   426,   894,    31,   870,   427,    -1,   357,
     426,    47,   937,   427,    -1,   357,   426,   202,   937,   427,
      -1,   357,   426,   353,   937,   427,    -1,   357,   426,   937,
     427,    -1,   238,   426,   894,   430,   894,   427,    -1,    65,
     426,   923,   427,    -1,   157,   426,   923,   427,    -1,   204,
     426,   923,   427,    -1,   399,   426,   923,   427,    -1,   400,
     426,   224,   971,   427,    -1,   400,   426,   224,   971,   430,
     900,   427,    -1,   400,   426,   224,   971,   430,   923,   427,
      -1,   400,   426,   224,   971,   430,   900,   430,   923,   427,
      -1,   401,   426,   896,   905,   427,    -1,   402,   426,   901,
     427,    -1,   403,   426,   903,   894,   904,   427,    -1,   404,
     426,   224,   971,   427,    -1,   404,   426,   224,   971,   430,
     894,   427,    -1,   405,   426,   894,   430,   898,   899,   427,
      -1,   406,   426,   903,   894,    31,   872,   427,    -1,   385,
     894,    -1,   385,   230,   379,    -1,   430,   329,   408,    -1,
     430,   329,   230,    -1,   430,   329,   230,   379,    -1,    -1,
     398,   426,   901,   427,    -1,   902,    -1,   901,   430,   902,
      -1,   894,    31,   971,    -1,   894,    -1,   117,    -1,    78,
      -1,   270,   390,    -1,   337,   390,    -1,    -1,   263,   896,
      -1,   263,   896,    48,   285,    -1,   263,    48,   285,   896,
      -1,   263,    48,   285,   896,    48,   285,    -1,   391,   907,
      -1,    -1,   908,    -1,   907,   430,   908,    -1,   969,    31,
     910,    -1,   255,   910,    -1,   255,   969,    -1,    -1,   426,
     911,   912,   831,   913,   427,    -1,   969,    -1,    -1,   262,
      48,   923,    -1,    -1,   279,   914,    -1,   304,   914,    -1,
      -1,   915,    -1,    42,   915,    28,   915,    -1,   363,   268,
      -1,   363,   144,    -1,    86,   303,    -1,   894,   268,    -1,
     894,   144,    -1,   303,   426,   923,   427,    -1,   303,   426,
     427,    -1,   426,   923,   430,   894,   427,    -1,    29,    -1,
     327,    -1,    22,    -1,     8,    -1,   919,    -1,   417,    -1,
     418,    -1,   419,    -1,   420,    -1,   421,    -1,   422,    -1,
     414,    -1,   415,    -1,   413,    -1,     8,    -1,   248,   426,
     721,   427,    -1,   918,    -1,   248,   426,   721,   427,    -1,
     918,    -1,   248,   426,   721,   427,    -1,   207,    -1,   232,
     207,    -1,   166,    -1,   232,   166,    -1,   894,    -1,   923,
     430,   894,    -1,   925,    -1,   924,   430,   925,    -1,   894,
      -1,   703,    13,   894,    -1,   870,    -1,   926,   430,   870,
      -1,   424,   923,   425,    -1,   424,   928,   425,    -1,   424,
     425,    -1,   927,    -1,   928,   430,   927,    -1,   930,   150,
     894,    -1,    -1,     3,    -1,   407,    -1,   222,    -1,    98,
      -1,   163,    -1,   219,    -1,   310,    -1,   966,    -1,   894,
     932,   935,   936,    -1,   894,   932,   935,    -1,   265,   894,
      -1,   895,   170,   895,    -1,    -1,   894,   935,   936,    -1,
     894,   936,   935,    -1,   894,   935,    -1,   894,   936,    -1,
     923,    -1,    -1,   150,   894,    -1,   145,   894,    -1,   894,
     150,   923,    -1,   150,   923,    -1,   923,    -1,   818,    -1,
     426,   923,   427,    -1,    53,   943,   940,   942,   126,    -1,
     941,    -1,   940,   941,    -1,   388,   894,   349,   894,    -1,
     122,   894,    -1,    -1,   894,    -1,    -1,   969,    -1,   969,
     946,    -1,   428,   960,    -1,   428,   419,    -1,   424,   894,
     425,    -1,   424,   894,   431,   894,   425,    -1,   945,    -1,
     946,   945,    -1,    -1,   947,   945,    -1,    35,    -1,    -1,
     894,    -1,   103,    -1,   949,    -1,   950,   430,   949,    -1,
     426,   950,   427,    -1,   953,    -1,   952,   430,   953,    -1,
     894,    31,   971,    -1,   894,     3,    -1,   894,    -1,   419,
      -1,   955,    -1,   954,   430,   955,    -1,   969,    -1,   969,
     946,    -1,   957,    -1,   956,   430,   957,    -1,   969,    -1,
     969,    -1,   969,    -1,   971,    -1,   969,    -1,   966,    -1,
     970,    -1,   969,   946,    -1,   965,    -1,     4,    -1,   966,
      -1,     6,    -1,     7,    -1,   963,   966,    -1,   963,   426,
     924,   427,   966,    -1,   873,   966,    -1,   890,   966,   892,
      -1,   890,   426,   965,   427,   966,   892,    -1,   358,    -1,
     139,    -1,   237,    -1,     9,    -1,     5,    -1,   969,    -1,
     965,    -1,   417,   965,    -1,   418,   965,    -1,     3,    -1,
     972,    -1,   973,    -1,     3,    -1,   972,    -1,   974,    -1,
       3,    -1,   972,    -1,   973,    -1,   974,    -1,   975,    -1,
      14,    -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,
      19,    -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,
      25,    -1,    33,    -1,    34,    -1,    36,    -1,    37,    -1,
      39,    -1,    40,    -1,    41,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    52,    -1,    55,    -1,    56,    -1,
      59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,
      69,    -1,    70,    -1,    71,    -1,    72,    -1,    74,    -1,
      75,    -1,    77,    -1,    78,    -1,    79,    -1,    80,    -1,
      81,    -1,    82,    -1,    85,    -1,    86,    -1,    94,    -1,
      95,    -1,    96,    -1,    97,    -1,    98,    -1,    99,    -1,
     102,    -1,   104,    -1,   106,    -1,   107,    -1,   108,    -1,
     109,    -1,   110,    -1,   112,    -1,   113,    -1,   114,    -1,
     117,    -1,   118,    -1,   119,    -1,   120,    -1,   121,    -1,
     123,    -1,   124,    -1,   125,    -1,   127,    -1,   128,    -1,
     130,    -1,   131,    -1,   132,    -1,   133,    -1,   135,    -1,
     136,    -1,   137,    -1,   140,    -1,   142,    -1,   144,    -1,
     146,    -1,   148,    -1,   152,    -1,   153,    -1,   154,    -1,
     156,    -1,   159,    -1,   161,    -1,   162,    -1,   163,    -1,
     164,    -1,   165,    -1,   167,    -1,   168,    -1,   169,    -1,
     171,    -1,   172,    -1,   173,    -1,   174,    -1,   175,    -1,
     176,    -1,   178,    -1,   181,    -1,   182,    -1,   183,    -1,
     184,    -1,   190,    -1,   193,    -1,   195,    -1,   196,    -1,
     197,    -1,   198,    -1,   199,    -1,   200,    -1,   201,    -1,
     203,    -1,   206,    -1,   209,    -1,   210,    -1,   211,    -1,
     214,    -1,   215,    -1,   216,    -1,   217,    -1,   218,    -1,
     219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,    -1,
     224,    -1,   225,    -1,   229,    -1,   230,    -1,   233,    -1,
     234,    -1,   236,    -1,   239,    -1,   241,    -1,   242,    -1,
     243,    -1,   245,    -1,   248,    -1,   249,    -1,   250,    -1,
     258,    -1,   259,    -1,   260,    -1,   261,    -1,   262,    -1,
     263,    -1,   264,    -1,   266,    -1,   268,    -1,   271,    -1,
     272,    -1,   270,    -1,   274,    -1,   275,    -1,   276,    -1,
     277,    -1,   278,    -1,   279,    -1,   280,    -1,   282,    -1,
     283,    -1,   284,    -1,   285,    -1,   287,    -1,   288,    -1,
     289,    -1,   290,    -1,   291,    -1,   292,    -1,   293,    -1,
     294,    -1,   295,    -1,   296,    -1,   298,    -1,   299,    -1,
     301,    -1,   302,    -1,   304,    -1,   305,    -1,   306,    -1,
     307,    -1,   308,    -1,   309,    -1,   310,    -1,   311,    -1,
     313,    -1,   314,    -1,   315,    -1,   316,    -1,   317,    -1,
     319,    -1,   321,    -1,   322,    -1,   324,    -1,   326,    -1,
     328,    -1,   329,    -1,   330,    -1,   331,    -1,   332,    -1,
     333,    -1,   334,    -1,   335,    -1,   336,    -1,   337,    -1,
     340,    -1,   341,    -1,   343,    -1,   344,    -1,   345,    -1,
     346,    -1,   347,    -1,   348,    -1,   354,    -1,   356,    -1,
     359,    -1,   360,    -1,   361,    -1,   362,    -1,   363,    -1,
     364,    -1,   365,    -1,   368,    -1,   369,    -1,   370,    -1,
     371,    -1,   372,    -1,   375,    -1,   376,    -1,   377,    -1,
     378,    -1,   379,    -1,   383,    -1,   385,    -1,   386,    -1,
     387,    -1,   390,    -1,   393,    -1,   394,    -1,   395,    -1,
     396,    -1,   397,    -1,   407,    -1,   408,    -1,   409,    -1,
      42,    -1,    43,    -1,    45,    -1,    46,    -1,    57,    -1,
      58,    -1,    65,    -1,   100,    -1,   101,    -1,   134,    -1,
     138,    -1,   143,    -1,   157,    -1,   180,    -1,   185,    -1,
     186,    -1,   188,    -1,   204,    -1,   226,    -1,   228,    -1,
     231,    -1,   238,    -1,   240,    -1,   253,    -1,   257,    -1,
     267,    -1,   269,    -1,   281,    -1,   303,    -1,   320,    -1,
     325,    -1,   338,    -1,   350,    -1,   351,    -1,   355,    -1,
     357,    -1,   380,    -1,   381,    -1,   398,    -1,   399,    -1,
     400,    -1,   401,    -1,   402,    -1,   403,    -1,   404,    -1,
     405,    -1,   406,    -1,    38,    -1,    44,    -1,    73,    -1,
      84,    -1,    90,    -1,   149,    -1,   151,    -1,   166,    -1,
     179,    -1,   191,    -1,   192,    -1,   194,    -1,   205,    -1,
     207,    -1,   227,    -1,   235,    -1,   254,    -1,   255,    -1,
     256,    -1,   300,    -1,   323,    -1,   384,    -1,    22,    -1,
      26,    -1,    27,    -1,    28,    -1,    29,    -1,    30,    -1,
      31,    -1,    32,    -1,    35,    -1,    47,    -1,    53,    -1,
      54,    -1,    60,    -1,    66,    -1,    67,    -1,    68,    -1,
      76,    -1,    83,    -1,    87,    -1,    88,    -1,    89,    -1,
      91,    -1,    92,    -1,    93,    -1,   103,    -1,   105,    -1,
     111,    -1,   115,    -1,   116,    -1,   122,    -1,   126,    -1,
     129,    -1,   139,    -1,   141,    -1,   145,    -1,   147,    -1,
     150,    -1,   155,    -1,   158,    -1,   160,    -1,   170,    -1,
     177,    -1,   187,    -1,   189,    -1,   202,    -1,   208,    -1,
     212,    -1,   213,    -1,   232,    -1,   237,    -1,   244,    -1,
     246,    -1,   247,    -1,   251,    -1,   252,    -1,   265,    -1,
     273,    -1,   286,    -1,   297,    -1,   312,    -1,   318,    -1,
     327,    -1,   339,    -1,   342,    -1,   349,    -1,   352,    -1,
     353,    -1,   358,    -1,   366,    -1,   367,    -1,   373,    -1,
     374,    -1,   382,    -1,   388,    -1,   389,    -1,   391,    -1,
     392,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   653,   653,   660,   667,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   689,   690,   691,
     692,   693,   694,   695,   696,   697,   698,   699,   700,   701,
     702,   703,   704,   705,   706,   707,   708,   709,   710,   711,
     712,   713,   714,   715,   716,   717,   718,   719,   720,   721,
     722,   723,   724,   725,   726,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   746,   747,   748,   749,   750,   751,
     752,   753,   754,   755,   756,   757,   758,   759,   760,   761,
     762,   763,   764,   765,   766,   767,   768,   769,   770,   771,
     772,   773,   774,   775,   776,   777,   778,   779,   780,   781,
     782,   783,   784,   785,   786,   788,   798,   809,   810,   819,
     820,   824,   825,   829,   834,   838,   843,   848,   852,   856,
     861,   865,   919,   921,   925,   929,   933,   937,   951,   969,
     980,   981,   985,  1003,  1015,  1036,  1043,  1062,  1069,  1086,
    1104,  1115,  1116,  1128,  1135,  1152,  1164,  1176,  1177,  1181,
    1182,  1190,  1191,  1192,  1193,  1194,  1195,  1209,  1215,  1221,
    1230,  1238,  1246,  1250,  1258,  1266,  1273,  1280,  1288,  1299,
    1307,  1315,  1326,  1334,  1342,  1349,  1358,  1368,  1369,  1376,
    1377,  1380,  1382,  1386,  1387,  1388,  1389,  1393,  1394,  1395,
    1401,  1413,  1417,  1421,  1436,  1459,  1460,  1461,  1465,  1466,
    1467,  1471,  1472,  1476,  1483,  1490,  1497,  1504,  1514,  1515,
    1520,  1521,  1526,  1532,  1538,  1544,  1550,  1560,  1570,  1571,
    1575,  1576,  1584,  1599,  1605,  1611,  1617,  1635,  1644,  1653,
    1662,  1671,  1680,  1689,  1698,  1710,  1711,  1716,  1724,  1732,
    1741,  1749,  1757,  1766,  1775,  1784,  1793,  1803,  1816,  1830,
    1839,  1847,  1855,  1865,  1875,  1882,  1889,  1897,  1905,  1913,
    1921,  1929,  1936,  1943,  1951,  1958,  1965,  1973,  1981,  1989,
    1997,  2005,  2013,  2023,  2030,  2038,  2046,  2054,  2061,  2071,
    2072,  2076,  2077,  2078,  2082,  2090,  2094,  2095,  2099,  2102,
    2103,  2107,  2108,  2113,  2117,  2121,  2126,  2141,  2154,  2155,
    2160,  2169,  2179,  2189,  2214,  2220,  2247,  2269,  2283,  2284,
    2293,  2294,  2295,  2298,  2299,  2304,  2305,  2309,  2313,  2317,
    2321,  2325,  2329,  2333,  2337,  2341,  2345,  2349,  2353,  2362,
    2366,  2370,  2374,  2378,  2382,  2386,  2387,  2392,  2396,  2403,
    2410,  2411,  2412,  2413,  2414,  2418,  2422,  2430,  2441,  2456,
    2472,  2488,  2513,  2514,  2515,  2516,  2517,  2518,  2519,  2520,
    2524,  2525,  2529,  2530,  2534,  2538,  2545,  2549,  2556,  2557,
    2558,  2562,  2563,  2566,  2586,  2606,  2607,  2611,  2619,  2620,
    2621,  2652,  2659,  2666,  2677,  2688,  2698,  2707,  2740,  2747,
    2754,  2761,  2772,  2782,  2783,  2784,  2788,  2789,  2790,  2791,
    2792,  2793,  2802,  2810,  2814,  2828,  2843,  2857,  2872,  2886,
    2904,  2925,  2926,  2930,  2931,  2935,  2936,  2939,  2945,  2949,
    2957,  2962,  2968,  2969,  2973,  2978,  2985,  2986,  2996,  2998,
    3000,  3002,  3005,  3008,  3011,  3015,  3016,  3017,  3018,  3019,
    3022,  3023,  3028,  3029,  3030,  3031,  3034,  3035,  3036,  3037,
    3040,  3041,  3044,  3045,  3048,  3063,  3077,  3090,  3091,  3092,
    3105,  3117,  3125,  3136,  3137,  3140,  3141,  3144,  3148,  3152,
    3156,  3160,  3164,  3168,  3172,  3176,  3180,  3184,  3188,  3194,
    3195,  3199,  3200,  3205,  3208,  3209,  3221,  3233,  3248,  3249,
    3257,  3258,  3262,  3263,  3267,  3268,  3272,  3273,  3277,  3288,
    3301,  3302,  3312,  3322,  3323,  3336,  3343,  3360,  3368,  3379,
    3382,  3386,  3390,  3394,  3406,  3416,  3419,  3423,  3436,  3446,
    3456,  3465,  3474,  3483,  3493,  3502,  3512,  3522,  3532,  3541,
    3550,  3559,  3568,  3577,  3586,  3595,  3604,  3613,  3622,  3631,
    3649,  3660,  3661,  3662,  3663,  3667,  3668,  3672,  3673,  3683,
    3694,  3714,  3722,  3734,  3735,  3739,  3743,  3751,  3755,  3759,
    3766,  3770,  3775,  3780,  3787,  3794,  3799,  3809,  3823,  3824,
    3829,  3830,  3834,  3835,  3845,  3856,  3876,  3885,  3893,  3910,
    3925,  3943,  3944,  3948,  3952,  3959,  3970,  3979,  3997,  4009,
    4010,  4011,  4021,  4029,  4046,  4065,  4085,  4110,  4111,  4112,
    4116,  4118,  4140,  4142,  4144,  4146,  4148,  4153,  4158,  4168,
    4169,  4173,  4174,  4178,  4179,  4183,  4184,  4185,  4189,  4195,
    4196,  4197,  4201,  4202,  4207,  4208,  4235,  4236,  4237,  4238,
    4239,  4244,  4255,  4278,  4298,  4321,  4331,  4342,  4352,  4362,
    4373,  4382,  4389,  4396,  4405,  4414,  4423,  4432,  4441,  4452,
    4455,  4456,  4459,  4463,  4470,  4471,  4472,  4473,  4474,  4477,
    4478,  4481,  4484,  4485,  4493,  4500,  4501,  4504,  4506,  4517,
    4526,  4535,  4559,  4574,  4575,  4579,  4589,  4600,  4609,  4619,
    4628,  4629,  4632,  4633,  4636,  4637,  4638,  4641,  4655,  4660,
    4670,  4679,  4691,  4692,  4696,  4704,  4716,  4727,  4741,  4752,
    4775,  4785,  4803,  4814,  4825,  4836,  4850,  4851,  4852,  4853,
    4854,  4855,  4856,  4857,  4858,  4859,  4860,  4861,  4862,  4863,
    4864,  4868,  4869,  4872,  4873,  4876,  4878,  4891,  4902,  4903,
    4904,  4930,  4939,  4948,  4957,  4966,  4975,  4984,  4994,  5003,
    5012,  5021,  5030,  5039,  5048,  5056,  5064,  5072,  5083,  5084,
    5085,  5086,  5087,  5088,  5089,  5090,  5091,  5092,  5093,  5094,
    5095,  5096,  5097,  5098,  5099,  5103,  5104,  5118,  5129,  5140,
    5151,  5162,  5175,  5176,  5180,  5181,  5182,  5183,  5184,  5185,
    5186,  5187,  5188,  5189,  5190,  5193,  5194,  5204,  5210,  5218,
    5226,  5234,  5242,  5250,  5258,  5266,  5274,  5282,  5290,  5298,
    5306,  5314,  5322,  5330,  5338,  5348,  5349,  5352,  5353,  5363,
    5379,  5393,  5419,  5421,  5423,  5425,  5432,  5441,  5442,  5445,
    5452,  5459,  5466,  5480,  5488,  5496,  5504,  5512,  5520,  5528,
    5536,  5544,  5552,  5560,  5568,  5576,  5584,  5592,  5600,  5612,
    5613,  5616,  5626,  5640,  5641,  5645,  5646,  5651,  5667,  5680,
    5690,  5702,  5703,  5706,  5707,  5717,  5727,  5728,  5732,  5736,
    5740,  5751,  5764,  5778,  5795,  5796,  5797,  5798,  5810,  5830,
    5831,  5835,  5836,  5840,  5841,  5845,  5846,  5849,  5850,  5858,
    5869,  5880,  5893,  5894,  5897,  5898,  5899,  5902,  5903,  5904,
    5907,  5908,  5909,  5925,  5937,  5950,  5965,  5966,  5969,  5970,
    5974,  5975,  5983,  5984,  5988,  5989,  6004,  6013,  6022,  6031,
    6040,  6052,  6053,  6054,  6055,  6056,  6062,  6066,  6081,  6082,
    6088,  6098,  6102,  6107,  6117,  6118,  6125,  6129,  6133,  6137,
    6141,  6145,  6149,  6153,  6157,  6161,  6165,  6169,  6173,  6177,
    6181,  6189,  6193,  6197,  6201,  6207,  6208,  6215,  6216,  6219,
    6231,  6235,  6250,  6261,  6262,  6267,  6268,  6283,  6294,  6308,
    6319,  6333,  6344,  6358,  6366,  6368,  6370,  6375,  6377,  6390,
    6399,  6400,  6404,  6408,  6420,  6431,  6442,  6455,  6456,  6457,
    6461,  6474,  6475,  6489,  6497,  6507,  6520,  6521,  6524,  6525,
    6535,  6545,  6554,  6563,  6572,  6581,  6591,  6600,  6610,  6619,
    6628,  6638,  6648,  6657,  6666,  6676,  6686,  6696,  6706,  6716,
    6726,  6736,  6746,  6756,  6766,  6777,  6788,  6798,  6809,  6820,
    6830,  6839,  6848,  6857,  6866,  6875,  6884,  6893,  6902,  6911,
    6920,  6934,  6935,  6938,  6939,  6949,  6959,  6968,  6977,  6986,
    6995,  7005,  7015,  7025,  7035,  7044,  7053,  7062,  7071,  7080,
    7089,  7098,  7107,  7116,  7125,  7134,  7143,  7160,  7169,  7177,
    7185,  7193,  7201,  7210,  7218,  7226,  7235,  7244,  7253,  7261,
    7269,  7277,  7285,  7293,  7301,  7318,  7335,  7336,  7337,  7342,
    7348,  7357,  7358,  7359,  7360,  7361,  7365,  7366,  7369,  7370,
    7371,  7372,  7376,  7377,  7378,  7383,  7394,  7416,  7426,  7427,
    7430,  7439,  7445,  7464,  7471,  7478,  7485,  7492,  7499,  7506,
    7514,  7522,  7530,  7538,  7546,  7553,  7560,  7569,  7570,  7571,
    7575,  7578,  7581,  7584,  7587,  7594,  7596,  7598,  7603,  7605,
    7617,  7629,  7644,  7650,  7656,  7662,  7672,  7688,  7698,  7699,
    7703,  7707,  7711,  7715,  7719,  7723,  7727,  7731,  7735,  7739,
    7743,  7747,  7751,  7755,  7759,  7763,  7773,  7774,  7785,  7792,
    7803,  7814,  7815,  7819,  7833,  7840,  7857,  7870,  7879,  7887,
    7895,  7904,  7915,  7926,  7936,  7937,  7948,  7958,  7968,  7978,
    7988,  7998,  8006,  8027,  8050,  8058,  8067,  8078,  8079,  8091,
    8105,  8119,  8131,  8143,  8160,  8161,  8165,  8166,  8167,  8168,
    8172,  8184,  8199,  8200,  8204,  8205,  8208,  8209,  8212,  8213,
    8217,  8218,  8231,  8238,  8248,  8255,  8265,  8266,  8267,  8268,
    8269,  8270,  8271,  8275,  8279,  8286,  8293,  8294,  8295,  8299,
    8300,  8301,  8311,  8321,  8322,  8326,  8327,  8328,  8329,  8339,
    8346,  8363,  8364,  8374,  8380,  8386,  8392,  8408,  8418,  8424,
    8430,  8439,  8441,  8446,  8457,  8458,  8469,  8483,  8484,  8495,
    8506,  8507,  8510,  8511,  8512,  8513,  8514,  8515,  8516,  8517,
    8520,  8521,  8532,  8550,  8551,  8555,  8556,  8560,  8568,  8596,
    8607,  8608,  8618,  8629,  8632,  8633,  8634,  8635,  8636,  8639,
    8640,  8641,  8689,  8690,  8694,  8695,  8709,  8710,  8717,  8725,
    8733,  8741,  8749,  8757,  8768,  8769,  8796,  8811,  8812,  8831,
    8835,  8839,  8854,  8861,  8871,  8872,  8875,  8887,  8888,  8892,
    8903,  8911,  8916,  8921,  8926,  8931,  8936,  8941,  8946,  8951,
    8958,  8959,  8962,  8963,  8964,  8971,  8972,  8973,  8974,  8978,
    8979,  8983,  8987,  8988,  8991,  9000,  9013,  9014,  9015,  9016,
    9020,  9021,  9025,  9027,  9037,  9042,  9045,  9050,  9051,  9059,
    9069,  9070,  9071,  9079,  9083,  9084,  9087,  9088,  9093,  9094,
    9098,  9099,  9103,  9104,  9108,  9109,  9113,  9114,  9118,  9126,
    9137,  9138,  9143,  9149,  9167,  9168,  9172,  9173,  9183,  9187,
    9192,  9199,  9207,  9214,  9224,  9234,  9262,  9269,  9273,  9299,
    9303,  9315,  9328,  9342,  9353,  9368,  9374,  9379,  9385,  9392,
    9393,  9394,  9395,  9399,  9400,  9412,  9413,  9418,  9425,  9432,
    9439,  9450,  9451,  9464,  9468,  9475,  9485,  9490,  9491,  9496,
    9497,  9505,  9510,  9511,  9515,  9519,  9525,  9554,  9559,  9566,
    9571,  9577,  9582,  9591,  9593,  9596,  9600,  9601,  9602,  9603,
    9604,  9605,  9610,  9640,  9641,  9642,  9643,  9654,  9660,  9668,
    9669,  9675,  9680,  9685,  9690,  9695,  9700,  9705,  9710,  9716,
    9722,  9728,  9735,  9757,  9766,  9770,  9778,  9782,  9790,  9802,
    9823,  9827,  9833,  9837,  9850,  9869,  9892,  9894,  9896,  9898,
    9900,  9902,  9907,  9908,  9912,  9913,  9920,  9929,  9937,  9946,
    9957,  9965,  9966,  9967,  9971,  9973,  9975,  9977,  9979,  9981,
    9983,  9988,  9993,  9999, 10007, 10012, 10019, 10026, 10030, 10034,
   10064, 10065, 10067, 10075, 10097, 10099, 10101, 10103, 10105, 10107,
   10109, 10111, 10113, 10115, 10117, 10120, 10122, 10124, 10127, 10129,
   10131, 10134, 10136, 10149, 10151, 10164, 10166, 10179, 10181, 10195,
   10208, 10221, 10234, 10257, 10264, 10271, 10278, 10285, 10289, 10296,
   10303, 10310, 10317, 10324, 10331, 10335, 10343, 10347, 10357, 10364,
   10371, 10384, 10397, 10416, 10437, 10447, 10454, 10470, 10475, 10493,
   10495, 10497, 10499, 10501, 10503, 10505, 10507, 10509, 10511, 10513,
   10515, 10517, 10519, 10521, 10523, 10525, 10529, 10534, 10538, 10542,
   10547, 10564, 10565, 10566, 10581, 10593, 10595, 10597, 10607, 10617,
   10627, 10635, 10654, 10667, 10680, 10693, 10706, 10719, 10736, 10749,
   10772, 10785, 10806, 10816, 10829, 10846, 10859, 10869, 10882, 10892,
   10905, 10918, 10931, 10944, 10957, 10970, 10983, 10985, 10998, 11016,
   11030, 11046, 11068, 11084, 11097, 11110, 11123, 11127, 11134, 11142,
   11150, 11154, 11158, 11162, 11166, 11170, 11185, 11189, 11198, 11202,
   11206, 11211, 11225, 11227, 11231, 11233, 11235, 11238, 11241, 11244,
   11245, 11248, 11256, 11266, 11267, 11270, 11271, 11272, 11277, 11281,
   11285, 11289, 11300, 11301, 11305, 11306, 11311, 11319, 11321, 11335,
   11338, 11365, 11366, 11369, 11370, 11381, 11399, 11406, 11415, 11432,
   11477, 11485, 11493, 11501, 11509, 11530, 11531, 11532, 11535, 11536,
   11537, 11540, 11541, 11544, 11545, 11546, 11547, 11548, 11549, 11550,
   11551, 11552, 11555, 11557, 11562, 11564, 11569, 11571, 11573, 11575,
   11577, 11579, 11591, 11595, 11602, 11606, 11612, 11616, 11627, 11628,
   11631, 11635, 11639, 11645, 11646, 11651, 11655, 11662, 11663, 11664,
   11665, 11666, 11667, 11668, 11669, 11679, 11683, 11690, 11697, 11698,
   11714, 11718, 11723, 11727, 11742, 11747, 11751, 11754, 11757, 11758,
   11759, 11762, 11769, 11779, 11793, 11794, 11798, 11809, 11810, 11813,
   11814, 11817, 11821, 11828, 11832, 11836, 11843, 11853, 11854, 11858,
   11859, 11862, 11863, 11874, 11875, 11884, 11885, 11893, 11904, 11905,
   11908, 11924, 11932, 11940, 11962, 11963, 11974, 11978, 12005, 12007,
   12012, 12015, 12018, 12020, 12022, 12024, 12034, 12036, 12047, 12051,
   12055, 12059, 12063, 12072, 12079, 12104, 12108, 12114, 12131, 12135,
   12139, 12145, 12146, 12147, 12149, 12150, 12151, 12167, 12168, 12169,
   12174, 12175, 12176, 12182, 12183, 12184, 12185, 12186, 12206, 12207,
   12208, 12209, 12210, 12211, 12212, 12213, 12214, 12215, 12216, 12217,
   12218, 12219, 12220, 12221, 12222, 12223, 12224, 12225, 12226, 12227,
   12228, 12229, 12230, 12231, 12232, 12233, 12234, 12235, 12236, 12237,
   12238, 12239, 12240, 12241, 12242, 12243, 12244, 12245, 12246, 12247,
   12248, 12249, 12250, 12251, 12252, 12253, 12254, 12255, 12256, 12257,
   12258, 12259, 12260, 12261, 12262, 12263, 12264, 12265, 12266, 12267,
   12268, 12269, 12270, 12271, 12272, 12273, 12274, 12275, 12276, 12277,
   12278, 12279, 12280, 12281, 12282, 12283, 12284, 12285, 12286, 12287,
   12288, 12289, 12290, 12291, 12292, 12293, 12294, 12295, 12296, 12297,
   12298, 12299, 12300, 12301, 12302, 12303, 12304, 12305, 12306, 12307,
   12308, 12309, 12310, 12311, 12312, 12313, 12314, 12315, 12316, 12317,
   12318, 12319, 12320, 12321, 12322, 12323, 12324, 12325, 12326, 12327,
   12328, 12329, 12330, 12331, 12332, 12333, 12334, 12335, 12336, 12337,
   12338, 12339, 12340, 12341, 12342, 12343, 12344, 12345, 12346, 12347,
   12348, 12349, 12350, 12351, 12352, 12353, 12354, 12355, 12356, 12357,
   12358, 12359, 12360, 12361, 12362, 12363, 12364, 12365, 12366, 12367,
   12368, 12369, 12370, 12371, 12372, 12373, 12374, 12375, 12376, 12377,
   12378, 12379, 12380, 12381, 12382, 12383, 12384, 12385, 12386, 12387,
   12388, 12389, 12390, 12391, 12392, 12393, 12394, 12395, 12396, 12397,
   12398, 12399, 12400, 12401, 12402, 12403, 12404, 12405, 12406, 12407,
   12408, 12409, 12410, 12411, 12412, 12413, 12414, 12415, 12416, 12417,
   12418, 12419, 12420, 12421, 12422, 12423, 12424, 12425, 12426, 12427,
   12428, 12429, 12430, 12431, 12432, 12433, 12434, 12435, 12436, 12437,
   12438, 12439, 12440, 12441, 12442, 12443, 12444, 12445, 12446, 12447,
   12448, 12449, 12450, 12451, 12452, 12453, 12454, 12455, 12469, 12470,
   12471, 12472, 12473, 12474, 12475, 12476, 12477, 12478, 12479, 12480,
   12481, 12482, 12483, 12484, 12485, 12486, 12487, 12488, 12489, 12490,
   12491, 12492, 12493, 12494, 12495, 12496, 12497, 12498, 12499, 12500,
   12501, 12502, 12503, 12504, 12505, 12506, 12507, 12508, 12509, 12510,
   12511, 12512, 12513, 12514, 12515, 12529, 12530, 12531, 12532, 12533,
   12534, 12535, 12536, 12537, 12538, 12539, 12540, 12541, 12542, 12543,
   12544, 12545, 12546, 12547, 12548, 12549, 12550, 12560, 12561, 12562,
   12563, 12564, 12565, 12566, 12567, 12568, 12569, 12570, 12571, 12572,
   12573, 12574, 12575, 12576, 12577, 12578, 12579, 12580, 12581, 12582,
   12583, 12584, 12585, 12586, 12587, 12588, 12589, 12590, 12591, 12592,
   12593, 12594, 12595, 12596, 12597, 12598, 12599, 12600, 12601, 12602,
   12603, 12604, 12605, 12606, 12607, 12608, 12609, 12610, 12611, 12612,
   12613, 12614, 12615, 12616, 12617, 12618, 12619, 12620, 12621, 12622,
   12623, 12624, 12625, 12626, 12627, 12628, 12629, 12630, 12631, 12632,
   12633, 12634, 12635, 12636
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,    61,    60,    62,   668,    43,    45,    42,
      47,    37,    94,   669,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   432,   433,   434,   434,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   436,   437,   437,   438,
     438,   439,   439,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   441,   441,   441,   441,   441,   441,   442,   443,
     444,   444,   445,   446,   447,   448,   448,   449,   449,   450,
     451,   452,   452,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   457,   457,   457,   457,   458,   458,   458,
     459,   459,   459,   460,   460,   460,   460,   460,   460,   460,
     460,   460,   460,   460,   460,   460,   460,   461,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   465,
     465,   466,   466,   466,   466,   466,   466,   466,   467,   467,
     467,   468,   468,   469,   469,   469,   469,   469,   470,   470,
     471,   471,   472,   472,   472,   472,   472,   473,   474,   474,
     475,   475,   476,   477,   477,   477,   477,   478,   478,   478,
     478,   478,   478,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   481,
     481,   482,   482,   482,   483,   483,   484,   484,   485,   486,
     486,   487,   487,   488,   488,   488,   488,   489,   490,   490,
     491,   491,   491,   491,   492,   492,   493,   493,   494,   494,
     495,   495,   495,   496,   496,   497,   497,   498,   498,   498,
     498,   498,   498,   498,   498,   498,   498,   498,   498,   499,
     499,   500,   500,   501,   501,   502,   502,   503,   503,   504,
     505,   505,   505,   505,   505,   506,   506,   507,   508,   508,
     508,   508,   509,   509,   509,   509,   509,   509,   509,   509,
     510,   510,   511,   511,   512,   512,   513,   513,   514,   514,
     514,   515,   515,   516,   517,   518,   518,   519,   519,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   521,   521,
     521,   521,   522,   523,   523,   523,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   528,   528,   529,   529,   530,   531,   531,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   536,   537,   538,   538,   538,   538,   538,
     539,   539,   540,   540,   540,   540,   541,   541,   541,   541,
     542,   542,   543,   543,   544,   545,   546,   547,   547,   547,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   558,   559,   559,   560,   560,   561,   561,   562,   562,
     563,   563,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   570,   571,   571,   572,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   580,   580,   581,   581,   582,   583,   583,
     584,   584,   584,   584,   585,   586,   587,   588,   589,   589,
     590,   590,   591,   591,   592,   592,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   598,   598,   599,   600,
     600,   600,   601,   601,   602,   603,   603,   604,   604,   604,
     605,   605,   606,   606,   606,   606,   606,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   611,   612,   612,
     612,   612,   613,   613,   614,   614,   615,   615,   615,   615,
     615,   616,   616,   617,   618,   619,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   619,   619,   619,   620,
     621,   621,   622,   622,   623,   623,   623,   623,   623,   624,
     624,   625,   626,   626,   627,   628,   628,   629,   629,   630,
     630,   630,   631,   632,   632,   633,   633,   633,   633,   633,
     634,   634,   635,   635,   636,   636,   636,   637,   637,   638,
     639,   639,   640,   640,   641,   641,   642,   642,   643,   643,
     644,   645,   646,   646,   646,   646,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   648,   648,   649,   649,   650,   650,   651,   652,   652,
     652,   653,   653,   653,   653,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   653,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   655,   655,   656,   656,   656,
     656,   656,   657,   657,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   659,   659,   660,   660,   661,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   662,   662,   663,   663,   664,
     665,   665,   666,   666,   666,   666,   666,   667,   667,   668,
     668,   668,   668,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   670,
     670,   671,   671,   672,   672,   673,   673,   674,   675,   676,
     676,   677,   677,   678,   678,   679,   680,   680,   681,   681,
     681,   682,   682,   682,   683,   683,   683,   683,   684,   685,
     685,   686,   686,   687,   687,   688,   688,   689,   689,   690,
     690,   690,   691,   691,   692,   692,   692,   693,   693,   693,
     694,   694,   694,   695,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   701,   701,   701,   701,
     701,   702,   702,   702,   702,   702,   703,   704,   705,   705,
     705,   706,   706,   706,   707,   707,   708,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   709,   709,   709,   709,   710,   710,   711,   711,   712,
     713,   713,   714,   715,   715,   716,   716,   717,   717,   718,
     718,   719,   719,   720,   720,   720,   720,   721,   721,   722,
     723,   723,   724,   724,   725,   725,   725,   726,   726,   726,
     727,   728,   728,   729,   729,   729,   730,   730,   731,   731,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   733,   733,   734,   734,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   737,   738,   738,   738,   739,
     739,   740,   740,   740,   740,   740,   741,   741,   742,   742,
     742,   742,   743,   743,   743,   744,   744,   745,   746,   746,
     747,   748,   748,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   750,   750,   750,
     751,   751,   751,   751,   751,   752,   752,   752,   753,   753,
     754,   754,   755,   755,   755,   755,   756,   757,   758,   758,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   760,   760,   761,   761,
     762,   763,   763,   764,   765,   765,   766,   767,   767,   767,
     767,   767,   767,   767,   768,   768,   769,   770,   770,   770,
     770,   770,   770,   771,   772,   772,   772,   773,   773,   774,
     774,   774,   774,   774,   775,   775,   776,   776,   776,   776,
     777,   777,   778,   778,   779,   779,   780,   780,   781,   781,
     782,   782,   783,   783,   783,   783,   784,   784,   784,   784,
     784,   784,   784,   785,   785,   786,   787,   787,   787,   788,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   792,
     792,   793,   793,   794,   794,   794,   794,   795,   796,   796,
     796,   797,   797,   798,   799,   799,   800,   801,   801,   802,
     803,   803,   804,   804,   804,   804,   804,   804,   804,   804,
     805,   805,   806,   807,   807,   808,   808,   809,   810,   811,
     812,   812,   813,   814,   815,   815,   815,   815,   815,   816,
     816,   816,   817,   817,   818,   818,   819,   819,   819,   819,
     819,   819,   819,   819,   820,   820,   821,   821,   821,   821,
     821,   821,   822,   822,   823,   823,   824,   825,   825,   826,
     826,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     828,   828,   829,   829,   829,   830,   830,   830,   830,   831,
     831,   832,   833,   833,   834,   834,   835,   835,   835,   835,
     836,   836,   837,   837,   837,   838,   838,   839,   839,   840,
     841,   841,   841,   842,   843,   843,   844,   844,   845,   845,
     846,   846,   847,   847,   848,   848,   849,   849,   850,   850,
     851,   851,   852,   852,   853,   853,   854,   854,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   856,
     856,   856,   856,   856,   856,   857,   857,   857,   857,   858,
     858,   858,   858,   859,   859,   860,   860,   861,   861,   861,
     861,   862,   862,   863,   863,   863,   864,   865,   865,   866,
     866,   866,   867,   867,   868,   868,   869,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   872,   872,   872,   872,
     872,   872,   872,   873,   873,   873,   873,   874,   874,   875,
     875,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   877,   877,   878,   878,   879,   879,   880,   881,
     882,   882,   883,   883,   884,   885,   886,   886,   886,   886,
     886,   886,   887,   887,   888,   888,   889,   889,   889,   889,
     890,   891,   891,   891,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   898,   898,   899,   899,   899,   899,   900,   901,
     901,   902,   902,   903,   903,   904,   904,   904,   905,   905,
     905,   905,   906,   906,   907,   907,   908,   909,   909,   909,
     910,   911,   911,   912,   912,   913,   913,   913,   914,   914,
     915,   915,   915,   915,   915,   916,   916,   916,   917,   917,
     917,   918,   918,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   920,   920,   921,   921,   922,   922,   922,   922,
     922,   922,   923,   923,   924,   924,   925,   925,   926,   926,
     927,   927,   927,   928,   928,   929,   929,   930,   930,   930,
     930,   930,   930,   930,   930,   931,   931,   932,   933,   933,
     934,   934,   934,   934,   934,   934,   935,   936,   937,   937,
     937,   938,   938,   939,   940,   940,   941,   942,   942,   943,
     943,   944,   944,   945,   945,   945,   945,   946,   946,   947,
     947,   948,   948,   949,   949,   950,   950,   951,   952,   952,
     953,   953,   953,   953,   954,   954,   955,   955,   956,   956,
     957,   958,   959,   960,   961,   962,   963,   963,   964,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     964,   965,   966,   967,   968,   968,   968,   969,   969,   969,
     970,   970,   970,   971,   971,   971,   971,   971,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     4,     6,     4,
       6,     4,     6,     4,     6,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     6,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     7,     5,     2,     3,     0,
       5,     4,     6,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     5,     2,     0,     2,     7,    10,
       6,     6,     6,     6,     7,     7,     9,     9,     6,     6,
       8,     8,     8,     8,     6,     6,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
      11,     3,     2,     1,     3,     1,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     6,     8,     8,     4,     5,     4,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     6,     4,     5,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     1,     3,     3,     1,     0,     1,     3,     6,
       8,     8,    13,     1,     3,     5,     6,     4,     7,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     5,     7,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     8,     8,     8,     8,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     3,     1,     1,     8,     9,     9,
       9,     9,     2,     0,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       1,     1,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     1,     1,     1,     3,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       7,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     6,     6,     6,     8,     6,     8,     6,     8,
       6,     8,     7,     9,     8,    10,     8,     9,    11,     8,
       6,     6,     6,     5,     5,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     6,     6,     6,     6,
       6,     7,     9,     9,     6,     8,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     6,     7,     6,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     6,     8,     3,     2,     0,
       2,     2,     2,     2,     3,     3,     2,     2,     2,     2,
       3,     2,     5,     4,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       9,    11,     3,     4,     4,     0,     2,     5,     2,     0,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     3,     1,     0,     5,     6,
       4,     2,     0,     4,     3,     5,     6,     4,     6,     6,
       5,     7,     9,     6,     1,     0,     6,    11,    11,    11,
      13,     9,    11,    10,     4,     2,     5,     2,     0,     4,
       5,     5,     4,     6,     1,     3,     1,     1,     1,     1,
       2,     4,     1,     1,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       1,     0,     5,     3,     0,     1,     1,     1,     1,     3,
       9,     3,     0,     2,     3,     2,     3,     6,     1,     4,
       2,     1,     3,     2,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     8,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       2,     0,     1,     3,     1,     0,     1,     2,     4,     4,
       2,     0,     2,     3,     2,     0,     1,     3,     1,     2,
       1,     2,     5,     6,     5,     1,     2,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     1,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     5,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     2,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     1,     4,     5,     6,     8,     6,     7,     7,     5,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     2,     2,     0,     1,     4,
       2,     2,     2,     2,     2,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     2,     0,
       2,     1,     0,     1,     1,     1,     3,     3,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     5,     2,     3,     6,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1328,  1129,   511,  1213,  1212,  1129,   232,     0,  1215,     0,
    1129,   340,   907,     0,     0,     0,     0,   511,  1129,     0,
    1328,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,  1129,     0,     0,  1348,     0,     0,
       0,     0,  1341,     0,  1217,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1215,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1315,  1302,  1350,  1314,  1327,     0,  1317,  1128,
    1127,  1113,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1139,  1847,
    1858,  1859,  1860,  1861,  1862,  1863,  1864,  1865,   315,  1866,
    1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,  2108,
    2109,  2110,  2111,  1876,  1877,  1878,  1879,  1880,  1881,  1882,
    2112,  2113,  1883,  1884,  1885,  1886,  1887,  2114,  1888,  1889,
    1890,  1891,  1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,
    1900,  1901,  1902,  1903,  1904,  1905,  1906,  1907,  2115,  2116,
    1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,  1917,
    1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,
    1928,  1929,  1930,  1931,  2117,  1932,  1933,  1934,  2118,  1935,
    1936,  2119,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  2120,
    1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,
    1954,  1955,  1956,  1957,  1958,  1959,  2121,  1960,  1961,  1962,
    1963,  2122,  2123,  2124,  1964,  1965,  1966,  1967,  1968,  1969,
    1970,  1971,  1972,  1973,  2125,  1974,  1975,  1976,  1977,  1978,
    1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,
    1989,  2126,  2127,  1990,  1991,  2128,  1992,  1993,  1994,  2129,
    1995,  2130,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2131,
    2132,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2133,
    2011,  2134,  2014,  2012,  2013,  2015,  2016,  2017,  2018,  2019,
    2020,  2021,  2135,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,
    2039,  2136,  2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,
    2048,  2049,  2050,  2051,  2052,  2053,  2137,  2054,  2055,  2056,
    2138,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2139,  2068,  2069,  2070,  2071,  2072,  2073,  2074,
    2075,  2140,  2141,  2076,  2142,  2077,  2143,  2078,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2144,  2145,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2102,  2103,  2104,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2105,  2106,  2107,   314,  1293,
    1820,  1848,  1849,  1214,  1195,   511,     0,  1116,   339,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
     363,   362,     0,     0,     0,   879,   368,     0,     0,     0,
       0,   499,  1255,  2012,  1253,  1294,   233,   236,   234,   235,
    1842,     0,   979,   980,   982,     0,     0,   992,   723,   724,
       0,   722,   726,     0,     0,     0,   719,     0,     0,     0,
       0,   725,   717,     0,   716,     0,     0,     0,   721,     0,
     718,     0,     0,  1117,  1252,   369,  1328,     0,  1231,  1215,
    1222,  1232,  1227,  1229,  1228,  1230,  1226,  1841,  1859,   818,
     818,   818,   818,   815,   816,   818,   818,   818,  2027,     0,
       0,   797,     0,   799,  1844,   818,   823,   424,   424,   424,
       0,   822,   827,   424,  1110,  1146,  1825,  1340,     0,   798,
    1109,  2076,  1244,     0,     0,   996,     0,   997,     0,  2042,
    1121,   217,  2052,  2140,  2076,   213,   187,  1863,     0,     0,
     822,     0,  1118,  1119,   783,  1347,  1345,     0,  1881,  1894,
    1977,   210,  2038,  2043,  2052,  2140,  2076,  2104,   167,   172,
       0,   226,  2052,  2140,  2076,   222,  1139,     0,  1318,  1427,
    1816,     0,  1112,  1111,  1216,     0,  1219,     0,  1392,  2024,
    1322,  1324,  1221,  1315,     0,     0,     1,  1328,  1210,  1344,
    1344,     0,  1344,     0,  1307,  1315,  1310,  1314,     0,     0,
       0,     0,  1847,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,  2176,     0,     0,  1826,  1848,  1852,
       0,   733,     0,   118,  1821,   867,     0,     0,     0,  1820,
       0,     0,     0,     0,     0,  1843,  1949,     0,     0,  1721,
    1885,  1935,  1731,  1729,  1730,  1723,  1724,  1725,  1726,  1727,
    1728,     0,   977,  1722,     0,   118,     0,  1949,     0,     0,
    1949,     0,     0,     0,     0,     0,  1980,   118,  1949,     0,
       0,  1133,     0,     0,     0,  1135,  1138,  1114,  1198,     0,
    1816,     0,     0,   767,   758,     0,   768,   759,   764,   770,
       0,     0,   761,     0,     0,   771,     0,   760,   762,   773,
     763,   769,     0,     0,   765,   766,     0,     0,  1125,   424,
       0,     0,     0,     0,     0,     0,   118,  1185,  1949,   118,
       0,     0,   367,   366,   118,   365,   364,  1885,  1935,     0,
     906,   118,     0,   160,   579,   514,     0,     0,   649,  1980,
     118,     0,     0,     0,     0,   882,     0,     0,   498,   511,
    1256,  1254,     0,   983,   212,   211,   981,  1949,     0,   293,
       0,     0,  1949,  1174,     0,   720,  1949,     0,  1949,   153,
    1818,     0,  1885,  1935,  1949,     0,     0,  1949,   145,  1949,
       0,  1949,   293,  1949,   515,     0,  1949,     0,  1949,  1980,
     147,     0,  1949,   293,   731,     0,  1249,     0,  1224,  2144,
    1238,  1237,     0,  1233,  1241,  1236,  1328,   818,   817,     0,
     818,     0,   818,     0,   818,     0,   818,     0,     0,     0,
     818,  1845,  1846,   800,     0,   824,     0,     0,   831,   830,
     829,     0,     0,     0,   832,  1431,  1271,     0,  1107,  1124,
       0,     0,     0,   999,   999,   999,  1120,   216,   214,     0,
       0,     0,     0,     0,     0,  1126,     0,     0,     0,     0,
    1829,  1831,  1832,  1732,  1799,     0,  2109,  2110,  2111,  1790,
       0,  2112,  2113,  2114,     0,  1644,  1631,  1640,  1645,  1632,
    1634,  1641,  2115,  2116,  1920,  2117,  2118,  1839,  2119,  2120,
    2122,  2123,  2124,  2125,  1636,  1638,  2126,  2127,     0,  1840,
    2129,  2130,  2000,  2132,  2133,  2135,  2136,  1642,  2138,  2139,
    2140,  2141,  2142,  2143,  1838,     0,  1643,  2145,  2147,  2148,
    2149,  2150,  2151,  2152,  2153,  2154,     0,     0,  1813,     0,
    1617,     0,  1463,  1464,  1486,  1487,  1465,  1492,  1493,  1505,
    1466,     0,  1812,  1530,  1616,  1621,     0,  1615,  1611,  1330,
    1808,     0,  1612,  1828,  1830,  1791,   179,   228,     0,   229,
    1814,  2052,   168,   209,   181,   208,   182,   180,     0,  1883,
     169,     0,     0,   170,     0,     0,     0,     0,   225,   223,
       0,  1115,     0,  1429,  1428,     0,     0,  1797,  1817,   740,
    1208,  1209,  1207,     0,  1204,  1206,  1218,  1215,  1804,  1803,
    1805,     0,  1323,     0,     0,     0,  1305,  1304,     3,  1221,
    1342,  1343,     0,     0,     0,     0,     0,     0,     0,     0,
    1385,  1358,  1359,  1361,  1382,  1386,     0,  1311,     0,     0,
    1433,     0,  1393,     0,     0,  1827,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,   117,  1172,   219,
    1170,     0,     0,     0,     0,     0,     0,     0,  1177,     0,
     151,   152,   526,   511,     0,  1949,     0,     0,     0,     0,
     939,   946,     0,     0,     0,     0,     0,     0,     0,   940,
     938,   941,   221,   950,   963,   966,     0,   857,     0,     0,
       0,     0,  1042,     0,     0,  1042,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   245,   288,
     491,     0,     0,   493,     0,     0,     0,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,   478,   490,     0,
       0,     0,     0,     0,   487,     0,   118,   241,   471,   475,
       0,     0,     0,   588,   587,     0,  1042,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   307,   308,     0,     0,     0,   122,
     144,     0,     0,     0,   243,     0,     0,  1134,  1131,  1132,
       0,  1137,     0,  1194,     0,     0,     0,     0,     0,   772,
       0,     0,  1885,  1935,     0,     0,     0,     0,     0,     0,
     342,   321,   322,   118,   320,     0,     0,   646,     0,  1850,
    1474,  1503,  1481,  1503,  1503,  1470,  1470,  1483,  1471,  1472,
    1510,     0,  1503,  1470,  1475,     0,  1473,  1513,  1513,  1498,
       0,  1455,  1456,  1457,  1458,  1484,  1485,  1459,  1490,  1491,
    1460,  1527,  1470,  1851,     0,     0,   657,     0,  1149,  1184,
       0,     0,   520,     0,  1949,     0,   120,   691,     0,   647,
       0,   120,     0,   156,     0,   583,     0,     0,     0,     0,
       0,     0,   608,   607,     0,     0,     0,   648,     0,   120,
     474,  1949,     0,   424,   424,     0,   881,   884,     0,     0,
       0,  1297,  1299,  1298,     0,  1296,     0,   293,   291,   292,
     644,   991,     0,     0,     0,     0,   293,     0,     0,  1949,
     293,  1949,     0,  1949,     0,     0,   293,   293,     0,     0,
       0,     0,   584,     0,   730,   728,   727,   729,     0,     0,
       0,     0,     0,  1949,   293,     0,     0,   713,  1742,     0,
       0,  1328,     0,   198,   199,   197,  1239,   200,  1240,  1235,
    1223,     0,   808,     0,   812,     0,   803,     0,   809,     0,
     804,   801,   802,     0,   807,     0,     0,   425,   427,     0,
       0,  1905,  1919,     0,  1940,  1968,  1969,  2043,  2048,     0,
    2071,  2080,     0,   833,   862,   828,     0,     0,  1281,  1108,
    1748,     0,  1328,     0,   998,   995,   994,   993,   215,   188,
       0,     0,     0,   864,  2042,  1123,   782,   511,     0,  1613,
       0,  1619,  1620,  1502,  1489,  1789,     0,     0,  1497,  1496,
       0,     0,     0,     0,     0,  1479,  1478,  1477,  1618,  1756,
       0,  1476,     0,     0,     0,     0,  1503,  1503,  1501,  1550,
       0,  1480,     0,     0,  1769,     0,  1775,     0,     0,     0,
    1509,     0,  1507,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,  1534,  1535,  1617,  1742,     0,  1835,
       0,     0,  1495,     0,  1527,  1811,  1732,     0,     0,     0,
       0,  1802,     0,  1740,     0,     0,  1564,  1738,     0,  1566,
       0,     0,     0,  1731,  1729,  1730,  1723,  1724,  1725,  1726,
    1727,  1728,  1736,  1547,     0,     0,  1546,     0,     0,  1395,
       0,  1833,  1792,   230,   231,   227,     0,     0,   184,   183,
       0,   202,   206,   207,   178,   205,     0,   201,   186,  1684,
    1683,   185,   177,   175,   173,   189,   191,   192,   176,   174,
     224,     0,     0,  1853,  2177,  2178,  2179,  2180,  2181,  2182,
    2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
    2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,
    2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,
    2253,  1794,  1793,  1823,  1854,  1855,  1856,  1857,  1798,     0,
       0,   293,  1202,     0,  1199,  1807,     0,  1325,     0,     0,
    1211,  1321,  1320,  1351,  1352,   899,  1319,  1376,  1377,  1372,
       0,  1391,  1391,  1368,  1362,  1367,  1365,     0,  1369,  1530,
    1384,  1309,  1356,  1357,  1360,  1308,     0,  1387,  1385,  1361,
    1268,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,     0,
    2071,   218,  1168,     0,     0,     0,     0,   866,   865,   422,
       0,   886,     0,     0,     0,  1180,   413,     0,   290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,     0,  1042,     0,   596,
       0,   948,     0,   947,     0,     0,     0,   949,   944,   945,
    2043,  2052,  2076,   220,   965,     0,   964,   962,   921,   923,
     922,     0,   925,   909,     0,   910,     0,     0,   920,   928,
     926,     0,     0,     0,     0,  1928,   247,   260,     0,  1041,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     280,     0,   283,   282,     0,     0,     0,     0,   287,     0,
       0,     0,   286,     0,     0,   492,     0,     0,     0,     0,
       0,     0,     0,   978,     0,     0,   139,   142,     0,     0,
       0,   477,   489,     0,   481,   482,   479,   483,   484,     0,
       0,     0,     0,     0,     0,   476,     0,     0,   581,   580,
     586,     0,     0,     0,     0,     0,     0,     0,  1034,  1033,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   599,   600,     0,   601,     0,   143,
       0,     0,     0,     0,     0,     0,     0,   196,  1130,  1136,
    1197,  1824,  1196,     0,     0,     0,   774,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   326,  1850,     0,   672,   645,     0,  1455,
       0,  1451,  1447,  1516,  1517,  1518,  1515,  1528,  1514,     0,
    1461,  1519,  1470,  1467,   658,     0,   660,   663,     0,  1147,
     386,     0,   517,   558,     0,     0,     0,   149,     0,     0,
       0,   116,   160,   369,     0,   159,   161,   163,   164,   165,
     162,   166,   578,   582,     0,   513,     0,     0,     0,     0,
       0,   609,   613,   612,   616,   614,     0,   610,     0,     0,
    1443,     0,   138,   470,   473,     0,     0,     0,   371,   455,
     300,     0,     0,   883,     0,     0,     0,     0,     0,     0,
       0,  1295,     0,   969,     0,  1175,  1949,   293,     0,   967,
     154,  1819,     0,   714,     0,     0,     0,     0,     0,   971,
     710,   146,     0,   293,   293,   516,     0,   293,   148,     0,
       0,     0,   508,   293,   732,  1251,     0,   424,  1225,  1234,
     805,   814,   813,   811,   810,   806,     0,   825,     0,   423,
       0,     0,     0,   839,   840,     0,     0,   838,   855,   841,
       0,   843,   835,   834,   844,   845,     0,     0,   864,     0,
    1278,     0,  1276,     0,  1432,  1280,  1269,  1243,     0,  1242,
    1246,  1248,  1247,  1245,     0,     0,     0,   822,     0,     0,
     293,  1122,     0,   784,   785,   790,     0,     0,     0,   791,
     787,   788,   789,   792,   793,   794,     0,     0,     0,  1800,
    1752,     0,  1753,     0,     0,     0,  1788,  1784,     0,     0,
       0,     0,     0,     0,  1757,  1760,  1761,  1762,  1759,  1763,
    1758,     0,     0,  1764,     0,     0,     0,     0,     0,  1500,
    1499,     0,     0,     0,     0,     0,     0,     0,  1589,  1621,
       0,     0,  1716,     0,  1742,  1774,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,  1742,  1780,     0,     0,
       0,     0,  1682,     0,  1679,     0,     0,     0,     0,  1799,
       0,     0,     0,     0,  1836,  1531,  1548,  1810,     0,  1801,
       0,     0,  1532,  1555,     0,  1781,  1582,     0,  1587,  1570,
       0,  1563,     0,  1568,  1572,  1551,  1802,  1741,     0,  1739,
       0,     0,  1549,     0,  1544,  1542,  1543,  1536,  1537,  1538,
    1539,  1540,  1541,  1545,  1720,  1718,  1719,     0,     0,     0,
    1567,  1942,  1977,     0,  1341,  1341,  1341,  1329,  1339,  1809,
       0,  1438,     0,     0,     0,     0,  1699,     0,  1746,     0,
    1744,  1826,  1815,     0,     0,  1527,     0,  1430,  1795,     0,
     738,   739,   737,  1221,  1205,  1201,  1200,  1806,  1220,  1328,
       0,   897,   898,     0,   902,     0,     0,  1370,  1383,     0,
    1281,  1281,     0,  1374,  1375,  1366,  1313,  1312,     0,  1441,
       0,     0,  1265,  1258,  1435,     0,  1395,  1283,  1285,  1286,
       0,  1799,   670,   669,     0,     0,     0,  1068,  1001,  1046,
     736,  1069,  1002,  1047,  1070,  1003,  1169,     0,  1171,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   634,  1949,   293,  1178,  1071,     0,
    1004,   289,  1179,  1048,  1183,  1049,     0,   525,     0,     0,
     530,   531,   532,     0,     0,   533,  1885,  1935,     0,   538,
     544,   548,   539,     0,   549,   545,     0,     0,     0,     0,
       0,     0,   555,   562,     0,     0,     0,     0,     0,     0,
     942,   943,  1072,  1007,     0,  1050,   924,  1470,   908,     0,
       0,   919,     0,   918,  1470,  1470,  1008,   150,     0,   240,
     248,   564,  1044,   266,   279,   274,   275,   273,  1949,   293,
    1949,   293,     0,     0,     0,     0,   276,   271,   272,   268,
     281,  1862,  1921,  2053,     0,   568,   570,     0,   575,   284,
    1020,     0,   301,   304,   285,   264,   267,   265,   261,   246,
       0,     0,  1822,     0,     0,   973,     0,     0,     0,   141,
    1030,   131,     0,     0,   127,     0,     0,     0,     0,   121,
    1078,  1012,     0,     0,   242,   472,   480,   485,  1016,   488,
    1060,   486,  1084,  1013,  1042,     0,   238,     0,  1014,     0,
    1054,  1080,  1032,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,   293,     0,
     679,  1044,  1949,   293,  1079,     0,  1039,  1066,     0,   309,
       0,  1031,     0,     0,   244,  1018,  1062,     0,     0,   194,
     193,   195,     0,     0,     0,     0,     0,     0,     0,     0,
     776,   747,   775,     0,     0,     0,     0,     0,     0,     0,
     741,   341,   318,   319,     0,     0,   317,   323,     0,   671,
       0,     0,  1452,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1468,   659,     0,     0,     0,     0,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1148,  1176,   118,     0,
       0,     0,   519,   557,   564,     0,   592,   595,     0,   593,
       0,     0,     0,     0,     0,   132,   119,     0,   699,   424,
     155,     0,     0,     0,   512,   656,   654,   653,   655,     0,
       0,     0,   676,   652,     0,  1442,  1444,     0,     0,     0,
     469,   373,     0,     0,   370,   374,   378,   379,   380,   427,
       0,     0,   459,     0,     0,     0,     0,   913,     0,   931,
     914,     0,     0,     0,   953,   958,   954,   934,     0,   496,
    1300,  1301,     0,   293,     0,     0,   559,   293,   293,     0,
     293,     0,   293,   293,     0,  1105,   585,     0,   641,     0,
       0,   293,   712,  1743,   826,   426,     0,     0,     0,     0,
     837,     0,   494,   842,     0,   854,   849,   851,     0,   858,
    1279,  1272,  1274,  1273,     0,     0,  1270,  1749,   711,     0,
       0,   293,     0,   859,     0,   786,     0,     0,     0,     0,
    1346,  1750,  1751,     0,     0,     0,     0,  1785,     0,     0,
    1657,     0,  1633,  1635,  1469,  1647,     0,  1482,  1658,  1659,
    1637,  1639,     0,  1733,     0,     0,  1648,  1591,  1592,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1604,  1603,  1649,  1715,     0,     0,  1772,  1773,
    1650,  1512,  1513,  1513,     0,     0,  1779,     0,     0,     0,
    1655,  1660,     0,     0,     0,     0,  1666,     0,  1687,     0,
       0,     0,  1614,  1743,  1504,  1505,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,  1571,  1565,     0,  1569,  1573,
       0,     0,     0,     0,  1557,  1583,  1553,     0,     0,  1559,
       0,  1584,  1341,  1341,  1341,  1341,  1338,     0,     0,     0,
       0,  1405,  1394,  1396,  1407,  1398,  1400,  1436,     0,  1816,
       0,  1379,  1350,  1350,     0,  1699,     0,  1622,     0,  1699,
       0,     0,   171,     0,   203,   190,     0,  1203,     0,  1353,
       0,  1734,   902,   900,   901,  1355,     0,     0,  1390,  1389,
    1388,  1363,  1267,     0,  1265,  1260,     0,  1261,  1799,     0,
    1257,  1290,     0,     0,  1441,     0,  1289,  1067,  1000,  1045,
    1167,   869,   870,     0,   868,     0,     0,   421,     0,   412,
     885,     0,     0,     0,   634,     0,     0,   416,     0,  1181,
       0,   527,   528,     0,     0,   546,     0,     0,   535,     0,
       0,     0,     0,   534,   551,   500,   552,   554,     0,     0,
     553,   556,   561,  1042,     0,   597,  1022,     0,  1064,   936,
       0,  1470,   911,   916,   917,     0,     0,     0,   386,     0,
       0,     0,   249,   259,     0,     0,   263,     0,   257,   277,
     269,   278,   270,   572,   573,   571,   567,     0,   574,   576,
     298,     0,     0,     0,  1074,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1075,  1051,     0,     0,
     124,   123,     0,   130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   310,   295,     0,     0,
       0,     0,     0,   312,     0,     0,     0,     0,  1073,  1009,
     742,     0,     0,   743,   751,     0,     0,   744,     0,     0,
       0,     0,     0,     0,   753,   344,     0,   347,   354,   327,
     331,  1185,     0,  1185,     0,   332,  1185,   328,  1185,   325,
    2000,  1723,  1724,   667,   674,   664,   666,   668,   665,     0,
     673,   634,     0,     0,     0,  1453,     0,  1521,  1522,  1523,
    1524,  1525,  1526,     0,  1520,  1527,   661,   662,     0,  1167,
    1166,     0,     0,     0,     0,     0,     0,     0,   422,     0,
       0,     0,   398,     0,     0,   392,     0,     0,   958,   385,
     388,   389,   520,   523,   521,   522,   550,     0,   591,     0,
     564,   134,     0,     0,   135,   133,     0,   300,   369,     0,
       0,   615,   618,   611,     0,   675,   677,   650,     0,   564,
       0,  1252,     0,   465,     0,   455,   405,   451,     0,   453,
     452,   454,     0,   461,   299,     0,     0,   886,   912,     0,
       0,     0,   951,   955,   952,     0,     0,   927,     0,   935,
     905,  1100,  1101,  1098,  1099,     0,     0,  1292,   970,     0,
     293,   968,   715,     0,   706,     0,   708,   972,   293,   293,
     602,     0,   509,     0,     0,     0,   836,   856,     0,   852,
       0,     0,   819,   861,  1277,  1275,   864,     0,   820,   863,
       0,     0,     0,     0,     0,  1754,  1488,     0,  1787,  1783,
       0,  1630,  1755,     0,  1767,  1766,  1590,  1768,     0,  1609,
       0,     0,  1601,  1599,  1600,  1593,  1594,  1595,  1596,  1597,
    1598,  1602,  1777,  1776,  1770,  1771,  1508,  1506,     0,  1652,
    1653,  1654,  1778,  1661,     0,  1876,  1688,  1665,  1681,  1680,
       0,     0,     0,  1668,     0,     0,  1677,     0,  1717,  1494,
    1527,  1533,     0,     0,  1556,  1782,  1574,     0,     0,     0,
    1552,     0,     0,     0,     0,  1561,  1733,     0,     0,     0,
       0,     0,     0,  1332,  1331,  1337,  1315,     0,  1407,     0,
    1406,  1418,     0,     0,  1424,  1422,     0,  1424,     0,  1424,
       0,  1399,     0,  1401,  1418,     0,  1817,  1437,     0,  1381,
       0,     0,  1349,     0,  1699,  1629,  1702,  1697,  1698,  1747,
    1623,  1834,     0,  1745,  1699,     0,  1796,  1326,     0,  1354,
    1371,  1364,  1901,  1439,  1266,     0,     0,  1263,  1264,     0,
       0,  1284,  1265,  1287,     0,   875,   876,   874,   877,     0,
       0,     0,     0,     0,     0,   432,     0,   893,   893,     0,
       0,   418,   464,   958,   637,     0,     0,   635,   293,  1005,
       0,   547,     0,     0,   543,   541,   540,   542,   501,  1083,
    1006,     0,     0,     0,     0,   937,     0,   929,  1021,     0,
     383,     0,   254,  1043,     0,     0,     0,   253,     0,   293,
     293,   569,   302,   303,   306,     0,     0,     0,     0,     0,
       0,   700,   683,     0,     0,   701,   702,     0,     0,     0,
     975,   976,   974,   128,   125,   126,   129,  1017,  1061,  1015,
       0,  1055,  1026,  1024,     0,     0,     0,     0,     0,  1082,
    1038,  1059,  1081,  1036,  1057,  1035,  1056,  1037,  1058,  1029,
       0,  1446,   681,   680,     0,   293,   293,   604,  1019,  1063,
       0,   745,     0,     0,   746,   757,   755,   754,   756,   748,
     345,   118,     0,   324,     0,   352,     0,   350,   349,   351,
       0,   338,     0,     0,     0,     0,     0,   643,     0,     0,
       0,  1449,  1454,  1529,  1462,   633,     0,  1158,  1157,  1156,
    1160,  1159,  1162,  1161,  1153,  1152,  1165,  1164,  1151,  1150,
    1155,  1154,     0,   390,     0,   396,   400,   401,   399,   391,
     958,   424,   463,   518,     0,   594,   589,   137,   136,     0,
       0,     0,     0,   620,   624,   651,     0,  1445,   598,     0,
     371,   469,   467,     0,     0,   376,   381,   382,     0,   459,
     402,     0,   455,   375,     0,     0,   466,  1145,     0,     0,
     915,   932,   933,     0,     0,   958,   957,     0,   503,   293,
     560,   293,   293,  1106,   642,     0,   848,   847,   846,   495,
       0,   850,   293,     0,     0,     0,     0,     0,   796,   777,
     795,  1786,  1646,  1656,  1765,     0,     0,  1610,     0,     0,
    1651,  2146,     0,     0,     0,     0,  1685,  1686,  1667,     0,
    1991,  1672,     0,     0,     0,  1837,  1580,  1578,  1575,     0,
    1576,     0,     0,  1558,  1554,     0,  1560,  1585,  1336,  1335,
    1334,  1333,  1409,  1416,     0,  1397,     0,  1423,  1419,     0,
    1420,     0,     0,  1421,     0,     0,  1416,     0,     0,     0,
       0,  1693,  1699,  1699,  1624,  1704,  1701,     0,  1626,  1527,
       0,     0,  1259,  1262,     0,  1291,  1282,  1173,     0,     0,
       0,   634,     0,   958,     0,     0,     0,   896,   896,     0,
     958,   463,   639,   638,   636,   640,  1182,     0,   536,   537,
    1023,     0,  1065,  1027,   930,     0,   565,   250,   251,   252,
     255,   295,   262,   256,     0,  1076,  1010,  1052,     0,     0,
     689,     0,     0,     0,     0,  1077,  1011,  1053,     0,     0,
       0,     0,  1191,     0,   294,   295,   311,  1040,     0,   749,
     750,   326,     0,   348,   357,     0,   355,   329,   334,     0,
     336,   335,   330,   333,  1450,     0,   989,   989,     0,   634,
    1163,     0,     0,   387,   463,   431,     0,   393,     0,     0,
       0,   371,   564,   619,     0,     0,     0,   678,   373,     0,
    1250,   468,   372,     0,     0,   461,     0,     0,     0,   459,
       0,   456,     0,   460,     0,  1140,     0,     0,   956,     0,
     960,     0,   926,   903,  1438,     0,   507,   990,   707,   709,
     603,   853,   860,   293,   778,   779,   780,   781,  1605,     0,
       0,     0,     0,  1662,     0,  1663,  1690,  1689,  1669,  1673,
       0,  1670,  1671,  1577,  1581,  1579,  1562,  1408,     0,     0,
    1410,     0,     0,  1412,  1414,     0,     0,     0,     0,     0,
    1820,  1699,  1378,  1380,     0,  1316,  1627,  1628,     0,  1350,
    1699,   204,  1735,  1440,  1288,   854,     0,   293,   414,   893,
     463,   433,  2000,   434,   892,     0,   894,   899,   899,     0,
     463,   634,   529,     0,   563,     0,   297,   305,     0,     0,
     696,   684,     0,     0,   703,  1025,     0,     0,     0,     0,
       0,   293,   752,   316,   343,   353,     0,   337,   989,     0,
     986,   985,   632,     0,     0,   394,     0,   442,     0,   564,
     693,  1145,   577,   621,   622,   617,     0,     0,   455,   451,
     377,   386,   360,   411,   410,   407,   406,   408,   409,   404,
     403,     0,   461,   457,   458,     0,     0,     0,  1193,     0,
     887,   959,     0,     0,     0,   502,     0,     0,   506,   497,
     821,  1606,     0,  1607,     0,     0,     0,  1675,  1674,     0,
    1417,  1426,     0,  1413,  1411,  1402,     0,  1404,  1692,  1694,
       0,     0,  1707,  1625,   871,     0,   872,   896,   437,     0,
     895,   902,   902,   424,   634,   415,  1028,   566,     0,   258,
       0,   687,     0,   698,   696,     0,     0,  1187,     0,  1188,
    1189,  1192,   313,   356,   984,   988,   987,     0,   395,   428,
     429,   430,     0,   397,   438,   439,     0,   590,     0,     0,
    1141,     0,     0,   459,   455,   384,   450,   358,     0,  1142,
       0,   300,     0,   958,   961,  1104,   505,   504,  1608,  1678,
    1664,  1691,  1676,  1415,     0,  1403,     0,     0,  1703,     0,
       0,     0,     0,   899,     0,   634,     0,   890,   889,   431,
     417,   296,     0,     0,   694,   697,   685,   698,   705,   704,
       0,     0,     0,     0,     0,   440,     0,   441,   462,   692,
       0,   623,     0,   461,   459,  1143,  1144,   461,   888,   904,
    1103,  1102,  1328,  1425,  1695,  1696,  2108,  1901,  2082,     0,
    1705,  1708,  1706,  1700,   293,   902,     0,   419,   435,   442,
       0,     0,   686,  1190,   624,   447,     0,   446,     0,   444,
     443,   682,   627,   361,   461,  1438,  1086,  1328,  1085,  1087,
    1095,  1092,  1094,  1093,  1091,     0,  1712,  1711,  1710,  1714,
    1713,   873,   891,     0,   634,   688,   695,     0,   445,   449,
     448,   629,     0,   625,   628,   630,   631,   359,   878,     0,
    1096,  1090,  1315,  1302,     0,   436,   420,     0,   605,     0,
    1088,  1328,  1709,     0,   626,  1089,     0,   627,     0,   606
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1168,  2057,  1936,  2705,  2706,
      52,    53,  1242,    54,    55,    56,    57,    58,    59,    60,
    1183,    61,    62,   852,  1383,  2065,    63,  1811,   669,   670,
    1654,  1655,  1998,  1656,  1644,  1084,  1467,  1202,  1170,  1203,
      65,    66,  1078,  1635,    67,    68,    69,  1227,  1228,  1178,
    1420,  3561,  4099,  1922,  2744,  2541,  2542,    70,  1284,  1285,
      71,    72,  2654,  1323,  2656,  2657,  3159,   509,  2022,  3581,
    3582,  3146,  3147,  3588,  3845,  3846,    73,  1380,  2733,  3245,
    2734,  3654,  2735,  3655,  2736,  3656,  2687,  3209,  3210,  3211,
    2737,  3660,  4039,  2738,  1826,  2436,  2099,  1489,  1487,  4017,
    3464,  3465,  4165,  4123,  4124,  4125,  4229,  3662,  2742,  3253,
    3666,  3867,  2444,   588,  1402,  3243,    75,    76,  2093,  1258,
    1259,  1943,  3163,  2793,    77,   869,  3024,  3906,  4058,  4059,
      78,   197,    79,  1387,    80,    81,  2052,  2692,    82,  1838,
    2457,    83,    84,  2482,  2483,  2484,    85,    86,  3048,  3805,
    1229,  2534,  2535,  2536,  2537,  3068,    87,  1385,  1264,  2074,
      88,    89,    90,  2056,  2698,  2699,    91,    92,  1986,    93,
      94,    95,  1395,  2086,  2087,  3644,  3874,  4025,  3876,  4262,
    4263,  3859,  3007,  3477,    96,    97,    98,    99,  1366,  2045,
    2046,  3164,  1154,  1327,  2025,  2026,  3234,  3235,   100,   101,
    3521,  3522,   539,  4129,  4103,  4176,   102,   103,  3525,  3526,
     104,   105,   106,   107,   108,   582,   913,   914,  1160,   109,
    1751,   110,   827,  2641,   111,   978,  2217,  3699,   112,   611,
     928,   929,   113,   114,   620,  2197,   622,  1502,  2795,  2796,
    3302,  2167,   752,   115,   116,  2178,  2200,   117,  1171,  1817,
    1818,  3459,   118,   540,  1407,  2102,  2439,  4049,  3466,  3787,
    3977,  2384,  2965,   119,   541,  1207,  1884,  2105,  2748,  2749,
    1886,  2357,  3266,  1888,  2750,  2755,  2756,  2757,  3262,  3270,
    3900,  3901,   120,  1205,  1877,   121,   122,   123,  1237,   771,
     124,   552,   553,   125,  4010,   126,   881,   127,   638,  1515,
     128,  1900,  3054,   129,   130,   131,  4238,  4269,  4270,  4271,
    3275,  4202,   132,  4240,   958,   134,   135,   136,   171,   795,
     796,   797,   137,  3895,   138,   139,  2049,  2686,  3191,   140,
     141,  1812,  2428,   142,   143,   144,  1370,   145,   146,   147,
     148,  1303,   149,  1113,  1114,   150,   151,   504,   686,  1117,
    1125,   152,   590,   922,   923,   924,  1469,   153,   961,  2189,
     591,   916,   155,   592,  2402,  2976,  2977,  2980,   593,  2399,
     158,  1508,  2183,  2186,   594,  2406,  2407,  2408,  2409,  2410,
    2982,   595,   613,   872,  2110,   596,  1050,   163,   164,   165,
     695,   690,   691,   167,  1629,  2347,   628,  1132,   657,   703,
    3422,  1763,  1764,  1784,  1785,  1141,  1142,  1774,  1776,  2386,
    1777,  2395,  1769,  3419,  3761,  1780,  1781,  1144,  1145,  2390,
     168,  2351,  2932,  2933,  2934,  3400,  3410,  3748,  3943,  2935,
     956,  1151,  2936,  2941,  2974,  2724,  2725,  2726,  1889,  2032,
    1351,  1051,  1352,  2043,  1052,  1551,  1354,  1053,  1054,  1055,
    1357,  1056,  1057,  1058,  1059,  1534,  1592,  1060,  1061,  1570,
    2040,  2041,  1458,  2257,  1063,  1064,  3366,  3723,  3712,  2283,
    2284,  1651,  3362,  2884,  3955,  4078,  4079,  3430,  3427,  3765,
    3959,  4161,  4210,  4211,  1065,  2337,  1622,   773,  1066,  3166,
    1624,  2277,  2359,  2360,  1796,  1532,  2223,  2241,  2242,  2254,
    2845,  2261,  2266,  2868,  2869,  2278,  2306,  1067,  2226,  2227,
    2828,  1536,  1068,  1107,  1108,  1529,  2301,  1120,  1121,   688,
    1069,  1070,  1503,   679,  3939,   890,   743,  2551,  1742,   799,
     625,  1071,  1072,  1073,  1074,  2797,  1233,   500,   737,  2538,
     501,   502,   739,  1747
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3713
static const int yypact[] =
{
    7473,   705,  6782, -3713, -3713,   705, -3713, 45884,   404,   604,
    1143,   131, 12352, 46291, 54024,   490,   255, 12688,   705, 54024,
    1760, 36930, 41814, 54024,   372,   558, 36930, 54024, 54431,   736,
     983, 54838, 46698, 40593,  1288, 54024,   994,   292, 55245, 47105,
     788, 47512,   558, 34101,    70,   856, 55652,  1259,  1201,   869,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,   404, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713,   191, -3713,   757,   285,  1278,   232,   794, -3713,
   -3713, -3713, 38558, 54024, 54024, 54024,  1088, 54024, 54024,   148,
   38558, 54024, 56059,  1151, 30765, -3713, 54024, 54024, 56466, 54024,
   47919, 54024,  1099, 54024, 54024, 56873, 57280,  1237,  1203, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, 54024,  3212,   372, -3713, -3713, 54024,
    1107, 38558, 54024,  1050, 54024,  1128, 54024, -3713, 54024, 57687,
     354,  1396, 54024,  1455, 31185,  1209, 54024, 54024, 54024, 54024,
   -3713, -3713,  1218, 54024, 54024, -3713, -3713, 58094,   812,  1463,
    1420,   154, -3713, 48326, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, 48733,   255, -3713, -3713, 38965, 54024,  1440, -3713, -3713,
   58501, -3713, -3713,   383, 39372, 58908,  1588, 31605,  1617, 59315,
   59722, -3713, -3713, 60129, -3713, 60536,  1375, 60943, -3713, 61350,
   -3713,  1538, 61757, -3713,  1382,  1519,  1156, 27867, -3713,   404,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,   158,   923,
     288,   169,   323, -3713, -3713,   174,   178,   185,   158,  1813,
    1813, -3713, 54024, -3713, -3713,   923,    23,  1404,  1404,  1404,
    1593,   454, -3713,  1404, -3713, -3713, -3713, -3713, 47512, -3713,
    1335,   372,  1418,  1822, 54024, -3713, 54024, -3713, 54024, 54024,
   -3713, -3713,  1817,  1465,  1688,  1482, -3713,  1637,  1667,  1675,
      72,   372,  1576, -3713,  1788, -3713,  1700, 18633,   372, 49140,
   62164,   213, 48733,   372, 49547,  1556,  1239,  1728, -3713, -3713,
     320, -3713,  1954,  1598,  1827,  1482,  1203, 28693, -3713,  1623,
    1220, 47512, -3713, -3713, -3713,   187,  1865, 19057, -3713, 54024,
    1624, -3713,  1634,  1647,  1658,  1278, -3713,  7473, 54024,   777,
     777,  2043,   777,   773,  1315, -3713,  2082, -3713,  1974,  1940,
   47512,   856,   221, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713,  1710,  1220, -3713,   225, -3713,
    1364,  1729,  1384,  1362, -3713, -3713,   712,  1824,   162,     6,
    1767, 49954,  2155,  1740,   283, -3713,  2041,  2539,   241, -3713,
   54024, 54024, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,  1768, -3713, -3713,  1754,  1158,   124,  2076,  7864,  1339,
    2080,  3138,  1625,   637,  1982,  1515,  2079,  1439,  2099,  4394,
   54024, -3713,  2032,  2135,   514, -3713,   122, -3713,  1870,  2016,
     630, 38558,  1828, -3713, -3713, 54024, -3713, -3713, -3713, -3713,
     387, 38558, -3713,  2038, 32025, -3713, 54024, -3713, -3713, -3713,
   -3713, -3713,  1964, 54024, -3713, -3713,  2091, 54024, -3713,  1404,
     374,  1869,  2233, 70667,   123, 54024,  1907,  2270,  2071,  1907,
    1912, 62571, -3713, -3713,  1907, -3713, -3713, 54024, 54024,  1889,
    1351,  1907,  2289,  2291,  1979,  2085,   795,   955,   202,  2209,
    1907, 54024, 62978, 54024, 54024,  2283, 38558, 54024, -3713,  2086,
   -3713, -3713,   841, -3713, -3713, -3713, -3713,  2242,  1710,   258,
    2252,  1962,  2265, -3713,  2014, -3713,  2297,  1740,  2312,  2020,
   -3713, 63385, 63792, 64199,  2317,  1768, 54024,  2318,  2020,  2322,
    2212,  2326,   258,  2327, -3713,   797,  2328,  2217,  2334,  1557,
    2020, 50361,  2335,   130, -3713, 20753, -3713,  2128, -3713,   856,
   -3713, -3713,  1072, -3713, 36523, -3713,  1156,   923, -3713, 54024,
     923, 54024,   923, 54024,   923, 54024,   923, 54024, 54024, 54024,
     923, -3713, -3713, -3713, 54024,  2045, 54024, 54024, -3713, -3713,
   -3713, 42628, 54024, 43035, -3713, -3713,    89,   372, -3713, -3713,
   70667,  2445, 54024,  2331,  2331,  2331, -3713, -3713, -3713,  2272,
   54024,  2336,  2337, 42628, 54024, -3713, 64606, 48733,  2234,  2053,
   -3713, -3713, -3713, -3713, -3713,  1389,  2480,   247,  2481, 20753,
    2061,   195,   195,  2062,  2344, -3713, -3713, -3713,   234,  2066,
    2067, -3713,   224,   224,  2226,  2072,  2073, -3713,   237,  2074,
    2498,  2499,   238,  2081,  2083,  2087,  1942,   195, 20753, -3713,
    2088,   224,  2090,  2095,  2112,  2500,  2113, -3713,  2503,  2127,
     212,   244,  2132,  2133, -3713,  2072, -3713,   182,  2134,  2138,
    2139,  2142,  2143,  2144,  2146,  2147, 20753, 20753, -3713, 17785,
   -3713,   372, -3713, -3713, -3713, -3713, -3713, -3713, -3713,   119,
   -3713,   243,  4658, -3713, -3713,  2254, 20753, -3713, -3713,   273,
   -3713,   249, -3713, -3713, -3713,  1220, -3713, -3713,   264,  2101,
   -3713,  1403, -3713, -3713, -3713, -3713, -3713, -3713, 43849,  2486,
   -3713,   275,   372,   122,   278,  2425, 35709, 36116, -3713, -3713,
    2306, -3713, 54024, -3713, -3713, 20753, 33694, -3713,  1220,   103,
   -3713, -3713, -3713,  1348, -3713, -3713, -3713,   404, -3713, 11928,
   -3713,  1358,  1624, 54024, 54024,  2510, -3713, -3713, -3713,  1634,
   -3713, -3713,  1278,  1278, 20753,  1278,   200,   544, 19481, 20753,
    2409,  2330,   679,   188,  2432, -3713,   773,  1315, 47512, 54024,
   65013,  2259, -3713, 34915,  1407,  1220,  2227,  2230,  2276, 37744,
    2156,  2238,  2239,  2278,  2240,  2241, 65420, -3713, -3713, -3713,
   -3713,  1182,   967,   219,  2243,   335,   173,  2518, -3713,  2290,
   -3713, -3713, -3713,  2601, 54024,  2462,  4487,  2352,   241,  2288,
   -3713, -3713,  2398,  2250,  2253,  2369,   241,   240, 65827, -3713,
   -3713, -3713, -3713, -3713, -3713,  2909, 16569, -3713,  2255,  2236,
   54024, 39779,  2542,  2365,   714,   312,   171, 54024,  2438,  2372,
   54024,  2189,  2266,  2268,  2191,  1356,  2545,  2194, -3713, -3713,
   -3713,  1264,  2370, -3713,  2257,  2260, 69875,   543, 32445,  2531,
    2281, -3713,  1067,  2285,  2286, 54024,   241, -3713,  2587,   241,
     241,  1222,  2594,  2294,   355,  1514,  1907,  2194,  2517, -3713,
    2295,  2296,   479, -3713,  2393, 47512,   199,  1533,  2194,  2299,
    2301,  2191,  2191, 54024, 54024, 54024, 54024, 54024,   160,  2619,
    2621,  2308,   164,  2354,  2235, -3713, 44256,  2311, 62164, -3713,
   -3713, 54024,  2314,  1664,  2194,   964,  1304, -3713, -3713, -3713,
    1203, -3713, 54024, -3713, 54024,  1710, 70667,  2418,  2274, -3713,
    1740,   241, 54024, 54024,  1768,  1095,   807,  2424, 54024,  2482,
    2279, -3713, -3713,  1907, -3713, 35312,  1889, -3713,  2246, -3713,
   -3713,  2292, -3713,  2292,  2292,  2251,  2251,  2261, -3713, -3713,
   -3713,  1942,  2292,  2251, -3713, 71459, -3713,  1092,  1161, -3713,
    2645,  2648, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,   876,  1437, -3713, 54024, 37744, -3713,  2665, -3713, -3713,
   70667,  2552, -3713, 54024,  2456,  2267, -3713,  2589,  2320, -3713,
    2310, -3713, 54024,   269,   372,  2313, 54024,  2485, 54024, 54024,
   54024, 54024, -3713, -3713,  2458,   657,    82, -3713, 44256, -3713,
    2517,  2470,  2673,    39,  1404,  2560, -3713, 54024,  2282,  2676,
    2512, -3713,  1510, -3713,  2402, -3713, 38558,   258, -3713, -3713,
   -3713, -3713, 70667, 54024, 66234, 38558,   258, 54024, 54024,  2577,
     130,  2578,  2342,  2583,  2346, 32445,   258,   132, 54024, 54024,
   54024, 54024, -3713, 54024, -3713, -3713, -3713, -3713, 54024, 54024,
   54024, 44256,  2584,  2588,   258, 54024, 54024, -3713, 11928,  1393,
   54024,  1156, 43442, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, 54024, -3713, 54024, -3713, 54024, -3713, 54024, -3713, 54024,
   -3713, -3713, -3713, 54024, -3713, 54024,  1408, -3713, -3713,  1430,
     629, 54024, 54024,   253, 38558, 54024,  2484, 54024, 54024, 54024,
   54024, 54024,  2374,  2101,   -39, -3713,   168, 47512,  2491, -3713,
   -3713,  1458,  1259,   694, -3713, -3713, -3713, -3713, -3713, -3713,
   43035, 41814,  2571,    80, 54024, -3713, -3713,  2734, 20753,  1220,
   18209, -3713, -3713, -3713,  2302, 11928,  2343, 20753, -3713, -3713,
   20753,  2304,  1813,  1813, 20753, -3713, -3713, -3713, -3713,   782,
    1813, -3713, 20753, 20753,  1813,  1813,  2292,  2292, -3713,  4900,
   20753, -3713, 32445, 20753, 23297, 15325, 20753,  2382,  2324,  1813,
   -3713,  1813, -3713, 20753, 17361, -3713, 20753,  2515, 24139, 20753,
     278,  2516, 20753,   278,  2723,  2723,  1807,  4340,  2315, -3713,
    2427,  1813, -3713,  1813,  1040, -3713,   176, 70667, 20753, 37744,
    2394,   181, 54024, 20753,  2325,  1857, -3713, 20753,   668, -3713,
    2332, 20753,  2400, 20753, 20753, 20753, 20753, 20753, 20753, 20753,
   20753, 20753, -3713, 24965,   190,    15,   894, 50768, 18633,  2604,
   14900, -3713,   220, -3713, -3713, -3713, 54024,  2486, -3713, -3713,
    2403, -3713, -3713, -3713, -3713, -3713,   250, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713,  2329, -3713, -3713, -3713, -3713,  2329,
   -3713,  2333,  3630, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,  2592,
    2600,   258, 54024,   187, 44663, -3713, 19057, -3713,  1493,  2339,
   -3713,  2580, -3713,  2338, -3713,  8818,  2580, -3713, -3713,   262,
    2523,  2537,  2537, -3713,  2353, 11928, -3713,  1746, 11928,  1804,
   -3713, -3713, -3713, -3713, -3713, -3713,   979, -3713,  2409,   188,
    2410,   664, 54024, -3713, 29106,  2359,  1500,  2436,  2441,  2487,
   54024, 54024, 54024, -3713, 37744, 54024, 54024, 54024, 54024, 54024,
   54024, -3713,  2720,   518, 41814,  2490, 41000, -3713, -3713,  2573,
   54024,  2431,  2606,  2611,   936, -3713, -3713, 66641, -3713,  2572,
   54024, 54024, 54024, 20753,  2574, 54024, 54024, 54024,  2461, 38558,
    2384, 54024, 54024, 54024,   396, 38558, 32865, 54024, 54024, 54024,
   54024,  2505, 54024, 54024,  2620,  1179, 47512,   143,  1677,  2194,
    2579, -3713,   831, -3713, 54024, 54024,  2562, -3713, -3713, -3713,
   48733,  2780,  2494, -3713, -3713, 67048, -3713, -3713,  2569, -3713,
   -3713, 71459, -3713, -3713,  1505, -3713, 71063, 68676, -3713, -3713,
     648, 54024, 54024,  4851, 54024,   946, -3713, -3713, 70667, -3713,
   54024, 54024, 54024, 45070, 67455, 67862,  1061,  1068, 54024, 45477,
   -3713, 54024, -3713, -3713, 38151, 54024, 54024, 37744, -3713, 54024,
    2581,   296, -3713, 54024,  4242, -3713,  2472, 54024, 54024,  2395,
    1539,  2475,  2521, -3713, 54024, 54024,  1503, -3713, 54024, 54024,
   10748, -3713, -3713,   241, -3713, -3713, -3713, -3713, -3713, 54024,
   54024,   241, 54024,   241,  1077, -3713, 54024, 54024, -3713, -3713,
   -3713,  5749, 54024, 54024, 54024, 54024, 54024, 54024, -3713, -3713,
    1537,    43,  1370,  1409,  2540, 54024,   372, 54024, 68269, 54024,
   54024, 54024, 54024,   302, -3713, -3713,  2519, -3713, 54024,  1503,
    5853, 54024, 54024,  2489,  2492,   189,  2554, -3713, -3713, -3713,
   -3713, -3713, -3713,  2641,  2805, 54024, -3713,  2646,  2655,  2465,
    2476,  2660,   494, 54024, 54024, 54024, 54024, 54024, 54024,  2662,
     494,  2609,   613,  2429,  2444,  1555, -3713, -3713, 20753,  2829,
   70667,  2437,  2439,  2513,  2514,  2520, -3713,  2442,  2522,  1813,
   -3713, -3713,  1547, -3713, -3713,  1560, -3713,  2449,   657,  2084,
   -3713, 54024,   565,   652,  2733, 16155,  2553,  1905,  2725, 54024,
   54024,  1905, -3713,  1985, 41814, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713,  2724, -3713,   372,  1889,  1889,  1889,
    1889, -3713, -3713, -3713, -3713,  2633,  1279, -3713,  2452,  1889,
   54024,  2567,  1905, -3713,  2517,  2751,  1166, 54024, 40186,  1756,
    2496,   372,  2644, -3713, 16965,  3071,  2647, 48733,  2729,  2737,
    2747, -3713,  1710, -3713,  2864, -3713,  2768,   258,  1740, -3713,
    2020, -3713, 54024, -3713, 54024, 54024, 54024, 54024,  1768, -3713,
   -3713,  2020,  2657,   258,   258, -3713,  2658,   258,  2020,  2590,
    2760, 48733, -3713,   130, -3713, -3713, 20753,  1404, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713,  1561, -3713, 54024, -3713,
    2739,  2740,  2742,  2020,  2483,  2524, 54024,  2488, -3713,  2020,
     241,  2020,  2101,  2101,  2020,  2483, 51175,  2896,  2769,   587,
   -3713,   671,    27,  2703, -3713, -3713, -3713, -3713, 70667, -3713,
   -3713, -3713, -3713, -3713, 54024,   107,  2680,  2497, 51175,  2880,
     258, -3713, 38558, -3713, -3713, -3713,  2591, 38558,  2693, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713,  2738, 54024,  1571, -3713,
   -3713,  1246, -3713,  1336, 20753, 20753,   134, -3713,  9502,  1586,
   20753,  2509,  2511,  1595, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,  2527,  2789, -3713,  2528,  1601,  1635,  2529,  2530, -3713,
   -3713,  3896,  2534,  9828,  2536, 23297, 23297,  1273, -3713, -3713,
   23297,  2541, -3713,  1649,  9186,  2546,  2543,  2533, -3713,  2544,
    2548,  9946, 19905, 20753, 19905, 19905, 10536,  2546,  2550,  1651,
   37744,  2685, 10859,  1657, -3713, 20753, 37744,  4261, 20753, -3713,
   20753, 54024,  2555,  2556, -3713, -3713,  4900, -3713,  2557, -3713,
   23297, 23297, -3713,  2608, 17785, -3713, -3713,  2814, -3713, -3713,
     778, -3713,  2558, -3713, -3713,  4598,   197, 20753,  2325, 20753,
    2615, 32445,  3662, 20753,  5533,  2730,  2730,   373,   373,   157,
     157,   157,   361,   894, -3713, -3713, -3713,  2563,  2113, 20753,
   -3713,  1636,  1721, 54024,  2005,  2632,  3351, -3713, -3713, -3713,
   26215,  2597, 20753, 20753, 20753,  2561,  2714,  2959, 11928,   638,
   -3713,  2966, -3713,  1203,  1813,  1040, 36523, -3713, -3713, 20753,
   -3713, -3713, -3713,  1634, -3713, -3713, -3713, -3713, -3713,  1259,
   20753, -3713, -3713,   763,  1959, 20753,  1746, -3713, -3713, 54024,
    2491,  2491, 20753, -3713, -3713, -3713, -3713, -3713, 26215,  2603,
    2610, 28280,  2683, -3713, -3713, 54024,   155, -3713, -3713, -3713,
    2586, -3713, -3713, -3713, 54024, 54024, 54024, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713,  2792, -3713, 54024,
   54024,  2755, 54024,  2753,  2757,  2830,  2582,   139, 54024,  2593,
    2596,   965,  2831, 54024, -3713,  2872,   258, -3713, -3713,  2661,
   -3713, 11928, -3713, -3713, -3713, -3713, 48733, -3713,  1710, 70667,
   -3713, -3713, -3713,  2612, 54024, -3713, 54024, 54024,  1768, -3713,
   -3713, -3713, -3713,   809, -3713, -3713, 54024, 54024,   113,  2663,
    2664, 54024, -3713,  1160,  2393,  6352, 54024, 54024, 54024,  2828,
   -3713, -3713, -3713, -3713,  2775, -3713, -3713,  1437, -3713, 68676,
   71063, -3713, 71063, -3713,  1437,  1241, -3713,  2020,  2666,  2194,
   -3713,  2767,   747, -3713, -3713, -3713, -3713, -3713,  2886,   258,
    2897,   258, 54024, 54024, 54024, 54024, -3713, -3713, -3713, -3713,
   -3713, 37744, 37744, 37744,  1674, -3713, -3713,   372, -3713, -3713,
   -3713,  1687, -3713,   792, -3713, -3713, -3713, -3713, -3713, -3713,
   54024,  1610, -3713,   744, 70667, -3713, 70271, 54024, 54024, -3713,
   -3713, -3713,  2824,  2770, -3713,   716,  2772, 54024,  2667, -3713,
   -3713, -3713,  2681,  1786,  2194,  2517, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713,   209,  1863,  2194,  2687, -3713,  2688,
   -3713, -3713, -3713,  2826,  2827,  2832,  2692,  2702,  2748,  2705,
    2706,  2763, -3713,  2710,  2764,  2721,  2765,  2722,   258, 70667,
    1639,  2726,  2945,   258, -3713,  2732, -3713, -3713,  3045, -3713,
   54024, -3713,  2735,  1980,  2194, -3713, -3713, 54024, 54024, -3713,
   -3713, -3713,   494, 70667,  2895,   494,   494, 54024, 54024,   494,
   -3713, -3713, -3713,  2898,  2899,  2900,  2901,  2903,  2905,   494,
   -3713, -3713, -3713, -3713,   374, 37744, -3713,  2736, 30345, -3713,
    3085,  5098,  2674,  2439,  2678,  1813,   167,   947,   750,  2790,
    1813,  2879,  2679, -3713, -3713, 37744, 30345,  1552,  2906,  2690,
    2690,  2690,  2690,  2690,  2690,  2690, -3713,  1469,  1907, 48733,
   54024, 48733, -3713,   652,  2767, 54024, -3713, -3713,  1691, -3713,
   54024, 54024,   640, 54024,  1813, -3713, -3713,  2746, -3713,  1404,
     269,  2816,  1167,  3015, -3713, -3713, -3713, -3713, -3713, 54024,
   54024,   657,   372, -3713,  2691,  2689, -3713, 54024, 54024, 54024,
    2743,  2698, 54024,  2699,  2695, -3713, -3713, -3713, -3713, 70667,
     531,  2882,  2871,  2191,  3097,  2784, 54024, -3713,  1692,    91,
   -3713,   372, 48733, 69072, -3713,  3682, -3713, -3713,   175,  2978,
   -3713, -3713,  1259,   258, 70667, 54024, -3713,   258,   130,  2781,
     258,  2783,   258,   258, 54024, -3713, -3713, 54024, -3713, 54024,
   44256,   258, -3713, 11928, -3713, -3713,  2839,  2851,  2852, 54024,
    2020, 38558, -3713,  2708, 54024,  1210, -3713, -3713,  2911, -3713,
   -3713, -3713, -3713, -3713,  3029,  3032, -3713, -3713, -3713, 54024,
   42628,   137, 54024, -3713,  1710, -3713,  1740,   241, 54024,  2974,
   -3713, -3713, -3713,  2744,  1698, 11567, 20753, -3713,  3040, 70667,
   -3713,  5604, -3713, -3713, -3713, -3713, 20753, -3713, -3713, -3713,
   -3713, -3713, 20753, -3713, 20753,  3017, -3713,  3158,  3158, 70667,
   23297,  1334,  2090, 23297, 23297, 23297, 23297, 23297, 23297, 23297,
   23297, 23297, 25389,   775, -3713, -3713, 20753, 20753,  3025,  3017,
   -3713, -3713,   -20,   -20, 70667,  2745,  2546,  2749,  2750, 20753,
   -3713, -3713,  1715, 24552,  2752, 37744, -3713, 20753,  9234,  1734,
    2786, 11620,  1220,  6089, -3713,  3116,   372, 20753,  1536,  1619,
   20753,  1741, 20753,  3028, -3713, -3713, -3713,  2754, -3713, -3713,
   70667, 20753, 23297, 23297,  5165, -3713,  5372, 20753,  2762,  5843,
   17785, -3713,   558,   558,   558,   558, -3713, 54024, 54024, 54024,
   25802, 51582,  2761,  1526, -3713, 51582, 51989, -3713,  2773,  1220,
   20753,  3023,    37,    37,  2771,  2714, 29519, -3713, 20753,   226,
   20329,  2777,   122,  2785, -3713, -3713,  8334, -3713,  2787, -3713,
    2774, -3713,  1959, -3713, -3713, -3713,  6531,  2928,  2101, -3713,
   -3713, -3713,  2761, 21177,  2683, -3713,  1747, -3713, -3713, 18633,
   -3713, -3713,  1753, 29106,  2603, 19057,  1220, -3713, -3713, -3713,
    2690,  2020,  2020,  1021,  2020,  3050,  1021, -3713, 20753, -3713,
   -3713, 26628, 54024, 54024, -3713, 54024,  1757,  1113, 54024, -3713,
   54024, -3713, -3713,  3159, 54024, -3713,  2822,  2837, -3713, 54024,
   54024, 54024, 54024, -3713, -3713,  1729, -3713, -3713, 54024, 54024,
   -3713, -3713, -3713,   222,  2031,  2194, -3713,  2863, -3713, -3713,
    3036,  1324, -3713, -3713, -3713,  2858, 54024,  2795, -3713,   210,
    2191,   693, -3713, -3713,  2861, 54024, -3713, 54024, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, 38151, -3713, -3713,
   -3713, 37744, 30345, 37744, -3713,  2873,  2874,  2916,   785,   165,
    2875,  2878,  2917,  2804,  2809,  2811, -3713, -3713,   158,   372,
   -3713, -3713,   372,  2020,   372, 54024, 54024, 54024, 54024, 54024,
   54024, 54024,  3087,   873,  1594, 54024, 54024, 54024, 54024, 54024,
   54024, 54024, 54024, 54024, 54024, 54024, -3713,  3174,   372,   372,
    3145,  2881, 54024, -3713, 54024,  2393, 54024, 54024, -3713, -3713,
   -3713,  2817,   494, -3713, -3713,  3057,  3058, -3713,   494,   494,
     494,   494,   494,   494, -3713,   184,  1761, -3713, 27454, -3713,
   -3713,  2270,   372,  2270,  1115, -3713,  2270, -3713,  2270, -3713,
    2774,  1813,  1264, -3713, -3713, -3713, -3713, -3713, -3713,  2444,
   -3713, -3713,  1813,  2034,  2834, -3713,  2835, -3713, -3713, -3713,
   -3713, -3713, -3713,  2825, -3713,  1040, -3713, -3713, 54024,  2690,
   -3713,  1226,   307,   322,   934, 52396, 52803, 53210,  2573, 54024,
   54024, 23297, -3713,   985,   206, -3713,  3059, 54024,  2865, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713,  2267, -3713, 54024,
    2767,  2020, 54024, 54024,  2020, -3713, 70667,  2496,  1519, 62978,
    2867,  2823,  3118, -3713,  2838,  2841, -3713, -3713, 54024,  2767,
      92,  1382,   207, -3713, 41407,  1756, -3713,  3096, 40186, -3713,
   -3713, -3713,  3204,  2932, -3713,  1259,   372,  2431, -3713, 68676,
   20753, 20753, -3713,  2847, -3713,  2855,  3810, -3713,  1889, -3713,
   -3713, -3713, -3713, -3713, -3713,  2926, 54024, -3713, -3713,  2859,
     258, -3713, -3713, 54024, -3713, 54024, -3713, -3713,   258,   258,
   -3713,  2969, -3713, 54024, 54024, 54024,  2020, -3713,   241, -3713,
    3127, 51175, -3713, -3713, -3713, -3713,    80,  3139, -3713, -3713,
    3100,  3103,  3106,  3107,   722, -3713, -3713, 20753, 11928, -3713,
    2883, -3713, 11928,  6582, 11928,  3025, -3713,  2130,  3150, -3713,
    1052,  2876,  2130,  2115,  2115,   395,   395,   217,   217,   217,
    3158,   775, 11928, 11928, -3713, -3713, -3713, -3713,  2884, -3713,
   -3713, -3713,  2546, -3713, 21601,  3016,  3258, -3713, -3713, -3713,
    2918,  2922,  2887, -3713, 20753, 22025,  2877, 71459, -3713, -3713,
    1040,  1280, 23297, 23297,   742, -3713,   409, 20753, 70667,  1805,
     742,  1998,  2105, 20753, 20753,  6322,   347, 20753,  7250, 54024,
   54024, 54024, 54024, -3713, -3713, -3713, 15741,  1526,  2888, 54024,
   -3713,  2892, 26215,  3126,  3067, -3713, 26215,  3067,  1529,  3067,
    3128, -3713, 29932, -3713,  2902, 14900,  1485, 11928,  3276,  3165,
   20753,  2904, -3713,  2907,  2714, -3713, 69468, -3713, -3713, 11928,
   -3713, -3713, 20753, -3713,  2714,   372, -3713, -3713, 32445, -3713,
   -3713, -3713,  3084, 11928, -3713,  1259, 54024,  1220,  2908,  2914,
   54024, -3713,  2683, -3713,   158, -3713, -3713, -3713, -3713,  2977,
   41814,  3182,  7554, 20753,  1812, -3713,  2941,  3269,   144,  1821,
    1831,  1113, -3713,  2865, -3713,  1045,   153, -3713,   258, -3713,
   70667, -3713, 54024, 54024, -3713, -3713, -3713, -3713,  2156, -3713,
   -3713, 54024, 54024, 54024, 54024, -3713,  2975, -3713, -3713, 37744,
    1469,  3102, -3713, -3713,  3104,   158, 54024, -3713, 70667,   258,
     258, -3713, -3713, -3713,  2924, 54024, 54024, 54024,  1813,  1813,
   70667,  2910, -3713,  1813,  1813,  2912, -3713, 54024, 54024, 54024,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
    2991, -3713, -3713, -3713, 54024, 54024, 54024, 54024,  3210, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   54024, -3713, -3713, -3713, 70667,   258,   258, -3713, -3713, -3713,
    3154, -3713,   494,   494, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,  1907,  3237, -3713, 37744, -3713, 42221, -3713, -3713, -3713,
     372, -3713,   372,  3112, 34508,   372,   372,  1113,  2927,  1035,
    3201, -3713, -3713, -3713, -3713,  3205,   158, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713,  2930, -3713,   808,  2130, -3713, -3713, -3713, -3713,
    2865,  1404,  2980,   565,  3041, -3713, -3713,  2020,  2020,  2984,
    3330,   581, 54024,  3241,  2979, -3713,   372, -3713, -3713, 54024,
   40186,  2743, -3713,  3267,  1837, -3713, -3713, -3713,  2981,  2871,
    1240,  2940,  1756, -3713,   743, 54024, -3713,  2982,  3221,  2950,
   -3713, 11928, 11928,   372, 71855,  3682, -3713, 54024,  3199,   258,
   -3713,   258,   258, -3713, -3713, 54024,  2020,  2020,  2020, -3713,
    3129, -3713,   258, 51175,   722,   722,   722,   722, -3713, -3713,
   -3713, 11928, -3713, -3713, -3713, 23297,  3229, -3713,  2955, 70667,
   -3713,  2957,  1844,  1845, 24139,  3099, -3713, -3713, -3713,  7638,
    3007, 11928,  3060,  2960,  2964, -3713,   959,   959,   409,  1856,
   -3713, 23297, 23297,   742,   742, 20753,   742, -3713, -3713, -3713,
   -3713, -3713, 51582,  2967, 54024,  1526, 26215, -3713, -3713,  1926,
   -3713, 26215,  3198, -3713, 26215, 54024,  2968, 54024,   798, 20753,
   20753,  3004,  2714,  2714, -3713,  3134, -3713,  2971, -3713,  1040,
    2973, 54024, -3713, -3713,   856, -3713, -3713, -3713, 51175,  3155,
   51175, -3713,  7838,  2865, 26628, 33285, 54024, 53617, 53617,  3117,
    2865,  2980, -3713, -3713, -3713, -3713, -3713,  2985, -3713, -3713,
   -3713,  3052, -3713, -3713, -3713,  1867, -3713, -3713, -3713, -3713,
   -3713,  3174, -3713, -3713, 30345, -3713, -3713, -3713, 27041, 32445,
   -3713,   785,  2983,  2987,   165, -3713, -3713, -3713, 54024,  1211,
     940,  3013,  2020,  3263, -3713,  3174, -3713, -3713,   494, -3713,
   -3713,  2429,   372, -3713, -3713,  1878, -3713, -3713, -3713, 54024,
   -3713,  2823, -3713, -3713, -3713, 38558,  3380,  3380, 54024, -3713,
   -3713, 20753,  3177, -3713,  2980,  3200,  3242, -3713, 54024, 54024,
    1259, 40186,  2767, -3713,   906,  2990,  3285, -3713,  2698,  2992,
   -3713, -3713, -3713, 41407,  3170,  2932,   836,   836, 54024,  2871,
    3119, -3713,  3120, -3713,   904, -3713, 54024, 26628, -3713, 71063,
   -3713,  1882, -3713, -3713,  2597, 54024,   658, -3713, -3713, -3713,
   -3713, -3713, -3713,   137, -3713, -3713, -3713, -3713,  1073, 23297,
   70667,  1884, 20753, -3713, 20753, -3713,  3373, -3713, -3713, -3713,
     592, -3713, -3713, -3713,   959,   959,   742, -3713, 54024,  1886,
   -3713, 20753,  2996, -3713, -3713, 26215,  1926,  1890, 54024,  1892,
   70667,  2714,  2546, 11928, 54024, -3713, -3713, -3713,  3377,  3175,
    2714, -3713, -3713, -3713, -3713,  1210,  1021,   137,  1113,  3269,
    2980, -3713,  3003, -3713, -3713, 54024, -3713,   333,   333, 54024,
    2980, -3713, -3713, 54024, -3713, 37744,  3056, -3713, 70667,  1740,
      75, -3713, 70667, 70667, -3713, -3713, 54024, 54024, 54024, 54024,
   54024,   258, -3713, -3713, -3713, -3713, 42221,  2823,  3380,   820,
   -3713, -3713, -3713,  1406,  7884, -3713,   753,  3185,  3089,  2767,
    3296,  2982, -3713, -3713, -3713, -3713, 20753,  3160,  1756,  3096,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
   -3713,  1901,  2932, -3713, -3713,  3378,  3191,  3381, -3713,  1906,
   -3713, -3713,  3810, 71855,  3326, -3713,  3065, 54024, -3713, -3713,
   -3713,  1073,  1915, -3713,  1919,  1921,  3163,  3070, -3713,  1947,
   -3713, 11928, 54024, -3713, -3713, -3713,  1963, -3713,  3014, -3713,
    3419, 20753,   720, -3713, -3713,  3301, -3713, 53617,  3063, 32445,
   -3713,  1959,  1959,  1404, -3713,  1113, -3713, -3713, 20753, -3713,
    1973, -3713,   978,  3173,  3316,  1978,  1995,  2483,  3074,  2483,
   -3713,  2020, -3713, -3713, -3713, -3713, -3713,  3347, -3713, -3713,
   -3713, -3713,   310, -3713,  3223,  3228, 54024, -3713, 54024,  3445,
   -3713,  8421, 38558,  2871,  1756,  1469, -3713, -3713,  3232, -3713,
    3233,  2496, 26628,  3682, -3713,   789, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713,  2008, -3713, 54024,  3051,  2546, 22449,
   22449,  3062, 51175,   333,  3061, -3713,  3064, -3713, -3713,  3200,
    1113, 11928, 38558,  3430, -3713, -3713, -3713,  3173, -3713, -3713,
   54024,  3180,   910,   910,  3376, -3713,  3113, -3713, -3713, -3713,
     785, -3713,  3069,  2932,  2871, -3713, -3713,  2932, -3713, -3713,
   -3713, -3713,    74, -3713, -3713, -3713, 23721,  3183,   754,  9266,
   -3713, -3713, -3713, -3713,   137,  1959, 20753,  1113, -3713,  3185,
    1740, 54024, -3713, -3713,  2979, -3713,  3473, -3713,   715, -3713,
   -3713,  2910, 37337, -3713,  2932,  2597, -3713,  1839, -3713, -3713,
   -3713, -3713, -3713, -3713, -3713,  3465, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713,  8536, -3713, -3713, -3713,  3364, -3713, -3713,
   -3713, -3713,  2009, -3713, -3713, -3713, -3713, -3713, -3713,  1708,
   -3713, -3713,  1771,  1658, 22873, -3713,  1113,  3225, -3713, 37337,
   -3713,  1839, -3713, 38558, -3713, -3713,  3077, 37337,  2010, -3713
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3713, -3713, -3713,  2803, -3713,  -743,   218,  2215,  -789, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713, -3713,
    2756, -3713, -3713, -3713,  1443, -3713, -3713,   115, -1050,   342,
    2411,  1141, -3713,  -907, -3713, -3713,  -492,   112,  -623, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -3713,  -660,  1590,  1000,
    1150, -2446, -3713, -1152, -3088, -3713,   445, -3713, -3713,  1535,
   -3713, -3713, -3713,   866,  -320, -3713, -3713, -3713, -3713, -3713,
   -3713, -3713,   -62, -3713, -3713,  -483, -1288,    46,  -126,  -352,
   -3713, -3713,   279,  -354, -1166, -3713, -2913, -3713,   -93, -3713,
   -3713, -3713,  -355, -1134,  1096,   336,  -594,  -891,  1377,  -633,
   -3713,  -247, -3713,  -680,  -585,  -583,  -641,  -484, -3096, -3504,
   -3699, -2557,  1105,   145, -3713,  -104, -1285, -3713, -3713, -1249,
   -1136, -3713,  -507, -3713, -3713, -3713, -2402, -3713, -3713, -3713,
   -3713,    58, -3713, -3713, -3713, -3713,   338, -3713, -3713, -3713,
   -3713, -3713, -3713, -2221,  1498,  1499, -3713, -3713, -2607, -3713,
    -740, -3713,   486, -2451,  1023, -3713, -3713, -3713,  2172, -3713,
   -3713, -3713, -3713,   341, -3713,   343, -3713, -3713, -1313, -3713,
   -3713, -1281, -3713,  1513,   844, -3713, -3713, -3713,  -658,  -720,
    -710, -3713, -2880, -3713, -3713, -3713, -3713, -3713,  -801, -3713,
     895, -2565,  -790, -3713, -3713,   911, -3713, -3713, -3713, -3713,
    -618,  -246,  2201, -3713,  -525,  -597, -3713, -3713, -3713,  -242,
   -3713, -3713, -3713, -3713, -3713, -3713,  -856,    30, -1278, -3713,
   -3713, -3713, -3713, -1783, -3713, -3713, -3713, -1734, -3713,  3558,
    1778,  1007, -1280, -3713,   -21,    61,  2635,  -923, -2144,   284,
    -376, -3713, -1451, -3713, -3713, -3713, -2055, -3713, -3713, -3713,
   -3713, -2862, -1277, -3713, -3713, -3713,   334, -3713, -3633, -3312,
   -3582, -3685, -2846, -3713, -3713,  -874, -3713, -3713, -3713, -1115,
    1705, -1173, -3713, -1817,   349, -3123,  -595, -2677, -3713, -3013,
    -460, -3713, -3713, -3713, -3713, -3713, -3713, -3713,  -868,  -515,
   -3713, -3713,  3042, -3713, -3553, -3713, -3713, -3713, -3713,  1477,
   -3713, -1139,   986, -3713, -3713, -3713, -3713, -3713,  -602,  -666,
   -3713, -3713, -3713,   146, -3713, -3713, -3713, -3713,  1763,  -762,
    -606,  2925, -1273,  -404, -3713, -3713, -3713, -3713, -2522, -3713,
   -3713, -3713, -3713, -3713, -3713, -3713, -1339, -3713, -3713, -3713,
   -3713, -3713, -3713, -3713,  1866,  1871,    79,    20, -3713, -3713,
   -1020, -3713,  -449, -3713,  2159, -3713, -3713, -3713, -3713,  1244,
     147,   388, -3713,     3, -3713, -3713,   186, -2809,     4, -3713,
   -3713, -3713, -3713,    53,     5, -3713,   641, -3713, -3713, -2277,
   -3713,   150,    49, -3713, -3713,     1,     0,   -41,   -30,   -24,
       2,  2944,  2507, -3713, -3713, -3713,    22,  1516, -3713,  -690,
    -156, -3713,  1254,  -531,  1846,  2501,  2495, -3713,  1250, -3713,
   -3713,  1263, -3713, -3713, -3713,  -530,  1862, -3713,  2508,  1879,
   -3713,  1247,  1261, -2800,   730, -2795,   254, -1187,  -285,    56,
    2986,  2526, -3713, -3712,   681, -3713, -3492, -1870,  -274,  1646,
   -1284, -3713, -3713,  -935,  9370, -3713, -3713, -3713,  9420, 10027,
   -3713, -3713, 10227, 10626, -3713,  -802,   768, 10939,  4883,  -982,
   -1552,  -772,  7751, -1455, -1008, -1975, -3713, -3713, -3713,  -254,
     791,   827, -3713, -3713, -3713, -3713,  -476, -2290,  -475, -3713,
   -3713, -3713,  -479, -3106, -1143, -3713,  -174, -3713,  8894,  1300,
   -3713,  -808, -2227, -2241,  -924, -1438, -3713, -3713, -3713, -3713,
   -3713, -3713, -3713, -1395, -2714, -1885,  1366, -3713, -3713,  1466,
   -3713, -3713, -3713, -1055,  -718, -2145,  1373, -1652, -3713,  -681,
     718,  2063,  -638,   265,  -228,  6517,  -427, -1857, -1007, -1228,
   -3713,  -107, -3713,    25,    -9,  -155,    -7,  3432,  4769, -1069,
    7557, -1078, -1044, -2544
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2160
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   694,   554,   704,   849,
     772,   510,   649,  1426,   615,   626,  1146,  1466,  1155,   615,
     162,  1079,   166,   948,   949,   950,   754,  1436,  1745,   954,
    1152,   775,  1241,  1887,  1301,  1430,  1511,  1743,  1825,  1263,
     787,  1326,  2294,  2168,  1289,  1896,   614,   693,  1379,  1572,
    1522,   614,   895,  1748,  2811,  1486,   498,  1397,   538,   873,
    1093,  2029,  1746,   545,   681,   735,  2947,  1545,  1546,  2501,
    2503,  2553,  1918,   753,  2000,   581,  1905,  1897,  3269,  3030,
    3063,  1745,  3065,   621,  2042,  2091,  1561,  3216,  1417,   836,
    1743,  1885,  2222,  1368,   650,  2066,  1372,   678,  2067,   589,
    1748,  1376,  2068,  2069,  2377,  2608,  2070,  1459,  1381,  1760,
    2071,  3187,    64,  2944,  3168,  1746,  3439,  1399,  1257,  1968,
    1969,  1268,  1955,  2799,  3471,  2942,  2943,  1964,  2981,  1294,
    3397,  1779,  3168,   883,  3461,  3500,   706,   918,  2139,  3640,
    3411,  3413,   707,  3675,  2892,    74,   133,   154,  1873,  3659,
     160,  2094,  1803,   668,  3344,  3885,  3788,  1204,  3192,  3193,
    3194,  3195,  3196,  3197,  1290,  3444,   705,   597,  1597, -1936,
    1086,   698,  1140,  1143, -1970,   508,   597,  1590, -1990,  2103,
    1180,  1418,  1749,  1418,  2179, -2015,  4032, -1498,  1418,  1538,
    1539, -1303,  4054,  1600,  3260,  3632,  1906,  1975, -1721,  1819,
   -1503,  1980,  2708,   740,   742, -1721,  3978,   746,   747,  2088,
    3786,  1899,  2334,     3,     4,  1558,  2299, -1513,   550,  2335,
    4102,   684,   974,  1602,   785, -1827, -1850,   791,  2849, -1470,
   -1851,   550,  2299,  1396, -1850,  1320,  2199,  2650, -1851, -2159,
   -1498,  1588, -1483, -1510,   750,  1230,   781, -2159,   550, -1513,
     597,  1232, -1503, -1503,   550,   550,  2826,  2809,  3794,  1506,
     550,  2629,  3031,  3947,  4050,  3949,  2986,  1899,  2770,  1821,
    2772,   597,  3026,  1364, -1303,  1962,  1833,  1899,  1641,  1230,
     550,  2097,  1181,  3271,   597, -1306,  1822,  1745, -1873,   701,
    1899,  3597,  4091,  4092,  -346,  1827,  2047,   597,   945,  1314,
    2180,  1180,  2599,  3652,  4011,  2350,   866,  4236,    27,  1418,
     930,  3628,   550,  1828,   655,   792,  1083,  3523,  2338,   603,
    2618,  1746,  1828, -1939,   603,  -733,  1279,   550,   603,  1136,
    2804,  1301,   597,  2600,  3649,   603,  1110,   889,  1111,   604,
     708,   898,  1767,  4137,   604,   934, -1303,  1868,   604,  2165,
     772,   910,  2063,  2177,   793,   604,  1649,  1632,  3272,  -118,
    2546,  2089,  2601, -1989,  -118,  2381,  1572,   844, -1306, -1737,
    1633,   851,  1597,  1567,   645,  2937, -1737,   550,  1642,   550,
    1899,   675,   860,  1243,  1597,  4042,    37,  2875,  1904,  2877,
    2878,  1428,  1568,   772,  2465,  1650,  1138,  1600,  1750,  2805,
    1545,  1546,   794,  1181,   831,  1834,  2849,   656,  1561,  1600,
    3610,  1831,  1823,  3524,  1244,   709,    41,  1468,  4182,  1454,
    1597,  2259,  1280,  2937,  2064,  3612,  1419,  1602,  1419,  1768,
    1869,  1634,  1139,  1419,  1159,  2259,  2007,  3653,   603,  1602,
   -1306,  2339,  3501,  3629,  2382,  1600,  2011,   757,   878,   946,
     840,  1829,   551,   778,    45,  4114,  4076,   887,   604,   867,
    3791,   789,  1627,  1340,  1907,  2098,    46,  3420,  3454,  1365,
    1095,  2181,  3031,   603,  2219,  1602,  1908,  1470,  4215,   884,
    1835,  2946,  2340,  1308,   550,  1526,  1643,  3273, -1303,  2182,
     751,  3027,  2463,   604,  4233,  2486,   685,   828,  4235,   550,
    4237,  1236,   953, -1721,  3261,  4163,  1824,  3513,  2090,  4198,
    1428,  1951,   546,  1953,   868,  2003,  1981,  2336,  3650,  1507,
    2300,  1745,  2225,  4268,  1960,  2027,  1859,  1909,  3168,  3795,
    2297,  1538,  1539,  1507,  1182,  4267,  2912,   953,  1999,  1976,
    1558,  2547,   874,   554,   834,  1591,   694,  3274,   837,  1365,
    1147,  1963,  1300,  2630,  1419,  1746,  2258,    47,  3580,  1350,
    1456,  3097,  1428,   826,   858, -1989,  3889,  3301,  1105,  2166,
    2281,  1112,  1106,  1208,  3491,   609,   610,  1748,  1533,  1621,
    2023,  3000, -1306, -1303,  1645,  2983,   162,   693,   166,  1657,
    1657,   927,  3175,   932,  2156,   936,  1639,  2029, -1936,  2143,
   -2160,   940,  3745, -1970,   710,  1567,  3749, -1990, -1498,   926,
    1876,  3704,  2505,  3636, -2015,  1788,  1789,  3864, -1303,  1937,
   -1303, -1503,   959,   614,  1568,   614, -1989,   614,  1365,  4193,
    1533,   917,  3648,   614,   941,   942,  2164,  1567,  1569,  2861,
     772, -1989,   975,  3776,  1105,  2175, -1827, -1850,  1106,  1076,
    1544, -1851,  1085,   874,  1087,  3425,  1568,  4087,   609,  1231,
   -2159,   943,  3903,  1550, -1510,   706,   921,  3606,  1437,  1593,
    1571,   707,  1096, -1503, -1737,  1630,  2364, -1306, -1470,   609,
     610,  1861,  4183,  3043,   955,  3044,  1510,  1832,  2385,  1867,
    4234,  2575,   609,  1231,  1305,   705,   841,   162,   161,   166,
     156,   157,   159,  1628,  1310,   609,   610,  1321,  1322,  3433,
    2316,  1273, -1306,  2500, -1306,  2689,  1958, -1873,  2487,  2800,
    2218,   550,  2221,  1933,  1504,   885,  1745,   550,  2510,  1309,
    1172,  2640,  2229,  1097,  1513,  1743,  2233,   955,  2464,  1941,
     609,   610,  1944,  1945,  2245,  2246,  1523,  1167,   970,  1274,
    1596, -1470, -1939,  1597,  2249,  2250,   547,  2263,  2265,  1408,
    1746,  1298,  3078,  2652,  1115,  2082,  1150,  2400,  2279,   798,
    3970,   759,  -118,  -118,   829,  1082,  3249,  3980,  1600,  1090,
    3135,  3136,  2160,   614,  1601,  2234,  2849,   550,   503,  3503,
    1234,  1235,  1618,  1619,  1620,  1621,  1833,  2420,  3222,  1130,
    2847,  2848,  1931,  2802,  2008,  2863,   952,  1186,  1602,    64,
    2100,  2477,  4200,  2954,  2858,  2859,  2860,  2861,  4259,  2429,
    1136,  1324,  4067,  2097,  1770,  1873,  1616,  1617,  1618,  1619,
    1620,  1621,  1173,  3447,  2317,   548,  1745,   549,  2318,  1745,
    2083,  3165,    74,   133,   154,  2898,  2899,   160,  2543,  3130,
     505,  3890,  3133,  3134,  4115,  1169,  3137,  1319,  4033,  3165,
    2172,  2173,  1932,  3891,  3079,  1771,  3144,  3049,  3198,  1388,
    1746,  1444,  2690,  1746,  3678,  2319, -1824,  1377,  1378,  1510,
    2235,  2014,  2478,  3019,   953,  1411,   699,  1138,  4056,  2697,
     701,  2430,  1131,  2903,  1405,  2904,  1758,  1275,  4247,  1169,
     627,  3968,   874,   965,  4119,  1597,  4034,  1389,  2801,  1445,
    1299,  3201,  1604,  4035,  1136,   874,  1772,  2905,  1137,  2015,
    2128,  3020,  1432,  1434,  1080,  3504,   162,  1410,   166,  4143,
    1600,  1887,  4133,  1605,  1606,  1412,  3267,  3518,  2490,   550,
    4036,  3223,  1103,  2161,   700,  2236,  3940,  3937,  1509,   614,
    2691,  3944,  4260,  3090,  3946,  2937,  4045,  1917,  1955,  3698,
    1602,  4225,  1930,  1129,  4046,  2653,  2851,   983,   874,  3180,
    2849,  1174,  2162,  4201,  2033,  1392,    37,  1609,  1472,  4013,
    1474,  1138,  1476,  1276,  1478,  1531,  1480,  1481,  1482,  4116,
    1610,  2320,  2803,  1484,   633,  1393,  2115,  1221,  3269,  4159,
    4068,  2237,  1175,  3080,  2238,  1548,    41,  3871,   694,   701,
    4037,  2960,  2148,  3892,  4120,  2906,  2084,  1139,  3545,  1902,
    2907,  2491,  4248,  1413,  4160,  3505,  3467,  1819,  3506,  2085,
    2481,  1176,  2004,  3519,  3081,  1575,  4057,  3614,  4194,  2034,
    3862,  3050,  1589,  1820,    45,  3205,  2194,  2252,  3806,  1586,
     701,  1510,  1594,  4197,  1105,  1390,    46,  1446,  1106,   169,
    2037, -1470,  1631,  3082,   772,  2949,  3051,  2016,  2950,  3021,
    1903,  1414, -1470,   603,  1544, -1470,  1159,  4121, -1470,   874,
     634,  3206,  1647,  1648,  2849,  1605,  1606,   874,   874,  1177,
    2401,  3626,  2239,   604,  3207,  2035,  2050,  1821,  2036,   170,
    4245,  4095,  1761,  1762,  4085,  1766,  1375,  2673,   707,   707,
    3177,   707,  2259,  2259,  1822,  4047,   614,  2259,  4135,  1917,
    3520,   614,   614,   702,  1428,   861,  1400,  1403,  1404,  1609,
    4199,  1987,   705,   705,  3764,   705,  2908,  1754,  2033,  1394,
    4226,  1391,   676,  1447,  3768,  4073,  2909,  2569,  2114,  1415,
    2851,  3792,  3627,  2017,   862,  3022,   635,  2259,  2259,  1616,
    1617,  1618,  1619,  1620,  1621,  3546,  3178,  3706,  4282,  3707,
    2602,  4038,  1946,  3775,  3455,  3208,   762,   763,   764,  3433,
     765,   766,   767,   768,   769,   770,  2037,  3855,  3758,  2240,
     654,  3767,  2856,  2857,  2858,  2859,  2860,  2861,   863,  2120,
    2569,   696,  1745,  2034,  1150,  3072,  4227,  2852,  1745,  4023,
    2131,  2882,  3793,   614,  4170,  3856,  1080,  2889,  3474,  3041,
    3073,   614,  2138,  1993,   711,  3951,  2505,  2062,  2950,  4228,
    4173,   550,  3997,  2509,  3981,   597,  1746,  4024,  1080,   585,
    1823,  1854,  1746,  1987,  2767,  4167,  4168,  2258,  2258,  3987,
    1913,  3692,  2258,  1959,  1994,  3165,   942,  2037,    14,  2035,
    2773,   772,  2036,  2163, -2160,  4022,  2768,  2169,  1925,  2171,
    3168,   614,  2174,   597,   614,   614,  2715,  2716,  2717,  2718,
    2574,   983,   687,  2038,  2849,  4217,  2012,  4174,  2723,    19,
    3475,  1597,  2258,  2258,  3708,  1947,  1987,  1948,   697,  2729,
    1771,  2586,  2039,  1970,  1971,  1972,  1973,  4015,   791,  2112,
    2442,  1616,  1617,  1618,  1619,  1620,  1621,  1946,  2118,  2477,
    2438,  1961,  2763,  2295,   636,   637,  1887,  1813,  1239,  3607,
    2624,  2468,  3998,  3453,  1824,  3456,   614,  1814,  2477,  2442,
    3297,  2013,  2009,  2010,   791,  3476,  1602,  3593,  2019,  3571,
    2037,  1772,  1815,  2957,  1169,  3574,  3575,  3576,  3577,  3578,
    3579,    32,  2443,   745,  3457,  3986,  2522,  1661,  3647,  4252,
    1428,  3886,  -886,  2524,  4276,  2072,  2856,  2857,  2858,  2859,
    2860,  2861,  2425,  3458,  3042,  3315,  1288,   753,   772,  4001,
    2478,  3003,   758,  3594,  2044,  3327,   792,  1911,  3332,  3333,
    3334,  3335,  3336,  3337,  3338,  3339,  3340,  3341,   783,  2478,
    -557,  3887,  4127,  4088,  1791,   506,  2824,  2523,  2077,  2078,
    2079,  2080,  2066,  4094,  2525,  2067,  3681,  2937,  3682,  2068,
    2069,  2937,   792,  2070,   790,   793,  2576,  2071,  2479,  1955,
    1947,  1088,  1948,  2850,  2579,  3098,  2581,  2038,  1240,  3328,
    3325,  3329,  -140,  1745,  1745,  1745, -1349,  3381,  3382,   830,
   -1349,   162,  1637,   166,  2851,  2876,  3269,  3291,    37,  2480,
    2133,   793,  3956,  3957,  3345,  1893,   833,  -140,    37,  2137,
     861,  1816,  1910,   794,   835,  1567,  2144,  1746,  1746,  1746,
    2856,  2857,  2858,  2859,  2860,  2861,  2901,   169,    41,  1461,
    2196,   850,  1462,  4055,  1568,   521,  2561,  2559,    41,  3229,
    1940,  3474,   162,  2193,   166,  2190,  2191,  2192,  1569,   794,
    2150,  2852,  2151, -1349,  2152,  2720,  2153,   856,  2154,  3198,
    2721,  1588,  2155,  1278,  4097,  3199,    45,   170,  2481,  1279,
    2243,   921,  1974,   864,   983,  3200,    45,  2849,    46,  3913,
    1167,  4117,  3006,   863,  1567,  2593,  1990,  2481,    46, -1349,
     651,  2594,   523,  2184,  3372,  1092,  3330,  2231,  2232,  2002,
    2673,    37,  3201,  1568,  3202,  2244,  3331,  1745,  2562,  2247,
    2248,  2195,    47,  3475,  1995,  2216,  3148,  1571,  3250,  1221,
      37,  3254,    47,   865,  2269,  1996,  2270,  1745,  1260,  2061,
    3018,    41,  3300,  3996,  2305,   880,  2047,   931,   933,   935,
    3403,  1746,   937,   938,   939,  2759,  2292,  2092,  2293,  1997,
      41,  1164,   944,  1156,  2511,  3798,  3799,   983,  2563,  1261,
    2849,  1746,  2302,  3604,  3965,  1280,  3967,  2365,  3476,    45,
    3301,  1428,   169,  1161,  1105,  2417,  3203,  3373,  1106,  2781,
    2421,    46,  1165,  2424,  1157,  4147,    32,  2595,    45,  3118,
    2603,   891,  3045,  2792,  2507,   896,  1797,  1544,  3012,  1804,
    4083,  2821,   772,   521,  1162,  2448,  2146,  3404,  2564,  3119,
    3404,  1166,   170,  1158,   905,    47,  2853,  2854,  2855,  2604,
    2856,  2857,  2858,  2859,  2860,  2861,   530,  1798,   531,  2605,
    1919,  3204,  1451,  1163,    47,  3405,  3205,  2259,  3405,  2492,
    2259,  2259,  2259,  2259,  2259,  2259,  2259,  2259,  2259,  2259,
    3406,   536,  1452,  3751,  1262,  2147,  1799,  2851,  2606,  1287,
     523,  3407,  2458,    32,  3407,   911,  2506,  -369,   753,  3547,
    2259,   842,  3206,   843,  3032,  3496,  3625,  3488,  1920,  1921,
    1544,  2968,  1804,  3408,  1167,  3207,  2664,  2952,  1288,  3548,
    2539,  2822,  2387,  1080,  1080,   957,  2823,  2565,   198,  2259,
    2259,  2937,  3053,   507,  1281,  1752,  2937,  3472,  1753,  2937,
    2560,   583,  1917,  2570,  2852,  1755,     3,     4,  1756,  3839,
    3840,   162,  2403,  2431,   614,  2434,  2596,   652,  3188,   612,
     845,  2582,   846,  2721,   612,  1282,  2918,  1745,   915,  3467,
    2851,  2591,  3590,  1530,  3592,    47,  3358,  3595,  3725,  3596,
    2145,  1952,   597,  2146,  2614,  3035,  3409,  2597,  3231,  3409,
     947,  1167,  1115,  2621,  1283,  2157,  3208,  2219,  2158,   951,
    1965,  1746,  2258,   585,   960,  2258,  2258,  2258,  2258,  2258,
    2258,  2258,  2258,  2258,  2258,   967,  2598,  2159,  1919,  1657,
    2158,  1087,    14,  1544,   530,  1159,   531,  2852,  2566,  3075,
     962,  2460,  2461,  2462,   968,  3356,  2567,  1919,  2470,  2568,
    2472,   969,  2474,  2475,  1269,  2187,   971,  3307,  2188,   536,
    3346,  3347,  2348,    19,  3492,  3179,  3181,  3182,  3502,  3507,
    3076,  2362,  2108,  2109,  2258,  2258,  1920,  1921,  2561,  1105,
     970, -1827,  2485,  1106,  2807,  1270,   972,  3726,  3727,  1271,
    2378,   973,  3467,  1428,  2701,  1920,  1921,  2413,   976,  3077,
    2188,  2219,  2498,   977,  1471,  2499, -1315,  1473,  2790,  1475,
    1917,  1477,  3311,  1479,  1272,  3212,   979,  1483, -1315,  2853,
    2854,  2855, -1315,  2856,  2857,  2858,  2859,  2860,  2861,  1917,
    3914,  3915,  3916,  3917,  3011,  1091,  2555,  2610,   614,  2556,
    2937,  1992,  2307,  1544,  2308,  1804,   614,  1094,   614,  2577,
    2562,  2922,  2659,  2923,  2488,  2660,  3379,  2674,  2784,  1745,
    2675,  2158,  1098,  1745, -1315,  1745,  2309,  3165,  2820,  1556,
    1557,  2146,  2543,  2642,  3514, -2072,   983,  1099,  1919,  2849,
    3403,  2642,  4020,  2830,  1116, -1315,  2146,  2373,  4214,  2376,
    1100,  1919,  2834,  1746,  3310,  2146,  3731,  1746,  2838,  1746,
    2563,  2146,  2853,  2854,  2855,  2634,  2856,  2857,  2858,  2859,
    2860,  2861,  1104,  2643,  2644,  2645,  2646,  2647,  2648,  2393,
    2394, -1315,  1442,  2697,  1123,  4002,  1920,  1921,  2259, -1315,
    1124,   515,  2839,  1457,  2672,  2146,  2924,  2714,  2925,  1920,
    1921,  3352,    37,    27,  1126,  2702,  2865,  3404,  2881,  2146,
    2564,  2146,  4051,  3724,  2886,  1127,  1887,  2887, -2072,  2310,
    1917,  1134,  2745,  3096,  2311,  2814,   162,  2730,   874,  2312,
    2816,  3066,    41,  1917,  3067,  3405,  2673, -1373, -1373,  2712,
    3657,  3469,  3470,   983,  3070,  3227,  2849,  3071,  3218,  3258,
    3406,  3219,  3259,   983,  1148,  3316,  2849,  2731,  2146,  1149,
    1919,  3407,   874,  3732, -2072,  4280,  1153,  4281,   983,   521,
      45,  2849,  3353,  1179,   586,  3354, -2072,   772,  2740,  2741,
   -2072,    37,    46,  3408,  2769, -2072,  2771,  1159,  -880,  2678,
   -2072,  3363,  1184, -2072,  3364, -2072,  1206,  3467,  3375,  2565,
    3099,  2146,  3941, -1315,  3445,  1210,  2530,  3446,  1920,  1921,
    3449,    41,  1238,  3450,  3473,  3013,   587,  2158,  3583,  2851,
    1301,  3584, -2072,  2258,  1236,   614,   523,  3213,  1126,  3215,
   -1303,  2991,  2992,  2951,  2994,  1187,  2703,  1919,  2679,  2961,
    1245,   699,  1917, -2072,  1265,  2313,  1133,  3961,  1135,    45,
    3750,  3416,  3753, -1350,  1286,  2314,  3409, -1350,  1277,  2259,
    2259,    46,  3730,  1291,  1126,  2188,  2711,  1188,  1296,  3783,
    1297,  3587,  3784,  2938,  1302,  2704,  2852,  2819,  3789, -2072,
    3918,  2158,  3421,  3423,  1306,  1920,  1921, -2072,  3790,  2987,
    3264,  2158,  1304,   694,  3882,    47, -1097,  3883, -1097,   700,
    2566,  3923,  3925,  1316,  3924,  2146,  3934,  3935,  2567,  1311,
    3083,  2568,  3085,  3933,  2680,  2681,  2188,  3127,  1318,  1917,
   -1350,  2938,  1189,  1328,  3984,  1325,  2851,  3985,  2682,  1167,
    3942,  1369, -2072,  1371,  1586,  4005,  2851,  1373,  4006,  4052,
    3312,  4063,  4053,  4070,  2188,  1365,  1428,  4075,  2305,  4077,
    3238,  2851,  3238,  1190,  1919,  2709, -1350,  1382,  4136,  -157,
     530,  1636,   531,  4141,   701,  3117,  4142,  2921,  3493,  3093,
    1384,   533,  4148,  2683,  1386,  2188,  4149,   627,  4150,  2887,
    2931,  2146,   535,  2852,  1398,   536,  1406,   874,  1191,  3131,
     694,  1748,   185,  2852,  2258,  2258,  2927,  2928,  2929,  2963,
    2964, -2072,  1920,  1921,  4153,  1919,  1416,  1428,  2852,   162,
    2193,   166,  2190,  2191,  2192,  3567,  1421,  1192,  1422,  2953,
    4155,   614,  2219,  3238, -2072,  3074, -2072, -2072,  2931,  1423,
    4172,   693,  3086,  2188,  4008,  4178,  1917,  2285,  2188,  1424,
    2288,  2853,  2854,  2855,  1193,  2856,  2857,  2858,  2859,  2860,
    2861,  1745,  4179,  1920,  1921,  2188,  3599,  3600,  2684, -2072,
    2685,  1425, -2072, -2072, -2072,  4203,  4278,  4289,  1428,  4279,
    4279,  1516,  1517,  2969,  2970,  1194,  1427,   874,   702,    32,
    1428,  1435,  1438,  1195,  3729,  1746,  1439,  1917,  1440,  1196,
    1441,  1443,  1448,  1449,  4061,  2511,  1197,  3676,  1450,  1455,
    1460,  1485,  3128,  3221,  1198,  3224,  1512,  1514,  1518,  1528,
    1527,  1520,  1521,  1199,  2961, -1474, -1481,  1537,  1540,  1541,
    3279,  1200,  1542,  1543,  3015,  1547,  3016,  3017,    47,  1549,
    1552,  3899,  2961, -1471, -1472, -1475,  1745,  1553, -1473,  1554,
    1625,  1652,  1660,  1555,  1560,  3148,  1562,  1640,  2853,  2854,
    2855,  1563,  2856,  2857,  2858,  2859,  2860,  2861,  3069, -2160,
   -2160,  1636,  2856,  2857,  2858,  2859,  2860,  2861,  1564,  1565,
    1746,  1759,  1201,  2853,  2854,  2855,  3713,  2856,  2857,  2858,
    2859,  2860,  2861,  1566,  1137,  3320,  3091,  1211,  1573,  1574,
    1576,  3296,  2259,  1212,  1577,  1578,  1246,  2113,  1579,  1580,
    1581,  2259,  1582,  1583,  1139,  3326,  2119,  1786,  1794,  1800,
    2123,  3306,  1801,  1802,  1804,  1807,  2129,  2130,  2259,  2259,
    1805,  1806,  1808,  1809,  1836,  1830,  1856,  1837,  1860,  1862,
    3348,  1863,  1864,  1213,  2142,  1865,  1866,  1891,  2926,  1892,
    1899,  1901,  1247,  1911,  1912,  1914,  1596,  1917,  1915,  1597,
    1916,  1923,  1839,  2642,  1924,  1987,  2642,  2642,  1934,  1926,
    2642,  1927, -2074,  1935,  1928,  1942,  1510,  1938,  1939,  3299,
    2642,  3589,  1949,  1221,  1600,  1324,  1950,  1956,  1957,  3167,
    1601,  1966,  1214,  1967,  1080,  1840,  1977,  3309,  1978,  1215,
    1979,  1982,  1216,  1988,  2005,  1983,  1991,  3167,  1841,  2006,
    2018,  2021,  2028,  2020,  1602,  1533,  2030,  1544,  2031,  3844,
     874,  1842,   874,   614,   753,  2048,  2051,  1550,  2054,  1248,
    3174,  3176,   517,  2055,  2059,  3183,  2060,  2258,  1262,  2076,
    2081,   614,  2095,  3851,  2096,  2101,  3926,  2106,  2104,  2107,
    2111,  2122,  2124,  3236,  1217, -2074,  2125,  2126,  2140,  1843,
    2127,  2198,  2141,  2258,  2258,  2170,  2176,  2185,  2224,  3225,
    2230,  2225,  2267,  2268,  1597,  1249,  2900,  1250,  1596,  2280,
    2286,  1597,  3263,   874,  2298,  2290,  2291,  1954,  1844,  3657,
    1155,  2304,  2323,  1845,  2350,  2202,  2370,  2363,  2321,  2366,
    2367, -2074,   162,  3277,  2371,  2379,  1600,   700,  2380,  1218,
    2388,  1219,  1601, -2074, -2160,  1252,  2259, -2074,  1604,  2389,
    3149,  1220, -2074,  2392,  2398,  3921,  2412, -2074,  2414,  1221,
   -2074,  3689, -2074,  2415,  2416,  2427,  1602,  2432,  1222,  1605,
    1606,  2440,  2203,  2435,  3288,  2438,  2441,  3289,  2494,  2447,
    2459,  2452,  1254,  2456,  2473, -2160,  2489,  2476,  1088, -2074,
    1092,  3150,  2496,  2938,  2550,  2554,  2545,  2557,  2558,  1223,
    2607,  2204,  2632,  1224,  2631,  2620,  2633,  2635,  3841,  2637,
   -2074,  2627,   614,  1609,  2628,  3151,  2636,  1256,  3313,  1846,
    2638,  2639,  2205,  2649,  2651,  2655,  1610,  2658,  1225,  2662,
    3152,  2665,  2676,  2666,  3153,  2667,  2668,  2695,  2670,  2700,
    2707,  2713,  2669,  3489,  2671,  2719, -2074,   185,  2722,   694,
    3899,  2206,  3154,  2727, -2074,  2728,  2207,  3370,  2743,   694,
    2746,  2760,  2762,  2758,  2938,  2764,  1603,  3155,  2961,  2761,
    1604,  2372,  2765,  2774,  2777,  2780,  2779,  1745,  1847,  2786,
    2787,  2258,  2788,  1456,  1848,  2798,  1226,  1849,  2791,  2789,
    1586,  1605,  1606,  3770,  2806,  2199,  2810,   953,  2812, -2074,
    3396, -2160,  2208,  2815,  2817,  2818,  2832,  1607,  2833,  2836,
    3431,  1746,  2871,  1850,  3389,  3390,  3391,  3392,  2883,  1851,
    3549,  3952,  3639,  3552,  2835,  2837,  2840,  2841,  4007,  1187,
    3217,  2843,  1852,  2846,  2902,  1609,  2897,  2917,  2864,  2946,
    2870,  2872,  2948,  3156,   627,  2873,  2146,  2880,  1610,  -926,
    2979,  3157,  2895,  2896,  2910,  3232,  2940,  1853,  2945,  2920,
    2975,  1188,  2973,  3240,  3637,  3638,  4062,  3246, -2074,  2985,
    2990,  2993,  2995,  2996,  3005,  2997,  3008,  3014,  2998,  3039,
     185,  3257,  3040,  3010,  3158,  3028,  3029,  3047,  3046,  3001,
    3055, -2074,  3002, -2074, -2074,  1616,  1617,  1618,  1619,  1620,
    1621,  3057,  3088,  3095,  3089,  2209,  3092,  3865,  3094,  3100,
    3101,  2210,  3102,  3103,  3105,  3120,  1189,  2211,  3104,  3484,
    3485,  3486,  3487,  1612,  3106,  3107, -2074,  3108,  3109, -2074,
   -2074, -2074,  3111,  3167,  4100,  3686,  3687,  3688,  4105,  4106,
    3110,  3112,  3114,  3113,  3115,  1080,  2212,  1190,  2213,  3122,
    3534,  3533,  1975,  3535,  3124,  3536,  3132,  3126,  3169,  3138,
    3139,  3140,  3141,  3964,  3142,  2214,  3143,   614,  3172,  3844,
    2037,  3184,  2751,  3190,  1510,  3173,  3185,  3226,  3228,  3562,
    3563,  3230,  1191,   614,  3189,  4101,  4065,  3252,  3237,  3238,
    2215,  1187,  4104,  2642,  3244,  3248,  3247,  3251,  3255,  2642,
    2642,  2642,  2642,  2642,  2642,  3242,  3256,  3276,  3298,   874,
    4107,  1192,  4109,  3591, -2160, -2160,  3293,  1616,  1617,  1618,
    1619,  1620,  1621,  1188,  1745,  3283,  1211,  3285,  3294,  3295,
    3303,  3304,  1212,  4266,  3305,  3314,  3319,  2867,  1530,  2849,
    2866,  3365,  3349,   614,  1590,  3441,  3350,  3351,  3377,  3357,
    3378,  3418,  3609,  3611,  3613,  3615,   941,   942,  1746,  3386,
    3480,  3402,  3393,  3394,  3395,  3460,  3482,  3598,  3424,  3415,
    3438,  1745,  1213,    32,  3434,  1874,  3797,  1195,  1189,  1745,
    4266,  3483,  3435,  1196,  3437,  3494,  3608,  3495,  4266,  3497,
    1197,  3499,  3508,  3517,  3529,  3515,  3516,  3527,  1875,  3623,
    3528,  3530,  3544,   801,  3811,  1746,  3531,  1199,  3532,  1190,
    3560,  3503,  3564,  1746,  3570,  1200,  3820,  3668,  3572,  3573,
    4041,  1214,  3603,  2158,  3630,   162,  3667,  3268,  1215,  3601,
    3602,  1216,  3642,  3643,   772,  3645,   802,  2766,  2752,  4082,
    3973,  3646,  3661,  4158,  1191,  3664,  3665,  3673,  3677,   803,
     804,  3674,  3690,  2775,  2776,  3685,  3679,  2778,   805,  3693,
    3835,  3694,   806,  2782,  3695,  2938,  1201,  3696,  3697,  2938,
    3705,  3714,  3709,  1192,  3990,  3700,  3715,  3722,  3716,   807,
    3702,  3710,  3717,  1217,  3718,  3742,  3829,  3830,  3744,  3832,
    3746,  3747,  3754,   614,  3759,  3760,  3771,  3774,  3757,  3778,
     808,  3762,  3780,  3785,  3763,  3786,  3804,  3814,  1628,  3807,
    3821,  3808,  3824,  3828,  3833,  3838,  4255,  3842,   809,  3849,
    2813, -2087,  3854,  3857,  3866,  3858,  3861,  3868,  3869,   810,
    3815,  3870,  3873,  3881,   811,    32,  3888,  3875,  1218,  2753,
    1219,  3896,  3825,  3884,  3894,  1196,  3897,  3905,  3911,  3919,
    1220,  3920,  1197,  3922,  3927,   812,  3929,  3931,  1221,  3930,
    1875,  3932,  3945,  3938,  3948,  3954,  3958,  1222,  3960,  1199,
    3962,  3966,  2931,  3979,  3983,  3999,  2931,  1200,  4000,  3992,
     813,  4009,  3982,  3993,  3629,  4018,  4026,  4016,  4027,  4029,
    4031,  4066,  4072,  4043,  4044,  4081,  3769,   701,  1266,  4089,
    4098,  4122,  1224,  4126, -2087,  1510,  4128,  4132,  4138,  3779,
    4139,  4140,  4145,  4146,  4156,   162,  3772,  3777,  4151,  4152,
    4157,  4162,  4164,  3605,   623,   624,  4175,  1267,  1201,   630,
     814,  4102,  2754,   640,   646,   623,  4180,   653,  4181,  4184,
     646,   646,  3631,   680,  4186,   683,  4190,  3426,  4221,   614,
   -2087,  4195,  4196,  4224,  4182,  4183,  4246,  4216,   185,  4213,
    4258,  4218, -2087,  4274,  3641,  4232, -2087,  4277,  3809,  4169,
    1128, -2087,  4283,  4287,  1989,  2710, -2087,  2955,  1659, -2087,
    1209, -2087,  3052,   815,  2549,  1226,  3512,   816,  2619,   817,
    3145,  4003,  3843,  4113,  3879,   818,  4028,  3663,   819,  4030,
     614,  3863,  4040,  2999,  3622,  2785,  4219,  3971, -2087,  4254,
    4187,  4185,  4230,  3818,  3819,  4134,  3004,  3880,  3822,  3823,
    3633,  2693,  2694,  3511,   820,  3064,   821,  2073,  3634, -2087,
     822,  2677,  3635,  2642,  2642,  3233,  4257,  4288,   823,  4284,
    3186,  3170,  4231,   824,  4166,  3991,  3831,   874,  2058,  4177,
    4222,  3847,  3994,  3848,   629,  3691,  3852,  3853,  1505,  4084,
    3834,  3669,  2502,  4144,   876, -2087,  3009,  3121,   825,  3860,
    4239,  1101,  2951, -2087,   736,   741,   741,   744,  3670,   741,
     749,   772,   736,   755,   680,  4285,   774,  4130,   755,  2374,
     680,  2149,   680,  2958,  3451,  2375,   741,   755,   680,  3651,
    1757,   614,  3773,  1122,  2959,  2397,  1782,  3877,  1596,  2938,
    2961,  1597,  2971,  1783,  2938,   772,  1510,  2938, -2087,  2967,
    2396,  2391,  1787,  2984,  3738,  3739,  3740,  3741,  1598,  2972,
    3398,  4074,  3752,  3369,  3898,  3452,  1600,  1109,  4064,  3056,
    1596,  3058,  1601,  1597,  1790,  2663,  3117,  2938,  3359,  3878,
    4204,  4212,  4205,  2962,  2915,  3700,  3700,  3700,  3700,  2913,
    1598,  2349,  2827,   627,     0,     0,  1602,  3448,  1600,     0,
       0,     0,     0,     0,  1601,     0,     0,     0,     0,     0,
    4069,  3989,     0,  2751,  1510,     0,     0, -2087,  1510,  1510,
    4069,     0,     0,     0,     0,     0,     0,     0,  1602,     0,
       0,     0,  1187,     0,     0,     0,     0,     0,     0,     0,
   -2087,     0, -2087, -2087,     0,     0,  2931,     0,   753,     0,
       0,  2931,     0,     0,  2931,     0,     0,     0,  3116,     0,
       0,     0,     0,  3123,  1188,     0,     0,     0,     0,     0,
       0,     0,  4111,     0,     0, -2087,     0,     0, -2087, -2087,
   -2087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2938,     0,     0,     0,     0,     0,  1603,     0,     0,     0,
    1604,     0,     0,     0,     0,  3167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3974,  3976,  3976,  1189,
    3963,  1605,  1606,     0,     0,     0,     0,     0,  1603,  2642,
       0,     0,  1604,  4004,     0,     0,     0,  1607,  2938,   614,
       0,  2751,     0,     0,  4154,     0,     0,     0,     0,     0,
    1190,     0,     0,  1605,  1606,     0,     0,     0,     0,     0,
    1187,     0,  1608,     0,     0,  1609,     0,     0,     0,  1607,
     162,  4021,     0,     0,     0,     0,     0,     0,  1610,  2752,
       0,  1611,     0,     0,     0,  1191,     0,     0,     0,     0,
       0,     0,  1188,     0,  1608,     0,     0,  1609,     0,     0,
       0,     0,     0,     0,  1596,     0,     0,  1597,     0,     0,
    1610,     0,     0,  3278,  1192,   772,     0,  3281,  3282,     0,
    3284,     0,  3286,  3287,  1598,     0,  4048,     0,     0,     0,
       0,  3292,  1600,     0,     0,     0,   800,     0,  1601,     0,
       0,   680,  3904,   736,     0,  2931,   741,  1189,   744,     0,
     741,     0,     0,  1612,   755,     0,   774,     0,   755,   853,
       0,  3308,  1602,     0,     0,     0,   741,     0,     0,   755,
       0,     0,     0,     0,     0,     0,    32,     0,  1190,     0,
    1195,     0,     0,   875,     0,  1612,  1196,   736,     0,     0,
       0,     0,   744,  1197,     0,     0,   736,   874,     0,   774,
       0,  1875,     0,     0,     0,  4090,     0,  2752,     0,     0,
    1199,     0,     0,  1191,   741,     0,     0,     0,  1200,   925,
       0,     0,     0,     0,     0,  4192,     0,  4108,     0,  4110,
       0,     0,     0,     0,     0,  2938,     0,     0,     0,     0,
       0,     0,  1192,  1613,  1614,  1615,     0,  1616,  1617,  1618,
    1619,  1620,  1621,     0,     0,  2368,     0,     0,     0,     0,
     680,  2369,  1603,     0,     0,  4220,  1604,     0,     0,  1201,
     680,   966,     0,  2754,  3268,  1613,  1614,  1615,     0,  1616,
    1617,  1618,  1619,  1620,  1621,     0,     0,  1605,  1606,  1075,
       0,   680,   646,     0,   875,     0,   646,     0,     0,     0,
       0,     0,     0,  1607,    32,     0,     0,     0,  1195,   680,
       0,     0,     0,   680,  1196,     0,     0,  3976,     0,  1075,
       0,  1197,     0,  4012,     0,     0,     0,     0,  1608,  1875,
     680,  1609,     0,     0,     0,     0,     0,     0,  1199,     0,
       0,     0,   680,     0,  1610,     0,  1200,  1611,     0,     0,
       0,     0,     0,  1080,     0,     0,     0,     0,  4189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4286,     0,     0,     0,
       0,     0,     0,   680,     0,     0,     0,     0,     0,     0,
       0,     0,   741,   741,     0,     0,  4273,  1201,     0,     0,
       0,  2754,   162,  4244,   166,  4241,  4242,  4243,     0,     0,
    4223,     0,     0,     0,     0,     0,     0,     0,     0,  1612,
       0,     0,     0,  4265,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   736,     0,     0,     0,  4272,  4244,   166,
    4241,  4242,  4243,   736,  4093,     0,   774,     0,     0,     0,
       0,  4256,     0,     0,     0,     0,     0,  4264,     0,   741,
    1211,     0,     0,     0,     0,     0,  1212,     0,     0,  1596,
    4265,     0,  1597,   680,     0,     0,     0,     0,  4265,   741,
     741,   162,  4244,   166,  4241,  4242,  4243,     0,     0,  1598,
       0,     0,     0,   680,   680,   680,   741,  1600,   736,     0,
       0,     0,     0,  1601,  4264,     0,  1213,     0,     0,  1613,
    1614,  1615,  4264,  1616,  1617,  1618,  1619,  1620,  1621,     0,
       0,     0,     0,   741,   741,   741,  2842,  1602,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   875,     0,     0,     0,  1075,  1596,     0,
       0,  1597,     0,     0,     0,  1214,   875,     0,     0,     0,
       0,     0,  1215,     0,     0,  1216,     0,     0,  1598,     0,
       0,     0,     0,     0,     0,     0,  1600,     0,  1488,  1488,
       0,     0,  1601,   680,     0,   623,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,   680,  1602,     0,  1525,   875,
       0,     0,  1211,     0,     0,     0,     0,  1217,  1212,     0,
       0,  1075,     0,     0,     0,     0,     0,  1603,     0,     0,
    3680,  1604,     0,     0,     0,     0,     0,     0,  3683,  3684,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1075,     0,  1605,  1606,     0,     0,     0,     0,  1213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1607,     0,
       0,     0,  1218,     0,  1219,     0,     0,     0,  1075,  1075,
       0,  1075,     0,     0,  1220,     0,     0,     0,     0,     0,
       0,     0,  1221,  1608,     0,     0,  1609,     0,  1075,     0,
       0,  1222,     0,     0,     0,  1211,  1603,  1214,     0,  1610,
    1604,  1212,  1611,     0,  1215,     0,     0,  1216,     0,     0,
     875,     0,     0,     0,     0,     0,     0,     0,   875,   875,
       0,  1605,  1606,     0,   680,     0,  1224,  1075,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1607,     0,     0,
       0,  1213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,  1075,     0,     0,  1217,
    1075,  1075,  1608,     0,     0,  1609,     0,     0,     0,     0,
     680,   680,  1793,     0,  1612,     0,     0,     0,  1610,     0,
       0,  1611,     0,     0,     0,     0,     0,     0,   646,     0,
    1214,     0,     0,     0,     0,     0,  1596,  1215,     0,  1597,
    1216,     0,     0,     0,     0,     0,     0,     0,     0,  1226,
       0,     0,     0,     0,  1218,     0,  1219,     0,  3796,     0,
     646,     0,     0,     0,  1600,     0,  1220,     0,     0,     0,
    1601,     0,   680,  1898,  1221,     0,     0,     0,     0,   680,
       0,     0,   741,  1222,     0,     0,     0,     0,     0,  3812,
    3813,  1595,  1217,  1612,  1602,     0,  1596,     0,     0,  1597,
     774,     0,     0,     0,  1613,  1614,  1615,   680,  1616,  1617,
    1618,  1619,  1620,  1621,  1292,     0,  1598,     0,  1224,  1599,
       0,  2890,     0,     0,  1600,     0,     0,   680,     0,     0,
    1601,     0,     0,     0,     0,   741,   741,   741,   741,   680,
       0,     0,     0,  1293,     0,  3836,  3837,  1218,   755,  1219,
     646,     0,     0,   680,  1602,     0,  2911,     0,     0,  1220,
       0,     0,     0,     0,  2001,     0,   680,  1221,     0,     0,
       0,     0,     0,     0,   741,   741,  1222,     0,     0,     0,
     741,     0,     0,  1613,  1614,  1615,     0,  1616,  1617,  1618,
    1619,  1620,  1621,     0, -2160,     0,     0,  2289,  1604,     0,
       0,  1226,     0,     0,     0,     0,     0,  1857,     0,     0,
       0,  1224,     0,     0,     0,     0,     0,     0,     0,  1605,
    1606,     0,     0,     0,     0,     0,   741,     0,     0,     0,
       0,     0,     0,     0,     0, -2160,  1858,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,     0,     0,
     741,   741,   741,   741,  1603,     0,     0,     0,  1604,  3907,
     755,  3908,  3909,  1609,     0,     0,     0,     0,     0,  2001,
       0,     0,  3912,     0,     0,     0,  1610,     0,   736,  1605,
    1606,     0,     0,     0,     0,   744,     0,   736,     0,     0,
       0,     0,     0,     0,  1226,  1607,     0,   774,     0,  1211,
       0,     0,   741,     0,     0,  1212,     0,     0,     0,     0,
       0,   741,     0,   755,     0,     0,     0,   741,   741,     0,
    1608,     0,   680,  1609,   925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,     0,  1596,  1611,
       0,  1597,     0,     0,     0,  1213,     0,  1488,     0,     0,
       0, -2160,     0,     0,   741,     0,   736,     0,     0,     0,
     680,   680,     0,   741,     0,     0,  1600,     0,     0,   680,
       0,     0,  1601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   623,   623,     0,     0,  2201,     0,     0,     0,
    1075,     0,  1075,     0,  1214,     0,  1602,     0,     0,  1075,
       0,  1215,  1075,     0,  1216,     0,  1075,     0,     0,     0,
       0,  1612,     0,     0,  1075,  1075,     0,     0,     0,     0,
       0,     0,  1075,     0,   774,  1075,  1075,  1075,  1075,     0,
       0,     0,     0,     0,     0,  1075,  1075,     0,  1075,     0,
    1075,  1075,     0,     0,  1075,  1616,  1617,  1618,  1619,  1620,
    1621,     0,     0,     0,     0,     0,  1217,     0,     0,     0,
    1075,     0,     0,     0,   741,  1075,     0,     0,     0,  1075,
       0,     0,     0,  1075,     0,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,     0,  1075,     0,     0,     0,   680,
    1075,     0,  1075,  4060,     0,     0,  1603,     0,   680,     0,
    1604,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,  1218,     0,  1219,     0,     0,     0,     0,     0,     0,
       0,  1605,  1606,  1220,     0,     0,     0,     0,     0,     0,
       0,  1221,     0,     0,     0,     0,  1596,  1607,     0,  1597,
    1222,     0,     0,     0,     0,     0,     0,  4086,     0,     0,
       0,     0,     0,     0,     0,     0,  1598,     0,     0,     0,
       0,     0,  1608,     0,  1600,  1609,     0,     0,     0,     0,
    1601,  2508,     0,     0,     0,  1224,     0,     0,  1610,     0,
       0,  4112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1602,     0,     0,     0,     0,     0,
    1225,     0,     0,  1596,     0,     0,  1597,     0,     0,     0,
       0,     0,     0,     0,   680,     0,   680,     0,  1075,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1600,     0,     0,     0,     0,     0,  1601,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1612,  2404,     0,  2411,     0,  1226,     0,
       0,  1602,   755,     0,     0,     0,     0,   755,     0,     0,
     755,   744,     0,     0,     0,     0,   623,     0,   623,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,     0,  1603,  1075,     0,     0,  1604,     0,
       0,   736,     0,   741,   741,   741,     0,   736,   774,     0,
     741,     0,   741,     0,   741,   741,     0,     0,   680,  1605,
    1606,     0,     0,  3383,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,  1607,     0,   646,     0,     0,
       0,     0,     0,  1613,  1614,  1615,     0,  1616,  1617,  1618,
    1619,  1620,  1621,   755,     0,     0,  1898,     0,     0,     0,
    1608, -2160,  2512,  1609,     0,  1604,     0,  2521,     0,     0,
       0,     0,     0,   680,     0,     0,  1610,   755,     0,  1611,
       0,     0,     0,     0,     0,     0,  1605,  1606,     0,  2552,
    2552,     0,     0,     0,  4251,     0,   744,   755,     0,     0,
     755,     0, -2160,     0,     0,     0,     0,     0,     0,     0,
    1596,   741,     0,  1597,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,     0,
    1609,     0,     0,     0,     0,     0,     0,  2609,  1600,  2611,
    2613,   755,     0,  1610,  1601,     0,     0,     0,     0,     0,
     755,  1612,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   741,  1602,     0,
       0,     0,     0,     0,     0,   741,   741,   741,   741,   741,
     741,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1075,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1898, -2160,     0,
       0,  2552,   680,     0,     0,     0,   623,     0,     0,     0,
    3384,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,     0,  2609,     0,     0,  3171,     0,     0,     0,   741,
    2739,     0,     0,     0,     0,     0,     0,     0, -2160,   875,
       0,  1596,  1604,     0,  1597,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   741,     0,   741,  2552,   741,  2552,
       0,     0,     0,  1605,  1606,     0,     0,     0,     0,  1600,
       0,     0,     0,   875,     0,  1601,     0,     0,  1075, -2160,
       0,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,  1602,
       0,     0,  1362,     0,     0,     0,     0,  1609,   755,     0,
       0,     0,  1596,     0,     0,  1597,     0,     0,     0,     0,
    1610,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,  1598,     0,   736,     0,     0,     0,     0,   736,
    1600,     0,     0,     0,     0,     0,  1601,     0,     0,   741,
       0,     0,     0,     0,     0,     0,  1075,  1075,     0,     0,
       0,     0,  1075,     0,     0,     0,     0,     0,     0,     0,
    1602,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1075,  1075,     0,
       0,     0,  1075,     0,     0, -2160,     0,     0,     0,  1603,
       0,     0,     0,  1604,  1075,  1075,  1075,  1075,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1075,     0,     0,
    1075,     0,  1075,  2894,  1605,  1606,     0,     0,     0,  1362,
       0,     0,  1075,  1075,     0,     0,  1075,     0,     0,     0,
    1607,     0,     0,     0,     0,     0,     0,     0,     0,  1075,
       0,  1075,     0,   774,     0,  1075,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1211,  1609,     0,
    1603,  1075,     0,  1212,  1604,   680,     0,     0,     0,     0,
       0,  1610,  2939,     0,  1075,  1075,  1075,     0,     0,  1616,
    1617,  1618,  1619,  1620,  1621,  1605,  1606,     0,   875,     0,
       0,  1075,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1607,  1075,  1213,     0,     0,     0,  1075,     0,     0,
       0,   680,     0,     0,  1075,     0,     0,     0,     0,     0,
    2939,     0,     0,  2978,     0,     0,  1608,  2411,     0,  1609,
       0,     0,     0,  1361,     0,     0,   755,     0,     0,     0,
       0,  1596,  1610,     0,  1597,  1611,  1612,     0,     0,     0,
       0,     0,  1214,     0,     0,     0,     0,     0,     0,  1215,
    2552,  1211,  1216,     0,     0,  1488,     0,  1212,     0,  1600,
       0,     0,     0,     0,     0,  1601,     0,     0,   875,     0,
       0,     0,     0,     0,     0,     0,   741,     0,   741,   741,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1602,
       0,     0,     0,     0,     0,     0,     0,  1213,     0,     0,
       0,     0,  1362,     0,  1217,     0,     0,  1612,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1613,  1614,  1615,     0,
    1616,  1617,  1618,  1619,  1620,  1621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1214,     0,     0,     0,
       0,  3387,     0,  1215,  1646,  1890,  1216,     0,     0,  1218,
       0,  1219,   755,     0,     0,     0,     0,     0,     0,   755,
       0,  1220,     0,     0,     0,     0,     0,     0,     0,  1221,
       0,     0,     0,     0,     0,  1362,     0,     0,  1222, -2160,
       0,     0,     0,  1604,     0,     0,     0,  1613,  1614,  1615,
       0,  1616,  1617,  1618,  1619,  1620,  1621,     0,  1217,     0,
       0,  3321,     0,     0,  1605,  1606,  1361,     0,     0,  2584,
       0,     0,     0,  1224,     0,     0,     0,     0,     0,     0,
   -2160,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,     0,  2585,  2552,
    2552,     0,     0,     0,     0,  1362,     0,     0,  1609,     0,
       0,     0,     0,  1218,     0,  1219,     0,     0,     0,  1361,
       0,  1610,     0,     0,  1362,  1220,     0,  1596,     0,     0,
    1597,     0,     0,  1221,     0,     0,     0,     0,     0,     0,
       0,     0,  1222,     0,  1362,     0,     0,  1598,     0,  1361,
       0,   875,     0,   875,     0,  1600,  1226,   680,     0,     0,
       0,  1601,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,  2622,     0,     0,     0,  1224,     0,     0,
       0,  1488,   680,     0,     0,  1602,     0,     0,     0,     0,
     680,     0,     0,     0,   680,     0, -2160,     0,     0,     0,
       0,     0,  2623,     0,     0,     0,     0,     0,   680,     0,
       0,     0,     0,     0,   875,     0,     0,     0,     0,  1361,
       0,  1362,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   741,     0,  1361,   741,
       0,     0,   755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   736,     0,     0,   755,     0,  1361,     0,
    1226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   680,     0,   755,     0,     0,     0,     0,     0,
     741,     0,     0,  1361,     0,  1603,     0,     0,  1075,  1604,
    1616,  1617,  1618,  1619,  1620,  1621,     0,     0,  1075,     0,
       0,     0,     0,     0,  1075,     0,  1075,     0,     0,     0,
    1605,  1606,  1075,     0,     0,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,     0,  1607,     0,  1075,  1075,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,     0,
       0,  1075,     0,     0,     0,  1075,     0,     0,     0,  1075,
       0,  1608,     0,     0,  1609,     0,     0,     0,     0,  1075,
    1596,     0,  1075,  1597,  1075,     0,     0,  1610,     0,     0,
    1611,     0,     0,  1075,  1075,  1075,     0,     0,     0,  1075,
       0,     0,  1075,     0,     0,     0,     0,     0,  1600,   680,
     680,   680,  2939,  3401,  1601,     0,  1362,  3401,  3414,     0,
    1211,     0,  1075,     0,     0,     0,  1212,     0,  3428,     0,
    1075,     0,  1075,     0,     0,     0,     0,     0,  1602,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2361,
       0,     0,     0,     0,     0,  1075,     0,     0,     0,     0,
       0,  1075,  1612,     0,     0,  2411,  1213,  1075,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1075,     0,     0,  3468,  1488,  1488,     0,  2001,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3735,   741,   741,   741,   741,     0,     0,     0,     0,     0,
     755,     0,     0,     0,     0,  1214,     0,     0,     0,     0,
       0,     0,  1215,     0,     0,  1216,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0, -2160,  3510,
       0,     0,  1604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,
    1620,  1621,     0,  1605,  1606,     0,  3368,     0,     0,     0,
       0,     0,     0,     0,   499,     0,     0,  1217,     0, -2160,
     544,   499,     0,     0,     0,     0,   584,   755,   499,  1596,
     755,     0,  1597,   499,     0,   632,     0,     0,     0,     0,
       0,     0,     0,     0,  3565,     0,     0,  1609,     0,  1598,
       0,     0,     0,   692,     0,     0,     0,  1600,     0,     0,
    1610,     0,     0,  1601,     0,     0,     0,     0,     0,     0,
     875,     0,  1218,     0,  1219,     0,     0,     0,     0,     0,
    1596,     0,     0,  1597,  1220,     0,     0,  1602,     0,     0,
       0,     0,  1221,     0,     0,     0,     0,     0,     0,     0,
    1598,  1222,     0,     0,     0,     0,     0,     0,  1600,     0,
     680,     0,     0,     0,  1601,     0,     0,     0,     0,     0,
       0,   741,     0,  1075,     0,     0,     0,     0,     0,   680,
       0,     0,  3033,     0,     0, -2160,  1224,     0,  1602,     0,
    2497,  1898,     0,     0,     0,  1890,  2504,     0,     0,     0,
       0,   680,     0,     0,     0,     0,     0,  1362,     0,     0,
    2609,  3034,     0,     0,     0,     0,  3658,     0,     0,     0,
    1898,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1075,  1075,     0,   748,     0,  1603,     0,     0,
       0,  1604,     0,     0,   776,     0,   779,     0,   782,     0,
     784,     0,     0,     0,     0,  2552,     0,  2552,     0,     0,
       0,     0,  1605,  1606,     0,     0,     0,     0,     0,  1226,
       0,     0,     0,   755,     0,     0,     0,     0,  1607,  1616,
    1617,  1618,  1619,  1620,  1621,     0,     0,     0,  1603,  1075,
       0,     0,  1604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1608,  1361,     0,  1609,     0,     0,  1361,
    1361,     0,     0,  1605,  1606,     0,     0,     0,     0,  1610,
       0,  1361,  1611,     0,     0,     0,  1075,     0,     0,  1607,
       0,     0,     0,     0,     0,     0,  1075,  1075,     0,  1362,
       0,     0,     0,   172,  1075,  1075,     0,     0,     0,  1075,
       0,     0,     0,     0,  1608,  1075,  1075,  1609,     0,  1075,
       0,   680,   680,   680,   680,     0,     0,     0,  3401,     0,
    1610,  3743,     0,  1611,  2939,     0,     0,     0,  2939,     0,
       0,     0,     0,     0,  3756,     0,     0,  1075,     0,   173,
       0,     0,  1075,     0,  1612,     0,     0,     0,  3766,     0,
       0,     0,   174,     0,  1075,     0,     0,     0,     0,     0,
     774,     0,     0,  1890,     0,     0,     0,     0,  2978,   175,
       0,     0,  2411,     0,     0,   176,     0,     0,     0,     0,
       0,     0,   623,     0,     0,  1075,     0,     0,     0,     0,
     177,     0,     0,     0,     0,  1612,     0,     0,     0,     0,
       0,     0,     0,  1361,  2552,  2552,     0,     0,   178,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   179,
       0,     0,     0,     0,   180,     0,     0,     0,  3810,     0,
     181,     0,     0,     0,  1613,  1614,  1615,   755,  1616,  1617,
    1618,  1619,  1620,  1621,     0,   182,     0,  1362,  3440,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   741,     0,
     183,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
       0,     0,   741,     0,     0,  1613,  1614,  1615,     0,  1616,
    1617,  1618,  1619,  1620,  1621,     0,     0,     0,     0,  3703,
       0,     0,     0,     0,     0,     0,     0,     0,   875,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,   832,
     184,     0,     0,     0,     0,     0,   839,     0,     0,     0,
       0,     0,     0,     0,     0,   854,   855,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,   185,     0,
     871,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,   879,     0,     0,     0,     0,     0,     0,
       0,   741,  1898,   186,     0,     0,     0,   900,     0,   187,
     902,     0,   904,     0,   907,   188,     0,     0,   189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   680,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2361,  2361,  2361,   190,   755,   191,     0,     0,   499,
     192,     0,     0,     0,     0,     0,     0,  1075,   193,     0,
       0,     0,     0,   194,     0,     0,  1075,     0,     0,     0,
       0,   963,     0,   964,     0,   195,     0,     0,     0,     0,
       0,     0,     0,  1075,  1075,     0,     0,  1075,   196,     0,
       0,     0,     0,     0,  3401,     0,     0,     0,  2939,     0,
       0,     0,     0,  2939,     0,     0,  2939,  2609,     0,  3950,
       0,  1075,  1075,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   692,     0,     0,     0,
     755,     0,   755,     0,     0,     0,  3468,   774,   741,   741,
     741,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     736,   774,     0,     0,     0,     0,     0,     0,  1596,     0,
       0,  1597,     0,     0,     0,     0,     0,     0,  1890,  2504,
       0,  2504,     0,     0,     0,     0,     0,     0,  1598,     0,
       0,  1488,     0,     0,     0,     0,  1600,   736,     0,     0,
     680,     0,  1601,  1075,     0,     0,     0,     0,     0,     0,
       0,  2552,     0,  1898,     0,     0,     0,  1295,     0,     0,
       0,     0,     0,     0,     0,  3658,  1602,     0,     0,     0,
     680,     0,  1307,  1362,     0,  1362,     0,     0,   741,  3468,
       0,     0,     0,  1315,     0,     0,     0,     0,     0,     0,
    1317,     0,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,  1075,  1367,     0,  1075,     0,  1075,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1075,     0,     0,     0,  2939,  1362,     0,
    3950,     0,  1361,  1361,  1409,  1361,  4080,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1362,     0,     0,     0,     0,   741,     0,     0,
       0,   680,     0,     0,     0,     0,  1603,     0,     0,     0,
    1604,     0,     0,     0,     0,     0,     0,  2504,   741,   741,
     741,   741,     0,     0,     0,     0,     0,  1361,   875,  1361,
       0,  1605,  1606,     0,     0,  2504,   499,     0,   499,     0,
     499,     0,   499,     0,   499,   499,   499,  1607,  1075,     0,
       0,   499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -115,     0,     0,     0,     0,     0,     0,
       0,     0,  1608,     0,     0,  1609,     0,     1,     0,     0,
       0,     0,  1361,     0,     0,     0,     0,     2,  1610,     3,
       4,  1611,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,  1075,     5,     0,  1361,     0,     0,   741,
       0,   774,  2504,     0,     0,     0,     0,     0,     0,     0,
    1075,     0,     0,  1362,     6,     0,     7,     8,     0,     0,
       0,  1361,     9,     0,    10,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    11,     0,    12,     0,     0,  1361,
     741,     0,  1596,     0,   736,  1597,     0,     0,     0,     0,
       0,     0,    13,  1612,  3468,    14,     0,     0,     0,     0,
       0,     0,  1598,     0,     0,     0,     0,    15,  4080,    16,
    1600,  1075,  1075,    17,   755,     0,  1601,     0,  1362,    18,
       0,     0,     0,     0,   736,     0,    19,     0,    20,     0,
       0,     0,   741,     0,    21,     0,     0,     0,  1362,     0,
    1602,     0,  1361,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,     0,     0,     0,  1361,     0,  1075,     0,
     692,     0,     0,  1362,     0,     0,  1596,  1361,  1075,  1597,
       0,     0,     0,   741,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1613,  1614,  1615,  1598,  1616,  1617,  1618,
    1619,  1620,  1621,     0,  1600,     0,     0,  3737,     0,  1362,
    1601,     0,    23,    24,     0,     0,     0,     0,    25,     0,
       0,     0,     0,     0,     0,     0,    26,     0,     0,     0,
       0,  1855,     0,     0,  1602,     0,  1075,    27,     0,     0,
       0,     0,  1361,     0,     0,   736,     0,     0,     0,  2361,
    1603,     0,     0,     0,  1604,     0,     0,     0,     0,   738,
       0,     0,  1361,     0,     0,     0,     0,   738,     0,     0,
       0,     0,     0,     0,    28,  1605,  1606,     0,     0,     0,
       0,     0,     0,     0,     0,    29,     0,  1361,     0,     0,
      30,  1607,    31,     0,     0,     0,     0,    32,     0,     0,
       0,     0,    33,     0,     0,    34,     0,     0,     0,    35,
       0,     0,     0,     0,    36,    37,  1608,     0,     0,  1609,
       0,     0,    38,  1361,     0,    39,     0,     0,     0,     0,
       0,     0,  1610,    40,  1603,  1611,     0,     0,  1604,     0,
       0,     0,     0,     0,     0,    41,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1605,
    1606,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,  2504,    43,     0,     0,  1607,  1596,     0,    44,  1597,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,  1598,     0,     0,     0,
    1608,     0,     0,  1609,  1600,     0,     0,  1612,     0,     0,
    1601,     0,  1211,     0,     0,     0,  1610,     0,  1212,  1611,
    2053,     0,  1596,     0,     0,  1597,     0,     0,     0,    47,
       0,     0,  -115,  2075,  1602,     0,     0,     0,     0,     0,
       0,     0,  1598,  1246,     0,     0,     0,     0,     0,     0,
    1600,     0,     0,     0,     0,     0,  1601,     0,  1213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2117,     0,     0,     0,  2121,     0,     0,     0,     0,
    1602,     0,     0,     0,     0,  1361,  2132,     0,  2134,  1247,
    2135,  1612,     0,     0,     0,  2136,     0,  1613,  1614,  1615,
       0,  1616,  1617,  1618,  1619,  1620,  1621,  1214,     0,     0,
       0,  3781,     0,     0,  1215,     0,     0,  1216,   499,     0,
     499,     0,   499,     0,   499,  1362,   499,     0,     0,     0,
     499,     0,     0,     0,  1603,     0,     0,     0,  1604,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1890,  1605,
    1606,     0,     0,     0,     0,     0,  1248,     0,     0,  1217,
       0,     0,     0,     0,     0,  1607,     0,     0,     0,     0,
    1603,  1613,  1614,  1615,  1604,  1616,  1617,  1618,  1619,  1620,
    1621,     0,     0,     0,     0,  3928,     0,     0,   738,     0,
    1608,     0,     0,  1609,     0,  1605,  1606,     0,     0,     0,
       0,     0,  1249,     0,  1250,     0,  1610,     0,     0,  1611,
       0,  1607,     0,     0,  1251,     0,  1219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1220,     0,     0,  1361,
       0,     0,   738,     0,  1221,     0,  1608,     0,     0,  1609,
       0,   738,  1252,  1222,     0,     0,     0,     0,     0,     0,
       0,     0,  1610,     0,     0,  1611,  1362,     0,     0,     0,
       0,     0,  1361,     0,     0,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,  1224,  1254,
       0,  1612,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,  2361,     0,     0,     0,     0,  2361,
       0,     0,     0,     0,  1256,     0,     0,     0,     0,     0,
       0,  2361,     0,     0,     0,     0,     0,  1612,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1226,     0,     0,   738,     0,     0,     0,     0,  1362,
    1361,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,  1361,     0,     0,     0,  3969,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,  1613,  1614,  1615,
       0,  1616,  1617,  1618,  1619,  1620,  1621,     0,     0,     0,
       0,  4118,     0,     0,     0,     0,     0,     0,  2418,  2419,
       0,     0,     0,  2422,  2423,     0,     0,  2426,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,  2437,     0,     0,
       0,     0,  1596,     0,  2446,  1597,     0,     0,  2449,  2450,
       0,     0,  2453,  2454,  2455,     0,     0,     0,   738,     0,
       0,     0,  1598,  1361,  2469,     0,  2471,     0,   738,     0,
    1600,     0,     0,     0,     0,     0,  1601,     0,     0,     0,
       0,     0,  2493,     0,     0,     0,     0,  2495,     0,     0,
    1363,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
    1602,     0,     0,  1361,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2513,  2514,
    2517,  2519,     0,   738,     0,  2526,  2529,     0,     0,  1596,
       0,     0,  1597,  2540,     0,     0,  2544,     0,  1119,     0,
    2548,     0,     0,  3902,     0,     0,     0,  1361,     0,  1598,
       0,     0,     0,     0,     0,     0,  2571,  1600,     0,     0,
       0,     0,     0,  1601,     0,     0,     0,  2578,     0,  2580,
       0,     0,   738,     0,  2583,     0,     0,     0,  1362,  2587,
    2588,  2589,  2590,     0,  2592,     0,     0,  1602,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2615,  2616,  2617,
    1603,     0,     0,     0,  1604,     0,     0,     0,  2625,  2626,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,  1605,  1606,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1607,     0,     0,  1596,     0,   738,  1597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1598,     0,  1608,     0,  2688,  1609,
       0,     0,  1600,     0,     0,   738,     0,     0,  1601,     0,
       0,     0,  1610,  2504,     0,  1611,     0,  1603,     0,     0,
       0,  1604,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1602,   738,   738,     0,   738,     0,     0,     0,
       0,     0,  1605,  1606,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,  1607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1608,     0,     0,  1609,  1612,     0,     0,
       0,     0,   738,  1744,     0,     0,     0,     0,  2504,  1610,
       0,     0,  1611,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,   738,     0,     0,     0,   738,   738,  1361,     0,     0,
       0,     0,  1603,     0,     0,     0,  1604,     0,     0,     0,
    1363,  2808,     0,     0,     0,     0,  1744,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,  1605,  1606,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1535,     0,     0,  1607,  1612,     0,     0,  1613,  1614,  1615,
       0,  1616,  1617,  1618,  1619,  1620,  1621,  1362,     0,  3436,
       0,  1362,  1362,  1363,     0,     0,     0,     0,  1608,  1559,
       0,  1609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1361,     0,  1610,     0,     0,  1611,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,  1584,  1585,     0,
    1587,     0,     0,  1361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1626,     0,     0,
       0,     0,  3902,     0,     0,     0,  1596,     0,     0,  1597,
       0,     0,     0,  1361,  1613,  1614,  1615,     0,  1616,  1617,
    1618,  1619,  1620,  1621,     0,     0,  1598,     0,  4191,     0,
    2381,     0,     0,     0,  1600,     0,  1662,     0,     0,  1612,
    1601,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,  1361,  1361,     0,     0,     0,
       0,     0,  1363,     0,  1602,  1765,     0,     0,     0,  1775,
    1778,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1744,     0,     0,     0,     0,  1363,     0,  2382,
       0,     0,  2988,  2989,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1613,
    1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,
       0,     0,     0,  4275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,  1363,
       0,     0,   738,     0,  1603,     0,     0,     0,  1604,     0,
       0,     0,     0,  3023,  3025,     0,     0,     0,  3025,     0,
       0,     0,     0,  3036,  3037,  3038,     0,     0,     0,  1605,
    1606,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3059,
    3060,  3061,  3062,     0,     0,     0,     0,     0,     0,     0,
    1608,   738,     0,  1609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,     0,     0,  1611,
       0,     0,     0,     0,     0,  3087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   738,     0,   738,     0,     0,
       0,     0,     0,     0,   738,     0,     0,   738,     0,     0,
       0,   738,     0,     0,     0,     0,     0,     0,     0,   738,
     738,     0,     0,     0,     0,     0,     0,   738,     0,     0,
     738,   738,   738,   738,     0,     0,     0,     0,     0,     0,
     738,   738,     0,   738,     0,   738,   738,  3125,     0,   738,
       0,  1612,     0,     0,     0,  3129,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,   738,  1744,     0,     0,     0,
     738,     0,     0,     0,   738,     0,     0,     0,   738,     0,
     738,   738,   738,   738,   738,   738,   738,   738,   738,     0,
     738,     0,     0,     0,     0,   738,     0,   738,     0,     0,
       0,     0,  2383,     0,  1596,     0,     0,  1597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3214,     0,     0,
       0,     0,     0,     0,  1598,     0,     0,  3220,     0,     0,
       0,     0,  1600,     0,     0,     0,     0,     0,  1601,     0,
       0,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,     0,  1596,     0,  3239,  1597,  3241,     0,     0,     0,
       0,     0,  1602,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1598,     0,     0,     0,     0,     0,     0,     0,
    1600,     0,     0,     0,  1596,     0,  1601,  1597,     0,     0,
       0,     0,  3280,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,  1598,     0,  3290,     0,     0,     0,
    1602,     0,  1600,     0,     0,     0,     0,     0,  1601,     0,
       0,  2251,     0,   738,  2253,     0,     0,  2264,     0,     0,
       0,     0,     0,     0,  2271,  2276,     0,     0,     0,     0,
    2282,  2866,  1602,  2287,     0,     0,  2867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2296,
       0,     0,  1603,     0,  2303,     0,  1604,     0,  2315,     0,
       0,  1744,  2322,     0,  2324,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,     0,  2333,     0,     0,  1605,  1606,  1062,
       0,  2358,     0,     0,     0,     0,     0,     0,     0,     0,
     738,     0,     0,  1607,     0,     0,   738,     0,     0,     0,
    1603,     0,   738,     0,  1604,     0,     0,     0,     0,     0,
    4249,     0,     0,     0,     0,     0,     0,     0,  1608,     0,
       0,  1609,     0,     0,     0,  1605,  1606,     0,     0,     0,
       0,     0,  1603,     0,  1610,     0,  1604,  1611,  1363,     0,
       0,  1607,     0,  1363,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,  1605,  1606,     0,
       0,     0,     0,     0,     0,     0,  1608,     0,     0,  1609,
       0,  1744,     0,  1607,  1744,     0,     0,     0,     0,     0,
       0,     0,  1610,     0,     0,  1611,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1608,     0,
       0,  1609,     0,     0,  3360,     0,     0,  1119,     0,  1612,
    1596,     0,     0,  1597,  1610,     0,     0,  1611,     0,     0,
       0,     0,     0,     0,     0,  3478,     0,  3479,     0,     0,
    1598,  3481,     0,  2829,  4250,     0,     0,     0,  1600,     0,
       0,     0,     0,     0,  1601,     0,  3490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1612,     0,     0,
       0,     0,     0,  3498,     0,     0,     0,     0,  1602,     0,
       0,  3361,  3509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2451,   738,     0,  1363,     0,  1612,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1613,
    1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,
       0,     0,  3537,  3538,  3539,  3540,  3541,  3542,  3543,     0,
       0,     0,     0,  3550,  3551,     0,  3553,  3554,  3555,  3556,
    3557,  3558,  3559,     0,     0,     0,     0,     0,     0,     0,
       0,  3566,     0,  3568,  3569,     0,     0,  1613,  1614,  1615,
       0,  1616,  1617,  1618,  1619,  1620,  1621,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,  1603,     0,
       0,     0,  1604,     0,     0,     0,     0,     0,     0,  1613,
    1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,
       0,     0,     0,  1605,  1606,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,  1607,
       0,     0,  3617,  3619,  3621,     0,     0,  3624,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1608,     0,     0,  1609,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
    1610,     0,     0,  1611,     0,     0,     0,     0,     0,   738,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2661,
       0,   738,   738,     0,     0,     0,     0,   738,     0,     0,
       0,     0,     0,  3025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   738,   738,     0,     0,     0,   738,     0,     0,
       0,     0,     0,     0,     0,  1612,     0,     0,     0,   738,
     738,   738,   738,     0,     0,     0,  1596,  1744,     0,  1597,
       0,     0,   738,  1744,     0,   738,     0,   738,     0,     0,
       0,     0,     0,     0,     0,     0,  1598,   738,   738,     0,
       0,   738,     0,     0,  1600,     0,     0,     0,     0,     0,
    1601,     0,     0,     0,   738,     0,   738,     0,     0,     0,
     738,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1602,     0,   738,  2783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   738,     0,   738,
     738,   738,     0,     0,     0,  1613,  1614,  1615,     0,  1616,
    1617,  1618,  1619,  1620,  1621,     0,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   738,     0,     0,
       0,     0,   738,     0,     0,     0,     0,     0,     0,   738,
       0,     0,     0,     0,  1596,   738,  1623,  1597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1598,     0,  2825,  2874,     0,     0,
       0,  2831,  1600,     0,     0,     0,     0,     0,  1601,     0,
       0,     0,     0,     0,  1603,     0,     0,     0,  1604,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3800,  3801,
    3802,  3803,  1602,  1623,     0,     0,  1363,     0,     0,  1605,
    1606,     0,     0,  2276,     0,  2276,  2276,     0,     0,     0,
       0,     0,     0,  3816,  3817,  1607,  2888,     0,     0,  2891,
       0,  2893,     0,     0,     0,  3826,  3827,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,  1363,     0,  1363,
    1608,     0,     0,  1609,     0,     0,     0,     0,  2914,     0,
    2916,     0,     0,     0,  2919,     0,  1610,     0,     0,  1611,
       0,     0,     0,     0,     0,     0,     0,     0,  1744,  1744,
    1744,     0,     0,  2844,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2358,  2358,  2358,     0,     0,     0,     0,
       0,  1363,  1603,  1363,     0,     0,  1604,     0,     0,     0,
    2956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1765,     0,     0,     0,     0,  2966,  1605,  1606,     0,
       0,     0,     0,  1778,     0,     0,     0,     0,     0,     0,
       0,  1612,     0,  1607,     0,     0,     0,     0,     0,  3872,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1608,     0,
       0,  1609,  3893,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,  1610,     0,     0,  1611,     0,     0,
       0,     0,  3910,  1353,     0,     0,     0,     0,     0,     0,
       0,     0,  1744,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1744,  1363,     0,     0,     0,     0,     0,     0,
       0,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,     0,     0,  1355,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1612,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   499,     0,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3995,     0,     0,   738,     0,
       0,     0,  1623,     0,     0,     0,     0,     0,     0,  1613,
    1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,   738,     0,  4019,  1363,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,   738,
       0,   738,     0,     0,     0,     0,  1363,   738,     0,     0,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
       0,     0,  3025,   738,   738,     0,     0,     0,     0,  1623,
       0,  1363,     0,     0,     0,     0,   738,     0,     0,     0,
     738,     0,  1744,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,  1623,   738,     0,     0,   738,  2260,   738,
       0,     0,     0,     0,     0,     0,     0,  1363,   738,   738,
     738,     0,     0,     0,   738,     0,     0,   738,  1623,  1623,
       0,  1623,     0,     0,     0,     0,     0,   738,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   738,     0,     0,
    4096,     0,     0,     0,     0,   738,     0,   738,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1623,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
     738,     0,     0,     0,     0,     0,   738,     0,     0,     0,
       0,     0,   738,     0,  1596,     0,     0,  1597,     0,     0,
       0,     0,     0,     0,     0,   738,  1623,     0,   738,     0,
       0,     0,     0,     0,  1598,     0,     0,     0,     0,     0,
       0,     0,  1600,  1355,  3025,     0,  1353,  3318,  1601,     0,
       0,     0,     0,     0,     0,     0,     0,  3322,     0,     0,
       0,     0,     0,  3323,     0,  3324,     0,     0,     0,     0,
       0,     0,  1602,     0,     0,     0,  1353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3342,  3343,     0,
       0,     0,     0,     0,  1744,     0,  1355,     0,  1744,  1363,
    1744,     0,     0,     0,     0,     0,     0,     0,  2282,     0,
       0,     0,     0,  4188,     0,     0,     0,     0,  3371,     0,
       0,  3374,     0,  3376,     0,     0,  1355,     0,     0,  1623,
       0,     0,  3380,     0,     0,     0,     0,     0,  3385,  1623,
       0,  3388,  1623,     0,     0,     0,  1353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2879,     0,     0,     0,
       0,  3417,     0,     0,     0,  1353,     0,     0,     0,  3429,
       0,  2358,  1603,     0,     0,     0,  1604,     0,     0,     0,
       0,     0,     0,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,     0,     0,  3443,     0,  1355,  1605,  1606,     0,
    1062,     0,     0,     0,     0,     0,  1119,     0,     0,     0,
    1353,     0,     0,  1607,     0,  1355,     0,     0,     0,  3462,
       0,     0,     0,     0,     0,     0,     0,     0,   738,     0,
       0,     0,     0,     0,     0,  1355,  1211,     0,  1608,     0,
       0,  1609,  1212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,  1610,     0,     0,  1611,     0,     0,
    1355,     0,  1353,     0,     0,     0,     0,  1246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1213,     0,     0,     0,  1363,   738,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1355,  1247,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1612,
    1356,  1214,     0,     0,     0,     0,     0,  1596,  1215,     0,
    1597,  1216,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1598,     0,     0,
    2885,     0,     0,     0,     0,  1600,     0,     0,     0,     0,
       0,  1601,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,     0,     0,     0,     0,     0,     0,     0,     0,
    1248,   738,   738,  1217,  1363,  1602,     0,     0,     0,   738,
     738,     0,     0,     0,   738,  1363,     0,     0,     0,     0,
     738,   738,     0,     0,   738,     0,     0,     0,     0,  1613,
    1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,   738,
       0,     0,     0,   738,     0,     0,  1249,  1353,  1250,     0,
       0,     0,   738,     0,     0,     0,     0,   738,  1251,     0,
    1219,     0,     0,     0,     0,     0,     0,  1356,     0,   738,
    1220,     0,     0,     0,     0,     0,     0,     0,  1221,     0,
       0,     0,     0,     0,     0,     0,  1252,  1222,     0,     0,
       0,  3671,  3672,     0,     0,     0,     0,  1355,     0,     0,
     738,     0,     0,     0,     0,  1603,     0,     0,     0,  1604,
       0,     0,     0,     0,     0,     0,     0,  1363,  2572,     0,
       0,     0,  1224,  1254,     0,     0,     0,     0,     0,     0,
    1605,  1606,     0,     0,     0,     0,  1744,     0,     0,     0,
    1358,     0,     0,     0,     0,  1363,  1607,  2573,  3701,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,  1256,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1608,     0,     0,  1609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1610,     0,     0,
    1611,     0,     0,     0,     0,  3719,  3721,     0,     0,     0,
       0,  1363,  1623,     0,     0,  1226,     0,     0,  3728,     0,
       0,     0,     0,     0,  3733,  3734,     0,     0,  3736,     0,
       0,  1744,     0,     0,     0,  1623,     0,  1623,     0,  2260,
    2260,  2862,     0,     0,  2260,     0,     0,     0,  1623,     0,
       0,     0,     0,     0,     0,  1623,  2358,     0,     0,     0,
    1623,  2358,     0,     0,     0,     0,  1623,     0,     0,     0,
    1356,  1623,  1612,  2358,     0,     0,     0,  1358,     0,     0,
    1623,     0,     0,     0,  2260,  2260,     0,  1623,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1623,
       0,     0,     0,     0,  3782,     0,  1623,     0,  1623,  1623,
    1623,  1623,  1623,  1623,  1623,  1623,  1623,  1623,     0,     0,
       0,  1363,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1353,  1623,     0,     0,     0,  1353,  1353,     0,     0,
       0,     0,   738,  1356,     0,     0,  1363,     0,  1353,     0,
       0,   738,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,
    1620,  1621,     0,     0,     0,     0,     0,     0,   738,   738,
       0,     0,   738,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,   738,     0,     0,  1355,  1355,   738,     0,
       0,   738,     0,     0,     0,     0,   738,   738,  1355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,   738,     0,     0,     0,  1623,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,  1356,     0,     0,   738,     0,     0,     0,     0,
    1358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   738,     0,     0,     0,     0,     0,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1356,
    1355,     0,     0,     0,   738,     0,  1363,     0,     0,  1359,
       0,     0,     0,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1353,     0,   738,  1363,     0,   738,
       0,   738,     0,     0,     0,     0,  3936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,     0,
       0,     0,   738,     0,     0,     0,     0,  1363,     0,     0,
       0,  3953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,  1744,     0,     0,  1363,     0,     0,     0,  1363,
    1363,     0,  1358,     0,     0,  1623,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,  1596,     0,     0,  1597,     0,
       0,     0,     0,   738,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,  1598,     0,  1358,     0,     0,
       0,     0,     0,  1600,     0,     0,     0,     0,  1355,  1601,
    1363,     0,  4014,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,  1596,     0,
       0,  1597,     0,  1602,     0,     0,     0,     0,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1598,  1358,
       0,  3367,     0,     0,     0,   738,  1600,     0,     0,     0,
       0,     0,  1601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2282,     0,     0,     0,  1623,     0,     0,
       0,     0,     0,     0,     0,     0,  1602,     0,     0,   738,
       0,     0,  4071,     0,     0,     0,     0,     0,     0,   738,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,   738,     0,  1623,
       0,     0,     0,     0,     0,  1623,     0,     0,     0,   738,
       0,     0,     0,  1603,     0,     0,     0,  1604,     0,     0,
       0,  2862,  2862,     0,  2260,     0,     0,  2260,  2260,  2260,
    2260,  2260,  2260,  2260,  2260,  2260,  2260,  2862,  1605,  1606,
       0,     0,     0,   738,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,   738,  1607,     0,     0,  4131,     0,  1359,
       0,     0,  1623,     0,     0,  1623,  1603,  1623,     0,  1744,
    1604,     0,  2862,  2862,     0,     0,     0,     0,     0,  1608,
       0,     0,  1609,     0,     0,     0,  2260,  2260,  1623,     0,
    1623,  1605,  1606,  1623,     0,  1610,     0,     0,  1611,     0,
       0,     0,     0,     0,  1358,     0,     0,  1607,     0,  1353,
       0,   738,  1359,     0,     0,     0,  1744,     0,     0,     0,
     738,     0,     0,     0,  1744,     0,     0,     0,     0,  4171,
    1623,     0,  1608,     0,     0,  1609,     0,     0,     0,     0,
    1623,     0,  1359,     0,     0,     0,     0,     0,  1610,  1353,
    1353,  1611,  1353,     0,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1612,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
    4209,  4209,     0,  1356,  1356,     0,  3317,     0,     0,  1355,
    1355,     0,  1355,     0,  1353,  1356,  1353,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,  1596,     0,     0,  1597,
       0,     0,     0,  1612,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,  1598,  4209,     0,     0,
       0,     0,     0,     0,  1600,     0,     0,  4253,     0,     0,
    1601,  1359,     0,     0,  1355,     0,  1355,     0,     0,  1353,
    1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,  1621,
       0,     0,     0,     0,  1602,     0,  1359,     0,     0,     0,
       0,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4209,     0,     0,  1353,  1355,
       0,     0,     0,  1613,  1614,  1615,     0,  1616,  1617,  1618,
    1619,  1620,  1621,     0,     0,     0,  1353,     0,  1359,     0,
       0,     0,     0,  1355,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,  1603,  2260,  1355,     0,  1604,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1358,  1353,
       0,     0,     0,  1358,  1358,     0,     0,     0,     0,  1605,
    1606,     0,     0,  1353,     0,  1358,     0,     0,     0,     0,
       0,  1356,     0,     0,  1353,  1607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1355,
    1608,     0,     0,  1609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,  1360,  1610,     0,     0,  1611,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1623,     0,     0,  1356,  1623,  1623,  1623,  1353,
       0,  2862,     0,  1359,     0,     0,  2862,  2862,  2862,  2862,
    2862,  2862,  2862,  2862,  2862,  2862,  1623,  1623,     0,     0,
       0,     0,     0,     0,  1353,  1360,     0,     0,     0,  1355,
       0,  1612,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,  1360,  1623,  2260,  2260,  1623,  1355,
    1623,     0,     0,     0,  1623,  2862,  2862,     0,     0,  1623,
    1353,     0,  1623,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,  1623,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1623,     0,     0,     0,     0,     0,     0,
    1355,  1358,     0,     0,     0,     0,     0,  1623,     0,     0,
       0,  1613,  1614,  1615,     0,  1616,  1617,  1618,  1619,  1620,
    1621,     0,     0,     0,     0,     0,  1623,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   513,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,   514,
       0,     0,     0,     0,     0,     0,     0,     0,   515,     0,
       0,     0,  -691,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1353,     0,     0,     0,     0,     0,     0,   516,
       0,     0,     0,     0,     0,   517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,   519,     0,
       0,     0,  1355,     0,     0,     0,     0,     0,     0,   520,
       0,     0,     0,     0,     0,     0,   521,  1359,     0,     0,
     522,     0,  1359,  1359,     0,     0,     0,     0,     0,  2862,
       0,     0,     0,     0,  1359,  -880,  1356,  1356,     0,  1356,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   523,     0,  1623,  1623,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1623,  1353,     0,     0,  2260,
     524,     0,     0,   525,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1623,     0,  1623,     0,     0,     0,     0,
    2862,  2862,  1623,     0,     0,  2260,  2260,  1623,  1623,  1353,
    1623,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,   526,     0,     0,  1359,     0,     0,   527,
    1356,     0,     0,     0,     0,  -369,     0,     0,   528,     0,
       0,     0,     0,     0,     0,     0,  1623,     0,     0,  1355,
       0,     0,     0,     0,     0,  1356,  1358,     0,     0,     0,
       0,     0,     0,     0,  -369,     0,   529,   530,     0,   531,
     532,     0,     0,  1356,     0,     0,     0,     0,   533,   555,
       0,     0,     0,   534,     0,     0,     0,     0,     0,   535,
       0,   556,   536,     0,     0,   537,  1358,  1358,     0,  1358,
    1359,     0,     0,     0,     0,     0,     0,  1353,  -369,     0,
       0,     0,   557,     0,     0,     0,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,   558,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,   559,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1356,  1358,     0,  1358,     0,   560,     0,  1355,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,   561,     0,     0,     0,
       0,     0,  2862,  2260,  1359,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,   562,  1360,  1360,     0,  2862,  2862,
    1623,     0,     0,     0,     0,   563,  1358,  1360,     0,     0,
     564,     0,     0,     0,     0,     0,   565,  1623,     0,     0,
    1353,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
    1358,   566,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,  1353,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1355,  1356,     0,  1358,     0,     0,     0,     0,  1623,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,  1353,     0,   567,  1356,     0,     0,
    1355,     0,     0,     0,     0,     0,   568,     0,     0,     0,
       0,     0,     0,     0,     0,  2862,     0,     0,     0,     0,
       0,     0,     0,     0,   185,  1623,  1358,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1358,     0,     0,     0,  1355,     0,     0,     0,     0,   569,
       0,  1358,     0,   570,     0,   571,     0,     0,     0,     0,
       0,   572,     0,     0,   573,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1623,     0,     0,     0,     0,
     574,     0,   575,     0,     0,     0,   576,     0,     0,     0,
       0,     0,     0,  1360,   577,     0,     0,     0,     0,   578,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,   579,     0,     0,     0,  1623,     0,     0,     0,     0,
       0,     0,     0,     0,   580,     0,  1358,     0,     0,  1353,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,  1358,     0,  1623,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,  1359,  1360,  1359,  1355,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1623,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,  1359,     0,  1353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,  1356,     0,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,  1358,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1355,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1353,     0,
       0,     0,  1353,  1353,     0,  1359,     0,     0,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,  1356,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,  1355,     0,
       0,     0,  1355,  1355,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,  1360,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,  1360,     0,  1360,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1356,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1358,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,  1360,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,  1356,     0,     0,     0,  1356,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,  1358,
    1358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,  1359,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   712,   980,   550,   981,   982,   983,   597,
     984,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  2352,   209,   210,   211,     0,  1360,     0,     0,
     985,  1360,  1360,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   986,   714,   987,   988,     0,   223,   224,
     225,   226,   227,   989,   990,   228,   229,   991,   992,   232,
       0,   233,   234,   235,   236,   993,     0,   994,     0,   238,
     239,   240,   241,   715,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   716,   250,   251,   995,   996,   997,
     998,   999,  1000,  1001,   252,   253,   254,   255,   256,   257,
    1002,  1003,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,  2353,     0,   270,   271,  1004,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1005,   285,   286,   287,  1006,  1007,
     289,     0,   290,  1008,   292,     0,   293,     0,   294,   718,
       0,   719,   295,   296,   297,     0,   298,  1009,     0,   300,
       0,   301,   302,   303,   304,   305,   720,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   721,
     316,   317,   318,   319,   320,  1010,  1011,     0,  1012,     0,
     324,   722,   723,   325,   724,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1013,   725,   335,   726,     0,   336,
     337,   338,  1014,  1015,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1016,   727,  1017,   353,
     354,   355,  1018,   356,   357,   728,   358,  1019,  1020,   360,
    1021,   362,   363,   364,     0,   365,     0,     0,  1022,   367,
     368,     0,     0,   369,   729,   730,   731,  1023,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1024,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1025,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     732,   409,   410,  1026,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1027,   425,
     426,   427,   428,   733,   429,  1028,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1029,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1030,  1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,
     458,   459,   460,   461,   462,   463,     0,  1035,   464,   465,
     466,   467,   468,  1036,     0,   469,   470,   471,   472,   473,
     474,  1037,  2354,   476,   734,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,  1046,  1047,  2355,
       0,     0,     0,     0,     0,     0,  1049,  2356,   712,   980,
     550,   981,   982,   983,   597,   984,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   985,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   986,   714,
     987,   988,     0,   223,   224,   225,   226,   227,   989,   990,
     228,   229,   991,   992,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,  1002,  1003,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1005,
     285,   286,   287,  1006,  1007,   289,     0,   290,  1008,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
    1010,  1011,     0,  1012,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,   726,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1016,   727,  1017,   353,   354,   355,  1018,   356,   357,
     728,   358,  1019,  1020,   360,  1021,   362,   363,   364,     0,
     365,     0,     0,  1022,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1025,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,  1026,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,   733,   429,
    1028,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1030,  1031,     0,     0,   453,
    1032,   455,  1033,  1034,   457,   458,   459,   460,   461,   462,
     463,     0,  1035,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   474,  1037,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1046,  1047,   199,     0,     0,     0,     0,     0,
       0,  1049,  2262,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,  3399,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0, -1405,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0, -1405,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
   -1405,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325, -1405,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334, -1405,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351, -1405,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408, -1405,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1126,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2696,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,  1330,   714,  1331,  1332,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1333,  1334,   232,     0,
     233,   234,   235,   236,     0,     0,     0,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,     0,     0,     0,   717,
       0,     0,     0,   252,   253,   254,   255,   256,   257,  1335,
    1336,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,  1337,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,  1878,
     309,   310,   311,   312,   313,   314,     0,   315,   721,  1879,
     317,   318,   319,   320,  1338,  1339,     0,  1340,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   725,   335,   726,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1341,   727,  1342,   353,   354,
       0,     0,   356,   357,   728,   358,     0,     0,   360,  1343,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,  1880,   729,   730,   731,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1344,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1881,
     427,   428,   733,   429,  1346,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1347,
    1348,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
    1349,  1882,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1329,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,  1883,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1330,   714,
    1331,  1332,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1333,  1334,   232,     0,   233,   234,   235,   236,
       0,     0,     0,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,     0,     0,     0,   717,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1335,  1336,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1337,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,  1878,   309,   310,   311,   312,
     313,   314,     0,   315,   721,  1879,   317,   318,   319,   320,
    1338,  1339,     0,  1340,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     725,   335,   726,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1341,   727,  1342,   353,   354,     0,     0,   356,   357,
     728,   358,     0,     0,   360,  1343,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,  1880,   729,
     730,   731,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1344,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1881,   427,   428,   733,   429,
    1346,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1347,  1348,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1349,  1882,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,   712,   980,   550,   981,   982,   983,
     597,   984,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   985,  2747,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   986,   714,   987,   988,  2272,   223,
     224,   225,   226,   227,   989,   990,   228,   229,   991,   992,
     232,     0,   233,   234,   235,   236,   993,     0,   994,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,   251,   995,   996,
     997,   998,   999,  1000,  1001,   252,   253,   254,   255,   256,
     257,  1002,  1003,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1004,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1005,   285,   286,   287,  1006,
    1007,   289,     0,   290,  1008,   292,     0,   293,     0,   294,
     718,  2273,   719,   295,   296,   297,     0,   298,  1009,     0,
     300,     0,   301,   302,   303,   304,   305,   720,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,   316,   317,   318,   319,   320,  1010,  1011,     0,  1012,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,  2274,   333,  1013,   725,   335,   726,     0,
     336,   337,   338,  1014,  1015,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1016,   727,  1017,
     353,   354,   355,  1018,   356,   357,   728,   358,  1019,  1020,
     360,  1021,   362,   363,   364,     0,   365,     0,     0,  1022,
     367,   368,     0,     0,   369,   729,   730,   731,  1023,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1024,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1025,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,  1026,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1027,
     425,   426,   427,   428,   733,   429,  1028,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1029,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1030,  1031,     0,  2275,   453,  1032,   455,  1033,  1034,
     457,   458,   459,   460,   461,   462,   463,     0,  1035,   464,
     465,   466,   467,   468,  1036,     0,   469,   470,   471,   472,
     473,   474,  1037,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1046,  1047,
       0,     0,     0,     0,     0,     0,     0,  1049,   712,   980,
     550,   981,   982,   983,   597,   984,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   985,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   986,   714,
     987,   988,     0,   223,   224,   225,   226,   227,   989,   990,
     228,   229,   991,   992,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,  1002,  1003,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1005,
     285,   286,   287,  1006,  1007,   289,     0,   290,  1008,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
    1010,  1011,     0,  1012,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,   726,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1016,   727,  1017,   353,   354,   355,  1018,   356,   357,
     728,   358,  1019,  1020,   360,  1021,   362,   363,   364,     0,
     365,     0,     0,  1022,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1025,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,  1026,   412,
     413,   414,   415,   416,   417,   418,   419,    37,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,   733,   429,
    1028,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,    41,   445,   446,
     447,   448,   449,   450,     0,  1030,  1031,     0,     0,   453,
    1032,   455,  1033,  1034,   457,   458,   459,   460,   461,   462,
     463,     0,  1035,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   919,  1037,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,    46,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,  1049,   712,   980,   550,   981,   982,   983,   597,   984,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   985,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   986,   714,   987,   988,     0,   223,   224,   225,
     226,   227,   989,   990,   228,   229,   991,   992,   232,     0,
     233,   234,   235,   236,   993,     0,   994,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,   995,   996,   997,   998,
     999,  1000,  1001,   252,   253,   254,   255,   256,   257,  1002,
    1003,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1005,   285,   286,   287,  1006,  1007,   289,
       0,   290,  1008,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,  1009,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,   316,
     317,   318,   319,   320,  1010,  1011,     0,  1012,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1013,   725,   335,   726,     0,   336,   337,
     338,  1014,  1015,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1016,   727,  1017,   353,   354,
     355,  1018,   356,   357,   728,   358,  1019,  1020,   360,  1021,
     362,   363,   364,     0,   365,     0,     0,  1022,   367,   368,
       0,     0,   369,   729,   730,   731,  1023,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1024,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1025,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,  1026,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1027,   425,   426,
     427,   428,   733,   429,  1028,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1029,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1030,
    1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,   458,
     459,   460,   461,   462,   463,     0,  1035,   464,   465,   466,
     467,   468,  1036,     0,   469,   470,   471,   472,   473,   474,
    1037,     0,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1046,  1047,     0,     0,
       0,     0,     0,  1530,  2220,  1049,   712,   980,   550,   981,
     982,   983,   597,   984,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   985,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   986,   714,   987,   988,
       0,   223,   224,   225,   226,   227,   989,   990,   228,   229,
     991,   992,   232,     0,   233,   234,   235,   236,   993,     0,
     994,     0,   238,   239,   240,   241,   715,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   716,   250,   251,
     995,   996,   997,   998,   999,  1000,  1001,   252,   253,   254,
     255,   256,   257,  1002,  1003,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1004,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1005,   285,   286,
     287,  1006,  1007,   289,     0,   290,  1008,   292,     0,   293,
       0,   294,   718,     0,   719,   295,   296,   297,     0,   298,
    1009,     0,   300,     0,   301,   302,   303,   304,   305,   720,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   721,   316,   317,   318,   319,   320,  1010,  1011,
       0,  1012,     0,   324,   722,   723,   325,   724,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1013,   725,   335,
     726,     0,   336,   337,   338,  1014,  1015,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1016,
     727,  1017,   353,   354,   355,  1018,   356,   357,   728,   358,
    1019,  1020,   360,  1021,   362,   363,   364,     0,   365,     0,
       0,  1022,   367,   368,     0,     0,   369,   729,   730,   731,
    1023,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1024,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1025,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   732,   409,   410,  1026,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1027,   425,   426,   427,   428,   733,   429,  1028,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1029,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1030,  1031,     0,     0,   453,  1032,   455,
    1033,  1034,   457,   458,   459,   460,   461,   462,   463,     0,
    1035,   464,   465,   466,   467,   468,  1036,     0,   469,   470,
     471,   472,   473,   474,  1037,     0,   476,   734,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1046,  1047,  1048,     0,     0,     0,     0,     0,     0,  1049,
     712,   980,   550,   981,   982,   983,   597,   984,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   985,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     986,   714,   987,   988,     0,   223,   224,   225,   226,   227,
     989,   990,   228,   229,   991,   992,   232,     0,   233,   234,
     235,   236,   993,     0,   994,     0,   238,   239,   240,   241,
     715,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   716,   250,   251,   995,   996,   997,   998,   999,  1000,
    1001,   252,   253,   254,   255,   256,   257,  1002,  1003,   260,
    1118,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1004,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1005,   285,   286,   287,  1006,  1007,   289,     0,   290,
    1008,   292,     0,   293,     0,   294,   718,     0,   719,   295,
     296,   297,     0,   298,  1009,     0,   300,     0,   301,   302,
     303,   304,   305,   720,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   721,   316,   317,   318,
     319,   320,  1010,  1011,     0,  1012,     0,   324,   722,   723,
     325,   724,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1013,   725,   335,   726,     0,   336,   337,   338,  1014,
    1015,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1016,   727,  1017,   353,   354,   355,  1018,
     356,   357,   728,   358,  1019,  1020,   360,  1021,   362,   363,
     364,     0,   365,     0,     0,  1022,   367,   368,     0,     0,
     369,   729,   730,   731,  1023,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1024,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1025,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   732,   409,   410,
    1026,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1027,   425,   426,   427,   428,
     733,   429,  1028,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1029,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1030,  1031,     0,
       0,   453,  1032,   455,  1033,  1034,   457,   458,   459,   460,
     461,   462,   463,     0,  1035,   464,   465,   466,   467,   468,
    1036,     0,   469,   470,   471,   472,   473,   474,  1037,     0,
     476,   734,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1046,  1047,     0,     0,     0,     0,
       0,     0,     0,  1049,   712,   980,   550,   981,   982,   983,
     597,   984,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  1773,   209,   210,   211,     0,     0,     0,
       0,   985,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   986,   714,   987,   988,     0,   223,
     224,   225,   226,   227,   989,   990,   228,   229,   991,   992,
     232,     0,   233,   234,   235,   236,   993,     0,   994,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,   251,   995,   996,
     997,   998,   999,  1000,  1001,   252,   253,   254,   255,   256,
     257,  1002,  1003,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1004,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1005,   285,   286,   287,  1006,
    1007,   289,     0,   290,  1008,   292,     0,   293,     0,   294,
     718,     0,   719,   295,   296,   297,     0,   298,  1009,     0,
     300,     0,   301,   302,   303,   304,   305,   720,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,   316,   317,   318,   319,   320,  1010,  1011,     0,  1012,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1013,   725,   335,   726,     0,
     336,   337,   338,  1014,  1015,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1016,   727,  1017,
     353,   354,   355,  1018,   356,   357,   728,   358,  1019,  1020,
     360,  1021,   362,   363,   364,     0,   365,     0,     0,  1022,
     367,   368,     0,     0,   369,   729,   730,   731,  1023,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1024,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1025,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,  1026,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1027,
     425,   426,   427,   428,   733,   429,  1028,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1029,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1030,  1031,     0,     0,   453,  1032,   455,  1033,  1034,
     457,   458,   459,   460,   461,   462,   463,     0,  1035,   464,
     465,   466,   467,   468,  1036,     0,   469,   470,   471,   472,
     473,   474,  1037,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1046,  1047,
       0,     0,     0,     0,     0,     0,     0,  1049,   712,   980,
     550,   981,   982,   983,   597,   984,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   985,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   986,   714,
     987,   988,     0,   223,   224,   225,   226,   227,   989,   990,
     228,   229,   991,   992,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,  1002,  1003,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1005,
     285,   286,   287,  1006,  1007,   289,     0,   290,  1008,   292,
       0,   293,     0,   294,   718,  2273,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
    1010,  1011,     0,  1012,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,   726,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1016,   727,  1017,   353,   354,   355,  1018,   356,   357,
     728,   358,  1019,  1020,   360,  1021,   362,   363,   364,     0,
     365,     0,     0,  1022,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1025,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,  1026,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,   733,   429,
    1028,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1030,  1031,     0,     0,   453,
    1032,   455,  1033,  1034,   457,   458,   459,   460,   461,   462,
     463,     0,  1035,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   474,  1037,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,  1049,   712,   980,   550,   981,   982,   983,   597,   984,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   985,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   986,   714,   987,   988,     0,   223,   224,   225,
     226,   227,   989,   990,   228,   229,   991,   992,   232,     0,
     233,   234,   235,   236,   993,     0,   994,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,   995,   996,   997,   998,
     999,  1000,  1001,   252,   253,   254,   255,   256,   257,  1002,
    1003,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1005,   285,   286,   287,  1006,  1007,   289,
       0,   290,  1008,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,  1009,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,   316,
     317,   318,   319,   320,  1010,  1011,     0,  1012,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1013,   725,   335,   726,     0,   336,   337,
     338,  1014,  1015,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1016,   727,  1017,   353,   354,
     355,  1018,   356,   357,   728,   358,  1019,  1020,   360,  1021,
     362,   363,   364,     0,   365,     0,     0,  1022,   367,   368,
       0,     0,   369,   729,   730,   731,  1023,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1024,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1025,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,  1026,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1027,   425,   426,
     427,   428,   733,   429,  1028,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1029,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1030,
    1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,   458,
     459,   460,   461,   462,   463,     0,  1035,   464,   465,   466,
     467,   468,  1036,     0,   469,   470,   471,   472,   473,   474,
    1037,  3432,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1046,  1047,     0,     0,
       0,     0,     0,     0,     0,  1049,   712,   980,   550,   981,
     982,   983,   597,   984,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   985,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   986,   714,   987,   988,
       0,   223,   224,   225,   226,   227,   989,   990,   228,   229,
     991,   992,   232,     0,   233,   234,   235,   236,   993,     0,
     994,     0,   238,   239,   240,   241,   715,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   716,   250,   251,
     995,   996,   997,   998,   999,  1000,  1001,   252,   253,   254,
     255,   256,   257,  1002,  1003,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1004,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1005,   285,   286,
     287,  1006,  1007,   289,     0,   290,  1008,   292,     0,   293,
       0,   294,   718,     0,   719,   295,   296,   297,     0,   298,
    1009,     0,   300,     0,   301,   302,   303,   304,   305,   720,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   721,   316,   317,   318,   319,   320,  1010,  1011,
       0,  1012,     0,   324,   722,   723,   325,   724,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1013,   725,   335,
     726,     0,   336,   337,   338,  1014,  1015,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1016,
     727,  1017,   353,   354,   355,  1018,   356,   357,   728,   358,
    1019,  1020,   360,  1021,   362,   363,   364,     0,   365,     0,
       0,  1022,   367,   368,     0,     0,   369,   729,   730,   731,
    1023,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1024,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1025,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   732,   409,   410,  1026,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1027,   425,   426,   427,   428,   733,   429,  1028,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1029,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1030,  1031,     0,     0,   453,  1032,   455,
    1033,  1034,   457,   458,   459,   460,   461,   462,   463,     0,
    1035,   464,   465,   466,   467,   468,  1036,     0,   469,   470,
     471,   472,   473,   474,  1037,     0,   476,   734,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1046,  1047,     0,     0,     0,     0,     0,     0,     0,  1049,
     712,   980,   550,   981,   982,   983,   597,   984,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   985,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     986,   714,   987,   988,     0,   223,   224,   225,   226,   227,
     989,   990,   228,   229,   991,   992,   232,     0,   233,   234,
     235,   236,   993,     0,   994,     0,   238,   239,   240,   241,
     715,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   716,   250,  3442,   995,   996,   997,   998,   999,  1000,
    1001,   252,   253,   254,   255,   256,   257,  1002,  1003,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1004,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1005,   285,   286,   287,  1006,  1007,   289,     0,   290,
    1008,   292,     0,   293,     0,   294,   718,     0,   719,   295,
     296,   297,     0,   298,  1009,     0,   300,     0,   301,   302,
     303,   304,   305,   720,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   721,   316,   317,   318,
     319,   320,  1010,  1011,     0,  1012,     0,   324,   722,   723,
     325,   724,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1013,   725,   335,   726,     0,   336,   337,   338,  1014,
    1015,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1016,   727,  1017,   353,   354,   355,  1018,
     356,   357,   728,   358,  1019,  1020,   360,  1021,   362,   363,
     364,     0,   365,     0,     0,  1022,   367,   368,     0,     0,
     369,   729,   730,   731,  1023,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1024,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1025,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   732,   409,   410,
    1026,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1027,   425,   426,   427,   428,
     733,   429,  1028,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1029,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1030,  1031,     0,
       0,   453,  1032,   455,  1033,  1034,   457,   458,   459,   460,
     461,   462,   463,     0,  1035,   464,   465,   466,   467,   468,
    1036,     0,   469,   470,   471,   472,   473,   474,  1037,     0,
     476,   734,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1046,  1047,     0,     0,     0,     0,
       0,     0,     0,  1049,   712,   980,   550,   981,   982,   983,
     597,   984,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   985,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   986,   714,   987,   988,     0,   223,
     224,   225,   226,   227,   989,   990,   228,   229,   991,   992,
     232,     0,   233,   234,   235,   236,   993,     0,   994,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,   251,   995,   996,
     997,   998,   999,  1000,  1001,   252,   253,   254,   255,   256,
     257,  1002,  1003,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1004,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1005,   285,   286,   287,  1006,
    1007,   289,     0,   290,  1008,   292,     0,   293,     0,   294,
     718,     0,   719,   295,   296,   297,     0,   298,  1009,     0,
     300,     0,   301,   302,   303,   304,   305,   720,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,   316,   317,   318,   319,   320,  1010,  1011,     0,  1012,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1013,   725,   335,   726,     0,
     336,   337,   338,  1014,  1015,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1016,   727,  1017,
     353,   354,   355,  1018,   356,   357,   728,   358,  1019,  1020,
     360,  1021,   362,   363,   364,     0,   365,     0,     0,  1022,
     367,   368,     0,     0,   369,   729,   730,   731,  1023,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1024,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1025,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,  1026,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1027,
     425,   426,   427,   428,   733,   429,  1028,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1029,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1030,  1031,     0,     0,   453,  1032,   455,  1033,  1034,
     457,   458,   459,   460,   461,   462,   463,     0,  1035,   464,
     465,   466,   467,   468,  1036,     0,   469,   470,   471,   472,
     473,   474,  1037,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,  3711,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1046,  1047,
       0,     0,     0,     0,     0,     0,     0,  1049,   712,   980,
     550,   981,   982,   983,   597,   984,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   985,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   986,   714,
     987,   988,     0,   223,   224,   225,   226,   227,   989,   990,
     228,   229,   991,   992,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,  1002,  1003,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1005,
     285,   286,   287,  1006,  1007,   289,     0,   290,  1008,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
    1010,  1011,     0,  1012,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,   726,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1016,   727,  1017,   353,  3720,   355,  1018,   356,   357,
     728,   358,  1019,  1020,   360,  1021,   362,   363,   364,     0,
     365,     0,     0,  1022,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1025,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,  1026,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,   733,   429,
    1028,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1030,  1031,     0,     0,   453,
    1032,   455,  1033,  1034,   457,   458,   459,   460,   461,   462,
     463,     0,  1035,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   474,  1037,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,  1049,   712,   980,   550,   981,   982,   983,   597,   984,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   985,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,  4206,   986,   714,   987,   988,     0,   223,   224,   225,
     226,   227,   989,   990,   228,   229,   991,   992,   232,     0,
     233,   234,   235,   236,   993,     0,   994,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,  4207,   995,   996,   997,   998,
     999,  1000,  1001,   252,   253,   254,   255,   256,   257,  1002,
    1003,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1005,   285,   286,   287,  1006,  1007,   289,
       0,   290,  1008,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,  1009,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,   316,
     317,   318,   319,   320,  1010,  1011,     0,  1012,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1013,   725,   335,   726,     0,   336,   337,
     338,  1014,  1015,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1016,   727,  1017,   353,   354,
     355,  1018,   356,   357,   728,   358,  1019,  1020,   360,  1021,
     362,   363,   364,     0,   365,     0,     0,  1022,   367,   368,
       0,     0,   369,   729,   730,   731,  1023,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1024,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1025,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,  1026,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1027,   425,   426,
     427,   428,   733,   429,  1028,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1029,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1030,
    1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,   458,
     459,   460,  4208,   462,   463,     0,  1035,   464,   465,   466,
     467,   468,  1036,     0,   469,   470,   471,   472,   473,   474,
    1037,     0,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1046,  1047,     0,     0,
       0,     0,     0,     0,     0,  1049,   712,   980,   550,   981,
     982,   983,   597,   984,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   985,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   986,   714,   987,   988,
       0,   223,   224,   225,   226,   227,   989,   990,   228,   229,
     991,   992,   232,     0,   233,   234,   235,   236,   993,     0,
     994,     0,   238,   239,   240,   241,   715,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   716,   250,  4207,
     995,   996,   997,   998,   999,  1000,  1001,   252,   253,   254,
     255,   256,   257,  1002,  1003,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1004,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1005,   285,   286,
     287,  1006,  1007,   289,     0,   290,  1008,   292,     0,   293,
       0,   294,   718,     0,   719,   295,   296,   297,     0,   298,
    1009,     0,   300,     0,   301,   302,   303,   304,   305,   720,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   721,   316,   317,   318,   319,   320,  1010,  1011,
       0,  1012,     0,   324,   722,   723,   325,   724,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1013,   725,   335,
     726,     0,   336,   337,   338,  1014,  1015,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1016,
     727,  1017,   353,   354,   355,  1018,   356,   357,   728,   358,
    1019,  1020,   360,  1021,   362,   363,   364,     0,   365,     0,
       0,  1022,   367,   368,     0,     0,   369,   729,   730,   731,
    1023,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1024,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1025,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   732,   409,   410,  1026,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1027,   425,   426,   427,   428,   733,   429,  1028,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1029,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1030,  1031,     0,     0,   453,  1032,   455,
    1033,  1034,   457,   458,   459,   460,  4208,   462,   463,     0,
    1035,   464,   465,   466,   467,   468,  1036,     0,   469,   470,
     471,   472,   473,   474,  1037,     0,   476,   734,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1046,  1047,     0,     0,     0,     0,     0,     0,     0,  1049,
     712,   980,   550,   981,   982,   983,   597,   984,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   985,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     986,   714,   987,   988,     0,   223,   224,   225,   226,   227,
     989,   990,   228,   229,   991,   992,   232,     0,   233,   234,
     235,   236,   993,     0,   994,     0,   238,   239,   240,   241,
     715,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   716,   250,   251,   995,   996,   997,   998,   999,  1000,
    1001,   252,   253,   254,   255,   256,   257,  1002,  1003,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1004,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1005,   285,   286,   287,  1006,  1007,   289,     0,   290,
    1008,   292,     0,   293,     0,   294,   718,     0,   719,   295,
     296,   297,     0,   298,  1009,     0,   300,     0,   301,   302,
     303,   304,   305,   720,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   721,   316,   317,   318,
     319,   320,  1010,  1011,     0,  1012,     0,   324,   722,   723,
     325,   724,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1013,   725,   335,   726,     0,   336,   337,   338,  1014,
    1015,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1016,   727,  1017,   353,   354,   355,     0,
     356,   357,   728,   358,  1019,  1020,   360,  1021,   362,   363,
     364,     0,   365,     0,     0,  1022,   367,   368,     0,     0,
     369,   729,   730,   731,  1023,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1024,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1025,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   732,   409,   410,
    1026,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1027,   425,   426,   427,   428,
     733,   429,  1028,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1029,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1030,  1031,     0,
       0,   453,  1032,   455,  1033,  1034,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
    1036,     0,   469,   470,   471,   472,   473,   474,  1037,     0,
     476,   734,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  2255,  2256,     0,     0,     0,     0,
       0,     0,     0,  1049,   712,   980,   550,   981,   982,   983,
     597,   984,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   985,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218, -2160,   986,   714,   987,   988,     0,   223,
     224,   225,   226,   227,   989,   990,   228,   229,   991,   992,
     232,     0,   233,   234,   235,   236,   993,     0,   994,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,  4207,   995,   996,
     997,   998,   999,  1000,  1001,   252,   253,   254,   255,   256,
     257,  1002,  1003,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1004,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1005,   285,   286,   287,  1006,
    1007,   289,     0,   290,  1008,   292,     0,   293,     0,   294,
     718,     0,   719,   295,   296,   297,     0,   298,  1009,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,   316,   317,   318,   319,   320,  1010,  1011,     0,  1012,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1013,   725,   335,     0,     0,
     336,   337,   338,  1014,  1015,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1016,   727,  1017,
     353,   354,   355,     0,   356,   357,   728,   358,  1019,  1020,
     360,  1021,   362,   363,   364,     0,   365,     0,     0,  1022,
     367,   368,     0,     0,   369,   729,   730,   731,  1023,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1024,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1025,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,  1026,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1027,
     425,   426,   427,   428,     0,   429,  1028,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1029,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1030,  1031,     0,     0,   453,  1032,   455,  1033,  1034,
     457,   458,   459,   460,  4208,   462,   463,     0,  1035,   464,
     465,   466,   467,   468,  1036,     0,   469,   470,   471,   472,
     473,   474,  1037,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1046,  1047,
       0,     0,   712,   980,   550,   981,   982,  1049,   597,   984,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   985,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   986,   714,   987,   988,     0,   223,   224,   225,
     226,   227,   989,   990,   228,   229,   991,   992,   232,     0,
     233,   234,   235,   236,   993,     0,   994,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,   995,   996,   997,   998,
     999,  1000,  1001,   252,   253,   254,   255,   256,   257,  1002,
    1003,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1005,   285,   286,   287,  1006,  1007,   289,
       0,   290,  1008,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,  1009,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,   316,
     317,   318,   319,   320,  1010,  1011,     0,  1012,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1013,   725,   335,   726,     0,   336,   337,
     338,  1014,  1015,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1016,   727,  1017,   353,   354,
     355,     0,   356,   357,   728,   358,  1019,  1020,   360,  1021,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   729,   730,   731,  1023,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1024,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1025,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,  1026,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1027,   425,   426,
     427,   428,   733,   429,  1028,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1029,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1030,
    1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1036,     0,   469,   470,   471,   472,   473,   474,
    1037,     0,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   712,   980,   550,   981,   982,
       0,   597,   984,     0,     0,  1049,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   985,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   986,   714,   987,   988,     0,
    3355,   224,   225,   226,   227,   989,   990,   228,   229,   991,
     992,   232,     0,   233,   234,   235,   236,   993,     0,   994,
       0,   238,   239,   240,   241,   715,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   716,   250,   251,   995,
     996,   997,   998,   999,  1000,  1001,   252,   253,   254,   255,
     256,   257,  1002,  1003,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1004,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1005,   285,   286,   287,
    1006,  1007,   289,     0,   290,  1008,   292,     0,   293,     0,
     294,   718,     0,   719,   295,   296,   297,     0,   298,  1009,
       0,   300,     0,   301,   302,   303,   304,   305,   720,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   721,   316,   317,   318,   319,   320,  1010,  1011,     0,
    1012,     0,   324,   722,   723,   325,   724,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1013,   725,   335,   726,
       0,   336,   337,   338,  1014,  1015,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1016,   727,
    1017,   353,   354,   355,     0,   356,   357,   728,   358,  1019,
    1020,   360,  1021,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   729,   730,   731,  1023,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1024,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1025,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   732,   409,   410,  1026,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1027,   425,   426,   427,   428,   733,   429,  1028,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1029,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1030,  1031,     0,     0,   453,  1032,   455,  1033,
    1034,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  1036,     0,   469,   470,   471,
     472,   473,   474,  1037,     0,   476,   734,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   712,   980,
     550,   981,   982,   983,   597,   984,     0,     0,  1049,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   985,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,   986,   714,
     987,   988,     0,   223,   224,   225,   226,   227,   989,   990,
     228,   229,   991,   992,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,  1002,  1003,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,     0,     0,   280,   281,   282,   283,  1005,
     285,   286,   287,  1006,  1007,   289,     0,   290,  1008,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
    1010,  1011,     0,  1012,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,     0,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1016,   727,  1017,   353,   354,   355,     0,   356,   357,
     728,   358,  1019,  1020,   360,  1021,   362,   363,   364,     0,
     365,     0,     0,  1022,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1025,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,  1026,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,     0,   429,
    1028,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1030,  1031,     0,     0,   453,
    1032,   455,  1033,  1034,   457,   458,   459,   460,   461,   462,
     463,     0,  1035,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   474,  1037,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,  1049,   712,   980,   550,   981,   982,   983,   597,   984,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   985,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,   986,   714,   987,   988,     0,   223,   224,   225,
     226,   227,   989,   990,   228,   229,   991,   992,   232,     0,
     233,   234,   235,   236,   993,     0,   994,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,   995,   996,   997,   998,
     999,  1000,  1001,   252,   253,   254,   255,   256,   257,  1002,
    1003,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,     0,     0,   280,
     281,   282,   283,  1005,   285,   286,   287,  1006,  1007,   289,
       0,   290,  1008,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,  1009,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,   316,
     317,   318,   319,   320,  1010,  1011,     0,  1012,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1013,   725,   335,     0,     0,   336,   337,
     338,  1014,  1015,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1016,   727,  1017,   353,   354,
     355,     0,   356,   357,   728,   358,  1019,  1020,   360,  1021,
     362,   363,   364,     0,   365,     0,     0,  1022,   367,   368,
       0,     0,   369,   729,   730,   731,  1023,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1024,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1025,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,  1026,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1027,   425,   426,
     427,   428,     0,   429,  1028,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1029,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1030,
    1031,     0,     0,   453,  1032,   455,  1033,  1034,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1036,     0,   469,   470,   471,   472,   473,   474,
    1037,     0,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   712,  2255,  2256,     0,     0,
       0,     0,     0,     0,     0,  1049,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,   990,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   993,     0,   994,
       0,   238,   239,   240,   241,   715,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   716,   250,   251,   995,
     996,   997,   998,   999,  1000,  1001,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
    1006,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   718,     0,   719,   295,   296,   297,     0,   298,  1009,
       0,   300,     0,   301,   302,   303,   304,   305,   720,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   721,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   722,   723,   325,   724,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1013,   725,   335,   726,
       0,   336,   337,   338,  1014,  1015,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   727,
     352,   353,   354,   355,     0,   356,   357,   728,   358,     0,
    1020,   360,   361,   362,   363,   364,     0,   365,     0,   677,
     366,   367,   368,     0,     0,   369,   729,   730,   731,  1023,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1024,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   732,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    37,   420,   421,   422,   423,   424,
    1027,   425,   426,   427,   428,   733,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1029,     0,   443,   444,    41,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,  1032,   455,  1033,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  1036,     0,   469,   470,   471,
     472,   473,   919,   475,     0,   476,   734,   477,   478,   479,
       0,     0,   480,     0,    46,   481,   482,   483,   484,   485,
     486,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2930,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,   990,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     993,     0,   994,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,   995,   996,   997,   998,   999,  1000,  1001,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,  1006,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,  1009,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1013,
     725,   335,   726,     0,   336,   337,   338,  1014,  1015,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   727,   352,   353,   354,   355,     0,   356,   357,
     728,   358,     0,  1020,   360,   361,   362,   363,   364,     0,
     365,     0,   677,   366,   367,   368,     0,     0,   369,   729,
     730,   731,  1023,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1024,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1027,   425,   426,   427,   428,   733,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1029,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
    1032,   455,  1033,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,  1036,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,   495,   496,   497,     0,     0,     0,     0,     0,
       0,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2930,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,   990,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   993,     0,   994,     0,   238,   239,   240,
     241,   715,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   716,   250,   251,   995,   996,   997,   998,   999,
    1000,  1001,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,  1006,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   718,     0,   719,
     295,   296,   297,     0,   298,  1009,     0,   300,     0,   301,
     302,   303,   304,   305,   720,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   721,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   722,
     723,   325,   724,   326,   327,   328,   329,   330,   331,   332,
       0,   333,  1013,   725,   335,   726,     0,   336,   337,   338,
    1014,  1015,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   727,   352,   353,   354,   355,
       0,   356,   357,   728,   358,     0,  1020,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   729,   730,   731,  1023,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1024,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   732,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1027,   425,   426,   427,
     428,   733,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1029,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,  1032,   455,  1033,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,  1036,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   734,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,  1038,  1039,  1040,
    1041,  1042,  1043,  1044,  1045,   495,   496,   497,     0,     0,
       0,     0,     0,     0,   712,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3463,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,   251,     0,     0,
       0,   717,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     718,     0,   719,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   720,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   725,   335,   726,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   727,   352,
     353,   354,   355,     0,   356,   357,   728,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   729,   730,   731,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   733,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   199,  1230,   550,
       0,     0,     0,   597,     0,     0,     0,  3988,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1463,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
    1464,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,  1465,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
     199,   609,  1231,  3585,     0,     0,     0,     0,     0,     0,
    3586,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     3,     4,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    37,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,    41,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   919,   475,     0,
     476,   920,   477,   478,   479,     0,     0,   480,     0,    46,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    37,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,    41,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     919,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,    46,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1102,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,     0,
       0,     0,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2405,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3426,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,  1329,  1230,
     550,     0,     0,   759,   597,     0,     0,     0,  3755,   200,
     201,   202,   203,   204,   205,   206,   207,  1664,   209,   210,
     211,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   212,   213,
    1672,   214,   215,   713,   216,   217,   218,     0,  1330,   714,
    1331,  1332,  1673,   223,   224,   225,   226,   227,  1674,  1675,
     228,   229,  1333,  1334,   232,  1676,   233,   234,   235,   236,
       0,  1677,  1678,  1679,   238,   239,   240,   241,   715,   242,
     243,  1680,   244,   245,   246,   247,   248,   249,  1681,   716,
     250,   251,  1682,  1683,  1684,   717,  1685,  1686,  1687,   252,
     253,   254,   255,   256,   257,  1335,  1336,   260,  1688,   261,
    1689,   262,   263,   264,   265,   266,  1690,   267,   268,   269,
    1691,  1692,   270,   271,  1004,   273,   274,  1693,   275,   276,
     277,  1694,   278,   279,  1695,   280,   281,   282,   283,     0,
     285,   286,   287,     0,  1696,   289,  1697,   290,  1337,   292,
    1698,   293,  1699,   294,   718,  1700,   719,   295,   296,   297,
    1701,   298,     0,  1702,   300,  1703,   301,   302,   303,   304,
     305,   720,   306,   307,   308,  1704,   309,   310,   311,   312,
     313,   314,  1705,   315,   721,     0,   317,   318,   319,   320,
    1338,  1339,  1706,  1340,  1707,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,  1708,   333,     0,
     725,   335,   726,  1709,   336,   337,   338,  1710,  1711,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1341,   727,  1342,   353,   354,     0,  1712,   356,   357,
     728,   358,  1713,     0,   360,  1343,   362,   363,   364,  1714,
     365,  1715,  1716,  3160,   367,   368,  1717,  1718,     0,   729,
     730,   731,     0,   371,   372,   373,   374,   375,   376,   377,
    1719,   378,     0,   380,     0,   382,   383,   384,  1720,   385,
     386,   387,   388,   389,   390,   391,  1344,   393,   394,   395,
     396,  1721,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1722,   407,   408,   732,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,  1723,   420,   421,
     422,   423,   424,  1724,   425,  1881,   427,   428,   733,   429,
    1346,   431,  1725,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,  1726,   443,   444,  1727,   445,   446,
     447,   448,   449,   450,  1728,  1347,  1348,  1729,  1730,   453,
       0,   455,     0,  1731,   457,   458,   459,   460,   461,   462,
     463,  1732,  1733,   464,   465,   466,   467,   468,  1734,  1735,
     469,   470,   471,   472,   473,     0,  1349,  1736,   476,   734,
     477,   478,   479,  1737,  1738,   480,  1739,  1740,   481,   482,
     483,   484,   485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,  3161,  3162,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   760,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   761,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   847,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   848,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   892,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   893,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     894,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,  1312,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,  1313,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,  2466,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,  2467,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   199,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,  3972,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,  1663,   762,   763,
     764,     0,   765,   766,   767,   768,   769,   770,   200,   201,
     202,   203,   204,   205,   206,   207,  1664,   209,   210,   211,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   212,   213,  1672,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,  1673,   223,   224,   225,   226,   227,  1674,  1675,   228,
     229,   230,   231,   232,  1676,   233,   234,   235,   236,   237,
    1677,  1678,  1679,   238,   239,   240,   241,   715,   242,   243,
    1680,   244,   245,   246,   247,   248,   249,  1681,   716,   250,
     251,  1682,  1683,  1684,   717,  1685,  1686,  1687,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  1688,   261,  1689,
     262,   263,   264,   265,   266,  1690,   267,   268,   269,  1691,
    1692,   270,   271,   272,   273,   274,  1693,   275,   276,   277,
    1694,   278,   279,  1695,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1696,   289,  1697,   290,   291,   292,  1698,
     293,  1699,   294,   718,  1700,   719,   295,   296,   297,  1701,
     298,   299,  1702,   300,  1703,   301,   302,   303,   304,   305,
     720,   306,   307,   308,  1704,   309,   310,   311,   312,   313,
     314,  1705,   315,   721,   316,   317,   318,   319,   320,   321,
     322,  1706,   323,  1707,   324,   722,   723,   325,   724,   326,
     327,   328,   329,   330,   331,   332,  1708,   333,   334,   725,
     335,   726,  1709,   336,   337,   338,  1710,  1711,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   727,   352,   353,   354,   355,  1712,   356,   357,   728,
     358,  1713,   359,   360,   361,   362,   363,   364,  1714,   365,
    1715,  1716,   366,   367,   368,  1717,  1718,   369,   729,   730,
     731,   370,   371,   372,   373,   374,   375,   376,   377,  1719,
     378,   379,   380,   381,   382,   383,   384,  1720,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
    1721,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1722,   407,   408,   732,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,  1723,   420,   421,   422,
     423,   424,  1724,   425,   426,   427,   428,   733,   429,   430,
     431,  1725,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1726,   443,   444,  1727,   445,   446,   447,
     448,   449,   450,  1728,   451,   452,  1729,  1730,   453,   454,
     455,   456,  1731,   457,   458,   459,   460,   461,   462,   463,
    1732,  1733,   464,   465,   466,   467,   468,  1734,  1735,   469,
     470,   471,   472,   473,   474,   475,  1736,   476,   734,   477,
     478,   479,  1737,  1738,   480,  1739,  1740,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,  1741,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
     682,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1329,     0,
       0,     0,     0,     0,     0,     0,     0,  3850,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1330,   714,
    1331,  1332,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1333,  1334,   232,     0,   233,   234,   235,   236,
       0,     0,     0,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,     0,     0,     0,   717,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1335,  1336,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1337,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,     0,   317,   318,   319,   320,
    1338,  1339,     0,  1340,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     725,   335,   726,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1341,   727,  1342,   353,   354,     0,     0,   356,   357,
     728,   358,     0,     0,   360,  1343,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   729,
     730,   731,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1344,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1345,   427,   428,   733,   429,
    1346,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1347,  1348,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1349,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,     0,  2024,     0,     0,     0,     0,
       0,     0,   495,   496,   497,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  1795,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,     0,  1330,   714,  1331,  1332,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1333,
    1334,   232,     0,   233,   234,   235,   236,     0,     0,     0,
       0,   238,   239,   240,   241,   715,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   716,   250,   251,     0,
       0,     0,   717,     0,     0,     0,   252,   253,   254,   255,
     256,   257,  1335,  1336,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1004,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,     0,   285,   286,   287,
       0,     0,   289,     0,   290,  1337,   292,     0,   293,     0,
     294,   718,     0,   719,   295,   296,   297,     0,   298,     0,
       0,   300,     0,   301,   302,   303,   304,   305,   720,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   721,     0,   317,   318,   319,   320,  1338,  1339,     0,
    1340,     0,   324,   722,   723,   325,   724,   326,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   725,   335,   726,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1341,   727,
    1342,   353,   354,     0,     0,   356,   357,   728,   358,     0,
       0,   360,  1343,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   729,   730,   731,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1344,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   732,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1345,   427,   428,   733,   429,  1346,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1347,  1348,     0,     0,   453,     0,   455,     0,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,     0,  1349,     0,   476,   734,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
       0,     0,   199,  1230,   550,     0,     0,     0,   597,   495,
     496,   497,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1795,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1653,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,  1463,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,  1464,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,  1465,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
    1230,   550,     0,     0,     0,   597,   609,  1231,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,  1658,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1463,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,  1464,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,  1465,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,  1230,   550,     0,
       0,     0,   597,   609,  1231,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1463,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,  1464,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,  1465,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,   597,
     609,  1231,     0,     0,   200,   598,   202,   203,   204,   205,
     206,   207,   599,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   600,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   601,   291,   292,     0,   293,     0,   602,     0,
     603,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     604,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   605,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   606,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   607,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   608,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1663,  4261,   550,     0,     0,     0,   597,   609,   610,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,  1664,
     209,   210,   211,  1665,  1666,  1667,  1668,  1669,  1670,  1671,
     212,   213,  1672,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,  1673,   223,   224,   225,   226,   227,
    1674,  1675,   228,   229,   230,   231,   232,  1676,   233,   234,
     235,   236,   237,  1677,  1678,  1679,   238,   239,   240,   241,
     715,   242,   243,  1680,   244,   245,   246,   247,   248,   249,
    1681,   716,   250,   251,  1682,  1683,  1684,   717,  1685,  1686,
    1687,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    1688,   261,  1689,   262,   263,   264,   265,   266,  1690,   267,
     268,   269,  1691,  1692,   270,   271,   272,   273,   274,  1693,
     275,   276,   277,  1694,   278,   279,  1695,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1696,   289,  1697,   290,
     291,   292,  1698,   293,  1699,   294,   718,  1700,   719,   295,
     296,   297,  1701,   298,   299,  1702,   300,  1703,   301,   302,
     303,   304,   305,   720,   306,   307,   308,  1704,   309,   310,
     311,   312,   313,   314,  1705,   315,   721,   316,   317,   318,
     319,   320,   321,   322,  1706,   323,  1707,   324,   722,   723,
     325,   724,   326,   327,   328,   329,   330,   331,   332,  1708,
     333,   334,   725,   335,   726,  1709,   336,   337,   338,  1710,
    1711,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   727,   352,   353,   354,   355,  1712,
     356,   357,   728,   358,  1713,   359,   360,   361,   362,   363,
     364,  1714,   365,  1715,  1716,   366,   367,   368,  1717,  1718,
     369,   729,   730,   731,   370,   371,   372,   373,   374,   375,
     376,   377,  1719,   378,   379,   380,   381,   382,   383,   384,
    1720,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,  1721,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,  1722,   407,   408,   732,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,  1723,
     420,   421,   422,   423,   424,  1724,   425,   426,   427,   428,
     733,   429,   430,   431,  1725,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  1726,   443,   444,  1727,
     445,   446,   447,   448,   449,   450,  1728,   451,   452,  1729,
    1730,   453,   454,   455,   456,  1731,   457,   458,   459,   460,
     461,   462,   463,  1732,  1733,   464,   465,   466,   467,   468,
    1734,  1735,   469,   470,   471,   472,   473,   474,   475,  1736,
     476,   734,   477,   478,   479,  1737,  1738,   480,  1739,  1740,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  1663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,  1664,   209,   210,   211,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   212,   213,  1672,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,  1673,   223,   224,   225,   226,   227,  1674,  1675,   228,
     229,   230,   231,   232,  1676,   233,   234,   235,   236,   237,
    1677,  1678,  1679,   238,   239,   240,   241,   715,   242,   243,
    1680,   244,   245,   246,   247,   248,   249,  1681,   716,   250,
     251,  1682,  1683,  1684,   717,  1685,  1686,  1687,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  1688,   261,  1689,
     262,   263,   264,   265,   266,  1690,   267,   268,   269,  1691,
    1692,   270,   271,   272,   273,   274,  1693,   275,   276,   277,
    1694,   278,   279,  1695,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1696,   289,  1697,   290,   291,   292,  1698,
     293,  1699,   294,   718,  1700,   719,   295,   296,   297,  1701,
     298,   299,  1702,   300,  1703,   301,   302,   303,   304,   305,
     720,   306,   307,   308,  1704,   309,   310,   311,   312,   313,
     314,  1705,   315,   721,   316,   317,   318,   319,   320,   321,
     322,  1706,   323,  1707,   324,   722,   723,   325,   724,   326,
     327,   328,   329,   330,   331,   332,  1708,   333,   334,   725,
     335,   726,  1709,   336,   337,   338,  1710,  1711,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   727,   352,   353,   354,   355,  1712,   356,   357,   728,
     358,  1713,   359,   360,   361,   362,   363,   364,  1714,   365,
    1715,  1716,   366,   367,   368,  1717,  1718,   369,   729,   730,
     731,   370,   371,   372,   373,   374,   375,   376,   377,  1719,
     378,   379,   380,   381,   382,   383,   384,  1720,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
    1721,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1722,   407,   408,   732,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,  1723,   420,   421,   422,
     423,   424,  1724,   425,   426,   427,   428,   733,   429,   430,
     431,  1725,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1726,   443,   444,  1727,   445,   446,   447,
     448,   449,   450,  1728,   451,   452,  1729,  1730,   453,   454,
     455,   456,  1731,   457,   458,   459,   460,   461,   462,   463,
    1732,  1733,   464,   465,   466,   467,   468,  1734,  1735,   469,
     470,   471,   472,   473,   474,   475,  1736,   476,   734,   477,
     478,   479,  1737,  1738,   480,  1739,  1740,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1663,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,  2531,
     205,   206,   207,  1664,   209,   210,   211,  1665,  1666,  1667,
    1668,  1669,  1670,  1671,   212,   213,  1672,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,  1673,   223,
     224,   225,   226,   227,  1674,  1675,   228,   229,   230,   231,
     232,  1676,   233,   234,   235,   236,   237,  1677,  1678,  1679,
     238,   239,   240,   241,   715,   242,   243,  1680,   244,   245,
     246,   247,   248,   249,  1681,   716,   250,   251,  1682,  1683,
    1684,   717,  1685,  1686,  1687,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  1688,   261,  1689,   262,   263,   264,
     265,   266,  1690,   267,   268,   269,  1691,  1692,   270,   271,
     272,  2532,   274,  1693,   275,   276,   277,  1694,   278,   279,
    1695,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1696,   289,  1697,   290,   291,   292,  1698,   293,  1699,   294,
     718,  1700,   719,   295,   296,   297,  1701,   298,   299,  1702,
     300,  1703,   301,   302,   303,   304,   305,   720,   306,   307,
     308,  1704,   309,   310,   311,   312,   313,   314,  1705,   315,
     721,   316,   317,   318,   319,   320,   321,   322,  1706,   323,
    1707,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,  1708,   333,   334,   725,   335,   726,  1709,
     336,   337,   338,  1710,  1711,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   727,   352,
     353,   354,   355,  1712,   356,   357,   728,   358,  1713,   359,
     360,   361,   362,   363,   364,  1714,   365,  1715,  1716,   366,
     367,   368,  1717,  1718,   369,   729,   730,   731,   370,   371,
     372,   373,   374,   375,   376,   377,  1719,   378,   379,   380,
     381,   382,   383,   384,  1720,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,  1721,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,  1722,   407,
     408,   732,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,  1723,   420,   421,   422,   423,   424,  1724,
    2533,   426,   427,   428,   733,   429,   430,   431,  1725,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1726,   443,   444,  1727,   445,   446,   447,   448,   449,   450,
    1728,   451,   452,  1729,  1730,   453,   454,   455,   456,  1731,
     457,   458,   459,   460,   461,   462,   463,  1732,  1733,   464,
     465,   466,   467,   468,  1734,  1735,   469,   470,   471,   472,
     473,   474,   475,  1736,   476,   734,   477,   478,   479,  1737,
    1738,   480,  1739,  1740,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,   715,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   716,   250,   251,     0,     0,     0,   717,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   718,     0,   719,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   720,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   721,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   722,
     723,   325,   724,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   725,   335,   726,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   727,   352,   353,   354,   355,
       0,   356,   357,   728,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   729,   730,   731,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   732,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   733,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   734,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,     0,     0,     0,   717,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     877,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     725,   335,   726,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   727,   352,   353,   354,   355,     0,   356,   357,
     728,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   729,
     730,   731,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   733,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,   715,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   716,   250,   251,     0,
       0,     0,   717,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   718,     0,   719,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   886,   720,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   721,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   722,   723,   325,   724,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,   725,   335,   726,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   727,
     352,   353,   354,   355,     0,   356,   357,   728,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   729,   730,   731,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   732,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   733,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   734,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,  1819,
     233,   234,   235,   236,   237,     0,     0,  1894,   238,   239,
     240,   241,     0,   242,   243,  1820,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,  1895,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,  1822,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1823,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,  1824,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,  1819,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,  1820,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,  1895,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,  1822,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,  2732,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,  1823,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,  1824,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   647,   206,   207,   616,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   617,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,   648,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   618,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   619,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   616,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   617,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,  2433,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   618,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   619,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,  1819,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,  1820,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,  1895,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,  1822,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
    1823,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,  1824,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   616,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   617,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     618,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   619,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,   550,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1463,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,  1464,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,  1465,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    1490,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,  1491,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,  1492,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,  1493,   294,     0,     0,     0,
    1494,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,  1495,  1496,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,  1497,   416,   417,   418,   419,
       0,  1498,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
    1499,   445,  1500,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,  1501,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   617,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   618,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   619,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     3,     4,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   920,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,   550,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1638,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,  1984,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,  1985,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     3,
       4,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  2515,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,  2516,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,  2527,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
    2528,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   542,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   543,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
     641,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   642,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   643,   452,
       0,     0,   644,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   671,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   672,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   673,   452,     0,     0,   674,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   677,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   780,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   677,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   870,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,   550,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  1077,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,  1088,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   658,   229,   230,   231,  1089,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   661,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   662,   410,
     411,   412,   413,   414,   663,   416,   417,   418,   419,     0,
     420,   421,   422,   423,  1081,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   665,   452,     0,
       0,   666,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   667,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,  1185,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   677,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,   550,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,  1453,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,  2341,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,  2342,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
    2343,   445,   446,  2344,   448,  2345,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,  2346,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,  2794,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,  3399,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
    3412,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,  3616,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,  3618,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,  3620,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,  3975,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   631,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   639,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     658,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   659,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   660,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     661,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   662,   410,   411,   412,
     413,   414,   663,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   664,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   665,   452,     0,     0,   666,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   667,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   689,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   756,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   777,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   786,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   788,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   838,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     859,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   882,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   888,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     897,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   899,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   901,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   903,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   906,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   908,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   909,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   912,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   658,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   661,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   662,   410,   411,   412,   413,
     414,   663,   416,   417,   418,   419,     0,   420,   421,   422,
     423,  1081,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   665,   452,     0,     0,   666,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   667,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,  1374,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,  1401,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    1429,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  1431,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  1433,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,  1524,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  1792,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,     0,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   658,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   661,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   662,   410,   411,   412,   413,   414,   663,   416,   417,
     418,   419,     0,   420,   421,   422,   423,  1081,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,  1810,   447,   448,   449,   450,     0,
     665,   452,     0,     0,   666,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   667,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   658,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   661,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   662,   410,
     411,   412,   413,   414,  1870,   416,   417,   418,   419,     0,
     420,   421,   422,   423,  1871,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   665,   452,     0,
       0,  1872,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   667,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,  2116,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,  2445,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   658,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   661,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   662,
     410,   411,   412,   413,   414,   663,   416,   417,   418,   419,
       0,   420,   421,   422,   423,  1871,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   665,   452,
       0,     0,  1872,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   667,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    2518,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  2520,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  2612,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1330,
     714,  1331,  1332,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1333,  1334,   232,     0,   233,   234,   235,
     236,     0,     0,     0,     0,   238,   239,   240,   241,   715,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     716,   250,   251,     0,     0,     0,   717,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1335,  1336,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1004,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1337,
     292,     0,   293,     0,   294,   718,     0,   719,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   720,   306,   307,   308,  1878,   309,   310,   311,
     312,   313,   314,     0,   315,   721,  1879,   317,   318,   319,
     320,  1338,  1339,     0,  1340,     0,   324,   722,   723,   325,
     724,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   725,   335,   726,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1341,   727,  1342,   353,   354,     0,     0,   356,
     357,   728,   358,     0,     0,   360,  1343,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,  1880,
     729,   730,   731,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1344,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   732,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1881,   427,   428,   733,
     429,  1346,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1347,  1348,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1349,  1882,   476,
     734,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1329,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,     0,  1330,   714,  1331,  1332,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1333,
    1334,   232,     0,   233,   234,   235,   236,     0,     0,     0,
       0,   238,   239,   240,   241,   715,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   716,   250,   251,     0,
       0,     0,   717,     0,     0,     0,   252,   253,   254,   255,
     256,   257,  1335,  1336,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1004,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,     0,   285,   286,   287,
       0,     0,   289,     0,   290,  1337,   292,     0,   293,     0,
     294,   718,     0,   719,   295,   296,   297,     0,   298,     0,
       0,   300,     0,   301,   302,   303,   304,   305,   720,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   721,     0,   317,   318,   319,   320,  1338,  1339,     0,
    1340,     0,   324,   722,   723,   325,   724,   326,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   725,   335,   726,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1341,   727,
    1342,   353,   354,     0,     0,   356,   357,   728,   358,  1866,
       0,   360,  1343,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   729,   730,   731,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1344,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   732,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1881,   427,   428,   733,   429,  1346,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,     0,   443,   444,  3265,   445,   446,   447,   448,   449,
     450,     0,  1347,  1348,     0,     0,   453,     0,   455,     0,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,     0,  1349,     0,   476,   734,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
       0,   199,     0,     0,     0,     0,     0,     0,     0,   495,
     496,   497,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
       0,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,     0,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1329,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1330,   714,
    1331,  1332,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1333,  1334,   232,     0,   233,   234,   235,   236,
       0,     0,     0,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,     0,     0,     0,   717,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1335,  1336,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1004,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1337,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,     0,   317,   318,   319,   320,
    1338,  1339,     0,  1340,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     725,   335,   726,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1341,   727,  1342,   353,   354,  1929,     0,   356,   357,
     728,   358,     0,     0,   360,  1343,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   729,
     730,   731,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1344,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1345,   427,   428,   733,   429,
    1346,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1347,  1348,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1349,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1329,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,     0,  1330,   714,  1331,  1332,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1333,  1334,
     232,     0,   233,   234,   235,   236,     0,     0,     0,     0,
     238,   239,   240,   241,   715,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   716,   250,   251,     0,     0,
       0,   717,     0,     0,     0,   252,   253,   254,   255,   256,
     257,  1335,  1336,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1004,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,     0,   285,   286,   287,     0,
       0,   289,     0,   290,  1337,   292,     0,   293,     0,   294,
     718,     0,   719,   295,   296,   297,     0,   298,     0,     0,
     300,     0,   301,   302,   303,   304,   305,   720,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     721,     0,   317,   318,   319,   320,  1338,  1339,     0,  1340,
       0,   324,   722,   723,   325,   724,   326,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   725,   335,   726,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1341,   727,  1342,
     353,   354,  3084,     0,   356,   357,   728,   358,     0,     0,
     360,  1343,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,     0,   729,   730,   731,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1344,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   732,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,  1345,   427,   428,   733,   429,  1346,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1347,  1348,     0,     0,   453,     0,   455,     0,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,     0,  1349,     0,   476,   734,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1329,     0,     0,     0,     0,     0,     0,     0,   495,   496,
     497,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
    1330,   714,  1331,  1332,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1333,  1334,   232,     0,   233,   234,
     235,   236,     0,     0,     0,     0,   238,   239,   240,   241,
     715,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   716,   250,   251,     0,     0,     0,   717,     0,     0,
       0,   252,   253,   254,   255,   256,   257,  1335,  1336,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1004,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,     0,   285,   286,   287,     0,     0,   289,     0,   290,
    1337,   292,     0,   293,     0,   294,   718,     0,   719,   295,
     296,   297,     0,   298,     0,     0,   300,     0,   301,   302,
     303,   304,   305,   720,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   721,     0,   317,   318,
     319,   320,  1338,  1339,     0,  1340,     0,   324,   722,   723,
     325,   724,   326,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   725,   335,   726,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1341,   727,  1342,   353,   354,     0,     0,
     356,   357,   728,   358,     0,     0,   360,  1343,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
       0,   729,   730,   731,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1344,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   732,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1345,   427,   428,
     733,   429,  1346,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1347,  1348,     0,
       0,   453,     0,   455,     0,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,     0,  1349,     0,
     476,   734,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1329,     0,     0,     0,
       0,     0,     0,     0,   495,   496,   497,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,     0,  1330,   714,  1331,  1332,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1333,  1334,   232,     0,   233,   234,   235,   236,     0,     0,
       0,     0,   238,   239,   240,   241,   715,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   716,   250,   251,
       0,     0,     0,   717,     0,     0,     0,   252,   253,   254,
     255,   256,   257,  1335,  1336,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1004,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,     0,   285,   286,
     287,     0,     0,   289,     0,   290,  1337,   292,     0,   293,
       0,   294,   718,     0,   719,   295,   296,   297,     0,   298,
       0,     0,   300,     0,   301,   302,   303,   304,   305,   720,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   721,     0,   317,   318,   319,   320,  1338,  1339,
       0,  1340,     0,   324,   722,   723,   325,   724,   326,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   725,   335,
     726,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1341,
     727,  1342,   353,   354,     0,     0,   356,   357,   728,   358,
       0,     0,   360,  1343,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   729,   730,   731,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1344,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   732,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1881,   427,   428,   733,   429,  1346,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1347,  1348,     0,     0,   453,     0,   455,
       0,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,     0,  1349,     0,   476,   734,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1329,     0,     0,     0,     0,     0,     0,     0,
     495,   496,   497,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,  1330,   714,  1331,  1332,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1333,  1334,   232,     0,
     233,   234,   235,   236,     0,     0,     0,     0,   238,   239,
     240,   241,   715,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   716,   250,   251,     0,     0,     0,   717,
       0,     0,     0,   252,   253,   254,   255,   256,   257,  1335,
    1336,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1004,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,  1337,   292,     0,   293,     0,   294,   718,     0,
     719,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   720,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   721,     0,
     317,   318,   319,   320,  1338,  1339,     0,  1340,     0,   324,
     722,   723,   325,   724,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   725,   335,   726,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1341,   727,  1342,   353,   354,
       0,     0,   356,   357,   728,   358,     0,     0,   360,  1343,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   729,   730,   731,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1344,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   732,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,     0,
     427,   428,   733,   429,  1346,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1347,
    1348,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
    1349,     0,   476,   734,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1329,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,     0,   714,
       0,     0,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,     0,     0,   232,     0,   233,   234,   235,   236,
       0,     0,     0,     0,   238,   239,   240,   241,   715,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   716,
     250,   251,     0,     0,     0,   717,     0,     0,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,     0,   292,
       0,   293,     0,   294,   718,     0,   719,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   720,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   721,     0,   317,   318,   319,   320,
       0,     0,     0,     0,     0,   324,   722,   723,   325,   724,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     725,   335,   726,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,     0,   727,     0,   353,   354,     0,     0,   356,   357,
     728,   358,     0,     0,   360,     0,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   729,
     730,   731,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   732,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,     0,   427,   428,   733,   429,
       0,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,     0,     0,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,     0,     0,   476,   734,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   164,   524,
     184,    11,    33,   887,    21,    24,   706,   924,   736,    26,
      20,   659,    20,   617,   618,   619,   181,   895,  1106,   623,
     711,   186,   775,  1206,   796,   891,   960,  1106,  1172,   779,
     195,   831,  1594,  1494,   787,  1211,    21,    47,   849,  1031,
     973,    26,   567,  1108,  2198,   946,     7,   858,    12,   551,
     666,  1345,  1106,    14,    42,   172,  2356,  1002,  1003,  1886,
    1887,  1928,  1224,   180,  1302,    17,  1215,  1211,  2755,  2481,
    2531,  1159,  2533,    22,  1362,  1398,  1021,  2694,   878,   516,
    1159,  1206,  1530,   836,    33,  1383,   839,    41,  1383,    20,
    1155,   844,  1383,  1383,  1756,  1975,  1383,   915,   851,  1129,
    1383,  2676,     0,  2354,  2658,  1159,  2962,   860,   778,  1271,
    1272,   781,  1258,  2178,  3004,  2352,  2353,  1266,  2405,   789,
    2930,  1139,  2676,   560,  2996,  3048,   166,   586,  1451,  3227,
    2935,  2936,   166,  3266,  2289,     0,     0,     0,  1198,  3245,
       0,  1400,  1159,    38,  2868,  3659,  3468,   752,  2680,  2681,
    2682,  2683,  2684,  2685,   787,  2974,   166,     9,    11,     0,
     662,   151,   703,   703,     0,    44,     9,    58,     0,  1407,
      18,    51,    79,    51,    16,     0,  3885,     5,    51,   991,
     992,     0,  3904,    36,   103,  3208,    25,    37,    22,    60,
       5,    37,  2059,   173,   174,    29,  3788,   177,   178,   127,
      66,    68,    22,    26,    27,  1017,    35,     5,     5,    29,
     145,   151,   150,    66,   194,     5,     5,   105,    11,     5,
       5,     5,    35,    31,    13,   829,   156,  2020,    13,     5,
      58,  1049,     5,     5,    96,     4,   190,    13,     5,     5,
       9,   758,     5,    58,     5,     5,   122,   150,   105,   170,
       5,    72,  2483,  3755,  3897,  3757,  2411,    68,  2125,   130,
    2127,     9,   159,   150,    83,    76,   103,    68,     3,     4,
       5,   242,   120,   108,     9,     0,   147,  1365,     0,   252,
      68,  3171,  3977,  3978,   110,    76,  1365,     9,   275,   814,
     132,    18,   259,    96,  3857,   150,   152,   233,   234,    51,
      22,   105,     5,   103,    22,   193,   103,   152,   303,   150,
      18,  1365,   103,     0,   150,   319,    24,     5,   150,   141,
     303,  1093,     9,   290,   242,   150,   149,   565,   151,   170,
     108,   569,   142,  4042,   170,    22,   155,   107,   170,    96,
     524,   579,    83,   392,   232,   170,    78,  1075,   183,     4,
      64,   279,   319,   150,     9,    32,  1348,   522,    83,    22,
     106,   526,    11,   393,    32,  2350,    29,     5,   103,     5,
      68,    39,   537,   259,    11,  3889,   312,  2272,    76,  2274,
    2275,   430,   412,   567,  1845,   117,   208,    36,   295,   372,
    1335,  1336,   280,   120,   511,   232,    11,   115,  1343,    36,
     103,    76,   273,   248,   290,   183,   342,   924,   108,   911,
      11,  1564,   120,  2398,   155,   103,   296,    66,   296,   229,
     190,   167,   244,   296,   428,  1578,  1310,   230,   150,    66,
     155,   426,   232,   237,   111,    36,  1314,   182,   555,   426,
      96,   232,   197,   188,   380,  4008,  3948,   564,   170,   305,
    3473,   196,   189,   188,   293,   426,   392,   430,  2990,   426,
     150,   303,  2693,   150,  1529,    66,   305,   926,  4163,    96,
     307,   255,  1625,    96,     5,   977,   211,   312,   297,   321,
     342,   378,    96,   170,  4193,   352,   426,   506,  4197,     5,
     426,   426,   430,   327,   413,  4087,   367,  3072,   426,  4142,
     430,  1254,    22,  1256,   360,  1305,   352,   327,   426,   430,
     339,  1599,   388,  4235,  1264,  1326,  1186,   356,  3072,   376,
    1599,  1333,  1334,   430,   372,  4234,   339,   430,  1300,   379,
    1342,   245,   551,   552,   514,   426,   587,   372,   518,   426,
     706,   352,   430,   364,   296,  1599,  1564,   426,   374,   833,
     430,   352,   430,   505,   534,   352,  3662,   430,   424,   316,
    1578,   384,   428,   290,   352,   417,   418,  1632,   383,   422,
    1323,  2438,   297,   392,  1091,   430,   586,   587,   586,  1096,
    1097,   598,   425,   600,  1485,   602,  1088,  1881,   429,  1455,
     191,   608,  3402,   429,   372,   393,  3406,   429,   426,   589,
    1205,  3325,  1890,  3220,   429,  1146,  1146,  3630,   427,  1242,
     429,   426,   631,   598,   412,   600,   413,   602,   426,  4133,
     383,   585,  3239,   608,   609,   610,  1492,   393,   426,   422,
     814,   428,   651,  3452,   424,  1501,   426,   426,   428,   658,
     426,   426,   661,   662,   663,  2945,   412,  3969,   417,   418,
     426,   612,  3675,   426,   426,   695,   587,  3189,   896,   426,
     426,   695,   352,   426,   327,   426,   426,   392,    30,   417,
     418,  1188,   372,  2500,   628,  2502,   960,   352,   426,  1196,
    4194,  1940,   417,   418,   801,   695,   342,   697,   697,   697,
     697,   697,   697,   430,   811,   417,   418,   333,   334,  2950,
      42,    74,   427,  1886,   429,   150,   237,   429,  1857,   132,
    1528,     5,  1530,  1238,   952,   342,  1804,     5,  1894,   342,
      18,   237,  1540,   413,   962,  1804,  1544,   681,   342,  1246,
     417,   418,  1249,  1250,  1552,  1553,   974,   392,   428,   112,
       8,   103,   429,    11,  1556,  1557,   266,  1565,  1566,   866,
    1804,   247,    18,   150,   685,   108,   710,   103,  1576,   504,
    3783,     8,   417,   418,   509,   660,   245,  3790,    36,   664,
    2637,  2638,   153,   758,    42,     3,    11,     5,   384,    96,
     760,   761,   419,   420,   421,   422,   103,  1804,   158,    22,
    2255,  2256,   259,   132,  1311,  2260,   352,   751,    66,   697,
    1404,   159,    23,  2365,   419,   420,   421,   422,   103,   301,
     141,   830,   230,   242,   280,  1875,   417,   418,   419,   420,
     421,   422,   120,  2978,   166,   345,  1914,   347,   170,  1917,
     183,  2658,   697,   697,   697,  2300,  2301,   697,  1917,  2632,
     246,   108,  2635,  2636,    34,   743,  2639,   827,    22,  2676,
    1498,  1499,   319,   120,   120,   321,  2649,   120,    60,    74,
    1914,    74,   307,  1917,  3276,   207,   246,   847,   848,  1153,
      98,    74,   230,    74,   430,    44,   129,   208,   230,  2055,
     252,   373,   115,   115,   864,   117,  1124,   260,   144,   787,
     342,  3781,   911,   638,   151,    11,    70,   112,   321,   112,
     396,   103,   170,    77,   141,   924,   372,   139,   145,   112,
    1435,   112,   892,   893,   659,   232,   926,   869,   926,  4052,
      36,  2104,  4028,   191,   192,    94,  2753,   152,   107,     5,
     104,   301,   677,   314,   187,   163,  3746,  3742,   957,   924,
     385,  3751,   237,   237,  3754,  2930,    52,   426,  2094,   237,
      66,    51,  1236,   698,    60,   352,   191,     8,   977,   219,
      11,   259,   343,   184,    98,    20,   312,   235,   929,  3859,
     931,   208,   933,   346,   935,   985,   937,   938,   939,   169,
     248,   323,   321,   944,   258,    40,  1423,   250,  3675,   279,
     408,   219,   290,   259,   222,  1005,   342,   426,  1049,   252,
     174,   248,  1461,   270,   261,   237,   359,   244,   145,   305,
     242,   190,   268,   182,   304,   332,  3001,    60,   335,   372,
     378,   319,  1306,   248,   290,  1035,   378,   103,  4134,   163,
     232,   294,  1051,    76,   380,   237,   352,  1562,  3499,  1049,
     252,  1325,  1061,  4141,   424,   260,   392,   260,   428,   354,
     310,   413,  1071,   319,  1238,   427,   319,   260,   430,   260,
     356,   230,   424,   150,   426,   427,   428,   324,   430,  1088,
      97,   273,  1091,  1092,    11,   191,   192,  1096,  1097,   377,
     426,   106,   310,   170,   286,   219,  1370,   130,   222,   394,
    4206,  3981,  1132,  1133,  3966,  1135,   841,  2042,  1132,  1133,
     163,  1135,  2255,  2256,   147,   211,  1091,  2260,  4031,   426,
     335,  1096,  1097,   366,   430,   313,   861,   862,   863,   235,
    4143,  1286,  1132,  1133,  3424,  1135,   358,  1117,    98,   184,
     230,   346,   354,   346,  3434,  3945,   368,  1936,  1422,   308,
     191,   106,   167,   346,   342,   346,   173,  2300,  2301,   417,
     418,   419,   420,   421,   422,   292,   219,   115,  4274,   117,
    1971,   335,    95,  3450,   153,   367,   413,   414,   415,  3420,
     417,   418,   419,   420,   421,   422,   310,   152,  3415,   407,
     196,  3432,   417,   418,   419,   420,   421,   422,   386,  1427,
    1989,     0,  2280,   163,  1148,   413,   296,   248,  2286,   303,
    1438,  2280,   167,  1188,  4094,   180,   951,  2286,   105,  2497,
     428,  1196,  1450,   259,   430,   427,  2504,  1382,   430,   319,
     252,     5,   292,  1893,  3791,     9,  2280,   331,   973,    83,
     273,  1183,  2286,  1398,  2118,  4091,  4092,  2255,  2256,  3814,
    1220,  3306,  2260,  1262,   290,  3072,  1231,   310,   102,   219,
    2128,  1435,   222,  1491,   191,  3872,  2122,  1495,     4,  1497,
    3814,  1246,  1500,     9,  1249,  1250,  2077,  2078,  2079,  2080,
    1940,     8,   426,   407,    11,  4165,   191,   309,  2089,   133,
     177,    11,  2300,  2301,   242,   218,  1451,   220,   429,   133,
     321,  1961,   426,  1273,  1274,  1275,  1276,  3864,   105,  1416,
     374,   417,   418,   419,   420,   421,   422,    95,  1425,   159,
     374,  1265,  2112,  1597,   341,   342,  2499,   145,   170,   103,
    1990,  1846,   392,  2985,   367,   314,  1311,   155,   159,   374,
    2791,   246,  1312,  1313,   105,   232,    66,   232,  1318,  3132,
     310,   372,   170,  2373,  1242,  3138,  3139,  3140,  3141,  3142,
    3143,   294,   426,   275,   343,  3811,   305,  1102,  3238,  4215,
     430,   131,   426,   305,  4254,  1384,   417,   418,   419,   420,
     421,   422,  1809,   362,  2499,  2823,   319,  1494,  1562,  3835,
     230,   426,   241,   278,  1364,  2850,   193,   175,  2853,  2854,
    2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,   309,   230,
     250,   171,  4019,  3970,  1149,   272,  2224,   356,  1388,  1389,
    1390,  1391,  2710,  3980,   356,  2710,  3283,  3402,  3285,  2710,
    2710,  3406,   193,  2710,   197,   232,  1943,  2710,   259,  2575,
     218,    38,   220,   170,  1951,  2584,  1953,   407,   290,   115,
    2845,   117,   294,  2531,  2532,  2533,   141,  2912,  2913,   352,
     145,  1461,    59,  1461,   191,  2273,  4143,  2780,   312,   290,
    1440,   232,  3762,  3763,  2869,  1210,   426,   319,   312,  1449,
     313,   299,  1217,   280,   356,   393,  1456,  2531,  2532,  2533,
     417,   418,   419,   420,   421,   422,  2304,   354,   342,   427,
    1521,   292,   430,  3905,   412,   154,     3,  1934,   342,   342,
    1245,   105,  1512,  1512,  1512,  1512,  1512,  1512,   426,   280,
    1471,   248,  1473,   208,  1475,   246,  1477,   309,  1479,    60,
     251,  2339,  1483,    18,  3985,    66,   380,   394,   378,    24,
    1549,  1462,  1277,    80,     8,    76,   380,    11,   392,  3693,
     392,   145,  2443,   386,   393,    18,  1291,   378,   392,   244,
     272,    24,   211,  1507,    28,   326,   232,  1542,  1543,  1304,
    2505,   312,   103,   412,   105,  1550,   242,  2655,    75,  1554,
    1555,  1520,   426,   177,   280,  1527,  2655,   426,  2740,   250,
     312,  2743,   426,   173,  1569,   291,  1571,  2675,   259,  1381,
    2468,   342,   392,   392,  1604,   165,  2675,   600,   601,   602,
      84,  2655,   605,   606,   607,  2107,  1591,  1399,  1593,   315,
     342,   259,   615,   259,  1898,  3482,  3483,     8,   125,   290,
      11,  2675,  1602,  3185,  3778,   120,  3780,  1646,   232,   380,
     430,   430,   354,   259,   424,  1800,   177,    28,   428,  2141,
    1805,   392,   290,  1808,   290,  4057,   294,   120,   380,    20,
     290,    73,   421,  2170,  1892,    48,   259,   426,  2458,   428,
    3960,   425,  1846,   154,   290,  1830,   430,   151,   175,    40,
     151,   319,   394,   319,   309,   426,   413,   414,   415,   319,
     417,   418,   419,   420,   421,   422,   345,   290,   347,   290,
     344,   232,   145,   319,   426,   179,   237,  2850,   179,  1864,
    2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,
     194,   370,   165,   194,   385,  1460,   319,   191,   319,   290,
     211,   205,  1839,   294,   205,   197,  1891,   386,  1845,   145,
    2883,   345,   273,   347,  2484,   421,  3201,  3025,   392,   393,
     426,  2389,   428,   227,   392,   286,  2030,  2363,   319,   165,
    1915,   425,  1769,  1498,  1499,   430,   430,   264,     5,  2912,
    2913,  3746,  2512,    10,   259,   427,  3751,  3005,   430,  3754,
    1935,    18,   426,  1938,   248,   427,    26,    27,   430,  3572,
    3573,  1791,  1791,  1814,  1769,  1816,   259,    34,   246,    21,
     345,  1956,   347,   251,    26,   290,  2321,  2885,   426,  3784,
     191,  1966,  3151,   424,  3153,   426,  2885,  3156,  3370,  3158,
     427,   307,     9,   430,  1979,  2485,   300,   290,  2719,   300,
     426,   392,  1753,  1988,   319,   427,   367,  2892,   430,   246,
     307,  2885,  2850,    83,   426,  2853,  2854,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,  2862,    38,   319,   427,   344,  2366,
     430,  1870,   102,   426,   345,   428,   347,   248,   365,   259,
      48,  1841,  1842,  1843,   409,  2883,   373,   344,  1848,   376,
    1850,   193,  1852,  1853,   259,   427,   249,  2810,   430,   370,
    2872,  2873,  1627,   133,  3033,  2667,  2668,  2669,  3050,  3051,
     290,  1636,   392,   393,  2912,  2913,   392,   393,     3,   424,
     428,   426,  1856,   428,  2188,   290,   249,  3372,  3373,   294,
     427,   246,  3897,   430,    19,   392,   393,   427,   352,   319,
     430,  2986,   427,   145,   927,   430,   129,   930,  2166,   932,
     426,   934,  2816,   936,   319,  2688,   246,   940,   141,   413,
     414,   415,   145,   417,   418,   419,   420,   421,   422,   426,
    3694,  3695,  3696,  3697,  2456,   409,   427,  1976,  1943,   430,
    3945,   307,   115,   426,   117,   428,  1951,   249,  1953,  1949,
      75,   345,   427,   347,   307,   430,  2910,   427,   427,  3067,
     430,   430,    38,  3071,   187,  3073,   139,  3814,   427,    57,
      58,   430,  3071,  2012,  3073,     0,     8,   409,   344,    11,
      84,  2020,  3869,   427,   149,   208,   430,  1752,  4162,  1754,
     193,   344,   427,  3067,  2814,   430,    28,  3071,   427,  3073,
     125,   430,   413,   414,   415,  2005,   417,   418,   419,   420,
     421,   422,   419,  2013,  2014,  2015,  2016,  2017,  2018,   303,
     304,   244,   902,  3219,   430,  3838,   392,   393,  3201,   252,
     426,    76,   427,   913,  2039,   430,   345,  2076,   347,   392,
     393,  2879,   312,   234,   427,   170,   427,   151,   427,   430,
     175,   430,  3899,  3367,   427,   427,  3259,   430,    83,   232,
     426,    48,  2101,   307,   237,  2202,  2096,  2096,  2107,   242,
    2207,   427,   342,   426,   430,   179,  3041,   303,   304,  2063,
    3244,  3002,  3003,     8,   427,  2709,    11,   430,   427,   427,
     194,   430,   430,     8,   150,   427,    11,  2097,   430,   189,
     344,   205,  2141,    28,   129,   427,   426,   429,     8,   154,
     380,    11,   427,   319,   384,   430,   141,  2321,   392,   393,
     145,   312,   392,   227,  2124,   150,  2126,   428,   173,    75,
     155,   427,   395,   158,   430,   160,   426,  4142,   427,   264,
     307,   430,   246,   366,   427,   134,  1911,   430,   392,   393,
     427,   342,   428,   430,   427,  2459,   426,   430,   427,   191,
    2952,   430,   187,  3201,   426,  2170,   211,  2689,   427,  2691,
     429,  2429,  2430,  2359,  2432,    50,   301,   344,   124,  2383,
     134,   129,   426,   208,   134,   358,   700,  3769,   702,   380,
    3407,  2939,  3409,   141,   145,   368,   300,   145,   246,  3372,
    3373,   392,   427,   134,   427,   430,   251,    82,   206,   427,
     105,  3148,   430,  2350,   374,   340,   248,  2217,   427,   244,
    3705,   430,  2942,  2943,   426,   392,   393,   252,   427,  2414,
    2752,   430,   246,  2304,   427,   426,   427,   430,   429,   187,
     365,   427,   427,   309,   430,   430,  3731,  3732,   373,   241,
    2554,   376,  2556,   427,   200,   201,   430,   307,   197,   426,
     208,  2398,   137,    60,   427,   426,   191,   430,   214,   392,
     374,    31,   297,   232,  2304,   427,   191,   395,   430,   427,
    2817,   427,   430,   427,   430,   426,   430,   427,  2318,   427,
     430,   191,   430,   168,   344,  2060,   244,    38,   427,    38,
     345,   430,   347,   427,   252,  2609,   430,  2337,   307,  2567,
     361,   356,   427,   259,   259,   430,   427,   342,   427,   430,
    2350,   430,   367,   248,   145,   370,    73,  2366,   203,  2633,
    2401,  3416,   276,   248,  3372,  3373,  2344,  2345,  2346,   410,
     411,   366,   392,   393,   427,   344,   134,   430,   248,  2379,
    2379,  2379,  2379,  2379,  2379,  3125,   134,   232,   426,  2364,
     427,  2366,  3447,   430,   389,  2550,   391,   392,  2398,   134,
     427,  2401,  2557,   430,  3855,   427,   426,  1580,   430,   395,
    1583,   413,   414,   415,   259,   417,   418,   419,   420,   421,
     422,  3499,   427,   392,   393,   430,   392,   393,   344,   424,
     346,   134,   427,   428,   429,   427,   427,   427,   430,   430,
     430,   964,   965,  2390,  2391,   290,   134,  2456,   366,   294,
     430,   134,   134,   298,  3378,  3499,   134,   426,   246,   304,
     134,   134,   134,   246,  3919,  2739,   311,  3268,   134,   134,
     342,   426,  2627,  2701,   319,  2703,    31,   146,   206,   426,
     246,   145,   145,   328,  2658,     5,     5,   426,   426,   145,
    2764,   336,   426,   426,  2464,   269,  2466,  2467,   426,   426,
     426,  3674,  2676,     5,     5,     5,  3584,   426,     5,   426,
     256,    86,   206,   426,   426,  3584,   426,    31,   413,   414,
     415,   426,   417,   418,   419,   420,   421,   422,  2537,   414,
     415,   430,   417,   418,   419,   420,   421,   422,   426,   426,
    3584,    31,   387,   413,   414,   415,  3354,   417,   418,   419,
     420,   421,   422,   426,   145,  2829,  2565,    18,   426,   426,
     426,  2789,  3705,    24,   426,   426,    49,  1417,   426,   426,
     426,  3714,   426,   426,   244,  2849,  1426,   145,   319,   352,
    1430,  2809,   352,   307,   428,   307,  1436,  1437,  3731,  3732,
     352,   352,   352,   352,    76,   352,   134,   307,   246,   311,
    2874,   203,   352,    64,  1454,   352,   237,   352,  2343,   373,
      68,   246,    95,   175,   242,   426,     8,   426,   352,    11,
     352,    76,    21,  2632,   430,  2780,  2635,  2636,    97,   259,
    2639,   374,     0,   352,   374,    48,  2910,   352,   352,  2794,
    2649,  3148,    48,   250,    36,  2654,   352,   352,   352,  2658,
      42,   352,   113,   352,  2389,    54,    37,  2812,    37,   120,
     352,   307,   123,   352,   246,   430,   352,  2676,    67,   395,
     246,   392,   426,   191,    66,   383,    31,   426,    30,  3586,
    2689,    80,  2691,  2658,  2791,    20,   134,   426,   232,   172,
    2665,  2666,   103,   426,   374,  2670,   386,  3705,   385,   214,
     242,  2676,   232,  3594,    31,   145,  3714,    31,   426,   197,
     308,   134,   134,  2722,   175,    83,   374,   134,   134,   118,
     374,   150,   134,  3731,  3732,   241,   352,   236,   426,  2704,
     426,   388,   350,   409,    11,   218,   128,   220,     8,   224,
     224,    11,  2751,  2752,   350,   430,   319,   230,   147,  3883,
    3468,   426,   352,   152,   150,    21,   164,   354,   426,   430,
     427,   129,  2762,  2762,   164,   426,    36,   187,   430,   230,
     247,   232,    42,   141,   166,   258,  3919,   145,   170,   242,
      44,   242,   150,   430,   374,  3709,   427,   155,   352,   250,
     158,  3298,   160,   352,   307,    75,    66,   307,   259,   191,
     192,   195,    68,   230,  2774,   374,   195,  2777,   246,   237,
     426,   237,   295,   352,   309,   207,   237,   197,    38,   187,
     326,    85,   253,  2930,   352,   430,   245,   352,   307,   290,
     290,    97,   191,   294,   280,   316,    31,   191,  3581,   374,
     208,   352,  2817,   235,   352,   109,   191,   330,  2818,   248,
     374,   191,   118,   191,   245,   426,   248,   413,   319,    30,
     124,   424,   413,   424,   128,   352,   352,   134,   426,   316,
     145,   147,   352,  3028,   352,   242,   244,   276,   426,  2920,
    4053,   147,   146,   316,   252,   134,   152,  2896,   392,  2930,
     246,   162,   145,   246,  3001,    31,   166,   161,  3072,   162,
     170,  1751,   134,   246,   246,   145,   316,  3985,   307,   170,
     170,  3919,   170,   430,   313,    19,   377,   316,   430,   395,
    2920,   191,   192,  3438,   221,   156,   246,   430,    48,   297,
    2930,   323,   198,   342,   241,   197,   427,   207,   427,   150,
    2949,  3985,   409,   342,  2922,  2923,  2924,  2925,   263,   348,
    3105,  3759,  3226,  3108,   427,   427,   427,   427,  3849,    50,
    2695,   427,   361,   427,   150,   235,   409,   352,   427,   255,
     427,   427,    13,   237,   342,   427,   430,   427,   248,    13,
     297,   245,   427,   427,   426,  2720,   389,   386,   427,   426,
     380,    82,   389,  2728,  3222,  3223,  3920,  2732,   366,   413,
     208,   246,   249,   246,   173,   175,   134,   395,   426,   181,
     276,  2746,   237,   352,   278,   352,   352,   250,   352,   426,
     134,   389,   426,   391,   392,   417,   418,   419,   420,   421,
     422,   134,   208,   352,   264,   301,   264,  3631,   371,   352,
     352,   307,   216,   216,   352,   319,   137,   313,   216,  3019,
    3020,  3021,  3022,   323,   352,   307,   424,   352,   352,   427,
     428,   429,   352,  3072,  3988,  3293,  3294,  3295,  3992,  3993,
     307,   307,   307,   352,   352,  2810,   342,   168,   344,   134,
    3089,  3088,    37,  3092,   352,  3094,   191,   352,     3,   191,
     191,   191,   191,  3774,   191,   361,   191,  3072,   424,  4006,
     310,   222,    31,   413,  3378,   427,   427,   361,   292,  3118,
    3119,    96,   203,  3088,   208,  3989,  3924,   246,   427,   430,
     386,    50,  3990,  3132,   426,   430,   427,   245,    31,  3138,
    3139,  3140,  3141,  3142,  3143,   392,   352,   159,   430,  3148,
    3996,   232,  3998,  3152,   414,   415,   307,   417,   418,   419,
     420,   421,   422,    82,  4232,   374,    18,   374,   307,   307,
     249,   132,    24,  4232,   132,   191,   126,   150,   424,    11,
     145,   385,   427,  3148,    58,   247,   427,   427,   150,   427,
     426,   158,  3191,  3192,  3193,  3194,  3161,  3162,  4232,   427,
      31,   430,  2927,  2928,  2929,   145,   374,  3172,   427,   426,
     426,  4279,    64,   294,   427,   296,  3480,   298,   137,  4287,
    4279,   374,   427,   304,   427,   352,  3191,   181,  4287,   361,
     311,   426,   361,   307,   307,   352,   352,   352,   319,  3199,
     352,   427,   145,    21,  3508,  4279,   427,   328,   427,   168,
      66,    96,   361,  4287,   427,   336,  3520,  3256,   191,   191,
    3888,   113,   427,   430,   195,  3255,  3255,   392,   120,   425,
     425,   123,   395,   145,  3438,   427,    54,  2117,   197,  3959,
    3785,   430,   176,  4081,   203,    71,   344,   430,   352,    67,
      68,   426,   155,  2133,  2134,   316,   427,  2137,    76,   150,
    3564,   191,    80,  2143,   191,  3402,   387,   191,   191,  3406,
     150,   285,   426,   232,  3819,  3314,    48,   430,   390,    97,
     427,   427,   390,   175,   427,   427,  3544,  3545,   426,  3547,
     194,   254,   194,  3298,    48,   160,   242,   413,   426,   352,
     118,   427,   150,   392,   427,    66,   361,   413,   430,   237,
     430,   237,   430,   352,   134,   191,  4220,   110,   136,   237,
    2200,     0,   425,   152,   374,   150,   426,   316,   374,   147,
    3515,    31,   121,    96,   152,   294,   426,   388,   230,   298,
     232,   150,  3527,   392,   392,   304,   426,   178,   249,   150,
     242,   426,   311,   426,   285,   173,   379,   427,   250,   329,
     319,   427,   194,   426,   426,   391,   262,   259,   427,   328,
     427,   246,  3402,   286,   352,   392,  3406,   336,   145,   426,
     198,    31,   427,   426,   237,   173,   426,   217,   133,   427,
     250,    48,   426,   304,   304,    48,  3435,   252,   290,   426,
     374,   246,   294,   344,    83,  3709,   140,   277,    60,  3460,
     249,    60,   116,   378,   430,  3445,  3445,  3454,   285,   379,
      31,   150,   389,  3188,    22,    23,   283,   319,   387,    27,
     248,   145,   391,    31,    32,    33,   392,    35,   121,   246,
      38,    39,  3207,    41,   246,    43,    31,   426,    48,  3454,
     129,   249,   249,   303,   108,   372,   303,   426,   276,   427,
      17,   427,   141,    28,  3229,   426,   145,   133,  3505,  4093,
     697,   150,   277,   426,  1289,  2062,   155,  2366,  1097,   158,
     754,   160,  2512,   301,  1924,   377,  3071,   305,  1983,   307,
    2654,  3841,  3584,  4006,  3650,   313,  3878,  3248,   316,  3883,
    3505,  3624,  3887,  2437,  3198,  2158,  4169,  3784,   187,  4219,
    4125,  4124,  4183,  3518,  3519,  4029,  2441,  3651,  3523,  3524,
    3212,  2053,  2053,  3067,   342,  2532,   344,  1385,  3217,   208,
     348,  2048,  3219,  3572,  3573,  2721,  4224,  4287,   356,  4279,
    2675,  2660,  4190,   361,  4089,  3821,  3546,  3586,  1377,  4104,
    4177,  3590,  3824,  3592,    26,  3301,  3595,  3596,   953,  3965,
    3560,  3257,  1887,  4053,   552,   244,  2446,  2611,   386,  3606,
    4202,   676,  3758,   252,   172,   173,   174,   175,  3259,   177,
     178,  3785,   180,   181,   182,  4281,   184,  4021,   186,  1753,
     188,  1462,   190,  2379,  2983,  1754,   194,   195,   196,  3241,
    1123,  3606,  3446,   689,  2380,  1789,  1141,  3646,     8,  3746,
    3814,    11,  2392,  1142,  3751,  3819,  3920,  3754,   297,  2386,
    1788,  1772,  1144,  2406,  3389,  3390,  3391,  3392,    28,  2398,
    2930,  3946,  3408,  2895,  3673,  2984,    36,   681,  3922,  2519,
       8,  2521,    42,    11,  1148,  2029,  3950,  3784,  2887,  3649,
    4156,  4160,  4157,  2383,  2318,  3694,  3695,  3696,  3697,  2316,
      28,  1628,  2226,   342,    -1,    -1,    66,  2979,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
    3938,  3818,    -1,    31,  3988,    -1,    -1,   366,  3992,  3993,
    3948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    50,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     389,    -1,   391,   392,    -1,    -1,  3746,    -1,  3855,    -1,
      -1,  3751,    -1,    -1,  3754,    -1,    -1,    -1,  2608,    -1,
      -1,    -1,    -1,  2613,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4000,    -1,    -1,   424,    -1,    -1,   427,   428,
     429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3897,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3786,  3787,  3788,   137,
    3771,   191,   192,    -1,    -1,    -1,    -1,    -1,   166,  3838,
      -1,    -1,   170,  3842,    -1,    -1,    -1,   207,  3945,  3814,
      -1,    31,    -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      50,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,   207,
    3870,  3870,    -1,    -1,    -1,    -1,    -1,    -1,   248,   197,
      -1,   251,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    82,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
     248,    -1,    -1,  2763,   232,  4089,    -1,  2767,  2768,    -1,
    2770,    -1,  2772,  2773,    28,    -1,  3896,    -1,    -1,    -1,
      -1,  2781,    36,    -1,    -1,    -1,   504,    -1,    42,    -1,
      -1,   509,  3677,   511,    -1,  3945,   514,   137,   516,    -1,
     518,    -1,    -1,   323,   522,    -1,   524,    -1,   526,   527,
      -1,  2811,    66,    -1,    -1,    -1,   534,    -1,    -1,   537,
      -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,   168,    -1,
     298,    -1,    -1,   551,    -1,   323,   304,   555,    -1,    -1,
      -1,    -1,   560,   311,    -1,    -1,   564,  4006,    -1,   567,
      -1,   319,    -1,    -1,    -1,  3975,    -1,   197,    -1,    -1,
     328,    -1,    -1,   203,   582,    -1,    -1,    -1,   336,   587,
      -1,    -1,    -1,    -1,    -1,  4132,    -1,  3997,    -1,  3999,
      -1,    -1,    -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,   425,    -1,    -1,    -1,    -1,
     628,   431,   166,    -1,    -1,  4172,   170,    -1,    -1,   387,
     638,   639,    -1,   391,   392,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,   191,   192,   657,
      -1,   659,   660,    -1,   662,    -1,   664,    -1,    -1,    -1,
      -1,    -1,    -1,   207,   294,    -1,    -1,    -1,   298,   677,
      -1,    -1,    -1,   681,   304,    -1,    -1,  4087,    -1,   687,
      -1,   311,    -1,  3858,    -1,    -1,    -1,    -1,   232,   319,
     698,   235,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,    -1,   710,    -1,   248,    -1,   336,   251,    -1,    -1,
      -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,  4128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,    -1,
      -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   760,   761,    -1,    -1,  4237,   387,    -1,    -1,
      -1,   391,  4202,  4202,  4202,  4202,  4202,  4202,    -1,    -1,
    4180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,  4232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   801,    -1,    -1,    -1,  4237,  4237,  4237,
    4237,  4237,  4237,   811,  3979,    -1,   814,    -1,    -1,    -1,
      -1,  4221,    -1,    -1,    -1,    -1,    -1,  4232,    -1,   827,
      18,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,     8,
    4279,    -1,    11,   841,    -1,    -1,    -1,    -1,  4287,   847,
     848,  4281,  4281,  4281,  4281,  4281,  4281,    -1,    -1,    28,
      -1,    -1,    -1,   861,   862,   863,   864,    36,   866,    -1,
      -1,    -1,    -1,    42,  4279,    -1,    64,    -1,    -1,   413,
     414,   415,  4287,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,   891,   892,   893,   430,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   911,    -1,    -1,    -1,   915,     8,    -1,
      -1,    11,    -1,    -1,    -1,   113,   924,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,   946,   947,
      -1,    -1,    42,   951,    -1,   953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   970,    -1,    -1,   973,    66,    -1,   976,   977,
      -1,    -1,    18,    -1,    -1,    -1,    -1,   175,    24,    -1,
      -1,   989,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,
    3280,   170,    -1,    -1,    -1,    -1,    -1,    -1,  3288,  3289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1018,    -1,   191,   192,    -1,    -1,    -1,    -1,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,
      -1,    -1,   230,    -1,   232,    -1,    -1,    -1,  1046,  1047,
      -1,  1049,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   250,   232,    -1,    -1,   235,    -1,  1066,    -1,
      -1,   259,    -1,    -1,    -1,    18,   166,   113,    -1,   248,
     170,    24,   251,    -1,   120,    -1,    -1,   123,    -1,    -1,
    1088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1096,  1097,
      -1,   191,   192,    -1,  1102,    -1,   294,  1105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,    -1,    -1,  1134,    -1,    -1,   175,
    1138,  1139,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
    1148,  1149,  1150,    -1,   323,    -1,    -1,    -1,   248,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,  1166,    -1,
     113,    -1,    -1,    -1,    -1,    -1,     8,   120,    -1,    11,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,    -1,    -1,   230,    -1,   232,    -1,  3478,    -1,
    1198,    -1,    -1,    -1,    36,    -1,   242,    -1,    -1,    -1,
      42,    -1,  1210,  1211,   250,    -1,    -1,    -1,    -1,  1217,
      -1,    -1,  1220,   259,    -1,    -1,    -1,    -1,    -1,  3509,
    3510,     3,   175,   323,    66,    -1,     8,    -1,    -1,    11,
    1238,    -1,    -1,    -1,   413,   414,   415,  1245,   417,   418,
     419,   420,   421,   422,   290,    -1,    28,    -1,   294,    31,
      -1,   430,    -1,    -1,    36,    -1,    -1,  1265,    -1,    -1,
      42,    -1,    -1,    -1,    -1,  1273,  1274,  1275,  1276,  1277,
      -1,    -1,    -1,   319,    -1,  3565,  3566,   230,  1286,   232,
    1288,    -1,    -1,  1291,    66,    -1,   128,    -1,    -1,   242,
      -1,    -1,    -1,    -1,  1302,    -1,  1304,   250,    -1,    -1,
      -1,    -1,    -1,    -1,  1312,  1313,   259,    -1,    -1,    -1,
    1318,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,   166,    -1,    -1,   427,   170,    -1,
      -1,   377,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,  1364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,   319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1382,    -1,    -1,    -1,    -1,    -1,
    1388,  1389,  1390,  1391,   166,    -1,    -1,    -1,   170,  3679,
    1398,  3681,  3682,   235,    -1,    -1,    -1,    -1,    -1,  1407,
      -1,    -1,  3692,    -1,    -1,    -1,   248,    -1,  1416,   191,
     192,    -1,    -1,    -1,    -1,  1423,    -1,  1425,    -1,    -1,
      -1,    -1,    -1,    -1,   377,   207,    -1,  1435,    -1,    18,
      -1,    -1,  1440,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,  1449,    -1,  1451,    -1,    -1,    -1,  1455,  1456,    -1,
     232,    -1,  1460,   235,  1462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,     8,   251,
      -1,    11,    -1,    -1,    -1,    64,    -1,  1485,    -1,    -1,
      -1,   323,    -1,    -1,  1492,    -1,  1494,    -1,    -1,    -1,
    1498,  1499,    -1,  1501,    -1,    -1,    36,    -1,    -1,  1507,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1520,  1521,    -1,    -1,  1524,    -1,    -1,    -1,
    1528,    -1,  1530,    -1,   113,    -1,    66,    -1,    -1,  1537,
      -1,   120,  1540,    -1,   123,    -1,  1544,    -1,    -1,    -1,
      -1,   323,    -1,    -1,  1552,  1553,    -1,    -1,    -1,    -1,
      -1,    -1,  1560,    -1,  1562,  1563,  1564,  1565,  1566,    -1,
      -1,    -1,    -1,    -1,    -1,  1573,  1574,    -1,  1576,    -1,
    1578,  1579,    -1,    -1,  1582,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
    1598,    -1,    -1,    -1,  1602,  1603,    -1,    -1,    -1,  1607,
      -1,    -1,    -1,  1611,    -1,  1613,  1614,  1615,  1616,  1617,
    1618,  1619,  1620,  1621,    -1,  1623,    -1,    -1,    -1,  1627,
    1628,    -1,  1630,  3913,    -1,    -1,   166,    -1,  1636,    -1,
     170,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   250,    -1,    -1,    -1,    -1,     8,   207,    -1,    11,
     259,    -1,    -1,    -1,    -1,    -1,    -1,  3967,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    36,   235,    -1,    -1,    -1,    -1,
      42,   290,    -1,    -1,    -1,   294,    -1,    -1,   248,    -1,
      -1,  4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
     319,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1752,    -1,  1754,    -1,  1756,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,  1792,    -1,  1794,    -1,   377,    -1,
      -1,    66,  1800,    -1,    -1,    -1,    -1,  1805,    -1,    -1,
    1808,  1809,    -1,    -1,    -1,    -1,  1814,    -1,  1816,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1830,    -1,   166,  1833,    -1,    -1,   170,    -1,
      -1,  1839,    -1,  1841,  1842,  1843,    -1,  1845,  1846,    -1,
    1848,    -1,  1850,    -1,  1852,  1853,    -1,    -1,  1856,   191,
     192,    -1,    -1,   128,    -1,    -1,  1864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,    -1,  1875,    -1,    -1,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,  1891,    -1,    -1,  1894,    -1,    -1,    -1,
     232,   166,  1900,   235,    -1,   170,    -1,  1905,    -1,    -1,
      -1,    -1,    -1,  1911,    -1,    -1,   248,  1915,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,  1927,
    1928,    -1,    -1,    -1,  4214,    -1,  1934,  1935,    -1,    -1,
    1938,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,  1949,    -1,    11,    -1,    -1,    -1,    -1,  1956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1966,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,  1975,    36,  1977,
    1978,  1979,    -1,   248,    42,    -1,    -1,    -1,    -1,    -1,
    1988,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2005,    66,    -1,
      -1,    -1,    -1,    -1,    -1,  2013,  2014,  2015,  2016,  2017,
    2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2055,   323,    -1,
      -1,  2059,  2060,    -1,    -1,    -1,  2064,    -1,    -1,    -1,
     128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,  2090,    -1,    -1,   427,    -1,    -1,    -1,  2097,
    2098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,  2107,
      -1,     8,   170,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2122,    -1,  2124,  2125,  2126,  2127,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,  2141,    -1,    42,    -1,    -1,  2146,   207,
      -1,    -1,   417,   418,   419,   420,   421,   422,    -1,    -1,
    2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,   833,    -1,    -1,    -1,    -1,   235,  2176,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2198,    -1,    28,    -1,  2202,    -1,    -1,    -1,    -1,  2207,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,  2224,  2225,    -1,    -1,
      -1,    -1,  2230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2255,  2256,    -1,
      -1,    -1,  2260,    -1,    -1,   323,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,  2272,  2273,  2274,  2275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   833,  2285,    -1,    -1,
    2288,    -1,  2290,  2291,   191,   192,    -1,    -1,    -1,   960,
      -1,    -1,  2300,  2301,    -1,    -1,  2304,    -1,    -1,    -1,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2317,
      -1,  2319,    -1,  2321,    -1,  2323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,   235,    -1,
     166,  2339,    -1,    24,   170,  2343,    -1,    -1,    -1,    -1,
      -1,   248,  2350,    -1,  2352,  2353,  2354,    -1,    -1,   417,
     418,   419,   420,   421,   422,   191,   192,    -1,  2366,    -1,
      -1,  2369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,  2380,    64,    -1,    -1,    -1,  2385,    -1,    -1,
      -1,  2389,    -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,
    2398,    -1,    -1,  2401,    -1,    -1,   232,  2405,    -1,   235,
      -1,    -1,    -1,   960,    -1,    -1,  2414,    -1,    -1,    -1,
      -1,     8,   248,    -1,    11,   251,   323,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,
    2438,    18,   123,    -1,    -1,  2443,    -1,    24,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,  2456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2464,    -1,  2466,  2467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,
      -1,    -1,  1153,    -1,   175,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,   128,    -1,   120,  1091,  1206,   123,    -1,    -1,   230,
      -1,   232,  2550,    -1,    -1,    -1,    -1,    -1,    -1,  2557,
      -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,  1236,    -1,    -1,   259,   166,
      -1,    -1,    -1,   170,    -1,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,   175,    -1,
      -1,   427,    -1,    -1,   191,   192,  1153,    -1,    -1,   290,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2627,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,  2637,
    2638,    -1,    -1,    -1,    -1,  1306,    -1,    -1,   235,    -1,
      -1,    -1,    -1,   230,    -1,   232,    -1,    -1,    -1,  1206,
      -1,   248,    -1,    -1,  1325,   242,    -1,     8,    -1,    -1,
      11,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   259,    -1,  1345,    -1,    -1,    28,    -1,  1236,
      -1,  2689,    -1,  2691,    -1,    36,   377,  2695,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1370,
      -1,    -1,    -1,   290,    -1,    -1,    -1,   294,    -1,    -1,
      -1,  2719,  2720,    -1,    -1,    66,    -1,    -1,    -1,    -1,
    2728,    -1,    -1,    -1,  2732,    -1,   323,    -1,    -1,    -1,
      -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,  1306,
      -1,  1422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2774,    -1,  1325,  2777,
      -1,    -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2791,    -1,    -1,  2794,    -1,  1345,    -1,
     377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2810,    -1,  2812,    -1,    -1,    -1,    -1,    -1,
    2818,    -1,    -1,  1370,    -1,   166,    -1,    -1,  2826,   170,
     417,   418,   419,   420,   421,   422,    -1,    -1,  2836,    -1,
      -1,    -1,    -1,    -1,  2842,    -1,  2844,    -1,    -1,    -1,
     191,   192,  2850,    -1,    -1,  2853,  2854,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,  2862,    -1,   207,    -1,  2866,  2867,
      -1,    -1,    -1,    -1,    -1,  1422,    -1,    -1,    -1,    -1,
      -1,  2879,    -1,    -1,    -1,  2883,    -1,    -1,    -1,  2887,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,  2897,
       8,    -1,  2900,    11,  2902,    -1,    -1,   248,    -1,    -1,
     251,    -1,    -1,  2911,  2912,  2913,    -1,    -1,    -1,  2917,
      -1,    -1,  2920,    -1,    -1,    -1,    -1,    -1,    36,  2927,
    2928,  2929,  2930,  2931,    42,    -1,  1597,  2935,  2936,    -1,
      18,    -1,  2940,    -1,    -1,    -1,    24,    -1,  2946,    -1,
    2948,    -1,  2950,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1630,
      -1,    -1,    -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,
      -1,  2979,   323,    -1,    -1,  2983,    64,  2985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2998,    -1,    -1,  3001,  3002,  3003,    -1,  3005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,  3019,  3020,  3021,  3022,    -1,    -1,    -1,    -1,    -1,
    3028,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,
    1597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,  3057,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,   191,   192,    -1,   427,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     7,    -1,    -1,   175,    -1,   207,
      13,    14,    -1,    -1,    -1,    -1,    19,  3105,    21,     8,
    3108,    -1,    11,    26,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3122,    -1,    -1,   235,    -1,    28,
      -1,    -1,    -1,    46,    -1,    -1,    -1,    36,    -1,    -1,
     248,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
    3148,    -1,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,   242,    -1,    -1,    66,    -1,    -1,
      -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,   259,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
    3188,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,  3199,    -1,  3201,    -1,    -1,    -1,    -1,    -1,  3207,
      -1,    -1,   290,    -1,    -1,   323,   294,    -1,    66,    -1,
    1881,  3219,    -1,    -1,    -1,  1886,  1887,    -1,    -1,    -1,
      -1,  3229,    -1,    -1,    -1,    -1,    -1,  1898,    -1,    -1,
    3238,   319,    -1,    -1,    -1,    -1,  3244,    -1,    -1,    -1,
    3248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3260,  3261,    -1,   178,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,   187,    -1,   189,    -1,   191,    -1,
     193,    -1,    -1,    -1,    -1,  3283,    -1,  3285,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,    -1,  3301,    -1,    -1,    -1,    -1,   207,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,   166,  3317,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,  1881,    -1,   235,    -1,    -1,  1886,
    1887,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,   248,
      -1,  1898,   251,    -1,    -1,    -1,  3354,    -1,    -1,   207,
      -1,    -1,    -1,    -1,    -1,    -1,  3364,  3365,    -1,  2030,
      -1,    -1,    -1,    21,  3372,  3373,    -1,    -1,    -1,  3377,
      -1,    -1,    -1,    -1,   232,  3383,  3384,   235,    -1,  3387,
      -1,  3389,  3390,  3391,  3392,    -1,    -1,    -1,  3396,    -1,
     248,  3399,    -1,   251,  3402,    -1,    -1,    -1,  3406,    -1,
      -1,    -1,    -1,    -1,  3412,    -1,    -1,  3415,    -1,    67,
      -1,    -1,  3420,    -1,   323,    -1,    -1,    -1,  3426,    -1,
      -1,    -1,    80,    -1,  3432,    -1,    -1,    -1,    -1,    -1,
    3438,    -1,    -1,  2104,    -1,    -1,    -1,    -1,  3446,    97,
      -1,    -1,  3450,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,    -1,  3460,    -1,    -1,  3463,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2030,  3482,  3483,    -1,    -1,   136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,  3506,    -1,
     158,    -1,    -1,    -1,   413,   414,   415,  3515,   417,   418,
     419,   420,   421,   422,    -1,   173,    -1,  2188,   427,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,
      -1,    -1,  3560,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,   512,
     248,    -1,    -1,    -1,    -1,    -1,   519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,
     533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
     543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2188,    -1,   556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3649,  3650,   301,    -1,    -1,    -1,   570,    -1,   307,
     573,    -1,   575,    -1,   577,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2352,  2353,  2354,   342,  3693,   344,    -1,    -1,   612,
     348,    -1,    -1,    -1,    -1,    -1,    -1,  3705,   356,    -1,
      -1,    -1,    -1,   361,    -1,    -1,  3714,    -1,    -1,    -1,
      -1,   634,    -1,   636,    -1,   373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3731,  3732,    -1,    -1,  3735,   386,    -1,
      -1,    -1,    -1,    -1,  3742,    -1,    -1,    -1,  3746,    -1,
      -1,    -1,    -1,  3751,    -1,    -1,  3754,  3755,    -1,  3757,
      -1,  3759,  3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   689,    -1,    -1,    -1,
    3778,    -1,  3780,    -1,    -1,    -1,  3784,  3785,  3786,  3787,
    3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3818,  3819,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,  2499,  2500,
      -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,  3849,    -1,    -1,    -1,    -1,    36,  3855,    -1,    -1,
    3858,    -1,    42,  3861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3869,    -1,  3871,    -1,    -1,    -1,   790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3883,    66,    -1,    -1,    -1,
    3888,    -1,   805,  2554,    -1,  2556,    -1,    -1,  3896,  3897,
      -1,    -1,    -1,   816,    -1,    -1,    -1,    -1,    -1,    -1,
     823,    -1,  2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3919,   835,    -1,  3922,    -1,  3924,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3941,    -1,    -1,    -1,  3945,  2609,    -1,
    3948,    -1,  2499,  2500,   867,  2502,  3954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2633,    -1,    -1,    -1,    -1,  3975,    -1,    -1,
      -1,  3979,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,  2658,  3996,  3997,
    3998,  3999,    -1,    -1,    -1,    -1,    -1,  2554,  4006,  2556,
      -1,   191,   192,    -1,    -1,  2676,   929,    -1,   931,    -1,
     933,    -1,   935,    -1,   937,   938,   939,   207,  4026,    -1,
      -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     0,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,    -1,    14,    -1,    -1,
      -1,    -1,  2609,    -1,    -1,    -1,    -1,    24,   248,    26,
      27,   251,    -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,
      -1,    -1,    -1,  4081,    41,    -1,  2633,    -1,    -1,  4087,
      -1,  4089,  2753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4098,    -1,    -1,  2764,    61,    -1,    63,    64,    -1,    -1,
      -1,  2658,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    81,    -1,    83,    -1,    -1,  2676,
    4128,    -1,     8,    -1,  4132,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    99,   323,  4142,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,   114,  4156,   116,
      36,  4159,  4160,   120,  4162,    -1,    42,    -1,  2829,   126,
      -1,    -1,    -1,    -1,  4172,    -1,   133,    -1,   135,    -1,
      -1,    -1,  4180,    -1,   141,    -1,    -1,    -1,  2849,    -1,
      66,    -1,  2739,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2753,    -1,  4206,    -1,
    1123,    -1,    -1,  2874,    -1,    -1,     8,  2764,  4216,    11,
      -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   413,   414,   415,    28,   417,   418,   419,
     420,   421,   422,    -1,    36,    -1,    -1,   427,    -1,  2910,
      42,    -1,   209,   210,    -1,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,
      -1,  1184,    -1,    -1,    66,    -1,  4274,   234,    -1,    -1,
      -1,    -1,  2829,    -1,    -1,  4283,    -1,    -1,    -1,  2950,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,   172,
      -1,    -1,  2849,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,    -1,    -1,   271,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,    -1,  2874,    -1,    -1,
     287,   207,   289,    -1,    -1,    -1,    -1,   294,    -1,    -1,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,   306,
      -1,    -1,    -1,    -1,   311,   312,   232,    -1,    -1,   235,
      -1,    -1,   319,  2910,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,   248,   330,   166,   251,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,   369,    -1,    -1,   207,     8,    -1,   375,    11,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    28,    -1,    -1,    -1,
     232,    -1,    -1,   235,    36,    -1,    -1,   323,    -1,    -1,
      42,    -1,    18,    -1,    -1,    -1,   248,    -1,    24,   251,
    1373,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,   426,
      -1,    -1,   429,  1386,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    49,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1424,    -1,    -1,    -1,  1428,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,  3072,  1439,    -1,  1441,    95,
    1443,   323,    -1,    -1,    -1,  1448,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   113,    -1,    -1,
      -1,   427,    -1,    -1,   120,    -1,    -1,   123,  1471,    -1,
    1473,    -1,  1475,    -1,  1477,  3226,  1479,    -1,    -1,    -1,
    1483,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3259,   191,
     192,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
      -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,
     166,   413,   414,   415,   170,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,    -1,   427,    -1,    -1,   511,    -1,
     232,    -1,    -1,   235,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,   218,    -1,   220,    -1,   248,    -1,    -1,   251,
      -1,   207,    -1,    -1,   230,    -1,   232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,  3226,
      -1,    -1,   555,    -1,   250,    -1,   232,    -1,    -1,   235,
      -1,   564,   258,   259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,   251,  3367,    -1,    -1,    -1,
      -1,    -1,  3259,    -1,    -1,    -1,    -1,  3378,    -1,    -1,
      -1,    -1,    -1,    -1,   290,    -1,    -1,    -1,   294,   295,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   319,  3415,    -1,    -1,    -1,    -1,  3420,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,  3432,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,   657,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   687,    -1,    -1,    -1,    -1,  3480,
    3367,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,  3378,    -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,  1801,  1802,
      -1,    -1,    -1,  1806,  1807,    -1,    -1,  1810,    -1,    -1,
      -1,    -1,    -1,  3564,    -1,    -1,    -1,  1820,    -1,    -1,
      -1,    -1,     8,    -1,  1827,    11,    -1,    -1,  1831,  1832,
      -1,    -1,  1835,  1836,  1837,    -1,    -1,    -1,   801,    -1,
      -1,    -1,    28,  3480,  1847,    -1,  1849,    -1,   811,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,  1865,    -1,    -1,    -1,    -1,  1870,    -1,    -1,
     833,  3508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,  3520,    -1,    -1,    -1,    -1,   657,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,  1902,
    1903,  1904,    -1,   866,    -1,  1908,  1909,    -1,    -1,     8,
      -1,    -1,    11,  1916,    -1,    -1,  1919,    -1,   687,    -1,
    1923,    -1,    -1,  3674,    -1,    -1,    -1,  3564,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,  1939,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,  1950,    -1,  1952,
      -1,    -1,   915,    -1,  1957,    -1,    -1,    -1,  3709,  1962,
    1963,  1964,  1965,    -1,  1967,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1980,  1981,  1982,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,  1991,  1992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   960,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,     8,    -1,   989,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,   232,    -1,  2051,   235,
      -1,    -1,    36,    -1,    -1,  1018,    -1,    -1,    42,    -1,
      -1,    -1,   248,  3814,    -1,   251,    -1,   166,    -1,    -1,
      -1,   170,  3709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,  1046,  1047,    -1,  1049,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1066,    -1,    -1,    -1,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,   323,    -1,    -1,
      -1,    -1,  1105,  1106,    -1,    -1,    -1,    -1,  3899,   248,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,
      -1,  1134,    -1,    -1,    -1,  1138,  1139,  3814,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
    1153,  2194,    -1,    -1,    -1,    -1,  1159,    -1,    -1,  3950,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     989,    -1,    -1,   207,   323,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,  3988,    -1,   425,
      -1,  3992,  3993,  1206,    -1,    -1,    -1,    -1,   232,  1018,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3899,    -1,   248,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,  1236,    -1,    -1,    -1,  1046,  1047,    -1,
    1049,    -1,    -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1066,    -1,    -1,
      -1,    -1,  4053,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,  3950,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    28,    -1,   427,    -1,
      32,    -1,    -1,    -1,    36,    -1,  1105,    -1,    -1,   323,
      42,    -1,    -1,  1306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3988,    -1,    -1,    -1,  3992,  3993,    -1,    -1,    -1,
      -1,    -1,  1325,    -1,    66,  1134,    -1,    -1,    -1,  1138,
    1139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1365,    -1,    -1,    -1,    -1,  1370,    -1,   111,
      -1,    -1,  2415,  2416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1416,    -1,    -1,    -1,    -1,    -1,  1422,
      -1,    -1,  1425,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,  2476,  2477,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,    -1,  2486,  2487,  2488,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2522,
    2523,  2524,  2525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,  1494,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,  2558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1528,    -1,  1530,    -1,    -1,
      -1,    -1,    -1,    -1,  1537,    -1,    -1,  1540,    -1,    -1,
      -1,  1544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1552,
    1553,    -1,    -1,    -1,    -1,    -1,    -1,  1560,    -1,    -1,
    1563,  1564,  1565,  1566,    -1,    -1,    -1,    -1,    -1,    -1,
    1573,  1574,    -1,  1576,    -1,  1578,  1579,  2620,    -1,  1582,
      -1,   323,    -1,    -1,    -1,  2628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1597,  1598,  1599,    -1,    -1,    -1,
    1603,    -1,    -1,    -1,  1607,    -1,    -1,    -1,  1611,    -1,
    1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,    -1,
    1623,    -1,    -1,    -1,    -1,  1628,    -1,  1630,    -1,    -1,
      -1,    -1,   374,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,  2700,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,     8,    -1,  2727,    11,  2729,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,     8,    -1,    42,    11,    -1,    -1,
      -1,    -1,  2765,    -1,    -1,    -1,    -1,    -1,  1537,    -1,
      -1,    -1,    -1,    -1,    28,    -1,  2779,    -1,    -1,    -1,
      66,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,  1560,    -1,  1756,  1563,    -1,    -1,  1566,    -1,    -1,
      -1,    -1,    -1,    -1,  1573,  1574,    -1,    -1,    -1,    -1,
    1579,   145,    66,  1582,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1598,
      -1,    -1,   166,    -1,  1603,    -1,   170,    -1,  1607,    -1,
      -1,  1804,  1611,    -1,  1613,  1614,  1615,  1616,  1617,  1618,
    1619,  1620,  1621,    -1,  1623,    -1,    -1,   191,   192,  1628,
      -1,  1630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1833,    -1,    -1,   207,    -1,    -1,  1839,    -1,    -1,    -1,
     166,    -1,  1845,    -1,   170,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,
      -1,   235,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,   166,    -1,   248,    -1,   170,   251,  1881,    -1,
      -1,   207,    -1,  1886,  1887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1898,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,   235,
      -1,  1914,    -1,   207,  1917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,
      -1,   235,    -1,    -1,   270,    -1,    -1,  1756,    -1,   323,
       8,    -1,    -1,    11,   248,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3008,    -1,  3010,    -1,    -1,
      28,  3014,    -1,    31,   268,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,  3046,    -1,    -1,    -1,    -1,    66,    -1,
      -1,   337,  3055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,  2028,    -1,  2030,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,  3095,  3096,  3097,  3098,  3099,  3100,  3101,    -1,
      -1,    -1,    -1,  3106,  3107,    -1,  3109,  3110,  3111,  3112,
    3113,  3114,  3115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,  3126,  3127,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,   207,
      -1,    -1,  3195,  3196,  3197,    -1,    -1,  3200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,  2202,
      -1,    -1,    -1,    -1,  2207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2028,
      -1,  2224,  2225,    -1,    -1,    -1,    -1,  2230,    -1,    -1,
      -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2255,  2256,    -1,    -1,    -1,  2260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,  2272,
    2273,  2274,  2275,    -1,    -1,    -1,     8,  2280,    -1,    11,
      -1,    -1,  2285,  2286,    -1,  2288,    -1,  2290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,  2300,  2301,    -1,
      -1,  2304,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,  2317,    -1,  2319,    -1,    -1,    -1,
    2323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,  2339,  2146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2350,    -1,  2352,
    2353,  2354,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,  2369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2380,    -1,    -1,
      -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,    -1,  2392,
      -1,    -1,    -1,    -1,     8,  2398,  1062,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,  2225,    31,    -1,    -1,
      -1,  2230,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3491,  3492,
    3493,  3494,    66,  1119,    -1,    -1,  2459,    -1,    -1,   191,
     192,    -1,    -1,  2272,    -1,  2274,  2275,    -1,    -1,    -1,
      -1,    -1,    -1,  3516,  3517,   207,  2285,    -1,    -1,  2288,
      -1,  2290,    -1,    -1,    -1,  3528,  3529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2499,  2500,    -1,  2502,
     232,    -1,    -1,   235,    -1,    -1,    -1,    -1,  2317,    -1,
    2319,    -1,    -1,    -1,  2323,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2531,  2532,
    2533,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2352,  2353,  2354,    -1,    -1,    -1,    -1,
      -1,  2554,   166,  2556,    -1,    -1,   170,    -1,    -1,    -1,
    2369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2380,    -1,    -1,    -1,    -1,  2385,   191,   192,    -1,
      -1,    -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,   207,    -1,    -1,    -1,    -1,    -1,  3642,
      -1,    -1,    -1,    -1,    -1,    -1,  2609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,
      -1,   235,  3665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2633,    -1,    -1,    -1,   248,    -1,    -1,   251,    -1,    -1,
      -1,    -1,  3685,   833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2655,    -1,    -1,  2658,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2675,  2676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,   833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,  2791,    -1,
      -1,    -1,  1458,    -1,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     960,    -1,    -1,  2826,    -1,  3868,  2829,    -1,    -1,    -1,
      -1,    -1,    -1,  2836,    -1,    -1,    -1,    -1,    -1,  2842,
      -1,  2844,    -1,    -1,    -1,    -1,  2849,  2850,    -1,    -1,
    2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,
      -1,    -1,  3905,  2866,  2867,    -1,    -1,    -1,    -1,  1535,
      -1,  2874,    -1,    -1,    -1,    -1,  2879,    -1,    -1,    -1,
    2883,    -1,  2885,    -1,  2887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1559,  2897,    -1,    -1,  2900,  1564,  2902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2910,  2911,  2912,
    2913,    -1,    -1,    -1,  2917,    -1,    -1,  2920,  1584,  1585,
      -1,  1587,    -1,    -1,    -1,    -1,    -1,  2930,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,
    3983,    -1,    -1,    -1,    -1,  2948,    -1,  2950,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1626,    -1,    -1,  1153,    -1,    -1,    -1,    -1,    -1,    -1,
    2973,    -1,    -1,    -1,    -1,    -1,  2979,    -1,    -1,    -1,
      -1,    -1,  2985,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2998,  1662,    -1,  3001,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,  1153,  4057,    -1,  1206,  2826,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2836,    -1,    -1,
      -1,    -1,    -1,  2842,    -1,  2844,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,  1236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2866,  2867,    -1,
      -1,    -1,    -1,    -1,  3067,    -1,  1206,    -1,  3071,  3072,
    3073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,    -1,
      -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,  2897,    -1,
      -1,  2900,    -1,  2902,    -1,    -1,  1236,    -1,    -1,  1765,
      -1,    -1,  2911,    -1,    -1,    -1,    -1,    -1,  2917,  1775,
      -1,  2920,  1778,    -1,    -1,    -1,  1306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,  2940,    -1,    -1,    -1,  1325,    -1,    -1,    -1,  2948,
      -1,  2950,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2973,    -1,  1306,   191,   192,    -1,
    2979,    -1,    -1,    -1,    -1,    -1,  2985,    -1,    -1,    -1,
    1370,    -1,    -1,   207,    -1,  1325,    -1,    -1,    -1,  2998,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3201,    -1,
      -1,    -1,    -1,    -1,    -1,  1345,    18,    -1,   232,    -1,
      -1,   235,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3226,   248,    -1,    -1,   251,    -1,    -1,
    1370,    -1,  1422,    -1,    -1,    -1,    -1,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,  3259,  3260,  3261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1422,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
     833,   113,    -1,    -1,    -1,    -1,    -1,     8,   120,    -1,
      11,   123,    -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,  3364,  3365,   175,  3367,    66,    -1,    -1,    -1,  3372,
    3373,    -1,    -1,    -1,  3377,  3378,    -1,    -1,    -1,    -1,
    3383,  3384,    -1,    -1,  3387,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,  3402,
      -1,    -1,    -1,  3406,    -1,    -1,   218,  1597,   220,    -1,
      -1,    -1,  3415,    -1,    -1,    -1,    -1,  3420,   230,    -1,
     232,    -1,    -1,    -1,    -1,    -1,    -1,   960,    -1,  3432,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,  3260,  3261,    -1,    -1,    -1,    -1,  1597,    -1,    -1,
    3463,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,   290,    -1,
      -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,
     833,    -1,    -1,    -1,    -1,  3508,   207,   319,  3317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,
     251,    -1,    -1,    -1,    -1,  3364,  3365,    -1,    -1,    -1,
      -1,  3564,  2228,    -1,    -1,   377,    -1,    -1,  3377,    -1,
      -1,    -1,    -1,    -1,  3383,  3384,    -1,    -1,  3387,    -1,
      -1,  3584,    -1,    -1,    -1,  2251,    -1,  2253,    -1,  2255,
    2256,  2257,    -1,    -1,  2260,    -1,    -1,    -1,  2264,    -1,
      -1,    -1,    -1,    -1,    -1,  2271,  3415,    -1,    -1,    -1,
    2276,  3420,    -1,    -1,    -1,    -1,  2282,    -1,    -1,    -1,
    1153,  2287,   323,  3432,    -1,    -1,    -1,   960,    -1,    -1,
    2296,    -1,    -1,    -1,  2300,  2301,    -1,  2303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2315,
      -1,    -1,    -1,    -1,  3463,    -1,  2322,    -1,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,    -1,    -1,
      -1,  3674,    -1,  1206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1881,  2358,    -1,    -1,    -1,  1886,  1887,    -1,    -1,
      -1,    -1,  3705,  1236,    -1,    -1,  3709,    -1,  1898,    -1,
      -1,  3714,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,    -1,    -1,    -1,  3731,  3732,
      -1,    -1,  3735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1881,    -1,  3746,    -1,    -1,  1886,  1887,  3751,    -1,
      -1,  3754,    -1,    -1,    -1,    -1,  3759,  3760,  1898,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3784,    -1,    -1,    -1,  2451,    -1,    -1,    -1,    -1,
      -1,    -1,  1325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3814,  1345,    -1,    -1,  3818,    -1,    -1,    -1,    -1,
    1153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1370,    -1,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3855,    -1,    -1,    -1,    -1,    -1,  3861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1422,
    2030,    -1,    -1,    -1,  3897,    -1,  3899,    -1,    -1,   833,
      -1,    -1,    -1,  1236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2104,    -1,  3919,  3920,    -1,  3922,
      -1,  3924,    -1,    -1,    -1,    -1,  3735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3941,    -1,
      -1,    -1,  3945,    -1,    -1,    -1,    -1,  3950,    -1,    -1,
      -1,  3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3985,    -1,    -1,  3988,    -1,    -1,    -1,  3992,
    3993,    -1,  1325,    -1,    -1,  2661,    -1,    -1,  2188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1345,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,  4026,    -1,    -1,   960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,  1370,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,  2188,    42,
    4053,    -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1597,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    66,    -1,    -1,    -1,    -1,  4081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,  1422,
      -1,    31,    -1,    -1,    -1,  4098,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3922,    -1,    -1,    -1,  2783,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,  4132,
      -1,    -1,  3941,    -1,    -1,    -1,    -1,    -1,    -1,  4142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4159,  4160,    -1,  2825,
      -1,    -1,    -1,    -1,    -1,  2831,    -1,    -1,    -1,  4172,
      -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,  2847,  2848,    -1,  2850,    -1,    -1,  2853,  2854,  2855,
    2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,   191,   192,
      -1,    -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   833,  4216,   207,    -1,    -1,  4026,    -1,  1153,
      -1,    -1,  2888,    -1,    -1,  2891,   166,  2893,    -1,  4232,
     170,    -1,  2898,  2899,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,   235,    -1,    -1,    -1,  2912,  2913,  2914,    -1,
    2916,   191,   192,  2919,    -1,   248,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,  1597,    -1,    -1,   207,    -1,  2459,
      -1,  4274,  1206,    -1,    -1,    -1,  4279,    -1,    -1,    -1,
    4283,    -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,  4098,
    2956,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
    2966,    -1,  1236,    -1,    -1,    -1,    -1,    -1,   248,  2499,
    2500,   251,  2502,    -1,    -1,    -1,    -1,    -1,    -1,  2459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   960,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,    -1,
    4159,  4160,    -1,  1886,  1887,    -1,   349,    -1,    -1,  2499,
    2500,    -1,  2502,    -1,  2554,  1898,  2556,    -1,    -1,    -1,
      -1,    -1,  1306,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1325,    -1,    -1,    -1,    -1,    28,  4206,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,  4216,    -1,    -1,
      42,  1345,    -1,    -1,  2554,    -1,  2556,    -1,    -1,  2609,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    -1,    66,    -1,  1370,    -1,    -1,    -1,
      -1,    -1,    -1,  2633,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4274,    -1,    -1,  2658,  2609,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,  2676,    -1,  1422,    -1,
      -1,    -1,    -1,  2633,    -1,    -1,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2658,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1153,    -1,   166,  3201,  2676,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,  2739,
      -1,    -1,    -1,  1886,  1887,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,  2753,    -1,  1898,    -1,    -1,    -1,    -1,
      -1,  2104,    -1,    -1,  2764,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,
     232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2753,    -1,  1236,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,  2764,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2829,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3318,    -1,    -1,  2188,  3322,  3323,  3324,  2849,
      -1,  3327,    -1,  1597,    -1,    -1,  3332,  3333,  3334,  3335,
    3336,  3337,  3338,  3339,  3340,  3341,  3342,  3343,    -1,    -1,
      -1,    -1,    -1,    -1,  2874,  1306,    -1,    -1,    -1,  2829,
      -1,   323,    -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,  1325,  3371,  3372,  3373,  3374,  2849,
    3376,    -1,    -1,    -1,  3380,  3381,  3382,    -1,    -1,  3385,
    2910,    -1,  3388,    -1,  1345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2874,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1370,
      -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3429,    -1,    -1,    -1,    -1,    -1,    -1,
    2910,  2104,    -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,    -1,    -1,  3462,    -1,    -1,    -1,
      -1,  1422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,
      -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,   136,    -1,
      -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,   154,  1881,    -1,    -1,
     158,    -1,  1886,  1887,    -1,    -1,    -1,    -1,    -1,  3625,
      -1,    -1,    -1,    -1,  1898,   173,  2499,  2500,    -1,  2502,
      -1,    -1,    -1,    -1,    -1,    -1,  1597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,  3671,  3672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2554,    -1,  2556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3701,  3226,    -1,    -1,  3705,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3719,    -1,  3721,    -1,    -1,    -1,    -1,
    3726,  3727,  3728,    -1,    -1,  3731,  3732,  3733,  3734,  3259,
    3736,    -1,    -1,    -1,    -1,    -1,  2609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3226,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,  2030,    -1,    -1,   307,
    2633,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,  3259,
      -1,    -1,    -1,    -1,    -1,  2658,  2459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,    -1,   344,   345,    -1,   347,
     348,    -1,    -1,  2676,    -1,    -1,    -1,    -1,   356,    21,
      -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    33,   370,    -1,    -1,   373,  2499,  2500,    -1,  2502,
    2104,    -1,    -1,    -1,    -1,    -1,    -1,  3367,   386,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,  3378,    -1,
      -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,  2554,    -1,  2556,    -1,    97,    -1,  3367,    -1,    -1,
      -1,  2764,    -1,    -1,    -1,    -1,    -1,    -1,  3378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,  3918,  3919,  2188,    -1,    -1,    -1,    -1,    -1,
    1881,    -1,    -1,    -1,   136,  1886,  1887,    -1,  3934,  3935,
    3936,    -1,    -1,    -1,    -1,   147,  2609,  1898,    -1,    -1,
     152,    -1,    -1,    -1,    -1,    -1,   158,  3953,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,  2829,    -1,    -1,    -1,
    2633,   173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2849,    -1,  3508,    -1,
      -1,    -1,    -1,    -1,    -1,  2658,    -1,    -1,    -1,    -1,
    3520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3480,  2874,    -1,  2676,    -1,    -1,    -1,    -1,  4014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,
      -1,    -1,    -1,    -1,  3564,    -1,   248,  2910,    -1,    -1,
    3520,    -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,  4071,  2739,    -1,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,    -1,    -1,    -1,  3564,    -1,    -1,    -1,    -1,   301,
      -1,  2764,    -1,   305,    -1,   307,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4131,    -1,    -1,    -1,    -1,
     342,    -1,   344,    -1,    -1,    -1,   348,    -1,    -1,    -1,
      -1,    -1,    -1,  2104,   356,    -1,    -1,    -1,    -1,   361,
      -1,    -1,    -1,    -1,    -1,    -1,  2829,    -1,    -1,    -1,
      -1,   373,    -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,    -1,  2849,    -1,    -1,  3709,
      -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,
      -1,  2874,    -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2499,  2500,  2188,  2502,  3709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2910,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2554,    -1,  2556,    -1,  3814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,  2609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,  2633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2658,    -1,  3259,    -1,    -1,    -1,
    3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,
      -1,    -1,  2676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,
    3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,    -1,
      -1,    -1,  3992,  3993,    -1,  2739,    -1,    -1,    -1,    -1,
    3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2764,    -1,    -1,    -1,  3367,    -1,    -1,    -1,  2459,    -1,
      -1,    -1,    -1,    -1,    -1,  3378,    -1,    -1,  3988,    -1,
      -1,    -1,  3992,  3993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,  2500,
      -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3226,    -1,  2829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2849,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,
      -1,    -1,    -1,  2554,    -1,  2556,    -1,    -1,    -1,    -1,
    2874,    -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3508,  2910,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,  2609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3564,    -1,    -1,  3367,    -1,    -1,  2658,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3378,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2753,    -1,    -1,    -1,    -1,    -1,  3072,    -1,
      -1,    -1,    -1,  2764,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3508,  3709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2849,    -1,
      -1,  3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2874,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2910,
      -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3378,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,    -1,    -1,    -1,  3988,    -1,    -1,    -1,  3992,
    3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3508,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3520,  3920,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3988,    -1,    -1,    -1,  3992,
    3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3709,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3814,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3988,    -1,    -1,    -1,  3992,  3993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,  3988,    -1,    -1,
      30,  3992,  3993,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,   419,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   426,   427,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    -1,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,   427,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,   427,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,   424,   425,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,     3,     4,     5,     6,     7,   426,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
      -1,     9,    10,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,    -1,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,    -1,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,    -1,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,   247,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,     3,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     419,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   419,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    -1,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,    -1,   233,   234,   235,   236,    -1,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,   407,
     408,   409,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   419,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
       4,     5,    -1,    -1,    -1,     9,   417,   418,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,     4,     5,    -1,
      -1,    -1,     9,   417,   418,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,     9,
     417,   418,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
     150,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,     4,     5,    -1,    -1,    -1,     9,   417,   418,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    -1,    68,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,   247,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,   247,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    -1,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    -1,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,    -1,   233,   234,   235,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
     408,   409,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
      -1,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    -1,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,
     409,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    -1,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,    -1,
     233,   234,   235,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
      -1,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      -1,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,    -1,   233,   234,   235,   236,
      -1,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   408,   409,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    -1,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    -1,    -1,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,    -1,    -1,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,    -1,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
      -1,    -1,    -1,    -1,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,    -1,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,    -1,    -1,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   209,   210,   215,   223,   234,   271,   282,
     287,   289,   294,   299,   302,   306,   311,   312,   319,   322,
     330,   342,   359,   369,   375,   380,   392,   426,   433,   434,
     435,   436,   442,   443,   445,   446,   447,   448,   449,   450,
     451,   453,   454,   458,   469,   472,   473,   476,   477,   478,
     489,   492,   493,   508,   545,   548,   549,   556,   562,   564,
     566,   567,   570,   573,   574,   578,   579,   588,   592,   593,
     594,   598,   599,   601,   602,   603,   616,   617,   618,   619,
     630,   631,   638,   639,   642,   643,   644,   645,   646,   651,
     653,   656,   660,   664,   665,   675,   676,   679,   684,   695,
     714,   717,   718,   719,   722,   725,   727,   729,   732,   735,
     736,   737,   744,   745,   747,   748,   749,   754,   756,   757,
     761,   762,   765,   766,   767,   769,   770,   771,   772,   774,
     777,   778,   783,   789,   792,   794,   795,   800,   802,   806,
     813,   817,   818,   819,   820,   821,   822,   825,   852,   354,
     394,   750,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   248,   276,   301,   307,   313,   316,
     342,   344,   348,   356,   361,   373,   386,   563,   750,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    69,    70,
      71,    72,    74,    75,    77,    78,    79,    80,    81,    82,
      85,    86,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   104,   106,   107,   108,   109,   110,   112,   113,   114,
     117,   118,   119,   120,   121,   123,   124,   125,   127,   128,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   140,
     142,   143,   144,   146,   148,   152,   153,   154,   156,   157,
     159,   161,   162,   163,   164,   165,   167,   168,   169,   171,
     172,   173,   174,   175,   176,   178,   180,   181,   182,   183,
     184,   185,   186,   188,   190,   193,   195,   196,   197,   198,
     199,   200,   201,   203,   204,   206,   209,   210,   211,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   228,   229,   230,   231,   233,   234,   236,   238,
     239,   240,   241,   242,   243,   245,   248,   249,   250,   253,
     257,   258,   259,   260,   261,   262,   263,   264,   266,   267,
     268,   269,   270,   271,   272,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   298,   299,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     313,   314,   315,   316,   317,   319,   320,   321,   322,   324,
     325,   326,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   340,   341,   343,   344,   345,   346,   347,
     348,   350,   351,   354,   355,   356,   357,   359,   360,   361,
     362,   363,   364,   365,   368,   369,   370,   371,   372,   375,
     376,   377,   378,   379,   380,   381,   383,   385,   386,   387,
     390,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   814,   957,
     969,   972,   973,   384,   779,   246,   272,   750,    44,   499,
     818,    21,    33,    54,    67,    76,    97,   103,   118,   136,
     147,   154,   158,   211,   248,   251,   301,   307,   316,   344,
     345,   347,   348,   356,   361,   367,   370,   373,   509,   634,
     685,   696,    22,   271,   957,   814,    22,   266,   345,   347,
       5,   197,   723,   724,   966,    21,    33,    54,    67,    80,
      97,   118,   136,   147,   152,   158,   173,   248,   258,   301,
     305,   307,   313,   316,   342,   344,   348,   356,   361,   373,
     386,   563,   647,   750,   957,    83,   384,   426,   545,   778,
     784,   792,   795,   800,   806,   813,   817,     9,    15,    22,
      39,   142,   148,   150,   170,   199,   229,   274,   288,   417,
     418,   661,   662,   814,   965,   968,    22,    83,   286,   312,
     666,   667,   668,   969,   969,   962,   966,   342,   828,   661,
     969,   354,   957,   258,    97,   173,   341,   342,   730,   306,
     969,    22,   317,   350,   354,   461,   969,    19,   155,   666,
     667,   272,   750,   969,   196,    22,   115,   830,    55,    77,
     211,   225,   301,   307,   317,   350,   354,   397,   459,   460,
     461,    22,   317,   350,   354,   461,   354,   247,   861,   955,
     969,   828,   419,   969,   151,   426,   780,   426,   951,   284,
     823,   824,   957,   818,   819,   822,     0,   429,   779,   129,
     187,   252,   366,   831,   832,   818,   820,   821,   108,   183,
     372,   430,     3,    38,    44,    73,    84,    90,   149,   151,
     166,   179,   191,   192,   194,   205,   207,   227,   235,   254,
     255,   256,   300,   323,   384,   963,   969,   970,   972,   974,
     649,   969,   649,   958,   969,   275,   649,   649,   957,   969,
      96,   342,   674,   963,   967,   969,   165,   955,   241,     8,
      62,   140,   413,   414,   415,   417,   418,   419,   420,   421,
     422,   721,   918,   919,   969,   967,   957,   165,   955,   957,
     165,   861,   957,   309,   957,   649,   216,   967,   165,   955,
     197,   105,   193,   232,   280,   751,   752,   753,   955,   961,
     969,    21,    54,    67,    68,    76,    80,    97,   118,   136,
     147,   152,   173,   198,   248,   301,   305,   307,   313,   316,
     342,   344,   348,   356,   361,   386,   563,   654,   966,   955,
     352,   963,   957,   426,   649,   356,   958,   649,   165,   957,
      96,   342,   345,   347,   967,   345,   347,    62,   140,   721,
     292,   967,   455,   969,   957,   957,   309,   957,   649,   216,
     967,   313,   342,   386,    80,   173,   152,   305,   360,   557,
      22,   957,   815,   468,   966,   969,   724,   165,   963,   957,
     165,   728,   165,   958,    96,   342,   165,   963,   165,   956,
     957,    73,    62,   140,   165,   721,    48,   165,   956,   165,
     957,   165,   957,   165,   957,   309,   165,   957,   165,   216,
     956,   197,   165,   648,   649,   426,   793,   509,   784,   380,
     384,   778,   785,   786,   787,   969,   779,   968,   662,   663,
      22,   663,   968,   663,    22,   663,   968,   663,   663,   663,
     968,   965,   965,   814,   663,   275,   426,   426,   528,   528,
     528,   246,   352,   430,   528,   861,   862,   430,   746,   966,
     426,   790,    48,   957,   957,   955,   969,    38,   409,   193,
     428,   249,   249,   246,   150,   966,   352,   145,   657,   246,
       4,     6,     7,     8,    10,    30,    43,    45,    46,    53,
      54,    57,    58,    65,    67,    87,    88,    89,    90,    91,
      92,    93,   100,   101,   119,   134,   138,   139,   143,   157,
     185,   186,   188,   204,   212,   213,   226,   228,   232,   237,
     238,   240,   248,   257,   267,   281,   303,   318,   325,   338,
     350,   351,   355,   357,   358,   367,   373,   381,   399,   400,
     401,   402,   403,   404,   405,   406,   417,   418,   419,   426,
     818,   873,   876,   879,   880,   881,   883,   884,   885,   886,
     889,   890,   894,   896,   897,   916,   920,   939,   944,   952,
     953,   963,   964,   965,   966,   969,   966,    22,   474,   954,
     955,   317,   459,   103,   467,   966,   468,   966,    38,    59,
     459,   409,   326,   752,   249,   150,   352,   413,    38,   409,
     193,   753,   426,   955,   419,   424,   428,   945,   946,   862,
     149,   151,   384,   775,   776,   778,   149,   781,   103,   894,
     949,   950,   823,   430,   426,   782,   427,   427,   435,   955,
      22,   115,   829,   829,    48,   829,   141,   145,   208,   244,
     835,   837,   838,   847,   849,   850,   831,   832,   150,   189,
     861,   863,   951,   426,   624,   946,   259,   290,   319,   428,
     650,   259,   290,   319,   259,   290,   319,   392,   437,   469,
     470,   680,    18,   120,   259,   290,   319,   377,   481,   319,
      18,   120,   372,   452,   395,   165,   861,    50,    82,   137,
     168,   203,   232,   259,   290,   298,   304,   311,   319,   328,
     336,   387,   469,   471,   708,   715,   426,   697,   290,   452,
     134,    18,    24,    64,   113,   120,   123,   175,   230,   232,
     242,   250,   259,   290,   294,   319,   377,   479,   480,   582,
       4,   418,   554,   968,   649,   649,   426,   720,   428,   170,
     290,   437,   444,   259,   290,   134,    49,    95,   172,   218,
     220,   230,   258,   290,   295,   319,   330,   479,   551,   552,
     259,   290,   385,   582,   590,   134,   290,   319,   479,   259,
     290,   294,   319,    74,   112,   260,   346,   246,    18,    24,
     120,   259,   290,   319,   490,   491,   145,   290,   319,   437,
     470,   134,   290,   319,   479,   957,   206,   105,   247,   396,
     430,   751,   374,   773,   246,   963,   426,   957,    96,   342,
     963,   241,    62,   140,   721,   957,   309,   957,   197,   649,
     528,   333,   334,   495,   966,   426,   624,   625,    60,     3,
      43,    45,    46,    57,    58,   100,   101,   143,   185,   186,
     188,   226,   228,   240,   281,   320,   325,   350,   351,   381,
     870,   872,   874,   876,   878,   880,   881,   882,   884,   885,
     889,   890,   970,   972,   150,   426,   620,   957,   437,    31,
     768,   232,   437,   395,   165,   955,   437,   649,   649,   620,
     509,   437,    38,   456,   361,   589,   259,   565,    74,   112,
     260,   346,    20,    40,   184,   604,    31,   620,   145,   437,
     955,   165,   546,   955,   955,   649,    73,   686,   963,   957,
     563,    44,    94,   182,   230,   308,   134,   624,    51,   296,
     482,   134,   426,   134,   395,   134,   697,   134,   430,   165,
     648,   165,   649,   165,   649,   134,   720,   956,   134,   134,
     246,   134,   482,   134,    74,   112,   260,   346,   134,   246,
     134,   145,   165,   165,   468,   134,   430,   482,   894,   923,
     342,   427,   430,   139,   246,   358,   465,   468,   554,   788,
     784,   663,   814,   663,   814,   663,   814,   663,   814,   663,
     814,   814,   814,   663,   814,   426,   529,   530,   969,   529,
      22,    97,   118,   147,   152,   197,   198,   307,   313,   342,
     344,   361,   669,   954,   956,   668,   170,   430,   803,   966,
     870,   926,    31,   956,   146,   731,   731,   731,   206,   969,
     145,   145,   669,   956,   306,   969,   468,   246,   426,   947,
     424,   818,   927,   383,   887,   894,   943,   426,   887,   887,
     426,   145,   426,   426,   426,   875,   875,   269,   818,   426,
     426,   877,   426,   426,   426,   426,    57,    58,   887,   894,
     426,   875,   426,   426,   426,   426,   426,   393,   412,   426,
     891,   426,   891,   426,   426,   818,   426,   426,   426,   426,
     426,   426,   426,   426,   894,   894,   818,   894,   923,   966,
      58,   426,   888,   426,   966,     3,     8,    11,    28,    31,
      36,    42,    66,   166,   170,   191,   192,   207,   232,   235,
     248,   251,   323,   413,   414,   415,   417,   418,   419,   420,
     421,   422,   918,   920,   922,   256,   894,   189,   430,   826,
     426,   966,   946,   106,   167,   475,   430,    59,   103,   468,
      31,     3,   103,   211,   466,   554,   890,   966,   966,    78,
     117,   903,    86,   103,   462,   463,   465,   554,   103,   462,
     206,   955,   894,     3,    22,    26,    27,    28,    29,    30,
      31,    32,    35,    47,    53,    54,    60,    66,    67,    68,
      76,    83,    87,    88,    89,    91,    92,    93,   103,   105,
     111,   115,   116,   122,   126,   129,   139,   141,   145,   147,
     150,   155,   158,   160,   170,   177,   187,   189,   202,   208,
     212,   213,   232,   237,   244,   246,   247,   251,   252,   265,
     273,   286,   297,   312,   318,   327,   339,   342,   349,   352,
     353,   358,   366,   367,   373,   374,   382,   388,   389,   391,
     392,   419,   960,   971,   972,   973,   974,   975,   945,    79,
     295,   652,   427,   430,   779,   427,   430,   824,   956,    31,
     782,   820,   820,   833,   834,   894,   820,   142,   229,   844,
     280,   321,   372,    22,   839,   894,   840,   842,   894,   896,
     847,   848,   838,   837,   835,   836,   145,   850,   835,   847,
     863,   955,    31,   969,   319,   419,   926,   259,   290,   319,
     352,   352,   307,   960,   428,   352,   352,   307,   352,   352,
     344,   459,   763,   145,   155,   170,   299,   681,   682,    60,
      76,   130,   147,   273,   367,   525,   526,    76,   103,   232,
     352,    76,   352,   103,   232,   307,    76,   307,   571,    21,
      54,    67,    80,   118,   147,   152,   248,   307,   313,   316,
     342,   348,   361,   386,   563,   957,   134,   290,   319,   479,
     246,   554,   311,   203,   352,   352,   237,   554,   107,   190,
     307,   317,   354,   460,   296,   319,   708,   716,   170,   180,
     253,   320,   382,   427,   698,   701,   702,   703,   705,   870,
     970,   352,   373,   955,    68,   130,   516,   525,   969,    68,
     733,   246,   305,   356,    76,   733,    25,   293,   305,   356,
     955,   175,   242,   649,   426,   352,   352,   426,   485,   344,
     392,   393,   485,    76,   430,     4,   259,   374,   374,   231,
     870,   259,   319,   721,    97,   352,   439,   470,   352,   352,
     955,   554,    48,   553,   554,   554,    95,   218,   220,    48,
     352,   437,   307,   437,   230,   552,   352,   352,   237,   966,
     582,   861,    76,   352,   733,   307,   352,   352,   485,   485,
     649,   649,   649,   649,   955,    37,   379,    37,    37,   352,
      37,   352,   307,   430,    93,   373,   600,   967,   352,   439,
     955,   352,   307,   259,   290,   280,   291,   315,   464,   751,
     961,   969,   955,   624,   870,   246,   395,   697,   554,   649,
     649,   720,   191,   246,    74,   112,   260,   346,   246,   649,
     191,   392,   500,   437,     3,   626,   627,   620,   426,   872,
      31,    30,   871,    98,   163,   219,   222,   310,   407,   426,
     892,   893,   650,   875,   649,   621,   622,   971,    20,   758,
     870,   134,   568,   957,   232,   426,   595,   438,   634,   374,
     386,   438,   967,    83,   155,   457,   508,   548,   603,   664,
     684,   754,   966,   590,   591,   957,   214,   649,   649,   649,
     649,   242,   108,   183,   359,   372,   605,   606,   127,   279,
     426,   600,   438,   550,   551,   232,    31,   242,   426,   528,
     528,   145,   687,   961,   426,   699,    31,   197,   392,   393,
     816,   308,   963,   482,   870,   958,   165,   957,   963,   482,
     956,   957,   134,   482,   134,   374,   134,   374,   721,   482,
     482,   956,   957,   649,   957,   957,   957,   649,   956,   600,
     134,   134,   482,   648,   649,   427,   430,   955,   784,   786,
     814,   814,   814,   814,   814,   814,   529,   427,   430,   427,
     153,   314,   343,   956,   648,    96,   316,   673,   674,   956,
     241,   956,   954,   954,   956,   648,   352,   392,   677,    16,
     132,   303,   321,   804,   861,   236,   805,   427,   430,   791,
     795,   800,   806,   817,   352,   667,   666,   667,   150,   156,
     678,   969,    21,    68,    97,   118,   147,   152,   198,   301,
     307,   313,   342,   344,   361,   386,   563,   658,   923,   945,
     425,   923,   927,   928,   426,   388,   940,   941,   894,   923,
     426,   965,   965,   923,     3,    98,   163,   219,   222,   310,
     407,   929,   930,   966,   965,   923,   923,   965,   965,   887,
     887,   894,   721,   894,   931,   417,   418,   895,   896,   916,
     920,   933,   427,   923,   894,   923,   934,   350,   409,   965,
     965,   894,    47,   150,   202,   353,   894,   923,   937,   923,
     224,   896,   894,   901,   902,   903,   224,   894,   903,   427,
     430,   319,   965,   965,   892,   870,   894,   971,   350,    35,
     339,   948,   649,   894,   426,   818,   938,   115,   117,   139,
     232,   237,   242,   358,   368,   894,    42,   166,   170,   207,
     323,   426,   894,   352,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,    22,    29,   327,   917,   303,   426,
     916,   154,   211,   342,   345,   347,   370,   827,   955,   953,
     150,   853,    22,   115,   382,   419,   427,   703,   894,   924,
     925,   970,   955,   354,   426,   966,   430,   427,   425,   431,
     164,   164,   482,   955,   776,   777,   955,   949,   427,   426,
     430,    32,   111,   374,   693,   426,   841,   968,   247,   242,
     851,   851,   430,   303,   304,   843,   848,   836,   374,   801,
     103,   426,   796,   817,   969,   426,   807,   808,   809,   810,
     811,   969,   427,   427,   352,   352,   307,   967,   957,   957,
     960,   967,   957,   957,   967,   958,   957,    75,   764,   301,
     373,   666,   307,   155,   666,   230,   527,   957,   374,   688,
     195,   195,   374,   426,   544,   165,   957,   237,   967,   957,
     957,   894,   237,   957,   957,   957,   352,   572,   963,   426,
     649,   649,   649,    96,   342,   674,    62,   140,   721,   957,
     649,   957,   649,   309,   649,   649,   197,   159,   230,   259,
     290,   378,   575,   576,   577,   861,   352,   733,   307,   237,
     107,   190,   967,   957,   246,   957,   253,   970,   427,   430,
     703,   705,   702,   705,   970,   650,   967,   956,   290,   479,
     516,   870,   969,   957,   957,    22,   373,   957,   165,   957,
     165,   969,   305,   356,   305,   356,   957,    22,   373,   957,
     955,    18,   120,   319,   583,   584,   585,   586,   971,   967,
     957,   487,   488,   971,   957,   245,    64,   245,   957,   480,
     352,   959,   969,   959,   430,   427,   430,   352,   307,   958,
     967,     3,    75,   125,   175,   264,   365,   373,   376,   440,
     967,   957,   290,   319,   479,   551,   554,   649,   957,   554,
     957,   554,   967,   957,   290,   319,   479,   957,   957,   957,
     957,   967,   957,    18,    24,   120,   259,   290,   319,   259,
     290,   319,   620,   290,   319,   290,   319,   290,   869,   969,
     966,   969,   165,   969,   967,   957,   957,   957,    18,   491,
     316,   967,   290,   319,   479,   957,   957,   352,   352,    72,
     364,   280,   191,    31,   649,   191,   191,   374,   374,   191,
     237,   655,   966,   649,   649,   649,   649,   649,   649,   191,
     655,   245,   150,   352,   494,   426,   496,   497,   413,   427,
     430,   894,    30,   871,   870,   424,   424,   352,   352,   352,
     426,   352,   965,   875,   427,   430,   413,   605,    75,   124,
     200,   201,   214,   259,   344,   346,   759,   518,   957,   150,
     307,   385,   569,   576,   577,   134,   427,   516,   596,   597,
     316,    19,   170,   301,   340,   440,   441,   145,   959,   955,
     456,   251,   509,   147,   966,   620,   620,   620,   620,   242,
     246,   251,   426,   620,   867,   868,   869,   316,   134,   133,
     817,   649,   207,   510,   512,   514,   516,   522,   525,   969,
     392,   393,   540,   392,   486,   966,   246,   427,   700,   701,
     706,    31,   197,   298,   391,   707,   708,   709,   246,   468,
     162,   162,   145,   624,    31,   134,   482,   697,   648,   649,
     959,   649,   959,   720,   246,   482,   482,   246,   482,   316,
     145,   468,   482,   894,   427,   530,   170,   170,   170,   395,
     956,   430,   554,   555,   158,   670,   671,   967,    19,   678,
     132,   321,   132,   321,   303,   372,   221,   870,   957,   150,
     246,   670,    48,   482,   963,   342,   963,   241,   197,   649,
     427,   425,   425,   430,   923,   894,   122,   941,   942,    31,
     427,   894,   427,   427,   427,   427,   150,   427,   427,   427,
     427,   427,   430,   427,   265,   932,   427,   895,   895,    11,
     170,   191,   248,   413,   414,   415,   417,   418,   419,   420,
     421,   422,   920,   895,   427,   427,   145,   150,   935,   936,
     427,   409,   427,   427,    31,   937,   923,   937,   937,   150,
     427,   427,   971,   263,   905,    31,   427,   430,   894,   971,
     430,   894,   947,   894,   969,   427,   427,   409,   895,   895,
     128,   923,   150,   115,   117,   139,   237,   242,   358,   368,
     426,   128,   339,   948,   894,   938,   894,   352,   721,   894,
     426,   818,   345,   347,   345,   347,   955,   828,   828,   828,
     426,   818,   854,   855,   856,   861,   864,   897,   963,   969,
     389,   865,   924,   924,   925,   427,   255,   909,    13,   427,
     430,   832,   752,   965,   892,   463,   894,   782,   791,   834,
     248,   918,   921,   410,   411,   694,   894,   843,   954,   805,
     805,   840,   854,   389,   866,   380,   797,   798,   969,   297,
     799,   811,   812,   430,   853,   413,   947,   967,   957,   957,
     208,   956,   956,   246,   956,   249,   246,   175,   426,   526,
     959,   426,   426,   426,   544,   173,   529,   614,   134,   482,
     352,   468,   624,   870,   395,   649,   649,   649,   720,    74,
     112,   260,   346,   957,   558,   957,   159,   378,   352,   352,
     558,   575,   582,   290,   319,   479,   957,   957,   957,   181,
     237,   650,   701,   705,   705,   421,   352,   250,   580,   120,
     294,   319,   481,   582,   734,   134,   482,   134,   482,   957,
     957,   957,   957,   585,   586,   585,   427,   430,   587,   966,
     427,   430,   413,   428,   967,   259,   290,   319,    18,   120,
     259,   290,   319,   870,   231,   870,   967,   957,   208,   264,
     237,   966,   264,   956,   371,   352,   307,   352,   733,   307,
     352,   352,   216,   216,   216,   352,   352,   307,   352,   352,
     307,   352,   307,   352,   307,   352,   482,   870,    20,    40,
     319,   734,   134,   482,   352,   957,   352,   307,   967,   957,
     655,   870,   191,   655,   655,   959,   959,   655,   191,   191,
     191,   191,   191,   191,   655,   495,   503,   504,   971,    44,
      85,   109,   124,   128,   146,   161,   237,   245,   278,   498,
     248,   417,   418,   554,   623,   705,   921,   966,   975,     3,
     627,   427,   424,   427,   965,   425,   965,   163,   219,   893,
     219,   893,   893,   965,   222,   427,   622,   623,   246,   208,
     413,   760,   760,   760,   760,   760,   760,   760,    60,    66,
      76,   103,   105,   177,   232,   237,   273,   286,   367,   519,
     520,   521,   437,   468,   957,   468,   580,   955,   427,   430,
     957,   956,   158,   301,   956,   965,   361,   528,   292,   342,
      96,   529,   955,   606,   628,   629,   966,   427,   430,   957,
     955,   957,   392,   547,   426,   511,   955,   427,   430,   245,
     485,   245,   246,   541,   485,    31,   352,   955,   427,   430,
     103,   413,   710,   966,   468,   342,   704,   705,   392,   709,
     711,   108,   183,   312,   372,   742,   159,   817,   482,   870,
     957,   482,   482,   374,   482,   374,   482,   482,   649,   649,
     957,   600,   482,   307,   307,   307,   956,   674,   430,   967,
     392,   430,   672,   249,   132,   132,   956,   669,   482,   967,
     624,   697,   554,   649,   191,   927,   427,   349,   894,   126,
     870,   427,   894,   894,   894,   935,   870,   895,   115,   117,
     232,   242,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   894,   894,   936,   935,   891,   891,   870,   427,
     427,   427,   923,   427,   430,    48,   896,   427,   971,   902,
     270,   337,   904,   427,   430,   385,   898,    31,   427,   888,
     966,   894,    28,    28,   894,   427,   894,   150,   426,   926,
     894,   895,   895,   128,   128,   894,   427,   128,   894,   828,
     828,   828,   828,   955,   955,   955,   818,   855,   856,    31,
     857,   969,   430,    84,   151,   179,   194,   205,   227,   300,
     858,   857,    31,   857,   969,   426,   946,   894,   158,   845,
     430,   831,   832,   831,   427,   909,   426,   910,   969,   894,
     909,   966,   382,   925,   427,   427,   425,   427,   426,   694,
     427,   247,    86,   894,   799,   427,   430,   947,   952,   427,
     430,   808,   866,   949,   760,   153,   314,   343,   362,   683,
     145,   683,   894,   426,   532,   533,   690,   897,   969,   529,
     529,   614,   961,   427,   105,   177,   232,   615,   957,   957,
      31,   957,   374,   374,   649,   649,   649,   649,   650,   967,
     957,   352,   733,   307,   352,   181,   421,   361,   957,   426,
     518,   232,   485,    96,   232,   332,   335,   485,   361,   957,
     969,   584,   488,   623,   971,   352,   352,   307,   152,   248,
     335,   632,   633,   152,   248,   640,   641,   352,   352,   307,
     427,   427,   427,   968,   966,   966,   966,   957,   957,   957,
     957,   957,   957,   957,   145,   145,   292,   145,   165,   967,
     957,   957,   967,   957,   957,   957,   957,   957,   957,   957,
      66,   483,   966,   966,   361,   969,   957,   582,   957,   957,
     427,   655,   191,   191,   655,   655,   655,   655,   655,   655,
     374,   501,   502,   427,   430,   419,   426,   465,   505,   554,
     768,   966,   768,   232,   278,   768,   768,   614,   965,   392,
     393,   425,   425,   427,   892,   955,   760,   103,   965,   966,
     103,   966,   103,   966,   103,   966,   103,   957,   103,   957,
     103,   957,   527,   649,   957,   895,   106,   167,   105,   237,
     195,   955,   711,   568,   595,   597,   580,   956,   956,   870,
     486,   955,   395,   145,   607,   427,   430,   869,   580,   242,
     426,   793,    96,   230,   513,   515,   517,   525,   969,   540,
     523,   176,   539,   514,    71,   344,   542,   817,   966,   688,
     706,   894,   894,   430,   426,   707,   620,   352,   558,   427,
     482,   959,   959,   482,   482,   316,   956,   956,   956,   554,
     155,   671,   678,   150,   191,   191,   191,   191,   237,   659,
     966,   894,   427,   427,   936,   150,   115,   117,   242,   426,
     427,   398,   900,   923,   285,    48,   390,   390,   427,   894,
     230,   894,   430,   899,   872,   892,   895,   895,   894,   926,
     427,    28,    28,   894,   894,   128,   894,   427,   955,   955,
     955,   955,   427,   969,   426,   855,   194,   254,   859,   855,
     859,   194,   858,   859,   194,   426,   969,   426,   924,    48,
     160,   846,   427,   427,   909,   911,   969,   925,   909,   966,
     721,   242,   817,   798,   413,   811,   799,   968,   352,   666,
     150,   427,   894,   427,   430,   392,    66,   691,   691,   427,
     427,   711,   106,   167,   105,   376,   482,   870,   959,   959,
     957,   957,   957,   957,   361,   581,   585,   237,   237,   968,
     969,   870,   482,   482,   413,   967,   957,   957,   965,   965,
     870,   430,   965,   965,   430,   967,   957,   957,   352,   956,
     956,   649,   956,   134,   649,   870,   482,   482,   191,   655,
     655,   437,   110,   504,   465,   506,   507,   966,   966,   237,
     419,   529,   966,   966,   425,   152,   180,   152,   150,   613,
     968,   426,   232,   520,   711,   528,   374,   543,   316,   374,
      31,   426,   957,   121,   608,   388,   610,   966,   649,   510,
     547,    96,   427,   430,   392,   541,   131,   171,   426,   540,
     108,   120,   270,   957,   392,   755,   150,   426,   966,   703,
     712,   713,   970,   711,   955,   178,   559,   482,   482,   482,
     957,   249,   482,   670,   659,   659,   659,   659,   895,   150,
     426,   926,   426,   427,   430,   427,   896,   285,   427,   379,
     329,   427,   427,   427,   895,   895,   894,   857,   426,   956,
     855,   246,   374,   860,   855,   194,   855,   868,   426,   868,
     969,   427,   923,   894,   391,   906,   909,   909,   262,   912,
     427,   892,   427,   814,   951,   670,   246,   670,   614,   427,
     711,   533,   248,   721,   649,   374,   649,   692,   692,   286,
     711,   543,   427,   352,   427,   430,   483,   623,   426,   963,
     721,   633,   426,   426,   641,   957,   392,   292,   392,   392,
     145,   483,   655,   496,   966,   427,   430,   529,   674,    31,
     726,   726,   955,   614,   894,   543,   217,   531,   173,   957,
     959,   817,   580,   303,   331,   609,   426,   133,   511,   427,
     515,   250,   542,    22,    70,    77,   104,   174,   335,   524,
     524,   954,   541,   304,   304,    52,    60,   211,   649,   689,
     690,   705,   427,   430,   865,   558,   230,   378,   560,   561,
     482,   895,   926,   427,   901,   923,    48,   230,   408,   956,
     427,   894,   426,   855,   860,   427,   868,   427,   907,   908,
     969,    48,   831,   909,   672,   683,   482,   691,   543,   426,
     649,   693,   693,   955,   543,   614,   957,   585,   374,   484,
     926,   697,   145,   636,   720,   926,   926,   648,   649,   648,
     649,   956,   482,   507,   726,    34,   169,   145,   427,   151,
     261,   324,   246,   535,   536,   537,   344,   580,   140,   635,
     755,   894,   277,   540,   539,   518,   427,   542,    60,   249,
      60,   427,   430,   707,   712,   116,   378,   558,   427,   427,
     427,   285,   379,   427,   956,   427,   430,    31,   923,   279,
     304,   913,   150,   692,   389,   534,   721,   694,   694,   528,
     614,   894,   427,   252,   309,   283,   637,   636,   427,   427,
     392,   121,   108,   372,   246,   537,   246,   536,   957,   649,
      31,   427,   963,   541,   540,   249,   249,   486,   690,   711,
      23,   184,   743,   427,   908,   910,    42,    86,   363,   894,
     914,   915,   914,   427,   670,   693,   426,   614,   427,   531,
     963,    48,   637,   649,   303,    51,   230,   296,   319,   538,
     538,   632,   426,   542,   541,   542,   233,   426,   738,   740,
     745,   795,   800,   806,   817,   915,   303,   144,   268,   144,
     268,   482,   694,   894,   535,   697,   649,   610,    17,   103,
     237,     4,   611,   612,   965,   966,   971,   542,   865,   739,
     740,   741,   818,   819,    28,   427,   614,   133,   427,   430,
     427,   429,   915,   277,   612,   741,   963,   426,   611,   427
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 654 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			;}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 661 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 668 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 788 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 799 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 809 "gram.y"
    {;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 810 "gram.y"
    {;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 819 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 820 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 824 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 825 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 830 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 835 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 839 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 844 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 849 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 853 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 857 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 862 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 866 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 919 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 922 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 926 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 930 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 934 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 938 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 952 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 970 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 980 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 981 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 986 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1004 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1016 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1037 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1044 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1063 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1070 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1087 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1105 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1115 "gram.y"
    { (yyval.ival) = +1; ;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1116 "gram.y"
    { (yyval.ival) = -1; ;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1129 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1136 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1153 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1165 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1176 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1177 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1181 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1182 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1210 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1216 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1222 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1231 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1239 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1251 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1259 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1267 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1274 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1281 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1289 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1300 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1308 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1316 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1327 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1335 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1343 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1350 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1359 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1368 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1370 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1376 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1377 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1381 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); ;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1383 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1386 "gram.y"
    { (yyval.str) = "read uncommitted"; ;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1387 "gram.y"
    { (yyval.str) = "read committed"; ;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1388 "gram.y"
    { (yyval.str) = "repeatable read"; ;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1389 "gram.y"
    { (yyval.str) = "serializable"; ;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1393 "gram.y"
    { (yyval.str) = "true"; ;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1394 "gram.y"
    { (yyval.str) = "false"; ;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1395 "gram.y"
    { (yyval.str) = "on"; ;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1401 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1414 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1418 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1422 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1437 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1459 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1460 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1461 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1465 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1466 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1467 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1471 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1472 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1477 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1484 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1491 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1498 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1505 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1514 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1515 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1520 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1521 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1527 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1533 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1539 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1545 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1551 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1561 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1570 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1571 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1575 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1576 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1585 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1600 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1606 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1612 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1618 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1636 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1645 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1654 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1663 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1672 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1681 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1690 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1699 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1710 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1711 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1717 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1725 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1733 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1742 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1750 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1758 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1767 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1776 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1785 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1794 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1804 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1817 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1831 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1840 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1848 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1856 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1866 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1876 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1883 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1890 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1898 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1906 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1914 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1922 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1930 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1937 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1944 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1952 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1959 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1966 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 1974 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 1982 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 1990 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 1998 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2006 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2014 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2024 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2031 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2039 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2047 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2055 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2062 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2071 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); ;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2072 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2076 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; ;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2077 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; ;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2078 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ ;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2083 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2090 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2094 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2095 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2099 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2102 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2103 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2107 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2108 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2114 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2118 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2122 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2127 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2142 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2154 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2155 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2161 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2170 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2180 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2190 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2215 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2221 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2249 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2270 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2283 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2284 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2293 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2294 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2295 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2298 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2299 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2304 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2305 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2310 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2314 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2318 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2322 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2326 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2330 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2334 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2338 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2342 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2346 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2350 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2354 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2363 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2366 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2371 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2374 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2379 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2382 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2386 "gram.y"
    {;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2387 "gram.y"
    {;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2393 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2397 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2404 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2410 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2411 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2412 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); ;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2413 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); ;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2414 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2419 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2423 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2430 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2443 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2459 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2474 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2490 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2513 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2514 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2515 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2516 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2517 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2518 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2519 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2520 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2524 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2525 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2529 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2530 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2535 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2539 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2546 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2550 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2556 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2557 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2558 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2562 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2563 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2567 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2587 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2606 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2607 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2612 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2619 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2620 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2622 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2653 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2660 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2667 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2678 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2689 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(2) - (5)].boolean);
					n->raw_expr = (yyvsp[(4) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2699 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2708 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2741 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2748 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2755 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2762 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2773 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2782 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2783 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); ;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2784 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2788 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; ;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2789 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; ;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2790 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; ;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2791 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; ;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2792 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; ;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2793 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; ;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2803 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2810 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2815 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (6)]);
					n->is_no_inherit = (yyvsp[(2) - (6)].boolean);
					n->raw_expr = (yyvsp[(4) - (6)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(6) - (6)].ival), (yylsp[(6) - (6)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2830 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2844 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2859 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2873 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2889 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2906 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2925 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2926 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2930 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2931 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2935 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2936 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2940 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2946 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2950 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 2958 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 2962 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 2968 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 2970 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 2974 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 2979 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 2985 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 2986 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 2997 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 2999 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3001 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); ;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3003 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3005 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3008 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3011 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3015 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; ;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3016 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; ;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3017 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; ;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3018 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3019 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; ;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3022 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3023 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3028 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3029 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3030 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3034 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; ;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3036 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; ;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3037 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3040 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3041 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3044 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3045 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3048 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3064 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3078 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->skipData = false;		/* might get changed later */
				;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3090 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3091 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3092 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3106 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3118 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3126 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3136 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3137 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3140 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3141 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3145 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3149 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3153 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3157 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3161 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3165 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3169 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3173 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3177 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3181 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3185 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3189 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3194 "gram.y"
    {;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3195 "gram.y"
    {;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3199 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); ;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3201 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3205 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); ;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3208 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3209 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3222 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3235 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3248 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3249 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3257 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3258 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3262 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3263 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3267 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3268 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3272 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3273 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3278 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3289 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3301 "gram.y"
    {;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3302 "gram.y"
    {;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3313 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3322 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3323 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3337 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3344 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3361 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3369 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3380 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3382 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3387 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3391 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3395 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3407 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3417 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3419 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3424 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3437 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3447 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3457 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3466 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3475 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3484 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3494 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3503 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3513 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3523 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3533 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3542 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3551 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3560 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3569 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3578 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3587 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3596 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3605 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3614 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3623 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3632 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3650 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3660 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3661 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); ;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3662 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3663 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); ;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3667 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3668 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3672 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3673 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3684 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3695 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3715 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3723 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3734 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3735 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3740 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3744 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3751 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3756 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3760 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3767 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3771 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3776 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3781 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3788 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3794 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3799 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3811 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3823 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3824 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3829 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3830 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3834 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3835 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3846 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3857 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3877 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3886 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3894 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3913 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3928 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3943 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3944 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 3949 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 3953 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 3959 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 3971 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 3980 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 3998 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4009 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4010 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4011 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); ;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4022 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4030 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4047 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4068 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4089 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4110 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; ;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4111 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; ;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4112 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; ;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4117 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4119 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4141 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); ;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4143 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); ;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4145 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); ;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4147 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4149 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); ;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4154 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4158 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4168 "gram.y"
    {;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4169 "gram.y"
    {;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4173 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4174 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4178 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4179 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4183 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4184 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4185 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4190 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4195 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4196 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4197 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4201 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); ;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4202 "gram.y"
    { (yyval.range) = NULL; ;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4207 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4209 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4235 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4236 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; ;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4237 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; ;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4238 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; ;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4239 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4245 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4256 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4280 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4299 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4322 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4332 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4343 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4353 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4363 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4374 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4383 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4390 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4397 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4406 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4415 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4424 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4433 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4442 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4452 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4455 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4456 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4460 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4464 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4470 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); ;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4471 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); ;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4472 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); ;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4473 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); ;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4474 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4477 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4478 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4481 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4484 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4485 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4494 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4500 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4501 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4505 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4507 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4518 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (6)].list);
				n->newVal = (yyvsp[(6) - (6)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4527 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = false;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4536 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4561 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4574 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4575 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4580 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4591 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4601 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4610 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4620 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4628 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4629 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4632 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4633 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4636 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4637 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); ;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4638 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4642 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4655 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4661 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4671 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4680 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4691 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4692 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4697 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4705 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4717 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4728 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4742 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4753 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4776 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4786 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4804 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4815 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4826 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4837 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4850 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4851 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4852 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4853 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4854 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4855 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4856 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4857 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4858 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4859 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4860 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4861 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4862 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4863 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4864 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4868 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4869 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4872 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4873 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4877 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); ;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4879 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4892 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4902 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4903 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4904 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4931 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4940 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4949 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4958 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4967 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4976 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4985 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 4995 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5004 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5013 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5022 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5031 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5040 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5049 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5057 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5065 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5073 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5083 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5084 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5085 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5086 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5087 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5088 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5089 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5090 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5091 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5092 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5093 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5094 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5095 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5096 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5097 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5098 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; ;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5099 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; ;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5103 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5104 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5120 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5131 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5142 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5153 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5164 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5175 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5176 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5180 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5181 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5182 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5183 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5184 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5185 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5186 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5187 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5188 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5189 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5190 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5193 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5194 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5205 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5211 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5219 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5227 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5235 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5243 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5251 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5259 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5267 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5275 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5283 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5291 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5299 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5307 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5315 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5323 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5331 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5339 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5348 "gram.y"
    {;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5349 "gram.y"
    {;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5352 "gram.y"
    {;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5353 "gram.y"
    {;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5365 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5381 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5395 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5420 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5422 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5424 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5426 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5433 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5441 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); ;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5442 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); ;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5446 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5453 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5460 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5467 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5481 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5489 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5497 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5505 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5513 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5521 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5529 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5537 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5545 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5553 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5561 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5569 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5577 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5585 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5593 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5601 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5612 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5613 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5617 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5627 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5640 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5641 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5645 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); ;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5647 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); ;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5652 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5668 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5681 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5691 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5702 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5703 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5706 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5707 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5718 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5727 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5728 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5733 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5737 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5741 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5753 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5766 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5780 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5795 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; ;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5796 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; ;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5797 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; ;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5798 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; ;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5813 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->indexOid = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5830 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5831 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5835 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5836 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5840 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5841 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5845 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5846 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5849 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); ;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5850 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5859 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5870 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5881 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5893 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5894 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5897 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5898 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5899 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5902 "gram.y"
    { (yyval.ival) = SORTBY_ASC; ;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5903 "gram.y"
    { (yyval.ival) = SORTBY_DESC; ;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5904 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5907 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; ;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5908 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; ;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5909 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; ;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5927 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5939 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5952 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5965 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5966 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5969 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5970 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5974 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5975 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5983 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 5984 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 5988 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 5990 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6005 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6014 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6023 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6032 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6041 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6052 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; ;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6053 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6054 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6055 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6056 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; ;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6067 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6081 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6083 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6089 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6099 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6103 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6108 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6117 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6118 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6126 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6130 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6134 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6138 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6142 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6146 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6150 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6154 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6158 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6162 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6166 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6170 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6174 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6178 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6182 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6190 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6194 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6198 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6202 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6207 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6209 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6215 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6216 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6220 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6232 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6236 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6251 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6261 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6262 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6284 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6295 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6309 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6320 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6334 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6345 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6359 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6367 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6369 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6371 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); ;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6376 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6378 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6391 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6399 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6400 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6405 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6409 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6422 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6433 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6444 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6455 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; ;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6456 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; ;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6457 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; ;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6462 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6474 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6475 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6490 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6498 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6508 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6520 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6521 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6524 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6525 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6536 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6546 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6555 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6564 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6573 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6582 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6592 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->subname = (yyvsp[(5) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6601 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6611 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6620 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6629 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6639 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6649 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6658 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6667 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6677 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6687 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6697 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6707 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6717 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6727 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6737 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6747 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6757 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6767 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6778 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6789 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6799 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6810 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6821 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6831 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6840 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6849 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6858 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6867 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6876 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6885 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6894 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6903 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6912 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6921 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6934 "gram.y"
    { (yyval.ival) = COLUMN; ;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6935 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6938 "gram.y"
    { (yyval.ival) = 1; ;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6939 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6950 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6960 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6969 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6978 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6987 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6996 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 7006 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 7016 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 7026 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 7036 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 7045 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 7054 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 7063 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 7072 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 7081 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 7090 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 7099 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 7108 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 7117 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 7126 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 7135 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 7144 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 7161 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 7170 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 7178 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 7186 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 7194 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 7202 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 7211 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 7219 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 7227 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 7236 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 7245 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 7254 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 7262 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 7270 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 7278 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 7286 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 7294 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 7302 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 7321 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 7335 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 7336 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 7337 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 7343 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 7349 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 7365 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7366 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7369 "gram.y"
    { (yyval.ival) = CMD_SELECT; ;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7370 "gram.y"
    { (yyval.ival) = CMD_UPDATE; ;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7371 "gram.y"
    { (yyval.ival) = CMD_DELETE; ;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7372 "gram.y"
    { (yyval.ival) = CMD_INSERT; ;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7376 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7377 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7378 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7384 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7395 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7417 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7426 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7427 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7431 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7440 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7446 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7465 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7472 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7479 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7486 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7493 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7500 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7507 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7515 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7523 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7531 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7539 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7547 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7554 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7561 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7569 "gram.y"
    {;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7570 "gram.y"
    {;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7571 "gram.y"
    {;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7576 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); ;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7579 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7582 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7585 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7588 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7595 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7597 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7599 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7605 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7619 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7631 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7645 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7651 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7657 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7662 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7673 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7689 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7698 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7699 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7704 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7708 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7712 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7716 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7720 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7724 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7728 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7732 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7736 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7740 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7744 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7748 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7752 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7756 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7760 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7764 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7773 "gram.y"
    {;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7774 "gram.y"
    {;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7786 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7793 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7804 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7814 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7815 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7820 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7834 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7841 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7858 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7871 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7880 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7888 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7896 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7905 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7916 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7927 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7936 "gram.y"
    {;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7937 "gram.y"
    {;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7949 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7959 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7969 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7979 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7989 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7999 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 8007 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 8029 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 8051 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 8059 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 8068 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 8078 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 8079 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 8092 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 8106 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 8120 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 8132 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 8144 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 8160 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 8161 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 8165 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; ;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 8166 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; ;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 8167 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; ;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 8168 "gram.y"
    { (yyval.ival) = VACOPT_FULL; ;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 8173 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 8185 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 8199 "gram.y"
    {;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 8200 "gram.y"
    {;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 8204 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 8205 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 8208 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 8209 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 8212 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 8213 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 8217 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 8218 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 8232 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 8239 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 8249 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 8256 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 8276 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 8280 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 8287 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 8293 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 8294 "gram.y"
    { (yyval.str) = "analyze"; ;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 8295 "gram.y"
    { (yyval.str) = "verbose"; ;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 8299 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 8300 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 8301 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 8312 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 8321 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 8322 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 8340 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 8348 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 8363 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 8364 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 8375 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 8381 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 8387 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 8393 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 8409 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8419 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8425 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8431 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8440 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8442 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8447 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8457 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 8458 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 8471 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8483 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8484 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8496 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8506 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); ;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8507 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 8510 "gram.y"
    { (yyval.ival) = AccessShareLock; ;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 8511 "gram.y"
    { (yyval.ival) = RowShareLock; ;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 8512 "gram.y"
    { (yyval.ival) = RowExclusiveLock; ;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 8513 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; ;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 8514 "gram.y"
    { (yyval.ival) = ShareLock; ;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 8515 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 8516 "gram.y"
    { (yyval.ival) = ExclusiveLock; ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 8517 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 8520 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8521 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8537 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8550 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8551 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); ;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8555 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8556 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8561 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8569 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8597 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8607 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8608 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8619 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8629 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8632 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8633 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; ;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8634 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; ;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8635 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; ;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8636 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; ;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8639 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8640 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; ;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8641 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8694 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8695 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8709 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8711 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8718 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8726 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8734 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8742 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8750 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8758 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8768 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8769 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8799 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8811 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8813 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8832 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8836 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8840 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8855 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8862 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8871 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8872 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8876 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8887 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); ;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8888 "gram.y"
    { (yyval.with) = NULL; ;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8893 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->skipData = false;
				;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8903 "gram.y"
    { (yyval.into) = NULL; ;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8912 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8917 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8922 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8927 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8932 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8937 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8942 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8947 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8952 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8958 "gram.y"
    {;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8959 "gram.y"
    {;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8962 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8963 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8964 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8971 "gram.y"
    { (yyval.list) = list_make1(NIL); ;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8972 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); ;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8973 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8974 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8978 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8979 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8983 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8987 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8988 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8992 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 9001 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 9013 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); ;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 9014 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 9015 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); ;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 9016 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); ;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 9020 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 9021 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); ;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 9026 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 9028 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 9038 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); ;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 9043 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 9046 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 9050 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 9052 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 9059 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 9069 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); ;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 9070 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 9071 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); ;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 9079 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 9083 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 9084 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 9087 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 9088 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 9093 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 9094 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 9098 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 9099 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 9103 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 9104 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 9108 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 9109 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 9113 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 9114 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 9119 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 9127 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 9137 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 9144 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 9150 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 9172 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 9173 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 9184 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 9188 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 9193 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 9200 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 9208 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 9215 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 9225 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 9235 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 9263 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 9270 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 9274 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 9300 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 9304 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 9316 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 9329 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 9343 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 9354 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 9369 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 9375 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 9380 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 9386 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 9392 "gram.y"
    { (yyval.jtype) = JOIN_FULL; ;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9393 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; ;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9394 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; ;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9395 "gram.y"
    { (yyval.jtype) = JOIN_INNER; ;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9399 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9400 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9412 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); ;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9413 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9419 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9426 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9433 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9440 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9450 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9451 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9465 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9469 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9476 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9485 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9490 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9491 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9496 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9498 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9505 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9510 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9511 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9516 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9520 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9526 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9555 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9560 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9567 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9572 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9578 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9583 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9592 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); ;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9594 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); ;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9596 "gram.y"
    {  (yyval.list) = NIL; ;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9600 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9601 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9602 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9603 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9604 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9606 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9611 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9640 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9641 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9642 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9643 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9655 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9661 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9668 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9669 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9676 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9681 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9686 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9691 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9696 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9701 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9706 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9711 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9717 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9723 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9729 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9736 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9757 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9767 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9771 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9779 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9783 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9791 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9803 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9824 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9828 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9834 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9838 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9851 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9870 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9893 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9895 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9897 "gram.y"
    { (yyval.str) = "varchar"; ;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9899 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9901 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9903 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9907 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9908 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9912 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9913 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9921 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9930 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9938 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9947 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9958 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9965 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9966 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9967 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9972 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9974 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); ;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9976 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); ;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9978 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9980 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9982 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9984 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9989 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9994 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 10000 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 10008 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 10013 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 10020 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 10026 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 10031 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 10035 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 10064 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 10066 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 10068 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 10076 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 10098 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 10100 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 10102 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 10104 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 10106 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 10108 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 10110 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 10112 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 10114 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 10116 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10118 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10121 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10123 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10125 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10128 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10132 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10135 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10137 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10150 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10152 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10165 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10167 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10180 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10182 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10196 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10209 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10222 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10235 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10258 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10265 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10272 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10279 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10286 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10290 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10297 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10304 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10311 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10318 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10325 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10332 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10336 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10344 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10348 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10358 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10365 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10372 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10385 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10398 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10417 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10438 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10448 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10455 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10471 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10476 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10494 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10496 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10498 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10500 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10502 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10504 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10506 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10508 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10510 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10512 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10514 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10516 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10518 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10520 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10522 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10524 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10526 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10530 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10535 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10539 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10543 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10548 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10564 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10565 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10567 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10582 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10594 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10596 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10598 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10608 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10618 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10628 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10636 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10655 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10668 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10681 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10694 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10707 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10720 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10737 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10750 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10773 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10786 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10807 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10817 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10830 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10847 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10860 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10870 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10883 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 10893 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 10906 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10919 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10932 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10945 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10958 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10971 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 10984 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); ;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 10986 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 10999 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 11017 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 11031 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 11047 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 11069 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 11085 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 11098 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 11111 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 11124 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 11128 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 11135 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 11143 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 11151 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 11155 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 11159 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 11163 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 11167 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 11171 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 11186 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 11190 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 11199 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 11203 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 11207 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 11212 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 11226 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 11228 "gram.y"
    { (yyval.node) = makeNullAConst(-1); ;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 11232 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); ;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 11234 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); ;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 11236 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); ;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 11238 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); ;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 11241 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 11244 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 11245 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 11249 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 11257 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 11266 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; ;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 11267 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; ;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 11270 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 11271 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 11272 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 11278 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 11282 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 11286 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 11290 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 11300 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 11301 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 11305 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); ;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 11307 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); ;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 11312 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 11320 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); ;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 11322 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 11335 "gram.y"
    { (yyval.windef) = NULL; ;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 11340 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 11365 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 11366 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 11369 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 11370 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 11382 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 11400 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 11406 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 11416 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 11433 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 11478 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 11486 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 11494 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 11502 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 11510 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 11530 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 11531 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 11532 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); ;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 11535 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 11536 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 11537 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; ;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 11540 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 11541 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 11544 "gram.y"
    { (yyval.str) = "+"; ;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 11545 "gram.y"
    { (yyval.str) = "-"; ;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 11546 "gram.y"
    { (yyval.str) = "*"; ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 11547 "gram.y"
    { (yyval.str) = "/"; ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 11548 "gram.y"
    { (yyval.str) = "%"; ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 11549 "gram.y"
    { (yyval.str) = "^"; ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 11550 "gram.y"
    { (yyval.str) = "<"; ;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 11551 "gram.y"
    { (yyval.str) = ">"; ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 11552 "gram.y"
    { (yyval.str) = "="; ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 11556 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 11558 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 11563 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 11565 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 11570 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 11572 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 11574 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); ;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 11576 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); ;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 11578 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); ;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 11580 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 11592 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 11596 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 11603 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 11607 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 11613 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 11617 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 11627 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); ;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 11628 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); ;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 11632 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 11636 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 11640 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 11645 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 11646 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 11652 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 11655 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 11662 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 11663 "gram.y"
    { (yyval.str) = "year"; ;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 11664 "gram.y"
    { (yyval.str) = "month"; ;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 11665 "gram.y"
    { (yyval.str) = "day"; ;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 11666 "gram.y"
    { (yyval.str) = "hour"; ;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 11667 "gram.y"
    { (yyval.str) = "minute"; ;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 11668 "gram.y"
    { (yyval.str) = "second"; ;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 11669 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 11680 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 11684 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 11691 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 11697 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 11698 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 11715 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 11719 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 11724 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 11728 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 11743 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 11747 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 11751 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 11754 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 11757 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 11758 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 11759 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 11763 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 11769 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); ;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 11780 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 11793 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 11794 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 11799 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 11809 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 11810 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 11813 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 11814 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 11818 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 11822 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 11829 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 11833 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 11837 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 11844 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 11853 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 11854 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 11858 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 11859 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 11874 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 11876 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 11884 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 11885 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 11893 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 11904 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 11905 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 11909 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 11925 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 11933 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 11941 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 11962 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 11963 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 11975 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 11979 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 12006 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 12008 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 12012 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 12015 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 12018 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 12020 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 12022 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 12024 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 12035 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 12037 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 12048 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 12052 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 12056 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 12060 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 12064 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 12073 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 12080 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 12105 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 12109 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 12115 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 12132 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 12136 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 12140 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 12145 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 12146 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 12147 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 12149 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 12150 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 12151 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 12167 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 12168 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 12169 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 12174 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 12175 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 12176 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 12182 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 12183 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 12184 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 12185 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 12186 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;



/* Line 1455 of yacc.c  */
#line 37599 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 12639 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

