
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 637 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAKPROOF = 535,
     LEAST = 536,
     LEFT = 537,
     LEVEL = 538,
     LIKE = 539,
     LIMIT = 540,
     LISTEN = 541,
     LOAD = 542,
     LOCAL = 543,
     LOCALTIME = 544,
     LOCALTIMESTAMP = 545,
     LOCATION = 546,
     LOCK_P = 547,
     MAPPING = 548,
     MATCH = 549,
     MAXVALUE = 550,
     MINUTE_P = 551,
     MINVALUE = 552,
     MODE = 553,
     MONTH_P = 554,
     MOVE = 555,
     NAME_P = 556,
     NAMES = 557,
     NATIONAL = 558,
     NATURAL = 559,
     NCHAR = 560,
     NEXT = 561,
     NO = 562,
     NONE = 563,
     NOT = 564,
     NOTHING = 565,
     NOTIFY = 566,
     NOTNULL = 567,
     NOWAIT = 568,
     NULL_P = 569,
     NULLIF = 570,
     NULLS_P = 571,
     NUMERIC = 572,
     OBJECT_P = 573,
     OF = 574,
     OFF = 575,
     OFFSET = 576,
     OIDS = 577,
     ON = 578,
     ONLY = 579,
     OPERATOR = 580,
     OPTION = 581,
     OPTIONS = 582,
     OR = 583,
     ORDER = 584,
     OUT_P = 585,
     OUTER_P = 586,
     OVER = 587,
     OVERLAPS = 588,
     OVERLAY = 589,
     OWNED = 590,
     OWNER = 591,
     PARSER = 592,
     PARTIAL = 593,
     PARTITION = 594,
     PASSING = 595,
     PASSWORD = 596,
     PLACING = 597,
     PLANS = 598,
     POSITION = 599,
     PRECEDING = 600,
     PRECISION = 601,
     PRESERVE = 602,
     PREPARE = 603,
     PREPARED = 604,
     PRIMARY = 605,
     PRIOR = 606,
     PRIVILEGES = 607,
     PROCEDURAL = 608,
     PROCEDURE = 609,
     QUOTE = 610,
     RANGE = 611,
     READ = 612,
     REAL = 613,
     REASSIGN = 614,
     RECHECK = 615,
     RECURSIVE = 616,
     REF = 617,
     REFERENCES = 618,
     REINDEX = 619,
     RELATIVE_P = 620,
     RELEASE = 621,
     RENAME = 622,
     REPEATABLE = 623,
     REPLACE = 624,
     REPLICA = 625,
     RESET = 626,
     RESTART = 627,
     RESTRICT = 628,
     RETURNING = 629,
     RETURNS = 630,
     REVOKE = 631,
     RIGHT = 632,
     ROLE = 633,
     ROLLBACK = 634,
     ROW = 635,
     ROWS = 636,
     RULE = 637,
     SAVEPOINT = 638,
     SCHEMA = 639,
     SCROLL = 640,
     SEARCH = 641,
     SECOND_P = 642,
     SECURITY = 643,
     SELECT = 644,
     SEQUENCE = 645,
     SEQUENCES = 646,
     SERIALIZABLE = 647,
     SERVER = 648,
     SESSION = 649,
     SESSION_USER = 650,
     SET = 651,
     SETOF = 652,
     SHARE = 653,
     SHOW = 654,
     SIMILAR = 655,
     SIMPLE = 656,
     SMALLINT = 657,
     SNAPSHOT = 658,
     SOME = 659,
     STABLE = 660,
     STANDALONE_P = 661,
     START = 662,
     STATEMENT = 663,
     STATISTICS = 664,
     STDIN = 665,
     STDOUT = 666,
     STORAGE = 667,
     STRICT_P = 668,
     STRIP_P = 669,
     SUBSTRING = 670,
     SYMMETRIC = 671,
     SYSID = 672,
     SYSTEM_P = 673,
     TABLE = 674,
     TABLES = 675,
     TABLESPACE = 676,
     TEMP = 677,
     TEMPLATE = 678,
     TEMPORARY = 679,
     TEXT_P = 680,
     THEN = 681,
     TIME = 682,
     TIMESTAMP = 683,
     TO = 684,
     TRAILING = 685,
     TRANSACTION = 686,
     TREAT = 687,
     TRIGGER = 688,
     TRIM = 689,
     TRUE_P = 690,
     TRUNCATE = 691,
     TRUSTED = 692,
     TYPE_P = 693,
     TYPES_P = 694,
     UNBOUNDED = 695,
     UNCOMMITTED = 696,
     UNENCRYPTED = 697,
     UNION = 698,
     UNIQUE = 699,
     UNKNOWN = 700,
     UNLISTEN = 701,
     UNLOGGED = 702,
     UNTIL = 703,
     UPDATE = 704,
     USER = 705,
     USING = 706,
     VACUUM = 707,
     VALID = 708,
     VALIDATE = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLEXISTS = 733,
     XMLFOREST = 734,
     XMLPARSE = 735,
     XMLPI = 736,
     XMLROOT = 737,
     XMLSERIALIZE = 738,
     YEAR_P = 739,
     YES_P = 740,
     ZONE = 741,
     NULLS_FIRST = 742,
     NULLS_LAST = 743,
     WITH_TIME = 744,
     POSTFIXOP = 745,
     UMINUS = 746
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1181 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1206 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102692

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  511
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  686
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2728
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4943

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   746

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   498,     2,     2,
     503,   504,   496,   494,   506,   495,   505,   497,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   508,   507,
     491,   490,   492,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   501,     2,   502,   499,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   509,     2,   510,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   493,   500
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   455,   461,
     463,   467,   471,   475,   479,   483,   487,   490,   493,   496,
     499,   503,   507,   511,   515,   517,   521,   523,   527,   529,
     531,   534,   537,   540,   542,   544,   546,   548,   550,   552,
     554,   558,   565,   567,   569,   571,   573,   575,   576,   578,
     580,   583,   587,   592,   596,   599,   602,   604,   607,   609,
     613,   618,   624,   629,   632,   637,   639,   641,   643,   645,
     647,   650,   653,   656,   659,   664,   671,   676,   683,   688,
     695,   700,   707,   709,   713,   716,   720,   725,   732,   739,
     746,   752,   758,   765,   772,   777,   786,   791,   794,   798,
     805,   810,   814,   818,   822,   826,   830,   835,   840,   844,
     848,   852,   856,   860,   864,   869,   874,   878,   881,   885,
     888,   891,   895,   899,   902,   905,   907,   911,   914,   916,
     918,   919,   922,   923,   926,   927,   931,   934,   935,   937,
     941,   945,   947,   953,   957,   962,   964,   968,   973,   980,
     985,   994,   997,  1000,  1011,  1018,  1020,  1022,  1024,  1026,
    1028,  1030,  1034,  1037,  1038,  1040,  1042,  1046,  1050,  1052,
    1054,  1058,  1062,  1066,  1070,  1075,  1078,  1080,  1081,  1084,
    1085,  1089,  1090,  1092,  1093,  1095,  1099,  1102,  1104,  1106,
    1108,  1112,  1113,  1115,  1119,  1121,  1133,  1148,  1159,  1173,
    1175,  1177,  1180,  1183,  1186,  1189,  1191,  1192,  1194,  1195,
    1199,  1200,  1202,  1206,  1208,  1212,  1214,  1216,  1218,  1220,
    1222,  1227,  1232,  1235,  1236,  1240,  1242,  1244,  1247,  1250,
    1252,  1256,  1261,  1267,  1270,  1276,  1278,  1281,  1284,  1287,
    1291,  1295,  1299,  1300,  1302,  1304,  1306,  1308,  1310,  1312,
    1316,  1318,  1325,  1333,  1337,  1346,  1351,  1361,  1373,  1376,
    1377,  1381,  1382,  1384,  1388,  1390,  1393,  1396,  1399,  1400,
    1402,  1406,  1410,  1417,  1422,  1423,  1425,  1427,  1430,  1433,
    1434,  1438,  1442,  1445,  1447,  1449,  1452,  1455,  1460,  1461,
    1464,  1467,  1470,  1471,  1475,  1480,  1485,  1486,  1489,  1490,
    1495,  1496,  1500,  1506,  1509,  1513,  1514,  1520,  1525,  1532,
    1534,  1535,  1537,  1540,  1543,  1545,  1548,  1552,  1555,  1558,
    1561,  1564,  1568,  1572,  1574,  1578,  1580,  1581,  1583,  1586,
    1588,  1590,  1594,  1601,  1612,  1614,  1615,  1617,  1620,  1623,
    1624,  1627,  1630,  1632,  1633,  1639,  1647,  1649,  1650,  1657,
    1660,  1661,  1665,  1671,  1677,  1686,  1689,  1690,  1693,  1696,
    1699,  1705,  1708,  1709,  1712,  1720,  1731,  1738,  1745,  1752,
    1759,  1767,  1775,  1785,  1795,  1802,  1809,  1818,  1827,  1836,
    1845,  1852,  1859,  1867,  1876,  1883,  1890,  1898,  1901,  1904,
    1907,  1910,  1912,  1915,  1917,  1918,  1925,  1934,  1942,  1949,
    1954,  1955,  1957,  1961,  1966,  1968,  1972,  1974,  1977,  1980,
    1983,  1986,  1988,  1990,  2001,  2004,  2005,  2008,  2011,  2013,
    2014,  2019,  2026,  2032,  2037,  2042,  2051,  2063,  2067,  2070,
    2072,  2076,  2078,  2084,  2092,  2101,  2103,  2105,  2107,  2115,
    2125,  2134,  2150,  2171,  2173,  2175,  2178,  2180,  2184,  2186,
    2188,  2190,  2194,  2196,  2200,  2201,  2203,  2204,  2206,  2208,
    2213,  2214,  2216,  2220,  2221,  2223,  2225,  2227,  2229,  2232,
    2233,  2234,  2237,  2240,  2242,  2245,  2248,  2251,  2258,  2267,
    2276,  2281,  2287,  2292,  2297,  2302,  2306,  2314,  2323,  2330,
    2337,  2344,  2351,  2358,  2363,  2369,  2373,  2375,  2379,  2383,
    2385,  2387,  2389,  2391,  2393,  2395,  2399,  2403,  2407,  2409,
    2413,  2417,  2419,  2420,  2422,  2426,  2433,  2442,  2451,  2465,
    2467,  2471,  2477,  2484,  2489,  2497,  2500,  2502,  2503,  2506,
    2507,  2510,  2515,  2516,  2518,  2519,  2526,  2535,  2544,  2546,
    2550,  2556,  2562,  2570,  2580,  2588,  2598,  2604,  2611,  2618,
    2623,  2629,  2637,  2639,  2641,  2643,  2645,  2648,  2650,  2652,
    2654,  2656,  2658,  2660,  2664,  2668,  2672,  2676,  2678,  2682,
    2684,  2687,  2690,  2694,  2700,  2703,  2706,  2707,  2714,  2722,
    2730,  2738,  2747,  2756,  2763,  2772,  2782,  2792,  2800,  2811,
    2819,  2828,  2837,  2846,  2855,  2857,  2859,  2861,  2863,  2865,
    2867,  2869,  2871,  2873,  2875,  2877,  2879,  2881,  2883,  2886,
    2888,  2892,  2894,  2896,  2905,  2915,  2925,  2935,  2945,  2948,
    2949,  2951,  2953,  2956,  2958,  2960,  2962,  2964,  2966,  2968,
    2970,  2972,  2974,  2976,  2979,  2982,  2986,  2991,  2997,  3002,
    3008,  3012,  3017,  3021,  3026,  3028,  3031,  3035,  3039,  3043,
    3047,  3052,  3057,  3061,  3065,  3070,  3075,  3080,  3085,  3087,
    3089,  3091,  3092,  3100,  3108,  3119,  3121,  3123,  3126,  3131,
    3137,  3139,  3143,  3146,  3149,  3152,  3155,  3157,  3160,  3163,
    3168,  3172,  3175,  3178,  3181,  3184,  3188,  3191,  3194,  3197,
    3203,  3209,  3215,  3217,  3221,  3223,  3226,  3230,  3231,  3233,
    3237,  3240,  3247,  3254,  3264,  3268,  3269,  3273,  3274,  3280,
    3283,  3284,  3288,  3292,  3296,  3304,  3312,  3323,  3325,  3327,
    3329,  3331,  3346,  3348,  3349,  3351,  3352,  3354,  3355,  3358,
    3359,  3361,  3365,  3371,  3377,  3385,  3388,  3389,  3391,  3394,
    3395,  3397,  3399,  3400,  3402,  3404,  3405,  3415,  3428,  3436,
    3439,  3440,  3444,  3447,  3449,  3453,  3457,  3460,  3462,  3466,
    3470,  3474,  3477,  3480,  3482,  3484,  3486,  3488,  3491,  3493,
    3495,  3497,  3499,  3504,  3510,  3512,  3516,  3520,  3522,  3525,
    3530,  3536,  3538,  3540,  3542,  3544,  3548,  3552,  3555,  3558,
    3560,  3563,  3566,  3569,  3571,  3574,  3577,  3579,  3581,  3583,
    3587,  3590,  3591,  3594,  3596,  3600,  3606,  3608,  3611,  3613,
    3614,  3620,  3628,  3634,  3642,  3648,  3656,  3660,  3666,  3672,
    3678,  3680,  3684,  3687,  3689,  3692,  3694,  3697,  3709,  3720,
    3731,  3734,  3737,  3738,  3748,  3751,  3752,  3757,  3762,  3767,
    3769,  3771,  3773,  3774,  3782,  3789,  3796,  3803,  3810,  3819,
    3828,  3835,  3842,  3850,  3860,  3870,  3877,  3884,  3891,  3900,
    3907,  3916,  3923,  3932,  3939,  3948,  3956,  3966,  3975,  3986,
    3995,  4005,  4017,  4026,  4033,  4040,  4047,  4053,  4059,  4068,
    4077,  4086,  4095,  4102,  4112,  4114,  4115,  4118,  4119,  4127,
    4134,  4141,  4148,  4155,  4162,  4170,  4180,  4190,  4197,  4206,
    4215,  4224,  4233,  4242,  4249,  4258,  4265,  4274,  4282,  4292,
    4299,  4307,  4314,  4321,  4328,  4335,  4342,  4350,  4358,  4366,
    4376,  4386,  4393,  4400,  4407,  4416,  4425,  4434,  4441,  4455,
    4457,  4459,  4463,  4467,  4469,  4471,  4473,  4475,  4477,  4479,
    4481,  4482,  4484,  4486,  4488,  4490,  4492,  4494,  4495,  4502,
    4511,  4515,  4518,  4519,  4522,  4525,  4528,  4531,  4535,  4539,
    4542,  4545,  4548,  4551,  4555,  4558,  4564,  4569,  4573,  4577,
    4581,  4583,  4585,  4586,  4590,  4593,  4596,  4598,  4601,  4603,
    4607,  4610,  4612,  4613,  4623,  4635,  4639,  4644,  4649,  4650,
    4653,  4659,  4662,  4663,  4667,  4671,  4675,  4679,  4683,  4687,
    4691,  4695,  4699,  4703,  4707,  4711,  4715,  4720,  4724,  4728,
    4730,  4731,  4737,  4744,  4749,  4752,  4753,  4758,  4762,  4768,
    4775,  4780,  4787,  4794,  4800,  4808,  4818,  4825,  4827,  4828,
    4835,  4847,  4859,  4871,  4885,  4895,  4907,  4918,  4923,  4926,
    4932,  4935,  4936,  4941,  4947,  4953,  4958,  4965,  4967,  4971,
    4973,  4975,  4977,  4979,  4982,  4987,  4989,  4991,  4993,  4994,
    4996,  4997,  4999,  5000,  5004,  5005,  5008,  5013,  5017,  5023,
    5025,  5027,  5029,  5031,  5033,  5035,  5037,  5039,  5043,  5046,
    5048,  5050,  5052,  5054,  5056,  5057,  5063,  5068,  5072,  5073,
    5075,  5077,  5079,  5081,  5086,  5096,  5100,  5101,  5108,  5110,
    5115,  5118,  5120,  5124,  5127,  5131,  5132,  5140,  5143,  5144,
    5150,  5154,  5155,  5158,  5161,  5164,  5168,  5170,  5174,  5176,
    5179,  5181,  5182,  5191,  5193,  5197,  5199,  5201,  5205,  5211,
    5214,  5216,  5220,  5228,  5230,  5232,  5233,  5237,  5240,  5243,
    5246,  5247,  5250,  5253,  5255,  5257,  5261,  5265,  5267,  5270,
    5275,  5280,  5283,  5287,  5293,  5299,  5301,  5303,  5313,  5315,
    5318,  5323,  5328,  5333,  5336,  5340,  5342,  5346,  5353,  5355,
    5356,  5359,  5361,  5362,  5366,  5370,  5375,  5380,  5385,  5390,
    5394,  5397,  5399,  5401,  5402,  5404,  5406,  5407,  5409,  5415,
    5417,  5418,  5420,  5421,  5425,  5427,  5431,  5436,  5440,  5443,
    5446,  5448,  5450,  5452,  5453,  5456,  5461,  5467,  5470,  5474,
    5476,  5478,  5480,  5482,  5486,  5487,  5489,  5491,  5493,  5495,
    5497,  5501,  5502,  5505,  5506,  5508,  5512,  5514,  5515,  5517,
    5520,  5525,  5530,  5533,  5534,  5537,  5541,  5544,  5545,  5547,
    5551,  5553,  5556,  5558,  5561,  5567,  5574,  5580,  5582,  5585,
    5587,  5592,  5596,  5601,  5607,  5612,  5618,  5623,  5629,  5632,
    5637,  5639,  5642,  5645,  5648,  5650,  5652,  5653,  5658,  5661,
    5663,  5666,  5669,  5674,  5676,  5680,  5682,  5685,  5689,  5691,
    5694,  5695,  5698,  5703,  5704,  5706,  5707,  5709,  5713,  5717,
    5720,  5724,  5730,  5737,  5740,  5744,  5748,  5753,  5754,  5756,
    5758,  5760,  5762,  5764,  5767,  5773,  5775,  5777,  5779,  5781,
    5784,  5788,  5792,  5793,  5795,  5797,  5799,  5801,  5803,  5806,
    5809,  5812,  5815,  5818,  5820,  5824,  5825,  5827,  5829,  5831,
    5833,  5839,  5842,  5844,  5846,  5848,  5850,  5856,  5859,  5862,
    5865,  5867,  5871,  5875,  5878,  5880,  5881,  5885,  5886,  5892,
    5895,  5901,  5904,  5906,  5909,  5913,  5914,  5916,  5918,  5920,
    5922,  5924,  5926,  5930,  5934,  5938,  5942,  5946,  5950,  5954,
    5955,  5957,  5962,  5964,  5968,  5972,  5978,  5981,  5984,  5988,
    5992,  5996,  6000,  6004,  6008,  6012,  6016,  6020,  6024,  6027,
    6030,  6034,  6038,  6041,  6045,  6051,  6056,  6063,  6067,  6073,
    6078,  6085,  6090,  6097,  6103,  6111,  6115,  6118,  6123,  6126,
    6130,  6134,  6139,  6143,  6148,  6152,  6157,  6163,  6170,  6177,
    6185,  6192,  6200,  6207,  6215,  6219,  6224,  6229,  6236,  6239,
    6243,  6248,  6250,  6254,  6257,  6260,  6264,  6268,  6272,  6276,
    6280,  6284,  6288,  6292,  6296,  6300,  6303,  6306,  6312,  6319,
    6326,  6334,  6338,  6343,  6345,  6347,  6350,  6355,  6357,  6359,
    6361,  6364,  6367,  6370,  6372,  6377,  6383,  6390,  6399,  6406,
    6414,  6422,  6428,  6434,  6436,  6438,  6443,  6445,  6450,  6452,
    6457,  6459,  6464,  6466,  6468,  6470,  6472,  6474,  6476,  6483,
    6488,  6493,  6498,  6503,  6510,  6516,  6522,  6528,  6533,  6540,
    6545,  6550,  6555,  6560,  6566,  6574,  6582,  6592,  6598,  6603,
    6610,  6616,  6624,  6632,  6640,  6643,  6647,  6651,  6655,  6660,
    6661,  6666,  6668,  6672,  6676,  6678,  6680,  6682,  6685,  6688,
    6689,  6692,  6697,  6702,  6709,  6712,  6713,  6715,  6719,  6723,
    6726,  6729,  6730,  6737,  6739,  6740,  6744,  6745,  6748,  6751,
    6752,  6754,  6759,  6762,  6765,  6768,  6771,  6774,  6779,  6783,
    6789,  6791,  6793,  6795,  6797,  6799,  6801,  6803,  6805,  6807,
    6809,  6811,  6813,  6815,  6817,  6819,  6824,  6826,  6831,  6833,
    6838,  6840,  6843,  6845,  6848,  6850,  6854,  6856,  6860,  6862,
    6866,  6868,  6872,  6876,  6880,  6883,  6885,  6889,  6893,  6894,
    6896,  6898,  6900,  6902,  6904,  6906,  6908,  6910,  6915,  6919,
    6922,  6926,  6927,  6931,  6935,  6938,  6941,  6943,  6944,  6947,
    6950,  6954,  6957,  6959,  6961,  6965,  6971,  6973,  6976,  6981,
    6984,  6985,  6987,  6988,  6990,  6993,  6996,  6999,  7003,  7009,
    7011,  7014,  7015,  7018,  7020,  7021,  7023,  7025,  7027,  7031,
    7035,  7037,  7041,  7045,  7048,  7050,  7052,  7054,  7058,  7060,
    7063,  7065,  7069,  7071,  7073,  7075,  7077,  7079,  7081,  7083,
    7086,  7088,  7090,  7092,  7094,  7096,  7099,  7105,  7108,  7112,
    7119,  7121,  7123,  7125,  7127,  7129,  7131,  7133,  7135,  7137,
    7140,  7143,  7145,  7147,  7149,  7151,  7153,  7155,  7157,  7159,
    7161,  7163,  7165,  7167,  7169,  7171,  7173,  7175,  7177,  7179,
    7181,  7183,  7185,  7187,  7189,  7191,  7193,  7195,  7197,  7199,
    7201,  7203,  7205,  7207,  7209,  7211,  7213,  7215,  7217,  7219,
    7221,  7223,  7225,  7227,  7229,  7231,  7233,  7235,  7237,  7239,
    7241,  7243,  7245,  7247,  7249,  7251,  7253,  7255,  7257,  7259,
    7261,  7263,  7265,  7267,  7269,  7271,  7273,  7275,  7277,  7279,
    7281,  7283,  7285,  7287,  7289,  7291,  7293,  7295,  7297,  7299,
    7301,  7303,  7305,  7307,  7309,  7311,  7313,  7315,  7317,  7319,
    7321,  7323,  7325,  7327,  7329,  7331,  7333,  7335,  7337,  7339,
    7341,  7343,  7345,  7347,  7349,  7351,  7353,  7355,  7357,  7359,
    7361,  7363,  7365,  7367,  7369,  7371,  7373,  7375,  7377,  7379,
    7381,  7383,  7385,  7387,  7389,  7391,  7393,  7395,  7397,  7399,
    7401,  7403,  7405,  7407,  7409,  7411,  7413,  7415,  7417,  7419,
    7421,  7423,  7425,  7427,  7429,  7431,  7433,  7435,  7437,  7439,
    7441,  7443,  7445,  7447,  7449,  7451,  7453,  7455,  7457,  7459,
    7461,  7463,  7465,  7467,  7469,  7471,  7473,  7475,  7477,  7479,
    7481,  7483,  7485,  7487,  7489,  7491,  7493,  7495,  7497,  7499,
    7501,  7503,  7505,  7507,  7509,  7511,  7513,  7515,  7517,  7519,
    7521,  7523,  7525,  7527,  7529,  7531,  7533,  7535,  7537,  7539,
    7541,  7543,  7545,  7547,  7549,  7551,  7553,  7555,  7557,  7559,
    7561,  7563,  7565,  7567,  7569,  7571,  7573,  7575,  7577,  7579,
    7581,  7583,  7585,  7587,  7589,  7591,  7593,  7595,  7597,  7599,
    7601,  7603,  7605,  7607,  7609,  7611,  7613,  7615,  7617,  7619,
    7621,  7623,  7625,  7627,  7629,  7631,  7633,  7635,  7637,  7639,
    7641,  7643,  7645,  7647,  7649,  7651,  7653,  7655,  7657,  7659,
    7661,  7663,  7665,  7667,  7669,  7671,  7673,  7675,  7677,  7679,
    7681,  7683,  7685,  7687,  7689,  7691,  7693,  7695,  7697,  7699,
    7701,  7703,  7705,  7707,  7709,  7711,  7713,  7715,  7717,  7719,
    7721,  7723,  7725,  7727,  7729,  7731,  7733,  7735,  7737,  7739,
    7741,  7743,  7745,  7747,  7749,  7751,  7753,  7755,  7757,  7759,
    7761,  7763,  7765,  7767,  7769,  7771,  7773,  7775,  7777,  7779,
    7781,  7783,  7785,  7787,  7789,  7791,  7793,  7795,  7797,  7799,
    7801,  7803,  7805,  7807,  7809,  7811,  7813,  7815,  7817,  7819,
    7821,  7823,  7825,  7827,  7829,  7831,  7833,  7835,  7837,  7839,
    7841,  7843,  7845,  7847,  7849,  7851,  7853,  7855,  7857,  7859,
    7861,  7863,  7865,  7867,  7869,  7871,  7873,  7875,  7877,  7879,
    7881,  7883,  7885,  7887,  7889,  7891,  7893,  7895,  7897,  7899,
    7901,  7903,  7905,  7907,  7908,  7911,  7916,  7920,  7923,  7925,
    7927,  7929,  7931,  7933,  7934,  7943,  7946,  7952,  7956,  7959,
    7962,  7966,  7974,  7976,  7978,  7980,  7981,  7984,  7987,  7989,
    7990,  7992,  7996,  7998,  8001,  8002,  8005,  8006,  8009,  8010,
    8012,  8016,  8021,  8025,  8027,  8029,  8031,  8033,  8036,  8037,
    8040,  8045,  8046,  8049,  8052,  8055,  8057,  8059,  8067,  8071,
    8073,  8075,  8077,  8079,  8082,  8083,  8085,  8089,  8093,  8097,
    8101,  8102,  8107,  8113,  8119,  8120,  8122,  8124,  8126,  8129,
    8132,  8134,  8137,  8138,  8146,  8147,  8153,  8154,  8159,  8162,
    8165,  8166,  8169,  8171,  8173,  8175,  8177,  8179,  8181,  8183,
    8185,  8187,  8189,  8191,  8197,  8200,  8202,  8206,  8209,  8212,
    8216,  8217,  8223,  8225,  8226,  8232,  8235,  8238,  8240,  8242,
    8244,  8247,  8250,  8254,  8256,  8259,  8262,  8266,  8270,  8275,
    8278,  8280,  8283,  8285,  8287,  8290,  8293,  8297,  8299,  8301,
    8303,  8305,  8306,  8308,  8312,  8318,  8319,  8322,  8323,  8325,
    8328,  8332,  8335,  8337,  8339,  8341,  8342,  8344,  8346,  8348,
    8350,  8352,  8355,  8358,  8362,  8363,  8365,  8368,  8370,  8375,
    8379,  8384,  8388,  8391,  8393,  8397,  8399,  8401,  8403,  8405,
    8408,  8411,  8413,  8416,  8419,  8421,  8423,  8425,  8430,  8435,
    8440,  8445,  8450,  8452,  8453,  8457,  8461,  8466,  8468,  8472,
    8476,  8481,  8483,  8487,  8491,  8493,  8495,  8497,  8504,  8506,
    8510,  8514,  8521,  8523,  8527,  8531,  8533,  8535,  8538,  8541,
    8543,  8545,  8547,  8549,  8551,  8553,  8555,  8557,  8559,  8561,
    8563,  8565,  8567,  8569,  8571,  8573,  8578,  8583,  8585,  8587,
    8592,  8597,  8601,  8602,  8610,  8612,  8613,  8614,  8622,  8626,
    8631,  8635,  8637,  8639,  8641,  8644,  8648,  8654,  8657,  8663,
    8666,  8668,  8670,  8672,  8674,  8676,  8678,  8680,  8682,  8684,
    8686,  8688,  8690,  8692,  8694,  8696,  8698,  8700,  8702,  8704,
    8706,  8708,  8710,  8712,  8714,  8716,  8718,  8720,  8722,  8724,
    8726,  8728,  8730,  8732,  8734,  8736,  8738,  8740,  8742,  8744,
    8746,  8748,  8750,  8752,  8754,  8756,  8758,  8760,  8762,  8764,
    8766,  8768,  8770,  8772,  8774,  8776,  8778,  8780,  8782,  8784,
    8786,  8788,  8790,  8792,  8794,  8796,  8798,  8800,  8802,  8804,
    8806,  8808,  8810,  8812,  8814,  8816,  8818,  8820,  8822,  8824,
    8826,  8828,  8830,  8832,  8834,  8836,  8838,  8840,  8842,  8844,
    8846,  8848,  8850,  8852,  8854,  8856,  8858,  8860,  8862,  8866,
    8868,  8869,  8871,  8874,  8876,  8879,  8881,  8883,  8885,  8888,
    8891,  8893,  8895,  8897,  8899,  8901,  8903,  8905,  8907,  8909,
    8911,  8913,  8915,  8917,  8919,  8921,  8923,  8926,  8930,  8932,
    8935,  8937,  8941,  8943,  8947,  8949,  8951,  8953,  8955,  8957,
    8959,  8961,  8963,  8965,  8967,  8969,  8971,  8973,  8975,  8977,
    8979,  8981,  8983,  8985,  8987,  8989,  8991,  8993,  8995,  8997,
    8999,  9001,  9003,  9005,  9007,  9009,  9011,  9013,  9015,  9017,
    9019,  9021,  9023,  9025,  9027,  9029,  9031,  9033,  9035,  9037,
    9039,  9041,  9043,  9045,  9047,  9049,  9051,  9053,  9055,  9057,
    9059,  9061,  9063,  9065,  9067,  9069,  9072,  9076,  9079,  9083,
    9085,  9089,  9093,  9097,  9101,  9105,  9109,  9111,  9113,  9114,
    9117,  9120,  9122,  9124,  9127,  9129,  9131,  9133,  9134
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     512,     0,    -1,  1048,    -1,   838,    -1,   839,    -1,   756,
      -1,   844,    -1,   707,    -1,   647,    -1,   650,    -1,   656,
      -1,   670,    -1,   675,    -1,   791,    -1,   529,    -1,   812,
      -1,   813,    -1,   626,    -1,   556,    -1,   567,    -1,   523,
      -1,   521,    -1,   847,    -1,   846,    -1,   679,    -1,   525,
      -1,   524,    -1,   854,    -1,   554,    -1,   570,    -1,   849,
      -1,   730,    -1,   551,    -1,   571,    -1,  1050,    -1,   694,
      -1,   802,    -1,   848,    -1,   843,    -1,   644,    -1,   651,
      -1,   665,    -1,   671,    -1,   772,    -1,   528,    -1,   708,
      -1,   715,    -1,   716,    -1,   633,    -1,   532,    -1,   625,
      -1,   586,    -1,   641,    -1,   680,    -1,   514,    -1,   520,
      -1,   676,    -1,   834,    -1,  1191,    -1,   889,    -1,   696,
      -1,   876,    -1,   555,    -1,   799,    -1,   695,    -1,   804,
      -1,   655,    -1,   669,    -1,   531,    -1,   719,    -1,   720,
      -1,   721,    -1,   639,    -1,   821,    -1,   723,    -1,   643,
      -1,   693,    -1,   526,    -1,   527,    -1,   678,    -1,   842,
      -1,   869,    -1,   860,    -1,   737,    -1,   741,    -1,   752,
      -1,   761,    -1,   871,    -1,   824,    -1,   833,    -1,   878,
      -1,   822,    -1,   866,    -1,   722,    -1,   806,    -1,   795,
      -1,   794,    -1,   796,    -1,   809,    -1,   742,    -1,   753,
      -1,   814,    -1,   733,    -1,   893,    -1,   826,    -1,   728,
      -1,   825,    -1,   882,    -1,   851,    -1,   547,    -1,   536,
      -1,   550,    -1,   831,    -1,  1127,    -1,  1053,    -1,  1070,
      -1,  1128,    -1,  1110,    -1,  1125,    -1,  1111,    -1,  1071,
      -1,  1115,    -1,  1137,    -1,  1129,    -1,  1116,    -1,  1145,
      -1,  1147,    -1,  1140,    -1,  1132,    -1,  1148,    -1,  1151,
      -1,  1153,    -1,    -1,   160,   378,  1042,   515,   516,    -1,
     469,    -1,    -1,   516,   519,    -1,    -1,   517,   518,    -1,
      -1,   341,  1181,    -1,   341,   314,    -1,   202,   341,  1181,
      -1,   442,   341,  1181,    -1,   252,    -1,   152,   285,  1043,
      -1,   453,   448,  1181,    -1,   450,  1032,    -1,  1183,    -1,
     518,    -1,   417,  1041,    -1,    96,  1032,    -1,   378,  1032,
      -1,   247,   378,  1032,    -1,   247,   235,  1032,    -1,   160,
     450,  1042,   515,   516,    -1,   101,   378,  1042,   515,   517,
      -1,    -1,   247,   174,  1034,    -1,   101,   378,  1042,   522,
     548,    -1,   101,   450,  1042,   515,   517,    -1,   101,   450,
    1042,   548,    -1,   197,   378,  1032,    -1,   197,   378,   242,
     211,  1032,    -1,   197,   450,  1032,    -1,   197,   450,   242,
     211,  1032,    -1,   160,   235,  1042,   515,   516,    -1,   101,
     235,  1042,   530,   450,  1032,    -1,    95,    -1,   197,    -1,
     197,   235,  1032,    -1,   197,   235,   242,   211,  1032,    -1,
     160,   384,   533,   115,  1042,   534,    -1,   160,   384,  1161,
     534,    -1,  1161,    -1,    -1,   534,   535,    -1,    -1,   586,
      -1,   761,    -1,   625,    -1,   680,    -1,   741,    -1,   831,
      -1,   396,   537,    -1,   396,   288,   537,    -1,   396,   394,
     537,    -1,   431,   829,    -1,   394,   136,   108,   431,   829,
      -1,   538,    -1,   539,   429,   540,    -1,   539,   490,   540,
      -1,   539,   429,   180,    -1,   539,   490,   180,    -1,   539,
     227,   163,    -1,   427,   486,   544,    -1,   132,  1181,    -1,
     384,  1181,    -1,   302,   545,    -1,   378,   546,    -1,   394,
     115,   546,    -1,   394,   115,   180,    -1,   474,   326,   979,
      -1,   431,   403,  1181,    -1,  1160,    -1,   539,   505,  1161,
      -1,   541,    -1,   540,   506,   541,    -1,   543,    -1,   631,
      -1,   357,   441,    -1,   357,   149,    -1,   368,   357,    -1,
     392,    -1,   435,    -1,   216,    -1,   323,    -1,   546,    -1,
    1181,    -1,  1183,    -1,   966,  1181,   968,    -1,   966,   503,
    1041,   504,  1181,   968,    -1,   631,    -1,   180,    -1,   288,
      -1,  1181,    -1,   180,    -1,    -1,  1161,    -1,  1181,    -1,
     371,   539,    -1,   371,   427,   486,    -1,   371,   431,   270,
     283,    -1,   371,   394,   115,    -1,   371,    99,    -1,   396,
     537,    -1,   547,    -1,   396,   538,    -1,   547,    -1,   399,
     539,  1194,    -1,   399,   427,   486,  1194,    -1,   399,   431,
     270,   283,  1194,    -1,   399,   394,   115,  1194,    -1,   399,
      99,    -1,   396,   154,   552,   553,    -1,    99,    -1,  1030,
      -1,   183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,
     191,   422,    -1,   191,   424,    -1,   191,   343,    -1,   101,
     419,   937,   557,    -1,   101,   419,   242,   211,   937,   557,
      -1,   101,   250,  1031,   557,    -1,   101,   250,   242,   211,
    1031,   557,    -1,   101,   390,  1031,   557,    -1,   101,   390,
     242,   211,  1031,   557,    -1,   101,   463,  1031,   557,    -1,
     101,   463,   242,   211,  1031,   557,    -1,   558,    -1,   557,
     506,   558,    -1,    95,   594,    -1,    95,   145,   594,    -1,
     101,   810,  1161,   559,    -1,   101,   810,  1161,   197,   309,
     314,    -1,   101,   810,  1161,   396,   309,   314,    -1,   101,
     810,  1161,   396,   409,  1043,    -1,   101,   810,  1161,   396,
     563,    -1,   101,   810,  1161,   371,   563,    -1,   101,   810,
    1161,   396,   412,  1161,    -1,   197,   810,   242,   211,  1161,
     560,    -1,   197,   810,  1161,   560,    -1,   101,   810,  1161,
     811,   438,   946,   561,   562,    -1,   101,   810,  1161,   659,
      -1,    95,   603,    -1,   454,   153,  1033,    -1,   197,   153,
     242,   211,  1033,   560,    -1,   197,   153,  1033,   560,    -1,
     396,   469,   322,    -1,   396,   470,   322,    -1,   141,   323,
    1033,    -1,   396,   470,   141,    -1,   200,   433,  1033,    -1,
     200,   102,   433,  1033,    -1,   200,   370,   433,  1033,    -1,
     200,   433,    99,    -1,   200,   433,   450,    -1,   190,   433,
    1033,    -1,   190,   433,    99,    -1,   190,   433,   450,    -1,
     200,   382,  1033,    -1,   200,   102,   382,  1033,    -1,   200,
     370,   382,  1033,    -1,   190,   382,  1033,    -1,   252,  1031,
      -1,   307,   252,  1031,    -1,   319,   726,    -1,   309,   319,
      -1,   336,   429,  1042,    -1,   396,   421,  1033,    -1,   396,
     563,    -1,   371,   563,    -1,   659,    -1,   396,   180,   970,
      -1,   197,   180,    -1,   128,    -1,   373,    -1,    -1,   143,
     726,    -1,    -1,   451,   970,    -1,    -1,   503,   565,   504,
      -1,   469,   563,    -1,    -1,   566,    -1,   565,   506,   566,
      -1,  1163,   490,   700,    -1,  1163,    -1,  1163,   505,  1163,
     490,   700,    -1,  1163,   505,  1163,    -1,   101,   438,   726,
     568,    -1,   569,    -1,   568,   506,   569,    -1,    95,   114,
     945,   560,    -1,   197,   114,   242,   211,  1161,   560,    -1,
     197,   114,  1161,   560,    -1,   101,   114,  1161,   811,   438,
     946,   561,   560,    -1,   140,   890,    -1,   140,    99,    -1,
     158,   577,  1031,   606,   578,   572,   573,   579,   515,   574,
      -1,   158,   894,   429,   573,   515,   574,    -1,   227,    -1,
     429,    -1,  1181,    -1,   410,    -1,   411,    -1,   575,    -1,
     503,   581,   504,    -1,   575,   576,    -1,    -1,   121,    -1,
     322,    -1,   186,   845,  1181,    -1,   314,   845,  1181,    -1,
     162,    -1,   238,    -1,   355,   845,  1181,    -1,   205,   845,
    1181,    -1,   223,   355,   607,    -1,   223,   355,   496,    -1,
     223,   309,   314,   607,    -1,   201,  1181,    -1,   121,    -1,
      -1,   469,   322,    -1,    -1,   580,   187,  1181,    -1,    -1,
     451,    -1,    -1,   582,    -1,   581,   506,   582,    -1,  1163,
     583,    -1,   543,    -1,   631,    -1,   496,    -1,   503,   584,
     504,    -1,    -1,   585,    -1,   584,   506,   585,    -1,   543,
      -1,   160,   587,   419,  1031,   503,   588,   504,   617,   618,
     619,   620,    -1,   160,   587,   419,   242,   309,   211,  1031,
     503,   588,   504,   617,   618,   619,   620,    -1,   160,   587,
     419,  1031,   319,   726,   589,   618,   619,   620,    -1,   160,
     587,   419,   242,   309,   211,  1031,   319,   726,   589,   618,
     619,   620,    -1,   424,    -1,   422,    -1,   288,   424,    -1,
     288,   422,    -1,   231,   424,    -1,   231,   422,    -1,   447,
      -1,    -1,   590,    -1,    -1,   503,   591,   504,    -1,    -1,
     592,    -1,   590,   506,   592,    -1,   593,    -1,   591,   506,
     593,    -1,   594,    -1,   600,    -1,   603,    -1,   595,    -1,
     603,    -1,  1161,   946,   657,   596,    -1,  1161,   469,   327,
     596,    -1,   596,   597,    -1,    -1,   153,  1033,   598,    -1,
     598,    -1,   599,    -1,   143,   726,    -1,   309,   314,    -1,
     314,    -1,   444,   788,   621,    -1,   350,   272,   788,   621,
      -1,   137,   605,   503,   970,   504,    -1,   180,   971,    -1,
     363,  1031,   606,   609,   613,    -1,   182,    -1,   309,   182,
      -1,   254,   183,    -1,   254,   244,    -1,   284,  1031,   601,
      -1,   601,   248,   602,    -1,   601,   208,   602,    -1,    -1,
     181,    -1,   154,    -1,   251,    -1,   412,    -1,   147,    -1,
      99,    -1,   153,  1033,   604,    -1,   604,    -1,   137,   605,
     503,   970,   504,   691,    -1,   444,   503,   607,   504,   788,
     621,   691,    -1,   444,   622,   691,    -1,   350,   272,   503,
     607,   504,   788,   621,   691,    -1,   350,   272,   622,   691,
      -1,   207,   765,   503,   610,   504,   788,   621,   612,   691,
      -1,   224,   272,   503,   607,   504,   363,  1031,   606,   609,
     613,   691,    -1,   307,   252,    -1,    -1,   503,   607,   504,
      -1,    -1,   608,    -1,   607,   506,   608,    -1,  1161,    -1,
     294,   228,    -1,   294,   338,    -1,   294,   401,    -1,    -1,
     611,    -1,   610,   506,   611,    -1,   767,   469,   798,    -1,
     767,   469,   325,   503,   798,   504,    -1,   466,   503,   970,
     504,    -1,    -1,   614,    -1,   615,    -1,   614,   615,    -1,
     615,   614,    -1,    -1,   323,   449,   616,    -1,   323,   185,
     616,    -1,   307,    94,    -1,   373,    -1,   128,    -1,   396,
     314,    -1,   396,   180,    -1,   253,   503,  1030,   504,    -1,
      -1,   469,   563,    -1,   469,   322,    -1,   470,   322,    -1,
      -1,   323,   148,   197,    -1,   323,   148,   185,   381,    -1,
     323,   148,   347,   381,    -1,    -1,   421,  1033,    -1,    -1,
     451,   250,   421,  1033,    -1,    -1,   451,   250,  1037,    -1,
    1031,   606,   618,   619,   620,    -1,   469,   173,    -1,   469,
     307,   173,    -1,    -1,   160,   587,   390,  1031,   627,    -1,
     101,   390,  1031,   628,    -1,   101,   390,   242,   211,  1031,
     628,    -1,   628,    -1,    -1,   629,    -1,   628,   629,    -1,
     126,   631,    -1,   172,    -1,   307,   172,    -1,   249,   630,
     631,    -1,   295,   631,    -1,   297,   631,    -1,   307,   295,
      -1,   307,   297,    -1,   335,   125,   726,    -1,   407,   515,
     631,    -1,   372,    -1,   372,   515,   631,    -1,   125,    -1,
      -1,  1180,    -1,   495,  1180,    -1,  1043,    -1,   631,    -1,
     632,   506,   631,    -1,   160,   773,   634,   640,   274,   546,
      -1,   160,   773,   634,   640,   274,   546,   236,   635,   636,
     638,    -1,   437,    -1,    -1,  1033,    -1,  1033,   727,    -1,
     255,   635,    -1,    -1,   455,   635,    -1,   307,   455,    -1,
     637,    -1,    -1,   197,   640,   274,   546,   560,    -1,   197,
     640,   274,   242,   211,   546,   560,    -1,   353,    -1,    -1,
     160,   421,  1033,   642,   291,  1181,    -1,   336,  1033,    -1,
      -1,   197,   421,  1033,    -1,   197,   421,   242,   211,  1033,
      -1,   160,   213,  1033,   515,   645,    -1,   160,   213,   242,
     309,   211,  1033,   515,   645,    -1,   645,   646,    -1,    -1,
     384,  1033,    -1,   462,   546,    -1,   227,   546,    -1,   101,
     213,  1033,   449,   648,    -1,   648,   649,    -1,    -1,   429,
     546,    -1,   101,   213,  1033,   530,    98,  1039,   701,    -1,
     101,   213,  1033,   530,   131,   503,   946,   108,   946,   504,
      -1,   101,   213,  1033,   530,   144,   726,    -1,   101,   213,
    1033,   530,   157,   726,    -1,   101,   213,  1033,   530,   195,
     726,    -1,   101,   213,  1033,   530,   229,   751,    -1,   101,
     213,  1033,   530,   640,   274,  1033,    -1,   101,   213,  1033,
     530,   325,   798,   797,    -1,   101,   213,  1033,   530,   325,
     139,   726,   451,  1035,    -1,   101,   213,  1033,   530,   325,
     217,   726,   451,  1035,    -1,   101,   213,  1033,   530,   384,
    1033,    -1,   101,   213,  1033,   530,   419,   726,    -1,   101,
     213,  1033,   530,   425,   386,   337,   726,    -1,   101,   213,
    1033,   530,   425,   386,   189,   726,    -1,   101,   213,  1033,
     530,   425,   386,   423,   726,    -1,   101,   213,  1033,   530,
     425,   386,   151,   726,    -1,   101,   213,  1033,   530,   390,
     726,    -1,   101,   213,  1033,   530,   463,   726,    -1,   101,
     213,  1033,   530,   224,   419,   726,    -1,   101,   213,  1033,
     530,   224,   173,   472,  1033,    -1,   101,   213,  1033,   530,
     393,  1033,    -1,   101,   213,  1033,   530,   438,   726,    -1,
     160,   224,   173,   472,  1033,   654,   657,    -1,   236,   635,
      -1,   307,   236,    -1,   455,   635,    -1,   307,   455,    -1,
     652,    -1,   653,   652,    -1,   653,    -1,    -1,   197,   224,
     173,   472,  1033,   560,    -1,   197,   224,   173,   472,   242,
     211,  1033,   560,    -1,   101,   224,   173,   472,  1033,   654,
     659,    -1,   101,   224,   173,   472,  1033,   653,    -1,   327,
     503,   658,   504,    -1,    -1,   662,    -1,   658,   506,   662,
      -1,   327,   503,   660,   504,    -1,   661,    -1,   660,   506,
     661,    -1,   662,    -1,   396,   662,    -1,    95,   662,    -1,
     197,   663,    -1,   663,   664,    -1,  1163,    -1,  1181,    -1,
     160,   393,  1033,   666,   668,   224,   173,   472,  1033,   657,
      -1,   438,  1181,    -1,    -1,   462,  1181,    -1,   462,   314,
      -1,   667,    -1,    -1,   197,   393,  1033,   560,    -1,   197,
     393,   242,   211,  1033,   560,    -1,   101,   393,  1033,   667,
     659,    -1,   101,   393,  1033,   667,    -1,   101,   393,  1033,
     659,    -1,   160,   224,   419,  1031,   672,   393,  1033,   657,
      -1,   160,   224,   419,   242,   309,   211,  1031,   672,   393,
    1033,   657,    -1,   503,   673,   504,    -1,   503,   504,    -1,
     674,    -1,   673,   506,   674,    -1,   594,    -1,   101,   224,
     419,   937,   557,    -1,   101,   224,   419,   242,   211,   937,
     557,    -1,   160,   450,   293,   222,   677,   393,  1033,   657,
      -1,   170,    -1,   450,    -1,  1042,    -1,   197,   450,   293,
     222,   677,   393,  1033,    -1,   197,   450,   293,   242,   211,
     222,   677,   393,  1033,    -1,   101,   450,   293,   222,   677,
     393,  1033,   659,    -1,   160,   433,  1033,   681,   682,   323,
    1031,   684,   687,   210,   354,  1039,   503,   688,   504,    -1,
     160,   153,   433,  1033,    97,   682,   323,  1031,   690,   691,
     222,   198,   380,   687,   210,   354,  1039,   503,   688,   504,
      -1,   117,    -1,    97,    -1,   261,   319,    -1,   683,    -1,
     682,   328,   683,    -1,   260,    -1,   185,    -1,   449,    -1,
     449,   319,   607,    -1,   436,    -1,   222,   685,   686,    -1,
      -1,   198,    -1,    -1,   380,    -1,   408,    -1,   465,   503,
     970,   504,    -1,    -1,   689,    -1,   688,   506,   689,    -1,
      -1,  1041,    -1,  1180,    -1,  1181,    -1,  1163,    -1,   227,
    1031,    -1,    -1,    -1,   691,   692,    -1,   309,   182,    -1,
     182,    -1,   254,   244,    -1,   254,   183,    -1,   309,   453,
      -1,   197,   433,  1033,   323,   726,   560,    -1,   197,   433,
     242,   211,  1033,   323,   726,   560,    -1,   160,   110,  1033,
     137,   503,   970,   504,   691,    -1,   197,   110,  1033,   560,
      -1,   160,    98,  1039,   701,   697,    -1,   160,    98,  1039,
     702,    -1,   160,   325,   798,   697,    -1,   160,   438,   726,
     697,    -1,   160,   438,   726,    -1,   160,   438,   726,   108,
     503,   943,   504,    -1,   160,   438,   726,   108,   204,   503,
     705,   504,    -1,   160,   438,   726,   108,   356,   697,    -1,
     160,   425,   386,   337,   726,   697,    -1,   160,   425,   386,
     189,   726,   697,    -1,   160,   425,   386,   423,   726,   697,
      -1,   160,   425,   386,   151,   726,   697,    -1,   160,   144,
     726,   697,    -1,   160,   144,   726,   227,   726,    -1,   503,
     698,   504,    -1,   699,    -1,   698,   506,   699,    -1,  1163,
     490,   700,    -1,  1163,    -1,   782,    -1,  1047,    -1,   997,
      -1,   631,    -1,  1181,    -1,   503,  1002,   504,    -1,   503,
     496,   504,    -1,   503,   703,   504,    -1,   704,    -1,   703,
     506,   704,    -1,  1183,   490,   700,    -1,   706,    -1,    -1,
    1181,    -1,   706,   506,  1181,    -1,   101,   438,   726,    95,
     456,  1181,    -1,   101,   438,   726,    95,   456,  1181,   117,
    1181,    -1,   101,   438,   726,    95,   456,  1181,    97,  1181,
      -1,   160,   325,   139,   726,   711,   222,   438,   946,   451,
    1035,   712,   108,   709,    -1,   710,    -1,   709,   506,   710,
      -1,   325,  1041,   798,   713,   714,    -1,   325,  1041,   798,
     797,   713,   714,    -1,   229,  1041,  1039,   774,    -1,   229,
    1041,   503,  1002,   504,  1039,   774,    -1,   412,   946,    -1,
     180,    -1,    -1,   217,   726,    -1,    -1,   222,   386,    -1,
     222,   329,   125,   726,    -1,    -1,   360,    -1,    -1,   160,
     325,   217,   726,   451,  1035,    -1,   101,   325,   217,   726,
     451,  1035,    95,   709,    -1,   101,   325,   217,   726,   451,
    1035,   197,   717,    -1,   718,    -1,   717,   506,   718,    -1,
     325,  1041,   503,  1002,   504,    -1,   229,  1041,   503,  1002,
     504,    -1,   197,   325,   139,   726,   451,  1035,   560,    -1,
     197,   325,   139,   242,   211,   726,   451,  1035,   560,    -1,
     197,   325,   217,   726,   451,  1035,   560,    -1,   197,   325,
     217,   242,   211,   726,   451,  1035,   560,    -1,   197,   335,
     125,  1032,   560,    -1,   359,   335,   125,  1032,   429,  1033,
      -1,   197,   724,   242,   211,   725,   560,    -1,   197,   724,
     725,   560,    -1,   197,   250,   150,   725,   560,    -1,   197,
     250,   150,   242,   211,   725,   560,    -1,   419,    -1,   390,
      -1,   463,    -1,   250,    -1,   224,   419,    -1,   438,    -1,
     195,    -1,   144,    -1,   157,    -1,   384,    -1,   213,    -1,
     425,   386,   337,    -1,   425,   386,   189,    -1,   425,   386,
     423,    -1,   425,   386,   151,    -1,   726,    -1,   725,   506,
     726,    -1,  1161,    -1,  1161,   727,    -1,   505,  1036,    -1,
     727,   505,  1036,    -1,   436,   904,   938,   729,   560,    -1,
     156,   241,    -1,   372,   241,    -1,    -1,   146,   323,   731,
     726,   268,   732,    -1,   146,   323,    98,  1039,   701,   268,
     732,    -1,   146,   323,   229,  1039,   774,   268,   732,    -1,
     146,   323,   325,   798,   797,   268,   732,    -1,   146,   323,
     153,  1033,   323,   726,   268,   732,    -1,   146,   323,   382,
    1033,   323,   726,   268,   732,    -1,   146,   323,   382,  1033,
     268,   732,    -1,   146,   323,   433,  1033,   323,   726,   268,
     732,    -1,   146,   323,   325,   139,   726,   451,  1035,   268,
     732,    -1,   146,   323,   325,   217,   726,   451,  1035,   268,
     732,    -1,   146,   323,   275,   318,   631,   268,   732,    -1,
     146,   323,   131,   503,   946,   108,   946,   504,   268,   732,
      -1,   146,   323,   640,   274,   726,   268,   732,    -1,   146,
     323,   425,   386,   337,   726,   268,   732,    -1,   146,   323,
     425,   386,   189,   726,   268,   732,    -1,   146,   323,   425,
     386,   423,   726,   268,   732,    -1,   146,   323,   425,   386,
     151,   726,   268,   732,    -1,   145,    -1,   174,    -1,   384,
      -1,   250,    -1,   390,    -1,   419,    -1,   195,    -1,   438,
      -1,   463,    -1,   144,    -1,   157,    -1,   421,    -1,   213,
      -1,   378,    -1,   224,   419,    -1,   393,    -1,   224,   173,
     472,    -1,  1181,    -1,   314,    -1,   388,   273,   734,   323,
     735,   726,   268,   736,    -1,   388,   273,   734,   323,    98,
    1039,   701,   268,   736,    -1,   388,   273,   734,   323,   229,
    1039,   774,   268,   736,    -1,   388,   273,   734,   323,   275,
     318,   631,   268,   736,    -1,   388,   273,   734,   323,   640,
     274,   726,   268,   736,    -1,   222,   546,    -1,    -1,   145,
      -1,   174,    -1,   224,   419,    -1,   384,    -1,   390,    -1,
     419,    -1,   195,    -1,   378,    -1,   421,    -1,   438,    -1,
     463,    -1,  1181,    -1,   314,    -1,   218,   738,    -1,   300,
     738,    -1,   218,   738,  1195,    -1,   218,   225,   890,  1196,
      -1,   218,   225,   739,   890,  1196,    -1,   218,   116,   890,
    1196,    -1,   218,   116,   739,   890,  1196,    -1,   300,   225,
     890,    -1,   300,   225,   739,   890,    -1,   300,   116,   890,
      -1,   300,   116,   739,   890,    -1,   890,    -1,   739,   890,
      -1,   306,   740,   890,    -1,   351,   740,   890,    -1,   219,
     740,   890,    -1,   276,   740,   890,    -1,    92,  1043,   740,
     890,    -1,   365,  1043,   740,   890,    -1,  1043,   740,   890,
      -1,    99,   740,   890,    -1,   225,  1043,   740,   890,    -1,
     225,    99,   740,   890,    -1,   116,  1043,   740,   890,    -1,
     116,    99,   740,   890,    -1,   227,    -1,   247,    -1,   739,
      -1,    -1,   232,   743,   323,   746,   429,   747,   749,    -1,
     376,   743,   323,   746,   227,   747,   560,    -1,   376,   232,
     326,   222,   743,   323,   746,   227,   747,   560,    -1,   744,
      -1,    99,    -1,    99,   352,    -1,    99,   503,   607,   504,
      -1,    99,   352,   503,   607,   504,    -1,   745,    -1,   744,
     506,   745,    -1,   389,   606,    -1,   363,   606,    -1,   160,
     606,    -1,  1161,   606,    -1,  1030,    -1,   419,  1030,    -1,
     390,  1030,    -1,   224,   173,   472,  1032,    -1,   224,   393,
    1032,    -1,   229,   750,    -1,   174,  1032,    -1,   195,   725,
      -1,   274,  1032,    -1,   275,   318,   632,    -1,   384,  1032,
      -1,   421,  1032,    -1,   438,   725,    -1,    99,   420,   247,
     384,  1032,    -1,    99,   391,   247,   384,  1032,    -1,    99,
     230,   247,   384,  1032,    -1,   748,    -1,   747,   506,   748,
      -1,  1042,    -1,   235,  1042,    -1,   469,   232,   326,    -1,
      -1,   751,    -1,   750,   506,   751,    -1,  1039,   774,    -1,
     232,   744,   429,  1032,   754,   755,    -1,   376,   744,   227,
    1032,   755,   560,    -1,   376,    96,   326,   222,   744,   227,
    1032,   755,   560,    -1,   469,    96,   326,    -1,    -1,   233,
     125,  1042,    -1,    -1,   101,   180,   352,   757,   759,    -1,
     757,   758,    -1,    -1,   247,   384,  1032,    -1,   222,   378,
    1032,    -1,   222,   450,  1032,    -1,   232,   743,   323,   760,
     429,   747,   749,    -1,   376,   743,   323,   760,   227,   747,
     560,    -1,   376,   232,   326,   222,   743,   323,   760,   227,
     747,   560,    -1,   420,    -1,   230,    -1,   391,    -1,   439,
      -1,   160,   762,   250,   763,   764,   323,  1031,   765,   503,
     766,   504,   564,   620,   941,    -1,   444,    -1,    -1,   150,
      -1,    -1,  1037,    -1,    -1,   451,  1035,    -1,    -1,   767,
      -1,   766,   506,   767,    -1,  1161,   768,   769,   770,   771,
      -1,   973,   768,   769,   770,   771,    -1,   503,   970,   504,
     768,   769,   770,   771,    -1,   143,   726,    -1,    -1,   726,
      -1,   451,   726,    -1,    -1,   109,    -1,   188,    -1,    -1,
     487,    -1,   488,    -1,    -1,   160,   773,   229,  1039,   776,
     375,   781,   784,   788,    -1,   160,   773,   229,  1039,   776,
     375,   419,   503,   790,   504,   784,   788,    -1,   160,   773,
     229,  1039,   776,   784,   788,    -1,   328,   369,    -1,    -1,
     503,   775,   504,    -1,   503,   504,    -1,   778,    -1,   775,
     506,   778,    -1,   503,   777,   504,    -1,   503,   504,    -1,
     783,    -1,   777,   506,   783,    -1,   779,   780,   782,    -1,
     780,   779,   782,    -1,   780,   782,    -1,   779,   782,    -1,
     782,    -1,   247,    -1,   330,    -1,   257,    -1,   247,   330,
      -1,   459,    -1,  1162,    -1,   782,    -1,   946,    -1,  1162,
     727,   498,   438,    -1,   397,  1162,   727,   498,   438,    -1,
     778,    -1,   778,   180,   970,    -1,   778,   490,   970,    -1,
     786,    -1,   784,   786,    -1,   127,   323,   314,   258,    -1,
     375,   314,   323,   314,   258,    -1,   413,    -1,   245,    -1,
     405,    -1,   464,    -1,   214,   388,   184,    -1,   214,   388,
     267,    -1,   388,   184,    -1,   388,   267,    -1,   280,    -1,
     309,   280,    -1,   159,   631,    -1,   381,   631,    -1,   549,
      -1,   108,   787,    -1,   274,   546,    -1,   468,    -1,   785,
      -1,  1181,    -1,  1181,   506,  1181,    -1,   469,   697,    -1,
      -1,   780,   782,    -1,   789,    -1,   790,   506,   789,    -1,
     101,   229,   751,   792,   793,    -1,   785,    -1,   792,   785,
      -1,   373,    -1,    -1,   197,   229,  1039,   774,   560,    -1,
     197,   229,   242,   211,  1039,   774,   560,    -1,   197,    98,
    1039,   701,   560,    -1,   197,    98,   242,   211,  1039,   701,
     560,    -1,   197,   325,   798,   797,   560,    -1,   197,   325,
     242,   211,   798,   797,   560,    -1,   503,   946,   504,    -1,
     503,   946,   506,   946,   504,    -1,   503,   308,   506,   946,
     504,    -1,   503,   946,   506,   308,   504,    -1,   994,    -1,
    1161,   505,   798,    -1,   193,   800,    -1,   801,    -1,   800,
     801,    -1,  1181,    -1,   274,   546,    -1,   160,   131,   503,
     946,   108,   946,   504,   469,   229,   751,   803,    -1,   160,
     131,   503,   946,   108,   946,   504,   470,   229,   803,    -1,
     160,   131,   503,   946,   108,   946,   504,   469,   257,   803,
      -1,   108,   246,    -1,   108,   111,    -1,    -1,   197,   131,
     805,   503,   946,   108,   946,   504,   560,    -1,   242,   211,
      -1,    -1,   364,   807,  1031,   808,    -1,   364,   418,  1033,
     808,    -1,   364,   174,  1033,   808,    -1,   250,    -1,   419,
      -1,   223,    -1,    -1,   101,    98,  1039,   701,   367,   429,
    1033,    -1,   101,   144,   726,   367,   429,  1033,    -1,   101,
     157,   726,   367,   429,  1033,    -1,   101,   174,  1034,   367,
     429,  1034,    -1,   101,   195,   726,   367,   429,  1033,    -1,
     101,   195,   726,   367,   153,  1033,   429,  1033,    -1,   101,
     224,   173,   472,  1033,   367,   429,  1033,    -1,   101,   229,
     751,   367,   429,  1033,    -1,   101,   235,  1042,   367,   429,
    1042,    -1,   101,   640,   274,  1033,   367,   429,  1033,    -1,
     101,   325,   139,   726,   451,  1035,   367,   429,  1033,    -1,
     101,   325,   217,   726,   451,  1035,   367,   429,  1033,    -1,
     101,   384,  1033,   367,   429,  1033,    -1,   101,   393,  1033,
     367,   429,  1033,    -1,   101,   419,   937,   367,   429,  1033,
      -1,   101,   419,   242,   211,   937,   367,   429,  1033,    -1,
     101,   390,  1031,   367,   429,  1033,    -1,   101,   390,   242,
     211,  1031,   367,   429,  1033,    -1,   101,   463,  1031,   367,
     429,  1033,    -1,   101,   463,   242,   211,  1031,   367,   429,
    1033,    -1,   101,   250,  1031,   367,   429,  1033,    -1,   101,
     250,   242,   211,  1031,   367,   429,  1033,    -1,   101,   224,
     419,   937,   367,   429,  1033,    -1,   101,   224,   419,   242,
     211,   937,   367,   429,  1033,    -1,   101,   419,   937,   367,
     810,  1033,   429,  1033,    -1,   101,   419,   242,   211,   937,
     367,   810,  1033,   429,  1033,    -1,   101,   419,   937,   367,
     153,  1033,   429,  1033,    -1,   101,   224,   419,   937,   367,
     810,  1033,   429,  1033,    -1,   101,   224,   419,   242,   211,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   433,  1033,
     323,  1031,   367,   429,  1033,    -1,   101,   378,  1042,   367,
     429,  1042,    -1,   101,   450,  1042,   367,   429,  1042,    -1,
     101,   421,  1033,   367,   429,  1033,    -1,   101,   421,  1033,
     396,   563,    -1,   101,   421,  1033,   371,   563,    -1,   101,
     425,   386,   337,   726,   367,   429,  1033,    -1,   101,   425,
     386,   189,   726,   367,   429,  1033,    -1,   101,   425,   386,
     423,   726,   367,   429,  1033,    -1,   101,   425,   386,   151,
     726,   367,   429,  1033,    -1,   101,   438,   726,   367,   429,
    1033,    -1,   101,   438,   726,   367,   114,  1033,   429,  1033,
     560,    -1,   145,    -1,    -1,   396,   173,    -1,    -1,   101,
      98,  1039,   701,   396,   384,  1033,    -1,   101,   144,   726,
     396,   384,  1033,    -1,   101,   157,   726,   396,   384,  1033,
      -1,   101,   195,   726,   396,   384,  1033,    -1,   101,   213,
     726,   396,   384,  1033,    -1,   101,   229,   751,   396,   384,
    1033,    -1,   101,   325,   798,   797,   396,   384,  1033,    -1,
     101,   325,   139,   726,   451,  1035,   396,   384,  1033,    -1,
     101,   325,   217,   726,   451,  1035,   396,   384,  1033,    -1,
     101,   419,   937,   396,   384,  1033,    -1,   101,   419,   242,
     211,   937,   396,   384,  1033,    -1,   101,   425,   386,   337,
     726,   396,   384,  1033,    -1,   101,   425,   386,   189,   726,
     396,   384,  1033,    -1,   101,   425,   386,   423,   726,   396,
     384,  1033,    -1,   101,   425,   386,   151,   726,   396,   384,
    1033,    -1,   101,   390,  1031,   396,   384,  1033,    -1,   101,
     390,   242,   211,  1031,   396,   384,  1033,    -1,   101,   463,
    1031,   396,   384,  1033,    -1,   101,   463,   242,   211,  1031,
     396,   384,  1033,    -1,   101,   224,   419,   937,   396,   384,
    1033,    -1,   101,   224,   419,   242,   211,   937,   396,   384,
    1033,    -1,   101,   438,   726,   396,   384,  1033,    -1,   101,
      98,  1039,   701,   336,   429,  1042,    -1,   101,   144,   726,
     336,   429,  1042,    -1,   101,   157,   726,   336,   429,  1042,
      -1,   101,   174,  1034,   336,   429,  1042,    -1,   101,   195,
     726,   336,   429,  1042,    -1,   101,   229,   751,   336,   429,
    1042,    -1,   101,   640,   274,  1033,   336,   429,  1042,    -1,
     101,   275,   318,   631,   336,   429,  1042,    -1,   101,   325,
     798,   797,   336,   429,  1042,    -1,   101,   325,   139,   726,
     451,  1035,   336,   429,  1042,    -1,   101,   325,   217,   726,
     451,  1035,   336,   429,  1042,    -1,   101,   384,  1033,   336,
     429,  1042,    -1,   101,   438,   726,   336,   429,  1042,    -1,
     101,   421,  1033,   336,   429,  1042,    -1,   101,   425,   386,
     189,   726,   336,   429,  1042,    -1,   101,   425,   386,   151,
     726,   336,   429,  1042,    -1,   101,   224,   173,   472,  1033,
     336,   429,  1042,    -1,   101,   393,  1033,   336,   429,  1042,
      -1,   160,   773,   382,  1033,   108,   323,   819,   429,  1031,
     941,   193,   820,   815,    -1,   310,    -1,   817,    -1,   503,
     816,   504,    -1,   816,   507,   818,    -1,   818,    -1,   893,
      -1,   871,    -1,   882,    -1,   876,    -1,   822,    -1,   817,
      -1,    -1,   389,    -1,   449,    -1,   185,    -1,   260,    -1,
     261,    -1,   100,    -1,    -1,   197,   382,  1033,   323,   726,
     560,    -1,   197,   382,   242,   211,  1033,   323,   726,   560,
      -1,   311,  1161,   823,    -1,   506,  1181,    -1,    -1,   286,
    1161,    -1,   446,  1161,    -1,   446,   496,    -1,    91,   827,
      -1,   118,   827,   830,    -1,   407,   431,   830,    -1,   148,
     827,    -1,   203,   827,    -1,   379,   827,    -1,   383,  1161,
      -1,   366,   383,  1161,    -1,   366,  1161,    -1,   379,   827,
     429,   383,  1161,    -1,   379,   827,   429,  1161,    -1,   348,
     431,  1181,    -1,   148,   349,  1181,    -1,   379,   349,  1181,
      -1,   471,    -1,   431,    -1,    -1,   270,   283,   542,    -1,
     357,   324,    -1,   357,   473,    -1,   182,    -1,   309,   182,
      -1,   828,    -1,   829,   506,   828,    -1,   829,   828,    -1,
     829,    -1,    -1,   160,   587,   463,  1031,   606,   564,   108,
     893,   832,    -1,   160,   328,   369,   587,   463,  1031,   606,
     564,   108,   893,   832,    -1,   469,   137,   326,    -1,   469,
     129,   137,   326,    -1,   469,   288,   137,   326,    -1,    -1,
     287,  1038,    -1,   160,   174,  1034,   515,   835,    -1,   835,
     836,    -1,    -1,   421,   837,  1033,    -1,   421,   837,   180,
      -1,   291,   837,  1181,    -1,   291,   837,   180,    -1,   423,
     837,  1033,    -1,   423,   837,   180,    -1,   201,   837,  1181,
      -1,   201,   837,  1041,    -1,   201,   837,   180,    -1,   277,
     837,  1181,    -1,   277,   837,   180,    -1,   278,   837,  1181,
      -1,   278,   837,   180,    -1,   152,   285,   837,  1043,    -1,
     336,   837,  1033,    -1,   336,   837,   180,    -1,   490,    -1,
      -1,   101,   174,  1034,   515,   840,    -1,   101,   174,  1034,
     396,   421,  1033,    -1,   101,   174,  1034,   548,    -1,   840,
     841,    -1,    -1,   152,   285,   837,  1043,    -1,   197,   174,
    1034,    -1,   197,   174,   242,   211,  1034,    -1,   160,   195,
     726,   845,   946,   596,    -1,   101,   195,   726,   559,    -1,
     101,   195,   726,   197,   309,   314,    -1,   101,   195,   726,
     396,   309,   314,    -1,   101,   195,   726,    95,   603,    -1,
     101,   195,   726,   197,   153,  1033,   560,    -1,   101,   195,
     726,   197,   153,   242,   211,  1033,   560,    -1,   101,   195,
     726,   454,   153,  1033,    -1,   108,    -1,    -1,   101,   425,
     386,   189,   726,   697,    -1,   101,   425,   386,   151,   726,
      95,   293,   222,  1032,   469,   725,    -1,   101,   425,   386,
     151,   726,   101,   293,   222,  1032,   469,   725,    -1,   101,
     425,   386,   151,   726,   101,   293,   369,   726,   469,   726,
      -1,   101,   425,   386,   151,   726,   101,   293,   222,  1032,
     369,   726,   469,   726,    -1,   101,   425,   386,   151,   726,
     197,   293,   222,  1032,    -1,   101,   425,   386,   151,   726,
     197,   293,   242,   211,   222,  1032,    -1,   160,   711,   157,
     726,   222,  1181,   429,  1181,   227,   726,    -1,   141,   856,
    1031,   850,    -1,   141,   856,    -1,   141,   856,  1037,   323,
    1031,    -1,   451,  1037,    -1,    -1,   452,   857,   858,   856,
      -1,   452,   857,   858,   856,  1031,    -1,   452,   857,   858,
     856,   854,    -1,   452,   503,   852,   504,    -1,   452,   503,
     852,   504,  1031,   859,    -1,   853,    -1,   852,   506,   853,
      -1,   855,    -1,   461,    -1,   226,    -1,   228,    -1,   855,
     856,    -1,   855,   856,  1031,   859,    -1,   104,    -1,   103,
      -1,   461,    -1,    -1,   228,    -1,    -1,   226,    -1,    -1,
     503,  1032,   504,    -1,    -1,   212,   861,    -1,   212,   855,
     856,   861,    -1,   212,   461,   861,    -1,   212,   503,   862,
     504,   861,    -1,   893,    -1,   871,    -1,   882,    -1,   876,
      -1,   889,    -1,  1050,    -1,   869,    -1,   863,    -1,   862,
     506,   863,    -1,   864,   865,    -1,  1161,    -1,   855,    -1,
     461,    -1,   543,    -1,   631,    -1,    -1,   348,  1069,   867,
     108,   868,    -1,   348,  1069,   227,  1114,    -1,   503,  1002,
     504,    -1,    -1,   893,    -1,   871,    -1,   882,    -1,   876,
      -1,   210,  1069,   870,  1193,    -1,   160,   587,   419,   623,
     108,   210,  1033,   870,   624,    -1,   503,   999,   504,    -1,
      -1,   901,   260,   266,  1031,   872,   875,    -1,   893,    -1,
     503,   873,   504,   893,    -1,   180,   457,    -1,   874,    -1,
     873,   506,   874,    -1,  1161,  1023,    -1,   374,  1028,  1194,
      -1,    -1,   901,   185,   227,   939,   877,   942,   875,    -1,
     451,   930,    -1,    -1,   292,   904,   938,   879,   881,    -1,
     247,   880,   298,    -1,    -1,    93,   398,    -1,   380,   398,
      -1,   380,   209,    -1,   398,   449,   209,    -1,   398,    -1,
     398,   380,   209,    -1,   209,    -1,    93,   209,    -1,   313,
      -1,    -1,   901,   449,   939,   396,   883,   929,   942,   875,
      -1,   884,    -1,   883,   506,   884,    -1,   885,    -1,   886,
      -1,   887,   490,  1025,    -1,   503,   888,   504,   490,  1027,
      -1,  1161,  1023,    -1,   887,    -1,   888,   506,   887,    -1,
     179,   890,   891,   171,   892,   222,   893,    -1,  1033,    -1,
    1174,    -1,    -1,   891,   307,   385,    -1,   891,   385,    -1,
     891,   121,    -1,   891,   259,    -1,    -1,   469,   239,    -1,
     470,   239,    -1,   895,    -1,   894,    -1,   503,   895,   504,
      -1,   503,   894,   504,    -1,   897,    -1,   896,   908,    -1,
     896,   907,   923,   912,    -1,   896,   907,   911,   924,    -1,
     898,   896,    -1,   898,   896,   908,    -1,   898,   896,   907,
     923,   912,    -1,   898,   896,   907,   911,   924,    -1,   897,
      -1,   894,    -1,   389,   906,  1028,   902,   929,   941,   921,
     922,   982,    -1,   928,    -1,   419,   937,    -1,   896,   443,
     905,   896,    -1,   896,   264,   905,   896,    -1,   896,   206,
     905,   896,    -1,   469,   899,    -1,   469,   361,   899,    -1,
     900,    -1,   899,   506,   900,    -1,  1033,   859,   108,   503,
     868,   504,    -1,   898,    -1,    -1,   266,   903,    -1,  1194,
      -1,    -1,   424,   904,  1031,    -1,   422,   904,  1031,    -1,
     288,   424,   904,  1031,    -1,   288,   422,   904,  1031,    -1,
     231,   424,   904,  1031,    -1,   231,   422,   904,  1031,    -1,
     447,   904,  1031,    -1,   419,  1031,    -1,  1031,    -1,   419,
      -1,    -1,    99,    -1,   192,    -1,    -1,   192,    -1,   192,
     323,   503,   999,   504,    -1,    99,    -1,    -1,   908,    -1,
      -1,   329,   125,   909,    -1,   910,    -1,   909,   506,   910,
      -1,   970,   451,   997,   771,    -1,   970,   770,   771,    -1,
     913,   914,    -1,   914,   913,    -1,   913,    -1,   914,    -1,
     911,    -1,    -1,   285,   915,    -1,   285,   915,   506,   916,
      -1,   218,   920,   917,   919,   324,    -1,   321,   916,    -1,
     321,   918,   919,    -1,   970,    -1,    99,    -1,   970,    -1,
    1043,    -1,   503,   970,   504,    -1,    -1,   972,    -1,   380,
      -1,   381,    -1,   219,    -1,   306,    -1,   235,   125,   999,
      -1,    -1,   237,   970,    -1,    -1,   925,    -1,   222,   357,
     324,    -1,   923,    -1,    -1,   926,    -1,   925,   926,    -1,
     222,   449,   927,   881,    -1,   222,   398,   927,   881,    -1,
     319,  1030,    -1,    -1,   457,  1027,    -1,   928,   506,  1027,
      -1,   227,   930,    -1,    -1,   931,    -1,   930,   506,   931,
      -1,   937,    -1,   937,   933,    -1,   940,    -1,   940,   933,
      -1,   940,   108,   503,   944,   504,    -1,   940,   108,  1161,
     503,   944,   504,    -1,   940,  1161,   503,   944,   504,    -1,
     894,    -1,   894,   933,    -1,   932,    -1,   503,   932,   504,
     933,    -1,   503,   932,   504,    -1,   931,   161,   271,   931,
      -1,   931,   934,   271,   931,   936,    -1,   931,   271,   931,
     936,    -1,   931,   304,   934,   271,   931,    -1,   931,   304,
     271,   931,    -1,   108,  1161,   503,  1032,   504,    -1,   108,
    1161,    -1,  1161,   503,  1032,   504,    -1,  1161,    -1,   228,
     935,    -1,   282,   935,    -1,   377,   935,    -1,   256,    -1,
     331,    -1,    -1,   451,   503,  1032,   504,    -1,   323,   970,
      -1,  1031,    -1,  1031,   496,    -1,   324,  1031,    -1,   324,
     503,  1031,   504,    -1,   937,    -1,   938,   506,   937,    -1,
     937,    -1,   937,  1161,    -1,   937,   108,  1161,    -1,   973,
      -1,   466,   970,    -1,    -1,   466,   970,    -1,   466,   163,
     319,   890,    -1,    -1,   944,    -1,    -1,   945,    -1,   944,
     506,   945,    -1,  1161,   946,   561,    -1,   948,   947,    -1,
     397,   948,   947,    -1,   948,   107,   501,  1041,   502,    -1,
     397,   948,   107,   501,  1041,   502,    -1,   948,   107,    -1,
     397,   948,   107,    -1,   947,   501,   502,    -1,   947,   501,
    1192,   502,    -1,    -1,   950,    -1,   952,    -1,   954,    -1,
     958,    -1,   965,    -1,   966,   968,    -1,   966,   503,  1041,
     504,   968,    -1,   952,    -1,   955,    -1,   959,    -1,   965,
      -1,  1162,   951,    -1,  1162,   727,   951,    -1,   503,   999,
     504,    -1,    -1,   262,    -1,   263,    -1,   402,    -1,   120,
      -1,   358,    -1,   220,   953,    -1,   196,   346,    -1,   178,
     951,    -1,   177,   951,    -1,   317,   951,    -1,   123,    -1,
     503,  1041,   504,    -1,    -1,   956,    -1,   957,    -1,   956,
      -1,   957,    -1,   122,   963,   503,   999,   504,    -1,   122,
     963,    -1,   960,    -1,   961,    -1,   960,    -1,   961,    -1,
     962,   503,  1041,   504,   964,    -1,   962,   964,    -1,   135,
     963,    -1,   134,   963,    -1,   458,    -1,   303,   135,   963,
      -1,   303,   134,   963,    -1,   305,   963,    -1,   460,    -1,
      -1,   135,   396,  1161,    -1,    -1,   428,   503,  1041,   504,
     967,    -1,   428,   967,    -1,   427,   503,  1041,   504,   967,
      -1,   427,   967,    -1,   265,    -1,   489,   486,    -1,   470,
     427,   486,    -1,    -1,   484,    -1,   299,    -1,   175,    -1,
     240,    -1,   296,    -1,   969,    -1,   484,   429,   299,    -1,
     175,   429,   240,    -1,   175,   429,   296,    -1,   175,   429,
     969,    -1,   240,   429,   296,    -1,   240,   429,   969,    -1,
     296,   429,   969,    -1,    -1,   387,    -1,   387,   503,  1041,
     504,    -1,   972,    -1,   970,    88,   946,    -1,   970,   143,
     726,    -1,   970,   113,   427,   486,   970,    -1,   494,   970,
      -1,   495,   970,    -1,   970,   494,   970,    -1,   970,   495,
     970,    -1,   970,   496,   970,    -1,   970,   497,   970,    -1,
     970,   498,   970,    -1,   970,   499,   970,    -1,   970,   491,
     970,    -1,   970,   492,   970,    -1,   970,   490,   970,    -1,
     970,   996,   970,    -1,   996,   970,    -1,   970,   996,    -1,
     970,   105,   970,    -1,   970,   328,   970,    -1,   309,   970,
      -1,   970,   284,   970,    -1,   970,   284,   970,   205,   970,
      -1,   970,   309,   284,   970,    -1,   970,   309,   284,   970,
     205,   970,    -1,   970,   243,   970,    -1,   970,   243,   970,
     205,   970,    -1,   970,   309,   243,   970,    -1,   970,   309,
     243,   970,   205,   970,    -1,   970,   400,   429,   970,    -1,
     970,   400,   429,   970,   205,   970,    -1,   970,   309,   400,
     429,   970,    -1,   970,   309,   400,   429,   970,   205,   970,
      -1,   970,   268,   314,    -1,   970,   269,    -1,   970,   268,
     309,   314,    -1,   970,   312,    -1,   992,   333,   992,    -1,
     970,   268,   435,    -1,   970,   268,   309,   435,    -1,   970,
     268,   216,    -1,   970,   268,   309,   216,    -1,   970,   268,
     445,    -1,   970,   268,   309,   445,    -1,   970,   268,   192,
     227,   970,    -1,   970,   268,   309,   192,   227,   970,    -1,
     970,   268,   319,   503,  1002,   504,    -1,   970,   268,   309,
     319,   503,  1002,   504,    -1,   970,   119,  1024,   971,   105,
     971,    -1,   970,   309,   119,  1024,   971,   105,   971,    -1,
     970,   119,   416,   971,   105,   971,    -1,   970,   309,   119,
     416,   971,   105,   971,    -1,   970,   247,  1014,    -1,   970,
     309,   247,  1014,    -1,   970,   998,   993,   894,    -1,   970,
     998,   993,   503,   970,   504,    -1,   444,   894,    -1,   970,
     268,   194,    -1,   970,   268,   309,   194,    -1,   972,    -1,
     971,    88,   946,    -1,   494,   971,    -1,   495,   971,    -1,
     971,   494,   971,    -1,   971,   495,   971,    -1,   971,   496,
     971,    -1,   971,   497,   971,    -1,   971,   498,   971,    -1,
     971,   499,   971,    -1,   971,   491,   971,    -1,   971,   492,
     971,    -1,   971,   490,   971,    -1,   971,   996,   971,    -1,
     996,   971,    -1,   971,   996,    -1,   971,   268,   192,   227,
     971,    -1,   971,   268,   309,   192,   227,   971,    -1,   971,
     268,   319,   503,  1002,   504,    -1,   971,   268,   309,   319,
     503,  1002,   504,    -1,   971,   268,   194,    -1,   971,   268,
     309,   194,    -1,  1020,    -1,  1040,    -1,  1178,  1023,    -1,
     503,   970,   504,  1023,    -1,  1015,    -1,   973,    -1,   894,
      -1,   211,   894,    -1,   107,   894,    -1,   107,  1003,    -1,
     992,    -1,  1039,   503,   504,   985,    -1,  1039,   503,  1000,
     504,   985,    -1,  1039,   503,   459,  1001,   504,   985,    -1,
    1039,   503,  1000,   506,   459,  1001,   504,   985,    -1,  1039,
     503,  1000,   908,   504,   985,    -1,  1039,   503,    99,  1000,
     907,   504,   985,    -1,  1039,   503,   192,  1000,   907,   504,
     985,    -1,  1039,   503,   496,   504,   985,    -1,   144,   222,
     503,   970,   504,    -1,   165,    -1,   168,    -1,   168,   503,
    1041,   504,    -1,   169,    -1,   169,   503,  1041,   504,    -1,
     289,    -1,   289,   503,  1041,   504,    -1,   290,    -1,   290,
     503,  1041,   504,    -1,   166,    -1,   170,    -1,   395,    -1,
     450,    -1,   164,    -1,   167,    -1,   131,   503,   970,   108,
     946,   504,    -1,   215,   503,  1005,   504,    -1,   334,   503,
    1007,   504,    -1,   344,   503,  1009,   504,    -1,   415,   503,
    1010,   504,    -1,   432,   503,   970,   108,   946,   504,    -1,
     434,   503,   124,  1013,   504,    -1,   434,   503,   279,  1013,
     504,    -1,   434,   503,   430,  1013,   504,    -1,   434,   503,
    1013,   504,    -1,   315,   503,   970,   506,   970,   504,    -1,
     142,   503,   999,   504,    -1,   234,   503,   999,   504,    -1,
     281,   503,   999,   504,    -1,   476,   503,   999,   504,    -1,
     477,   503,   301,  1163,   504,    -1,   477,   503,   301,  1163,
     506,   976,   504,    -1,   477,   503,   301,  1163,   506,   999,
     504,    -1,   477,   503,   301,  1163,   506,   976,   506,   999,
     504,    -1,   478,   503,   972,   981,   504,    -1,   479,   503,
     977,   504,    -1,   480,   503,   979,   970,   980,   504,    -1,
     481,   503,   301,  1163,   504,    -1,   481,   503,   301,  1163,
     506,   970,   504,    -1,   482,   503,   970,   506,   974,   975,
     504,    -1,   483,   503,   979,   970,   108,   948,   504,    -1,
     462,   970,    -1,   462,   307,   456,    -1,   506,   406,   485,
      -1,   506,   406,   307,    -1,   506,   406,   307,   456,    -1,
      -1,   475,   503,   977,   504,    -1,   978,    -1,   977,   506,
     978,    -1,   970,   108,  1163,    -1,   970,    -1,   194,    -1,
     155,    -1,   347,   467,    -1,   414,   467,    -1,    -1,   340,
     972,    -1,   340,   972,   125,   362,    -1,   340,   125,   362,
     972,    -1,   340,   125,   362,   972,   125,   362,    -1,   468,
     983,    -1,    -1,   984,    -1,   983,   506,   984,    -1,  1161,
     108,   986,    -1,   332,   986,    -1,   332,  1161,    -1,    -1,
     503,   987,   988,   907,   989,   504,    -1,  1161,    -1,    -1,
     339,   125,   999,    -1,    -1,   356,   990,    -1,   381,   990,
      -1,    -1,   991,    -1,   119,   991,   105,   991,    -1,   440,
     345,    -1,   440,   221,    -1,   163,   380,    -1,   970,   345,
      -1,   970,   221,    -1,   380,   503,   999,   504,    -1,   380,
     503,   504,    -1,   503,   999,   506,   970,   504,    -1,   106,
      -1,   404,    -1,    99,    -1,    85,    -1,   995,    -1,   494,
      -1,   495,    -1,   496,    -1,   497,    -1,   498,    -1,   499,
      -1,   491,    -1,   492,    -1,   490,    -1,    85,    -1,   325,
     503,   798,   504,    -1,   994,    -1,   325,   503,   798,   504,
      -1,   994,    -1,   325,   503,   798,   504,    -1,   284,    -1,
     309,   284,    -1,   243,    -1,   309,   243,    -1,   970,    -1,
     999,   506,   970,    -1,  1001,    -1,  1000,   506,  1001,    -1,
     970,    -1,   780,    90,   970,    -1,   946,    -1,  1002,   506,
     946,    -1,   501,   999,   502,    -1,   501,  1004,   502,    -1,
     501,   502,    -1,  1003,    -1,  1004,   506,  1003,    -1,  1006,
     227,   970,    -1,    -1,  1183,    -1,   484,    -1,   299,    -1,
     175,    -1,   240,    -1,   296,    -1,   387,    -1,  1181,    -1,
     970,  1008,  1011,  1012,    -1,   970,  1008,  1011,    -1,   342,
     970,    -1,   971,   247,   971,    -1,    -1,   970,  1011,  1012,
      -1,   970,  1012,  1011,    -1,   970,  1011,    -1,   970,  1012,
      -1,   999,    -1,    -1,   227,   970,    -1,   222,   970,    -1,
     970,   227,   999,    -1,   227,   999,    -1,   999,    -1,   894,
      -1,   503,   999,   504,    -1,   130,  1019,  1016,  1018,   203,
      -1,  1017,    -1,  1016,  1017,    -1,   465,   970,   426,   970,
      -1,   199,   970,    -1,    -1,   970,    -1,    -1,  1161,    -1,
    1161,  1022,    -1,   505,  1036,    -1,   505,   496,    -1,   501,
     970,   502,    -1,   501,   970,   508,   970,   502,    -1,  1021,
      -1,  1022,  1021,    -1,    -1,  1023,  1021,    -1,   112,    -1,
      -1,   970,    -1,   180,    -1,  1025,    -1,  1026,   506,  1025,
      -1,   503,  1026,   504,    -1,  1029,    -1,  1028,   506,  1029,
      -1,   970,   108,  1163,    -1,   970,  1183,    -1,   970,    -1,
     496,    -1,  1031,    -1,  1030,   506,  1031,    -1,  1161,    -1,
    1161,  1022,    -1,  1033,    -1,  1032,   506,  1033,    -1,  1161,
      -1,  1161,    -1,  1161,    -1,  1163,    -1,  1161,    -1,  1181,
      -1,  1162,    -1,  1161,  1022,    -1,  1041,    -1,  1180,    -1,
    1181,    -1,  1179,    -1,    84,    -1,  1039,  1181,    -1,  1039,
     503,  1000,   504,  1181,    -1,   949,  1181,    -1,   966,  1181,
     968,    -1,   966,   503,  1041,   504,  1181,   968,    -1,   435,
      -1,   216,    -1,   314,    -1,  1175,    -1,  1173,    -1,    86,
      -1,  1161,    -1,  1041,    -1,  1175,    -1,   494,  1041,    -1,
     495,  1041,    -1,    91,    -1,    92,    -1,    93,    -1,    94,
      -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,   100,
      -1,   101,    -1,   102,    -1,   110,    -1,   111,    -1,   113,
      -1,   114,    -1,   116,    -1,   117,    -1,   118,    -1,   125,
      -1,   126,    -1,   127,    -1,   128,    -1,   129,    -1,   132,
      -1,   133,    -1,   136,    -1,   138,    -1,   139,    -1,   140,
      -1,   141,    -1,   146,    -1,   147,    -1,   148,    -1,   149,
      -1,   151,    -1,   154,    -1,   155,    -1,   156,    -1,   157,
      -1,   158,    -1,   159,    -1,   162,    -1,   171,    -1,   172,
      -1,   173,    -1,   174,    -1,   176,    -1,   179,    -1,   181,
      -1,   183,    -1,   184,    -1,   185,    -1,   186,    -1,   187,
      -1,   189,    -1,   190,    -1,   191,    -1,   194,    -1,   195,
      -1,   196,    -1,   197,    -1,   198,    -1,   200,    -1,   201,
      -1,   202,    -1,   204,    -1,   205,    -1,   207,    -1,   208,
      -1,   209,    -1,   210,    -1,   212,    -1,   213,    -1,   214,
      -1,   217,    -1,   219,    -1,   221,    -1,   223,    -1,   225,
      -1,   229,    -1,   230,    -1,   231,    -1,   233,    -1,   236,
      -1,   238,    -1,   239,    -1,   241,    -1,   242,    -1,   244,
      -1,   245,    -1,   246,    -1,   248,    -1,   249,    -1,   250,
      -1,   251,    -1,   252,    -1,   253,    -1,   255,    -1,   259,
      -1,   260,    -1,   261,    -1,   267,    -1,   270,    -1,   272,
      -1,   273,    -1,   274,    -1,   275,    -1,   276,    -1,   277,
      -1,   278,    -1,   280,    -1,   283,    -1,   286,    -1,   287,
      -1,   288,    -1,   291,    -1,   292,    -1,   293,    -1,   294,
      -1,   295,    -1,   297,    -1,   298,    -1,   300,    -1,   301,
      -1,   302,    -1,   306,    -1,   307,    -1,   310,    -1,   311,
      -1,   313,    -1,   316,    -1,   318,    -1,   319,    -1,   320,
      -1,   322,    -1,   325,    -1,   326,    -1,   327,    -1,   335,
      -1,   336,    -1,   337,    -1,   338,    -1,   339,    -1,   340,
      -1,   341,    -1,   343,    -1,   345,    -1,   348,    -1,   349,
      -1,   347,    -1,   351,    -1,   352,    -1,   353,    -1,   354,
      -1,   355,    -1,   356,    -1,   357,    -1,   359,    -1,   360,
      -1,   361,    -1,   362,    -1,   364,    -1,   365,    -1,   366,
      -1,   367,    -1,   368,    -1,   369,    -1,   370,    -1,   371,
      -1,   372,    -1,   373,    -1,   375,    -1,   376,    -1,   378,
      -1,   379,    -1,   381,    -1,   382,    -1,   383,    -1,   384,
      -1,   385,    -1,   386,    -1,   388,    -1,   390,    -1,   391,
      -1,   392,    -1,   393,    -1,   394,    -1,   396,    -1,   398,
      -1,   399,    -1,   401,    -1,   403,    -1,   405,    -1,   406,
      -1,   407,    -1,   408,    -1,   409,    -1,   410,    -1,   411,
      -1,   412,    -1,   413,    -1,   414,    -1,   417,    -1,   418,
      -1,   420,    -1,   421,    -1,   422,    -1,   423,    -1,   424,
      -1,   425,    -1,   431,    -1,   433,    -1,   436,    -1,   437,
      -1,   438,    -1,   439,    -1,   440,    -1,   441,    -1,   442,
      -1,   445,    -1,   446,    -1,   447,    -1,   448,    -1,   449,
      -1,   452,    -1,   453,    -1,   454,    -1,   455,    -1,   456,
      -1,   460,    -1,   462,    -1,   463,    -1,   464,    -1,   467,
      -1,   470,    -1,   471,    -1,   472,    -1,   473,    -1,   474,
      -1,   485,    -1,   486,    -1,   119,    -1,   120,    -1,   122,
      -1,   123,    -1,   135,    -1,   142,    -1,   177,    -1,   178,
      -1,   211,    -1,   215,    -1,   220,    -1,   234,    -1,   257,
      -1,   263,    -1,   265,    -1,   281,    -1,   303,    -1,   305,
      -1,   308,    -1,   315,    -1,   317,    -1,   330,    -1,   334,
      -1,   344,    -1,   346,    -1,   358,    -1,   380,    -1,   397,
      -1,   402,    -1,   415,    -1,   427,    -1,   428,    -1,   432,
      -1,   434,    -1,   458,    -1,   475,    -1,   476,    -1,   477,
      -1,   478,    -1,   479,    -1,   480,    -1,   481,    -1,   482,
      -1,   483,    -1,   115,    -1,   121,    -1,   150,    -1,   161,
      -1,   167,    -1,   226,    -1,   228,    -1,   243,    -1,   256,
      -1,   268,    -1,   269,    -1,   271,    -1,   282,    -1,   284,
      -1,   304,    -1,   312,    -1,   331,    -1,   332,    -1,   333,
      -1,   377,    -1,   400,    -1,   461,    -1,    99,    -1,   103,
      -1,   104,    -1,   105,    -1,   106,    -1,   107,    -1,   108,
      -1,   109,    -1,   112,    -1,   124,    -1,   130,    -1,   131,
      -1,   137,    -1,   143,    -1,   144,    -1,   145,    -1,   153,
      -1,   160,    -1,   164,    -1,   165,    -1,   166,    -1,   168,
      -1,   169,    -1,   170,    -1,   180,    -1,   182,    -1,   188,
      -1,   192,    -1,   193,    -1,   199,    -1,   203,    -1,   206,
      -1,   216,    -1,   218,    -1,   222,    -1,   224,    -1,   227,
      -1,   232,    -1,   235,    -1,   237,    -1,   247,    -1,   254,
      -1,   264,    -1,   266,    -1,   279,    -1,   285,    -1,   289,
      -1,   290,    -1,   309,    -1,   314,    -1,   321,    -1,   323,
      -1,   324,    -1,   328,    -1,   329,    -1,   342,    -1,   350,
      -1,   363,    -1,   374,    -1,   389,    -1,   395,    -1,   404,
      -1,   416,    -1,   419,    -1,   426,    -1,   430,    -1,   435,
      -1,   444,    -1,   450,    -1,   451,    -1,   459,    -1,   465,
      -1,   466,    -1,   468,    -1,   469,    -1,    -1,  1048,  1049,
      -1,  1170,  1052,   513,   507,    -1,  1170,   513,   507,    -1,
    1170,  1072,    -1,  1077,    -1,  1189,    -1,    73,    -1,   509,
      -1,   510,    -1,    -1,   160,   587,   419,   623,   108,  1051,
     893,   624,    -1,   113,  1113,    -1,     9,   429,  1054,  1061,
    1062,    -1,     9,   429,   180,    -1,     9,  1063,    -1,   174,
    1054,    -1,  1055,  1058,  1060,    -1,  1056,   508,  1057,  1060,
     497,  1055,  1066,    -1,  1065,    -1,  1181,    -1,  1034,    -1,
      -1,  1183,  1177,    -1,    85,  1059,    -1,  1057,    -1,    -1,
    1161,    -1,  1161,   505,  1059,    -1,    74,    -1,   508,  1041,
      -1,    -1,   108,  1113,    -1,    -1,   450,  1063,    -1,    -1,
    1064,    -1,  1064,   497,  1064,    -1,  1064,    21,   125,  1064,
      -1,  1064,   451,  1064,    -1,  1042,    -1,  1181,    -1,  1175,
      -1,  1177,    -1,    85,  1067,    -1,    -1,  1161,  1068,    -1,
    1161,  1068,    85,  1067,    -1,    -1,   490,  1041,    -1,   490,
    1183,    -1,   490,  1175,    -1,  1033,    -1,  1065,    -1,   179,
     890,   891,   171,   892,   222,  1069,    -1,   210,   244,  1114,
      -1,  1073,    -1,  1084,    -1,  1086,    -1,   631,    -1,   506,
     631,    -1,    -1,   968,    -1,   484,   429,   296,    -1,   484,
     429,   387,    -1,   175,   429,   175,    -1,   299,   429,   299,
      -1,    -1,  1079,  1078,  1081,  1080,    -1,  1170,   118,   179,
      34,   507,    -1,  1170,   203,   179,    34,   507,    -1,    -1,
    1082,    -1,  1073,    -1,    73,    -1,  1082,  1073,    -1,  1082,
      73,    -1,  1086,    -1,  1083,  1086,    -1,    -1,    70,  1085,
    1093,  1109,  1165,   947,   507,    -1,    -1,  1090,  1093,  1087,
    1106,   507,    -1,    -1,  1093,  1088,  1106,   507,    -1,  1096,
     507,    -1,   508,  1041,    -1,    -1,  1091,  1092,    -1,  1091,
      -1,  1092,    -1,    56,    -1,    67,    -1,    65,    -1,    50,
      -1,    51,    -1,    69,    -1,  1102,    -1,  1098,    -1,  1094,
      -1,  1165,   503,  1074,  1075,   504,    -1,  1165,  1076,    -1,
    1100,    -1,   204,  1159,  1095,    -1,   204,  1095,    -1,   204,
    1159,    -1,   509,  1187,   510,    -1,    -1,  1100,  1097,   509,
    1083,   510,    -1,  1096,    -1,    -1,  1101,  1099,   509,  1083,
     510,    -1,    43,  1159,    -1,   443,  1159,    -1,    43,    -1,
     443,    -1,  1103,    -1,  1105,  1104,    -1,    44,    35,    -1,
      44,    35,   262,    -1,    44,    -1,    44,   262,    -1,    44,
      25,    -1,    44,    25,   262,    -1,    44,    25,    25,    -1,
      44,    25,    25,   262,    -1,    44,   134,    -1,    35,    -1,
      35,   262,    -1,   262,    -1,    25,    -1,    25,   262,    -1,
      25,    25,    -1,    25,    25,   262,    -1,     5,    -1,   134,
      -1,   196,    -1,    36,    -1,    -1,  1107,    -1,  1106,   506,
    1107,    -1,  1109,  1164,   947,  1089,  1108,    -1,    -1,   490,
    1188,    -1,    -1,   496,    -1,   496,   496,    -1,   179,   408,
    1183,    -1,    15,  1112,    -1,  1113,    -1,   163,    -1,    99,
      -1,    -1,  1034,    -1,   180,    -1,  1065,    -1,  1065,    -1,
      71,    -1,    17,   890,    -1,    17,    99,    -1,    28,   890,
    1117,    -1,    -1,  1118,    -1,   451,  1122,    -1,  1119,    -1,
     451,    37,    14,  1184,    -1,   451,    14,  1033,    -1,   266,
      37,    14,  1184,    -1,   266,    14,  1033,    -1,   266,  1033,
      -1,  1123,    -1,  1123,   506,  1122,    -1,  1124,    -1,  1175,
      -1,  1173,    -1,  1041,    -1,   494,  1041,    -1,   495,  1041,
      -1,  1180,    -1,   494,  1180,    -1,   495,  1180,    -1,  1181,
      -1,  1179,    -1,  1182,    -1,    13,   258,  1069,  1119,    -1,
      13,  1126,  1069,  1119,    -1,    13,  1126,  1069,  1120,    -1,
      13,   258,  1069,  1121,    -1,    13,  1126,  1069,  1121,    -1,
      29,    -1,    -1,     3,    14,  1184,    -1,   176,    14,  1184,
      -1,    18,    14,  1184,  1130,    -1,  1131,    -1,  1130,   506,
    1131,    -1,  1177,   490,  1136,    -1,   396,    14,  1184,  1133,
      -1,  1134,    -1,  1133,   506,  1134,    -1,  1136,   490,  1135,
      -1,  1041,    -1,  1177,    -1,    10,    -1,    18,    14,  1184,
     456,  1135,  1138,    -1,  1139,    -1,  1138,   506,  1139,    -1,
    1177,   490,  1144,    -1,   396,    14,  1184,   456,  1135,  1141,
      -1,  1142,    -1,  1141,   506,  1142,    -1,  1144,   490,  1143,
      -1,  1180,    -1,  1135,    -1,   495,  1180,    -1,   495,  1041,
      -1,  1181,    -1,     8,    -1,   173,    -1,    11,    -1,    12,
      -1,    22,    -1,    23,    -1,    24,    -1,   301,    -1,    26,
      -1,    27,    -1,   346,    -1,    31,    -1,    32,    -1,    33,
      -1,   438,    -1,   396,     4,   490,  1146,    -1,   396,     4,
     429,  1146,    -1,   323,    -1,   320,    -1,   396,   152,   429,
    1113,    -1,   396,   152,   490,  1113,    -1,   396,   152,  1113,
      -1,    -1,   438,  1149,  1165,   268,  1093,   947,  1150,    -1,
      30,    -1,    -1,    -1,    45,  1152,  1163,   268,  1093,   947,
    1150,    -1,    46,    38,  1154,    -1,    46,   309,    16,  1154,
      -1,    46,    40,  1154,    -1,   156,    -1,    39,    -1,    42,
      -1,    20,  1033,    -1,    19,   429,  1033,    -1,   193,  1033,
     503,  1171,   504,    -1,   193,     6,    -1,     7,  1033,   503,
    1171,   504,    -1,     7,  1033,    -1,  1156,    -1,  1157,    -1,
       6,    -1,     7,    -1,     8,    -1,    10,    -1,    11,    -1,
      12,    -1,    16,    -1,    19,    -1,    20,    -1,    21,    -1,
      22,    -1,    23,    -1,    24,    -1,    26,    -1,    27,    -1,
      31,    -1,    32,    -1,    33,    -1,    34,    -1,    37,    -1,
      38,    -1,    39,    -1,    40,    -1,    42,    -1,     9,    -1,
      13,    -1,    15,    -1,    28,    -1,    45,    -1,    46,    -1,
       5,    -1,    25,    -1,    29,    -1,    35,    -1,    43,    -1,
      36,    -1,    44,    -1,  1163,    -1,  1183,    -1,  1044,    -1,
    1045,    -1,  1168,    -1,  1155,    -1,  1166,    -1,   134,    -1,
     457,    -1,  1183,    -1,  1167,    -1,  1045,    -1,  1155,    -1,
    1166,    -1,   134,    -1,   457,    -1,  1183,    -1,  1167,    -1,
    1046,    -1,  1155,    -1,  1166,    -1,  1158,    -1,  1164,    -1,
    1158,    -1,   134,    -1,   163,    -1,   258,    -1,   262,    -1,
     429,    -1,   443,    -1,   457,    -1,  1166,    -1,  1168,    -1,
    1165,    -1,  1044,    -1,  1047,    -1,  1157,    -1,   152,    -1,
    1183,    -1,  1045,    -1,  1046,    -1,  1156,    -1,    50,    -1,
      51,    -1,    56,    -1,    65,    -1,    67,    -1,    70,    -1,
      69,    -1,  1044,    -1,  1168,    -1,   152,    -1,   175,    -1,
     240,    -1,   296,    -1,   299,    -1,   387,    -1,   484,    -1,
    1172,    -1,  1169,   506,  1172,    -1,    41,    -1,    -1,  1187,
      -1,  1177,  1176,    -1,  1177,    -1,  1177,  1176,    -1,  1065,
      -1,  1177,    -1,  1177,    -1,    22,  1177,    -1,    22,  1033,
      -1,    72,    -1,    87,    -1,    83,    -1,    81,    -1,    82,
      -1,    76,    -1,    77,    -1,    78,    -1,    75,    -1,    84,
      -1,    80,    -1,    71,    -1,    79,    -1,  1033,    -1,  1065,
      -1,  1190,    -1,   503,   504,    -1,   503,  1186,   504,    -1,
    1185,    -1,  1186,  1185,    -1,  1188,    -1,  1187,   506,  1188,
      -1,  1186,    -1,   509,  1187,   510,    -1,  1190,    -1,   503,
      -1,   504,    -1,   506,    -1,   507,    -1,  1183,    -1,  1041,
      -1,  1180,    -1,  1181,    -1,   496,    -1,   494,    -1,   495,
      -1,   497,    -1,   498,    -1,   314,    -1,    47,    -1,    48,
      -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,    53,
      -1,    54,    -1,    55,    -1,    56,    -1,    57,    -1,    58,
      -1,    60,    -1,    59,    -1,    61,    -1,    62,    -1,    63,
      -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,    68,
      -1,    70,    -1,    69,    -1,     5,    -1,   204,    -1,   240,
      -1,   262,    -1,    25,    -1,   296,    -1,   299,    -1,   387,
      -1,    35,    -1,    36,    -1,    43,    -1,    44,    -1,   484,
      -1,   134,    -1,   220,    -1,   429,    -1,   443,    -1,   458,
      -1,   501,    -1,   502,    -1,   490,    -1,   508,    -1,   176,
    1069,    -1,   176,   348,  1069,    -1,   176,    99,    -1,   176,
     348,    99,    -1,  1041,    -1,   503,  1192,   504,    -1,  1192,
     494,  1192,    -1,  1192,   495,  1192,    -1,  1192,   496,  1192,
      -1,  1192,   497,  1192,    -1,  1192,   498,  1192,    -1,  1181,
      -1,  1161,    -1,    -1,  1118,  1194,    -1,  1194,  1118,    -1,
    1118,    -1,  1194,    -1,   266,  1169,    -1,  1120,    -1,  1194,
      -1,  1119,    -1,    -1,  1195,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1464,  1464,  1467,  1469,  1471,  1473,  1475,  1477,  1479,
    1481,  1483,  1485,  1487,  1489,  1491,  1493,  1495,  1497,  1499,
    1501,  1503,  1505,  1507,  1509,  1511,  1513,  1515,  1517,  1519,
    1537,  1539,  1541,  1543,  1545,  1547,  1549,  1551,  1553,  1555,
    1557,  1559,  1561,  1563,  1565,  1567,  1569,  1571,  1573,  1575,
    1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,  1593,  1597,
    1599,  1601,  1603,  1605,  1607,  1609,  1611,  1613,  1615,  1617,
    1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,  1635,  1637,
    1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,  1655,  1657,
    1659,  1661,  1663,  1670,  1672,  1674,  1676,  1678,  1680,  1682,
    1684,  1686,  1688,  1690,  1692,  1698,  1700,  1702,  1704,  1706,
    1708,  1710,  1712,  1714,  1720,  1730,  1734,  1740,  1744,  1754,
    1764,  1765,  1779,  1786,  1792,  1803,  1809,  1818,  1825,  1831,
    1840,  1847,  1855,  1860,  1868,  1873,  1879,  1884,  1890,  1895,
    1901,  1905,  1909,  1913,  1917,  1921,  1925,  1929,  1933,  1941,
    1945,  1949,  1953,  1957,  1961,  1969,  1977,  1986,  1988,  1996,
    2004,  2012,  2020,  2024,  2032,  2036,  2044,  2052,  2060,  2064,
    2072,  2076,  2084,  2088,  2096,  2101,  2107,  2112,  2118,  2122,
    2126,  2130,  2134,  2138,  2146,  2150,  2154,  2162,  2166,  2170,
    2178,  2182,  2186,  2190,  2194,  2198,  2202,  2207,  2211,  2215,
    2219,  2223,  2227,  2231,  2239,  2243,  2251,  2255,  2263,  2267,
    2281,  2285,  2289,  2293,  2301,  2305,  2309,  2313,  2321,  2325,
    2329,  2333,  2337,  2341,  2345,  2353,  2357,  2362,  2368,  2372,
    2380,  2384,  2388,  2392,  2396,  2404,  2408,  2416,  2420,  2428,
    2432,  2436,  2440,  2444,  2453,  2461,  2465,  2473,  2477,  2485,
    2493,  2497,  2501,  2505,  2513,  2517,  2521,  2525,  2529,  2533,
    2537,  2541,  2549,  2553,  2561,  2565,  2569,  2573,  2577,  2581,
    2585,  2589,  2593,  2597,  2601,  2605,  2609,  2613,  2617,  2621,
    2625,  2629,  2633,  2637,  2641,  2645,  2649,  2653,  2657,  2661,
    2665,  2669,  2673,  2677,  2681,  2685,  2689,  2693,  2697,  2701,
    2705,  2709,  2713,  2717,  2721,  2725,  2733,  2737,  2745,  2749,
    2754,  2760,  2765,  2771,  2776,  2782,  2790,  2795,  2801,  2805,
    2813,  2817,  2821,  2825,  2833,  2841,  2845,  2853,  2857,  2861,
    2865,  2873,  2878,  2886,  2897,  2908,  2912,  2920,  2924,  2928,
    2936,  2940,  2948,  2953,  2959,  2963,  2967,  2971,  2975,  2979,
    2983,  2987,  2991,  2995,  2999,  3003,  3011,  3016,  3022,  3027,
    3033,  3038,  3044,  3049,  3055,  3059,  3067,  3075,  3079,  3083,
    3087,  3092,  3098,  3102,  3110,  3118,  3122,  3126,  3130,  3138,
    3142,  3146,  3150,  3154,  3158,  3162,  3167,  3173,  3178,  3184,
    3189,  3195,  3199,  3207,  3211,  3219,  3223,  3227,  3235,  3239,
    3247,  3255,  3263,  3268,  3274,  3278,  3282,  3286,  3294,  3298,
    3302,  3306,  3310,  3314,  3318,  3326,  3330,  3334,  3338,  3346,
    3354,  3358,  3363,  3369,  3373,  3377,  3381,  3385,  3389,  3397,
    3401,  3409,  3413,  3417,  3421,  3425,  3429,  3433,  3441,  3446,
    3452,  3457,  3463,  3467,  3475,  3483,  3487,  3492,  3497,  3503,
    3507,  3515,  3519,  3527,  3532,  3538,  3542,  3546,  3550,  3555,
    3561,  3569,  3577,  3581,  3585,  3589,  3593,  3601,  3606,  3612,
    3616,  3620,  3625,  3631,  3635,  3639,  3644,  3650,  3655,  3661,
    3666,  3672,  3680,  3688,  3692,  3697,  3703,  3711,  3715,  3723,
    3728,  3734,  3738,  3746,  3750,  3754,  3758,  3762,  3766,  3770,
    3774,  3778,  3782,  3786,  3790,  3798,  3803,  3809,  3813,  3817,
    3825,  3829,  3837,  3841,  3849,  3854,  3860,  3864,  3872,  3877,
    3883,  3887,  3895,  3900,  3906,  3910,  3918,  3923,  3929,  3937,
    3942,  3948,  3952,  3960,  3964,  3972,  3977,  3983,  3987,  3991,
    3999,  4007,  4012,  4018,  4026,  4030,  4034,  4038,  4042,  4046,
    4050,  4054,  4058,  4062,  4066,  4070,  4074,  4078,  4082,  4086,
    4090,  4094,  4098,  4102,  4106,  4110,  4118,  4126,  4130,  4134,
    4138,  4146,  4150,  4158,  4163,  4169,  4173,  4181,  4185,  4193,
    4198,  4204,  4208,  4216,  4224,  4228,  4236,  4240,  4244,  4248,
    4256,  4264,  4272,  4280,  4288,  4293,  4299,  4303,  4311,  4316,
    4322,  4326,  4334,  4338,  4342,  4350,  4354,  4362,  4366,  4374,
    4378,  4386,  4394,  4398,  4406,  4414,  4418,  4422,  4430,  4434,
    4442,  4450,  4454,  4462,  4466,  4470,  4478,  4482,  4490,  4494,
    4498,  4502,  4506,  4514,  4519,  4525,  4530,  4536,  4540,  4548,
    4553,  4559,  4563,  4568,  4574,  4578,  4582,  4586,  4594,  4599,
    4606,  4608,  4616,  4620,  4624,  4628,  4632,  4640,  4644,  4652,
    4661,  4670,  4674,  4678,  4682,  4686,  4690,  4694,  4698,  4702,
    4706,  4710,  4714,  4718,  4722,  4730,  4738,  4742,  4750,  4754,
    4762,  4766,  4770,  4774,  4778,  4786,  4790,  4798,  4806,  4810,
    4818,  4826,  4831,  4837,  4841,  4849,  4853,  4857,  4865,  4873,
    4877,  4885,  4889,  4893,  4897,  4901,  4909,  4914,  4920,  4925,
    4931,  4935,  4940,  4946,  4952,  4958,  4966,  4970,  4978,  4982,
    4990,  4994,  5002,  5006,  5014,  5018,  5026,  5034,  5042,  5046,
    5050,  5054,  5062,  5066,  5070,  5074,  5078,  5082,  5086,  5090,
    5094,  5098,  5102,  5106,  5110,  5114,  5118,  5126,  5130,  5138,
    5142,  5150,  5154,  5162,  5170,  5174,  5179,  5185,  5189,  5193,
    5197,  5201,  5205,  5209,  5213,  5217,  5221,  5225,  5229,  5233,
    5237,  5241,  5245,  5249,  5257,  5261,  5265,  5269,  5273,  5277,
    5281,  5285,  5289,  5293,  5297,  5301,  5305,  5309,  5313,  5317,
    5321,  5329,  5333,  5341,  5345,  5349,  5353,  5357,  5365,  5370,
    5376,  5380,  5384,  5388,  5392,  5396,  5400,  5404,  5408,  5412,
    5416,  5424,  5428,  5436,  5440,  5444,  5448,  5454,  5460,  5466,
    5472,  5478,  5484,  5490,  5500,  5511,  5522,  5533,  5544,  5555,
    5566,  5582,  5598,  5614,  5625,  5641,  5652,  5668,  5683,  5687,
    5695,  5700,  5706,  5714,  5718,  5726,  5730,  5734,  5738,  5742,
    5750,  5754,  5762,  5766,  5770,  5774,  5782,  5786,  5790,  5794,
    5798,  5802,  5806,  5810,  5814,  5818,  5822,  5826,  5830,  5834,
    5838,  5842,  5850,  5854,  5862,  5866,  5874,  5879,  5885,  5889,
    5897,  5905,  5913,  5917,  5925,  5930,  5936,  5941,  5947,  5955,
    5960,  5966,  5970,  5974,  5982,  5986,  5990,  5998,  6002,  6006,
    6010,  6018,  6026,  6031,  6037,  6042,  6048,  6053,  6059,  6064,
    6070,  6074,  6082,  6086,  6090,  6098,  6103,  6109,  6113,  6118,
    6124,  6128,  6133,  6139,  6143,  6148,  6154,  6158,  6162,  6170,
    6175,  6181,  6185,  6193,  6197,  6205,  6209,  6217,  6221,  6229,
    6233,  6237,  6241,  6245,  6253,  6257,  6261,  6265,  6269,  6277,
    6285,  6293,  6297,  6301,  6309,  6313,  6317,  6325,  6329,  6337,
    6341,  6345,  6349,  6353,  6357,  6361,  6365,  6369,  6373,  6377,
    6381,  6385,  6389,  6393,  6401,  6405,  6409,  6413,  6421,  6425,
    6433,  6438,  6444,  6452,  6456,  6464,  6472,  6476,  6484,  6489,
    6495,  6499,  6507,  6511,  6519,  6523,  6531,  6535,  6539,  6543,
    6551,  6555,  6563,  6571,  6575,  6583,  6587,  6595,  6599,  6603,
    6611,  6615,  6620,  6626,  6634,  6639,  6645,  6649,  6653,  6661,
    6665,  6673,  6678,  6684,  6688,  6692,  6696,  6700,  6704,  6708,
    6712,  6716,  6720,  6724,  6728,  6732,  6736,  6740,  6744,  6748,
    6752,  6756,  6760,  6764,  6768,  6772,  6776,  6780,  6784,  6788,
    6792,  6796,  6800,  6804,  6808,  6812,  6816,  6820,  6824,  6828,
    6832,  6836,  6840,  6844,  6852,  6857,  6863,  6868,  6874,  6878,
    6882,  6886,  6890,  6894,  6898,  6902,  6906,  6910,  6914,  6918,
    6922,  6926,  6930,  6934,  6938,  6942,  6946,  6950,  6954,  6958,
    6966,  6970,  6974,  6978,  6982,  6986,  6990,  6994,  6998,  7002,
    7006,  7010,  7014,  7018,  7022,  7026,  7030,  7034,  7042,  7050,
    7054,  7058,  7066,  7070,  7078,  7082,  7086,  7090,  7094,  7102,
    7107,  7113,  7117,  7121,  7125,  7133,  7137,  7142,  7148,  7152,
    7160,  7168,  7173,  7179,  7187,  7191,  7199,  7203,  7207,  7211,
    7215,  7219,  7223,  7227,  7231,  7235,  7239,  7243,  7247,  7251,
    7259,  7263,  7268,  7274,  7278,  7282,  7286,  7290,  7298,  7302,
    7306,  7314,  7319,  7325,  7329,  7337,  7342,  7347,  7353,  7359,
    7367,  7375,  7380,  7386,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7454,
    7459,  7465,  7469,  7477,  7485,  7490,  7496,  7504,  7508,  7516,
    7524,  7528,  7532,  7536,  7540,  7544,  7548,  7556,  7561,  7567,
    7575,  7579,  7583,  7587,  7591,  7595,  7603,  7611,  7615,  7619,
    7627,  7632,  7638,  7642,  7646,  7650,  7654,  7662,  7666,  7674,
    7678,  7682,  7686,  7694,  7698,  7706,  7710,  7718,  7723,  7729,
    7734,  7740,  7745,  7751,  7756,  7762,  7766,  7770,  7774,  7782,
    7786,  7790,  7794,  7798,  7802,  7806,  7814,  7818,  7826,  7834,
    7838,  7842,  7850,  7854,  7859,  7865,  7871,  7881,  7886,  7892,
    7896,  7900,  7904,  7912,  7914,  7922,  7927,  7933,  7941,  7945,
    7949,  7957,  7961,  7969,  7977,  7982,  7988,  7996,  8001,  8007,
    8015,  8020,  8026,  8030,  8034,  8038,  8042,  8046,  8050,  8054,
    8062,  8067,  8073,  8081,  8085,  8093,  8097,  8105,  8113,  8121,
    8129,  8133,  8141,  8194,  8198,  8211,  8213,  8217,  8221,  8225,
    8234,  8240,  8244,  8252,  8256,  8264,  8268,  8276,  8280,  8284,
    8288,  8292,  8296,  8300,  8304,  8312,  8316,  8324,  8328,  8332,
    8336,  8340,  8344,  8352,  8356,  8364,  8368,  8376,  8384,  8389,
    8395,  8400,  8402,  8408,  8412,  8416,  8420,  8424,  8428,  8432,
    8436,  8440,  8448,  8453,  8459,  8463,  8468,  8474,  8478,  8482,
    8487,  8493,  8498,  8504,  8512,  8516,  8524,  8528,  8536,  8540,
    8544,  8548,  8556,  8561,  8567,  8571,  8576,  8584,  8588,  8596,
    8600,  8608,  8616,  8620,  8625,  8631,  8639,  8643,  8651,  8655,
    8663,  8668,  8674,  8679,  8685,  8689,  8697,  8702,  8708,  8712,
    8720,  8724,  8732,  8737,  8743,  8747,  8755,  8760,  8766,  8770,
    8778,  8782,  8786,  8790,  8794,  8798,  8802,  8806,  8812,  8816,
    8820,  8828,  8832,  8836,  8840,  8844,  8848,  8856,  8860,  8864,
    8868,  8876,  8880,  8884,  8888,  8896,  8901,  8907,  8911,  8919,
    8923,  8927,  8931,  8939,  8943,  8951,  8955,  8959,  8967,  8975,
    8980,  8986,  8990,  8996,  9002,  9007,  9013,  9017,  9025,  9033,
    9035,  9037,  9041,  9045,  9049,  9057,  9067,  9078,  9087,  9091,
    9095,  9099,  9103,  9107,  9111,  9119,  9123,  9127,  9131,  9139,
    9143,  9151,  9156,  9162,  9166,  9170,  9174,  9178,  9182,  9186,
    9190,  9194,  9198,  9202,  9210,  9215,  9221,  9225,  9233,  9237,
    9245,  9253,  9261,  9265,  9273,  9277,  9285,  9293,  9301,  9305,
    9309,  9313,  9317,  9321,  9329,  9334,  9340,  9345,  9351,  9355,
    9359,  9363,  9371,  9379,  9383,  9388,  9394,  9398,  9402,  9406,
    9410,  9414,  9418,  9422,  9426,  9430,  9434,  9438,  9442,  9447,
    9453,  9457,  9465,  9469,  9473,  9477,  9481,  9485,  9489,  9493,
    9497,  9501,  9505,  9509,  9513,  9517,  9521,  9525,  9529,  9533,
    9537,  9541,  9545,  9549,  9553,  9557,  9561,  9565,  9569,  9573,
    9577,  9581,  9585,  9589,  9593,  9597,  9601,  9605,  9609,  9613,
    9617,  9621,  9625,  9629,  9633,  9637,  9641,  9645,  9649,  9653,
    9657,  9661,  9665,  9669,  9673,  9677,  9681,  9685,  9689,  9694,
    9698,  9706,  9710,  9714,  9718,  9722,  9726,  9730,  9734,  9738,
    9742,  9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,
    9782,  9786,  9790,  9798,  9802,  9806,  9810,  9814,  9818,  9822,
    9826,  9830,  9834,  9838,  9846,  9850,  9854,  9858,  9862,  9866,
    9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,  9902,  9906,
    9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,  9942,  9946,
    9950,  9954,  9958,  9962,  9966,  9970,  9974,  9978,  9982,  9986,
    9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018, 10022, 10026,
   10030, 10034, 10038, 10042, 10050, 10054, 10062, 10066, 10070, 10075,
   10081, 10089, 10093, 10101, 10105, 10113, 10117, 10125, 10129, 10134,
   10140, 10144, 10148, 10152, 10160, 10165, 10171, 10175, 10183, 10191,
   10195, 10200, 10206, 10214, 10218, 10225, 10230, 10236, 10241, 10246,
   10252, 10256, 10264, 10268, 10272, 10276, 10280, 10288, 10292, 10296,
   10304, 10308, 10312, 10320, 10324, 10332, 10336, 10340, 10344, 10348,
   10352, 10356, 10360, 10364, 10372, 10376, 10384, 10388, 10396, 10400,
   10404, 10408, 10412, 10416, 10424, 10428, 10436, 10440, 10448, 10452,
   10460, 10464, 10472, 10476, 10480, 10488, 10492, 10500, 10505, 10511,
   10515, 10519, 10523, 10527, 10531, 10535, 10539, 10547, 10551, 10559,
   10567, 10572, 10578, 10582, 10586, 10590, 10594, 10599, 10605, 10613,
   10621, 10625, 10629, 10637, 10641, 10649, 10657, 10661, 10669, 10677,
   10682, 10688, 10693, 10699, 10703, 10711, 10715, 10719, 10723, 10731,
   10735, 10744, 10746, 10754, 10759, 10765, 10769, 10777, 10781, 10789,
   10797, 10801, 10809, 10813, 10817, 10821, 10829, 10833, 10841, 10845,
   10853, 10857, 10865, 10873, 10881, 10889, 10897, 10905, 10913, 10917,
   10925, 10929, 10933, 10937, 10941, 10945, 10949, 10953, 10957, 10961,
   10965, 10969, 10973, 10977, 10978, 10983, 10989, 10997, 11001, 11002,
   11006, 11014, 11018, 11022, 11026, 11030, 11034, 11038, 11042, 11046,
   11050, 11054, 11058, 11062, 11066, 11070, 11074, 11078, 11082, 11086,
   11090, 11094, 11098, 11102, 11106, 11110, 11114, 11118, 11122, 11126,
   11130, 11134, 11138, 11142, 11146, 11150, 11154, 11158, 11162, 11166,
   11170, 11174, 11178, 11182, 11186, 11190, 11194, 11198, 11202, 11206,
   11210, 11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11246,
   11250, 11254, 11258, 11262, 11266, 11270, 11274, 11278, 11282, 11286,
   11290, 11294, 11298, 11302, 11306, 11310, 11314, 11318, 11322, 11326,
   11330, 11334, 11338, 11342, 11346, 11350, 11354, 11358, 11362, 11366,
   11370, 11374, 11378, 11382, 11386, 11390, 11394, 11398, 11402, 11406,
   11410, 11414, 11418, 11422, 11426, 11430, 11434, 11438, 11442, 11446,
   11450, 11454, 11458, 11462, 11466, 11470, 11474, 11478, 11482, 11486,
   11490, 11494, 11498, 11502, 11506, 11510, 11514, 11518, 11522, 11526,
   11530, 11534, 11538, 11542, 11546, 11550, 11554, 11558, 11562, 11566,
   11570, 11574, 11578, 11582, 11586, 11590, 11594, 11598, 11602, 11606,
   11610, 11614, 11618, 11622, 11626, 11630, 11634, 11638, 11642, 11646,
   11650, 11654, 11658, 11662, 11666, 11670, 11674, 11678, 11682, 11686,
   11690, 11694, 11698, 11702, 11706, 11710, 11714, 11718, 11722, 11726,
   11730, 11734, 11738, 11742, 11746, 11750, 11754, 11758, 11762, 11766,
   11770, 11774, 11778, 11782, 11786, 11790, 11794, 11798, 11802, 11806,
   11810, 11814, 11818, 11822, 11826, 11830, 11834, 11838, 11842, 11846,
   11850, 11854, 11858, 11862, 11866, 11870, 11874, 11878, 11882, 11886,
   11890, 11894, 11898, 11902, 11906, 11910, 11914, 11918, 11922, 11926,
   11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958, 11962, 11966,
   11970, 11974, 11982, 11986, 11990, 11994, 11998, 12002, 12006, 12010,
   12014, 12018, 12022, 12026, 12030, 12034, 12038, 12042, 12046, 12050,
   12054, 12058, 12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090,
   12094, 12098, 12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130,
   12134, 12138, 12142, 12146, 12150, 12154, 12162, 12166, 12170, 12174,
   12178, 12182, 12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214,
   12218, 12222, 12226, 12230, 12234, 12238, 12242, 12246, 12254, 12258,
   12262, 12266, 12270, 12274, 12278, 12282, 12286, 12290, 12294, 12298,
   12302, 12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338,
   12342, 12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378,
   12382, 12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418,
   12422, 12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12458,
   12462, 12466, 12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498,
   12502, 12506, 12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538,
   12542, 12546, 12550, 12560, 12561, 12564, 12565, 12566, 12572, 12573,
   12574, 12575, 12576, 12589, 12589, 12598, 12613, 12615, 12618, 12620,
   12624, 12636, 12652, 12656, 12667, 12668, 12671, 12683, 12692, 12693,
   12696, 12697, 12698, 12701, 12702, 12705, 12706, 12709, 12710, 12713,
   12715, 12717, 12719, 12723, 12730, 12737, 12753, 12787, 12797, 12800,
   12804, 12817, 12818, 12820, 12822, 12826, 12840, 12847, 12908, 12917,
   12919, 12920, 12923, 12925, 12926, 12929, 12930, 12931, 12932, 12933,
   12940, 12939, 12949, 12951, 12953, 12954, 12957, 12958, 12959, 12960,
   12963, 12964, 12968, 12967, 12984, 12982, 12998, 12997, 13011, 13017,
   13018, 13021, 13023, 13024, 13027, 13028, 13029, 13030, 13033, 13034,
   13037, 13045, 13062, 13070, 13093, 13199, 13233, 13235, 13237, 13241,
   13245, 13244, 13295, 13297, 13296, 13311, 13317, 13324, 13329, 13335,
   13336, 13339, 13340, 13341, 13342, 13343, 13344, 13345, 13353, 13361,
   13364, 13365, 13366, 13367, 13368, 13369, 13377, 13385, 13386, 13387,
   13390, 13391, 13394, 13396, 13400, 13488, 13489, 13496, 13497, 13498,
   13504, 13513, 13516, 13517, 13518, 13519, 13522, 13523, 13524, 13527,
   13529, 13537, 13538, 13544, 13552, 13553, 13556, 13557, 13560, 13565,
   13572, 13577, 13584, 13591, 13591, 13593, 13600, 13601, 13604, 13605,
   13606, 13607, 13608, 13609, 13610, 13611, 13612, 13618, 13625, 13637,
   13643, 13650, 13658, 13659, 13671, 13682, 13693, 13697, 13698, 13701,
   13706, 13710, 13711, 13714, 13720, 13728, 13734, 13741, 13745, 13746,
   13749, 13752, 13756, 13757, 13760, 13766, 13775, 13780, 13790, 13800,
   13812, 13813, 13814, 13815, 13816, 13817, 13818, 13819, 13820, 13821,
   13822, 13823, 13824, 13825, 13826, 13833, 13834, 13837, 13838, 13845,
   13846, 13847, 13854, 13853, 13870, 13871, 13878, 13877, 13947, 13953,
   13959, 13967, 13973, 13979, 13985, 13991, 13997, 14003, 14009, 14015,
   14026, 14027, 14030, 14031, 14032, 14033, 14034, 14035, 14036, 14037,
   14038, 14039, 14040, 14041, 14042, 14043, 14044, 14045, 14046, 14047,
   14048, 14049, 14050, 14051, 14052, 14053, 14056, 14057, 14058, 14059,
   14060, 14061, 14065, 14066, 14067, 14068, 14069, 14070, 14071, 14074,
   14077, 14078, 14079, 14080, 14081, 14082, 14083, 14084, 14097, 14098,
   14099, 14100, 14101, 14102, 14103, 14108, 14109, 14110, 14111, 14112,
   14113, 14119, 14120, 14121, 14122, 14123, 14124, 14125, 14126, 14127,
   14128, 14129, 14132, 14133, 14134, 14135, 14136, 14139, 14140, 14141,
   14142, 14145, 14146, 14147, 14148, 14149, 14150, 14151, 14168, 14169,
   14170, 14173, 14174, 14175, 14176, 14177, 14178, 14182, 14182, 14185,
   14191, 14192, 14195, 14197, 14202, 14212, 14223, 14230, 14231, 14232,
   14235, 14268, 14270, 14272, 14275, 14285, 14295, 14305, 14306, 14309,
   14311, 14312, 14313, 14316, 14318, 14326, 14327, 14328, 14332, 14333,
   14337, 14338, 14341, 14342, 14345, 14346, 14347, 14348, 14349, 14352,
   14353, 14354, 14355, 14356, 14357, 14358, 14359, 14360, 14361, 14362,
   14363, 14364, 14365, 14366, 14367, 14368, 14369, 14370, 14371, 14372,
   14373, 14374, 14375, 14376, 14377, 14378, 14379, 14380, 14381, 14382,
   14383, 14384, 14385, 14386, 14387, 14388, 14389, 14390, 14391, 14392,
   14393, 14394, 14395, 14396, 14397, 14398, 14399, 14400, 14401, 14402,
   14403, 14404, 14405, 14406, 14407, 14410, 14411, 14412, 14413, 14416,
   14417, 14418, 14419, 14420, 14421, 14422, 14423, 14424, 14427, 14428,
   14429, 14430, 14431, 14434, 14435, 14438, 14439, 14450, 14451
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
      61,    60,    62,   745,    43,    45,    42,    47,    37,    94,
     746,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   511,   512,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     524,   525,   526,   526,   527,   527,   528,   529,   530,   530,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   539,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   543,   543,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   546,   546,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   552,   553,   553,   554,
     555,   555,   555,   555,   556,   556,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     560,   561,   561,   562,   562,   563,   564,   564,   565,   565,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   584,   584,   585,   586,   586,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   592,   593,   593,
     594,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     598,   598,   598,   598,   598,   599,   599,   599,   599,   600,
     601,   601,   601,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   613,   613,
     614,   615,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   618,   618,   619,   619,   619,   619,   620,   620,   621,
     621,   622,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   639,   640,   640,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   646,
     647,   648,   648,   649,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   651,   652,   652,   652,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   658,   659,   660,   660,   661,   661,   661,   661,
     662,   663,   664,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   675,   676,   677,   677,   677,   678,   678,
     679,   680,   680,   681,   681,   681,   682,   682,   683,   683,
     683,   683,   683,   684,   684,   685,   685,   686,   686,   687,
     687,   688,   688,   688,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   692,   692,   692,   693,   693,   694,
     695,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   697,   698,   698,   699,   699,
     700,   700,   700,   700,   700,   701,   701,   702,   703,   703,
     704,   705,   705,   706,   706,   707,   707,   707,   708,   709,
     709,   710,   710,   710,   710,   710,   711,   711,   712,   712,
     713,   713,   713,   714,   714,   715,   716,   716,   717,   717,
     718,   718,   719,   719,   720,   720,   721,   722,   723,   723,
     723,   723,   724,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   728,   729,   729,   729,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   731,   731,   731,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   732,   732,   733,   733,   733,   733,   733,   734,   734,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   736,   736,   737,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     740,   740,   741,   742,   742,   743,   743,   743,   743,   743,
     744,   744,   745,   745,   745,   745,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   748,   748,   749,   749,   750,   750,
     751,   752,   753,   753,   754,   754,   755,   755,   756,   757,
     757,   758,   758,   758,   759,   759,   759,   760,   760,   760,
     760,   761,   762,   762,   763,   763,   764,   764,   765,   765,
     766,   766,   767,   767,   767,   768,   768,   769,   769,   769,
     770,   770,   770,   771,   771,   771,   772,   772,   772,   773,
     773,   774,   774,   775,   775,   776,   776,   777,   777,   778,
     778,   778,   778,   778,   779,   779,   779,   779,   779,   780,
     781,   782,   782,   782,   783,   783,   783,   784,   784,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   786,   786,   787,   787,
     788,   788,   789,   790,   790,   791,   792,   792,   793,   793,
     794,   794,   795,   795,   796,   796,   797,   797,   797,   797,
     798,   798,   799,   800,   800,   801,   801,   802,   802,   802,
     803,   803,   803,   804,   805,   805,   806,   806,   806,   807,
     807,   808,   808,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   810,   810,   811,   811,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   814,   815,
     815,   815,   816,   816,   817,   817,   817,   817,   817,   818,
     818,   819,   819,   819,   819,   820,   820,   820,   821,   821,
     822,   823,   823,   824,   825,   825,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     827,   827,   827,   828,   828,   828,   828,   828,   829,   829,
     829,   830,   830,   831,   831,   832,   832,   832,   832,   833,
     834,   835,   835,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   837,
     837,   838,   838,   839,   840,   840,   841,   842,   842,   843,
     844,   844,   844,   844,   844,   844,   844,   845,   845,   846,
     847,   847,   847,   847,   847,   847,   848,   849,   849,   849,
     850,   850,   851,   851,   851,   851,   851,   852,   852,   853,
     853,   853,   853,   854,   854,   855,   855,   856,   856,   857,
     857,   858,   858,   859,   859,   860,   860,   860,   860,   861,
     861,   861,   861,   861,   861,   861,   862,   862,   863,   864,
     864,   864,   865,   865,   865,   866,   866,   867,   867,   868,
     868,   868,   868,   869,   869,   870,   870,   871,   872,   872,
     872,   873,   873,   874,   875,   875,   876,   877,   877,   878,
     879,   879,   880,   880,   880,   880,   880,   880,   880,   880,
     881,   881,   882,   883,   883,   884,   884,   885,   886,   887,
     888,   888,   889,   890,   890,   891,   891,   891,   891,   891,
     892,   892,   892,   893,   893,   894,   894,   895,   895,   895,
     895,   895,   895,   895,   895,   896,   896,   897,   897,   897,
     897,   897,   897,   898,   898,   899,   899,   900,   901,   901,
     902,   902,   902,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   904,   904,   905,   905,   905,   906,   906,   906,
     906,   907,   907,   908,   909,   909,   910,   910,   911,   911,
     911,   911,   912,   912,   913,   913,   913,   914,   914,   915,
     915,   916,   917,   917,   917,   918,   919,   919,   920,   920,
     921,   921,   922,   922,   923,   923,   924,   924,   925,   925,
     926,   926,   927,   927,   928,   928,   929,   929,   930,   930,
     931,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   932,   932,   932,   932,   932,   932,   933,   933,   933,
     933,   934,   934,   934,   934,   935,   935,   936,   936,   937,
     937,   937,   937,   938,   938,   939,   939,   939,   940,   941,
     941,   942,   942,   942,   943,   943,   944,   944,   945,   946,
     946,   946,   946,   946,   946,   947,   947,   947,   948,   948,
     948,   948,   948,   948,   948,   949,   949,   949,   949,   950,
     950,   951,   951,   952,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   953,   953,   954,   954,   955,   955,
     956,   957,   958,   958,   959,   959,   960,   961,   962,   962,
     962,   962,   962,   962,   963,   963,   964,   964,   965,   965,
     965,   965,   966,   967,   967,   967,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     969,   969,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   974,   974,   975,   975,   975,   975,
     976,   977,   977,   978,   978,   979,   979,   980,   980,   980,
     981,   981,   981,   981,   982,   982,   983,   983,   984,   985,
     985,   985,   986,   987,   987,   988,   988,   989,   989,   989,
     990,   990,   991,   991,   991,   991,   991,   992,   992,   992,
     993,   993,   993,   994,   994,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   996,   996,   997,   997,   998,   998,
     998,   998,   998,   998,   999,   999,  1000,  1000,  1001,  1001,
    1002,  1002,  1003,  1003,  1003,  1004,  1004,  1005,  1005,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,  1008,
    1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,  1011,  1012,
    1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,  1017,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,  1021,  1022,
    1022,  1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,  1027,
    1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,
    1032,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1039,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1041,  1042,  1043,  1043,  1043,
    1043,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1048,  1048,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1051,  1050,  1052,  1053,  1053,  1053,  1053,
    1054,  1054,  1054,  1054,  1055,  1055,  1056,  1057,  1058,  1058,
    1059,  1059,  1059,  1060,  1060,  1061,  1061,  1062,  1062,  1063,
    1063,  1063,  1063,  1064,  1064,  1064,  1065,  1066,  1066,  1067,
    1067,  1068,  1068,  1068,  1068,  1069,  1069,  1070,  1071,  1072,
    1073,  1073,  1074,  1075,  1075,  1076,  1076,  1076,  1076,  1076,
    1078,  1077,  1079,  1080,  1081,  1081,  1082,  1082,  1082,  1082,
    1083,  1083,  1085,  1084,  1087,  1086,  1088,  1086,  1086,  1089,
    1089,  1090,  1090,  1090,  1091,  1091,  1091,  1091,  1092,  1092,
    1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,  1094,  1095,
    1097,  1096,  1098,  1099,  1098,  1100,  1100,  1101,  1101,  1102,
    1102,  1103,  1103,  1103,  1103,  1103,  1103,  1103,  1103,  1103,
    1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,
    1105,  1105,  1106,  1106,  1107,  1108,  1108,  1109,  1109,  1109,
    1110,  1111,  1112,  1112,  1112,  1112,  1113,  1113,  1113,  1114,
    1114,  1115,  1115,  1116,  1117,  1117,  1118,  1118,  1119,  1119,
    1120,  1120,  1121,  1122,  1122,  1123,  1123,  1123,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1125,  1125,  1125,
    1125,  1125,  1126,  1126,  1127,  1128,  1129,  1130,  1130,  1131,
    1132,  1133,  1133,  1134,  1135,  1135,  1136,  1137,  1138,  1138,
    1139,  1140,  1141,  1141,  1142,  1143,  1143,  1143,  1143,  1143,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,  1146,  1147,
    1147,  1147,  1149,  1148,  1150,  1150,  1152,  1151,  1153,  1153,
    1153,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1155,  1155,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1157,  1157,
    1157,  1157,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1159,
    1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,  1162,  1162,
    1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1164,  1164,  1164,  1164,  1164,  1165,  1165,  1165,
    1165,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1167,  1167,
    1167,  1168,  1168,  1168,  1168,  1168,  1168,  1169,  1169,  1170,
    1171,  1171,  1172,  1172,  1173,  1174,  1175,  1176,  1176,  1176,
    1177,  1178,  1179,  1180,  1181,  1181,  1181,  1181,  1181,  1182,
    1183,  1183,  1183,  1184,  1184,  1185,  1185,  1185,  1186,  1186,
    1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,  1189,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1191,  1191,  1191,  1191,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1193,  1193,
    1193,  1193,  1193,  1194,  1194,  1195,  1195,  1196,  1196
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     6,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     6,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       5,     2,     0,     2,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     6,     8,     8,     8,     8,
       6,     6,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,     8,    11,     3,     2,     1,
       3,     1,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     6,     8,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     5,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     1,     3,
       3,     1,     0,     1,     3,     6,     8,     8,    13,     1,
       3,     5,     6,     4,     7,     2,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     6,     8,     8,     1,     3,
       5,     5,     7,     9,     7,     9,     5,     6,     6,     4,
       5,     7,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       8,     8,     8,     8,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       3,     1,     1,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,     1,     0,     1,     0,     1,     0,     2,     0,
       1,     3,     5,     5,     7,     2,     0,     1,     2,     0,
       1,     1,     0,     1,     1,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     1,     2,     2,     1,     1,     1,     3,
       2,     0,     2,     1,     3,     5,     1,     2,     1,     0,
       5,     7,     5,     7,     5,     7,     3,     5,     5,     5,
       1,     3,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,     4,     4,     4,     1,
       1,     1,     0,     7,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     6,     6,     6,     8,     6,
       8,     6,     8,     6,     8,     7,     9,     8,    10,     8,
       9,    11,     8,     6,     6,     6,     5,     5,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     6,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,     3,     4,     4,     0,     2,
       5,     2,     0,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     4,     3,     3,     1,
       0,     5,     6,     4,     2,     0,     4,     3,     5,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     1,     0,     5,     4,     3,     0,     1,
       1,     1,     1,     4,     9,     3,     0,     6,     1,     4,
       2,     1,     3,     2,     3,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     8,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     6,     1,     0,
       2,     1,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       4,     4,     2,     0,     2,     3,     2,     0,     1,     3,
       1,     2,     1,     2,     5,     6,     5,     1,     2,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     1,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     5,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     2,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     1,     4,     5,     6,     8,     6,     7,
       7,     5,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     4,     4,     6,     2,     0,     1,     3,     3,     2,
       2,     0,     6,     1,     0,     3,     0,     2,     2,     0,
       1,     4,     2,     2,     2,     2,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       2,     0,     2,     1,     0,     1,     1,     1,     3,     3,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     5,     2,     3,     6,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     0,     2,
       2,     1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2253,     0,     2,     1,  2683,  2687,  2691,  2692,  2609,  2693,
    2694,  2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,
    2668,  2669,  2670,  2672,  2671,  2673,  2674,  2675,  2676,  2677,
    2678,  2679,  2680,  2682,  2681,  2631,  2260,  2628,  2625,  2626,
    2627,  2632,  2630,  2623,  2624,  1865,  2696,  2684,  2697,  2685,
    2686,  2688,  2689,  2658,  2690,  2698,  2699,  2700,  2695,  2703,
    2654,  2655,  2653,  2656,  2657,  2701,  2702,  2645,  2646,  2647,
    2648,  2704,  2261,  2262,  2650,  2254,  2258,  2320,  2391,  2651,
    2652,  2649,  2259,  2644,  2391,     0,  2512,  2513,  2514,     0,
    2515,  2516,  2517,  2443,  2405,  2518,     0,     0,  2519,  2520,
    2521,  2522,  2523,  2524,  2525,  2526,     0,  2527,  2528,  2529,
    2530,  2390,  2531,  2532,  2533,  2534,  2535,  2367,  2373,  2496,
       0,  2347,  2348,  2344,  2346,  2345,  2349,  2332,  1152,   527,
    1236,  1235,     0,  2156,  1152,  2112,  2113,  2157,  2114,  2115,
    2116,   249,     0,  1238,  2117,     0,  1152,  2158,   357,   930,
    2159,  2160,  2275,     0,  2118,  2119,     0,     0,     0,   527,
    1152,     0,     0,  2120,  1349,  2121,     0,  2122,  2161,  2162,
       0,  2123,  2163,  2164,  2124,  2125,  2126,  2165,  2166,  2167,
    2127,  2168,  2169,     0,     0,  1363,     0,  2128,  2170,  2129,
    2130,     0,  2171,  2131,  2132,  2133,  2172,  2173,  2174,  2134,
    2135,  2136,     0,  2137,     0,     0,     0,     0,     0,  2175,
    1152,  2138,     0,     0,  1370,     0,  2139,     0,  2176,  2140,
       0,  2141,     0,  2142,  2143,  2144,  2145,  1363,  2492,  2368,
       0,  1240,     0,  2146,  2177,     0,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,     0,     0,    54,    55,    21,
      20,    26,    25,    77,    78,    44,    14,    68,    49,   110,
     109,   111,    32,    28,    62,    18,    19,    29,    33,    51,
      50,    17,    48,    72,    52,    75,    39,     8,     9,    40,
      66,    10,    41,    67,    11,    42,    12,    56,    79,    24,
      53,    76,    35,    64,    60,     7,    45,    46,    47,    69,
      70,    71,    93,    74,   105,    31,   102,    83,    84,    99,
      85,   100,     5,    86,    43,    13,    96,    95,    97,    63,
      36,    65,    94,    98,    15,    16,   101,    73,    91,    88,
     106,   104,   112,    89,    57,     3,     4,    80,    38,     6,
      23,    22,    37,    30,   108,    27,  1238,    82,    92,    81,
      87,    61,    90,   107,    59,   103,  1336,  1323,  1372,  1335,
    1348,     0,  1338,  2588,  2589,    34,  1349,   114,   115,   120,
    2257,  2309,  2310,  2311,  2391,  2342,  2343,  2336,  2352,  2362,
    2351,  2355,  2363,  2350,  2369,     0,   117,   119,   121,   124,
     118,   113,   116,   123,   128,   122,   127,   125,   126,   129,
     130,   131,  2590,  1549,  2587,    58,  2327,  2326,     0,  2391,
       0,  2536,  2537,  2538,  2539,  2540,  2541,  2591,  2592,  2593,
    2594,  2595,  2597,  2596,  2620,  1871,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,  1885,
    1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,
    2563,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  2600,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,
    1914,  1915,  1916,  2601,  1917,  1918,  1919,  1920,  1921,  1922,
    1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,
    1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,  1955,  1956,  2602,  1957,  1958,  1959,  1960,  1961,
    1962,  1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,
    1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,
    1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  2603,
    1991,  1992,  2604,  1993,  1994,  1995,  1996,  1997,  1998,  1999,
    2000,  2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,
    2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2020,  2018,
    2019,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,
    2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,
    2050,  2051,  2605,  2052,  2053,  2054,  2055,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,
    2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,
    2079,  2080,  2275,  2081,  2082,  2083,  2084,  2085,  2086,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,  2099,  2564,  2100,  2101,  2102,  2103,  2104,  2105,  2106,
    2107,  2108,  2109,  2606,  2110,  2111,  2293,  2598,  2560,  2268,
    2289,  2561,  2510,  2511,  1866,  2562,  2559,  2599,  2295,  2616,
    2294,  2558,  2442,     0,     0,  2404,  2403,  2407,  2406,  2408,
    2401,  2402,  1843,  2296,  2412,  2411,  1313,  2615,  1842,  1314,
       0,  2414,  2542,  2543,  2544,  2545,  2547,  2546,  2548,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
    2189,  2573,  2190,  2191,  2192,  2193,  2586,  2194,  2195,  2574,
    2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,
    2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2575,  2576,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2577,
    2243,  2244,  2578,  2245,  2246,  2247,  2579,  2248,  2249,  2250,
    2251,  2252,  2583,  2584,  2585,  2572,  2365,  2549,  2571,  2582,
    2580,  2581,  2375,  2371,  2379,  2374,     0,     0,     0,     0,
    2391,  1151,  1150,  1136,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2265,     0,  1162,   332,   331,  1237,  1218,   527,     0,  1139,
     356,     0,     0,     0,     0,     0,     0,     0,     0,   706,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
       0,     0,   380,   379,     0,     0,     0,   902,   385,     0,
       0,     0,     0,   515,  2274,  2269,  2279,     0,  2272,  2273,
    2558,     0,  2707,  2018,  2305,  2306,  2705,  2066,  1315,   250,
     253,   251,   252,     0,  1002,  1003,  1005,     0,     0,  1015,
     739,   740,     0,   738,   742,     0,     0,     0,   735,     0,
       0,     0,     0,   741,   733,     0,   732,     0,     0,     0,
     737,     0,   734,     0,     0,  1140,     0,  2357,  2358,  1959,
    1276,   386,     0,     0,  1349,     0,  1238,  1245,  1255,  1250,
    1252,  1251,  1253,  1249,  1254,  1872,   841,  1886,   841,  1949,
     838,   839,   841,   841,   841,  2033,     0,     0,   813,     0,
     824,  1867,   841,  1868,  2616,   846,   441,   441,   441,     0,
     845,   850,   441,  1133,  1169,  1847,  1362,     0,  1886,  1949,
     814,  1132,  2081,  1268,     0,     0,  1019,     0,  1020,     0,
    2048,  1144,   234,  2556,  2057,  2142,  2081,  2557,   230,  2551,
    2552,  2554,   204,  2555,  2553,  2550,  1876,     0,     0,   845,
       0,  1141,  1142,   799,  1369,  1367,     0,     0,     0,  1894,
       0,  1906,  1985,   227,  2044,  2049,  2057,  2142,  2081,  2109,
     184,   189,     0,   243,  2057,  2142,  2081,     0,  1162,     0,
    1339,  1449,  1838,     0,     0,  2366,  1135,  1134,  1239,     0,
    1242,     0,  1414,  2030,  1343,  1345,  1244,  1336,     0,     0,
    2256,  1233,  1366,  1366,     0,  1366,     0,  1328,  1336,  1331,
    1335,     0,     0,     0,     0,  1152,     0,  2334,  2362,  2341,
    2397,  2338,     0,     0,  2387,  2383,  2380,  2388,  2389,  2382,
    2370,  1538,  1539,  1540,  1537,  1550,  1536,     0,  2315,  1541,
    2354,  2321,     0,  2329,  2328,  2633,  2634,  2444,  2267,  2286,
       0,     0,     0,     0,     0,     0,     0,  2413,  2415,  2417,
    2377,  2376,  2372,     0,     0,     0,     0,  2502,  2503,  2501,
       0,  2498,  2500,     0,  2397,     0,  2567,  2561,  2570,     0,
    1848,  2562,  2559,  2558,     0,   749,     0,   135,   890,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,  1958,     0,
       0,  1743,  1898,  1945,  1753,  1751,  1752,  1745,  1746,  1747,
    1748,  1749,  1750,     0,  1000,  1744,     0,   135,     0,  1958,
       0,     0,  1958,     0,     0,     0,     0,     0,  1988,   135,
    1958,     0,     0,     0,  1156,     0,     0,     0,  1158,  1161,
    1137,  1221,     0,  1838,     0,     0,   783,   774,     0,   784,
     775,   780,   786,     0,     0,   777,     0,     0,   787,     0,
     776,   778,   789,   779,   785,     0,     0,   781,   782,     0,
       0,  1148,   441,     0,     0,     0,     0,     0,     0,   135,
    1208,  1958,   135,     0,     0,   384,   383,   135,   382,   381,
    1898,  1945,     0,   929,   135,     0,   177,   595,   530,     0,
       0,   665,  1988,   135,     0,     0,     0,     0,   905,     0,
       0,   514,   527,     0,  2278,  2284,     0,  2276,  2445,  2708,
    2706,  2400,     0,  1006,   228,   229,  1004,  1958,     0,   310,
       0,     0,  1958,  1197,     0,   736,  1958,     0,  1958,   170,
    1840,     0,  1898,  1945,  1958,     0,     0,  1958,   162,  1958,
       0,  1958,   310,  1958,   531,     0,  1958,     0,  1958,  1988,
     164,     0,  1958,   310,   747,     0,     0,  2638,  2642,     0,
    2640,  2635,  2356,  2410,  2409,  2308,     0,  2718,     0,  1315,
    1247,  2564,  1261,  1260,     0,  1256,  1264,  1259,  1349,   841,
     840,     0,   841,     0,  2727,   841,     0,   841,     0,  2727,
     841,     0,     0,     0,   841,  1869,  1870,     0,     0,  2726,
    2724,  2725,   815,   825,     0,   847,     0,     0,   854,   853,
     852,     0,     0,     0,   855,  1453,  1291,     0,   822,     0,
     820,     0,  1130,  1147,     0,     0,     0,     0,  1022,  1022,
    1022,  1143,   233,   231,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,  2622,  1854,  1754,  2621,     0,
    2113,  2114,  2115,  1812,     0,  2563,  2116,  2117,     0,  1666,
    1653,  1662,  1667,  1654,  1656,  1663,  2118,  2119,  1930,  2120,
    2121,  1861,  2122,  2123,  1493,  2125,  2126,  2127,  1658,  1660,
    2128,  2129,     0,  1862,  2131,  2132,  2006,  2134,  2135,  2137,
    2138,  1664,  2140,  2141,  2142,  2143,  2144,  2145,  1860,     0,
    1665,  2146,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,
       0,     0,  1835,     0,  1639,     0,  1485,  1486,  1508,  1509,
    1487,  1514,  1515,  1527,  1488,     0,  1834,  1552,  1638,  1643,
       0,  1637,  1633,  1352,  1830,     0,  1634,  1850,  1813,  1864,
    1863,  2616,  1821,  1853,  1851,  1852,     0,     0,     0,   196,
       0,     0,  2491,   245,     0,   246,  1836,  2057,   185,   226,
     198,   225,   199,   197,     0,  1896,   186,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,   239,  1138,     0,
    1451,  1450,     0,     0,  1819,  1839,   756,     0,  1231,  1232,
    1230,     0,  1227,  1229,  1241,  1238,  1826,  1825,  1827,     0,
    1344,     0,     0,     0,  1326,  1325,  1244,  1364,  1365,     0,
       0,     0,     0,     0,     0,     0,     0,  1407,  1380,  1381,
    1383,  1404,  1408,     0,  1332,     0,     0,  1455,     0,  1415,
    2255,  2397,  2398,     0,  2392,     0,  2391,  2391,  2385,  2384,
    2381,     0,     0,     0,     0,     0,     0,     0,  2312,   509,
    2314,   507,     0,     0,  2288,     0,  2292,  2290,     0,  2437,
    2440,     0,  2438,  2439,  2441,     0,  2446,  2447,     0,     0,
       0,  2629,     0,     0,  2428,  2416,  2423,  2425,  2427,  2426,
    2435,  2431,  2434,  2436,  2378,  2391,  2509,     0,  2504,  2507,
       0,  2499,     0,     0,     0,  1849,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,   134,  1195,   236,
    1193,     0,     0,     0,     0,     0,     0,     0,  1200,     0,
     168,   169,   542,   527,     0,  1958,     0,     0,     0,     0,
     962,   969,     0,     0,     0,     0,     0,     0,     0,   963,
     961,   964,   238,   973,   986,   989,     0,   880,     0,     0,
       0,     0,  1065,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   256,   262,   305,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,   494,   506,     0,     0,     0,     0,
       0,   503,     0,   135,   258,   487,   491,     0,     0,     0,
     604,   603,     0,  1065,     0,   254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   324,   325,     0,     0,     0,   139,   161,     0,     0,
       0,   260,     0,  2322,     0,  1157,  1154,  1155,     0,  1160,
       0,  1217,     0,     0,     0,     0,     0,   788,     0,     0,
    1898,  1945,     0,     0,     0,     0,     0,     0,   359,   338,
     339,   135,   337,     0,     0,   662,     0,  1496,  1525,  1503,
    1525,  1525,  1492,  1492,  1505,  1494,  1532,     0,  1525,  1492,
    1497,     0,  1495,  1535,  1535,  1520,     0,  1477,  1478,  1479,
    1480,  1506,  1507,  1481,  1512,  1513,  1482,  1549,  2568,  1492,
    2569,  2566,  2565,     0,     0,   673,     0,  1172,  1207,     0,
       0,   536,     0,  1958,     0,   137,   707,     0,   663,     0,
     137,     0,   173,     0,   599,     0,     0,     0,     0,     0,
       0,   624,   623,     0,     0,     0,   664,     0,   137,   490,
    1958,     0,   441,   441,     0,   904,   907,     0,     0,     0,
    2282,  2277,  2280,     0,  2270,  2284,  1318,  1320,  1319,     0,
    1317,     0,   310,   308,   309,   660,  1014,     0,     0,     0,
       0,   310,     0,     0,  1958,   310,  1958,     0,  1958,     0,
       0,   310,   310,     0,     0,     0,     0,   600,     0,   746,
     744,   743,   745,     0,     0,     0,     0,     0,  1958,   310,
       0,     0,   729,  2636,     0,     0,  2639,     0,  2359,  1764,
       0,  2721,  1273,  2722,     0,     0,  1349,     0,   215,   216,
     214,  1262,   217,  1263,  1258,  1246,     0,   833,     0,  2727,
    2728,   818,     0,   828,     0,  2727,   816,     0,   829,   826,
     827,     0,     0,     0,  2723,  2607,  2613,   832,     0,     0,
     442,   444,     0,     0,  1916,  1929,     0,  1950,  1976,  1977,
    2049,  2053,     0,  2076,  2085,     0,   856,   885,   851,     0,
       0,  1301,   823,   821,  1131,  1266,  1770,     0,  1349,     0,
    1021,  1018,  1017,  1016,   232,   205,     0,     0,     0,   887,
    2048,  1146,   798,   527,     0,     0,  1641,  1642,  1524,  1511,
    1811,     0,     0,  1519,  1518,     0,     0,     0,     0,     0,
    1501,  1500,  1499,  1640,  1778,     0,  1498,     0,     0,     0,
       0,  1525,  1525,  1523,  1572,     0,  1502,     0,     0,  1791,
       0,  1797,     0,     0,     0,  1531,     0,  1529,     0,     0,
    1608,     0,     0,     0,     0,     0,     0,     0,     0,  1556,
    1557,  1639,  1764,     0,  1857,     0,     0,  1517,     0,  1549,
    1754,     0,     0,     0,     0,  1824,     0,  1762,     0,     0,
    1586,  1760,     0,  1588,     0,     0,     0,  1753,  1751,  1752,
    1745,  1746,  1747,  1748,  1749,  1750,  1758,  1569,     0,  1833,
       0,  1568,     0,     0,  1417,  1351,     0,  1855,  1814,     0,
    2614,  2617,  1635,  2488,  2487,  2486,  2485,  2456,     0,  2450,
    2451,     0,  2489,  2490,   247,   248,   244,     0,     0,   201,
     200,     0,   223,   224,   195,   222,     0,   218,   219,   203,
    1706,  1705,   202,   194,   192,   190,   206,   208,   209,   193,
     191,   242,   240,     0,     0,     0,  1816,  1815,  1845,  1820,
       0,     0,   310,  2391,  1225,     0,  1222,  1829,     0,  1346,
       0,     0,  1234,  1342,  1341,  1373,  1374,   922,  1340,  1398,
    1399,  1394,     0,  1413,  1413,  1390,  1384,  1389,  1387,     0,
    1391,  1552,  1406,  1330,  1378,  1379,  1382,  1329,     0,  1409,
    1407,  1383,  1288,     0,     0,  1456,     0,     0,  2399,  2397,
    2337,  1477,  2391,  2330,  2391,  2386,  2318,  1543,  1544,  1545,
    1546,  1547,  1548,  2319,     0,  2316,  1542,  2317,   508,     0,
       0,     0,  2285,     0,  2266,  2291,  2422,  2531,  2454,     0,
    2455,     0,     0,  2419,     0,  2429,  2432,  2430,  2433,     0,
    1477,  2610,  2505,  2610,  1477,     0,     0,     0,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     0,
    2076,   235,  1191,     0,     0,     0,     0,   889,   888,   439,
       0,   909,     0,     0,     0,  1203,   430,     0,   307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   574,     0,  1065,     0,   612,
       0,   971,     0,   970,     0,     0,     0,   972,   967,   968,
    2049,  2057,  2081,   237,   988,     0,   987,   985,   944,   946,
     945,     0,   948,   932,     0,   933,     0,     0,   943,   951,
     949,     0,     0,     0,     0,  1938,   264,   277,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     297,     0,   300,   299,     0,     0,     0,     0,   304,     0,
       0,     0,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1001,     0,     0,   156,   159,     0,     0,     0,
     493,   505,     0,   497,   498,   495,   499,   500,     0,     0,
       0,     0,     0,     0,   492,     0,     0,   597,   596,   602,
       0,     0,     0,     0,     0,     0,     0,  1057,  1056,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   615,   616,     0,   617,     0,   160,     0,
       0,     0,     0,     0,     0,     0,   213,  1153,  1159,  1220,
    1846,  1219,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   343,     0,   688,  2565,   661,     0,  1477,     0,
    1473,  1469,  1538,  1537,  1536,     0,  1483,  1492,  1489,   674,
       0,   676,   679,     0,  1170,   403,     0,   533,   574,     0,
       0,     0,   166,     0,     0,     0,   133,   177,   386,     0,
     176,   178,   180,   181,   182,   179,   183,   594,   598,     0,
     529,     0,     0,     0,     0,     0,   625,   629,   628,   632,
     630,     0,   626,     0,     0,  1465,     0,   155,   486,   489,
       0,  2263,     0,   388,   472,   317,     0,     0,   906,     0,
       0,     0,     0,     0,  2283,     0,     0,     0,     0,  1316,
       0,   992,     0,  1198,  1958,   310,     0,   990,   171,  1841,
       0,   730,     0,     0,     0,     0,     0,   994,   726,   163,
       0,   310,   310,   532,     0,   310,   165,     0,     0,     0,
     524,   310,   748,  2637,  2643,  2641,  1275,     0,  2719,  2720,
     441,  1320,  1248,  1257,   830,   837,   819,   836,   835,   817,
     834,   831,  2421,     0,     0,  2612,     0,   848,     0,   440,
       0,     0,     0,   862,   863,     0,     0,   861,   878,   864,
       0,   866,   858,   857,   867,   868,     0,     0,   887,     0,
    1298,     0,  1296,     0,  1454,  1300,  1289,  1267,     0,  1265,
    1270,  1272,  1271,  1269,     0,     0,     0,   845,     0,     0,
     310,  1145,     0,   800,   801,   806,     0,     0,     0,   807,
     803,   804,   805,   808,   809,   810,     0,     0,     0,  1774,
       0,  1775,     0,     0,     0,  1810,  1806,     0,     0,     0,
       0,     0,     0,  1782,  1783,  1784,  1781,  1785,  1780,     0,
       0,  1786,  1779,     0,     0,     0,     0,     0,  1522,  1521,
       0,     0,     0,     0,     0,     0,     0,  1611,  1643,     0,
       0,  1738,     0,  1764,  1796,     0,     0,  1533,     0,     0,
       0,     0,     0,     0,     0,  1764,  1802,     0,     0,     0,
       0,  1704,     0,  1701,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,  1858,  1553,  1570,  1832,     0,  1823,     0,
       0,  1554,  1577,     0,  1803,  1604,     0,  1609,  1592,     0,
    1585,     0,  1590,  1594,  1573,  1824,  1763,     0,  1761,     0,
       0,  1571,     0,  1566,  1564,  1565,  1558,  1559,  1560,  1561,
    1562,  1563,  1567,  1742,  1740,  1741,     0,     0,     0,  1589,
    1952,  1985,     0,  1363,  1363,  1363,  1350,  1361,  1831,     0,
    1460,     0,     0,     0,     0,  1721,     0,  1768,     0,  1766,
    1848,  2619,  2618,  1822,     0,     0,     0,  1837,     0,     0,
    1549,     0,   241,  1452,  1817,     0,   754,   755,   753,  1477,
    1244,  1228,  1224,  1223,  1828,  1243,  1349,     0,   920,   921,
       0,   925,     0,     0,  1392,  1405,     0,  1301,  1301,     0,
    1396,  1397,  1388,  1334,  1333,     0,  1463,     0,     0,  1285,
    1278,  1457,     0,  1417,  1303,  1305,  1306,     0,  1821,  2335,
    2393,  2340,  2361,  2331,  2364,  1551,  2313,  2353,     0,  2287,
    2457,  2458,     0,  2448,  2449,  2418,  2424,  2495,     0,  2611,
       0,     0,   686,   685,     0,     0,     0,  1091,  1024,  1069,
     752,  1092,  1025,  1070,  1093,  1026,  1192,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,  1958,   310,  1201,  1094,     0,
    1027,   306,  1202,  1071,  1206,  1072,     0,   541,     0,     0,
     546,   547,   548,     0,     0,   549,  1898,  1945,     0,   554,
     560,   564,   555,     0,   565,   561,     0,     0,     0,     0,
       0,     0,   571,   573,     0,     0,     0,     0,     0,     0,
     965,   966,  1095,  1030,     0,  1073,   947,  1492,   931,     0,
       0,   942,     0,   941,  1492,  1492,  1031,   167,     0,   257,
     265,   580,  1067,   283,   296,   291,   292,   290,  1958,   310,
    1958,   310,     0,     0,     0,     0,   293,   288,   289,   285,
     298,  1875,  1931,  2058,     0,   584,   586,     0,   591,   301,
    1043,     0,   318,   321,   302,   281,   284,   282,   278,   263,
       0,     0,  1844,     0,     0,   996,     0,     0,     0,   158,
    1053,     0,     0,   144,     0,     0,     0,     0,   138,   148,
    1101,  1035,     0,     0,   259,   488,   496,   501,  1039,   504,
    1083,   502,  1107,  1036,  1065,     0,   255,     0,  1037,     0,
    1077,  1103,  1055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1209,     0,     0,     0,     0,     0,   310,     0,
     695,  1067,  1958,   310,  1102,     0,  1062,  1089,     0,   326,
       0,  1054,     0,     0,   261,  1041,  1085,     0,     0,   211,
     210,   212,     0,     0,     0,     0,     0,     0,     0,     0,
     792,   763,   791,     0,     0,     0,     0,     0,     0,     0,
     757,   358,   335,   336,     0,     0,   334,   340,   687,     0,
       0,     0,  1474,  1470,     0,     0,     0,     0,     0,     0,
    1490,   675,     0,     0,     0,     0,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1171,  1199,   135,     0,     0,     0,   535,
     573,   580,     0,   608,   611,     0,   609,     0,     0,     0,
       0,     0,   149,   136,     0,   715,   441,   172,     0,     0,
       0,   528,   672,   670,   669,   671,     0,     0,     0,   692,
     668,     0,  1464,  1466,     0,     0,     0,     0,   390,     0,
       0,   387,   391,   395,   396,   397,   444,     0,     0,   476,
       0,     0,     0,     0,   936,     0,   954,   937,     0,     0,
       0,   976,   981,   977,   957,     0,   512,  2281,  2275,  1321,
    1322,     0,   310,     0,     0,   575,   310,   310,     0,   310,
       0,   310,   310,     0,  1128,   601,     0,   657,     0,     0,
     310,   728,  1765,     0,  2420,  2608,   849,   443,     0,     0,
       0,     0,   860,     0,   510,   865,     0,   877,   872,   874,
       0,   881,  1299,  1292,  1294,  1293,     0,     0,  1290,  1771,
     727,     0,     0,   310,     0,   882,     0,   802,     0,     0,
       0,     0,  1368,  1772,  1773,     0,     0,     0,     0,  1807,
       0,     0,  1679,     0,  1655,  1657,  1491,  1669,     0,  1504,
    1680,  1681,  1659,  1661,     0,  1755,     0,     0,  1670,  1613,
    1614,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1626,  1625,  1671,  1737,     0,     0,
    1794,  1795,  1672,  1534,  1535,  1535,     0,     0,  1801,     0,
       0,     0,  1677,  1682,     0,     0,     0,     0,  1688,     0,
    1709,     0,     0,     0,  1636,  1765,  1526,  1527,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,  1593,  1587,     0,
    1591,  1595,     0,     0,     0,     0,  1579,  1605,  1575,     0,
       0,  1581,     0,  1606,  1363,  1363,  1363,  1363,  1360,     0,
       0,     0,     0,  1427,  1416,  1418,  1429,  1420,  1422,  1458,
       0,  1838,     0,  1401,  1372,  1372,     0,  1721,     0,  1644,
       0,  1721,     0,     0,  2470,  2472,  2473,  2474,  2475,  2476,
    2478,  2479,  2481,  2482,  2483,  2471,  2477,  2480,  2484,  2461,
    2462,     0,  2452,  2453,   188,     0,   220,   207,     0,  2495,
    1226,     0,  1375,     0,  1756,   925,   923,   924,  1377,     0,
       0,  1412,  1411,  1410,  1385,  1287,     0,  1285,  1280,     0,
    1281,  1821,     0,  1277,  1310,     0,     0,  1463,     0,  1309,
       0,  2395,  2323,     0,     0,  2494,  2497,  2508,  2506,  2333,
    1090,  1023,  1068,  1190,   892,   893,     0,   891,     0,     0,
     438,     0,   429,   908,     0,     0,     0,   650,     0,     0,
     433,     0,  1204,     0,   543,   544,     0,     0,   562,     0,
       0,   551,     0,     0,     0,     0,   550,   567,   516,   568,
     570,     0,     0,   569,   572,   577,  1065,     0,   613,  1045,
       0,  1087,   959,     0,  1492,   934,   939,   940,     0,     0,
       0,   403,     0,     0,     0,   266,   276,     0,     0,   280,
       0,   274,   294,   286,   295,   287,   588,   589,   587,   583,
       0,   590,   592,   315,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
    1074,     0,     0,   141,   140,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   327,
     312,     0,     0,     0,     0,     0,   329,     0,     0,     0,
       0,  1096,  1032,   758,     0,     0,   759,   767,     0,     0,
     760,     0,     0,     0,     0,     0,     0,   769,   361,     0,
     364,   371,   344,   348,  1208,     0,  1208,     0,   349,  1208,
     345,  1208,   342,   689,     0,  2006,  1745,  1746,   683,   690,
     680,   682,   681,   684,   650,     0,     0,     0,  1475,     0,
    2709,  2717,  2716,     0,  1549,   677,   678,     0,  1190,  1189,
       0,     0,     0,     0,     0,     0,     0,   439,     0,     0,
       0,   415,     0,     0,   409,     0,     0,   981,   402,   405,
     406,   536,   539,   537,   538,   566,     0,   607,     0,   580,
     151,     0,     0,   152,   150,     0,   317,   386,     0,     0,
     631,   634,   627,     0,   691,   693,   666,     0,   580,     0,
    1276,   485,     0,   472,   422,   468,     0,   470,   469,   471,
       0,   478,   316,     0,     0,   909,   935,     0,     0,     0,
     974,   978,   975,     0,     0,   950,     0,   958,   928,  1123,
    1124,  1121,  1122,     0,     0,  2298,  1312,  2307,   993,     0,
     310,   991,   731,     0,   722,     0,   724,   995,   310,   310,
     618,     0,   525,     0,     0,     0,     0,   859,   879,     0,
     875,     0,     0,   842,   884,  1297,  1295,   887,     0,   843,
     886,     0,     0,     0,     0,     0,  1776,  1510,     0,  1809,
    1805,     0,  1652,  1777,     0,  1789,  1788,  1612,  1790,     0,
    1631,     0,     0,  1623,  1621,  1622,  1615,  1616,  1617,  1618,
    1619,  1620,  1624,  1799,  1798,  1792,  1793,  1530,  1528,     0,
    1674,  1675,  1676,  1800,  1683,     0,  1889,  1710,  1687,  1703,
    1702,     0,     0,     0,  1690,     0,     0,  1699,     0,  1739,
    1516,  1549,  1555,     0,     0,  1578,  1804,  1596,     0,     0,
       0,  1574,     0,     0,     0,     0,  1583,  1755,     0,     0,
       0,     0,     0,     0,  1354,  1353,  1359,  1336,     0,  1429,
       0,  1428,  1440,     0,     0,  1446,  1444,     0,  1446,     0,
    1446,     0,  1421,     0,  1423,  1440,     0,  1839,  1459,     0,
    1403,     0,     0,  1371,     0,  1721,  1651,  1724,  1719,  1720,
    1769,  1645,  1856,     0,  1767,  1721,     0,     0,     0,  1818,
    2493,  1347,     0,  1376,  1393,  1386,     0,  1461,  1286,     0,
       0,  1283,     0,     0,     0,  1304,  1285,  1307,  2339,     0,
    2394,  2459,  2460,     0,   898,   899,   897,   900,     0,     0,
       0,     0,     0,     0,   449,     0,   916,   916,     0,     0,
     435,   481,   981,   653,     0,     0,   651,   310,  1028,     0,
     563,     0,     0,   559,   557,   556,   558,   517,  1106,  1029,
       0,     0,     0,     0,   960,     0,   952,  1044,     0,   400,
       0,   271,  1066,     0,     0,     0,   270,     0,   310,   310,
     585,   319,   320,   323,     0,     0,     0,     0,     0,     0,
     716,   699,     0,     0,   717,   718,     0,     0,     0,   998,
     999,   997,   145,   142,   143,   146,  1040,  1084,  1038,     0,
    1078,  1049,  1047,     0,     0,     0,     0,     0,  1105,  1061,
    1082,  1104,  1059,  1080,  1058,  1079,  1060,  1081,  1052,     0,
    1468,   697,   696,     0,   310,   310,   620,  1042,  1086,     0,
     761,     0,     0,   762,   773,   771,   770,   772,   764,   362,
     135,     0,   341,     0,   369,     0,   367,   366,   368,     0,
     355,     0,     0,     0,     0,     0,   659,     0,     0,     0,
    1471,     0,     0,     0,     0,     0,     0,  1476,  1484,   649,
       0,  1181,  1180,  1179,  1183,  1182,  1185,  1184,  1176,  1175,
    1188,  1187,  1174,  1173,  1178,  1177,     0,   407,     0,   413,
     417,   418,   416,   408,   981,   441,   480,   534,     0,   610,
     605,   154,   153,     0,     0,     0,     0,   636,   640,   667,
       0,  1467,   614,     0,   388,   485,     0,  2264,     0,   393,
     398,   399,     0,   476,   419,     0,   472,   392,     0,     0,
     482,  1168,     0,     0,   938,   955,   956,     0,     0,   981,
     980,     0,   519,     0,  2271,   310,   576,   310,   310,  1129,
     658,     0,   871,   870,   869,   511,     0,   873,   310,     0,
       0,     0,     0,     0,   812,   793,   811,  1808,  1668,  1678,
    1787,     0,     0,  1632,     0,     0,  1673,  2147,     0,     0,
       0,     0,  1707,  1708,  1689,     0,  1997,  1694,     0,     0,
       0,  1859,  1602,  1600,  1597,     0,  1598,     0,     0,  1580,
    1576,     0,  1582,  1607,  1358,  1357,  1356,  1355,  1431,  1438,
       0,  1419,     0,  1445,  1441,     0,  1442,     0,     0,  1443,
       0,     0,  1438,     0,     0,     0,     0,  1715,  1721,  1721,
    1646,  1726,  1723,     0,  1648,  2463,     0,  2466,  2464,  2465,
    2469,  1549,     0,     0,  1279,  1282,  1284,     0,  1311,  1302,
    2396,  1196,     0,     0,     0,   650,     0,   981,     0,     0,
       0,   919,   919,     0,   981,   480,   655,   654,   652,   656,
    1205,     0,   552,   553,  1046,     0,  1088,  1050,   953,     0,
     581,   267,   268,   269,   272,   312,   279,   273,     0,  1099,
    1033,  1075,     0,     0,   705,     0,     0,     0,     0,  1100,
    1034,  1076,     0,     0,     0,     0,  1214,     0,   311,   312,
     328,  1063,     0,   765,   766,   343,     0,   365,   374,     0,
     372,   346,   351,     0,   353,   352,   347,   350,  1472,     0,
    1012,  1012,  2710,  2711,  2712,  2713,  2714,  2715,     0,   650,
    1186,     0,     0,   404,   480,   448,     0,   410,     0,     0,
       0,   388,   580,   635,     0,     0,     0,   694,   390,     0,
    1274,   483,     0,   389,     0,     0,   478,     0,     0,     0,
     476,     0,   473,     0,   477,     0,  1163,     0,     0,   979,
       0,   983,     0,   949,   926,  1460,     0,   523,  2297,  2301,
    1013,   723,   725,   619,   876,   883,   310,   794,   795,   796,
     797,  1627,     0,     0,     0,     0,  1684,     0,  1685,  1712,
    1711,  1691,  1695,     0,  1692,  1693,  1599,  1603,  1601,  1584,
    1430,     0,     0,  1432,     0,     0,  1434,  1436,     0,     0,
       0,     0,     0,  1842,  1721,  1400,  1402,     0,  1337,  1649,
    1650,     0,  1372,  1721,  2468,  2467,   221,  1757,  1462,  1308,
     877,     0,   310,   431,   916,   480,   450,  2006,   451,   915,
       0,   917,   922,   922,     0,   480,   650,   545,     0,   579,
       0,   314,   322,     0,     0,   712,   700,     0,     0,   719,
    1048,     0,     0,     0,     0,     0,   310,   768,   333,   360,
     370,     0,   354,  1012,     0,  1009,  1008,   648,     0,     0,
     411,     0,   459,     0,   580,   709,  1168,   593,   637,   638,
     633,     0,     0,   472,   468,   484,   394,   403,   377,   428,
     427,   424,   423,   425,   426,   421,   420,     0,   478,   474,
     475,     0,     0,     0,  1216,     0,   910,   982,     0,     0,
       0,   518,     0,     0,   522,   513,     0,  2299,   844,  1628,
       0,  1629,     0,     0,     0,  1697,  1696,     0,  1439,  1448,
       0,  1435,  1433,  1424,     0,  1426,  1714,  1716,     0,     0,
    1729,  1647,   894,     0,   895,   919,   454,     0,   918,   925,
     925,   441,   650,   432,  1051,   582,     0,   275,     0,   703,
       0,   714,   712,     0,     0,  1210,     0,  1211,  1212,  1215,
     330,   373,  1007,  1011,  1010,     0,   412,   445,   446,   447,
       0,   414,   455,   456,     0,   606,     0,     0,  1164,     0,
       0,   476,   472,   401,   467,   375,     0,  1165,     0,   317,
       0,   981,   984,  1127,   521,   520,  2302,  2304,  2303,     0,
    1630,  1700,  1686,  1713,  1698,  1437,     0,  1425,     0,     0,
    1725,     0,     0,     0,     0,   922,     0,   650,     0,   913,
     912,   448,   434,   313,     0,     0,   710,   713,   701,   714,
     721,   720,     0,     0,     0,     0,     0,   457,     0,   458,
     479,   708,     0,   639,     0,   478,   476,  1166,  1167,   478,
     911,   927,  1126,  1125,  1349,  2300,  1447,  1717,  1718,  2112,
       0,  2087,     0,  1727,  1730,  1728,  1722,   310,   925,     0,
     436,   452,   459,     0,     0,   702,  1213,   640,   464,     0,
     463,     0,   461,   460,   698,   643,   378,   478,  1460,  1109,
    1349,  1108,  1110,  1118,  1115,  1117,  1116,  1114,     0,  1734,
    1733,  1732,  1736,  1735,   896,   914,     0,   650,   704,   711,
       0,   462,   466,   465,     0,   641,   644,   647,   645,   646,
     376,   901,     0,  1119,  1113,  1336,  1323,     0,   453,   437,
       0,   621,     0,  1111,  1349,  1731,     0,   642,  1112,     0,
     643,     0,   622
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   246,   247,  1698,  2592,  2475,  3282,  3283,   248,
     249,  1769,   250,   251,   252,   253,   254,   255,   256,  1713,
     257,   258,  1275,  1912,  2600,   259,  2351,  1051,  1052,  2225,
    2226,  2537,  2227,  2214,  1550,  2012,  1732,  1700,  1733,   261,
     262,  1544,  2206,   263,   264,   265,  1757,  1758,  1708,  1955,
    4180,  4747,  2462,  3321,  3121,  3122,   266,  1811,  1812,   267,
     268,  3234,  1851,  3236,  3237,  3772,   861,  2561,  4200,  4201,
    3759,  3760,  4207,  4479,  4480,   269,  1909,  3310,  3853,  3311,
    4278,  3312,  4279,  3313,  4280,  3264,  3818,  3819,  3820,  3314,
    4284,  4685,  3315,  2366,  3016,  2634,  2042,  2040,  4662,  4083,
    4084,  4817,  4771,  4772,  4773,  4882,  4286,  3319,  3861,  4290,
    4507,  3024,  1931,  4277,   270,   271,  2628,  1785,  1786,  2482,
    3778,  3375,   272,  1292,  3637,  4547,  4704,  4705,   273,   849,
     274,  1916,   275,   276,  2587,  3269,   277,  2378,  3037,   278,
     279,  3062,  3063,  3064,   280,   281,  3661,  4439,  1759,  3114,
    3115,  3116,  3117,  3681,   282,  1914,  1791,  2609,   283,   284,
     285,  2591,  3275,  3276,   286,   287,  2525,   288,   289,   290,
    1924,  2621,  2622,  4268,  4514,  4670,  4516,  4914,  4915,  4499,
    3620,  4096,   291,   292,   293,   294,  1895,  2580,  2581,  3779,
    1684,  1855,  2563,  2564,  3843,  3844,   295,   296,  4140,  4141,
     891,  4777,  4751,  4828,   297,   298,  4144,  4145,   299,   300,
     301,   302,   303,   944,  1343,  1344,  1690,   304,  2242,   305,
    1250,  3221,   306,  1433,  2767,  4325,   307,   978,  1370,  1371,
     308,   309,   989,  2747,   991,  2055,  3377,  3378,  3913,  2717,
    1175,   310,   311,  2728,  2750,   312,  1701,  2357,  2358,  4078,
     313,   892,  1936,  2637,  3019,  4695,  4085,  4421,  4622,  2941,
    3568,   314,   893,  1737,  2424,  2640,  3325,  3326,  2426,  2906,
    3874,  2428,  3327,  3332,  3333,  3334,  3870,  3878,  4541,  4542,
     315,  1735,  2417,   316,   317,   318,  1764,  1193,   319,   914,
     915,   320,  4655,   321,  1311,   322,  1009,  2071,   323,  2440,
    3667,   324,   325,   326,  4891,  4922,  4923,  4924,  3883,  4854,
     327,  4893,  1412,   329,   330,   331,   852,  1218,  1219,  1220,
     332,  4536,   333,   334,  2584,  3263,  3800,   335,   336,  2352,
    3008,   337,   338,   339,  1899,   340,   341,   342,   343,  1831,
     344,  1581,  1582,   345,   346,   856,  1070,  1585,  1593,   347,
     957,  1364,  1365,  1366,  2014,   348,  1416,  2739,   958,  1357,
     959,  2959,  3579,  3580,  3583,   960,  2956,   352,  2061,  2733,
    2736,   961,  2963,  2964,  2965,  2966,  2967,  3585,   962,   980,
    1302,  2648,   963,  1504,   357,   358,   359,  1079,  1074,  1075,
     361,  2184,  2896,   997,  1599,  1036,  1086,  4033,  2255,  2256,
    2276,  2277,  1608,  1609,  2266,  2268,  2943,  2269,  2952,  2261,
    4030,  4387,  2272,  2273,  1611,  1612,  2947,   362,  2900,  3514,
    3515,  3516,  4011,  4021,  4374,  4586,  3517,  1406,  1618,  3518,
    3523,  3577,  3301,  3302,  3303,  2429,  2571,  1877,  1505,  1878,
    2578,  1506,  2106,  1880,  1507,  1508,  1509,  1883,  1510,  1511,
    1512,  1513,  2089,  2147,  1514,  1515,  2125,  1118,  1119,  1999,
    2806,  1517,  1518,  3977,  4349,  4338,  2832,  2833,  2222,  3973,
    3466,  4598,  4726,  4727,  4041,  4038,  4391,  4602,  4813,  4863,
    4864,  1519,  2886,  2176,  1195,  1520,  3781,  2178,  2826,  2908,
    2909,  2336,  2087,  2772,  2789,  2790,  2803,  3427,  2810,  2815,
    3450,  3451,  2827,  2855,  1521,  2775,  2776,  3410,  2091,  1522,
    1574,  1575,  2192,  2850,  1588,  1589,  1072,  1523,  1524,  2056,
    1061,  4582,  1320,   698,  3131,  2237,  1222,   994,  1525,  1526,
    1527,  3379,  1639,   677,   678,  1156,   803,     2,    75,   964,
    3307,   366,   367,   895,   896,   897,  1294,  1295,  1941,  1944,
    1644,  2314,   679,   680,   707,  4304,  4548,  4707,   950,   368,
     369,   370,   371,  1640,  2310,  1120,    76,    84,    77,  1121,
     408,   409,  2292,   372,   820,   373,  1621,  1100,  3591,   374,
     375,   376,   377,   378,   947,   379,  1102,   380,  1103,   381,
     382,   383,   384,  1110,   385,  1623,  1624,  4070,  1625,   386,
     387,   700,   701,  1355,   388,   389,  1137,  1138,  1389,  1390,
    1650,  1665,  1666,  1667,   390,   694,   391,   392,   393,  1656,
    1657,   394,  2199,  2200,  2319,  2201,   395,  2980,  2981,   396,
    3549,  3550,  4398,  3551,   397,  2195,   398,   399,  1064,  3596,
     400,   816,   401,  1151,   681,   682,   683,  1158,   806,  1022,
     708,  1160,  3118,   808,   809,   685,   686,   687,  2034,    78,
    2988,  2035,  1529,   709,  1530,  2190,  1531,  1532,  1533,  1534,
    1535,  1673,   691,  1127,  1347,  1348,  2989,  1350,    82,  1351,
     405,  3793,  2002,  1391,  2020,  2021
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4490
static const int yypact[] =
{
   -4490,   384,  7360, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, 21723, -4490,
   -4490, -4490, -4490, -4490,100297,   858, -4490, -4490, -4490, 60855,
   -4490, -4490, -4490,   508, 66146, -4490, 69513,   902, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, 73361, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, 53628,  1195, -4490,
     428, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  1235,  9648,
   -4490, -4490, 69994, -4490,   201, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, 70475,   585, -4490,   818,  1244, -4490,   105, 13662,
   -4490, -4490, 61817, 67108, -4490, -4490, 73842,   223,  1780,  5621,
    1235, 21239, 74323, -4490,  1404, -4490, 50219, -4490, -4490, -4490,
   66627, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, 81538,  2676,   921, 50709, -4490, -4490, -4490,
   -4490, 81538, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, 74804, -4490,  1115,   874, 82019, 82500, 63741, -4490,
    1422, -4490, 81538,  1079,   260, 52664, -4490, 82981, -4490, -4490,
    1028, -4490, 75285, -4490, -4490, -4490, -4490,   921, -4490, 53628,
   47785,    53,  1055, -4490, -4490, 83462, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,  1864,  1095, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,   585, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,   102, -4490,   852,   689,
    1444,   282,  1063, -4490, -4490, -4490,  9332, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490,101731,  1829, -4490, -4490, -4490,  1167,
   -4490,  1134, -4490, -4490, -4490,  1528, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490,  1226, -4490, -4490, -4490, -4490,  1790,100775,
   73361, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, 61336, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
     159, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, 73361, 73361, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   73361,  1267, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490,   273,  1628, -4490, -4490, 53628,  2254,  2254,  1932,
  101731, -4490, -4490, -4490, 54592, 81538, 81538, 81538,  1682, 81538,
   81538,   121, 54592, 81538, 83943,  1731, 43362, -4490, 81538, 81538,
   84424, 81538, 75766, 81538,  1705, 81538, 81538, 84905, 85386,  1846,
   -4490,  2106,  1362, -4490, -4490, -4490, 81538, 14513,  2676, -4490,
   -4490, 81538,  1725, 54592, 81538,  1671, 81538,  1756, 81538, -4490,
   81538, 85867,   570,  1884, 81538,  1917, 43856,  1849, 81538, 81538,
   81538, 81538, -4490, -4490,  1878, 81538, 81538, -4490, -4490, 86348,
    1032,  2114,  2028,   579, -4490, -4490,  2228,  1794, -4490, -4490,
    2256, 73361, -4490, 70956, -4490, -4490, -4490,  2201, -4490, -4490,
   -4490, -4490, -4490, 64222,  1780, -4490, -4490, 55074, 81538,  2093,
   -4490, -4490, 86829, -4490, -4490,   586, 55556, 87310,  2198, 44350,
    2244, 87791, 88272, -4490, -4490, 88753, -4490, 89234,  1970, 89715,
   -4490, 90196, -4490,  2111, 90677, -4490, 14521, -4490,  1892,  2307,
    1895,  1452, 73361, 73361,   950, 38988,   585, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,   210,   176, 51199,   199, 51689,
   -4490, -4490,   711,   905,   965,   210,  2329,  2329,   499, 73361,
   -4490, -4490,   176, -4490,   775,   -29,  1915,  1915,  1915,  2100,
     985, -4490,  1915, -4490, -4490, -4490, -4490, 75285, 51199, 51689,
   -4490,  1936,  2676,    38,  2304, 81538, -4490, 81538, -4490, 81538,
   81538, -4490, -4490, -4490,  2366,  1983,  2222, -4490,  1992, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,  2184,  2188,  2195,    42,
    2676,  2092, -4490,  2303, -4490,  2206, 26638,   -79, 73361,  2676,
   52179, 76247, 97892,   312, 64222,  2676, 91158,  2046,  1447,  2219,
   -4490, -4490,   295, -4490,  2433,  2084,  2308,   521,  1362, 40928,
   -4490,  2078,  1501, 75285,102209, -4490, -4490, -4490, -4490,   350,
    2387, 27137, -4490, 81538,  2101, -4490,  2177,  2113,  2119,  1444,
   -4490, 81538,  1394,  1394,  2518,  1394,  1706,  2004, -4490,  2045,
   -4490,  2461,  2391, 75285,  1055,  1235,  2202, -4490, -4490, -4490,
    2238, -4490,  2232,  2248, -4490,   274,  2483, -4490, -4490, -4490,
   -4490,  2350,  2361,  2388,  2395,  2325,  2407,   185, -4490, -4490,
   -4490, -4490,  2607, -4490, -4490, -4490, -4490, -4490, -4490,  2732,
    2725, 61817, 61817,   608,   722,   146,   202, -4490, -4490, -4490,
    2592, -4490, -4490,  2595, 81538,  2439, 81538, -4490, -4490, -4490,
   91639, -4490, -4490,  2254,  2238,  2371, -4490,   229, -4490,  1501,
   -4490,   266,   420,   429,  1400,  2364,  1572,  1342, -4490,   158,
    2481,   139,   -14,  2422, 76728,  4468,  2399,   600,  2687,  3406,
     185, -4490, 81538, 81538, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490,  2404, -4490, -4490,  2413,  1337,   881,  2708,
   13092,  1325,  2716,  4005,  1861,   714,  2616,  1133,  2735,  1059,
    2727,  4584, 81538,  2438, -4490,  2677,  2779,    27, -4490,   681,
   -4490,  2516,  2645,   588, 54592,  2469, -4490, -4490, 81538, -4490,
   -4490, -4490, -4490,   633, 54592, -4490,  2655, 44844, -4490, 81538,
   -4490, -4490, -4490, -4490, -4490,  2602, 81538, -4490, -4490,  2729,
   81538, -4490,  1915,   291,  2496,  2870, 57966,    86, 81538,  2541,
    2909,  2711,  2541,  2552, 92120, -4490, -4490,  2541, -4490, -4490,
   81538, 81538,  2536,  1793,  2541,  2918,  2925,  2606,  2715,   802,
    1073,   135,  2853,  2541, 81538, 92601, 81538, 81538,  2935, 54592,
   81538, -4490,  2741, 77209, -4490,  2580,  2228, -4490, -4490, -4490,
   -4490, -4490,   768, -4490, -4490, -4490, -4490,  2884,  2371,   390,
    2885,  2594,  2887, -4490,  2628, -4490,  2890,  2399,  2891,  2597,
   -4490, 93082, 93563, 94044,  2893,  2404, 81538,  2894,  2597,  2896,
    2790,  2903,   390,  2906, -4490,   944,  2907,  2792,  2912,  1029,
    2597, 64703,  2913,   128, -4490, 15387, 14521, -4490, 20138,  1647,
   -4490, -4490, -4490, -4490, -4490, -4490, 30630,   748,  2706, -4490,
   -4490,  1055, -4490, -4490,  1624, -4490, 49729, -4490,   950,   176,
   -4490, 73361,   176, 73361,   499,   176, 73361,   176, 73361,   499,
     176, 73361, 73361, 73361,   176, -4490, -4490,  2251,  1746, -4490,
   -4490, -4490, -4490, -4490, 73361,  2624, 81538, 81538, -4490, -4490,
   -4490, 67589, 81538, 68070, -4490, -4490,    -7, 73361, -4490, 73361,
   -4490,  2676, -4490, -4490,  2307, 57966,  3020, 81538,  2908,  2908,
    2908, -4490, -4490, -4490,  2847, 81538,  2911,  2914, 67589, 81538,
   -4490, 94525, 64222,  2812,  2634, -4490, -4490, -4490, -4490,  1888,
    2839,   132,  2888, 30630,  2637,   154,   154,  2638,  2916, -4490,
   -4490, -4490,   456,  2639,  2644, -4490,   367,   367,  2802,  2646,
    2648, -4490,   439,  2649, -4490,  2899,   492,  2650,  2652,  2653,
    2315,   154, 30630, -4490,  2656,   367,  2657,  2658,  2659,  2920,
    2660, -4490,  2937,  2663,   380,   407,  2665,  2666, -4490,  2646,
   -4490,   337,  2667,  2668,  2670,  2672,  2674,  2678,  2679,  2682,
   30630, 30630, -4490, 25640, -4490,  2676, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490,    98, -4490,   504,  5390, -4490, -4490,  2825,
   30630, -4490, -4490,    21, -4490,   612, -4490, -4490,  1501, -4490,
   -4490,  1464, -4490, -4490, -4490, -4490,  1745,  1745,   187, -4490,
   69994, 69994, -4490, -4490,   195,  2680, -4490,  1341, -4490, -4490,
   -4490, -4490, -4490, -4490, 62298,  3072, -4490,  1026,  2676,   681,
    1672,  3025, 48749, 49239,  2924,  2924,  2910, -4490, -4490, 81538,
   -4490, -4490, 30630, 46821, -4490,  1501,    91,  2923, -4490, -4490,
   -4490,  1889, -4490, -4490, -4490,   585, -4490, 12885, -4490,  1905,
    2101, 81538, 81538,  3084, -4490, -4490,  2177, -4490, -4490,  1444,
    1444, 30630,  1444,   640,  1370, 27636, 30630,  2973,  2876,  1188,
    1410,  2976, -4490,  1706,  2004, 75285, 81538, 95006,  2803, -4490,
   -4490,  2238,  2705,  2034, -4490, 59893,101253,101253,  2940, -4490,
   -4490,   685,    61,  2816,  2905,  2329,  1136,  2066, -4490, -4490,
    2699, -4490,  3028, 69994,  2758, 61817, -4490, -4490, 81538, -4490,
   -4490, 77690, -4490, -4490, -4490,  1816,  2707, -4490,  2722, 81538,
    3200, -4490,  2066,  2066, -4490, -4490,  2709, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,101731,  2713, 81538, -4490,  2714,
    2717, -4490,102209, 47303,  1740,  1501,  2789,  2793,  2837, 53628,
    2718,  2795,  2796,  2842,  2799,  2805, 98373, -4490, -4490, -4490,
   -4490,  1617,   981,  1392,  2813,   284,  1208,  3078, -4490,  2848,
   -4490, -4490, -4490,  2955, 81538,  3030,  4915,  2922,   185,  2858,
   -4490, -4490,  2974,  2818,  2824,  2941,   185,   208, 98854, -4490,
   -4490, -4490, -4490, -4490, -4490,  5000, 24169, -4490,  2827,  2807,
   81538, 62779,  3114,  2939,  1257,  2068,   590, 81538,  3008,  2944,
   81538,  2761,  2836,  2840,  2763,  1568,  3118,  2766, -4490, -4490,
    2942,  2822,  2826, 57002,  1199, 45338,  3101,  2852, -4490,  1567,
    2854,  2856, 81538,   185, -4490,  3157,   185,   185,  1844,  3162,
    2859,   259,  2047,  2541,  2766,  2020, -4490,  2860,  2861,  1868,
   -4490,  2964, 75285,   256,  2117,  2766,  2863,  2864,  2763,  2763,
   81538, 81538, 81538, 81538, 81538,   134,  3182,  3183,  2871,   131,
    2917,  2801, -4490, 71437,  2882, 97892, -4490, -4490, 81538,  2886,
    2136,  2766,  1214, -4490,  1696, -4490, -4490, -4490,  1362, -4490,
   81538, -4490, 81538,  2371, 57966,  2990,  2846, -4490,  2399,   185,
   81538, 81538,  2404,  1359,  1021,  3002, 81538,  3058,  2862, -4490,
   -4490,  2541, -4490, 47303,  2536, -4490,  2829, -4490,  2873, -4490,
    2873,  2873,  2843,  2843,  2844, -4490, -4490,  2315,  2873,  2843,
   -4490, 58930, -4490,  1645,  1809, -4490,  3222,  3236, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490,  1504, -4490,  1923,
   -4490, -4490, -4490, 81538, 53628, -4490,  3253, -4490, -4490, 57966,
    3141, -4490, 81538,  3044,  2851, -4490,  3184,  2919, -4490,  2902,
   -4490, 81538,   686,  2676,  2900, 81538,  3077, 81538, 81538, 81538,
   81538, -4490, -4490,  3050,  1038,   489, -4490, 71437, -4490,  2020,
    3063,  3265,   480,  1915,  3153, -4490, 81538,  2874,  3268,  3105,
   -4490, -4490,  2878,  2329, -4490,  2580, -4490,  2089, -4490,  2996,
   -4490, 54592,   390, -4490, -4490, -4490, -4490, 57966, 81538, 95487,
   54592,   390, 81538, 81538,  3173,   128,  3174,  2938,  3175,  2946,
   45338,   390,   136, 81538, 81538, 81538, 81538, -4490, 81538, -4490,
   -4490, -4490, -4490, 81538, 81538, 81538, 71437,  3177,  3179,   390,
   81538, 81538, -4490, -4490, 22665,  1719, -4490, 14521, -4490, 12885,
    1933,  2924, -4490,  1267, 81538,  1300,   950, 68551, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, 73361, -4490, 73361,   499,
   -4490, -4490, 73361, -4490, 73361,   499, -4490, 73361, -4490, -4490,
   -4490, 73361, 81538,  3377,  2898, -4490,  1464, -4490, 81538,  1939,
   -4490, -4490,  1942,   558, 81538, 81538,   152, 54592, 81538,  3087,
   81538, 81538, 81538, 81538, 81538,  2978,  2680,  1062, -4490,   269,
   75285,  3095, -4490, -4490, -4490, -4490, -4490,  1958,  1864,   986,
   -4490, -4490, -4490, -4490, -4490, -4490, 68070, 66627,  3186,    37,
   81538, -4490, -4490,  1367, 30630, 26139, -4490, -4490, -4490,  2928,
   12885,  2945, 30630, -4490, -4490, 30630,  2929,  2329,  2329, 30630,
   -4490, -4490, -4490, -4490,  1702,  2329, -4490, 30630, 30630,  2329,
    2329,  2873,  2873, -4490,  2434, 30630, -4490, 45338, 30630, 32127,
   23669, 30630,  2987,  2931,  2329, -4490,  2329, -4490, 30630, 25141,
   -4490, 30630,  3122, 33125, 30630,  1672,  3124, 30630,  1672,  3327,
    3327,  1531,  6463,  2943, -4490,  3023,  2329, -4490,  2329,   641,
     145, 57966, 30630, 53628,  2999,   156, 81538, 30630,  2947,  1869,
   -4490, 30630,   670, -4490,  2948, 30630,  3014, 30630, 30630, 30630,
   30630, 30630, 30630, 30630, 30630, 30630, -4490, 34095,   296, -4490,
     -34,  1711, 69032, 26638,  3221, -4490, 23169, -4490,   352, 73361,
   -4490, -4490,  1501, -4490, -4490, -4490, -4490, -4490,  1816,  2949,
   -4490,  2962, -4490, -4490, -4490, -4490, -4490, 81538,  3072, -4490,
   -4490,  3022, -4490, -4490, -4490, -4490,   704, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,  2950, -4490, -4490, -4490, -4490,
    2950, -4490, -4490,  2924,  2953,  4176, -4490, -4490, -4490, -4490,
    3217,  3219,   390,101731, 81538,   350, 71918, -4490, 27137, -4490,
    1961,  2958, -4490,  3198, -4490,  2960, -4490, 10916,  3198, -4490,
   -4490,   126,  3140,  3149,  3149, -4490,  2963, 12885, -4490,  2255,
   12885,  2295, -4490, -4490, -4490, -4490, -4490, -4490,  1343, -4490,
    2973,  1410,  3019,   698, 81538, -4490, 41413,  2097, -4490,  2238,
   -4490, -4490, 20453, -4490, 22201, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490,  2968, -4490, -4490, -4490, -4490,   185,
    2969,  3437, -4490, 61817, -4490, -4490, -4490,  3377, -4490,  2256,
   -4490,  2256,  3464, -4490, 73361, -4490, -4490, -4490, -4490,   816,
   -4490, 14521, -4490, 14521, -4490,  2971,  1968,  3052,  3054,  3100,
   81538, 81538, 81538, -4490, 53628, 81538, 81538, 81538, 81538, 81538,
   81538, -4490,  3333,   -15, 66627,  3102, 65184, -4490, -4490,  3180,
   81538,  3037,  3223,  3226,   403, -4490, -4490, 95968, -4490,  3188,
   81538, 81538, 81538, 30630,  3189, 81538, 81538, 81538,  3065, 54592,
    3001, 81538, 81538, 81538,   671, 54592, 45832, 81538, 81538, 81538,
   81538,  3119, 81538, 81538,  3232,  1440, 75285,   207,  2160,  2766,
    3194, -4490,   236, -4490, 81538, 81538,  3191, -4490, -4490, -4490,
   64222,  3394,  3108, -4490, -4490, 99335, -4490, -4490,  3185, -4490,
   -4490, 58930, -4490, -4490,  1981, -4490, 58448, 56038, -4490, -4490,
     859, 81538, 81538,  5778, 81538,   749, -4490, -4490, 57966, -4490,
   81538, 81538, 81538, 72399, 96449, 96930,  1407,  1415, 81538, 72880,
   -4490, 81538, -4490, -4490, 54110, 81538, 81538, 53628, -4490, 81538,
    3190,   171, -4490, 81538,  2967,  3088, 81538, 81538,  3010,  2000,
    3090,  3137, -4490, 81538, 81538,   724, -4490, 81538, 81538, 13173,
   -4490, -4490,   185, -4490, -4490, -4490, -4490, -4490, 81538, 81538,
     185, 81538,   185,  1539, -4490, 81538, 81538, -4490, -4490, -4490,
    7010, 81538, 81538, 81538, 81538, 81538, 81538, -4490, -4490,  1674,
    1109,  1560,  1648,  3155, 81538,  2676, 81538, 97411, 81538, 81538,
   81538, 81538,  1525, -4490, -4490,  3130, -4490, 81538,   724,  7700,
   81538, 81538,  3096,  3097,   114,  3167, -4490, -4490, -4490, -4490,
   -4490, -4490,  3259,  3421, 81538, -4490,  3266,  3274,  3092,  3093,
    3277,  1900, 81538, 81538, 81538, 81538, 81538, 81538,  3278,  1900,
    3227,   540,  3045,  2005, -4490,  3060, -4490, 30630,  3444, 57966,
    3051,  3053,  3126, -4490,  3127,  2329, -4490,  2010, -4490, -4490,
    2024, -4490,  3067,  1038,  1959, -4490, 81538,   746,   814,  3342,
   37519,  3165,  1890,  3338, 81538, 81538,  1890, -4490,  1914, 66627,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  3340,
   -4490,  2676,  2536,  2536,  2536,  2536, -4490, -4490, -4490, -4490,
    3247,  1876, -4490,  3064,  2536, 81538,  3176,  1890, -4490,  2020,
    3357,  3360, 81538, 63260,  2226,  3103,  2676,  3248, -4490, 24655,
    5058,  3250, 64222, 77209, -4490,  3080,  3339,  3343,  3359, -4490,
    2371, -4490,  3471, -4490,  3372,   390,  2399, -4490,  2597, -4490,
   81538, -4490, 81538, 81538, 81538, 81538,  2404, -4490, -4490,  2597,
    3261,   390,   390, -4490,  3262,   390,  2597,  3195,  3365, 64222,
   -4490,   128, -4490, -4490, -4490, -4490, -4490, 30630, -4490, -4490,
    1915,  2089, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, 73361,  2256, -4490,  2029, -4490, 81538, -4490,
    3344,  3346,  3347,  2597,  3083,  3123, 81538,  3098, -4490,  2597,
     185,  2597,  2680,  2680,  2597,  3083, 78171,  3494,  3368,   589,
   -4490,   678,   760,  3304, -4490, -4490, -4490, -4490, 57966, -4490,
   -4490, -4490, -4490, -4490, 81538,    46,  3282,  3104, 78171,  3482,
     390, -4490, 54592, -4490, -4490, -4490,  3192, 54592,  3290, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,  3341, 81538,  2058, -4490,
    1732, -4490,  1737, 30630, 30630,   166, -4490, 11499,  2091, 30630,
    3109,  3115,  2110, -4490, -4490, -4490, -4490, -4490, -4490,  3116,
    3395, -4490, -4490,  3117,  2120,  2140,  3121,  3125, -4490, -4490,
    3562,  3138, 11570,  3139, 32127, 32127,  2170, -4490, -4490, 32127,
    3142, -4490,  2148, 10809,  3120,  3144,  3158, -4490,  3145,  3148,
   11915, 28135, 30630, 28135, 28135, 12044,  3120,  3150,  2166, 53628,
    3283, 12161,  2167, -4490, 30630, 53628,  6041, 30630, -4490, 30630,
   81538,  3152,  3159, -4490, -4490,  2434, -4490,  3171, -4490, 32127,
   32127, -4490,  4074, 25640, -4490, -4490,  3400, -4490, -4490,  2157,
   -4490,  3161, -4490, -4490,  4495,   203, 30630,  2947, 30630,  3216,
   45338,  5708, 30630,  6747,  8680,  8680,   820,   820,   184,   184,
     184,  1642,  1711, -4490, -4490, -4490,  3163,  2660, 30630, -4490,
    2127,  2284, 81538,  8195,  9923, 10733, -4490, -4490, -4490, 35578,
    3187, 30630, 30630, 30630,  3164,  3329,  3572, 12885,   847, -4490,
    3575, -4490, -4490, -4490,   306,  3464,  1816, -4490,  1362,  2329,
     641, 49729, -4490, -4490, -4490, 30630, -4490, -4490, -4490, -4490,
    2177, -4490, -4490, -4490, -4490, -4490,  1864, 30630, -4490, -4490,
     810,  2212, 30630,  2255, -4490, -4490, 81538,  3095,  3095, 30630,
   -4490, -4490, -4490, -4490, -4490, 35578,  3203,  3213, 40443,  3297,
   -4490, -4490, 81538,    99, -4490, -4490, -4490,  3196, -4490, -4490,
   -4490,  1535, -4490, -4490, -4490, -4490, -4490, -4490,  3166, -4490,
    3170, -4490,  3202, -4490, -4490, -4490, -4490,   174,  3168,  3193,
    3181,   682, -4490, -4490, 81538, 81538, 81538, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490,  3392, -4490, 81538,
   81538,  3356, 81538,  3354,  3371,  3436,  3197,   806, 81538,  3199,
    3201,   960,  3446, 81538, -4490,  3486,   390, -4490, -4490,  3269,
   -4490, 12885, -4490, -4490, -4490, -4490, 64222, -4490,  2371, 57966,
   -4490, -4490, -4490,  3229, 81538, -4490, 81538, 81538,  2404, -4490,
   -4490, -4490, -4490,  1060, -4490, -4490, 81538, 81538,   626,  3279,
    3280, 81538, -4490,   525,  2964,  7905, 81538, 81538, 81538,  3445,
   -4490, -4490, -4490, -4490,  3393, -4490, -4490,  1923, -4490, 56038,
   58448, -4490, 58448, -4490,  1923,  -107, -4490,  2597,  3281,  2766,
   -4490,  3379,   889, -4490, -4490, -4490, -4490, -4490,  3503,   390,
    3506,   390, 81538, 81538, 81538, 81538, -4490, -4490, -4490, -4490,
   -4490, 53628, 53628, 53628,  2224, -4490, -4490,  2676, -4490, -4490,
   -4490,  2227, -4490,  1446, -4490, -4490, -4490, -4490, -4490, -4490,
   81538,  1909, -4490,  1160, 57966, -4490, 57484, 81538, 81538, -4490,
   -4490,  3434,  3382, -4490,  1980,  3385, 81538,  3272, -4490, -4490,
   -4490, -4490,  3298,  2217,  2766,  2020, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490,   234,  2235,  2766,  3299, -4490,  3300,
   -4490, -4490, -4490,  3438,  3439,  3441,  3301,  3306,  3352,  3308,
    3309,  3363, -4490,  3319,  3367,  3320,  3369,  3323,   390, 57966,
    1677,  3358,  3544,   390, -4490,  3330, -4490, -4490,  3642, -4490,
   81538, -4490,  3334,  2257,  2766, -4490, -4490, 81538, 81538, -4490,
   -4490, -4490,  1900, 57966,  3490,  1900,  1900, 81538, 81538,  1900,
   -4490, -4490, -4490,  3499,  3501,  3502,  3504,  3507,  3508,  1900,
   -4490, -4490, -4490, -4490,   291, 53628, -4490,  2410, -4490,  2201,
   42868,  6552,  3270,  3053,  3258,  2329, 38503,   987,  3479,  3276,
   -4490, -4490, 53628, 42868,  1896,  3496,  3292,  3292,  3292,  3292,
    3292,  3292,  3292, -4490,  3607,  2541, 64222, 81538, 64222, -4490,
     814,  3379, 81538, -4490, -4490,  2231, -4490, 81538, 81538,   112,
   81538,  2329, -4490, -4490,  3345, -4490,  1915,   686,  3415,  1345,
    3613, -4490, -4490, -4490, -4490, -4490, 81538, 81538,  1038,  2676,
   -4490,  3287,  3288, -4490, 81538, 81538, 81538,  1864,  3293, 81538,
    3289,  3291, -4490, -4490, -4490, -4490, 57966,   468,  3473,  3475,
    2763,  3691,  3375, 81538, -4490,  2236,   113, -4490,  2676, 64222,
   56520, -4490,  5036, -4490, -4490,   926,  3564, -4490, 81538, -4490,
   -4490, 39958,   390, 57966, 81538, -4490,   390,   128,  3350,   390,
    3355,   390,   390, 81538, -4490, -4490, 81538, -4490, 81538, 71437,
     390, -4490, 12885,  3585, -4490, -4490, -4490, -4490,  3426,  3427,
    3429, 81538,  2597, 54592, -4490,  3311, 81538,  1425, -4490, -4490,
    3492, -4490, -4490, -4490, -4490, -4490,  3610,  3611, -4490, -4490,
   -4490, 81538, 67589,   147, 81538, -4490,  2371, -4490,  2399,   185,
   81538,  3553, -4490, -4490, -4490,  3324,  2269, 12557, 30630, -4490,
    3621, 57966, -4490,  6794, -4490, -4490, -4490, -4490, 30630, -4490,
   -4490, -4490, -4490, -4490, 30630, -4490, 30630,  3599, -4490,  3739,
    3739, 57966, 32127,  1439,  2657, 32127, 32127, 32127, 32127, 32127,
   32127, 32127, 32127, 32127, 34594,   523, -4490, -4490, 30630, 30630,
    3619,  3599, -4490, -4490,  1529,  1529, 57966,  3325,  3120,  3348,
    3349, 30630, -4490, -4490,  2274, 33610,  3351, 53628, -4490, 30630,
   11227,  2283,  3380, 12835,  1501,  7831, -4490,  3708,  2676, 30630,
    1421,  2488, 30630,  2302, 30630,  3618, -4490, -4490, -4490,  3353,
   -4490, -4490, 57966, 30630, 32127, 32127,  5398, -4490,  7518, 30630,
    3364,  9001, 25640, -4490,   921,   921,   921,   921, -4490, 81538,
   81538, 81538, 35093, 78652,  3374,  1382, -4490, 78652, 79133, -4490,
    3361,  1501, 30630,  3612,     6,     6,  3366,  3329, 41898, -4490,
   30630,  1573, 28634,  3378, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  3383,
   -4490,  3373, -4490, -4490,   681,  3387, -4490, -4490, 10593,   174,
   -4490,  3389, -4490,  3391, -4490,  2212, -4490, -4490, -4490,  7892,
    3525,  2680, -4490, -4490, -4490,  3374, 29133,  3297, -4490,  2305,
   -4490, -4490, 26638, -4490, -4490,  2312, 41413,  3203, 27137,  1501,
    2329,  3405, -4490,  2256,   306, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490,  3292,  2597,  2597,   906,  2597,  3628,   906,
   -4490, 30630, -4490, -4490, 36063, 81538, 81538, -4490, 81538,  2319,
    1256, 81538, -4490, 81538, -4490, -4490,  3743, 81538, -4490,  3403,
    3407, -4490, 81538, 81538, 81538, 81538, -4490, -4490,  2364, -4490,
   -4490, 81538, 81538, -4490, -4490, -4490,   286,  2323,  2766, -4490,
    3428, -4490, -4490,  3601,  1605, -4490, -4490, -4490,  3424, 81538,
    3396, -4490,  1223,  2763,   734, -4490, -4490,  3431, 81538, -4490,
   81538, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   54110, -4490, -4490, -4490, 53628, 42868, 53628, -4490,  3467,  3468,
    3491,   543,   594,  3469,  3472,  3516,  3399,  3401,  3408, -4490,
   -4490,   210,  2676, -4490, -4490,  2676,  2597,  2676, 81538, 81538,
   81538, 81538, 81538, 81538, 81538,  3682,  1058,  1824, 81538, 81538,
   81538, 81538, 81538, 81538, 81538, 81538, 81538, 81538, 81538, -4490,
    3766,  2676,  2676,  3737,  3476, 81538, -4490, 81538,  2964, 81538,
   81538, -4490, -4490, -4490,  3411,  1900, -4490, -4490,  3643,  3649,
   -4490,  1900,  1900,  1900,  1900,  1900,  1900, -4490,   263,  2339,
   -4490, 38005, -4490, -4490,  2909,  2676,  2909,    49, -4490,  2909,
   -4490,  2909, -4490, -4490,  3060,  3391,  2329,  2066, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,  2329,  2246,  3416, -4490, 39473,
   -4490, -4490, -4490,  2386,   641, -4490, -4490, 81538,  3292, -4490,
    2635,  2615,  2723,  2814, 79614, 80095, 80576,  3180, 81538, 81538,
   32127, -4490,   999,   614, -4490,  3647, 81538,  3451, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,  2851, -4490, 81538,  3379,
    2597, 81538, 81538,  2597, -4490, 57966,  3103,  1452, 92601,  3450,
    3417,  3703, -4490,  3423,  3425, -4490, -4490, 81538,  3379,   730,
    1895,  3460, 65665,  2226, -4490,  3679, 63260, -4490, -4490, -4490,
    3785,  3513, -4490,  1864,  2676,  3037, -4490, 56038, 30630, 30630,
   -4490,  3430, -4490,  3432,  6102, -4490,  2536, -4490, -4490, -4490,
   -4490, -4490, -4490,  3509, 81538,  3852, -4490, -4490, -4490,  3435,
     390, -4490, -4490, 81538, -4490, 81538, -4490, -4490,   390,   390,
   -4490,  3547, -4490,  1864, 81538, 81538, 81538,  2597, -4490,   185,
   -4490,  3709, 78171, -4490, -4490, -4490, -4490,    37,  3715, -4490,
   -4490,  3675,  3676,  3677,  3678,  1997, -4490, -4490, 30630, 12885,
   -4490,  3447, -4490, 12885,  8231, 12885,  3619, -4490,  2414,  3721,
   -4490,  1290,  3449,  2414,  1962,  1962,   129,   129,   118,   118,
     118,  3739,   523, 12885, 12885, -4490, -4490, -4490, -4490,  3452,
   -4490, -4490, -4490,  3120, -4490, 31129,  3587,  3825, -4490, -4490,
   -4490,  3488,  3493,  3454, -4490, 30630, 31628,  3453, 58930, -4490,
   -4490,   641,  1556, 32127, 32127,  2287, -4490,  1534, 30630, 57966,
    2349,  2287,  2904,  3041, 30630, 30630,  9910,   318, 30630,  8517,
   81538, 81538, 81538, 81538, -4490, -4490, -4490, 37033,  1382,  3457,
   81538, -4490,  3462, 35578,  3695,  3622, -4490, 35578,  3622,  1988,
    3622,  3696, -4490, 42383, -4490,  3465, 23169,  1817, 12885,  3844,
    3734, 30630,  3480, -4490,  3481,  3329, -4490, 99816, -4490, -4490,
   12885, -4490, -4490, 30630, -4490,  3329,   306,  1002,  2676, -4490,
   -4490, -4490, 45338, -4490, -4490, -4490,  3656, 12885, -4490,  1864,
   81538,  1501,   562,  3487, 81538, -4490,  3297, -4490, -4490, 14521,
   -4490, -4490, -4490,   210, -4490, -4490, -4490, -4490,  3550, 66627,
    3753,  9085, 30630,  2353, -4490,  3514,  3846,    56,  2354,  2381,
    1256, -4490,  3451, -4490,  1269,   265, -4490,   390, -4490, 57966,
   -4490, 81538, 81538, -4490, -4490, -4490, -4490,  2718, -4490, -4490,
   81538, 81538, 81538, 81538, -4490,  3552, -4490, -4490, 53628,  3607,
    3680, -4490, -4490,  3681,   210, 81538, -4490, 57966,   390,   390,
   -4490, -4490, -4490,  3510, 81538, 81538, 81538,  2329,  2329, 57966,
    3485, -4490,  2329,  2329,  3495, -4490, 81538, 81538, 81538, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  3568,
   -4490, -4490, -4490, 81538, 81538, 81538, 81538,  3787, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, 81538,
   -4490, -4490, -4490, 57966,   390,   390, -4490, -4490, -4490,  3731,
   -4490,  1900,  1900, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
    2541,  3815, -4490, 53628, -4490, 60374, -4490, -4490, -4490,  2676,
   -4490,  2676,  3689, 48267,  2676,  2676,  1256,  3512,  1618,  3775,
   -4490,  2272, 39473, 39473, 39473, 39473, 39473, -4490, -4490,  3782,
     210, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490,  3515, -4490,  1210,  2414,
   -4490, -4490, -4490, -4490,  3451,  1915,  3561,   746,  3623, -4490,
   -4490,  2597,  2597,  3566,  3911,   819, 81538,  3822,  3556, -4490,
    2676, -4490, -4490, 81538, 63260,  3460,  1025, -4490,  2389, -4490,
   -4490, -4490,  3554,  3475,  1620,  3519,  2226, -4490,  1039, 81538,
   -4490,  3557,  3798,  3524, -4490, 12885, 12885,  2676, 59412,  5036,
   -4490, 81538,  3776, 81538, -4490,   390, -4490,   390,   390, -4490,
   -4490, 81538,  2597,  2597,  2597, -4490,  3706, -4490,   390, 78171,
    1997,  1997,  1997,  1997, -4490, -4490, -4490, 12885, -4490, -4490,
   -4490, 32127,  3806, -4490,  3531, 57966, -4490,  3533,  2416,  2430,
   33125,  3683, -4490, -4490, -4490,  9512,  3581, 12885,  3632,  3535,
    3536, -4490,  1080,  1080,  1534,  2445, -4490, 32127, 32127,  2287,
    2287, 30630,  2287, -4490, -4490, -4490, -4490, -4490, 78652,  3539,
   81538,  1382, 35578, -4490, -4490,  2223, -4490, 35578,  3772, -4490,
   35578, 81538,  3541, 81538,  1081, 30630, 30630,  3578,  3329,  3329,
   -4490,  3710, -4490,  3546, -4490, -4490,  2066, -4490, -4490, -4490,
   -4490,   641,  3551, 73361, -4490, -4490, -4490,  1055, -4490, -4490,
   -4490, -4490, 78171,  3725, 78171, -4490,  9622,  3451, 36063, 46326,
   81538, 81057, 81057,  3699,  3451,  3561, -4490, -4490, -4490, -4490,
   -4490,  3560, -4490, -4490, -4490,  3636, -4490, -4490, -4490,  2452,
   -4490, -4490, -4490, -4490, -4490,  3766, -4490, -4490, 42868, -4490,
   -4490, -4490, 36548, 45338, -4490,   543,  3563,  3569,   594, -4490,
   -4490, -4490, 81538,  1435,    17,  3602,  2597,  3851, -4490,  3766,
   -4490, -4490,  1900, -4490, -4490,  3045,  2676, -4490, -4490,  2502,
   -4490, -4490, -4490, 81538, -4490,  3417, -4490, -4490, -4490, 54592,
    3966,  3966, -4490,  1907,  1907, -4490, -4490, -4490, 81538, -4490,
   -4490, 30630,  3761, -4490,  3561,  3783,  3826, -4490, 81538, 81538,
    1864, 63260,  3379, -4490,  1506,  3576,  3868, -4490,  3293,  3577,
   -4490, -4490,  3909, -4490, 65665,  3757,  3513,  1048,  1048, 81538,
    3475,  3705, -4490,  3707, -4490,  1084, -4490, 81538, 36063, -4490,
   58448, -4490,  2512, -4490, -4490,  3187, 81538,  1013, -4490,  3597,
   -4490, -4490, -4490, -4490, -4490, -4490,   147, -4490, -4490, -4490,
   -4490,   779, 32127, 57966,  2519, 30630, -4490, 30630, -4490,  3964,
   -4490, -4490, -4490,   449, -4490, -4490, -4490,  1080,  1080,  2287,
   -4490, 81538,  2525, -4490, 30630,  3589, -4490, -4490, 35578,  2223,
    2526, 81538,  2530, 57966,  3329,  3120, 12885, 81538, -4490, -4490,
   -4490,  3969,  3773,  3329, -4490, -4490, -4490, -4490, -4490, -4490,
    1425,   906,   147,  1256,  3846,  3561, -4490,  3598, -4490, -4490,
   81538, -4490,   276,   276, 81538,  3561, -4490, -4490, 81538, -4490,
   53628,  3652, -4490, 57966,  2399,   127, -4490, 57966, 57966, -4490,
   -4490, 81538, 81538, 81538, 81538, 81538,   390, -4490, -4490, -4490,
   -4490, 60374,  3417,  3966,  1067, -4490, -4490, -4490,  1616, 10020,
   -4490,  1017,  3781,  3684,  3379,  3890,  3557, -4490, -4490, -4490,
   -4490, 30630,  3754,  2226,  3679, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490,  2543,  3513, -4490,
   -4490,  3972,  3784,  3974, -4490,  2546, -4490, -4490,  6102, 59412,
    3919, -4490,  3658, 81538, -4490, -4490,  2489,  4029, -4490,   779,
    2550, -4490,  2551,  2554,  3755,  3659, -4490,  2555, -4490, 12885,
   81538, -4490, -4490, -4490,  2559, -4490,  3615, -4490,  4010, 30630,
    1631, -4490, -4490,  3892, -4490, 81057,  3657, 45338, -4490,  2212,
    2212,  1915, -4490,  1256, -4490, -4490, 30630, -4490,  2560, -4490,
    1211,  3762,  3902,  2563,  2566,  3083,  3663,  3083, -4490,  2597,
   -4490, -4490, -4490, -4490, -4490,  3930, -4490, -4490, -4490, -4490,
     303, -4490,  3810,  3811, 81538, -4490, 81538,  4027, -4490, 10359,
   54592,  3475,  2226,  3607, -4490, -4490,  3812, -4490,  3814,  3103,
   36063,  5036, -4490,   220, -4490, -4490, -4490, -4490, -4490, 81538,
   -4490, -4490, -4490, -4490, -4490, -4490,  2570, -4490, 81538,  3633,
    3120, 29632, 29632,  3637, 78171,   276,  3640, -4490,  3641, -4490,
   -4490,  3783,  1256, 12885, 54592,  4019, -4490, -4490, -4490,  3762,
   -4490, -4490, 81538,  3767,   939,   939,  3963, -4490,  3700, -4490,
   -4490, -4490,   543, -4490,  3648,  3513,  3475, -4490, -4490,  3513,
   -4490, -4490, -4490, -4490,  1975, -4490, -4490, -4490, -4490, 32626,
    3774,   899, 11304, -4490, -4490, -4490, -4490,   147,  2212, 30630,
    1256, -4490,  3781,  2399, 81538, -4490, -4490,  3556, -4490,  4059,
   -4490,   943, -4490, -4490,  3485, 53146, -4490,  3513,  3187, -4490,
    2372, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  4050, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, 10575, -4490, -4490, -4490,
    3946, -4490, -4490, -4490,  2577, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490,  1691, -4490, -4490,  1830,  2119, 30131, -4490,  1256,
    3803, -4490, 53146, -4490,  2372, -4490, 54592, -4490, -4490,  3655,
   53146,  2578, -4490
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4490, -4490,  3795, -4490, -1165,   141,  2347,  -812, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,  2988,
   -4490, -4490, -4490,  1569, -4490, -4490,   -60, -1564,  1608,  2601,
    1247, -4490, -1327, -4490, -4490,  -833,    -6, -1034, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -1092,  1708,  1077,  1851,
   -2479, -4490, -1699, -3689, -4490,   490, -4490, -4490,  1653, -4490,
   -4490, -4490,   942,  -298, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490,   -25, -4490, -4490,  -469, -1841,  -115,   -90,  -332, -4490,
   -4490,   332,  -334, -1705, -4490, -3520, -4490,   -54, -4490, -4490,
   -4490,  -331, -1672,  1179,   391,  -976, -1367,  1491,  -621, -4490,
    -215, -4490,  -668,  -567,  -565,  -627,  -465, -3688, -4097, -4272,
   -3025,  1189, -4490,   -62, -1823, -4490, -4490, -1728, -1707, -4490,
    -720, -4490, -4490, -4490, -2998, -4490, -4490, -4490, -4490,  -112,
   -4490, -4490, -4490, -4490,   393, -4490, -4490, -4490, -4490, -4490,
   -4490, -2199,  1623,  1630, -4490, -4490, -3175, -4490, -1158, -4490,
     536, -3036,  1107, -4490, -4490, -4490,  2306, -4490, -4490, -4490,
   -4490,   395, -4490,   394, -4490, -4490, -1848, -4490, -4490, -1820,
   -4490,  1640,   927, -4490, -4490, -4490,  -653,  -714,  -705, -4490,
   -3484, -4490, -4490, -4490, -4490, -4490, -1231, -4490,   976, -3121,
   -1196, -4490, -4490,   990, -4490, -4490, -4490, -4490,  -612,  -223,
    2327, -4490,  -518,  -593, -4490, -4490, -4490,  -221, -4490, -4490,
   -4490, -4490, -4490, -4490, -1299, 14371, -1837, -4490, -4490, -4490,
   -4490, -2489, -4490, -4490, -4490, -1738, -4490,  4052,     1,   177,
   -1809, -4490,  -177,  -122,  2838, -1383, -2689,   327,  -370, -4490,
   -2014, -4490, -4490, -4490, -2594, -4490, -4490, -4490, -4490, -3467,
   -1807, -4490, -4490, -4490,   377, -4490, -4113, -3911, -4173, -3381,
   -3451, -4490, -4490, -1314, -4490, -4490, -4490, -1670,  1818, -1709,
   -4490, -2305,   376, -3714,  -993, -3244, -4490, -3660,  -453, -4490,
   -4490, -4490, -4490, -4490, -4490, -4490, -1316,  -856, -4490, -4490,
    3335, -4490, -3328, -4490, -4490, -4490, -4490,  1303, -4490, -1689,
    1057, -4490, -4490, -4490, -4490, -4490,  -604,  -683, -4490, -4490,
   -4490,   181, -4490, -4490, -4490, -4490,  1750, -1184,  -995,  3205,
   -1806,  -413, -4490, -4490, -4490, -4490, -3038, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -1412, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490,  2011,  2012,  -124,  -206, -4490, -4490, -1469, -4490,
    -815, -4490,  2252, -4490, -4490, -4490, -4490,  1324,   230,   415,
     -65, -4490, -4490,   206, -3385,   -64, -4490, -4490, -4490, -4490,
    -184,   -63, -4490,   683, -4490, -4490, -2826, -4490,   298,    -5,
    2921,  1576,   -71,   788,  -244,  -208,  -204,   -74,  3204,  2681,
   -4490, -4490, -4490,  -146,  2007, -4490, -1084,  -356, -4490,  1333,
    -903,  1990,  2669,  2675, -4490,  1327, -4490, -4490,  1339, -4490,
   -4490, -4490,  -901,  2006, -4490,  2673,  2021, -4490,  1328,  1344,
   -3335,   789, -3364,   283,  -927,  -286,  -173,  3241,  2695, -4490,
   -4293,   726, -4490, -3499, -2385,  2959, -2088, -1834, -4490, -4490,
   -1392, 12271, -4490, -4490, -4490, 15083, 15466, -4490, -4490, 15813,
   16559, -4490, -1277,   838, 16664,  7000, -1434, -1859, -1508, 14109,
     196,  2135, -2838, -4490, -4490, -4490,  -249,   849,   162, -4490,
   -4490, -4490, -4490,  -488, -2851,  -487, -4490, -4490, -4490,  -489,
   -4489,  2154, -4490,  -674, -4490, 15405,  1385, -4490, -1337, -2756,
   -2759, -1398, -1972, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -1318, -3266,  -461,  1459, -4490, -4490,  1553, -4490, -4490, -4490,
   -1537, -1135, -2677,  1465, -2141, -4490, -1086,   753,  2153, -1016,
    8363,  4541, 12032,  -129, -2405, -1518, -1773, -4490,  -125, -4490,
     845,  1665,  -160,   193,   795,     9, -3110, -4490, -4490,   299,
   -4490, -4490, -4490,  3697,   993, -4490,  3048, -4490,  1694,  2400,
   -4490, -4490,  2027,  -936,    26, -4490,  -452, -4490,  -135, -4490,
   -4490, -4490,   232, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
   -4490, -4490,  2719, -4490, -4490, -1436, -4490, -4490, -4490, -4490,
   -4490,  3973,  -290, -4490,  3402,  -276, -4490, -4490, -4490, -4490,
   -4490, -4490, -4490, -4490, -4490,  2730,  2063, -4490,  3206, -4490,
   -4490, -4490,   -37,  2951, -4490, -4490, -4490, -1183,  -583,  3233,
    3234,  2032, -4490, -4490, -4490, -4490, -4490, -4490, -4490, -4490,
    2042, -4490, -4490,  1451, -2138,  2049, -4490, -4490,   780, -4490,
   -4490,   331, -4490,   785, -4490,  2845, -4490, -4490, -4490,   822,
   -4490, -4490, -4490,  -568,  9267,    32,   487,   505,   672, -4490,
    4260, 10658,   192,  2760,   -10,  7147, 13813,   244, -4490,  3979,
    2055,  1685, -1005, -4490,  4268,  2357, 12141, -4490, -1001,   322,
      83, -4490,    -2,  -664, -1175,  3049,  -746, -1955, -4490,  4388,
   -4490, -3564, -4490, -1036,  3419, -1198
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2570
static const yytype_int16 yytable[] =
{
      81,  1078,  1087,  1961,   360,  1613,   982,   355,  1619,  1971,
    1398,  1399,  1400,   350,   351,   353,  1404,  2067,   906,  2000,
    1272,  1567,  1965,   894,  1685,  1545,   982,  2427,  2576,  2039,
    2365,  1028,  1768,  2718,   890,  1829,  2436,  2568,  2239,  2011,
     956,  1908,  2685,  1790,  1816,  2078,  1135,   943,   990,  1060,
    1926,  2127,  2577,  1559,  3529,  2458,  2445,  2539,  1854,  3393,
    2914,  3519,  3133,  3643,  2100,  2101,  2425,  1003,   403,  2437,
    3230,  2601,   260,  1325,   403,  3676,   404,  3678,  2494,  2626,
    1303,  1063,   404,  2116,  1097,    80,  1029,   364,  3877,  2602,
     360,   705,  2603,   364,  1897,   850,  3825,  1901,  1098,  2507,
    2508,   711,  1905,  2604,  2503,  2605,  2606,  2934,  1784,  1910,
     402,  1795,  1952,  2771,  4053,   404,   402,  3519,  1928,  1821,
     699,  3081,  3083,  2299,  2301,  2302,   364,  2252,  1139,  3188,
    3782,  1668,  3796,  4090,  3381,  1670,  3584,   854,  2677,  1360,
    1081,  4119,  4080,  3782,  3526,  3524,  3525,  4264,  2239,   402,
     900,   908,  1089,  4022,  4024,  1050,  1090,  4256,   699,   404,
    4299,  3474,  1194,  2638,  2413,  4283,  2143,   979,  2093,  2094,
     364,  2343,   690,  1996,  2001,  1817,  4422,  4008,   898,   905,
    1130,  2026,  1734,  1607,  3955,  1610,  4526,   979,   905,  3285,
    2293,  2293,  4058,   402,  2113,  1646,  1647,  2197,   424,  4420,
    1349,  2629,  1194,  2971,  3595,  1025,  3431, -1525, -1525, -1525,
   -1525,  1552,    45,  1025, -1525,  1025,  1659,  3431,   424,  3801,
    3802,  3803,  3804,  3805,  3806,  4221,   860,   404,   905, -1525,
   -1525, -1525, -1525,  2145,  1710,   899, -1525,  1298,   364,  1660,
    2059,   916,  2987,  1925, -1743,  2519,  2991,  2240,  2514,  4623,
    1152, -1743,  4700,  1702,  4678,  1194,  1953,   424,  3349,   328,
    3351,   402, -1324,  3209,  1953,  1414,    43,   995,  2848,  1429,
    2749,    45,  2151,  3391,   424,  1953,  1848,    37,    38,    39,
      40,  1068,   424,    43,    44,  1435,  1661,  2182,    45, -1525,
    2843,  3589,   360,  3868,  1173,   355,    45,  2154,  1140,  1628,
    4216,   350,   351,   353, -2568, -2568, -2568, -2568,   349,   807,
     802, -2568,  3126,  1893,  3534,  2848,   407,  3535,  3536, -2568,
    4852,  2003,   909,  1395,    79,  2715,  2899,  2156,  3537,  3538,
    3539,  -135,  3540,  3541, -1324,  1084,  1711,  3542,  3543,  3544,
    -135, -2569, -2569, -2569, -2569,  -135,  2887,  3831, -2569,  4750,
    1536,  1826,  2439,   807,   802,  1703, -2569,  2300,  4212,  1034,
     260,   811,  2729,  3009,   403,  3408,    37,    38,    39,    40,
    4898,  3045,   404,    44,  1538,  1829,   354,   365,  2204,  2439,
     851,  1842,  -749,   364,     3,  2938,  4642,    37,    38,    39,
      40,  3658,  2408,  2188,    44,  2883,  2099,  1638,  2344,   403,
    1019,  2439,  2884,   970,  4213,   811,   402,   404,  1019,  2501,
    1019,  1537, -1520, -1520, -1520, -1520,  4785, -1759,   364, -1520,
    3070,   807,   802,   971, -1759,  4696,   970, -1849, -1849, -1849,
   -1849,  2439,  4425,  4688, -1849,  3010,  1126,  2371,  4935,  2205,
    2127,   402, -1492, -1492, -1492, -1492,   971,  4428,  1115, -1492,
    -363,  1024,  1035,   130,   131, -1535, -1535, -1535, -1535,  1024,
    1760,  1024, -1535,  2241,  2939, -1946,   817,  1091,   818,  2888,
    2100,  2101, -1520,   811,  1396,  2409, -1324,  2116,  2730,  3545,
    3243,  4853, -1535, -1535, -1535, -1535,  4643,  2185,  4834, -1535,
    3832,  1689,  1549,  3127,  1704, -2566, -2566, -2566, -2566,  2060,
    1827,  1954, -2566,  3071, -2565, -2565, -2565, -2565,  1989,  1954,
   -2566, -2565,  4031,   894, -1505, -1505, -1505, -1505,  1953, -2565,
    1954, -1505,  1561,  1963,  2546,  1705,  2550,  2183,  2231,  2232,
    1154, -2160, -2160, -2160, -2160,  1141,  1629,   692, -2160, -1995,
    1174,  1415,  1092,  1963,  1098,  2716, -2160,   328,  1403, -1743,
    1649,  1652,  1403,  2015,  1706,  3210,  1069,  1572,  1133,  1134,
    2520,  1573,  4815,  1194,  4132,  4073,   910, -1532, -1532, -1532,
   -1532, -1324,  2849,  4886, -1532,  3782,  1578,  4888,  1579,    37,
      38,    39,    40,  2093,  2094,  1681,    44,  2568,  1712,  1894,
    2515,  2113,  2088,  3085,  4504,  4921,   349,  2060,  4530,  2082,
    1995,  2146,  1655,  3869,   804,  3586, -1324,  3546,   245, -1324,
    1131,  3431,  1707,  3613,  2088,  4920,  2490,  3443,  2492,  3494,
     976,   977,   805,  2566,  2399,  3440,  3441,  3442,  3443,  2942,
    1763,  2774,   821,  2499,  1991, -1525,  3066,  2542,  1894,  4544,
     900,  1124,  1963,  2198,  2538,   911,  2013,   912,   804,  2731,
   -1946,  2239,  3547,  3912,  4260,  2913,  1132, -1525,  4493,  4494,
    4495,  4496,  4497,  3710,   354,   365,   805,  2732,   898,  1203,
    4330,  2706,   822,  4272,  3519,  3246,  4036,  4850,  4371,   976,
    1637,  4409,  4375,  2175,  4845,  2502,  2562,    37,    38,    39,
      40,  2681,  2446,  2623,    44,  1710,  1662,  1663,  1167,  1155,
    2885,  1849,  1850,  4735,   976,   977, -1946,  1176,  3067,  2315,
    2280,  1078,  2281,  2372,  4199,  4110,   804,  3080,  4429,   905,
     905,  2210, -1759,  3743,  1562,   899,  3746,  3747,  1697,  3090,
    3750,  1093, -2568,  1614,   805,  2476,  1126,   819,  1254,  1259,
    3757, -1995,  2416,  1263,  3548,  1249,  2714,  2768,  2770,  4887,
    1368,  3155,  4835,  -135,  -135,  2725,  4715,  4615,  2778,  1314,
    4230,  3057,  2782,  1954,  4625,  1387,   693,  3232,  1300, -2569,
    2794,  2795,  4137,  4044,  1139,  3656,  4086,  3657,  3553,    37,
      38,    39,    40,  2812,  2814,  1563,    44,  1387,  2710,  2865,
    3857,  3433,  1308,  1313,  2828,    35,  4252,  1711,  3382,  2632,
    1425,  1317, -1995,    41,    42,  1369,  1836,  1375,  1289,  1380,
     403,  1580,  3748,  3749,   404,  1384,  2572, -1995,   404,  1996,
    2689,  2696,  1163,  4142,  1405,   364,  3000,  2699,  1387,   364,
    1163,  1363,  3058,   948,  2798,  2799,  1358,  2215,  1375,  1380,
   -1520,  3559,  2228,  2228,  3043,  2624,  2598,    74,   402, -1327,
    2122,  2413,   402,  1572,  3022, -1849,  2973,  1573,  2973,  2259,
    2296,  1163,  3639,  1214,  3644,  1800,   356,  3431,  4138,  2123,
    2099,  1089,   410,   363,  1648,  1090,  3141,  2122,  2957,   363,
     360,  1112,  4590,  2124,  4592,  3274,  4302,  3384,   424,  1946,
    1405,    37,    38,    39,    40,  1181,  2123,    43,    44,  1435,
    1661,  1065,    45,  1801,  4061,  1301,  3023,  4122,  2151,  2472,
    2126, -1846,   363,  2866,  2373,  1163,   710,  2867,  2599,  4143,
    1617, -1327,  2494, -2566,  1163,  2297,  3142,  1126,  4253,   905,
    2427,  4613, -2565,  2154,  4716,  3780,   862,  1113,   970,  1947,
    2573,  1251,  2105,  2359,    81,  1583,  2260,  1359,  3780,  2711,
    1388,  1215,   356,  1917,  2868,  4139,   363,  2635,   971, -2160,
    2447,  1290,  1374,  2156,  1379,  2688, -1492,  1738,  1373,  3233,
    1378,  2457,  2448,  3266,  1393,  1354,  3143, -1978,  2712,   905,
    3061,  2298,  1548,  2633,  4791,  4781,  1556,  3383,  1651,  1264,
    1216,  1918,  2625,  1408,  1410, -1532,  1305,   916,  2401,  1407,
    1409,  1716,  1020,  1542,  4580,  1315,  2407,  2148,  1143,   802,
    1020,   981,  1020,  2361,  1387,  4658,  1291,  3438,  3439,  3440,
    3441,  3442,  3443,  2449,   363,  3875,  1425,  1948,  1115,    80,
    2362,   981,  -578,  1077,  1163,  2722,  2723,  4583,  1217, -1492,
    1025, -2296,  4587,  4123,  1025,  4589,   855, -2570,  1005,  4273,
    3057,  1802,  1837,  2480,  1577,  3877,  2483,  2484,  1082,  1388,
     811,  3556,   404, -1327,  1126,  3144,   699,  4878,  2183,  1163,
    2869,  3644,  1115,   364,   424,  1949,  3385,    37,    38,    39,
      40,  3640,  4440,    43,    44,  1413,  3662,   214,    45,  1572,
    3044,  1194,  4724,  1573,  4846,  1979,   402,    35,   424,  1833,
    4849,    37,    38,    39,    40,    41,    42,    43,    44,  1838,
     951,  3879,    45,  1430,  2666,  2186,  1083,   222,  2359,  2547,
    4900,  3058,  1539,  4912,  1006,  2574,  1551,  1305,  1553,   952,
    3267,  4851,   970,  1980,  2360,  3563,  4074,  1803,  2632,  1919,
    3386,   857,  4743,  4124,  4733,  1376,  4125,  4679,  1088,  1381,
    1382,  1383,   971,  1950,   356,   232,  2363,  4783, -1327,  1394,
     953,  1699, -1978,  4656,  1937,  1437,  3145,   235,  3431,   363,
    1921, -1996,  2553,  1388,  3146,  3519,  1084,  3147,  4763,  3519,
    1939,  1084,  4250,  3246,  4390,  3250,  3880,  1828,  2361,  3599,
    1922,  2692,   970, -1327,  4394,  4680, -1327,  2922,  4521,  1136,
    3018,  2958,  4681,  1699,   363,  2362,  2212,  2919,  3268,  3387,
    2554,  3632,   971,  4691,   690,   690,  1751,  1770, -1978,  1672,
     812,  4692,  1163,  2617,  4531,  1920, -2296,  2297,  1805,  4682,
     813, -2021,  1163,  4274,  1806,  1019,  4532,  2457,  4408,  1019,
    3654,  4739,  4740,  4251,  4901,  4767,  4879,  3085,  1771,  3633,
    2364,  1986,  -909,  4721,  1892,  3691,  4190,  4913,  4822,  1078,
    3663,  2801,  4193,  4194,  4195,  4196,  4197,  4198,    79,  3061,
    4384,  1987,  4044,  3438,  3439,  3440,  3441,  3442,  3443,  3182,
    4164,  1981, -2296,  2298,  4393,  3664,  1024,  1163,  4819,  4820,
    1024,  1866,  1007,  1008,   360,  1085,  1194,  4075,  2618,  4683,
    1184,  1185,  1186,   804,  1187,  1188,  1189,  1190,  1191,  1192,
    1662,  1663,  4880,  4764,  2213,  3881,  2172,  2173,  2174,  2175,
    4702,   805,  4511,  4318,  1668,  4762,  4076,  4632,  1670,   814,
    1807,  2363,  4522,  4870,  1923,  4881,  1852,  4667,  3782,   214,
     996,  3089,  3346,    81,    81,  4077,    81,  3807,  3433, -1492,
    3352,  3531,  1033,  3532,  1163,  4768, -1996,  3692,  2555,  3908,
   -1492,  3347,  2099, -1492,  1689, -1492,  2017,  1982,  2019,   222,
    2427,  2023,  4693,  2025,  1115,  3882,  2028,  2029,  2030,  2246,
    3780,  3292,  3293,  3294,  3295,  2330,  4533,  3154,  2373,  2037,
    3810,  2253,  2254,  3300,  2258,  1090,  1090,  3634,  1090,  1098,
    4626,  1111,  2062,  2368,  2063,  3434,  1603,   232,  3166,  3655,
    1084,  3022, -1996,  1892,  1402,  2744, -2021,  4905,  4769,   235,
    1139,  1946,  1284,  4929,  1305,  2364,  1814,  4165,    80,    80,
     207,    80,  2305,  3926,  4868,  2306,  3406,  3204,  4093,  1641,
    1354,  1163,  1617,  1194,  2556,  3179,  2601,  4067,  2494,  1305,
    1004,  1285,  4426,   245,  3342,  1815,  1554,   815,  1671,  1058,
    4684,  3560,  4271,  3616,  2602,  2752,  1112,  2603,  4703,  1808,
    1163,  2691, -2021,  1605,  2619,  3711,  3180,  2208,  2604,  4660,
    2605,  2606,  4332,  3635,  4333,  3458,  2189,  2620,  4307,  4775,
    4308,  1403,  1963,  1597,  2064,  1286,  3693,  4396,  1163,  1163,
    1809,  1163,  1641,  2202,  2203,  3181,  1437,   130,   131,  3431,
    4094,  3901,  2753,  4427,  2179,  1305,  3483,  2374,  1163,  4502,
     976,  1637,  1113,  2307,  3814,  1114,  3983,  3694,  1697,  1810,
    3048,  2727,  4120,  1104,  3519,  2470,   424,  4599,  4600,  3519,
    4825,  2754,  3519,  4014,  1214,  2367,  2016,  3877,  4701,  2018,
    2532,  2143,  2022,  1105,  2024,  2218,  3695,  2027,  1071,  1948,
    3815,  2031,  2755,  1106,   951,  4095,   699,   699,  1963,  1094,
    1163,   404,  2368,  3816,  3438,  3439,  3440,  3441,  3442,  3443,
    4086,  2533,   364,   952,  1766,  4594,  1598,  3532,  2144,  2976,
    4736,  2756,  2375,   858,  4745,  2471,  2757,  4826,  2149,  1163,
    4742,  2394,  1080,  1163,  1163,   402,  2312,  1949,  2187,  4334,
    4015,   363,  1894,  1115,   953,   363,   403,   403,  3858,  2500,
    3198,  3862,  2151,   404,   404,   404,  1806,  2551,  1603,  1214,
    4556,  3939,  1215,  3940,   364,   364,   364,  1305,  4016,  2442,
    2217,  2219,  2758, -2360,  2151,  1305,  1305,  2154,    37,    38,
      39,    40,  1751,  4017,  3817,    44,  3619,   402,   402,   402,
    2985,  1787,  1107,  3148,  4018,   403,   821,    79,    79,   699,
      79,  1216,  2334,   404,  1101,   821,  3057,  2156,  1694,  2572,
     404,  1892,  2552,   873,   364,  1950,  4019,   404,  1641,  3433,
    2443,   364,  1788,  3250,  1025,  1605,  4432,  4433,   364,  2156,
    4086,  2369,  4473,  4474,  1767,  4795,   822,   402,  -157,  1695,
    1116,  2485,  1194,   207,   402,   822,  3148,  1215,  1136,  1217,
     837,   402,  1807,  4610,  1108,  4612,  1025,  2262,   690,  1117,
    2151,  1606,  3631,  -157,  1892,  1284,  1686, -1336,  1696,  2299,
     875,  2263,   356,  1077,  1112,  2759,  3434,  3058,  3941, -1336,
    3519,  2760,  4731, -1336,   676,  2154,  1216,  2761,  3942,  4020,
    1659,  1892,  3156,  1699,  3838,  2238,   802,  1687,  2263,  3173,
    3159,  1030,  3161,    35,  3731,  3174,  3059,    37,    38,    39,
      40,    41,    42,  1660,    44,  2156,  2762,  1789,  2763,  3102,
    1109,    74,  2264,   214,  3732, -1336,  1688,  3104,  4093,  2151,
    1113,  4107, -2570,  2573,  1217,  2764,  1697,  3060,  1286,  3336,
     981,  1697,   981,  1025,   981,  1018, -1336,   811,   802,  2264,
     981,  1385,  1386,   222,  2154,  1057,  2650,  2220,  4527,  2653,
    2765,     8,  1892,   214,  2486,  2656,  2487,  1020,  4765,  2353,
    3103,  1020,  3625,   981,   981,  4091,  3360,  4489,  3105,  2354,
    1558,  2565, -1336,   821,  2156,    37,    38,    39,    40,   363,
   -1336,   232,    44,   222,  2355,   954,  2221,  1088,  4528,  1892,
    4094,  3175,  2498,   235,   882,  4490,   883,  2783,   823,  1641,
     122,  2238,   802,  1363,  1641,  1641,  4668,  2734,   424,  1019,
    1142,  1115,   404,   822,  3911,  3061,   859,  1892,   126,   888,
    2746,   232,    45,   364,  4641,  3528,  3645,   955,  1691,  4397,
     945,  3435,  3436,  3437,  4669,  3438,  3439,  3440,  3441,  3442,
    3443,  1019,  1176,  3554,  1603,  4095,   402,  3183,  1604,  3840,
    3571,  3912,   360,   811,  3666,  4228,  3685,  2913,   207,  1692,
    1024,  1963,  2784,    37,    38,    39,    40,   245,  1153,  1163,
      44,  3686,  4086,  2929,  2745,  1892,  3184,  4111,  1163,  2308,
    1031,    35,   981,  1815,  4121,  4126,  4631,  1098,  1693,    41,
      42,  2766,  1024,  3648, -1336,    37,    38,    39,    40,  2159,
    2160,  1664,    44,  4647,  2326,  2328,  3278,  4811,  2574,  2459,
    4646,  1605,    81,  2356,   360,    81,  2607,  2743,  2785,  2122,
    3374,  2786,  1572,  2740,  2741,  2742,  1573,  2575,  1019,  3918,
    3176,  2694,  4812,  2695,  3500,  3185,  2485,  2697,  2123,  2698,
    3957,  3958,  2700,  2163,   873,   981,  2701,  1606,  2170,  2171,
    2172,  2173,  2174,  2175,  1168,  1594,  3246,  2460,  2461,  3364,
    1641,  3177,  3141,  3590,  3186,  1163,  4166,  1437,  1641,  1180,
    3431,  2596,  2913,  2534,   913,    37,    38,    39,    40,  1024,
     804,  2856,    44,  2857,  2535,  2193,  4167,   867,  2194,  2627,
    3178,  2457,    37,    38,    39,    40,  2337,    80,   805,    44,
      80,   875,  1163,  1163,  3922,  2858,  2582,   802,  2536,  2787,
    1163,  1205,  3142,  1163,  3990,  1641,  2451,  1163,  1641,  1641,
    3821,  2944,  2792,  4115,  4665,  1163,  1163,  2338,  2099,  3936,
    2344,  3255,   804,  1163,  4410,  2122,  1163,  1163,  1163,  1163,
    1212,  1583,  4351,  3274,  3963,  4867,  1163,  1163,  2006,  1163,
    2007,  1163,  1163,  3956,  2123,  1163,  2339,  3279,   811,  2486,
    1213,  2487,  3143,  3780,  4350,   873,  1773,    43,  2124,  1892,
    1163,   404,    45,  1997,  1253,  1163,   356,  1998,  2427,  1163,
    3256,  1641,   364,  1163,  -903,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1256,  1163,   804,  3011,  2859,  3014,
    4281,  1163,  2497,  2860,  1163,   402,  2788,  2791,  2861,  1258,
      74,    74,  1774,    74,   805,  4933,  1194,  1796,  4934,  3297,
    3921,  2228,   875,  3624,  3298,  2170,  2171,  2172,  2173,  2174,
    2175,   981,  2960,  2439,  3220,   882,  4015,   883,  1273,  3797,
    3005,  2444, -1371,  3065,  3298,  1997, -1371,  2086,  1797,  2684,
    3433,  3144,  1798,   403,  3403,  4697,  3257,  3258,  2687,  3404,
     888,   404,  3288,  3405,  4016,  3688,  1163,  2103,  4088,  4089,
    3259,  1082,   364,   214,  3038,  1437,  -386,  1799,  3431,  4377,
    1176,  1144,  3250, -1372,  1279,  2032,  3564, -1372,  3280,  1775,
    4018,  1287,    35,  1145,  1146,   402,  3689,  2130,  1288,  2122,
      41,    42,   403,   222,   403,  4889,   191,  3434,  2033, -1371,
     404,  2141,   404,  1147,  3703,  3260,  1148,  2834,  2123,  2920,
    2837,   364,  1296,   364,  2862,  3690,  1265,  3281,  1266,  1083,
    3836,  4324,  2126,  1293,  2863,  1776,    79,  1777,  1572,    79,
   -1849,   232,  1573,   424,   402, -1371,   402,  2493,   424,    81,
   -1372,    81,  3145,   235,  1594,  1310,   882, -1324,   883,  1268,
    3146,  1269,   404,  3147,  3139,  2846,   802,   885,  1321,  3485,
    1126,  3486,  4209,   364,  4211,  1779,  1335,  4214,   887,  4215,
    3457,   888,  3459,  3460,   214,  4020, -1372,   245,   363,  1326,
    1829,  1163,  2150,  3487,  1084,  2151,   402,  1163,  1353,   424,
    3261,   804,  3262,  1163,  4014,  1341,  4027,  1088,  1088,  2085,
    1088,   245,  1781,  2244,   222,  2245,   690,   811,  1356,   805,
    2154,   946,   981,  4224,  4225,  4226,  2155,   981,   981,  2247,
    1149,  2248,  1672,  1025,    80,    45,    80,  3432,  1397,  1892,
     363,   363,   363,  1401,  1892,  1892,  2099,  1783,  1689,  1417,
    2156,  2491,   232,  3822,  4206,  3824,  1892,  2686,  3433,  2687,
    4032,  4034,  1411,  2707,   235,  2708,  2709,  1150,  2708,  2111,
    2112,  4015,   404, -2570, -2570,   404,  3438,  3439,  3440,  3441,
    3442,  3443,  2737,   364,  2738,  2935,   364,  1963,  2459,  1423,
     363,  3488,  2993,  3149,  2738,  4653,  3489,   363,  4890,  4016,
    2304,  1422,  1386,  3289,   363,  3078,   402,  3079,  1085,   402,
    2239,  1020,  1424,  1553,  4017,  3434,  3872,  1425,  1177,  1437,
    2318,  2504,  3431,  1197,  3135,  4018,  3136,  2325,  2327,  3238,
    1426,  3239,  1209,  2099,  1427,  2344,  2460,  2461,  1428,  2150,
    2531,  1431,  2151,  1020,  2913,  1432,  3149,  4019,  3251,  1434,
    3252,  3762,  1557,  3366,  2158,  2708,  2238,   802,  2459,  1267,
    2289,  2290,  4606,  1274,  3068,  1560,  4584,  2154,  1564,  3504,
    2457,  3505,  3533,  2155,  1283,  2159,  2160,  2459,  2646,  2647,
      35,   424,  3402,   981,  2687,  1163,  3564,  1892,    41,    42,
    1565,   981,  3763,  1437,  1571,    45,  3431,  2156,  1566,  3564,
    4186,  2459,  4557,  4558,  4559,  4560,  2460,  2461,   811,  4540,
    3149,  4355,  3490,  3984,  3149,  3412,  3764,  2687,  3190,  2163,
    4020,  3709,  3491,  2289,  2969,  2460,  2461,  1591,  1019,  1078,
    1020,  3765,  2164,  1584,  3416,  3766,  2687,  1594,   981,  3712,
    2457,   981,   981,  1595,  3420,  3149,  2687,  3396,  4339,  2460,
    2461,  1641,  3398,  3767,  3222,  2950,  2951,  1892,  2459,  2457,
     804,  3740,  3222,  1601,  3421,  4300,  2687,   802,  3768,  3123,
     802,  1671,  3447,    79,  2687,    79,  2459,  1616,   805,  1024,
    3435,  3436,  3437,  2457,  3438,  3439,  3440,  3441,  3442,  3443,
    3463,  3468,  2687,  3469,  4585, -1395, -1395,  2157,  2459,  3923,
    1592,  2158,  3433,   191,   981,  1163,  2460,  2461,  1615,   363,
      37,    38,    39,    40,  3291,  3317,  3318,    44,   811,  3566,
    3567,   811,  2159,  2160,  2460,  2461,  3506,  4112,  3507,  1620,
      37,    38,    39,    40,  1078,  4218,  4219,    44,  2161,  3322,
    2457,    45,  2072,  2073,  3769,  1305,  2460,  2461,  3679,  1126,
    3680,  3683,  3770,  3684,  1622,  3827,  1892,  3828,  2457,  3434,
    3866,  1626,  3867,  2162,  2459,  1630,  2163,  3509,  3510,  3511,
    1163,    37,    38,    39,    40,  1163,  3433,  1627,    44,  2164,
    2457,   214,  1305,  3572,  3573,  3771,  4222,  4223,  4224,  4225,
    4226,  1163,  1163,  3927,  3520,  2687,  4492,  1163,  3964,  1631,
    3965,  2170,  2171,  2172,  2173,  2174,  2175,  3974,  2644,  3975,
    1632,   222,  2460,  2461,   356,  4234,   676,   676,    37,    38,
      39,    40,  1163,  1163,  1641,    44,  3986,  1163,  2687,  4059,
    1642,  4060,  1641,  3434,  1641,  4231,  4063,  1633,  4064,  1163,
    1163,  1163,  1163,  4092,  1634,  2708,  2457,   404,  1635,   232,
    3520,   804,  1163,   404,  2166,  1163,  1636,  1163,   364,    74,
    1643,   235,    74,  4202,   364,  4203,  4485,  1163,  1163,   805,
    1645,  1163,  4281,  4356,  1674,  2738,   356,  4417,  4423,  4418,
    2708,   402,   360,  1675,  1163,  2743,  1163,   402,  1677,  1689,
    1163,  2740,  2741,  2742,  1683,   245, -1120,  1709,  4478, -1120,
    4222,  4223,  4224,  4225,  4226,  4424,  1163,  2708,  4227,    37,
      38,    39,    40,  4523,  1714,  4524,    44,  1163,  1740,  1163,
    1163,  1163,  1736,  4236,  3435,  3436,  3437,  1763,  3438,  3439,
    3440,  3441,  3442,  3443, -1496, -1496, -1496, -1496,  1765,  1772,
    4566, -1496,  4567,  1163,  2167,  2168,  2169,  1792,  2170,  2171,
    2172,  2173,  2174,  2175,  4568,  1163,  2687,  4564,  1818,  1804,
    1163,   804,  2780,  2781,   804,  1823,  2854,  1163,   363,  4576,
    2793,  2738,  1685,  1163,  2796,  2797,  4629,  1813,  4630,   805,
    1824,  1825,   805, -1503, -1503, -1503, -1503,  1830,  1832,  2818,
   -1503,  2819,  1834,  1839, -1494, -1494, -1494, -1494,  3435,  3436,
    3437, -1494,  3438,  3439,  3440,  3441,  3442,  3443,  1844,  1437,
    4540,  2841,  3431,  2842,  4238, -1497, -1497, -1497, -1497,  1853,
    3429,  3430, -1497,  1846,  1305,  3445,  4650,  1856,  4651,  4357,
    1697,  3564, -1495, -1495, -1495, -1495,  4698,  1898,  4699, -1495,
    1900,  3464,   802,  4711,  1902,  2738,  4406,  3471,   802,  4718,
    4723,  1963,  3847,  1911,  4725,  4475,  3847,  1892,   363,  1894,
    -174,  4208,  1641,  2318,  1913,  3480,  3481,  4784,  4595,  2207,
    4789,  1915,  4790,  2379,  4800,  4801,  2738,  3469,  4802,  4805,
    2687,  1963,  1741,  4807,  4824,  3847,  2738,  4830,  1742,  2738,
    4831,   356,  2738,   811,  4856,  1927,  1963,  1892,  1892,   811,
    1892,  4931,  4942,  4932,  4932,  1935,  2380,   363,  1943,   363,
    1600,  4376,  1602,  4379,   837,  1951,  1956,  1957,  1958,  2381,
    1959,  1960,  1962,  1963,  1970,  1973,   981,  1974,  1743,   404,
     404,   404,  2382,  1975,  1976,  1984,  4652,  1978,  1983,  1305,
     364,   364,   364,  1985,  1990,  2004,  1437,  2038,  2068,  3431,
    2074,  2070,  1892,  2076,  1892,  2083,  2077,  2084,  2096,   363,
    2092,  2095,  2097,   402,   402,   402,  4358,  2098,  2102,   245,
    2383,  2104,  2107,  2108,   981,  2109,  2110,  1744,  2180,  2115,
    2117,  2118,  2119,  2120,  1745,  4710,  2121,  1746,  2128,  2129,
    2131,  2132,  3433,  2133,  1664,  2134,    74,  2135,    74,  2384,
    2211,  2136,  2137,  1977,  2385,  2138,  2207,  1892,  2223,  4315,
    1387,  2243,  2251,  2233,  1992,  1604,  4402,  1606,  2278,  2286,
    3682,  2288,  2295,  1115,  2303,  2309,  3887,  2311,  2313,   894,
    1020,  1892,  2322,  2321,  2324,  2329,  2331, -2512,  2340,  1747,
    2333,  2342,  2341,  2344,  2345,  2346,  2347,  3704,  2348,  3434,
    4713,  2376,  2377,   404,  2349,  4748,  3851,  3774,  1892,  4753,
    4754,  2396,  2370,  1641,   364,  2400,  2402,  2404,  1176,   363,
     404,  1892,   363,  2405,  2403,  2406,  2431,  2432,  1078,  2439,
    2451,   364,  2441,  2452,  2454,  2455,  2457,   402,  1078,  2456,
    3886,  2463,  2464,  2466,  1748,  2473,  1749,  2467,  2465,  4505,
    2386,  2474,  2481,  2477,   402,  2478,  1750,  2488,  2489,  2495,
    2496,  1751,  2505,  2506,  1751,  3222,  2516,  2517,  3222,  3222,
    2518,  2521,  3222,  1752,   802,   802,   802,  2522,   837,  3433,
     676,  2527,  3222,  2544,  1892,  2530,   804,  1852,  2545,  4752,
    4749,  4609,   804,  3783,  4478,  2557,  2559,   981,  1892,  3792,
    2569,  2560,  2567,  2088,   805,   981,  3783,   981,  1754,  2387,
     805,  1892,  4755,  2570,  4757,  2388,  2099,  2105,  2389,  1305,
    2583,  1305,  2586,  2589,  2590,   811,   811,   811,  4000,  4001,
    4002,  4003,  1789,  1755,   869,  2595,  3434,   905,  2611,  2616,
    2594,  1163,  2630,  2631,  2390,  2636,  2641,  2639,  1194,  2642,
    2391,  2649,  3845,  2643,  2660,  2662,  2664,  3520,  2678,  2663,
    2679,  2703,  4810,  2392,  3435,  3436,  3437,  2665,  3438,  3439,
    3440,  3441,  3442,  3443,  2704,  2720,  1163,  2726,  2735,  1892,
    2774,  3871,  1305,  2748,  2816,  2151,  1163,  2817,  2393,  2840,
    3249,  1756,  1163,  2829,  1163,  2835,  2847,  3761,   802,  1892,
    1163,  2773,  2779,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  2872,  2582,   802,  1163,  1163,  2899,  2839,
    2853,  2870,  2916,  2918,  1892,  2915,  2921,  2923,  2926,  1163,
    2927,  2936,  1083,  1163,  2945,   404,  2937,  1163,  2946,  2949,
    2955,  2978,  2975,  2977,  2197,  2992,   364,  1163,  2526,   811,
    1163,  2994,  1163,  2995,  2996,  3007,  3012,  3015,  3018,  3520,
    1892,  1163,  1163,  1163,  3036,  3020,   811,  1163,  3021,   402,
    1163,  1741,  3027,  3032,  3039,  3053,  3056,  1742,  3069,  1554,
    1163,  1558,  3125,  4687,  3074,  3076,  3134,  3130,  4730,  3137,
    1163,  3138,  3187,  3200,  3211,  3207,  3208,  3212,  1163,  3213,
    1163,  3435,  3436,  3437,  3215,  3438,  3439,  3440,  3441,  3442,
    3443,  4152,  3216,  3217,  3218,  3219,  3229,  1743,  3235,  3231,
    3240,  3242,  3245,  3272,  3246,  3247,  3248,  3253,  3277,  4908,
    3284,  3981,  1641,  4618,  3290,   981,  3296,  3299,  3305,  3304,
    3306,  3323,  3320,  3335,  1163,  1641,  2597,  3338,  3339,  3343,
    1163,  3341,  3340,  3344,  3353,  3356,  1163,  3359,  3358,  1991,
    3380,  3368,  2526,  3369,  3370,  3371,  1744,  4635,   804,   804,
     804,  2749,  3388,  1745,  3373,  3392,  1746,  3394,  3399,  1163,
    1403,  3397,  1163,  3414,  4042,  3400,   805,   805,   805,  3415,
    3417,  3419,  3418,  3465,   363,  3422,  2687,  3484,  3938,  3423,
     363,  3943,  3944,  3945,  3946,  3947,  3948,  3949,  3950,  3951,
    3952,  2141,  3425,  3428,  3453,  3499,  3446,  2150,  3452,  3454,
    2151,  2526,  3455,  3522,  3462,  2854,  3477,  3479,  1747,  3969,
     802,  3528,  3530,  3478,  3492,  -949,  3502,  2152,  3527,  3576,
    3578,  3582,  3597,  3592,  3503,  2154,  3593,  3603,   404,  3606,
    3608,  2155,   404,  1892,   404,  3598,  3588,  3513,  3610,   364,
    3992,  3993,  3594,   364,  3609,   364,  3618,  3621,  3623,  1997,
    3611,  3627,  3614,  3652,  3615,  2156,  3660,  3653,  3641,  3642,
    3659,   811,   402,  1748,  3668,  1749,   402,  3670,   402,  3701,
    3707,  1641,   804,  3702,   356,  1750,  3705,  3708,  3713,  3714,
    3718,  3715,  3716,  1751,  3717,  3719,  3720,  3721,  3722,   804,
     805,  2271,  1752,  3513,  3807,  1194,  1077,  3723,  3724,  3726,
    3808,  3725,  3728,  3727,  3733,  3735,  2514,   805,  3745,  3737,
    3809,  2318,  3786,  3739,  3555,  4821,   981,  3751,  3783,  3752,
    3753,  3785,  3754,  1753,  3564,  3755,  3756,  1754,  2306,  1194,
    3794,  3798,  3799,  3835,  3837,  4153,  3839,  3810,  4154,  3811,
    4155,  3846,  4291,  3855,  3847,  3859,  3852,  3856,  3860,  3863,
    3884,  3893,  1755,  2651,  3864,  2157,  3895,  3903,  1163,  2158,
    3904,  3905,  2657,  3906,  4181,  4182,  2661,  3909,  3914,  3915,
    3916,  3925,  2667,  2668,  3930,  2085,  3449,  3431,  3222,  3960,
    2159,  2160,  3886,  1892,  3222,  3222,  3222,  3222,  3222,  3222,
    2680,  3448,  3976,  2145,  1305,  3988,  2161,  4029,  4210,  4055,
    4079,  4099,  3961,  3962,  4101,  3968,  3989,  4113,  4102,  4114,
    1756,  3812,  4116,  4047,  4026,  1892,  1163,  1163,  3997,  4127,
    4035,  2162,  3792,   802,  2163,  4136,  3123,   802,  4133,   802,
    4013,  4818,  4045,  4233,  4235,  4237,  4239,  2164,  3520,  4046,
    2165,  4048,  3520,  4051,  4052,  4069,  4134,  4135,  4146,  4118,
    4148,  4147,  4413,  4149,  4163,  4150,   363,   363,   363,  4179,
    4122,  4191,  4151,  4411,  4183,  4189,  3813,  4192,  4220,  4254,
    3876,  3814,  4266,  2708,   811,  4267,  1163,  4269,   811,  4276,
     811,  4270,  4285,  4288,  4289,  4298,  4297,  4303,  4301,  4305,
    4311,  4316,  4319,  4320,  4321,  4322,  4323,  4292,  4331,  4340,
    4341,  4328,  4335,  4373,   804,  4342,  4336,  3815,  4344,  4348,
    4343,  4368,  2166,  1163,  4443,  4370,  4372,  4380,  4383,  4385,
    3816,  4386,   805,  1163,  1163,  4403,  1892,  4407,   676,  4412,
    4414,  1163,  1163,  4419,  4388,  4389,  1163,  1892,  4404,  4420,
    4438,  4455,  1163,  1163,  4441,  4442,  1163,  4462,  4467,  4472,
    4448,  4458,  4476,  4483,  4491,  2997,  4249,  1641,  4326,  4498,
    3001,  1163,  4506,  3004,  4488,  1163,  4508,  4509,  4501,  4510,
    4513,  4515,  4529,  4525,  1163,  4537,  4535,  4538,  3533,  1163,
     363,  4546,  4554,  4562,  4563,  3028,  4565,  4572,  4573,  4574,
    4575,  1163,  4581,  4588,  4591,  4570,  4597,   363,  4611,  4601,
    4603,  3817,  2167,  2168,  2169,  4607,  2170,  2171,  2172,  2173,
    2174,  2175,  4624,  1194,  4627,  4628,  4637,    81,  3424,  3072,
    4500,  4644,  4638,  4645,  4654,  4253,  4663,  4661,  4672,  4671,
    1163,  4674,  4675,  1641,  4677,   981,  4689,  4706,  4690,  4714,
    3787,  3790,  4720,  2928,  4729,   356,  3086,  1892,   981,  2308,
    1741,  4737,  1084,  4746,  4770,  4774,  1742,  4776,  4780,  4786,
    4787,  4788,  4793,  4794,  4799,  4804,   404,  4803,  4809,  4814,
    3119,  4808,  4827,  4816,  4750,  1892,  3834,   364,  4833,   356,
    4400,  4401,  4832,  4836,  4838,  4842,  4037,  1892,  4847,  3140,
    4848,  4866,  3150,  4869,  4874,  4871,  1743,  4877,  4834,  4835,
     402,  4885,    80,  4911,  4899,  4927,  4930,  4936,  4940,  2150,
    3162,  1096,  2151,  2528,  2230,  1739,  3287,   804,  3557,  3665,
    3171,   804,  3129,   804,  4131,  3199,  3758,  4648,  4477,  4352,
    4353,  1892,  4761,  3194,  4519,   805,  4673,  2154,  4287,   805,
    4676,   805,  3201,  2155,  4503,  1744,  3612,  4686,  4246,  3367,
    4872,   404,  1745,  4616,  4907,  1746,  4839,  4837,  4883,  4782,
    3617,  3270,   364,  4520,  4257,  1876,  4130,  2156,  3271,  3677,
    2608,  4258,  4259,  3254,  4910,  3842,  4941,  4937,  3795,  3773,
    4884,  1641,  4636,  2593,  4829,   402,  4875,  4639,  1000,  4317,
    4732,  2058,  4293,  4294,   981,  3082,  4792,  3520,  3734,  1306,
    4892,  4938,  3520,  4778,  2807,  3520,  2931,  1747,  2932,  2693,
    3561,  2150,   363,  1568,  2151,  4275,  4405,  3363,  2830,  4065,
    3562,  2954,  2249,  2808,  3222,  3222,  3574,  1590,  2275,  3482,
    2005,  2152,  3570,  2274,  2279,  2948,  2953,  2808,  1305,  2154,
    2141,  3587,  4481,  3520,  4482,  2155,  1892,  4486,  4487,  3575,
    4007,  4009,  4378,  4722,  1576,  3792,  3792,  3792,  3792,  3792,
    2282,   802,  1748,  4066,  1749,  3980,  4712, -2570,  3970,  2156,
    4857,  2158,  4858,  4865,  1750,  3565,  3497,  4634,  3409,  1163,
    3495,  3885,  1751,  1892,  2889,  4062,  2898,  3337,  1163,  1129,
    2979,  1752,  2159,  2160,  1945,  2645,  2294,  4855,  1099,   684,
    1352,  2287,  2970,  4517,   702,  1163,  1163,   688, -2570,  1163,
    1682,  2986,   811,  2983,  1176,  2065,  3552,  1653,  1654,  4399,
    1163,  2984,  1793,  4071,  2066,  1163,  1754,  4395,  1163,  4072,
    4539,  4050,  2196,  1163,  1163,  2291,  2163,  1122,  2990,  3365,
      83,    79,   702,  2705,  1994,  3761,   802,  1392,  4608,  2164,
       0,  1794,     0,  4326,  4326,  4326,  4326,     0,     0,     0,
       0,     0,   702,  3520,     0,     0,  1163,     0,     0,  2157,
       0,     0,     0,  2158,     0,     0,     0,     0,     0,     0,
     992,     0,     0,     0,   983,  4068,     0,     0,     0,  4666,
       0,     0,     0,   993,  2159,  2160,  1892,   811,     0,     0,
    1163,  1001,     0,     0,   983,     0,     0,     0,     0,  1756,
    2161,     0,     0,  3520,     0,     0,  1011,     0,   992,     0,
       0,     0,  1032,     0, -2570,   363,     0,     0,     0,   363,
       0,   363,  1062,     0,     0,  2162,     0,  1163,  2163,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,  1163,
       0,  2164,     0,     0,  2165,     0,  3345,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3354,  3355,     0,     0,  3357,  4561,     0,     0,
     981,  3783,  3361,     0,     0,     0,  1163,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,   981,     0,     0,     0,
       0,     0,     0,  4577,  4578,  3222,     0,     0,     0,  4649,
    1163,  1892,     0,  1163,     0,  1163,     0,     0,  2170,  2171,
    2172,  2173,  2174,  2175,     0,     0,  2166,     0,     0,     0,
    2150,     0,  1163,  2151,     0,     0,  1163,     0,     0,     0,
       0,  1892,     0,     0,     0,  1717,     0,     0,     0,     0,
       0,  3395,     0,     0,     0,   804,   981,     0,  2154,     0,
       0,     0,     0,     0,  2155,     0,     0,     0,     0,     0,
       0,  1385,  1386,   805,     0,     0,     0,  1718,   404,     0,
    4217,  1892,     0,     0,  3790,  1892,  1892,     0,  2156,   364,
       0,     0,  2066,     0,     0,  4232,  4926,     0,     0,     0,
       0,   356,     0,     0,     0,  4844,     0,     0,     0,  3600,
       0,     0,   402,     0,     0,  3520,  2167,  2168,  2169,  1163,
    2170,  2171,  2172,  2173,  2174,  2175,     0,     0,  2924,  1741,
       0,     0,  1719,     0,  2925,  1742,     0,     0,     0,     0,
     804,   356,     0,     0,     0,     0,     0,  1892,     0,  4873,
    3493,     0,     0,     0,  4798,     0,     0,     0,   805,     0,
       0,     0,     0,  1720,     0,     0,     0,     0,  4605,     0,
       0,     0,  2469,     0,     0,  1743,     0,  1163,     0,     0,
       0,     0,     0,     0,  1305,     0,     0,     0, -2570,     0,
       0,     0,  2158,     0,  1163,     0,     0,     0,  1721,     0,
       0,     0,     0,     0,   981,     0,     0,     0,  4709,     0,
       0,     0,     0,  2159,  2160,     0,     0,     0,     0,     0,
    1641,     0,     0,     0,  1744,     0,     0,  1722,  1163, -2570,
     360,  1745,     0,  4897,  1746,     0,     0,     0,  1163,  4894,
    4895,  4896,     0,  2543,     0,  3687,     0,     0,     0,     0,
       0,  3513,  3699,     0,  1723,  3513,     0,  2163,     0,  1163,
    1163,  4939,  2066,     0,     0,     0,   360,     0,     0,  4897,
    2164,     0,  1163,   802,     0,  4894,  4895,  4896,     0,     0,
       0,     0,     0,     0,     0,  1724,  1747,     0,     0,   207,
       0,     0,     0,  1725,     0,     0,     0,   356,     0,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1163,  2585,     0,
     360,     0,     0,  4897,  1728,     0,     0,  1163,     0,  4894,
    4895,  4896,  3741,  1729,   811,     0,     0,  3622,     0,     0,
       0,  1730,     0,   404,     0,     0,     0,     0,     0,     0,
       0,  1748,  2318,  1749,   364, -2570,     0,     0,     0,     0,
       0,     0,   702,  1750,     0,     0,     0,     0,     0,     0,
       0,  1751,     0,   363,    74,     0,  2652,   402,   981,     0,
    1752,     0,     0,     0,     0,  1163,     0,     0,     0,     0,
     404,     0,  1731,     0,  1163,     0,     0,     0,   404,  2807,
    2807,   364,     0,     0,  2807,     0,     0,     0,     0,   364,
    3669,  1819,  3671,     0,     0,  1754,     0,     0,  2808,  2808,
       0,     0,     0,  2808,   402,     0,     0,     0,  4919,   981,
       0,     0,   402,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,  4452,  4453,  2807,  2807,     0,  4456,  4457,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,     0,   363,     0,
       0,     0,     0,  2808,  2808,     0,     0,     0,     0,     0,
    1741,     0,     0,     0,     0,  4919,  1742,     0,     0,     0,
       0,     0,     0,  4919,  2526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1756,  3729,
       0,  3910,     0,     0,  3736,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1743,     0,     0,  3920,
       0,     0,     0,     0,     0,     0,     0,  3790,  3790,  3790,
    3790,  3790,     0,     0,     0,   981,     0,  4917,   802,     0,
       0,     0,     0,     0,  1159,  1165,  1165,   702,     0,  1165,
    1172,     0,  1159,   684,  1062,     0,  1196,     0,   684,     0,
    1062,     0,  1062,     0,     0,  1744,  1165,   684,  1062,     0,
    2844,     0,  1745,     0,     0,  1746,  1223,   804,     0,     0,
       0,  1062,     0,  1159,  4917,   802,  1165,  1717,   702,   811,
    1165,     0,  4917,   802,   684,   805,  1196,     0,   684,  1276,
       0,     0,     0,     0,  3328,     0,  1165,     0,     0,   684,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1718,
    3513,     0,     0,  1717,     0,  3513,  3328,  1747,  3513,     0,
       0,     0,     0,  1304,     0,     0,   811,  1159,     0,     0,
       0,     0,   702,     0,   811,  1717,  1159,     0,     0,  1196,
       0,     0,     0,  3888,     0,  1718,     0,  3891,  3892,     0,
    3894,     0,  3896,  3897,  1165,     0,     0,  4918,     0,     0,
       0,  3902,     0,     0,  1719,  1367,     0,  1718,     0,     0,
       0,     0,  1748,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,   983,  1750,   983,     0,   983,     0,     0,
       0,  4604,  1751,   983,  3919,  1720,     0,     0,     0,     0,
    1719,  1752,     0,     0,  4918,     0,     0,  1062,     0,     0,
       0,     0,  4918,     0,     0,     0,   983,   983,     0,  1062,
    1421,     0,  1719,     0,     0,     0,     0,     0,     0,     0,
    1721,  1720,  2397,     0,     0,     0,  1754,     0,     0,     0,
       0,     0,     0,   981,     0,     0,  1528,     0,   356,     0,
     702,  1062,     0,  1720,  1304,     0,  4108,     0,     0,  1722,
    3329,  2398,     0,     0,     0,     0,  1721,     0,     0,  1062,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,  1528,  3329,     0,     0,     0,     0,     0,  1721,     0,
       0,  1062,     0,     0,     0,  1722,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1722,     0,  1756,
       0,   207,   804,  2414,     0,  1725,  3513,     0,     0,     0,
       0,  1726,     0,  4168,     0,   983,  4171,     0,  1727,     0,
     805,   684,   684,     0,     0,     0,  2415,  3091,     0,   688,
     688,     0,     0,     0,  1669,  1729,     0,   207,     0,     0,
       0,  1725,     0,  1730,     0,     0,     0,  1726,     0,   804,
       0,     0,     0,     0,  1727,   363,     0,   804,     0,   207,
       0,     0,  2415,  3330,  1062,     0,     0,   805,     0,  1726,
       0,  1729,  1165,  1165,     0,   805,  1727,     0,   983,  1730,
       0,     0,     0,     0,  2415,     0,     0,     0,     0,     0,
       0,    35,     0,  1729,  1731,     0,     0,     0,  1319,    41,
      42,  1730,  1328,     0,     0,  2150,     0,     0,  2151,     0,
       0,     0,  1340,  2150,  1159,     0,  2151,     0,     0,     0,
       0,     0,     0,     0,  1159,  2152,     0,  1196,  2153,     0,
    1731,     0,     0,  2154,  3331,  3876,     0,     0,     0,  2155,
    1165,  2154,     0,     0,     0,     0,     0,  2155,     0,     0,
       0,     0,  1731,     0,  1062,     0,  3331,     0,  3244,     0,
    1165,  1165,     0,  2156,     0,     0,     0,     0,     0,     0,
       0,  2156,     0,     0,  1062,  1062,  1062,  1165,     0,  1159,
       0,  4796,     0,  1942,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2807,     0,     0,
    2807,  2807,  2807,  2807,  2807,  2807,  2807,  2807,  2807,  2807,
       0,  1165,  1165,  1165,     0,     0,  2808,     0,     0,  2808,
    2808,  2808,  2808,  2808,  2808,  2808,  2808,  2808,  2808,     0,
    3967,  1304,     0,  3994,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,     0,     0,  2808,
       0,     0,     0,     0,     0,     0,  1304,     0,     0,  2807,
    2807,     0,     0,  2157,   983,     0,     0,  2158,     0,     0,
       0, -2570,   356,     0,     0,  2158,     0,     0,  2808,  2808,
       0,     0,     0,     0,     0,     0,  2041,  2041,  2159,  2160,
       0,  1062,     0,   992,     0,     0,  2159,  2160,     0,     0,
       0,     0,     0,     0,  2161,     0,     0,     0,  4925,     0,
     363,     0, -2570,     0,     0,  2075,     0,     0,  1062,     0,
       0,  2081,  1304,     0,     0,     0,     0,  3389,     0,  2162,
       0,     0,  2163,  1528,     0,     0,     0,     0,     0,     0,
    2163,     0,     0,     0,     0,  2164,     0,     0,  2165,   917,
       0,     0,   356,  2164,     0,     0,     0,   363,     0,     0,
    4916,   918,  1528,     0,     0,   363,     0,     0,     0,     0,
       0,  4306,     0,     0,     0,     0,     0,     0,     0,  4309,
    4310,     0,   919,     0,     0,     0,     0,     0,     0,     0,
    1528,  1528,     0,  1528,     0,   920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4916,   921,     0,
    1528,     0,     0,     0,     0,  4916,     0,     0,     0,     0,
    2166,     0,     0,  2150,     0,   922,  2151,     0, -2570,  4449,
     702,   702,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4459,     0,  2152,  1304,     0,   923,     0,     0,     0,
       0,  2154,  1304,  1304,     0,   983,     0,  2155,     0,  1062,
     983,   983,  1528,     0,   924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   925,     0,     0,     0,     0,
     926,  2156,     0,     0,     0,     0,   927,     0,     0,     0,
       0,  1528,     0,     0,     0,  1528,  1528,  1972,     0,     0,
       0,   928,     0,  1741,     0,  1062,  1062,  2285,     0,  1742,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,
       0,     0,     0,   702,     0,   684,     0,     0,     0,     0,
       0,     0,     0,   688,     0,     0,     0,     0,     0,  1743,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2057,     0,  2807,   929,     0,  4430,     0,
       0,  2157,     0,     0,     0,  2158,   930,     0,  2069,     0,
       0,     0,     0,     0,  2808,     0,     0,     0,  1744,     0,
    2079,     0,     0,     0,   837,  1745,  2159,  2160,  1746,  4446,
    4447,     0,     0,     0,     0,     0,   983,     0,     0,     0,
       0,     0,  2161,     0,   983,     0,     0,     0,  3626,   931,
    1062,  2438,     0,   932,     0,   933,     0,  1062,     0,     0,
    1165,   934,     0,     0,   935,     0,     0,  2162,     0,     0,
    2163,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
    1747,     0,  1062,  2164,     0,  4470,  4471,     0,     0,     0,
     936,   983,   937,     0,   983,   983,   938,     0,     0,     0,
       0,     0,  1062,     0,   939,     0,     0,     0,     0,   940,
    1165,  1165,  1165,  1165,  1062,     0,     0,     0,     0,     0,
       0,   941,     0,   684,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,   942,  1748,     0,  1749,     0,     0,
    2540,     0,  1062,  3696,     0,  3698,     0,  1750,     0,     0,
    1165,  1165,     0,     0,     0,  1751,  1165,   983,  2166,     0,
       0,     0,     0,     0,  1752,     0,     0,     0,  2807,  2807,
       0,     0,     0,     0,     0,     0,  2150,     0,     0,  2151,
       0,     0,     0,  2250,     0,     0,     0,  2808,  2808,     0,
       0,     0,     0,     0,     0,  3088,  2152,     0,  3730,  1754,
       0,     0,     0,  1165,  2154,     0,  4550,     0,  4551,  4552,
    2155,     0,     0,     0,     0,     0,     0,     0,     0,  4555,
       0,   684,  3744,     0,  1755,     0,     0,  1165,  1165,  1165,
    1165,     0,     0,     0,  2156,     0,     0,   684,     0,     0,
       0,     0,     0,     0,     0,     0,  2540,     0,  2167,  2168,
    2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,
    3328,  1159,     0,     0,     0,     0,     0,     0,   702,     0,
    1159,     0,     0,     0,     0,     0,     0,     0,     0,  1717,
    1196,     0,  1756,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,   684,     0,     0,     0,
    1165,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1718,     0,     0,  1062,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,     0,  3091,     0,     0,     0,     0,
       0,     0,     0,     0,  2157,     0,     0,     0,  2158,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2041,     0,
       0,     0,  3889,     0,     0,  1165,     0,  1159,     0,  2159,
    2160,  1062,  1062,     0,  1165,     0,  1719,     0,     0,     0,
    1062,     0,     0,     0,     0,  2161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   992,   992,     0,     0,
    2751,     0,     0,     0,  1528,  1528,     0,  1720,     0,     0,
    2162,     0,  1528,  2163,     0,  1528,     0,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,  2164,  1528,  1528,  2165,
    3931,     0,     0,     0,     0,  1528,  3329,  1196,  1528,  1528,
    1528,  1528,  1721,     0,     0,     0,     0,     0,  1528,  1528,
    3937,  1528,     0,  1528,  1528,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4708,     0,     0,
       0,  1722,  1528,     0,     0,  3959,  1165,  1528,     0,     0,
       0,  1528,     0,     0,     0,  1528,     0,  1528,  1528,  1528,
    1528,  1528,  1528,  1528,  1528,  1528,     0,  1528,     0,     0,
       0,  2166,  1062,  1528,     0,     0,  1528,     0,     0,     0,
       0,  2066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4734,     0,     0,  2807,  1062,     0,     0,
       0,     0,     0,   207,     0,  4569,     0,  1725,     0,     0,
       0,     0,     0,  1726,     0,  2808,     0,     0,     0,     0,
    1727,     0,  2807,  2807,  2808,     0,     0,  4760,  2415,     0,
       0,     0,     0,  2658,  1062,     0,  1062,  1729,  1528,     0,
       0,  2808,  2808,     0,  2669,  1730,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2676,     0,     0,   983,
       0,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,     0,     0,  2961,     0,  2968,  3472,  2150,     0,
       0,  2151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,     0,  2152,     0,
    3331,     0,     0,   684,     0,     0,  2154,   983,     0,     0,
       0,   688,  2155,     0,     0,  2713,     0,     0,     0,  2719,
       0,  2721,     0,     0,  2724,     0,     0,  1669,     0,     0,
     684,     0,     0,     0,     0,   684,  2156,     0,   684,   702,
       0,     0,     0,     0,   992,     0,   992,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     684,     0,     0,  1528,     0,     0,     0,  2150,     0,  1159,
    2151,  1165,  1165,  1165,     0,  1159,  1196,     0,  1165,     0,
    1165,     0,  1165,  1165,     0,     0,  1062,  2152,     0,     0,
       0,     0,     0,     0,   684,  2154,     0,     0,     0,     0,
       0,  2155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   684,     0,     0,  2438,  2156,     0,  2807,     0,     0,
    3092,     0,     0,     0,     0,  3101,  2157,     0,     0,     0,
    2158,  1062,     0,     0,     0,   684,  2808,     0,  4904,     0,
       0,     0,     0,     0,     0,     0,  3132,  3132,     0,     0,
       0,  2159,  2160,   702,   684,     0,     0,   684,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2161,  1165,     0,
     983,     0,     0,     0,     0,   684,     0,     0,   983,     0,
     983,     0,     0,     0,     0,   684,     0,     0,     0,     0,
       0,     0,  2162,     0,  3189,  2163,  3191,  3193,   684,     0,
       0,     0,     0,     0,     0,     0,     0,   684,  2164,     0,
       0,  2165,     0,     0,  4263,  2157,     0,     0,     0,  2158,
       0,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,  1165,  1165,  1165,  1165,  1165,  1165,     0,     0,
    2159,  2160,     0,     0,     0,     0,     0,  1528,     0,     0,
       0,     0,  2150,     0,     0,  2151,  2161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2438,     0,     0,     0,  3132,  1062,     0,     0,     0,   992,
    2154,  2162,     0,  2166,  2163,     0,  2155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2164,     0,  2150,
    2165,     0,  2151,     0,     0,  3189,     0,     0,     0,     0,
    2156,     0,  1165,  3316,     0,     0,     0,     0,     0,  2152,
       0,     0,  1304,  1942,     0,     0,     0,  2154,     0,     0,
       0,     0,     0,  2155,     0,     0,     0,     0,     0,     0,
    1165,     0,  1165,  3132,  1165,  3132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2156,     0,  1304,
       0,     0,     0,     0,     0,     0,     0,  1528,  2066,     0,
       0,     0,  2166,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,     0,     0,     0,     0,  2838,  2041,     0,
       0,     0,     0,  3087,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   684,     0,   983,     0,
    2157,     0,     0,     0,  2158,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   684,     0,
       0,     0,  1159,     0,     0,  2159,  2160,  1159,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,     0,     0,
       0,  2161,     0,  1528,  1528,     0,     0,  2157,     0,  1528,
       0,  2158,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,
    2174,  2175,     0,     0,     0,     0,  3784,     0,  4431,  2163,
       0,     0,  2159,  2160,  1528,  1528,     0,     0,     0,  1528,
       0,     0,  2164,     0,     0,     0,     0,     0,  2161,     0,
       0,  1528,  1528,  1528,  1528,     0,  4445,     0,     0,     0,
       0,     0,     0,     0,  1528,     0,     0,  1528,  4454,  1528,
    3476,     0,     0,  2162,     0,  1741,  2163,     0,     0,  1528,
    1528,  1742,     0,  1528,     0,     0,     0,     0,     0,  2164,
       0,     0,  2165,     0,     0,     0,  1528,     0,  1528,     0,
    1196,     0,  1528,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4469,     0,     0,     0,     0,  2166,  1528,     0,
       0,  1743,  1062,     0,     0,     0,     0,     0,     0,  3521,
       0,  1528,  1528,  1528,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1304,     0,     0,     0,  1528,     0,     0,     0,   983,
       0,     0,     0,     0,  2166,     0,     0,  1528,     0,     0,
    1744,     0,  1528,     0,     0,     0,  1062,  1745,     0,  1528,
    1746,     0,     0,     0,     0,  3521,     0,     0,  3581,     0,
       0,     0,  2968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,
       0,     0,     0,     0,   684,     0,     0,  3372,     0,     0,
       0,     0,  1747,     0,   810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,  2041,  2167,  2168,  2169,     0,  2170,  2171,
    2172,  2173,  2174,  2175,  2066,     0,  1304,     0,  3932,     0,
       0,     0,     0,     0,  1165,     0,  1165,  1165,   810,     0,
       0,     0,     0,     0,     0,     0,     0,  1748,     0,  1749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1750,
       0,     0,     0,     0,     0,     0,     0,  1751,     0,     0,
       0,     0,     0,     0,     0,     0,  1752,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,  1023,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   810,  3164,     0,     0,
       0,  1754,     0,     0,     0,     5,     0,     0,     0,     0,
     684,     0,     0,     0,     0,     6,     7,   684,     0,     0,
       0,     8,     0,     9,    10,     0,  3165,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,    36,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1756,     0,     0,   684,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3132,  3132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3791,     0,   983,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   983,  2066,     0,     0,     0,  1304,     0,  1304,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3604,  3605,  3730,  3607,     0,     0,  2041,  1062,     0,     0,
       0,     0,     0,     0,    47,  1062,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,  1062,     0,     0,     0,     0,     0,  1304,
       0,     0,  2066,     0,     0,     0,  2066,  2066,   702,     0,
      49,     0,     0,  2150,     0,     0,  2151,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,  1165,     0,     0,   684,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,  1159,     0,     0,   684,  2155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,   684,     0,    51,     0,     0,    52,
    1165,  2156,     0,     0,     0,     0,     0,   983,  1528,     0,
       0,     0,     0,     0,    53,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,  1528,     0,  1528,  3706,     0,     0,
       0,     0,  1528,     0,     0,  1528,  1528,  1528,  1528,  1528,
    1528,  1528,  1528,  1528,  1528,     0,     0,     0,  1528,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1528,     0,  3995,     0,  1528,     0,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1528,
       0,     0,  1528,     0,  1528,     0,     0,    54,     0,     0,
       0,     0,     0,  1528,  1528,  1528,     0,     0,     0,  1528,
       0, -2570,  1528,     0,     0,  2158,     0,     0,     0,  1062,
    1062,  1062,  3521,  4012,     0,     0,     0,  4012,  4025,     0,
       0,     0,  1528,     0,     0,     0,  2159,  2160,  4039,    55,
    1528,     0,  1528,     0,     0,  1741,     0,     0,     0,     0,
       0,  1742, -2570,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,  3830,
       0,  3833,     0,     0,     0,     0,     0,     0,     0,     0,
    2163,     0,     0,     0,     0,     0,  1528,     0,     0,     0,
       0,  1743,  1528,  2164,    58,     0,  2968,     0,  1528,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,     0,    69,    70,    71,    72,
      73,  1528,     0,     0,  4087,  2041,  2041,     0,  2540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1744,     0,  1165,  1165,  1165,  1165,     0,  1745,     0,     0,
    1746,   684,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3907,     0,     0,     0,  2150,     0, -2570,  2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4129,     0,  3917,     0,     0,     0,  2152,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,     0,
    2155,     0,  1747,   983,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   810,     0,     0,     0,     0,     0,   983,
       0,  1161,     0,     0,  2156,     0,     0,  2150,   684,  1161,
    2151,   684,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4184,     0,  2152,     0,     0,
    1741,     0,     0,     0,     0,  2154,  1742,  1748,     0,  1749,
    1161,  2155,  2170,  2171,  2172,  2173,  2174,  2175,     0,  1750,
       0,  1304,     0,     0,     0,     0,     0,  1751,     0,   983,
       0,     0,     0,     0,     0,  2156,  1752,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1743,     0,     0,  3791,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,  3202,  1165,     0,
    1528,  1754,     0,  1161,  2157,     0,  1062,     0,  2158,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2438,     0,
       0,     0,     0,     0,     0,  1744,  3203,     0,  1062,  2159,
    2160,     0,  1745,     0,     0,  1746,     0,  3189,     0,     0,
       0,     0,  4282,     0,     0,  2161,  2438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,  1528,
       0,     0,     0,     0,     0,  2157,     0,     0,     0,  2158,
    2162,     0,     0,  2163,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3132,  1756,  3132,  2164,  1747,     0,  2165,
    2159,  2160,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   684,     0,     0,     0,  2161,   983,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  1528,  1023,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,     0,
       0,  2162,     0,     0,  2163,     0,     0,     0,     0,     0,
       0,     0,  1748,     0,  1749,     0,     0,  2164,  1161,     0,
    2165,     0,     0,     0,  1750,  1528,     0,     0,     0,     0,
       0,  2166,  1751,     0,     0,  1528,  1528,     0,     0,     0,
       0,  1752,     0,  1528,  1528,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,  1528,  1528,  1887,     0,  1528,     0,
    1062,  1062,  1062,  1062,     0,     0,     0,  4012,     0,     0,
    4369,     0,  3646,  3521,     0,     0,  1754,  3521,     0,     0,
       0,     0,     0,  4382,     0,     0,  1528,     0,     0,     0,
       0,  1528,  2166,     0,     0,     0,     0,  4392,     0,     0,
       0,  3647,     0,  1528,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,  2150,     0,     0,  2151,
    3581,  2167,  2168,  2169,  2968,  2170,  2171,  2172,  2173,  2174,
    2175,     0,     0,     0,     0,  3979,  2152,     0,     0,   992,
       0,   983,  1528,     0,  2154,     0,     0,     0,     0,     0,
    2155,     0,     0,     0,     0, -2077,     0,     0,     0,  1756,
       0,  3132,  3132,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,  4261,  4262,  2156,     0,     0,     0,     0,     0,
       0,  1161,  2167,  2168,  2169,  4444,  2170,  2171,  2172,  2173,
    2174,  2175,   983,     0,   684,     0,  4054,     0,     0,     0,
       0, -2077,     0,  1890,     0,     0,   684,     0,     0,     0,
       0,     0,     0, -2077,     0,  1887,     0, -2077,     0,     0,
       0,     0, -2077,     0,     0,  1165,     0, -2077,     0,     0,
   -2077,     0, -2077,     0,     0,     0,  1161,     0,     0,  1165,
       0,     0,     0,     0,     0,  4312,  4313,  4314,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2077,
       0,     0,     0,     0,     0,  1304,     0,     0,     0,     0,
       0,     0,     0,  2041,  2157,     0,     0,     0,  2158,     0,
   -2077,     0,  3791,  3791,  3791,  3791,  3791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   983,  2159,
    2160,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2161, -2077,     0,     0,     0,
       0,     0,     0,     0, -2077,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  2438,     0,     0,     0,     0,     0,
    2162,     0,     0,  2163,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2164,  2216,     0,  2165,
       0,  1062,  1890,  4549,     0,     0,     0,     0,     0, -2077,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   684,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,  1528,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,     0,  2150,     0,     0,  2151,     0,     0,     0,     0,
       0,     0,     0,     0,   996,     0,     0,  1528,  1528,  1161,
       0,  1528,  2152,     0,     0,     0,     0,     0,  4012,     0,
    2154,  2166,  3521,     0,     0,     0,  2155,  3521, -2077,     0,
    3521,  3189,     0,  4593,     0,  1528,  1528,  1161,  1161,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2156, -2077,     0, -2077, -2077,     0,     0,  1161,     0,     0,
       0,     0,   684,     0,   684,     0,     0,     0,  4087,  1196,
    1165,  1165,  1165,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2077,     0,     0, -2077,
   -2077,     0, -2077,     0,  4463,  4464,     0,  4466,     0,     0,
       0,     0,  1159,  1196,     0,     0,   983,     0,     0,  1161,
     810,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,     0,     0,     0,  4329,  1887,     0,     0,     0,
       0,     0,     0,  2041,     0,     0,     0,     0,  1161,  1159,
       0,     0,  1161,  1161,     0,     0,     0,     0,  1062,     0,
    2157,  1528,     0,  1887,  2158,  2150,     0,     0,  2151,  3132,
       0,  2438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4282,  2159,  2160,     0,     0,  1062,
       0,     0,     0,  2154,     0,     0,     0,  1165,  4087,  2155,
       0,  2161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1528,  2156,     0,  1528,  2162,  1528,     0,  2163,
    1890,     0,     0,     0,  1887,     0,   810,     0,     0,     0,
       0,     0,  2164,  1023,  1528,  2165,     0,     0,  3521,     0,
       0,  4593,     0,  1887,     0,     0,     0,  4728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,  1023,     0,     0,     0,     0,
    1165,     0,     0,  1890,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,     0,
    1890,  1304,     0,     0,     0,     0,     0,  2166,     0,     0,
       0,     0,     0,  2157,     0,     0,     0,  2158,     0,     0,
       0,  1528,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2159,  2160,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,  1023,     0,  2161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4797,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,  1528,
       0,     0,  2163,     0,     0,  1165,     0,  1196,     0,     0,
    1890,     0,     0,     0,     0,  2164,  1528,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,     0,  1890,     0,
       0,  4363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
    1159,   810,     0,     0,     0,     0,  1890,     0,     0,     0,
    4087,     0,     0,     0,     0,     0,     0,     0,     0,  4549,
       0,     0,     0,     0,     0,     0,     0,     0,  4728,     0,
       0,  1528,  1528,     0,   684,     0,     0,     0,     0,     0,
    2166,     0,     0,     0,  1159,     0,  2150,     0,     0,  2151,
       0,     0,  1165,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,  1890,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,  1528,
    2155,     0,  4717,     0,     0,     0,     0,     0,     0,  1528,
       0,     0,  4717,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2156,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2150, -2570, -2570,  2151,  2170,  2171,  2172,  2173,  2174,  2175,
       0,     0,     0,     0,     0,     0,  4759,  1528,     0,     0,
    2152,     0,     0,     0,  1161,     0,  1159,  1179,  2154,     0,
       0,     0,     0,  1200,  2155,     0,  3998,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,  1221,
       0,     0,     0,     0,  1252,     0,     0,     0,  2156,     0,
       0,  1161,  1161,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  1161,     0, -2570,     0,  1161,     0,  2158,     0,
       0,     0,     0,     0,  1161,  1161,     0,     0,     0,     0,
       0,  4806,  1161,     0,     0,  1161,  1161,  1161,  1161,  2159,
    2160,     0,     0,     0,     0,  1161,  1161,     0,  1161,     0,
    1161,  1161,     0,     0,  1161, -2570,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1890,  1161,
     810,     0,     0,     0,  1161,     0,     0,     0,  1161,     0,
       0,     0,  1161,  2163,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,     0,  1161,     0,  2164,     0,  2157,     0,
    1161,     0,  2158,  1161,     0,    85,     0,     0,     0,     0,
       0,    89,     0,     0,     0,    93,     0,    94,     0,    96,
      97,     0,     0,  2159,  2160,     0,     0,     0,     0,     0,
     106,     0,     0,     0,     0,     0,     0,     0,     0,  2161,
       0,     0,  1420,     0,     0,     0,     0,   119,   120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2162,  1161,     0,  2163,     0,     0,
       0, -2570,     0,     0,  1546,     0,     0,     0,     0,     0,
    2164,     0,     0,  2165,     0,     0,     0,     0,     0,     0,
       0,  1887,  1570,   128,     0,     0,  1887,  1887,     0,     0,
       0,     0,     0,   129,     0,   130,   131,     0,  1887,     0,
       0,     0,     0,     0,  1596,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     141,     0,   142,   143,  1021,     0,     0,     0,   145,     0,
     146,     0,  1021,     0,  1021,  2166,     0,     0,     0,     0,
     148,   810,   149,     0,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,     0,     0,     0,     0,   152,     0,   153,     0,
       0,   156,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,   157,     0,   158,  1161,     0,     0,   159,
       0,     0,  1161,     0,     0,   160,     0,     0,     0,     0,
       0,     0,   162,     0,   164,     0,     0,     0,     0,     0,
     166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,   170,     0,     0,     0,  1890,  1887,
       0,     0,     0,  1890,  1890,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,  1890,     0,     0,     0,  4415,
       0,     0,     0,     0,     0,     0,     0,  2150,     0,     0,
    2151,   810,     0,     0,   810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2152,   183,   184,
       0,     0,     0,     0,   185,  2154,     0,  1904,     0,     0,
       0,  2155,   186,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,   191,     0,     0,     0,  1929,  1932,  1933,
       0,     0,     0,     0,     0,  2156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,   205,     0,   206,     0,
       0,     0,     0,   207,     0,     0,     0,  2150,   208,     0,
    2151,   210,     0,     0,  1161,   212,  1890,     0,     0,     0,
     213,   214,     0,     0,     0,     0,     0,  2152,   215,     0,
       0,   217,     0,     0,     0,  2154,     0,     0,  1887,   220,
       0,  2155,     0,     0,     0,     0,   824,     0,     0,     0,
       0,   222,     0,     0,     0,  2157,     0,     0,     0,  2158,
       0,     0,     0,     0,  1546,  2156,     0,     0,   227,     0,
     228,     0,     0,     0,     0,     0,     0,     0,   230,     0,
    2159,  2160,     0,     0,   231,     0,  1890,     0,     0,   232,
       0,  1546,   825,     0,     0,     0,  2161,     0,     0,     0,
       0,   235,     0,     0,     0,   826,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2162,   827,     0,  2163,     0,     0,     0,   828,     0,
       0,     0,     0,     0,  1161,   245,     0,  2164,     0,  -132,
    2165,     0,     0,   829,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,     0,     0,     0,  2157,     0,     0,     0,  2158,
       0,     0,   831,     0,     0,     0,     0,   832,     0,     0,
       0,     0,     0,   833,     0,  1890,     0,     0,     0,     0,
    2159,  2160,     0,     0,     0,     0,     0,     0,   834,  1161,
       0,     0,     0,     0,  1161,     0,  2161,     0,     0,     0,
       0,     0,  2166,     0,     0,     0,     0,     0,     0,     0,
    1161,  1161,     0,   835,     0,     0,  1161,     0,     0,     0,
       0,  2162,  2234,     0,  2163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2164,     0,     0,
    2165,  1161,  1161,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  1161,
    1161,  1161,     0,   836,     0,     0,   810,     0,     0,  2283,
       0,  1161,   810,     0,  1161,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,  2150,  1161,  1161,  2151,     0,
    1161,   837,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,
    2174,  2175,     0,  1161,     0,  1161,  4571,     0,     0,  1161,
       0,     0,  2166,  2154,     0,     0,   838,     0,     0,  2155,
       0,     0,   839,     0,     0,  1161,     0,     0,   840,  1887,
       0,   841,     0,     0,     0,     0,  1161,     0,  1161,  1161,
    1161,     0,     0,  2156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   842,     0,   843,
       0,     0,  1161,   844,     0,     0,     0,     0,     0,  1887,
    1887,   845,  1887, -2079,  1161,     0,   846,     0,     0,  1161,
       0,  1157,     0,     0,     0,     0,  1161,     0,   847,  1157,
       0,     0,  1161,  2433,     0,  2150,     0,     0,  2151,     0,
    2450,   848,  2167,  2168,  2169,  4361,  2170,  2171,  2172,  2173,
    2174,  2175,     0,     0,     0,  2152,  4614,     0,     0, -2079,
    1157,     0,     0,  2154,  1887,  2479,  1887,     0,     0,  2155,
       0, -2079,     0,     0,     0, -2079,     0,     0,     0,     0,
   -2079,     0,     0, -2570,     0, -2079,     0,  2158, -2079,     0,
   -2079,     0,     0,  2156,     0,     0,     0,  2513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2159,  2160,
       0,  2529,     0,     0,  1157,     0,  1890, -2079,     0,  1887,
       0,     0,     0,  1157, -2570,  2541,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2079,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,  2163,     0,     0,     0,  1890,  1890,     0,  1890,
       0,     0,     0,     0,     0,  2164,     0,     0,     0,     0,
    1887,     0,     0,     0, -2079,     0,     0,     0,     0,     0,
       0,     0, -2079,  1887,     0,     0,     0,     0,   810,   810,
     810,     0,     0,  2157,     0,     0,     0,  2158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,  1890,     0,     0,     0,     0,  2159,  2160,
       0,     0,     0,     0,     0,     0,     0, -2079,     0,     0,
       0,     0,     0,  1157,  2161,     0,     0,     0,     0,  1021,
   -2570,     0,     0,  1021,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2162,
    1887,     0,  2163,     0,     0,     0,  1890,     0,  1157,     0,
       0,     0,   996,  1887,     0,  2164,     0,     0,  2165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,     0,     0,     0,     0, -2079,  2690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   810,     0,     0,     0,     0,  1890,     0, -2079,
       0, -2079, -2079,     0,     0,     0,     0,     0,     0,   810,
    1890,     0,     0,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,  1887,     0,     0,  1546,  1546,     0,     0,     0,     0,
    2166,     0,     0,     0, -2079,     0,     0, -2079, -2079,     0,
   -2079,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2150,     0,     0,  2151,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,  1890,  2152,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,  1890,  2155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,  1157,  1887,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,  2156,     0,     0,     0,     0,     0,     0,     0,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
    1161,     0,     0,  1888,  4766,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2897,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,  1157,     0,  1890,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
    2917,  1161,     0,  1161,     0,     0,     0,     0,  1890,  1161,
       0,     0,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,     0,  2157,  1890,     0,     0,  2158,  2930,  1161,  2933,
       0,     0,  1161,     0,   810,     0,  1161,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  1161,  2159,  2160,  1161,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,  1890,
    1161,  1161,  1161,  2161,     0,     0,  1161,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
    2150,     0,     0,  2151,     0,     0,     0,     0,  2162,  1161,
       0,  2163,     0,     0,     0,     0,     0,  1161,  2150,  1161,
    2152,  2151,  1888,     0,  2164,  1887,     0,  2165,  2154,     0,
       0,     0,     0,     0,  2155,     0,     0,     0,  2152,     0,
       0,     0,     0,     0,     0,     0,  2154,     0,     0,     0,
    1157,     0,  2155,     0,     0,     0,     0,     0,  2156,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,  1161,  2156,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  2166,
       0,  1161,     0,     0,     0,     0,     0,  1157,  1157,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3110,     0,     0,     0,  2157,     0,
       0,     0,  2158,     0,     0,     0,     0,   810,     0,     0,
       0,   810,  1890,   810,     0,  1887,  2157,     0,     0,  1157,
    2158,     0,     0,  2159,  2160,     0,     0,     0,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,  2161,
       0,  2159,  2160,  4843,     0,     0,     0,  1887,  1157,     0,
       0,     0,  1157,  1157,     0,     0,     0,  2161,     0,     0,
       0,     0,     0,     0,  2162,     0,     0,  2163,     0,     0,
       0,     0,     0, -2092,  2150,     0,     0,  2151,     0,     0,
    2164,     0,  2162,  2165,     0,  2163,     0,     0,     0,     0,
       0,     0,     0,     0,  2152,     0,     0,     0,  2164,     0,
       0,  2165,  2154,     0,     0,     0,     0,     0,  2155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888, -2092,  2156,     0,     0, -2092,     0,  1161,  3286,     0,
   -2092,     0,     0,  1021,     0, -2092,     0,     0, -2092,     0,
   -2092,     0,     0,     0,     0,  2166,     0,     0,  1887,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,  2166,     0,  1021,     0, -2092,     0,     0,
       0,  2150,     0,  1888,  2151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,  1161,  1161,     0, -2092,     0,
       0,  2152,     0,     0,     0,  2938,     0,     0,     0,  2154,
    1888,  3448,     0,     0,     0,  2155,  3449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2157,     0, -2092,     0,  2158,     0,     0,  2156,
       0,     0, -2092,     0,     0,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,  1161,     0,  2159,  2160,  4928,
       0,     0,  1021,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,  2161,     0,  4049,     0,     0,     0,  1887,
       0,  1888,     0,     0,  2939,     0,     0, -2092,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  2162,     0,
    1888,  2163,  1161,  1161,     0,  1890,     0,  1887,     0,     0,
    1161,  1161,     0,     0,  2164,  1161,  1890,  2165,  1888,  1887,
       0,  1161,  1161,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,   996,     0,     0,     0,     0,     0,     0,  2157,
    1161,     0,     0,  2158,  1161,     0,  1888,     0,     0,     0,
       0,     0,     0,  1161,     0,     0, -2092,     0,  1161,     0,
       0,     0,     0,  1887,  2159,  2160,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0, -2092,
    2161, -2092, -2092,     0,     0,     0,     0,     0,     0,  2166,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,  1888,  2162,     0,  1157,  2163,  1161,
       0,     0,     0,     0, -2092,     0,     0, -2092, -2092,     0,
   -2092,  2164,     0,     0,  2165,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,  3508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   810,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,  1546,
       0,     0,  2150,     0,  1157,  2151,  2166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,  2152,     0,     0,  1887,     0,     0,     0,     0,
    2154,     0,     0,     0,     0,     0,  2155,     0,     0,     0,
     810,  1157,  1157,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,     0,  1157,  2940,     0,     0,
    2156,     0,     0,     0,  1157,  1157,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  1157,  1157,  1157,  1157,  2150,
       0,     0,  2151,     0,     0,  1157,  1157,     0,  1157,     0,
    1157,  1157,     0,     0,  1157,     0,  2167,  2168,  2169,  2152,
    2170,  2171,  2172,  2173,  2174,  2175,     0,  2154,  1888,  1157,
       0,     0,     0,  2155,  1157,     0,     0,     0,  1157,     0,
       0,     0,  1157,     0,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,     0,  1157,  1890,     0,  2156,  1887,     0,
    1157,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2157,     0,     0,     0,  2158,     0,     0,     0,  1161,     0,
       0,     0,  1890,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,  2159,  2160,     0,     0,     0,
       0,     0,     0,     0,  1161,  1161,     0,     0,  1161,     0,
       0,  2161,     0,     0,     0,  1157,     0,     0,     0,  1161,
       0,     0,     0,     0,  1161,  4902,     0,  1161,     0,     0,
       0,     0,  1161,  1161,     0,     0,  2162,     0,     0,  2163,
    1887,     0,     0,     0,     0,     0,     0,  2157,     0,     0,
       0,  2158,  2164,     0,     0,  2165,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,  1161,     0,     0,     0,     0,
       0,     0,  2159,  2160,  3971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2150,     0,     0,  2151,  2161,     0,
       0,     0,     0,  1887,     0,  1890,     0,     0,     0,  1161,
       0,     0,     0,     0,  2152,     0,     0,  3411,     0,     0,
       0,     0,  2154,  2162,     0,     0,  2163,     0,  2155,     0,
       0,     0,     0,     0,     0,     0,     0,  2166,     0,  2164,
       0,     0,  2165,  1887,     0,  3826,  1161,  1887,  1887,     0,
    1157,  3972,  2156,     0,     0,     0,  1157,     0,  1161,  4903,
       0,     0,  1157,     0,     0,  2150,     0,     0,  2151,     0,
    3841,     0,     0,     0,     0,     0,     0,     0,  3849,     0,
       0,     0,  3854,     0,     0,  2152,     0,     0,     0,     0,
       0,     0,  1021,  2154,     0,  1161,  3865,  1890,  1888,  2155,
       0,     0,     0,  1888,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2166,  1888,     0,     0,     0,  1161,
    1890,     0,  1161,  2156,  1161,     0,     0,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,
       0,  1161,     0,     0,     0,  1161,     0,     0,     0,     0,
    1890,     0,  2157,     0,     0,     0,  2158,     0,     0,     0,
       0,     0,     0,     0,     0,  1546,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2159,  2160,     0,
       0,     0,     0,     0,     0,     0,     0,   810,     0,     0,
    1890,     0,     0,  2161,  1890,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,  2167,  2168,  2169,     0,  2170,  2171,
    2172,  2173,  2174,  2175,     0,     0,     0,     0,  2162,     0,
       0,  2163,     0,  2157,     0,     0,     0,  2158,  1161,     0,
       0,     0,     0,     0,  2164,     0,     0,  2165,     0,     0,
       0,     0,     0,     0,  1157,     0,  1888,     0,  2159,  2160,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,  2161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4004,  4005,  4006,     0,  1161,     0,     0,  2162,
       0,     0,  2163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,  2164,     0,     0,  2165,  2166,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,  3426,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,  1161,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2166,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,
    2150,     0,     0,  2151,     0,  1888,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,  1157,
    2152,     0,     0,  3456,  1157,     0,     0,     0,  2154,     0,
       0,     0,   810,     0,  2155,     0,     0,     0,     0,     0,
    1157,  1157,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2156,     0,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,  1157,  1157,  1889,  1161,     0,  1157,     0,     0,   810,
       0,     0,     0,  1161,     0,     0,     0,   810,  1157,  1157,
    1157,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1157,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,  1157,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,   706,  2150,
       0,     0,  2151,  1157,     0,  1157,     0,     0,   706,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2152,
       0,     0,     0,     0,     0,  1157,     0,  2154,  2157,     0,
    4229,     0,  2158,  2155,     0,     0,  1157,     0,  1157,  1157,
    1157,     0,     0,     0,   706,     0,     0,     0,     0,  4255,
       0,     0,     0,  2159,  2160,   904,     0,  2156,   706,     0,
       0,     0,  1157,     0,   904,     0,     0,     0,   706,  2161,
       0,  4265,     0,     0,  1157,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,  1157,     0,   706,     0,
       0,     0,  1157,     0,  2162,     0,     0,  2163,     0,     0,
     689,     0,     0,     0,   904,   703,     0,   703,     0,     0,
    2164,     0,     0,  2165,     0,     0,  2150,   703,     0,  2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2152,  1076,     0,  3467,
       0,  3461,     0,   703,  2154,     0,     0,     0,     0,     0,
    2155,     0,     0,   703,     0,     0,     0,  2157,     0,     0,
       0,  2158,     0,   703,   703,     0,     0,   703,     0,     0,
       0,     0,     0,   703,  2156,     0,  1888,   984,     0,     0,
       0,     0,  2159,  2160,     0,  2166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   984,  2161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1889,     0,   703,     0,     0,  1888,  1888,     0,  1888,
       0,     0,     0,  2162,     0,     0,  2163,     0,     0,     0,
       0,     0,     0,  4364,  4365,  4366,  4367,     0,     0,  2164,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,     0,     0,     0,     0,     0,
       0,  1888,     0,  1888,  2157,  2167,  2168,  2169,  2158,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,     0,  2159,
    2160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1125,     0,  2166,  2161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2162,     0,     0,  2163,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,  2164,     0,     0,  2165,
       0,     0,  1889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,  2167,  2168,  2169,     0,  2170,  2171,
    2172,  2173,  2174,  2175,     0,     0,     0,     0,     0,     0,
       0,   703,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,  2166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,  1889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,  2150,     0,     0,  2151,     0,     0,     0,     0,
       0,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,  2152,     0,  4545,     0,     0,     0,     0,     0,
    2154,     0,     0,     0,     0,  1157,  2155,     0,  1888,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,  1157,     0,  1157,     0,     0,     0,     0,  1888,  1157,
    2156,     0,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,     0,  1888,     0,   904,   904,     0,  1157,     0,
       0,     0,  1157,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,  1125,     0,     0,     0,  1157,     0,     0,  1157,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,  1888,
    1157,  1157,  1157,     0,     0,     0,  1157,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,   703,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,  1157,
    2157,     0,     0,     0,  2158,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2159,  2160,     0,     0,     0,
       0,     0,     0,     0,   703,   703,     0,     0,     0,     0,
       0,  2161,     0,  1157,  2910,     0,     0,     0,     0,  1157,
       0,   703,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,  4657,  1171,     0,     0,     0,  2162,     0,     0,  2163,
       0,  1198,     0,  1201,     0,  1204,     0,  1206,  1157,     0,
       0,  1157,  2164,     0,     0,  2165,     0,     0,     0,     0,
       0,     0,  1546,     0,     0,     0,  1255,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,  1278,     0,     0,     0,  1280,     0,     0,
    2150,     0,     0,  2151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1125,     0,   904,     0,     0,     0,     0,
    2152,     0,     0,  3978,     0,     0,     0,     0,  2154,     0,
    1309,     0,  1888,     0,  2155,     0,     0,  2166,     0,     0,
       0,     0,     0,     0,  1330,     0,     0,  1332,     0,  1334,
    2150,  1337,     0,  2151,     0,     0,     0,     0,  2156,     0,
       0,     0,     0,  3928,   706,   904,     0,  4741,     0,     0,
    2152,     0,     0,     0,     0,     0,     0,     0,  2154,   706,
       0,   706,     0,     0,  2155,     0,     0,     0,     0,     0,
       0,   706,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2156,     0,
     706,   706,     0,     0,     0,     0,     0,  1418,     0,  1419,
       0,  1297,   703,     0,   703,     0,     0,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1125,     0,     0,     0,     0,     0,     0,  1157,  2157,  3077,
       0,     0,  2158,     0,  2430,  3084,     0,     0,     0,     0,
     703,     0,     0,   703,   703,     0,  1889,     0,     0,     0,
       0,     0,  1888,  2159,  2160,  1076,   689,     0,   984,     0,
     984,     0,     0,     0,     0,     0,   689,     0,     0,  2161,
     703,     0,     0,     0,     0,     0,     0,     0,  2157,     0,
       0,     0,  2158,     0,  1888,  1157,  1157,     0,     0,   984,
     984,     0,     0,     0,  2162,     0,     0,  2163,     0,     0,
       0,     0,     0,  2159,  2160,     0,     0,     0,     0,     0,
    2164,     0,     0,  2165,     0,     0,     0,     0,     0,  2161,
       0,     0,     0,     0,     0,     0,  1676,     0,  1678,   703,
       0,   703,  1680,     0,     0,     0,     0,  1741,     0,     0,
       0,     0,     0,  1742,  2162,  1157,     0,  2163,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2164,     0,     0,  2165,     0,     0,     0,     0,  1773,     0,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,  1157,  1743,     0,  2166,     0,     0,     0,     0,
       0,     0,  1157,  1157,  1822,  1888,     0,     0,     0,     0,
    1157,  1157,     0,     0,     0,  1157,  1888,     0,   689,     0,
    1835,  1157,  1157,     0,  1774,  1157,     0,     0,  1741,     0,
       0,  1843,   689,   689,  1742,     0,  1658,     0,  1845,     0,
    1157,     0,  1744,     0,  1157,  2166,     0,     0,     0,  1745,
    1896,     0,  1746,  1157,     0,     0,     0,  2430,  1157,  1773,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  1743,     0,     0,     0,     0,     0,
       0,   689,  1938,     0,     0,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,     0,
       0,  1775,     0,     0,  1747,  1774,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1744,     0,     0,  1888,     0,     0,     0,
    1745,     0,     0,  1746,     0,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,  1776,     0,  1777,
       0,     0,     0,     0,  1888,     0,  1889,     0,     0,  1778,
       0,  1749,     0,   706,     0,   706,  1888,     0,   706,     0,
     706,  1750,     0,   706,   706,   706,     0,     0,     0,  1751,
       0,     0,  1775,     0,     0,  1747,   706,  1779,  1752,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   706,
       0,   706,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,  1780,
       0,     0,     0,  1754,  1781,     0,     0,     0,  1776,     0,
    1777,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1778,     0,  1749,     0,     0,     0,     0,     0,  1782,     0,
       0,     0,  1750,     0,     0,     0,     0,     0,     0,  1783,
    1751,     0,     0,     0,     0,     0,     0,   689,  1779,  1752,
       0,     0,   703,     0,   703,     0,     0,   703,     0,   703,
       0,     0,   703,   703,   703,     0,     0,  1879,  2036,     0,
       0,     0,     0,     0,     0,   703,     0,     0,     0,     0,
    3152,     0,     0,     0,  1754,  1781,  1756,     0,   703,     0,
     703,     0,     0,     0,     0,   703,     0,     0,     0,  2910,
    2910,  2910,     0,     0,     0,  1888,     0,     0,     0,  3153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1783,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,  1888,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,  1157,  1157,     0,  1756,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,  1157,     0,     0,  1157,     0,     0,
       0,     0,  1157,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2191,     0,     0,     0,     0,     0,     0,     0,
    2316,   703,   703,  2316,     0,  1157,  1879,     0,     0,     0,
       0,  2323,     0,     0,     0,     0,     0,  1889,   689,     0,
       0,     0,     0,   689,   689,     0,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,  3084,     0,
    3084,     0,     0,     0,     0,     0,  2395,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
     863,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,   864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   703,     0,   689,     0,     0,     0,
       0,     0,  1889,   865,  1889,     0,  2320,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,   866,  1888,     0,     0,
       0,     0,     0,     0,     0,   867,     0,     0,     0,  -707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    1888,     0,  1157,     0,  1157,     0,   868,     0,     0,     0,
       0,     0,   869,     0,     0,     0,     0,  1889,     0,     0,
       0,  1157,     0,     0,     0,  1157,     0,   870,     0,   689,
    1888,     0,     0,     0,     0,     0,     0,   689,     0,     0,
       0,  1889,     0,     0,     0,   871,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,     0,     0,
       0,     0,     0,   873,     0,     0,     0,   874,  3084,     0,
    1888,     0,     0,     0,  1888,  1888,     0,     0,     0,     0,
       0,  3084,  -903,     0,   689,     0,     0,   689,   689,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,  2610,     0,     0,
     875,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,     0,     0,     0,
     689,     0,     0,     0,     0,     0,     0,   876,  3084,     0,
     877,  2655,     0,     0,     0,  2659,  1157,     0,     0,     0,
       0,  1889,     0,     0,     0,     0,  2670,  1879,  2672,     0,
    2673,     0,     0,  1157,     0,  2674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
     878,     0,     0,     0,     0,     0,   879,  1157,   706,     0,
     706,     0,  -386,     0,   706,   880,   706,  1157,     0,   706,
       0,     0,     0,   706,  2702,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,  1157,
       0,  -386,     0,   881,   882,     0,   883,   884,     0,  1889,
       0,  1157,     0,     0,     0,   885,     0,     0,     0,     0,
     886,     0,     0,     0,     0,  1879,   887,     0,     0,   888,
       0,     0,   889,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,  -386,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,     0,     0,     0,
    1889,     0,     0,     0,     0,     0,     0,   703,     0,   703,
       0,     0,     0,   703,     0,   703,     0,     0,   703,     0,
    1879,     0,   703,     0,     0,     0,     0,  2191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2910,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2911,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2036,     0,     0,     0,     0,     0,     0,
    2912,     0,     0,     0,     0,     0,     0,     0,     0,  2320,
       0,     0,     0,  3084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1125,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2998,  2999,     0,     0,     0,  3002,  3003,
       0,     0,  3006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3017,     0,     0,     0,     0,     0,     0,  3026,
       0,     0,   689,  3029,  3030,     0,     0,  3033,  3034,  3035,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3049,
       0,  3051,  1879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3073,     0,     0,
       0,     0,  3075,     0,     0,     0,     0,     0,     0,     0,
     689,     0,     0,     0,   689,     0,     0,     0,     0,     0,
    2982,     0,  1658,     0,     0,   703,     0,     0,     0,     0,
       0,     0,     0,  3093,  3094,  3097,  3099,     0,     0,     0,
    3106,  3109,     0,     0,     0,     0,     0,     0,  3120,     0,
       0,  3124,     0,  1889,     0,  3128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3158,     0,  3160,     0,  2430,     4,     0,  3163,     0,
       0,     0,     0,  3167,  3168,  3169,  3170,     0,  3172,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,  3195,  3196,  3197,     0,     0,     6,     7,     0,     0,
       0,     0,  3205,  3206,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,  1224,     0,     0,     0,     0,     0,     0,  3265,     0,
       0,     0,     0,   689,     0,     0,     0,     0,     0,     0,
       0,   689,     0,   689,     0,     0,  1889,  1162,     0,     0,
       0,     0,     0,     0,  1225,  1162,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,    46,     0,  1226,  1227,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
    1229,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,  2910,     0,     0,  1230,     0,  2910,
       0,     0,  1879,     0,     0,     0,     0,  1879,  1879,     0,
       0,  2910,     0,     0,     0,     0,     0,     0,  1231,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,  1232,     0,     0,     0,
    1162,     0,     0,     0,     0,  1125,     0,  1233,     0,  1162,
       0,    48,  1234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,    49,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3390,     0,     0,     0,
       0,     0,     0,    50,     0,  1889,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,  1237,     0,
    1879,  1889,     0,     0,   703,  2036,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   689,     0,     0,     0,     0,   837,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,  1238,     0,     0,     0,  1239,     0,  1240,     0,     0,
       0,     0,     0,  1241,     0,     0,  1242,     0,    54,     0,
    1879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1243,     0,  1244,     0,     0,     0,  1245,     0,
       0,     0,     0,     0,     0,     0,  1246,     0,     0,     0,
      55,  1247,     0,     0,     0,     0,  4543,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1248,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,  1879,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1345,     0,     0,  3601,  3602,    71,
    1346,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2320,     0,     0,
       0,     0,   689,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3636,  3638,
       0,     0,     0,  3638,     0,     0,     0,     0,  3649,  3650,
    3651,     0,  1162,     0,     0,     0,  3084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3672,  3673,  3674,  3675,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
    3700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1164,  1166,  3084,     0,
    1169,  1170,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1207,     0,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,  3738,     0,     0,     0,     0,  1257,     0,     0,
    3742,  1260,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,     0,  1162,  1281,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,  1889,  1889,     0,     0,  3823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3829,
    1879,     0,     0,  1162,  1162,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,  3848,     0,  3850,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,  1879,     0,  1879,     0,     0,     0,  4543,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,  3890,     0,     0,     0,
       0,   689,     0,     0,     0,  1162,     0,     0,     0,     0,
    3900,     0,     4,     0,   689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,  1879,     0,     0,
       0,     0,     5,     0,  1162,     0,     0,     0,  1162,  1162,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
    1879,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   703,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     689,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,  2090,  1761,  1762,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,  2114,     0,     0,     0,     0,     0,  1879,     0,     0,
       0,    47,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,    48,     0,  2139,
    2140,     0,  2142,     0,  1879,     0,     0,     0,     0,     0,
       0,  1847,     0,     0,     0,     0,     0,    49,     0,  2181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1906,  1907,     0,     0,     0,     0,  1891,     0,    50,
       0,     0,     0,  4097,     0,  4098,     0,     0,  1934,  4100,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,  4109,     0,     0,     0,     0,     0,
       0,  2235,  1879,    51,  1891,     0,    52,     0,     0,     0,
       0,  4117,     0,  1967,  1969,     0,     0,     0,     0,     0,
    4128,    53,  1879,     0,     0,     0,     0,     0,     0,     0,
    2257,     0,  1891,     0,  2267,  2270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,     0,     0,  2982,     0,     0,     0,     0,     0,
    4156,  4157,  4158,  4159,  4160,  4161,  4162,     0,     0,     0,
       0,  4169,  4170,     0,  4172,  4173,  4174,  4175,  4176,  4177,
    4178,     0,     0,  1879,  1162,     0,     0,     0,     0,  4185,
    1891,  4187,  4188,  1162,    54,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   689,     0,     0,     0,
      56,     0,     0,     0,     0,     0,  4241,  4243,  4245,     0,
       0,  4248,   689,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1345,  1993,     0,     0,     0,    71,     0,  1162,  1162,     0,
       0,     0,   689,     0,     0,  1162,     0,     0,  1162,     0,
       0,     0,  1162,     0,     0,     0,  3638,     0,     0,     0,
    1162,  1162,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  1162,  1162,  1162,  1162,     0,     0,     0,     0,     0,
       0,  1162,  1162,     0,  1162,     0,  1162,  1162,     0,     0,
    1162,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,  1891,  1162,     0,     0,     0,     0,
    1162,     0,     0,     0,  1162,     0,     0,     0,  1162,     0,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,
    1162,     0,     0,     0,     0,     0,  1162,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,  4434,  4435,  4436,  4437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4450,  4451,     0,
       0,  2509,  2510,  2511,  2512,     0,     0,     0,     0,  4460,
    4461,     0,     0,     0,     0,     0,  1162,     0,  2320,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,  1162,     0,
       0,  2777,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2548,  2549,     0,   689,     0,     0,  2558,     0,     0,
       0,     0,     0,     0,  2800,     0,     0,  2802,     0,     0,
    2813,     0,     0,     0,  1891,     0,     0,  2820,  2825,  1891,
    1891,     0,     0,  2831,     0,     0,  2836,     0,     0,  1879,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,  2845,     0,     0,  2579,   689,  2852,     0,     0,     0,
    2864,     0,     0,     0,  2871,     0,  2873,  2874,  2875,  2876,
    2877,  2878,  2879,  2880,  2881,     0,  2882,     0,  2612,  2613,
    2614,  2615,  1516,     0,     0,  2907,     0,     0,  4512,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,  4553,     0,     0,  2671,     0,     0,     0,
       0,     0,     0,     0,     0,  2675,     0,  1587,     0,     0,
       0,     0,  2682,     0,     0,     0,     0,     0,     0,     0,
    1879,   689,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   706,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3031,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4640,     0,     0,     0,  1881,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4664,     0,     0,     0,   703,     0,     0,     0,     0,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,  3638,     0,
       0,     0,     0,     0,     0,     0,  1162,  1162,     0,   689,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  1162,  1162,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
    1162,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
    4744,     0,  1162,  1162,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3241,     0,     0,  1162,
       0,  1162,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  1162,  1162,  1162,     0,     0,  1879,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3638,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  3040,  3041,  3042,  1162,     0,     0,     0,  3050,
       0,  3052,  1162,  3054,  3055,     0,  1881,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4840,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,   689,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,  3157,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1882,     0,  3407,     0,     0,     0,     0,  3413,     0,
       0,     0,  1891,  1891,     0,  1891,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,  1879,  1879,
       0,     0,     0,     0,     0,  3214,     0,  1881,     0,     0,
       0,  2177,     0,  3223,  3224,  3225,  3226,  3227,  3228,     0,
    2825,     0,  2825,  2825,     0,     0,  1881,     0,     0,     0,
       0,     0,     0,  3470,     0,     0,  3473,  1891,  3475,  1891,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3496,     0,  3498,     0,     0,
       0,  3501,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,  3308,     0,     0,     0,     0,     0,     0,
    2907,  2907,  2907,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,  3348,  3558,  3350,     0,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,  2257,     0,     0,     0,
       0,  3569,     0,  1891,     0,     0,     0,     0,  2270,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,  3401,     0,
       0,     0,     0,  1891,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,  1891,     0,     0,     0,  1884,  1882,
       0,  1162,     0,     0,  1881,     0,     0,  1162,     0,  1162,
       0,     0,     0,     0,  1891,  1162,     0,     0,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,     0,
       0,  1162,  1162,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,     0,     0,  1162,     0,     0,     0,  1162,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,  1162,     0,  1162,     0,     0,
    1882,     0,     0,     0,     0,  1891,  1162,  1162,  1162,     0,
       0,     0,  1162,     0,     0,  1162,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,  1882,     0,     0,
       0,     0,     0,  1162,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,  1162,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3628,     0,  3629,  3630,     0,
       0,     0,     0,  1882,  1162,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2177,  1884,     0,  1891,     0,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,  1881,
    1881,     0,     0,     0,     0,     0,     0,  3929,     0,  2177,
       0,  1881,     0,     0,  2809,     0,     0,  3933,     0,     0,
       0,     0,     0,  3934,     0,  3935,     0,     0,     0,     0,
       0,     0,     0,     0,  2177,  2177,     0,  2177,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,  3953,  3954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,  2831,     0,
       0,     0,     0,     0,     0,     0,  2177,     0,  3982,     0,
       0,  3985,     0,  3987,     0,     0,     0,     0,     0,     0,
       0,     0,  3991,     0,     0,     0,     0,     0,  3996,     0,
       0,  3999,     0,     0,     0,     0,     0,  1882,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,  4028,     0,     0,     0,     0,     0,     0,     0,  4040,
    2177,  2907,     0,     0,     0,     0,     0,  1884,  1891,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,  2177,     0,     0,  2177,     0,     0,     0,     0,
    1891,  1162,  1162,     0,  1884,  4057,     0,     0,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
    4081,     0,  1881,     0,  3898,     0,     0,  3899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,  3924,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,  1162,
       0,  1891,     0,     0,     0,     0,  1162,  1162,     0,     0,
       0,  1162,  1891,     0,     0,     0,     0,  1162,  1162,     0,
       0,  1162,     0,     0,     0,  1885,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,  1162,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
       0,     0,  1882,  1882,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,  4295,  4296,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,  4103,  4104,  4105,  4106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,  4327,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,  4345,  4347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4354,     0,     0,
       0,     0,     0,  4359,  4360,  1882,     0,  4362,     0,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2907,     0,     0,     0,     0,
    2907,     0,     0,     0,  1162,     0,     0,     0,  1891,     0,
       0,     0,  2907,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,  1881,     0,  1881,     0,     0,     0,     0,
    1162,  1162,     0,     0,  1162,     0,     0,     0,     0,  4247,
       0,     0,  2177,     0,     0,  1162,     0,     0,     0,     0,
    1162,  4416,     0,  1162,     0,     0,     0,     0,  1162,  1162,
       0,     0,     0,     0,  1882,  2177,     0,  2177,     0,  2809,
    2809,  3444,     0,     0,  2809,     0,     0,  1881,  2177,  1881,
       0,     0,     0,     0,     0,  2177,     0,     0,     0,     0,
    2177,  1162,     0,     0,  1884,     0,  2177,     0,     0,  1884,
    1884,  2177,  1885,     0,     0,     0,     0,     0,     0,     0,
    2177,  1884,     0,     0,  2809,  2809,     0,  2177,     0,     0,
       0,  1891,     0,     0,     0,  1162,     0,     0,     0,  2177,
       0,     0,  1881,     0,     0,     0,  2177,     0,  2177,  2177,
    2177,  2177,  2177,  2177,  2177,  2177,  2177,  2177,     0,     0,
       0,     0,     0,     0,     0,  1885,  1881,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,  1885,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,  1162,     0,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,  1891,     0,  1162,     0,
    1162,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,  1162,     0,  1881,
    1886,  1162,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,  1885,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,  1886,     0,     0,
    1885,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
    1891,  1891,  1884,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,  4596,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,  1891,     0,  1881,     0,  1885,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,  4465,     0,     0,  1881,
       0,     0,  1162,     0,     0,  1882,  1882,     0,  1882,     0,
    4468,  1884,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
    1882,     0,  1882,  1162,     0,     0,     0,     0,     0,     0,
    4659,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,  4518,     0,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  2831,     0,     0,     0,     0,  1882,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,     0,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2177,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4779,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,  4619,  4621,  4621,     0,     0,  1882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,  2177,     0,     0,  1886,     0,     0,  2177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3444,  3444,     0,  2809,     0,     0,
    2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,
    3444,     0,  1884,     0,     0,  4823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2177,     0,  1882,  2177,     0,
    2177,     0,     0,     0,     0,  3444,  3444,     0,     0,     0,
       0,     0,  1884,  1884,     0,  1884,     0,  1882,     0,  2809,
    2809,  2177,     0,  2177,     0,     0,  2177,     0,  4694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
    4862,  4862,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,  1884,
    1881,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,  4862,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,  4906,     0,
    1885,     0,     0,     0,     0,  1885,  1885,     0,     0,     0,
       0,  4738,     0,     0,     0,     0,     0,  1885,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4756,     0,  4758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
    1886,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,  4621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,  4841,     0,     0,
       0,  1882,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,  4876,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,     0,     0,  2809,     0,     0,     0,     0,
       0,     0,  1881,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,  4909,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
       0,  1882,     0,  1886,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,  2177,     0,     0,     0,  2177,  2177,
    2177,     0,     0,  3444,     0,     0,     0,     0,  3444,  3444,
    3444,  3444,  3444,  3444,  3444,  3444,  3444,  3444,  2177,  2177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2177,  2809,  2809,
    2177,     0,  2177,     0,     0,     0,  2177,  3444,  3444,     0,
       0,  2177,  1886,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1882,  2177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,  1885,
       0,  1885,     0,     0,     0,     0,  1881,     0,  1884,  1882,
       0,     0,     0,     0,  3444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,  1885,     0,     0,     0,     0,
    2177,  2177,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
    1881,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,  2809,     0,     0,     0,
       0,     0,     0,  1886,  1886,     0,  1886,     0,  1885,     0,
    2177,     0,  2177,     0,     0,     0,     0,  3444,  3444,  2177,
       0,     0,  2809,  2809,  2177,  2177,     0,  2177,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,  1886,  1885,
    1886,  1882,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1885,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,  1882,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3444,  2809,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,  3444,  3444,  2177,     0,     0,     0,     0,     0,
    1885,     0,     0,     0,  1886,     0,  1884,     0,     0,     0,
       0,  2177,     0,     0,     0,     0,  1882,  1886,     0,     0,
       0,     0,     0,     0,     0,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,  1882,
       0,     0,     0,  1882,  1882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3444,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,     0,  2177,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,  2177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,  2177,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,  1884,     0,     0,     0,     0,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1885,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
    1884,  1884,    53,     0,     0,     0,     0,     0,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,  1886,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,    54,     0,     0,     0,     0,
       0,  1886,    41,    42,     0,     0,     0,  1885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,    56,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,    57,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
     151,     0,    58,     0,     0,     0,     0,     0,    59,     0,
     154,   155,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1345,  1886,     0,     0,     0,    71,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,   161,  1885,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,  1885,   171,     0,     0,
       0,     0,     0,     0,     0,     0,   172,     0,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0,     0,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   180,   181,     0,   182,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,   188,   189,     0,
       0,   190,     0,  1886,     0,   192,     0,     0,   193,     0,
     194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   195,   196,   197,   198,   199,     0,     0,
       0,  1886,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
     216,     0,     0,   218,     0,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,     0,     0,   225,     0,   226,     0,     0,
       0,     0,     0,     0,  1885,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,     0,  1885,  1885,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,  1886,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,  1886,     0,     0,
       0,  1886,  1886,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   719,   433,
     434,   435,   720,   721,   722,   723,   724,   725,   726,   436,
     437,   727,   438,   439,   133,   440,   441,   442,   135,   136,
     137,   138,   139,   728,   443,   444,   445,   446,   447,   729,
     730,   448,   449,   731,   140,   451,   732,   452,   453,   454,
     455,   144,   733,   734,   735,   456,   457,   458,   459,   147,
     460,   736,   737,   462,   463,   464,   465,   466,   467,   738,
     150,   468,   739,   740,   741,   742,   151,   743,   744,   745,
     469,   470,   471,   472,   473,   474,   154,   155,   475,   746,
     476,   747,   477,   478,   479,   480,   481,   748,   482,   483,
     484,   749,   750,   485,   486,   487,   488,   489,   751,   490,
     491,   492,   752,   493,   494,   753,   495,   496,   497,   498,
     163,   499,   500,   501,   165,   754,   502,   755,   503,   167,
     504,   756,   505,   757,   506,   168,   758,   169,   507,   508,
     509,   759,   510,   171,   760,   511,   761,   512,   513,   514,
     515,   516,   172,   517,   518,   519,   762,   520,   521,   522,
     523,   524,   525,   763,   526,   173,   174,   764,   527,   528,
     529,   765,   175,   766,   176,   767,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,   768,   539,
     180,   181,   540,   182,   769,   541,   542,   543,   770,   771,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,   188,   189,   556,   557,   190,   772,   558,
     559,   192,   560,   773,   193,   561,   194,   562,   563,   564,
     774,   565,   775,   776,   566,   567,   568,   777,   778,   195,
     196,   197,   198,   199,   569,   570,   571,   572,   573,   574,
     575,   779,   576,   200,   577,   201,   578,   579,   580,   780,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,   781,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   782,   602,   603,   209,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,   783,   614,
     615,   616,   617,   618,   784,   619,   216,   620,   621,   218,
     622,   219,   623,   785,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,   786,   634,   635,   787,   636,
     637,   638,   639,   640,   641,   788,   223,   224,   789,   790,
     643,   225,   644,   226,   791,   645,   646,   647,   648,   649,
     650,   651,   792,   793,   652,   653,   654,   655,   656,   794,
     795,   657,   658,   659,   660,   661,   796,   233,   797,   663,
     234,   664,   665,   666,   798,   799,   667,   800,   801,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    85,     0,     0,    86,
      87,    88,    89,    90,    91,    92,    93,     0,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   946,   104,
     105,   106,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,   119,   120,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   129,     0,   130,   131,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,   133,     0,
       0,   134,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,   141,     0,   142,   143,   144,     0,     0,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,     0,
       0,   148,     0,   149,   150,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,   152,     0,   153,
     154,   155,   156,     0,     0,     0,     0,     0, -1349,     0,
       0,     0,     0,     0,   157,     0,   158,     0,     0,     0,
     159,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,   162,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,   170,     0,   171,     0,     0,
       0,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0, -1349,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   180,   181,     0,   182,     0,   183,
     184,     0,     0,     0,     0,   185,     0,     0,     0,     0,
       0,     0,     0,   186,     0,     0,   187,   188,   189,     0,
       0,   190,     0,     0,   191,   192,     0,     0,   193,     0,
     194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,     0,     0,     0,   205,     0,   206,
       0,     0,     0,     0,   207,     0,     0,     0,     0,   208,
     209,     0,   210,   211,     0,     0,   212,     0,     0,     0,
       0,   213,   214,     0,     0,     0,     0,     0,     0,   215,
     216,     0,   217,   218,     0,   219,     0,     0,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,     0,     0,   225,     0,   226,     0,   227,
       0,   228,     0,     0,     0,     0,   229,     0,     0,   230,
       0,     0, -1349,     0,     0,   231,     0,     0,     0,     0,
     232,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   245,   104,   105,     0,
    -132,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   218,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,     0,     0,   225,     0,   226,     0,     0,     0,     0,
       0,     0,     0,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,  2974,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1345,  2683,
       0,     0,     0,    71,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  2901,   433,
     434,   435,     0,     0,     0,     0,  1439,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,   135,  1440,
     137,  1441,  1442,     0,   443,   444,   445,   446,   447,  1443,
    1444,   448,   449,  1445,  1446,   451,     0,   452,   453,   454,
     455,  1447,     0,  1448,     0,   456,   457,   458,   459,   147,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
     150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     469,   470,   471,   472,   473,   474,  1456,  1457,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,  2902,     0,   485,   486,  1458,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
    1459,   499,   500,   501,  1460,  1461,   502,     0,   503,  1462,
     504,     0,   505,     0,   506,   168,     0,   169,   507,   508,
     509,     0,   510,  1463,     0,   511,     0,   512,   513,   514,
     515,   516,   172,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,   173,   174,     0,   527,   528,
     529,  1464,  1465,     0,  1466,     0,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1467,   181,   540,   182,     0,   541,   542,   543,  1468,  1469,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1470,   188,  1471,   556,   557,   190,  1472,   558,
     559,   192,   560,  1473,  1474,   561,  1475,   562,   563,   564,
       0,   565,     0,     0,  1476,   567,   568,     0,     0,   195,
     196,   197,   198,  1477,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1478,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1479,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1480,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1481,   619,   216,   620,   621,   218,
     622,  1482,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,  1483,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,  1484,  1485,     0,     0,
     643,  1486,   644,  1487,  1488,   645,   646,   647,   648,   649,
     650,   651,     0,  1489,   652,   653,   654,   655,   656,  1490,
       0,   657,   658,   659,   660,   661,   662,  1491,  2903,   663,
     234,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,  2904,     0,     0,     0,     0,
       0,     0,  1503,  2905,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,  1439,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,   135,  1440,
     137,  1441,  1442,     0,   443,   444,   445,   446,   447,  1443,
    1444,   448,   449,  1445,  1446,   451,     0,   452,   453,   454,
     455,  1447,     0,  1448,     0,   456,   457,   458,   459,   147,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
     150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     469,   470,   471,   472,   473,   474,  1456,  1457,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,  1458,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
    1459,   499,   500,   501,  1460,  1461,   502,     0,   503,  1462,
     504,     0,   505,     0,   506,   168,     0,   169,   507,   508,
     509,     0,   510,  1463,     0,   511,     0,   512,   513,   514,
     515,   516,   172,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,   173,   174,     0,   527,   528,
     529,  1464,  1465,     0,  1466,     0,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1467,   181,   540,   182,     0,   541,   542,   543,  1468,  1469,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1470,   188,  1471,   556,   557,   190,  1472,   558,
     559,   192,   560,  1473,  1474,   561,  1475,   562,   563,   564,
       0,   565,     0,     0,  1476,   567,   568,     0,     0,   195,
     196,   197,   198,  1477,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1478,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1479,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1480,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1481,   619,   216,   620,   621,   218,
     622,  1482,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,  1483,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,  1484,  1485,     0,     0,
     643,  1486,   644,  1487,  1488,   645,   646,   647,   648,   649,
     650,   651,     0,  1489,   652,   653,   654,   655,   656,  1490,
       0,   657,   658,   659,   660,   661,   662,  1491,     0,   663,
     234,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,     0,     0,     0,     0,     0,
       0,     0,  1503,  2811,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,     0,  1857,
     137,  1858,  1859,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,  1860,  1861,   451,     0,   452,   453,   454,
     455,     0,     0,     0,     0,   456,   457,   458,   459,   147,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
     150,   468,     0,     0,     0,     0,   151,     0,     0,     0,
     469,   470,   471,   472,   473,   474,  1862,  1863,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,  1458,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
       0,   499,   500,   501,     0,     0,   502,     0,   503,  1864,
     504,     0,   505,     0,   506,   168,     0,   169,   507,   508,
     509,     0,   510,     0,     0,   511,     0,   512,   513,   514,
     515,   516,   172,   517,   518,   519,  2418,   520,   521,   522,
     523,   524,   525,     0,   526,   173,  2419,     0,   527,   528,
     529,  1464,  1865,     0,  1866,     0,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   181,   540,   182,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1867,   188,  1868,   556,   557,     0,     0,   558,
     559,   192,   560,     0,     0,   561,  1869,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,  2420,
     196,   197,   198,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,     0,   577,     0,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1870,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,  2421,   620,   621,   218,
     622,  1872,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,     0,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,  1873,  1874,     0,     0,
     643,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,     0,  1875,  2422,   663,
     234,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   673,   674,   675,     0,     0,     0,     0,
     712,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,  2423,    98,    99,   100,   101,   102,   103,
     713,   104,   105,   414,   714,     0,   107,   108,   109,   110,
     715,   716,   112,   113,   114,   115,     0,   116,   717,   718,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,     0,  1857,   137,  1858,  1859,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,  1860,
    1861,   451,     0,   452,   453,   454,   455,     0,     0,     0,
       0,   456,   457,   458,   459,   147,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,   150,   468,     0,     0,
       0,     0,   151,     0,     0,     0,   469,   470,   471,   472,
     473,   474,  1862,  1863,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,  1458,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,     0,   499,   500,   501,
       0,     0,   502,     0,   503,  1864,   504,     0,   505,     0,
     506,   168,     0,   169,   507,   508,   509,     0,   510,     0,
       0,   511,     0,   512,   513,   514,   515,   516,   172,   517,
     518,   519,  2418,   520,   521,   522,   523,   524,   525,     0,
     526,   173,  2419,     0,   527,   528,   529,  1464,  1865,     0,
    1866,     0,   530,   177,   178,   531,   179,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   181,   540,   182,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1867,   188,
    1868,   556,   557,     0,     0,   558,   559,   192,   560,     0,
       0,   561,  1869,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,  2420,   196,   197,   198,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,     0,
     577,     0,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1870,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,  2421,   620,   621,   218,   622,  1872,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
       0,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,  1873,  1874,     0,     0,   643,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,     0,  1875,  2422,   663,   234,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
     674,   675,     0,     0,     0,     0,   712,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,  3324,
      98,    99,   100,   101,   102,   103,   713,   104,   105,   414,
     714,     0,   107,   108,   109,   110,   715,   716,   112,   113,
     114,   115,     0,   116,   717,   718,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,  1439,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
     135,  1440,   137,  1441,  1442,  2821,   443,   444,   445,   446,
     447,  1443,  1444,   448,   449,  1445,  1446,   451,     0,   452,
     453,   454,   455,  1447,     0,  1448,     0,   456,   457,   458,
     459,   147,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,   150,   468,     0,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   469,   470,   471,   472,   473,   474,  1456,  1457,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,  1458,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,  1459,   499,   500,   501,  1460,  1461,   502,     0,
     503,  1462,   504,     0,   505,     0,   506,   168,  2822,   169,
     507,   508,   509,     0,   510,  1463,     0,   511,     0,   512,
     513,   514,   515,   516,   172,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,   173,   174,     0,
     527,   528,   529,  1464,  1465,     0,  1466,     0,   530,   177,
     178,   531,   179,   532,   533,   534,   535,   536,   537,   538,
    2823,   539,  1467,   181,   540,   182,     0,   541,   542,   543,
    1468,  1469,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1470,   188,  1471,   556,   557,   190,
    1472,   558,   559,   192,   560,  1473,  1474,   561,  1475,   562,
     563,   564,     0,   565,     0,     0,  1476,   567,   568,     0,
       0,   195,   196,   197,   198,  1477,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1478,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1479,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1480,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1481,   619,   216,   620,
     621,   218,   622,  1482,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,  1483,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,  1484,  1485,
       0,  2824,   643,  1486,   644,  1487,  1488,   645,   646,   647,
     648,   649,   650,   651,     0,  1489,   652,   653,   654,   655,
     656,  1490,     0,   657,   658,   659,   660,   661,   662,  1491,
       0,   663,   234,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   673,   674,   675,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1439,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1440,   137,  1441,  1442,     0,   443,   444,   445,   446,   447,
    1443,  1444,   448,   449,  1445,  1446,   451,     0,   452,   453,
     454,   455,  1447,     0,  1448,     0,   456,   457,   458,   459,
     147,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,   150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   469,   470,   471,   472,   473,   474,  1456,  1457,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,  1458,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,  1459,   499,   500,   501,  1460,  1461,   502,     0,   503,
    1462,   504,     0,   505,     0,   506,   168,     0,   169,   507,
     508,   509,     0,   510,  1463,     0,   511,     0,   512,   513,
     514,   515,   516,   172,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,   173,   174,     0,   527,
     528,   529,  1464,  1465,     0,  1466,     0,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1467,   181,   540,   182,     0,   541,   542,   543,  1468,
    1469,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1470,   188,  1471,   556,   557,   190,  1472,
     558,   559,   192,   560,  1473,  1474,   561,  1475,   562,   563,
     564,     0,   565,     0,     0,  1476,   567,   568,     0,     0,
     195,   196,   197,   198,  1477,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1478,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1479,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
    1480,   606,   607,   608,   609,   610,   611,   612,   613,   214,
     614,   615,   616,   617,   618,  1481,   619,   216,   620,   621,
     218,   622,  1482,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,  1483,     0,   634,   635,   222,
     636,   637,   638,   639,   640,   641,     0,  1484,  1485,     0,
       0,   643,  1486,   644,  1487,  1488,   645,   646,   647,   648,
     649,   650,   651,     0,  1489,   652,   653,   654,   655,   656,
    1490,     0,   657,   658,   659,   660,   661,  1361,  1491,     0,
     663,   234,   664,   665,   666,     0,     0,   667,     0,   235,
     668,   669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   673,   674,   675,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,  1439,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,   135,  1440,
     137,  1441,  1442,     0,   443,   444,   445,   446,   447,  1443,
    1444,   448,   449,  1445,  1446,   451,     0,   452,   453,   454,
     455,  1447,     0,  1448,     0,   456,   457,   458,   459,   147,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
     150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     469,   470,   471,   472,   473,   474,  1456,  1457,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,  1458,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
    1459,   499,   500,   501,  1460,  1461,   502,     0,   503,  1462,
     504,     0,   505,     0,   506,   168,     0,   169,   507,   508,
     509,     0,   510,  1463,     0,   511,     0,   512,   513,   514,
     515,   516,   172,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,   173,   174,     0,   527,   528,
     529,  1464,  1465,     0,  1466,     0,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1467,   181,   540,   182,     0,   541,   542,   543,  1468,  1469,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1470,   188,  1471,   556,   557,   190,  1472,   558,
     559,   192,   560,  1473,  1474,   561,  1475,   562,   563,   564,
       0,   565,     0,     0,  1476,   567,   568,     0,     0,   195,
     196,   197,   198,  1477,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1478,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1479,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1480,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1481,   619,   216,   620,   621,   218,
     622,  1482,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,  1483,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,  1484,  1485,     0,     0,
     643,  1486,   644,  1487,  1488,   645,   646,   647,   648,   649,
     650,   651,     0,  1489,   652,   653,   654,   655,   656,  1490,
       0,   657,   658,   659,   660,   661,   662,  1491,     0,   663,
     234,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,     0,     0,     0,     0,     0,
    2085,  2769,  1503,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,  1439,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,  1440,   137,
    1441,  1442,     0,   443,   444,   445,   446,   447,  1443,  1444,
     448,   449,  1445,  1446,   451,     0,   452,   453,   454,   455,
    1447,     0,  1448,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,
     470,   471,   472,   473,   474,  1456,  1457,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,  1458,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,  1459,
     499,   500,   501,  1460,  1461,   502,     0,   503,  1462,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,  1463,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,   173,   174,     0,   527,   528,   529,
    1464,  1465,     0,  1466,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1467,
     181,   540,   182,     0,   541,   542,   543,  1468,  1469,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1470,   188,  1471,   556,   557,   190,  1472,   558,   559,
     192,   560,  1473,  1474,   561,  1475,   562,   563,   564,     0,
     565,     0,     0,  1476,   567,   568,     0,     0,   195,   196,
     197,   198,  1477,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1478,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,  1479,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,  1480,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,  1481,   619,   216,   620,   621,   218,   622,
    1482,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,  1483,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,  1484,  1485,     0,     0,   643,
    1486,   644,  1487,  1488,   645,   646,   647,   648,   649,   650,
     651,     0,  1489,   652,   653,   654,   655,   656,  1490,     0,
     657,   658,   659,   660,   661,   662,  1491,     0,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   673,   674,   675,     0,     0,     0,     0,     0,
       0,     0,  1500,  1501,  1502,     0,     0,     0,     0,     0,
       0,  1503,   712,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   713,   104,   105,   414,   714,     0,   107,   108,
     109,   110,   715,   716,   112,   113,   114,   115,     0,   116,
     717,   718,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1435,  1436,  1437,    45,  1438,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,  1439,     0,     0,   436,   437,     0,
     438,   439,   133,   440,   441,   442,   135,  1440,   137,  1441,
    1442,     0,   443,   444,   445,   446,   447,  1443,  1444,   448,
     449,  1445,  1446,   451,     0,   452,   453,   454,   455,  1447,
       0,  1448,     0,   456,   457,   458,   459,   147,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,   150,   468,
       0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,   470,
     471,   472,   473,   474,  1456,  1457,   475,  1586,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,  1458,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,  1459,   499,
     500,   501,  1460,  1461,   502,     0,   503,  1462,   504,     0,
     505,     0,   506,   168,     0,   169,   507,   508,   509,     0,
     510,  1463,     0,   511,     0,   512,   513,   514,   515,   516,
     172,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,   173,   174,     0,   527,   528,   529,  1464,
    1465,     0,  1466,     0,   530,   177,   178,   531,   179,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1467,   181,
     540,   182,     0,   541,   542,   543,  1468,  1469,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1470,   188,  1471,   556,   557,   190,  1472,   558,   559,   192,
     560,  1473,  1474,   561,  1475,   562,   563,   564,     0,   565,
       0,     0,  1476,   567,   568,     0,     0,   195,   196,   197,
     198,  1477,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1478,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1479,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,  1480,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1481,   619,   216,   620,   621,   218,   622,  1482,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,  1483,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,  1484,  1485,     0,     0,   643,  1486,
     644,  1487,  1488,   645,   646,   647,   648,   649,   650,   651,
       0,  1489,   652,   653,   654,   655,   656,  1490,     0,   657,
     658,   659,   660,   661,   662,  1491,     0,   663,   234,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,   673,   674,   675,     0,     0,     0,     0,     0,     0,
       0,  1500,  1501,     0,     0,     0,     0,     0,     0,     0,
    1503,   712,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   713,   104,   105,   414,   714,     0,   107,   108,   109,
     110,   715,   716,   112,   113,   114,   115,     0,   116,   717,
     718,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,  2265,   433,   434,   435,     0,
       0,     0,     0,  1439,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,  1440,   137,  1441,  1442,
       0,   443,   444,   445,   446,   447,  1443,  1444,   448,   449,
    1445,  1446,   451,     0,   452,   453,   454,   455,  1447,     0,
    1448,     0,   456,   457,   458,   459,   147,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,   150,   468,     0,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,   470,   471,
     472,   473,   474,  1456,  1457,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,  1458,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,  1459,   499,   500,
     501,  1460,  1461,   502,     0,   503,  1462,   504,     0,   505,
       0,   506,   168,     0,   169,   507,   508,   509,     0,   510,
    1463,     0,   511,     0,   512,   513,   514,   515,   516,   172,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,   173,   174,     0,   527,   528,   529,  1464,  1465,
       0,  1466,     0,   530,   177,   178,   531,   179,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1467,   181,   540,
     182,     0,   541,   542,   543,  1468,  1469,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1470,
     188,  1471,   556,   557,   190,  1472,   558,   559,   192,   560,
    1473,  1474,   561,  1475,   562,   563,   564,     0,   565,     0,
       0,  1476,   567,   568,     0,     0,   195,   196,   197,   198,
    1477,   569,   570,   571,   572,   573,   574,   575,     0,   576,
    1478,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,  1479,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   209,   604,   605,  1480,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,  1481,   619,   216,   620,   621,   218,   622,  1482,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,  1483,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,  1484,  1485,     0,     0,   643,  1486,   644,
    1487,  1488,   645,   646,   647,   648,   649,   650,   651,     0,
    1489,   652,   653,   654,   655,   656,  1490,     0,   657,   658,
     659,   660,   661,   662,  1491,     0,   663,   234,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     673,   674,   675,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     712,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     713,   104,   105,   414,   714,     0,   107,   108,   109,   110,
     715,   716,   112,   113,   114,   115,     0,   116,   717,   718,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,  1439,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,   135,  1440,   137,  1441,  1442,     0,
     443,   444,   445,   446,   447,  1443,  1444,   448,   449,  1445,
    1446,   451,     0,   452,   453,   454,   455,  1447,     0,  1448,
       0,   456,   457,   458,   459,   147,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,   150,   468,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   469,   470,   471,   472,
     473,   474,  1456,  1457,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,  1458,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,  1459,   499,   500,   501,
    1460,  1461,   502,     0,   503,  1462,   504,     0,   505,     0,
     506,   168,  2822,   169,   507,   508,   509,     0,   510,  1463,
       0,   511,     0,   512,   513,   514,   515,   516,   172,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,   173,   174,     0,   527,   528,   529,  1464,  1465,     0,
    1466,     0,   530,   177,   178,   531,   179,   532,   533,   534,
     535,   536,   537,   538,     0,   539,  1467,   181,   540,   182,
       0,   541,   542,   543,  1468,  1469,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1470,   188,
    1471,   556,   557,   190,  1472,   558,   559,   192,   560,  1473,
    1474,   561,  1475,   562,   563,   564,     0,   565,     0,     0,
    1476,   567,   568,     0,     0,   195,   196,   197,   198,  1477,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1478,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1479,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1480,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1481,   619,   216,   620,   621,   218,   622,  1482,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
    1483,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,  1484,  1485,     0,     0,   643,  1486,   644,  1487,
    1488,   645,   646,   647,   648,   649,   650,   651,     0,  1489,
     652,   653,   654,   655,   656,  1490,     0,   657,   658,   659,
     660,   661,   662,  1491,     0,   663,   234,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,
     674,   675,     0,     0,     0,     0,     0,     0,     0,  1500,
    1501,     0,     0,     0,     0,     0,     0,     0,  1503,   712,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   713,
     104,   105,   414,   714,     0,   107,   108,   109,   110,   715,
     716,   112,   113,   114,   115,     0,   116,   717,   718,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1439,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,  1440,   137,  1441,  1442,     0,   443,
     444,   445,   446,   447,  1443,  1444,   448,   449,  1445,  1446,
     451,     0,   452,   453,   454,   455,  1447,     0,  1448,     0,
     456,   457,   458,   459,   147,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,   150,   468,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   469,   470,   471,   472,   473,
     474,  1456,  1457,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
    1458,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,  1459,   499,   500,   501,  1460,
    1461,   502,     0,   503,  1462,   504,     0,   505,     0,   506,
     168,     0,   169,   507,   508,   509,     0,   510,  1463,     0,
     511,     0,   512,   513,   514,   515,   516,   172,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
     173,   174,     0,   527,   528,   529,  1464,  1465,     0,  1466,
       0,   530,   177,   178,   531,   179,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1467,   181,   540,   182,     0,
     541,   542,   543,  1468,  1469,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1470,   188,  1471,
     556,   557,   190,  1472,   558,   559,   192,   560,  1473,  1474,
     561,  1475,   562,   563,   564,     0,   565,     0,     0,  1476,
     567,   568,     0,     0,   195,   196,   197,   198,  1477,   569,
     570,   571,   572,   573,   574,   575,     0,   576,  1478,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,  1479,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,  1480,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,  1481,
     619,   216,   620,   621,   218,   622,  1482,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,  1483,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,  1484,  1485,     0,     0,   643,  1486,   644,  1487,  1488,
     645,   646,   647,   648,   649,   650,   651,     0,  1489,   652,
     653,   654,   655,   656,  1490,     0,   657,   658,   659,   660,
     661,   662,  1491,  4043,   663,   234,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,   674,
     675,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
       0,     0,     0,     0,     0,     0,     0,  1503,   712,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   713,   104,
     105,   414,   714,     0,   107,   108,   109,   110,   715,   716,
     112,   113,   114,   115,     0,   116,   717,   718,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1435,  1436,  1437,    45,
    1438,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
    1439,     0,     0,   436,   437,     0,   438,   439,   133,   440,
     441,   442,   135,  1440,   137,  1441,  1442,     0,   443,   444,
     445,   446,   447,  1443,  1444,   448,   449,  1445,  1446,   451,
       0,   452,   453,   454,   455,  1447,     0,  1448,     0,   456,
     457,   458,   459,   147,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,   150,   468,  4056,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   469,   470,   471,   472,   473,   474,
    1456,  1457,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,  1458,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,  1459,   499,   500,   501,  1460,  1461,
     502,     0,   503,  1462,   504,     0,   505,     0,   506,   168,
       0,   169,   507,   508,   509,     0,   510,  1463,     0,   511,
       0,   512,   513,   514,   515,   516,   172,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,   173,
     174,     0,   527,   528,   529,  1464,  1465,     0,  1466,     0,
     530,   177,   178,   531,   179,   532,   533,   534,   535,   536,
     537,   538,     0,   539,  1467,   181,   540,   182,     0,   541,
     542,   543,  1468,  1469,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1470,   188,  1471,   556,
     557,   190,  1472,   558,   559,   192,   560,  1473,  1474,   561,
    1475,   562,   563,   564,     0,   565,     0,     0,  1476,   567,
     568,     0,     0,   195,   196,   197,   198,  1477,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1478,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1479,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1480,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1481,   619,
     216,   620,   621,   218,   622,  1482,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,  1483,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
    1484,  1485,     0,     0,   643,  1486,   644,  1487,  1488,   645,
     646,   647,   648,   649,   650,   651,     0,  1489,   652,   653,
     654,   655,   656,  1490,     0,   657,   658,   659,   660,   661,
     662,  1491,     0,   663,   234,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,   674,   675,
       0,     0,     0,     0,     0,     0,     0,  1500,  1501,     0,
       0,     0,     0,     0,     0,     0,  1503,   712,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   713,   104,   105,
     414,   714,     0,   107,   108,   109,   110,   715,   716,   112,
     113,   114,   115,     0,   116,   717,   718,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,  1439,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,  4859,  1440,   137,  1441,  1442,     0,   443,   444,   445,
     446,   447,  1443,  1444,   448,   449,  1445,  1446,   451,     0,
     452,   453,   454,   455,  1447,     0,  1448,     0,   456,   457,
     458,   459,   147,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,   150,   468,  4860,  1449,  1450,  1451,  1452,
    1453,  1454,  1455,   469,   470,   471,   472,   473,   474,  1456,
    1457,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,  1458,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,  1459,   499,   500,   501,  1460,  1461,   502,
       0,   503,  1462,   504,     0,   505,     0,   506,   168,     0,
     169,   507,   508,   509,     0,   510,  1463,     0,   511,     0,
     512,   513,   514,   515,   516,   172,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,   173,   174,
       0,   527,   528,   529,  1464,  1465,     0,  1466,     0,   530,
     177,   178,   531,   179,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1467,   181,   540,   182,     0,   541,   542,
     543,  1468,  1469,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1470,   188,  1471,   556,   557,
     190,  1472,   558,   559,   192,   560,  1473,  1474,   561,  1475,
     562,   563,   564,     0,   565,     0,     0,  1476,   567,   568,
       0,     0,   195,   196,   197,   198,  1477,   569,   570,   571,
     572,   573,   574,   575,     0,   576,  1478,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
    1479,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   209,
     604,   605,  1480,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,  1481,   619,   216,
     620,   621,   218,   622,  1482,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,  1483,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,  1484,
    1485,     0,     0,   643,  1486,   644,  1487,  1488,   645,   646,
     647,   648,  4861,   650,   651,     0,  1489,   652,   653,   654,
     655,   656,  1490,     0,   657,   658,   659,   660,   661,   662,
    1491,     0,   663,   234,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,  1492,  1493,
    1494,  1495,  1496,  1497,  1498,  1499,   673,   674,   675,     0,
       0,     0,     0,     0,     0,     0,  1500,  1501,     0,     0,
       0,     0,     0,     0,     0,  1503,   712,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   713,   104,   105,   414,
     714,     0,   107,   108,   109,   110,   715,   716,   112,   113,
     114,   115,     0,   116,   717,   718,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,  1439,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
     135,  1440,   137,  1441,  1442,     0,   443,   444,   445,   446,
     447,  1443,  1444,   448,   449,  1445,  1446,   451,     0,   452,
     453,   454,   455,  1447,     0,  1448,     0,   456,   457,   458,
     459,   147,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,   150,   468,  4860,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   469,   470,   471,   472,   473,   474,  1456,  1457,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,  1458,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,  1459,   499,   500,   501,  1460,  1461,   502,     0,
     503,  1462,   504,     0,   505,     0,   506,   168,     0,   169,
     507,   508,   509,     0,   510,  1463,     0,   511,     0,   512,
     513,   514,   515,   516,   172,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,   173,   174,     0,
     527,   528,   529,  1464,  1465,     0,  1466,     0,   530,   177,
     178,   531,   179,   532,   533,   534,   535,   536,   537,   538,
       0,   539,  1467,   181,   540,   182,     0,   541,   542,   543,
    1468,  1469,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1470,   188,  1471,   556,   557,   190,
    1472,   558,   559,   192,   560,  1473,  1474,   561,  1475,   562,
     563,   564,     0,   565,     0,     0,  1476,   567,   568,     0,
       0,   195,   196,   197,   198,  1477,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1478,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1479,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1480,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1481,   619,   216,   620,
     621,   218,   622,  1482,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,  1483,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,  1484,  1485,
       0,     0,   643,  1486,   644,  1487,  1488,   645,   646,   647,
     648,  4861,   650,   651,     0,  1489,   652,   653,   654,   655,
     656,  1490,     0,   657,   658,   659,   660,   661,   662,  1491,
       0,   663,   234,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   673,   674,   675,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1439,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1440,   137,  1441,  1442,     0,   443,   444,   445,   446,   447,
    1443,  1444,   448,   449,  1445,  1446,   451,     0,   452,   453,
     454,   455,  1447,     0,  1448,     0,   456,   457,   458,   459,
     147,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,   150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   469,   470,   471,   472,   473,   474,  1456,  1457,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,  1458,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,  1459,   499,   500,   501,  1460,  1461,   502,     0,   503,
    1462,   504,     0,   505,     0,   506,   168,     0,   169,   507,
     508,   509,     0,   510,  1463,     0,   511,     0,   512,   513,
     514,   515,   516,   172,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,   173,   174,     0,   527,
     528,   529,  1464,  1465,     0,  1466,     0,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1467,   181,   540,   182,     0,   541,   542,   543,  1468,
    1469,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1470,   188,  1471,   556,   557,   190,  1472,
     558,   559,   192,   560,  1473,  1474,   561,  1475,   562,   563,
     564,     0,   565,     0,     0,  1476,   567,   568,     0,     0,
     195,   196,   197,   198,  1477,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1478,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1479,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
    1480,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,  1481,   619,   216,   620,   621,
     218,   622,  1482,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,  1483,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,  1484,  1485,     0,
       0,   643,  1486,   644,  1487,  1488,   645,   646,   647,   648,
     649,   650,   651,     0,  1489,   652,   653,   654,   655,   656,
    1490,     0,   657,   658,   659,   660,   661,   662,  1491,     0,
     663,   234,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   673,   674,   675,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,   712,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   713,   104,   105,   414,   714,     0,
     107,   108,   109,   110,   715,   716,   112,   113,   114,   115,
       0,   116,   717,   718,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,  1439,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,   135,  1440,
     137,  1441,  1442,     0,   443,   444,   445,   446,   447,  1443,
    1444,   448,   449,  1445,  1446,   451,     0,   452,   453,   454,
     455,  1447,     0,  1448,     0,   456,   457,   458,   459,   147,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
     150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     469,   470,   471,   472,   473,   474,  1456,  1457,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,  1458,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
    1459,   499,   500,   501,  1460,  1461,   502,     0,   503,  1462,
     504,     0,   505,     0,   506,   168,     0,   169,   507,   508,
     509,     0,   510,  1463,     0,   511,     0,   512,   513,   514,
     515,   516,   172,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,   173,   174,     0,   527,   528,
     529,  1464,  1465,     0,  1466,     0,   530,   177,   178,   531,
     179,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1467,   181,   540,   182,     0,   541,   542,   543,  1468,  1469,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1470,   188,  1471,   556,   557,   190,  1472,   558,
     559,   192,   560,  1473,  1474,   561,  1475,   562,   563,   564,
       0,   565,     0,     0,  1476,   567,   568,     0,     0,   195,
     196,   197,   198,  1477,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1478,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1479,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1480,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1481,   619,   216,   620,   621,   218,
     622,  1482,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,  1483,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,  1484,  1485,     0,     0,
     643,  1486,   644,  1487,  1488,   645,   646,   647,   648,   649,
     650,   651,     0,  1489,   652,   653,   654,   655,   656,  1490,
       0,   657,   658,   659,   660,   661,   662,  1491,     0,   663,
     234,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,  4337,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,     0,     0,     0,     0,     0,
       0,     0,  1503,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,  1439,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,  1440,   137,
    1441,  1442,     0,   443,   444,   445,   446,   447,  1443,  1444,
     448,   449,  1445,  1446,   451,     0,   452,   453,   454,   455,
    1447,     0,  1448,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,
     470,   471,   472,   473,   474,  1456,  1457,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,  1458,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,  1459,
     499,   500,   501,  1460,  1461,   502,     0,   503,  1462,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,  1463,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,   173,   174,     0,   527,   528,   529,
    1464,  1465,     0,  1466,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1467,
     181,   540,   182,     0,   541,   542,   543,  1468,  1469,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1470,   188,  1471,   556,  4346,   190,  1472,   558,   559,
     192,   560,  1473,  1474,   561,  1475,   562,   563,   564,     0,
     565,     0,     0,  1476,   567,   568,     0,     0,   195,   196,
     197,   198,  1477,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1478,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,  1479,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,  1480,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,  1481,   619,   216,   620,   621,   218,   622,
    1482,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,  1483,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,  1484,  1485,     0,     0,   643,
    1486,   644,  1487,  1488,   645,   646,   647,   648,   649,   650,
     651,     0,  1489,   652,   653,   654,   655,   656,  1490,     0,
     657,   658,   659,   660,   661,   662,  1491,     0,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   673,   674,   675,     0,     0,     0,     0,     0,
       0,     0,  1500,  1501,     0,     0,     0,     0,     0,     0,
       0,  1503,   712,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   713,   104,   105,   414,   714,     0,   107,   108,
     109,   110,   715,   716,   112,   113,   114,   115,     0,   116,
     717,   718,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1435,  1436,  1437,    45,  1438,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,  1439,     0,     0,   436,   437,     0,
     438,   439,   133,   440,   441,   442,   135,  1440,   137,  1441,
    1442,     0,   443,   444,   445,   446,   447,  1443,  1444,   448,
     449,  1445,  1446,   451,     0,   452,   453,   454,   455,  1447,
       0,  1448,     0,   456,   457,   458,   459,   147,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,   150,   468,
       0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,   470,
     471,   472,   473,   474,  1456,  1457,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,  1458,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,  1459,   499,
     500,   501,  1460,  1461,   502,     0,   503,  1462,   504,     0,
     505,     0,   506,   168,     0,   169,   507,   508,   509,     0,
     510,  1463,     0,   511,     0,   512,   513,   514,   515,   516,
     172,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,   173,   174,     0,   527,   528,   529,  1464,
    1465,     0,  1466,     0,   530,   177,   178,   531,   179,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1467,   181,
     540,   182,     0,   541,   542,   543,  1468,  1469,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1470,   188,  1471,   556,   557,   190,     0,   558,   559,   192,
     560,  1473,  1474,   561,  1475,   562,   563,   564,     0,   565,
       0,     0,  1476,   567,   568,     0,     0,   195,   196,   197,
     198,  1477,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1478,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1479,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,  1480,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1481,   619,   216,   620,   621,   218,   622,  1482,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,  1483,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,  1484,  1485,     0,     0,   643,  1486,
     644,  1487,  1488,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,  1490,     0,   657,
     658,   659,   660,   661,   662,  1491,     0,   663,   234,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,   673,   674,   675,     0,     0,     0,     0,     0,     0,
       0,  2804,  2805,     0,     0,     0,     0,     0,     0,     0,
    1503,   712,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   713,   104,   105,   414,   714,     0,   107,   108,   109,
     110,   715,   716,   112,   113,   114,   115,     0,   116,   717,
     718,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,  1439,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442, -2570,  1440,   137,  1441,  1442,
       0,   443,   444,   445,   446,   447,  1443,  1444,   448,   449,
    1445,  1446,   451,     0,   452,   453,   454,   455,  1447,     0,
    1448,     0,   456,   457,   458,   459,   147,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,   150,   468,  4860,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,   470,   471,
     472,   473,   474,  1456,  1457,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,  1458,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,  1459,   499,   500,
     501,  1460,  1461,   502,     0,   503,  1462,   504,     0,   505,
       0,   506,   168,     0,   169,   507,   508,   509,     0,   510,
    1463,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,   173,   174,     0,   527,   528,   529,  1464,  1465,
       0,  1466,     0,   530,   177,   178,   531,   179,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1467,   181,   540,
       0,     0,   541,   542,   543,  1468,  1469,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1470,
     188,  1471,   556,   557,   190,     0,   558,   559,   192,   560,
    1473,  1474,   561,  1475,   562,   563,   564,     0,   565,     0,
       0,  1476,   567,   568,     0,     0,   195,   196,   197,   198,
    1477,   569,   570,   571,   572,   573,   574,   575,     0,   576,
    1478,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,  1479,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   209,   604,   605,  1480,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,  1481,   619,   216,   620,   621,     0,   622,  1482,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,  1483,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,  1484,  1485,     0,     0,   643,  1486,   644,
    1487,  1488,   645,   646,   647,   648,  4861,   650,   651,     0,
    1489,   652,   653,   654,   655,   656,  1490,     0,   657,   658,
     659,   660,   661,   662,  1491,     0,   663,   234,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     673,   674,   675,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     712,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     713,   104,   105,   414,   714,     0,   107,   108,   109,   110,
     715,   716,   112,   113,   114,   115,     0,   116,   717,   718,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
       0,    45,  1438,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,  1439,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,   135,  1440,   137,  1441,  1442,     0,
     443,   444,   445,   446,   447,  1443,  1444,   448,   449,  1445,
    1446,   451,     0,   452,   453,   454,   455,  1447,     0,  1448,
       0,   456,   457,   458,   459,   147,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,   150,   468,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   469,   470,   471,   472,
     473,   474,  1456,  1457,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,  1458,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,  1459,   499,   500,   501,
    1460,  1461,   502,     0,   503,  1462,   504,     0,   505,     0,
     506,   168,     0,   169,   507,   508,   509,     0,   510,  1463,
       0,   511,     0,   512,   513,   514,   515,   516,   172,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,   173,   174,     0,   527,   528,   529,  1464,  1465,     0,
    1466,     0,   530,   177,   178,   531,   179,   532,   533,   534,
     535,   536,   537,   538,     0,   539,  1467,   181,   540,   182,
       0,   541,   542,   543,  1468,  1469,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1470,   188,
    1471,   556,   557,   190,     0,   558,   559,   192,   560,  1473,
    1474,   561,  1475,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,   196,   197,   198,  1477,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1478,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1479,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1480,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1481,   619,   216,   620,   621,   218,   622,  1482,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
    1483,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,  1484,  1485,     0,     0,   643,  1486,   644,  1487,
    1488,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,  1490,     0,   657,   658,   659,
     660,   661,   662,  1491,     0,   663,   234,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,
     674,   675,     0,     0,     0,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,  1503,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,     0,    45,  1438,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1439,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1440,   137,  1441,  1442,     0,  3966,   444,   445,   446,   447,
    1443,  1444,   448,   449,  1445,  1446,   451,     0,   452,   453,
     454,   455,  1447,     0,  1448,     0,   456,   457,   458,   459,
     147,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,   150,   468,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   469,   470,   471,   472,   473,   474,  1456,  1457,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,  1458,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,  1459,   499,   500,   501,  1460,  1461,   502,     0,   503,
    1462,   504,     0,   505,     0,   506,   168,     0,   169,   507,
     508,   509,     0,   510,  1463,     0,   511,     0,   512,   513,
     514,   515,   516,   172,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,   173,   174,     0,   527,
     528,   529,  1464,  1465,     0,  1466,     0,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1467,   181,   540,   182,     0,   541,   542,   543,  1468,
    1469,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1470,   188,  1471,   556,   557,   190,     0,
     558,   559,   192,   560,  1473,  1474,   561,  1475,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,   196,   197,   198,  1477,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1478,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1479,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
    1480,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,  1481,   619,   216,   620,   621,
     218,   622,  1482,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,  1483,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,  1484,  1485,     0,
       0,   643,  1486,   644,  1487,  1488,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
    1490,     0,   657,   658,   659,   660,   661,   662,  1491,     0,
     663,   234,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   673,   674,   675,     0,     0,     0,
     712,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,  1503,    98,    99,   100,   101,   102,   103,
     713,   104,   105,   414,   714,     0,   107,   108,   109,   110,
     715,   716,   112,   113,   114,   115,     0,   116,   717,   718,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,  1439,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,     0,  1440,   137,  1441,  1442,     0,
     443,   444,   445,   446,   447,  1443,  1444,   448,   449,  1445,
    1446,   451,     0,   452,   453,   454,   455,  1447,     0,  1448,
       0,   456,   457,   458,   459,   147,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,   150,   468,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   469,   470,   471,   472,
     473,   474,  1456,  1457,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,  1458,   488,   489,     0,   490,   491,   492,     0,   493,
       0,     0,   495,   496,   497,   498,  1459,   499,   500,   501,
    1460,  1461,   502,     0,   503,  1462,   504,     0,   505,     0,
     506,   168,     0,   169,   507,   508,   509,     0,   510,  1463,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,   173,   174,     0,   527,   528,   529,  1464,  1465,     0,
    1466,     0,   530,   177,   178,   531,   179,   532,   533,   534,
     535,   536,   537,   538,     0,   539,  1467,   181,   540,     0,
       0,   541,   542,   543,  1468,  1469,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1470,   188,
    1471,   556,   557,   190,     0,   558,   559,   192,   560,  1473,
    1474,   561,  1475,   562,   563,   564,     0,   565,     0,     0,
    1476,   567,   568,     0,     0,   195,   196,   197,   198,  1477,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1478,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1479,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1480,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1481,   619,   216,   620,   621,     0,   622,  1482,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
    1483,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,  1484,  1485,     0,     0,   643,  1486,   644,  1487,
    1488,   645,   646,   647,   648,   649,   650,   651,     0,  1489,
     652,   653,   654,   655,   656,  1490,     0,   657,   658,   659,
     660,   661,   662,  1491,     0,   663,   234,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,
     674,   675,     0,     0,     0,     0,     0,     0,     0,  1500,
    1501,     0,     0,     0,     0,     0,     0,     0,  1503,   712,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   713,
     104,   105,   414,   714,     0,   107,   108,   109,   110,   715,
     716,   112,   113,   114,   115,     0,   116,   717,   718,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1439,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,     0,  1440,   137,  1441,  1442,     0,   443,
     444,   445,   446,   447,  1443,  1444,   448,   449,  1445,  1446,
     451,     0,   452,   453,   454,   455,  1447,     0,  1448,     0,
     456,   457,   458,   459,   147,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,   150,   468,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   469,   470,   471,   472,   473,
     474,  1456,  1457,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
    1458,   488,   489,     0,   490,   491,   492,     0,   493,     0,
       0,   495,   496,   497,   498,  1459,   499,   500,   501,  1460,
    1461,   502,     0,   503,  1462,   504,     0,   505,     0,   506,
     168,     0,   169,   507,   508,   509,     0,   510,  1463,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
     173,   174,     0,   527,   528,   529,  1464,  1465,     0,  1466,
       0,   530,   177,   178,   531,   179,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1467,   181,   540,     0,     0,
     541,   542,   543,  1468,  1469,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1470,   188,  1471,
     556,   557,   190,     0,   558,   559,   192,   560,  1473,  1474,
     561,  1475,   562,   563,   564,     0,   565,     0,     0,  1476,
     567,   568,     0,     0,   195,   196,   197,   198,  1477,   569,
     570,   571,   572,   573,   574,   575,     0,   576,  1478,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,  1479,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,  1480,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,  1481,
     619,   216,   620,   621,     0,   622,  1482,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,  1483,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,  1484,  1485,     0,     0,   643,  1486,   644,  1487,  1488,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,  1490,     0,   657,   658,   659,   660,
     661,   662,  1491,     0,   663,   234,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,   674,
     675,     0,     0,     0,     0,     0,     0,     0,  2804,  2805,
       0,     0,     0,     0,     0,     0,     0,  1503,   712,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   713,   104,
     105,   414,   714,     0,   107,   108,   109,   110,   715,   716,
     112,   113,   114,   115,     0,   116,   717,   718,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,   133,   440,
     441,   442,   135,   136,   137,   138,   139,     0,   443,   444,
     445,   446,   447,     0,  1444,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,  1447,     0,  1448,     0,   456,
     457,   458,   459,   147,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,   150,   468,     0,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,  1460,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,   168,
       0,   169,   507,   508,   509,     0,   510,  1463,     0,   511,
       0,   512,   513,   514,   515,   516,   172,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,   173,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,   177,   178,   531,   179,   532,   533,   534,   535,   536,
     537,   538,     0,   539,  1467,   181,   540,   182,     0,   541,
     542,   543,  1468,  1469,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,   188,   189,   556,
     557,   190,     0,   558,   559,   192,   560,     0,  1474,   561,
     194,   562,   563,   564,     0,   565,     0,  1059,   566,   567,
     568,     0,     0,   195,   196,   197,   198,  1477,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1478,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,   214,   614,   615,   616,   617,   618,  1481,   619,
     216,   620,   621,   218,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,  1483,     0,
     634,   635,   222,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,  1486,   644,  1487,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,  1490,     0,   657,   658,   659,   660,   661,
    1361,   233,     0,   663,   234,   664,   665,   666,     0,     0,
     667,     0,   235,   668,   669,   670,   671,   672,   236,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,   674,   675,
       0,     0,     0,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  3512,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,   136,   137,
     138,   139,     0,   443,   444,   445,   446,   447,     0,  1444,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
    1447,     0,  1448,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,  1460,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,  1463,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,   173,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1467,
     181,   540,   182,     0,   541,   542,   543,  1468,  1469,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,   188,   189,   556,   557,   190,     0,   558,   559,
     192,   560,     0,  1474,   561,   194,   562,   563,   564,     0,
     565,     0,  1059,   566,   567,   568,     0,     0,   195,   196,
     197,   198,  1477,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1478,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,  1481,   619,   216,   620,   621,   218,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,  1483,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
    1486,   644,  1487,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,  1490,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   673,   674,   675,     0,     0,     0,   712,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,  3512,    98,    99,   100,   101,   102,   103,   713,   104,
     105,   414,   714,     0,   107,   108,   109,   110,   715,   716,
     112,   113,   114,   115,     0,   116,   717,   718,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,   133,   440,
     441,   442,   135,   136,   137,   138,   139,     0,   443,   444,
     445,   446,   447,     0,  1444,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,  1447,     0,  1448,     0,   456,
     457,   458,   459,   147,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,   150,   468,     0,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,  1460,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,   168,
       0,   169,   507,   508,   509,     0,   510,  1463,     0,   511,
       0,   512,   513,   514,   515,   516,   172,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,   173,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,   177,   178,   531,   179,   532,   533,   534,   535,   536,
     537,   538,     0,   539,  1467,   181,   540,   182,     0,   541,
     542,   543,  1468,  1469,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,   188,   189,   556,
     557,   190,     0,   558,   559,   192,   560,     0,  1474,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,   196,   197,   198,  1477,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1478,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1481,   619,
     216,   620,   621,   218,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,  1483,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,  1486,   644,  1487,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,  1490,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,   234,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   673,   674,   675,
       0,     0,     0,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  4082,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,   136,   137,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,     0,     0,     0,   151,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,   173,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
     181,   540,   182,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,   188,   189,   556,   557,   190,     0,   558,   559,
     192,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,   196,
     197,   198,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,   218,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,  4633,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,  4010,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0, -1427,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0, -1427,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526, -1427,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531, -1427,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180, -1427,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187, -1427,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
   -1427,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,     0,     0,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,  1594,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,  3273,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,  2008,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,  2009,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
    2010,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,     0,     0,     0,     0,     0,     0,     0,   976,
    1637,  4204,     0,     0,     0,     0,     0,     0,  4205,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,     0,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,  3788,  3789,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   130,   131,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,   214,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,   222,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,  1361,   233,     0,   663,  1362,
     664,   665,   666,     0,     0,   667,     0,   235,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,   245,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,     0,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  3789,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,   214,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,   222,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,  1361,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,   235,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,   245,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,   214,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,   222,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
    1361,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,   235,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,     0,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,   245,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,  1569,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,     0,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  2962,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,  4037,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
       0,     0,     0,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  4381,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1181,    45,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   719,   433,   434,
     435,   720,   721,   722,   723,   724,   725,   726,   436,   437,
     727,   438,   439,   133,   440,   441,   442,     0,  1857,   137,
    1858,  1859,   728,   443,   444,   445,   446,   447,   729,   730,
     448,   449,  1860,  1861,   451,   732,   452,   453,   454,   455,
       0,   733,   734,   735,   456,   457,   458,   459,   147,   460,
     461,   737,   462,   463,   464,   465,   466,   467,   738,   150,
     468,     0,   740,   741,   742,   151,   743,   744,   745,   469,
     470,   471,   472,   473,   474,  1862,  1863,   475,   746,   476,
     747,   477,   478,   479,   480,   481,   748,   482,   483,   484,
     749,   750,   485,   486,  1458,   488,   489,   751,   490,   491,
     492,   752,   493,   494,   753,   495,   496,   497,   498,     0,
     499,   500,   501,     0,   754,   502,   755,   503,  1864,   504,
     756,   505,   757,   506,   168,   758,   169,   507,   508,   509,
     759,   510,     0,   760,   511,   761,   512,   513,   514,   515,
     516,   172,   517,   518,   519,   762,   520,   521,   522,   523,
     524,   525,   763,   526,   173,     0,     0,   527,   528,   529,
    1464,  1865,   766,  1866,   767,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,   768,   539,     0,
     181,   540,   182,   769,   541,   542,   543,   770,   771,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1867,   188,  1868,   556,   557,     0,   772,   558,   559,
     192,   560,   773,     0,   561,  1869,   562,   563,   564,   774,
     565,   775,   776,  3775,   567,   568,   777,   778,     0,   196,
     197,   198,     0,   569,   570,   571,   572,   573,   574,   575,
     779,   576,     0,   577,     0,   578,   579,   580,   780,   581,
     582,   583,   584,   585,   586,   587,  1870,   588,   589,   590,
     591,   781,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   782,   602,   603,   209,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   783,   614,   615,
     616,   617,   618,   784,   619,  2421,   620,   621,   218,   622,
    1872,   623,   785,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,     0,   786,   634,   635,   787,   636,   637,
     638,   639,   640,   641,   788,  1873,  1874,     0,   790,   643,
       0,   644,     0,   791,   645,   646,   647,   648,   649,   650,
     651,     0,   793,   652,   653,   654,   655,   656,   794,   795,
     657,   658,   659,   660,   661,     0,  1875,   797,   663,   234,
     664,   665,   666,   798,   799,   667,   800,   801,   668,   669,
     670,   671,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   673,   674,   675,     0,     0,     0,  1184,  1185,
    1186,     0,  3776,  3777,  1189,  1190,  1191,  1192,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,  1182,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,  1183,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,     0,
       0,     0,  1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,
    1191,  1192,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,  1270,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,  1271,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,     0,     0,     0,  1184,  1185,  1186,     0,
    1187,  1188,  1189,  1190,  1191,  1192,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,  1322,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,  1323,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,  1324,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,     0,     0,     0,
    1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,  1192,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,  1840,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,  1841,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,     0,     0,     0,  1184,  1185,  1186,     0,  1187,  1188,
    1189,  1190,  1191,  1192,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,     0,     0,     0,  1184,  1185,
    1186,     0,  1187,  1188,  1189,  1190,  1191,  1192,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,  3046,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,  3047,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,     0,
       0,     0,  1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,
    1191,  1192,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,  4617,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,     0,     0,     0,  1184,  1185,  1186,     0,
    1187,  1188,  1189,  1190,  1191,  1192,   712,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   713,   104,   105,   414,
     714,     0,   107,   108,   109,   110,   715,   716,   112,   113,
     114,   115,     0,   116,   717,   718,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     719,   433,   434,   435,   720,   721,   722,   723,   724,   725,
     726,   436,   437,   727,   438,   439,   133,   440,   441,   442,
     135,   136,   137,   138,   139,   728,   443,   444,   445,   446,
     447,   729,   730,   448,   449,   731,   140,   451,   732,   452,
     453,   454,   455,   144,   733,   734,   735,   456,   457,   458,
     459,   147,   460,   736,   737,   462,   463,   464,   465,   466,
     467,   738,   150,   468,   739,   740,   741,   742,   151,   743,
     744,   745,   469,   470,   471,   472,   473,   474,   154,   155,
     475,   746,   476,   747,   477,   478,   479,   480,   481,   748,
     482,   483,   484,   749,   750,   485,   486,   487,   488,   489,
     751,   490,   491,   492,   752,   493,   494,   753,   495,   496,
     497,   498,   163,   499,   500,   501,   165,   754,   502,   755,
     503,   167,   504,   756,   505,   757,   506,   168,   758,   169,
     507,   508,   509,   759,   510,   171,   760,   511,   761,   512,
     513,   514,   515,   516,   172,   517,   518,   519,   762,   520,
     521,   522,   523,   524,   525,   763,   526,   173,   174,   764,
     527,   528,   529,   765,   175,   766,   176,   767,   530,   177,
     178,   531,   179,   532,   533,   534,   535,   536,   537,   538,
     768,   539,   180,   181,   540,   182,   769,   541,   542,   543,
     770,   771,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,   188,   189,   556,   557,   190,
     772,   558,   559,   192,   560,   773,   193,   561,   194,   562,
     563,   564,   774,   565,   775,   776,   566,   567,   568,   777,
     778,   195,   196,   197,   198,   199,   569,   570,   571,   572,
     573,   574,   575,   779,   576,   200,   577,   201,   578,   579,
     580,   780,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,   781,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   782,   602,   603,   209,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
     783,   614,   615,   616,   617,   618,   784,   619,   216,   620,
     621,   218,   622,   219,   623,   785,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,   786,   634,   635,
     787,   636,   637,   638,   639,   640,   641,   788,   223,   224,
     789,   790,   643,   225,   644,   226,   791,   645,   646,   647,
     648,   649,   650,   651,   792,   793,   652,   653,   654,   655,
     656,   794,   795,   657,   658,   659,   660,   661,   796,   233,
     797,   663,   234,   664,   665,   666,   798,   799,   667,   800,
     801,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,   712,    86,
      87,    88,   411,    90,    91,    92,   412,  2236,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   713,   104,
     105,   414,   714,     0,   107,   108,   109,   110,   715,   716,
     112,   113,   114,   115,     0,   116,   717,   718,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,   133,   440,
     441,   442,     0,  1857,   137,  1858,  1859,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,  1860,  1861,   451,
       0,   452,   453,   454,   455,     0,     0,     0,     0,   456,
     457,   458,   459,   147,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,   150,   468,     0,     0,     0,     0,
     151,     0,     0,     0,   469,   470,   471,   472,   473,   474,
    1862,  1863,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,  1458,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,     0,   499,   500,   501,     0,     0,
     502,     0,   503,  1864,   504,     0,   505,     0,   506,   168,
       0,   169,   507,   508,   509,     0,   510,     0,     0,   511,
       0,   512,   513,   514,   515,   516,   172,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,   173,
       0,     0,   527,   528,   529,  1464,  1865,     0,  1866,     0,
     530,   177,   178,   531,   179,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   181,   540,   182,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1867,   188,  1868,   556,
     557,     0,     0,   558,   559,   192,   560,     0,     0,   561,
    1869,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,     0,   196,   197,   198,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,     0,   577,     0,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1870,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
    1871,   620,   621,   218,   622,  1872,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,     0,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
    1873,  1874,     0,     0,   643,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
       0,  1875,     0,   663,   234,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   673,   674,   675,
       0,    86,    87,    88,   411,    90,    91,    92,   412,  2335,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,     0,    86,    87,    88,   411,    90,    91,    92,
     412,  1066,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,     0,    86,    87,    88,   411,    90,
      91,    92,   412,  4484,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,  2224,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,  2008,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,  2009,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,  2010,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,  1637,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,  2229,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,  2008,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,  2009,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,  2010,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,  1637,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,  2008,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,  2009,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,  2010,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,  1637,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   965,   427,   428,   429,   430,   431,   432,   966,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   967,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   968,   167,
     504,     0,   505,     0,   969,     0,   970,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   971,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   972,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   973,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     974,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   975,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,   977,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   965,   427,   428,   429,   430,   431,   432,   966,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   998,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   968,   167,
     504,     0,   505,     0,   999,     0,   970,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   971,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   972,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   973,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     974,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   975,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,   977,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  1372,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,   970,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   971,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,   977,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  1377,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,   970,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   971,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,     0,     0,
       0,     0,     0,   976,   977,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,   697,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,  1540,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,     0,     0,  1037,  1541,
      86,    87,    88,   411,    90,    91,    92,   412,  1038,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,  1039,   449,  1013,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,  1040,     0,  1041,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,  1042,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,  1043,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,  1044,   605,   211,   606,   607,   608,  1045,   610,
     611,   612,   613,     0,   614,   615,   616,   617,  1046,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,  1047,   224,     0,     0,  1048,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,  1017,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,  1049,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,   712,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   713,   104,   105,   414,   714,     0,   107,   108,   109,
     110,   715,   716,   112,   113,   114,   115,     0,   116,   717,
     718,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   719,   433,   434,   435,   720,
     721,   722,   723,   724,   725,   726,   436,   437,   727,   438,
     439,   133,   440,   441,   442,   135,   136,   137,   138,   139,
     728,   443,   444,   445,   446,   447,   729,   730,   448,   449,
     731,   140,   451,   732,   452,   453,   454,   455,   144,   733,
     734,   735,   456,   457,   458,   459,   147,   460,   736,   737,
     462,   463,   464,   465,   466,   467,   738,   150,   468,   739,
     740,   741,   742,   151,   743,   744,   745,   469,   470,   471,
     472,   473,   474,   154,   155,   475,   746,   476,   747,   477,
     478,   479,   480,   481,   748,   482,   483,   484,   749,   750,
     485,   486,   487,   488,   489,   751,   490,   491,   492,   752,
     493,   494,   753,   495,   496,   497,   498,   163,   499,   500,
     501,   165,   754,   502,   755,   503,   167,   504,   756,   505,
     757,   506,   168,   758,   169,   507,   508,   509,   759,   510,
     171,   760,   511,   761,   512,   513,   514,   515,   516,   172,
     517,   518,   519,   762,   520,   521,   522,   523,   524,   525,
     763,   526,   173,   174,   764,   527,   528,   529,   765,   175,
     766,   176,   767,   530,   177,   178,   531,   179,   532,   533,
     534,   535,   536,   537,   538,   768,   539,   180,   181,   540,
     182,   769,   541,   542,   543,   770,   771,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
     188,   189,   556,   557,   190,   772,   558,   559,   192,   560,
     773,   193,   561,   194,   562,   563,   564,   774,   565,   775,
     776,   566,   567,   568,   777,   778,   195,   196,   197,   198,
     199,   569,   570,   571,   572,   573,   574,   575,   779,   576,
     200,   577,   201,   578,   579,   580,   780,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,   781,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     782,   602,   603,   209,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,   783,   614,   615,   616,   617,
     618,   784,   619,   216,   620,   621,   218,   622,   219,   623,
     785,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,   786,   634,   635,   787,   636,   637,   638,   639,
     640,   641,   788,   223,   224,   789,   790,   643,   225,   644,
     226,   791,   645,   646,   647,   648,   649,   650,   651,   792,
     793,   652,   653,   654,   655,   656,   794,   795,   657,   658,
     659,   660,   661,   796,   233,   797,   663,   234,   664,   665,
     666,   798,   799,   667,   800,   801,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   719,   433,   434,
     435,   720,   721,   722,   723,   724,   725,   726,   436,   437,
     727,   438,   439,   133,   440,   441,   442,   135,   136,   137,
     138,   139,   728,   443,   444,   445,   446,   447,   729,   730,
     448,   449,   731,   140,   451,   732,   452,   453,   454,   455,
     144,   733,   734,   735,   456,   457,   458,   459,   147,   460,
     736,   737,   462,   463,   464,   465,   466,   467,   738,   150,
     468,   739,   740,   741,   742,   151,   743,   744,   745,   469,
     470,   471,   472,   473,   474,   154,   155,   475,   746,   476,
     747,   477,   478,   479,   480,   481,   748,   482,   483,   484,
     749,   750,   485,   486,   487,   488,   489,   751,   490,   491,
     492,   752,   493,   494,   753,   495,   496,   497,   498,   163,
     499,   500,   501,   165,   754,   502,   755,   503,   167,   504,
     756,   505,   757,   506,   168,   758,   169,   507,   508,   509,
     759,   510,   171,   760,   511,   761,   512,   513,   514,   515,
     516,   172,   517,   518,   519,   762,   520,   521,   522,   523,
     524,   525,   763,   526,   173,   174,   764,   527,   528,   529,
     765,   175,   766,   176,   767,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,   768,   539,   180,
     181,   540,   182,   769,   541,   542,   543,   770,   771,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,   188,   189,   556,   557,   190,   772,   558,   559,
     192,   560,   773,   193,   561,   194,   562,   563,   564,   774,
     565,   775,   776,   566,   567,   568,   777,   778,   195,   196,
     197,   198,   199,   569,   570,   571,   572,   573,   574,   575,
     779,   576,   200,   577,   201,   578,   579,   580,   780,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,   781,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   782,   602,   603,   209,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,   783,   614,   615,
     616,   617,   618,   784,   619,   216,   620,   621,   218,   622,
     219,   623,   785,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,   786,   634,   635,   787,   636,   637,
     638,   639,   640,   641,   788,   223,   224,   789,   790,   643,
     225,   644,   226,   791,   645,   646,   647,   648,   649,   650,
     651,   792,   793,   652,   653,   654,   655,   656,   794,   795,
     657,   658,   659,   660,   661,   796,   233,   797,   663,   234,
     664,   665,   666,   798,   799,   667,   800,   801,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,  3111,   430,   431,   432,   719,
     433,   434,   435,   720,   721,   722,   723,   724,   725,   726,
     436,   437,   727,   438,   439,   133,   440,   441,   442,   135,
     136,   137,   138,   139,   728,   443,   444,   445,   446,   447,
     729,   730,   448,   449,   731,   140,   451,   732,   452,   453,
     454,   455,   144,   733,   734,   735,   456,   457,   458,   459,
     147,   460,   736,   737,   462,   463,   464,   465,   466,   467,
     738,   150,   468,   739,   740,   741,   742,   151,   743,   744,
     745,   469,   470,   471,   472,   473,   474,   154,   155,   475,
     746,   476,   747,   477,   478,   479,   480,   481,   748,   482,
     483,   484,   749,   750,   485,   486,   487,  3112,   489,   751,
     490,   491,   492,   752,   493,   494,   753,   495,   496,   497,
     498,   163,   499,   500,   501,   165,   754,   502,   755,   503,
     167,   504,   756,   505,   757,   506,   168,   758,   169,   507,
     508,   509,   759,   510,   171,   760,   511,   761,   512,   513,
     514,   515,   516,   172,   517,   518,   519,   762,   520,   521,
     522,   523,   524,   525,   763,   526,   173,   174,   764,   527,
     528,   529,   765,   175,   766,   176,   767,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,   768,
     539,   180,   181,   540,   182,   769,   541,   542,   543,   770,
     771,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,   188,   189,   556,   557,   190,   772,
     558,   559,   192,   560,   773,   193,   561,   194,   562,   563,
     564,   774,   565,   775,   776,   566,   567,   568,   777,   778,
     195,   196,   197,   198,   199,   569,   570,   571,   572,   573,
     574,   575,   779,   576,   200,   577,   201,   578,   579,   580,
     780,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,   781,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   782,   602,   603,   209,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,   783,
     614,   615,   616,   617,   618,   784,  3113,   216,   620,   621,
     218,   622,   219,   623,   785,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,   786,   634,   635,   787,
     636,   637,   638,   639,   640,   641,   788,   223,   224,   789,
     790,   643,   225,   644,   226,   791,   645,   646,   647,   648,
     649,   650,   651,   792,   793,   652,   653,   654,   655,   656,
     794,   795,   657,   658,   659,   660,   661,   796,   233,   797,
     663,   234,   664,   665,   666,   798,   799,   667,   800,   801,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,   712,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   713,   104,   105,
     414,   714,     0,   107,   108,   109,   110,   715,   716,   112,
     113,   114,   115,     0,   116,   717,   718,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,   136,   137,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,   147,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,   150,   468,     0,     0,     0,     0,   151,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,   168,     0,
     169,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,   172,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,   173,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
     177,   178,   531,   179,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,   181,   540,   182,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,   188,   189,   556,   557,
     190,     0,   558,   559,   192,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,   196,   197,   198,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   209,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,   218,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,   234,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,   712,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   713,
     104,   105,   414,   714,     0,   107,   108,   109,   110,   715,
     716,   112,   113,   114,   115,     0,   116,   717,   718,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,   136,   137,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,   147,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,   150,   468,     0,     0,     0,
       0,   151,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
     168,     0,   169,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,  1307,   172,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
     173,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,   177,   178,   531,   179,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,   181,   540,   182,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,   188,   189,
     556,   557,   190,     0,   558,   559,   192,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,   196,   197,   198,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,   218,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,   234,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,   712,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   713,   104,   105,   414,   714,     0,   107,   108,   109,
     110,   715,   716,   112,   113,   114,   115,     0,   116,   717,
     718,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,   136,   137,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,   147,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,   150,   468,     0,
       0,     0,     0,   151,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,   168,     0,   169,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,  1316,   172,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,   173,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,   177,   178,   531,   179,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,   181,   540,
     182,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
     188,   189,   556,   557,   190,     0,   558,   559,   192,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,   196,   197,   198,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   209,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,   218,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,   234,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,     0,  1857,   137,
    1858,  1859,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,  1860,  1861,   451,     0,   452,   453,   454,   455,
       0,     0,     0,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,     0,     0,     0,   151,     0,     0,     0,   469,
     470,   471,   472,   473,   474,  1862,  1863,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,  1458,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,     0,
     499,   500,   501,     0,     0,   502,     0,   503,  1864,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,     0,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,  2418,   520,   521,   522,   523,
     524,   525,     0,   526,   173,  2419,     0,   527,   528,   529,
    1464,  1865,     0,  1866,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     181,   540,   182,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1867,   188,  1868,   556,   557,     0,     0,   558,   559,
     192,   560,     0,     0,   561,  1869,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,  2420,   196,
     197,   198,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,     0,   577,     0,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,  1870,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,  2421,   620,   621,   218,   622,
    1872,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,     0,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,  1873,  1874,     0,     0,   643,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,     0,  1875,  2422,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   673,   674,   675,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,     0,
    1857,   137,  1858,  1859,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,  1860,  1861,   451,     0,   452,   453,
     454,   455,     0,     0,     0,     0,   456,   457,   458,   459,
     147,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,   150,   468,     0,     0,     0,     0,   151,     0,     0,
       0,   469,   470,   471,   472,   473,   474,  1862,  1863,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,  1458,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,     0,   499,   500,   501,     0,     0,   502,     0,   503,
    1864,   504,     0,   505,     0,   506,   168,     0,   169,   507,
     508,   509,     0,   510,     0,     0,   511,     0,   512,   513,
     514,   515,   516,   172,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,   173,     0,     0,   527,
     528,   529,  1464,  1865,     0,  1866,     0,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   181,   540,   182,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1867,   188,  1868,   556,   557,     0,     0,
     558,   559,   192,   560,  2406,     0,   561,  1869,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
       0,   196,   197,   198,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,     0,   577,     0,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1870,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,  2421,   620,   621,
     218,   622,  1872,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,     0,     0,   634,   635,  3873,
     636,   637,   638,   639,   640,   641,     0,  1873,  1874,     0,
       0,   643,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,     0,  1875,     0,
     663,   234,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,   674,   675,   712,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   713,   104,   105,
     414,   714,     0,   107,   108,   109,   110,   715,   716,   112,
     113,   114,   115,     0,   116,   717,   718,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,     0,  1857,   137,  1858,  1859,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,  1860,  1861,   451,     0,
     452,   453,   454,   455,     0,     0,     0,     0,   456,   457,
     458,   459,   147,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,   150,   468,     0,     0,     0,     0,   151,
       0,     0,     0,   469,   470,   471,   472,   473,   474,  1862,
    1863,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,  1458,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,     0,   499,   500,   501,     0,     0,   502,
       0,   503,  1864,   504,     0,   505,     0,   506,   168,     0,
     169,   507,   508,   509,     0,   510,     0,     0,   511,     0,
     512,   513,   514,   515,   516,   172,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,   173,     0,
       0,   527,   528,   529,  1464,  1865,     0,  1866,     0,   530,
     177,   178,   531,   179,   532,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   181,   540,   182,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1867,   188,  1868,   556,   557,
    2468,     0,   558,   559,   192,   560,     0,     0,   561,  1869,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,     0,   196,   197,   198,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,     0,   577,     0,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
    1870,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   209,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,  1871,
     620,   621,   218,   622,  1872,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,     0,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,  1873,
    1874,     0,     0,   643,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,     0,
    1875,     0,   663,   234,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,   674,   675,   712,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   713,
     104,   105,   414,   714,     0,   107,   108,   109,   110,   715,
     716,   112,   113,   114,   115,     0,   116,   717,   718,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,     0,  1857,   137,  1858,  1859,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,  1860,  1861,
     451,     0,   452,   453,   454,   455,     0,     0,     0,     0,
     456,   457,   458,   459,   147,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,   150,   468,     0,     0,     0,
       0,   151,     0,     0,     0,   469,   470,   471,   472,   473,
     474,  1862,  1863,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
    1458,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,     0,   499,   500,   501,     0,
       0,   502,     0,   503,  1864,   504,     0,   505,     0,   506,
     168,     0,   169,   507,   508,   509,     0,   510,     0,     0,
     511,     0,   512,   513,   514,   515,   516,   172,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
     173,     0,     0,   527,   528,   529,  1464,  1865,     0,  1866,
       0,   530,   177,   178,   531,   179,   532,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   181,   540,   182,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1867,   188,  1868,
     556,   557,  3697,     0,   558,   559,   192,   560,     0,     0,
     561,  1869,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,     0,   196,   197,   198,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,     0,   577,
       0,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,  1870,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,  1871,   620,   621,   218,   622,  1872,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,     0,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,  1873,  1874,     0,     0,   643,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,     0,  1875,     0,   663,   234,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   673,   674,
     675,   712,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   713,   104,   105,   414,   714,     0,   107,   108,   109,
     110,   715,   716,   112,   113,   114,   115,     0,   116,   717,
     718,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,     0,  1857,   137,  1858,  1859,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
    1860,  1861,   451,     0,   452,   453,   454,   455,     0,     0,
       0,     0,   456,   457,   458,   459,   147,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,   150,   468,     0,
       0,     0,     0,   151,     0,     0,     0,   469,   470,   471,
     472,   473,   474,  1862,  1863,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,  1458,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,     0,   499,   500,
     501,     0,     0,   502,     0,   503,  1864,   504,     0,   505,
       0,   506,   168,     0,   169,   507,   508,   509,     0,   510,
       0,     0,   511,     0,   512,   513,   514,   515,   516,   172,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,   173,     0,     0,   527,   528,   529,  1464,  1865,
       0,  1866,     0,   530,   177,   178,   531,   179,   532,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   181,   540,
     182,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1867,
     188,  1868,   556,   557,     0,     0,   558,   559,   192,   560,
       0,     0,   561,  1869,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,     0,   196,   197,   198,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
       0,   577,     0,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,  1870,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   209,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,  1871,   620,   621,   218,   622,  1872,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,     0,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,  1873,  1874,     0,     0,   643,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,     0,  1875,     0,   663,   234,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     673,   674,   675,   712,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   713,   104,   105,   414,   714,     0,   107,
     108,   109,   110,   715,   716,   112,   113,   114,   115,     0,
     116,   717,   718,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,     0,  1857,   137,
    1858,  1859,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,  1860,  1861,   451,     0,   452,   453,   454,   455,
       0,     0,     0,     0,   456,   457,   458,   459,   147,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,   150,
     468,     0,     0,     0,     0,   151,     0,     0,     0,   469,
     470,   471,   472,   473,   474,  1862,  1863,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,  1458,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,     0,
     499,   500,   501,     0,     0,   502,     0,   503,  1864,   504,
       0,   505,     0,   506,   168,     0,   169,   507,   508,   509,
       0,   510,     0,     0,   511,     0,   512,   513,   514,   515,
     516,   172,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,   173,     0,     0,   527,   528,   529,
    1464,  1865,     0,  1866,     0,   530,   177,   178,   531,   179,
     532,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     181,   540,   182,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1867,   188,  1868,   556,   557,     0,     0,   558,   559,
     192,   560,     0,     0,   561,  1869,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,     0,   196,
     197,   198,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,     0,   577,     0,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,  1870,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,  2421,   620,   621,   218,   622,
    1872,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,     0,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,  1873,  1874,     0,     0,   643,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,     0,  1875,     0,   663,   234,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   673,   674,   675,   712,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   713,   104,   105,   414,   714,
       0,   107,   108,   109,   110,   715,   716,   112,   113,   114,
     115,     0,   116,   717,   718,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,     0,
    1857,   137,  1858,  1859,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,  1860,  1861,   451,     0,   452,   453,
     454,   455,     0,     0,     0,     0,   456,   457,   458,   459,
     147,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,   150,   468,     0,     0,     0,     0,   151,     0,     0,
       0,   469,   470,   471,   472,   473,   474,  1862,  1863,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,  1458,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,     0,   499,   500,   501,     0,     0,   502,     0,   503,
    1864,   504,     0,   505,     0,   506,   168,     0,   169,   507,
     508,   509,     0,   510,     0,     0,   511,     0,   512,   513,
     514,   515,   516,   172,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,   173,     0,     0,   527,
     528,   529,  1464,  1865,     0,  1866,     0,   530,   177,   178,
     531,   179,   532,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   181,   540,   182,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1867,   188,  1868,   556,   557,     0,     0,
     558,   559,   192,   560,     0,     0,   561,  1869,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
       0,   196,   197,   198,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,     0,   577,     0,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1870,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,     0,   620,   621,
     218,   622,  1872,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,     0,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,  1873,  1874,     0,
       0,   643,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,     0,  1875,     0,
     663,   234,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,   674,   675,   712,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   713,   104,   105,
     414,   714,     0,   107,   108,   109,   110,   715,   716,   112,
     113,   114,   115,     0,   116,   717,   718,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,     0,     0,   137,     0,     0,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,     0,     0,   451,     0,
     452,   453,   454,   455,     0,     0,     0,     0,   456,   457,
     458,   459,   147,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,   150,   468,     0,     0,     0,     0,   151,
       0,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,     0,   499,   500,   501,     0,     0,   502,
       0,   503,     0,   504,     0,   505,     0,   506,   168,     0,
     169,   507,   508,   509,     0,   510,     0,     0,   511,     0,
     512,   513,   514,   515,   516,   172,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,   173,     0,
       0,   527,   528,   529,     0,     0,     0,     0,     0,   530,
     177,   178,   531,   179,   532,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   181,   540,   182,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,     0,   188,     0,   556,   557,
       0,     0,   558,   559,   192,   560,     0,     0,   561,     0,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,     0,   196,   197,   198,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,     0,   577,     0,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   209,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,     0,
     620,   621,   218,   622,     0,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,     0,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,     0,
       0,     0,     0,   643,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,   663,   234,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   719,   433,   434,   435,   720,   721,   722,   723,
     724,   725,   726,   436,   437,   727,   438,   439,   133,   440,
     441,   442,   135,   136,   137,   138,   139,   728,   443,   444,
     445,   446,   447,   729,   730,   448,   449,     0,   140,   451,
     732,   452,   453,   454,   455,   144,   733,   734,   735,   456,
     457,   458,   459,   147,   460,   736,   737,   462,   463,   464,
     465,   466,   467,   738,   150,   468,     0,   740,   741,   742,
     151,   743,   744,   745,   469,   470,   471,   472,     0,   474,
     154,   155,   475,   746,   476,   747,   477,   478,   479,   480,
     481,   748,   482,   483,   484,   749,   750,   485,   486,   487,
     488,   489,   751,   490,   491,   492,   752,   493,   494,   753,
     495,   496,   497,   498,   163,   499,   500,   501,   165,   754,
     502,   755,   503,   167,   504,   756,   505,   757,   506,   168,
     758,   169,   507,   508,   509,   759,   510,   171,   760,   511,
     761,   512,   513,     0,   515,   516,   172,   517,   518,   519,
     762,   520,   521,   522,   523,   524,   525,   763,   526,   173,
     174,     0,   527,   528,   529,     0,   175,   766,   176,   767,
     530,   177,   178,   531,   179,   532,   533,   534,   535,   536,
     537,   538,   768,   539,   180,   181,   540,   182,   769,   541,
     542,   543,   770,   771,   544,   545,   546,   547,   548,     0,
     550,   551,     0,   553,   554,   555,   187,   188,   189,   556,
     557,   190,   772,   558,   559,   192,   560,   773,   193,   561,
     194,   562,   563,   564,   774,   565,   775,   776,   566,   567,
     568,   777,   778,   195,   196,   197,   198,   199,   569,   570,
     571,   572,   573,   574,   575,   779,   576,   200,   577,   201,
     578,   579,   580,   780,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,   781,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   782,   602,   603,
     209,   604,   605,   211,   606,   607,   608,   609,   610,   611,
       0,   613,   783,   614,   615,   616,   617,   618,   784,   619,
     216,   620,   621,   218,   622,   219,   623,   785,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,   786,
     634,   635,   787,   636,   637,   638,   639,   640,   641,   788,
     223,   224,     0,   790,   643,   225,   644,   226,   791,   645,
     646,   647,   648,   649,   650,   651,     0,   793,   652,   653,
     654,   655,   656,   794,   795,   657,   658,   659,   660,   661,
       0,   233,   797,   663,   234,   664,   665,   666,   798,   799,
     667,   800,   801,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
    2008,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,  2009,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,  2010,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,   642,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,  1128,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,  2209,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,  2359,   452,   453,   454,
     455,   144,     0,     0,  2434,   456,   457,   458,   459,     0,
     460,   461,  2360,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,  2435,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,  2362,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,  2363,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,  2364,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,  2359,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,  2360,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,  2435,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,  2362,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,   516,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,  3309,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
    2363,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,  2364,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,  1026,   431,   432,
     985,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,   986,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,  1027,   510,   171,     0,   511,     0,   512,
     513,   514,   515,   516,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,   987,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
     988,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,  1988,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   985,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,   986,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,  3013,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,   987,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,   988,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,  2359,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,  2360,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,  2435,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,  2362,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,  2363,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,  2364,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   695,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,   696,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,   697,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   985,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,   986,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
     987,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,   988,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,   901,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   902,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   903,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  2043,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,  2044,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,  2045,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,  2046,   506,     0,     0,     0,  2047,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,  2048,  2049,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,  2050,   610,   611,   612,   613,     0,  2051,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,  2052,   636,
    2053,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,  2054,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
     986,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,   516,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,   987,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,   988,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   130,   131,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,   516,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,  1362,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,  2032,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,  2317,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,  2890,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
    2891,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,  2892,   636,   637,  2893,   639,  2894,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,  2895,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   704,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,   697,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   853,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,  1299,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,  2523,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,  2524,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   130,   131,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  3095,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,  3096,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,  3107,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,   516,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
    3108,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,   516,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     907,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   949,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,  1002,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,  1059,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,  1202,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
    1059,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,  1543,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
    1715,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,  1059,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,  1940,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,  2032,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,  2317,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,   516,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,  3376,   511,     0,   512,
     513,   514,   515,   516,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
    4010,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,  4023,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,  4240,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,  4242,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,  4244,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,   516,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,  4620,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,  1010,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,  1012,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,  1013,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,     0,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,   516,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,  1014,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,  1015,   224,     0,
       0,  1016,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,  1017,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
    1053,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,  1013,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,     0,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,   516,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,  1054,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,  1055,   224,
       0,     0,  1056,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,  1017,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,  1073,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,  1178,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,  1199,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,  1208,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,  1210,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,  1261,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,  1282,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,  1312,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,  1318,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,  1327,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,  1329,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,  1331,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,  1333,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,  1336,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,  1338,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,  1339,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,  1342,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,  1554,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
    1039,   449,  1013,   140,  1555,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
       0,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
     516,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
    1043,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,  1044,   605,   211,   606,
     607,   608,  1045,   610,   611,   612,   613,     0,   614,   615,
     616,   617,  1547,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,  1047,   224,     0,     0,  1048,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,  1017,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,  1049,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,  1679,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,   516,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,  1903,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,  1930,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,   461,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,  1964,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,   223,
     224,     0,     0,   643,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,   662,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,   672,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,   461,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,  1966,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,   637,   638,   639,   640,   641,     0,
     223,   224,     0,     0,   643,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
     662,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,   672,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,   461,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,  1968,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,   223,   224,     0,     0,   643,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,   662,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,   672,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,   461,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,  2080,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,   223,   224,     0,     0,   643,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,   662,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,   672,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,  2284,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,     0,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,     0,     0,   456,   457,   458,   459,     0,   460,   461,
       0,   462,   463,   464,   465,   466,   467,     0,     0,   468,
       0,     0,     0,     0,     0,     0,     0,     0,   469,   470,
     471,   472,   473,   474,   154,   155,   475,     0,   476,     0,
     477,   478,   479,   480,   481,     0,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,   490,   491,   492,
       0,   493,   494,     0,   495,   496,   497,   498,   163,   499,
     500,   501,   165,     0,   502,     0,   503,   167,   504,     0,
     505,     0,   506,     0,     0,     0,   507,   508,   509,     0,
     510,   171,     0,   511,     0,   512,   513,   514,   515,  2654,
       0,   517,   518,   519,     0,   520,   521,   522,   523,   524,
     525,     0,   526,     0,   174,     0,   527,   528,   529,     0,
     175,     0,   176,     0,   530,     0,     0,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
     623,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   221,     0,   634,   635,     0,   636,   637,   638,
     639,   640,   641,     0,   223,   224,     0,     0,   643,   225,
     644,   226,     0,   645,   646,   647,   648,   649,   650,   651,
       0,     0,   652,   653,   654,   655,   656,     0,     0,   657,
     658,   659,   660,   661,   662,   233,     0,   663,     0,   664,
     665,   666,     0,     0,   667,     0,     0,   668,   669,   670,
     671,   672,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   673,   674,   675,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,     0,     0,   456,   457,   458,   459,     0,   460,
     461,     0,   462,   463,   464,   465,   466,   467,     0,     0,
     468,     0,     0,     0,     0,     0,     0,     0,     0,   469,
     470,   471,   472,   473,   474,   154,   155,   475,     0,   476,
       0,   477,   478,   479,   480,   481,     0,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,   490,   491,
     492,     0,   493,   494,     0,   495,   496,   497,   498,   163,
     499,   500,   501,   165,     0,   502,     0,   503,   167,   504,
       0,   505,     0,   506,     0,     0,     0,   507,   508,   509,
       0,   510,   171,     0,   511,     0,   512,   513,   514,   515,
    3025,     0,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   525,     0,   526,     0,   174,     0,   527,   528,   529,
       0,   175,     0,   176,     0,   530,     0,     0,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,   623,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   221,     0,   634,   635,     0,   636,   637,
     638,   639,   640,   641,     0,   223,   224,     0,     0,   643,
     225,   644,   226,     0,   645,   646,   647,   648,   649,   650,
     651,     0,     0,   652,   653,   654,   655,   656,     0,     0,
     657,   658,   659,   660,   661,   662,   233,     0,   663,     0,
     664,   665,   666,     0,     0,   667,     0,     0,   668,   669,
     670,   671,   672,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   673,   674,   675,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,     0,     0,   456,   457,   458,   459,     0,
     460,   461,     0,   462,   463,   464,   465,   466,   467,     0,
       0,   468,     0,     0,     0,     0,     0,     0,     0,     0,
     469,   470,   471,   472,   473,   474,   154,   155,   475,     0,
     476,     0,   477,   478,   479,   480,   481,     0,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,   490,
     491,   492,     0,   493,   494,     0,   495,   496,   497,   498,
     163,   499,   500,   501,   165,     0,   502,     0,   503,   167,
     504,     0,   505,     0,   506,     0,     0,     0,   507,   508,
     509,     0,   510,   171,     0,   511,     0,   512,   513,   514,
     515,  3098,     0,   517,   518,   519,     0,   520,   521,   522,
     523,   524,   525,     0,   526,     0,   174,     0,   527,   528,
     529,     0,   175,     0,   176,     0,   530,     0,     0,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,   623,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   221,     0,   634,   635,     0,   636,
     637,   638,   639,   640,   641,     0,   223,   224,     0,     0,
     643,   225,   644,   226,     0,   645,   646,   647,   648,   649,
     650,   651,     0,     0,   652,   653,   654,   655,   656,     0,
       0,   657,   658,   659,   660,   661,   662,   233,     0,   663,
       0,   664,   665,   666,     0,     0,   667,     0,     0,   668,
     669,   670,   671,   672,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   673,   674,   675,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,     0,     0,   456,   457,   458,   459,
       0,   460,   461,     0,   462,   463,   464,   465,   466,   467,
       0,     0,   468,     0,     0,     0,     0,     0,     0,     0,
       0,   469,   470,   471,   472,   473,   474,   154,   155,   475,
       0,   476,     0,   477,   478,   479,   480,   481,     0,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
     490,   491,   492,     0,   493,   494,     0,   495,   496,   497,
     498,   163,   499,   500,   501,   165,     0,   502,     0,   503,
     167,   504,     0,   505,     0,   506,     0,     0,     0,   507,
     508,   509,     0,   510,   171,     0,   511,     0,   512,   513,
     514,   515,  3100,     0,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   525,     0,   526,     0,   174,     0,   527,
     528,   529,     0,   175,     0,   176,     0,   530,     0,     0,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,   623,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   221,     0,   634,   635,     0,
     636,   637,   638,   639,   640,   641,     0,   223,   224,     0,
       0,   643,   225,   644,   226,     0,   645,   646,   647,   648,
     649,   650,   651,     0,     0,   652,   653,   654,   655,   656,
       0,     0,   657,   658,   659,   660,   661,   662,   233,     0,
     663,     0,   664,   665,   666,     0,     0,   667,     0,     0,
     668,   669,   670,   671,   672,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   673,   674,   675,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,     0,     0,   456,   457,   458,
     459,     0,   460,   461,     0,   462,   463,   464,   465,   466,
     467,     0,     0,   468,     0,     0,     0,     0,     0,     0,
       0,     0,   469,   470,   471,   472,   473,   474,   154,   155,
     475,     0,   476,     0,   477,   478,   479,   480,   481,     0,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   493,   494,     0,   495,   496,
     497,   498,   163,   499,   500,   501,   165,     0,   502,     0,
     503,   167,   504,     0,   505,     0,   506,     0,     0,     0,
     507,   508,   509,     0,   510,   171,     0,   511,     0,   512,
     513,   514,   515,  3192,     0,   517,   518,   519,     0,   520,
     521,   522,   523,   524,   525,     0,   526,     0,   174,     0,
     527,   528,   529,     0,   175,     0,   176,     0,   530,     0,
       0,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,   623,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   221,     0,   634,   635,
       0,   636,   637,   638,   639,   640,   641,     0,   223,   224,
       0,     0,   643,   225,   644,   226,     0,   645,   646,   647,
     648,   649,   650,   651,     0,     0,   652,   653,   654,   655,
     656,     0,     0,   657,   658,   659,   660,   661,   662,   233,
       0,   663,     0,   664,   665,   666,     0,     0,   667,     0,
       0,   668,   669,   670,   671,   672,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   673,   674,   675,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,  1039,   449,  1013,   140,   451,     0,
     452,   453,   454,   455,   144,     0,     0,     0,   456,   457,
     458,   459,     0,   460,     0,     0,   462,   463,   464,   465,
     466,   467,     0,     0,   468,     0,     0,     0,     0,     0,
       0,     0,     0,   469,   470,   471,   472,   473,   474,   154,
     155,   475,     0,   476,     0,   477,   478,   479,   480,   481,
       0,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   493,   494,     0,   495,
     496,   497,   498,   163,   499,   500,   501,   165,     0,   502,
       0,   503,   167,   504,     0,   505,     0,   506,     0,     0,
       0,   507,   508,   509,     0,   510,   171,     0,   511,     0,
     512,   513,   514,   515,   516,     0,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   525,     0,   526,     0,   174,
       0,   527,   528,   529,     0,   175,     0,   176,     0,   530,
       0,     0,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,  1043,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
    1044,   605,   211,   606,   607,   608,  1045,   610,   611,   612,
     613,     0,   614,   615,   616,   617,  1547,     0,   619,   216,
     620,   621,     0,   622,   219,   623,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   221,     0,   634,
     635,     0,   636,   637,   638,   639,   640,   641,     0,  1047,
     224,     0,     0,  1048,   225,   644,   226,     0,   645,   646,
     647,   648,   649,   650,   651,     0,     0,   652,   653,   654,
     655,   656,     0,     0,   657,   658,   659,   660,   661,  1017,
     233,     0,   663,     0,   664,   665,   666,     0,     0,   667,
       0,     0,   668,   669,   670,   671,  1049,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   673,   674,   675,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,  1039,   449,  1013,   140,   451,
       0,   452,   453,   454,   455,   144,     0,     0,     0,   456,
     457,   458,   459,     0,   460,     0,     0,   462,   463,   464,
     465,   466,   467,     0,     0,   468,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   470,   471,   472,   473,   474,
     154,   155,   475,     0,   476,     0,   477,   478,   479,   480,
     481,     0,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   493,   494,     0,
     495,   496,   497,   498,   163,   499,   500,   501,   165,     0,
     502,     0,   503,   167,   504,     0,   505,     0,   506,     0,
       0,     0,   507,   508,   509,     0,   510,   171,     0,   511,
       0,   512,   513,   514,   515,   516,     0,   517,   518,   519,
       0,   520,   521,   522,   523,   524,   525,     0,   526,     0,
     174,     0,   527,   528,   529,     0,   175,     0,   176,     0,
     530,     0,     0,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,  1043,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,  1044,   605,   211,   606,   607,   608,  1045,   610,   611,
     612,   613,     0,   614,   615,   616,   617,  1547,     0,   619,
     216,   620,   621,     0,   622,   219,   623,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   221,     0,
     634,   635,     0,   636,  2350,   638,   639,   640,   641,     0,
    1047,   224,     0,     0,  1048,   225,   644,   226,     0,   645,
     646,   647,   648,   649,   650,   651,     0,     0,   652,   653,
     654,   655,   656,     0,     0,   657,   658,   659,   660,   661,
    1017,   233,     0,   663,     0,   664,   665,   666,     0,     0,
     667,     0,     0,   668,   669,   670,   671,  1049,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   673,   674,   675,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,  1039,   449,  1013,   140,
     451,     0,   452,   453,   454,   455,   144,     0,     0,     0,
     456,   457,   458,   459,     0,   460,     0,     0,   462,   463,
     464,   465,   466,   467,     0,     0,   468,     0,     0,     0,
       0,     0,     0,     0,     0,   469,   470,   471,   472,   473,
     474,   154,   155,   475,     0,   476,     0,   477,   478,   479,
     480,   481,     0,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   493,   494,
       0,   495,   496,   497,   498,   163,   499,   500,   501,   165,
       0,   502,     0,   503,   167,   504,     0,   505,     0,   506,
       0,     0,     0,   507,   508,   509,     0,   510,   171,     0,
     511,     0,   512,   513,   514,   515,   516,     0,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   525,     0,   526,
       0,   174,     0,   527,   528,   529,     0,   175,     0,   176,
       0,   530,     0,     0,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,  1043,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,  1044,   605,   211,   606,   607,   608,  2410,   610,
     611,   612,   613,     0,   614,   615,   616,   617,  2411,     0,
     619,   216,   620,   621,     0,   622,   219,   623,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   221,
       0,   634,   635,     0,   636,   637,   638,   639,   640,   641,
       0,  1047,   224,     0,     0,  2412,   225,   644,   226,     0,
     645,   646,   647,   648,   649,   650,   651,     0,     0,   652,
     653,   654,   655,   656,     0,     0,   657,   658,   659,   660,
     661,  1017,   233,     0,   663,     0,   664,   665,   666,     0,
       0,   667,     0,     0,   668,   669,   670,   671,  1049,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   673,   674,
     675,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,  1039,   449,  1013,
     140,   451,     0,   452,   453,   454,   455,   144,     0,     0,
       0,   456,   457,   458,   459,     0,   460,     0,     0,   462,
     463,   464,   465,   466,   467,     0,     0,   468,     0,     0,
       0,     0,     0,     0,     0,     0,   469,   470,   471,   472,
     473,   474,   154,   155,   475,     0,   476,     0,   477,   478,
     479,   480,   481,     0,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,   490,   491,   492,     0,   493,
     494,     0,   495,   496,   497,   498,   163,   499,   500,   501,
     165,     0,   502,     0,   503,   167,   504,     0,   505,     0,
     506,     0,     0,     0,   507,   508,   509,     0,   510,   171,
       0,   511,     0,   512,   513,   514,   515,   516,     0,   517,
     518,   519,     0,   520,   521,   522,   523,   524,   525,     0,
     526,     0,   174,     0,   527,   528,   529,     0,   175,     0,
     176,     0,   530,     0,     0,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,  1043,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,  1044,   605,   211,   606,   607,   608,  1045,
     610,   611,   612,   613,     0,   614,   615,   616,   617,  2411,
       0,   619,   216,   620,   621,     0,   622,   219,   623,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     221,     0,   634,   635,     0,   636,   637,   638,   639,   640,
     641,     0,  1047,   224,     0,     0,  2412,   225,   644,   226,
       0,   645,   646,   647,   648,   649,   650,   651,     0,     0,
     652,   653,   654,   655,   656,     0,     0,   657,   658,   659,
     660,   661,  1017,   233,     0,   663,     0,   664,   665,   666,
       0,     0,   667,     0,     0,   668,   669,   670,   671,  1049,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   673,
     674,   675,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
       0,     0,   456,   457,   458,   459,     0,   460,   461,     0,
     462,   463,   464,   465,   466,   467,     0,     0,   468,     0,
       0,     0,     0,     0,     0,     0,     0,   469,   470,   471,
     472,   473,   474,   154,   155,   475,     0,   476,     0,   477,
     478,   479,   480,   481,     0,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,   490,   491,   492,     0,
     493,   494,     0,   495,   496,   497,   498,   163,   499,   500,
     501,   165,     0,   502,     0,   503,   167,   504,     0,   505,
       0,   506,     0,     0,     0,   507,   508,   509,     0,   510,
     171,     0,   511,     0,   512,   513,   514,   515,   516,     0,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   525,
       0,   526,     0,   174,     0,   527,   528,   529,     0,   175,
       0,   176,     0,   530,     0,     0,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,     0,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,     0,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,     0,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,   623,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   221,     0,   634,   635,     0,   636,   637,   638,   639,
     640,   641,     0,   223,   224,     0,     0,   643,   225,   644,
     226,     0,   645,   646,   647,   648,   649,   650,   651,     0,
       0,   652,   653,   654,   655,   656,     0,     0,   657,   658,
     659,   660,   661,   662,   233,     0,   663,     0,   664,   665,
     666,     0,     0,   667,     0,     0,   668,   669,   670,   671,
     672,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     673,   674,   675,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2324,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
     406,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   180,   181,
       0,   182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,   189,     0,     0,   190,     0,     0,     0,   192,
       0,     0,   193,     0,   194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   195,   196,   197,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,     0,     0,   218,     0,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,     0,     0,   225,
       0,   226,     0,     0,     0,     0,     0,     0,     0,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115, -2325,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,  1123,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,     0,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,   171,
       0,     0,     0,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   173,   174,     0,     0,     0,     0,     0,   175,     0,
     176,     0,     0,   177,   178,     0,   179,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,   171,     0,     0,
       0,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0,     0,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   180,   181,     0,   182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,   188,   189,     0,
       0,   190,     0,     0,     0,   192,     0,     0,   193,     0,
     194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     216,     0,     0,   218,     0,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,     0,     0,   225,     0,   226,     0,     0,
       0,     0,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   218,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,     0,     0,   225,     0,   226,     0,     0,     0,     0,
       0,     0,     0,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,     0,     0,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   173,   174,     0,     0,     0,
       0,     0,   175,     0,   176,     0,     0,   177,   178,     0,
     179,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     180,   181,     0,   182,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,   188,   189,     0,     0,   190,     0,     0,
       0,   192,     0,     0,   193,     0,   194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
     196,   197,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,     0,     0,   218,
       0,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244
};

static const yytype_int16 yycheck[] =
{
       2,   245,   358,  1317,    78,  1089,   166,    78,  1094,  1325,
     986,   987,   988,    78,    78,    78,   992,  1415,   153,  1356,
     876,  1057,  1321,   152,  1159,  1041,   186,  1736,  1887,  1396,
    1702,   208,  1197,  2047,   149,  1219,  1741,  1871,  1575,  1366,
     164,  1272,  1997,  1201,  1209,  1428,   710,   159,   170,   222,
    1281,  1485,  1889,  1048,  2905,  1754,  1745,  1830,  1254,  2748,
    2198,  2899,  2467,  3061,  1456,  1457,  1736,   202,    78,  1741,
    2559,  1912,    78,   929,    84,  3111,    78,  3113,  1785,  1927,
     913,   227,    84,  1475,   374,     2,   208,    78,  3332,  1912,
     164,    96,  1912,    84,  1259,   132,  3271,  1262,   374,  1798,
    1799,   106,  1267,  1912,  1793,  1912,  1912,  2248,  1200,  1274,
      78,  1203,  1308,  2085,  3565,   117,    84,  2955,  1283,  1211,
      94,  2426,  2427,  1631,  1632,  1633,   117,  1596,   711,  2514,
    3240,  1136,  3253,  3617,  2728,  1136,  2962,   142,  1986,   954,
     346,  3661,  3609,  3253,  2903,  2901,  2902,  3836,  1685,   117,
     152,   156,   360,  3517,  3518,   215,   360,  3817,   132,   161,
    3874,  2838,   836,  1936,  1728,  3853,  1503,   166,  1445,  1446,
     161,  1689,    89,  1348,  1357,  1209,  4087,  3512,   152,   153,
      21,  1379,  1175,  1086,  3450,  1086,  4283,   186,   162,  2594,
    1626,  1627,  3577,   161,  1471,  1131,  1132,    10,    72,   143,
     946,  1929,   876,  2291,    30,   207,    88,    75,    76,    77,
      78,  1044,    86,   215,    82,   217,    14,    88,    72,  3257,
    3258,  3259,  3260,  3261,  3262,  3789,   121,   229,   202,    75,
      76,    77,    78,   135,    95,   152,    82,   901,   229,    37,
     247,   158,  2330,   108,    99,   114,  2334,   156,   114,  4422,
     818,   106,  4545,    95,  4526,   929,   128,    72,  2663,    78,
    2665,   229,   160,   149,   128,   227,    81,   184,   112,   227,
     233,    86,    88,   227,    72,   128,  1252,    75,    76,    77,
      78,   228,    72,    81,    82,    83,    84,   266,    86,   135,
    2149,  2968,   366,   180,   173,   366,    86,   113,    25,    25,
    3784,   366,   366,   366,    75,    76,    77,    78,    78,   117,
     117,    82,   141,   227,     8,   112,    84,    11,    12,    90,
     100,  1357,    99,   352,     2,   173,   227,   143,    22,    23,
      24,    72,    26,    27,   232,   329,   197,    31,    32,    33,
      81,    75,    76,    77,    78,    86,   380,   235,    82,   222,
     429,   324,   145,   161,   161,   197,    90,   296,   309,    99,
     366,   117,    93,   378,   374,   199,    75,    76,    77,    78,
    4859,  2385,   374,    82,  1038,  1559,    78,    78,   183,   145,
     179,  1237,   396,   374,     0,   109,   369,    75,    76,    77,
      78,   498,   184,  1528,    82,    99,   503,  1117,   505,   409,
     207,   145,   106,   227,   355,   161,   374,   409,   215,   153,
     217,   490,    75,    76,    77,    78,  4688,    99,   409,    82,
     184,   229,   229,   247,   106,  4538,   227,    75,    76,    77,
      78,   145,  4092,  4530,    82,   450,   410,   153,  4927,   244,
    1874,   409,    75,    76,    77,    78,   247,   182,   387,    82,
     187,   207,   192,   103,   104,    75,    76,    77,    78,   215,
    1180,   217,    82,   372,   188,   266,    38,   185,    40,   503,
    1862,  1863,   135,   229,   503,   267,   374,  1869,   209,   173,
    2568,   261,    75,    76,    77,    78,   469,  1523,   185,    82,
     378,   505,   180,   322,   336,    75,    76,    77,    78,   506,
     473,   373,    82,   267,    75,    76,    77,    78,  1341,   373,
      90,    82,   506,   642,    75,    76,    77,    78,   128,    90,
     373,    82,   227,   506,  1838,   367,  1842,   506,  1564,  1565,
     820,    75,    76,    77,    78,   262,   262,    29,    82,   227,
     419,   503,   260,   506,   820,   393,    90,   366,   506,   404,
    1133,  1134,   506,  1368,   396,   441,   503,   501,   693,   694,
     429,   505,  4735,  1237,  3685,  3603,   343,    75,    76,    77,
      78,   469,   416,  4845,    82,  3685,   226,  4849,   228,    75,
      76,    77,    78,  1860,  1861,  1153,    82,  2421,   449,   503,
     456,  1868,   460,  2430,  4254,  4888,   366,   506,  4286,  1432,
    1346,   503,   456,   490,   117,   506,   504,   301,   503,   507,
     451,    88,   454,  3018,   460,  4887,  1781,   499,  1783,   416,
     494,   495,   117,  1854,  1716,   496,   497,   498,   499,   503,
     503,   465,   431,  1791,   506,   503,   429,  1833,   503,  4299,
     642,   409,   506,   456,  1828,   422,  1366,   424,   161,   380,
     451,  2188,   346,   506,  3829,  2192,   497,   503,  4222,  4223,
    4224,  4225,  4226,   429,   366,   366,   161,   398,   642,   842,
    3936,  2038,   471,  3848,  3512,   501,  3527,  4790,  4013,   494,
     495,  4066,  4017,   499,  4781,   429,  1851,    75,    76,    77,
      78,  1990,   102,   204,    82,    95,   494,   495,   827,   824,
     404,   410,   411,  4614,   494,   495,   507,   832,  2397,  1645,
    1613,   955,  1613,   429,   451,   429,   229,  2426,   453,   693,
     694,  1554,   404,  3212,   429,   642,  3215,  3216,   469,  2434,
    3219,   449,   503,  1089,   229,  1769,   710,   309,   863,   868,
    3229,   429,  1735,   173,   438,   857,  2045,  2084,  2085,  4846,
     956,  2479,   449,   494,   495,  2054,   307,  4417,  2095,   173,
    3798,   236,  2099,   373,  4424,   266,   258,   227,   903,   503,
    2107,  2108,   229,  3532,  1357,  3080,  3614,  3082,  2916,    75,
      76,    77,    78,  2120,  2121,   490,    82,   266,   230,   119,
     322,   268,   917,   922,  2131,    71,   182,   197,   209,   319,
     505,   926,   490,    79,    80,   965,   173,   967,   229,   969,
     820,   461,  3217,  3218,   816,   975,   175,   505,   820,  1994,
    2003,  2019,   824,   229,   997,   816,  2344,  2025,   266,   820,
     832,   955,   307,   161,  2111,  2112,   951,  1557,   998,   999,
     503,  2929,  1562,  1563,   173,   356,   160,     2,   816,   160,
     470,  2415,   820,   501,   451,   503,  2292,   505,  2294,   219,
     175,   863,   236,   182,  3063,   151,    78,    88,   325,   489,
     503,  1079,    14,    78,   266,  1079,   152,   470,   180,    84,
     954,   240,  4381,   503,  4383,  2590,  3884,   209,    72,   121,
    1063,    75,    76,    77,    78,    85,   489,    81,    82,    83,
      84,   229,    86,   189,  3581,   907,   503,   173,    88,  1765,
     503,   323,   117,   243,   180,   917,    14,   247,   232,   325,
    1093,   232,  2629,   503,   926,   240,   202,   901,   314,   903,
    2639,  4415,   503,   113,   485,  3240,   148,   296,   227,   171,
     299,   858,   503,   137,   946,  1069,   306,   952,  3253,   391,
     451,   270,   164,   151,   284,   412,   161,  1933,   247,   503,
     370,   382,   967,   143,   969,  2001,   107,   367,   967,   429,
     969,   503,   382,   227,   979,   949,   252,   266,   420,   953,
     455,   296,  1042,   503,  4698,  4673,  1046,   398,   266,   419,
     309,   189,   503,   998,   999,   503,   913,   914,  1718,   998,
     999,  1174,   207,  1040,  4368,   419,  1726,   503,   816,   816,
     215,   166,   217,   207,   266,  4499,   437,   494,   495,   496,
     497,   498,   499,   433,   229,  3330,   505,   259,   387,   946,
     224,   186,   507,   245,  1036,  2051,  2052,  4372,   357,   180,
    1042,   266,  4377,   309,  1046,  4380,   461,   268,   174,   319,
     236,   337,   419,  1773,  1064,  4299,  1776,  1777,   206,   451,
     816,  2920,  1064,   374,  1038,   341,  1040,   128,   506,  1071,
     400,  3270,   387,  1064,    72,   307,   398,    75,    76,    77,
      78,   455,  4118,    81,    82,  1002,   197,   389,    86,   501,
     419,  1765,  4591,   505,  4782,   151,  1064,    71,    72,  1224,
    4789,    75,    76,    77,    78,    79,    80,    81,    82,  1234,
     160,   185,    86,  1030,  1970,   503,   264,   419,   137,  1839,
     221,   307,  1039,   180,   250,   484,  1043,  1044,  1045,   179,
     384,  4791,   227,   189,   153,   325,   230,   423,   319,   337,
     380,   323,  4626,   409,  4611,   968,   412,    99,   360,   972,
     973,   974,   247,   385,   366,   457,   350,  4677,   469,   982,
     210,  1167,   451,  4491,  1289,    85,   442,   469,    88,   374,
      97,   266,   151,   451,   450,  4013,   329,   453,   111,  4017,
    1292,   329,   183,   501,  4035,  2577,   260,   506,   207,   507,
     117,  2006,   227,   504,  4045,   147,   507,  2233,   173,   451,
     451,   503,   154,  1209,   409,   224,   180,   503,   462,   449,
     189,   151,   247,   129,  1131,  1132,   327,   336,   507,  1136,
      25,   137,  1224,   185,   185,   423,   451,   240,    95,   181,
      35,   266,  1234,   503,   101,  1042,   197,   503,  4064,  1046,
    3077,  4622,  4623,   244,   345,   228,   307,  3084,   367,   189,
     444,   222,   503,  4588,  1256,    95,  3745,   314,  4742,  1503,
     371,  2117,  3751,  3752,  3753,  3754,  3755,  3756,   946,   455,
    4026,   242,  4031,   494,   495,   496,   497,   498,   499,  2510,
     222,   337,   507,   296,  4043,   396,  1042,  1289,  4739,  4740,
    1046,   265,   418,   419,  1368,   443,  1970,   391,   260,   251,
     490,   491,   492,   816,   494,   495,   496,   497,   498,   499,
     494,   495,   373,   246,   288,   389,   496,   497,   498,   499,
     307,   816,   503,  3917,  2329,  4653,   420,  4448,  2329,   134,
     197,   350,   307,  4817,   261,   396,  1253,  4512,  4448,   389,
     419,  2433,  2656,  1345,  1346,   439,  1348,   137,   268,   490,
    2666,   504,   273,   506,  1356,   338,   451,   197,   337,  3373,
     501,  2660,   503,   504,   505,   506,  1371,   423,  1373,   419,
    3079,  1376,   288,  1378,   387,   449,  1381,  1382,  1383,  1585,
    3685,  2612,  2613,  2614,  2615,  1675,   347,  2479,   180,  1394,
     180,  1599,  1600,  2624,  1602,  1599,  1600,   337,  1602,  1675,
    4425,   175,  1407,   180,  1409,   325,   218,   457,  2500,  3079,
     329,   451,   507,  1415,   429,   429,   451,  4868,   401,   469,
    2003,   121,   390,  4907,  1341,   444,   367,   369,  1345,  1346,
     371,  1348,   296,  3405,  4815,   299,  2773,  2529,   182,  1117,
    1414,  1443,  1615,  2117,   423,   336,  3287,  3588,  3155,  1366,
     335,   419,   183,   503,  2650,   396,   115,   262,  1136,   431,
     412,  2930,  3847,   503,  3287,    98,   240,  3287,   455,   336,
    1472,   171,   507,   285,   436,  3164,   367,   136,  3287,  4504,
    3287,  3287,   192,   423,   194,  2822,    22,   449,  3893,  4664,
    3895,   506,   506,    99,  1411,   463,   336,   495,  1500,  1501,
     367,  1503,  1180,  1540,  1541,   396,    85,   103,   104,    88,
     254,  3359,   145,   244,  1516,  1432,  2853,   309,  1520,   309,
     494,   495,   296,   387,   314,   299,   105,   367,   469,   396,
    2386,   469,   309,     5,  4372,   336,    72,  4388,  4389,  4377,
     329,   174,  4380,   161,   182,   153,  1369,  4791,  4546,  1372,
     336,  2888,  1375,    25,  1377,  1557,   396,  1380,   503,   259,
     350,  1384,   195,    35,   160,   309,  1540,  1541,   506,   506,
    1572,  1573,   180,   363,   494,   495,   496,   497,   498,   499,
    4418,   367,  1573,   179,   247,   504,   192,   506,  1505,  2309,
    4615,   224,   384,   349,  4630,   396,   229,   386,  1515,  1601,
    4625,  1713,   507,  1605,  1606,  1573,  1643,   307,  1525,   319,
     228,   816,   503,   387,   210,   820,  1626,  1627,  3317,  1792,
      95,  3320,    88,  1625,  1626,  1627,   101,   268,   218,   182,
    4319,   192,   270,   194,  1625,  1626,  1627,  1554,   256,   382,
    1557,  1558,   275,   509,    88,  1562,  1563,   113,    75,    76,
      77,    78,   327,   271,   444,    82,  3023,  1625,  1626,  1627,
    2324,   336,   134,  2475,   282,  1675,   431,  1345,  1346,  1643,
    1348,   309,  1682,  1675,   507,   431,   236,   143,   336,   175,
    1682,  1683,   323,   231,  1675,   385,   304,  1689,  1366,   268,
     433,  1682,   367,  3085,  1696,   285,  4101,  4102,  1689,   143,
    4538,   309,  4191,  4192,   367,  4703,   471,  1675,   371,   367,
     484,   172,  2386,   371,  1682,   471,  2528,   270,   451,   357,
     353,  1689,   197,  4412,   196,  4414,  1728,   357,  1645,   503,
      88,   321,  3048,   396,  1736,   390,   336,   206,   396,  3247,
     288,   398,   954,   955,   240,   378,   325,   307,   309,   218,
    4588,   384,  4603,   222,    89,   113,   309,   390,   319,   377,
      14,  1763,  2482,  1769,   419,  1573,  1573,   367,   398,    95,
    2490,   349,  2492,    71,    97,   101,   336,    75,    76,    77,
      78,    79,    80,    37,    82,   143,   419,   462,   421,   382,
     262,   946,   449,   389,   117,   264,   396,   382,   182,    88,
     296,  3638,   268,   299,   357,   438,   469,   367,   463,  2642,
     965,   469,   967,  1815,   969,   207,   285,  1573,  1625,   449,
     975,   976,   977,   419,   113,   217,  1951,   155,   208,  1958,
     463,    41,  1834,   389,   295,  1960,   297,  1042,   222,   222,
     433,  1046,  3038,   998,   999,  3618,  2679,   229,   433,   232,
     403,  1853,   321,   431,   143,    75,    76,    77,    78,  1064,
     329,   457,    82,   419,   247,   461,   194,  1079,   248,  1871,
     254,   197,  1789,   469,   422,   257,   424,   175,   128,  1557,
      51,  1689,  1689,  2007,  1562,  1563,   380,  2060,    72,  1696,
     262,   387,  1894,   471,   469,   455,   146,  1899,    69,   447,
    2077,   457,    86,  1894,   469,   332,  3064,   503,   336,  4047,
     160,   490,   491,   492,   408,   494,   495,   496,   497,   498,
     499,  1728,  2047,  2918,   218,   309,  1894,   367,   222,  3296,
    2946,   506,  2006,  1689,  3092,  3794,   490,  3474,   371,   367,
    1696,   506,   240,    75,    76,    77,    78,   503,    16,  1951,
      82,   505,  4790,  2243,  2076,  1957,   396,  3646,  1960,  1637,
     210,    71,  1117,   396,  3663,  3664,  4445,  2243,   396,    79,
      80,  2083,  1728,  3065,   443,    75,    76,    77,    78,   268,
     269,  1136,    82,  4472,  1662,  1663,    96,   356,   484,   421,
    4469,   285,  1994,   376,  2068,  1997,  1913,  2068,   296,   470,
    2720,   299,   501,  2068,  2068,  2068,   505,   503,  1815,  3392,
     336,  2016,   381,  2018,  2870,   367,   172,  2022,   489,  2024,
    3454,  3455,  2027,   312,   231,  1180,  2031,   321,   494,   495,
     496,   497,   498,   499,   352,   504,   501,   469,   470,  2703,
    1718,   367,   152,   508,   396,  2047,   222,    85,  1726,   318,
      88,  1910,  3589,   357,   274,    75,    76,    77,    78,  1815,
    1573,   192,    82,   194,   368,   320,   242,   153,   323,  1928,
     396,   503,    75,    76,    77,    78,   336,  1994,  1573,    82,
    1997,   288,  2084,  2085,  3398,   216,  1894,  1894,   392,   387,
    2092,   386,   202,  2095,  3492,  1773,   252,  2099,  1776,  1777,
    3265,  2261,  2104,   498,  4509,  2107,  2108,   367,   503,  3427,
     505,   152,  1625,  2115,  4069,   470,  2118,  2119,  2120,  2121,
     274,  2245,  3981,  3828,  3461,  4814,  2128,  2129,   504,  2131,
     506,  2133,  2134,  3451,   489,  2137,   396,   247,  1894,   295,
      34,   297,   252,  4448,  3978,   231,   126,    81,   503,  2151,
    2152,  2153,    86,   506,   429,  2157,  1368,   510,  3867,  2161,
     201,  1839,  2153,  2165,   250,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,   503,  2177,  1689,  2354,   309,  2356,
    3852,  2183,   314,   314,  2186,  2153,   484,  2104,   319,   433,
    1345,  1346,   172,  1348,  1689,   504,  2870,   336,   507,   323,
    3396,  2921,   288,  3036,   328,   494,   495,   496,   497,   498,
     499,  1366,  2283,   145,   314,   422,   228,   424,   369,   323,
    2349,   153,   218,  2396,   328,   506,   222,  1439,   367,   510,
     268,   341,   371,  2243,   502,  4540,   277,   278,   506,   502,
     447,  2243,   328,   506,   256,   336,  2248,  1459,  3615,  3616,
     291,   206,  2243,   389,  2379,    85,   463,   396,    88,   271,
    2385,     7,  3654,   218,   386,    14,  2940,   222,   378,   249,
     282,   157,    71,    19,    20,  2243,   367,  1489,   250,   470,
      79,    80,  2292,   419,  2294,   310,   311,   325,    37,   285,
    2292,  1503,  2294,    39,   314,   336,    42,  2135,   489,  2216,
    2138,  2292,   508,  2294,   435,   396,   422,   417,   424,   264,
    3286,   314,   503,    85,   445,   295,  1994,   297,   501,  1997,
     503,   457,   505,    72,  2292,   321,  2294,   307,    72,  2331,
     285,  2333,   442,   469,   504,   242,   422,   507,   424,   422,
     450,   424,  2344,   453,  2473,  2153,  2153,   433,   150,   192,
    2324,   194,  3764,  2344,  3766,   335,   386,  3769,   444,  3771,
    2821,   447,  2823,  2824,   389,   377,   321,   503,  1573,   125,
    3554,  2373,    85,   216,   329,    88,  2344,  2379,    71,    72,
     421,  1894,   423,  2385,   161,   274,  3521,  1599,  1600,   501,
    1602,   503,   372,   504,   419,   506,  2313,  2153,   503,  1894,
     113,   509,  1557,   496,   497,   498,   119,  1562,  1563,   504,
     156,   506,  2329,  2415,  2331,    86,  2333,   247,   503,  2421,
    1625,  1626,  1627,   323,  2426,  2427,   503,   407,   505,   125,
     143,   384,   457,  3266,  3761,  3268,  2438,   504,   268,   506,
    3524,  3525,   506,   504,   469,   506,   504,   193,   506,   134,
     135,   228,  2454,   491,   492,  2457,   494,   495,   496,   497,
     498,   499,   504,  2454,   506,   504,  2457,   506,   421,   486,
    1675,   314,   504,  2475,   506,  4489,   319,  1682,   503,   256,
    1635,   115,  1637,  2598,  1689,   504,  2454,   506,   443,  2457,
    4027,  1696,   270,  2410,   271,   325,  3329,   505,   833,    85,
    1655,   384,    88,   838,   504,   282,   506,  1662,  1663,   504,
     326,   506,   847,   503,   326,   505,   469,   470,   323,    85,
     384,   429,    88,  1728,  4061,   222,  2528,   304,   504,   323,
     506,   121,   486,   504,   247,   506,  2344,  2344,   421,   874,
     506,   507,  4401,   878,   384,   326,   323,   113,   115,   422,
     503,   424,  2908,   119,   889,   268,   269,   421,   469,   470,
      71,    72,   504,  1718,   506,  2567,  3240,  2569,    79,    80,
     486,  1726,   162,    85,   496,    86,    88,   143,   270,  3253,
    3738,   421,  4320,  4321,  4322,  4323,   469,   470,  2344,  4298,
    2592,  3989,   435,   105,  2596,   504,   186,   506,  2515,   312,
     377,   384,   445,   506,   507,   469,   470,   506,  2415,  2853,
    1815,   201,   325,   226,   504,   205,   506,   504,  1773,   384,
     503,  1776,  1777,   504,   504,  2627,   506,  2752,  3965,   469,
     470,  2309,  2757,   223,  2551,   380,   381,  2639,   421,   503,
    2153,   384,  2559,   125,   504,  3876,   506,  2454,   238,  2457,
    2457,  2329,   504,  2331,   506,  2333,   421,   266,  2153,  2415,
     490,   491,   492,   503,   494,   495,   496,   497,   498,   499,
     504,   504,   506,   506,   451,   380,   381,   243,   421,  3399,
     503,   247,   268,   311,  1839,  2687,   469,   470,   227,  1894,
      75,    76,    77,    78,  2611,   469,   470,    82,  2454,   487,
     488,  2457,   268,   269,   469,   470,   422,   384,   424,   507,
      75,    76,    77,    78,  2958,   469,   470,    82,   284,  2636,
     503,    86,  1419,  1420,   314,  2642,   469,   470,   504,  2703,
     506,   504,   322,   506,   496,   504,  2738,   506,   503,   325,
     504,   509,   506,   309,   421,   262,   312,  2893,  2894,  2895,
    2752,    75,    76,    77,    78,  2757,   268,   509,    82,   325,
     503,   389,  2679,  2947,  2948,   355,   494,   495,   496,   497,
     498,  2773,  2774,   504,  2899,   506,   504,  2779,   504,   429,
     506,   494,   495,   496,   497,   498,   499,   504,  1943,   506,
     429,   419,   469,   470,  2006,   180,  1131,  1132,    75,    76,
      77,    78,  2804,  2805,  2482,    82,   504,  2809,   506,   504,
     203,   506,  2490,   325,  2492,   180,   504,   429,   506,  2821,
    2822,  2823,  2824,   504,   429,   506,   503,  2829,   503,   457,
    2955,  2344,  2834,  2835,   400,  2837,   429,  2839,  2829,  1994,
     108,   469,  1997,   504,  2835,   506,  4213,  2849,  2850,  2344,
     125,  2853,  4524,   504,   262,   506,  2068,   504,   504,   506,
     506,  2829,  2936,   268,  2866,  2936,  2868,  2835,   429,   505,
    2872,  2936,  2936,  2936,   503,   503,   504,   396,  4205,   507,
     494,   495,   496,   497,   498,   504,  2888,   506,   502,    75,
      76,    77,    78,   504,   472,   506,    82,  2899,   211,  2901,
    2902,  2903,   503,   180,   490,   491,   492,   503,   494,   495,
     496,   497,   498,   499,    75,    76,    77,    78,   505,   211,
     504,    82,   506,  2925,   490,   491,   492,   211,   494,   495,
     496,   497,   498,   499,   504,  2937,   506,  4335,   211,   323,
    2942,  2454,  2097,  2098,  2457,   507,  2158,  2949,  2153,   504,
    2105,   506,  4087,  2955,  2109,  2110,   504,   222,   506,  2454,
     283,   182,  2457,    75,    76,    77,    78,   451,   323,  2124,
      82,  2126,   503,   318,    75,    76,    77,    78,   490,   491,
     492,    82,   494,   495,   496,   497,   498,   499,   386,    85,
    4699,  2146,    88,  2148,   180,    75,    76,    77,    78,   503,
    2804,  2805,    82,   274,  2921,  2809,   504,   137,   506,   105,
     469,  3685,    75,    76,    77,    78,   504,   108,   506,    82,
     309,  2829,  2829,   504,   472,   506,  4062,  2835,  2835,   504,
     504,   506,   506,   115,   504,  4200,   506,  3039,  2243,   503,
     115,  3761,  2720,  2198,   438,  2849,  2850,   504,  4385,   506,
     504,   336,   506,    98,   504,   504,   506,   506,   504,   504,
     506,   506,    95,   504,   504,   506,   506,   504,   101,   506,
     504,  2283,   506,  2829,   504,   222,   506,  3079,  3080,  2835,
    3082,   504,   504,   506,   506,   150,   131,  2292,   508,  2294,
    1083,  4018,  1085,  4020,   353,   211,   211,   503,   211,   144,
     472,   211,   211,   506,   211,   211,  2261,   211,   141,  3111,
    3112,  3113,   157,   323,   211,   323,  4483,   211,   211,  3036,
    3111,  3112,  3113,   211,   211,   419,    85,   503,   108,    88,
     283,   223,  3134,   222,  3136,   323,   222,   503,   222,  2344,
     503,   503,   503,  3111,  3112,  3113,   105,   503,   346,   503,
     195,   503,   503,   503,  2309,   503,   503,   190,   333,   503,
     503,   503,   503,   503,   197,  4563,   503,   200,   503,   503,
     503,   503,   268,   503,  2329,   503,  2331,   503,  2333,   224,
     108,   503,   503,  1332,   229,   503,   506,  3189,   163,  3909,
     266,   268,   108,   283,  1343,   222,  4052,   321,   222,   396,
    3117,   496,   262,   387,   299,   506,  3341,   179,   450,  3338,
    2415,  3213,   490,   506,    14,   506,   503,   503,   429,   252,
     503,   384,   429,   505,   429,   429,   384,  3144,   429,   325,
    4567,   153,   384,  3235,   429,  4633,  3307,  3239,  3240,  4637,
    4638,   211,   429,  2921,  3235,   323,   388,   429,  3373,  2454,
    3252,  3253,  2457,   429,   280,   314,   429,   450,  3502,   145,
     252,  3252,   323,   319,   503,   429,   503,  3235,  3512,   429,
    3341,   153,   506,   451,   307,   174,   309,   451,   336,  4255,
     325,   429,   125,   429,  3252,   429,   319,   125,   429,   429,
     429,   327,   429,   429,   327,  3212,   114,   114,  3215,  3216,
     429,   384,  3219,   336,  3111,  3112,  3113,   506,   353,   268,
    1645,   429,  3229,   323,  3316,   429,  2829,  3234,   472,  4635,
    4634,  4407,  2835,  3240,  4651,   323,   268,  2482,  3330,  3246,
     108,   469,   503,   460,  2829,  2490,  3253,  2492,   371,   384,
    2835,  3343,  4641,   107,  4643,   390,   503,   503,   393,  3266,
      97,  3268,   211,   309,   503,  3111,  3112,  3113,  3504,  3505,
    3506,  3507,   462,   396,   180,   463,   325,  3341,   291,   319,
     451,  3373,   309,   108,   419,   222,   108,   503,  4052,   274,
     425,   385,  3299,   505,   211,   211,   211,  3512,   211,   451,
     211,    14,  4729,   438,   490,   491,   492,   451,   494,   495,
     496,   497,   498,   499,   506,   318,  3408,   429,   313,  3411,
     465,  3328,  3329,   227,   427,    88,  3418,   486,   463,   396,
    2575,   454,  3424,   301,  3426,   301,   427,  3235,  3235,  3431,
    3432,   503,   503,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,  3444,   429,  3252,  3252,  3448,  3449,   227,   506,
     503,   503,   490,   431,  3456,   506,   506,   504,   241,  3461,
     241,   503,   264,  3465,   324,  3467,   506,  3469,   319,   506,
     451,    34,   504,   504,    10,   504,  3467,  3479,  1813,  3235,
    3482,   429,  3484,   429,   384,   152,   384,   307,   451,  3614,
    3492,  3493,  3494,  3495,   429,   272,  3252,  3499,   272,  3467,
    3502,    95,   314,   314,   503,   386,   274,   101,   314,   115,
    3512,   403,   322,  4529,   323,   330,   506,   429,  4602,   429,
    3522,   384,   367,   393,   357,   429,   429,   268,  3530,   108,
    3532,   490,   491,   492,   268,   494,   495,   496,   497,   498,
     499,  3701,   268,   451,   451,   268,   268,   141,   503,   322,
     490,   107,   501,   211,   501,   429,   429,   490,   393,  4873,
     222,  3478,  3240,  4419,   224,  2720,   319,   503,   211,   393,
     210,   323,   469,   323,  3576,  3253,  1911,   497,   239,   108,
    3582,   222,   239,   211,   323,   323,  3588,   222,   393,   506,
      96,   247,  1927,   247,   247,   472,   190,  4453,  3111,  3112,
    3113,   233,   298,   197,   506,   323,   200,   125,   318,  3611,
     506,   419,  3614,   504,  3531,   274,  3111,  3112,  3113,   504,
     504,   504,   227,   340,  2829,   504,   506,   227,  3432,   504,
    2835,  3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,
    3444,  2853,   504,   504,   486,   429,   504,    85,   504,   504,
      88,  1986,   504,   466,   504,  2867,   504,   486,   252,  3467,
    3467,   332,    90,   504,   503,    90,   503,   105,   504,   466,
     457,   374,   504,   507,  2886,   113,   506,   285,  3680,   323,
     326,   119,  3684,  3685,  3686,   504,   490,  2899,   252,  3680,
    3494,  3495,   490,  3684,   323,  3686,   250,   211,   429,   506,
     503,   472,   503,   258,   503,   143,   327,   314,   429,   429,
     429,  3467,  3680,   307,   211,   309,  3684,   211,  3686,   285,
     448,  3399,  3235,   341,  2936,   319,   341,   429,   429,   429,
     429,   293,   293,   327,   293,   429,   384,   429,   429,  3252,
    3235,  1606,   336,  2955,   137,  4419,  2958,   384,   429,   429,
     143,   384,   429,   384,   396,   211,   114,  3252,   268,   429,
     153,  2916,   504,   429,  2919,  4741,  2921,   268,  3685,   268,
     268,   501,   268,   367,  4448,   268,   268,   371,   299,  4453,
     504,   285,   490,   438,   369,  3702,   173,   180,  3705,   182,
    3707,   504,  3863,   504,   506,   322,   503,   506,   323,   108,
     236,   451,   396,  1952,   429,   243,   451,   222,  3810,   247,
     384,   384,  1961,   384,  3731,  3732,  1965,   506,   326,   209,
     209,   268,  1971,  1972,   203,   501,   227,    88,  3745,   504,
     268,   269,  3903,  3835,  3751,  3752,  3753,  3754,  3755,  3756,
    1989,   222,   462,   135,  3761,   227,   284,   235,  3765,   324,
     222,   108,   504,   504,   451,   504,   503,   429,   451,   258,
     454,   254,   438,   490,   503,  3867,  3868,  3869,   504,   438,
     504,   309,  3789,  3680,   312,   384,  3684,  3684,  3686,  3686,
     506,  4737,   504,  3800,  3801,  3802,  3803,   325,  4013,   506,
     328,   504,  4017,   504,   503,   490,   429,   429,   429,   503,
     384,   429,  4079,   504,   222,   504,  3111,  3112,  3113,   143,
     173,   268,   504,  4073,   438,   504,   309,   268,   502,   272,
     469,   314,   472,   506,  3680,   222,  3928,   504,  3684,   469,
    3686,   506,   253,   148,   421,   503,   506,    85,   429,   504,
     393,   232,   227,   268,   268,   268,   268,  3864,   227,   362,
     125,   504,   503,   331,  3467,   467,   504,   350,   504,   506,
     467,   504,   400,  3965,  4124,   503,   271,   271,   503,   125,
     363,   237,  3467,  3975,  3976,   319,  3978,   490,  2313,   429,
     227,  3983,  3984,   469,   504,   504,  3988,  3989,  4059,   143,
     438,   506,  3994,  3995,   314,   314,  3998,   429,   211,   268,
     490,   506,   187,   314,   229,  2340,  3810,  3685,  3925,   227,
    2345,  4013,   451,  2348,   502,  4017,   393,   451,   503,   108,
     198,   465,   503,   469,  4026,   227,   469,   503,  4384,  4031,
    3235,   255,   326,   227,   503,  2370,   503,   456,   406,   504,
     504,  4043,   503,   271,   503,   362,   468,  3252,   323,   339,
     504,   444,   490,   491,   492,   504,   494,   495,   496,   497,
     498,   499,   363,  4737,   504,   429,   503,  4069,   506,  2404,
    4230,   469,   503,   222,   108,   314,   250,   294,   210,   503,
    4082,   504,   173,  3761,   327,  3240,   381,   490,   381,   125,
    3245,  3246,   503,  2242,   125,  3307,  2431,  4099,  3253,  3777,
      95,   503,   329,   451,   323,   421,   101,   217,   354,   137,
     326,   137,   193,   455,    85,   456,  4118,   362,   108,   227,
    2455,   506,   360,   466,   222,  4127,  3281,  4118,   198,  3341,
    4047,  4048,   469,   323,   323,   108,   503,  4139,   326,  2474,
     326,   504,  2477,   503,   125,   504,   141,   380,   185,   449,
    4118,   503,  4069,    94,   380,   105,   210,   354,   503,    85,
    2495,   366,    88,  1816,  1563,  1177,  2597,  3680,  2921,  3092,
    2505,  3684,  2464,  3686,  3684,  2522,  3234,  4475,  4203,  3983,
    3984,  4183,  4651,  2518,  4274,  3680,  4518,   113,  3856,  3684,
    4524,  3686,  2527,   119,  4248,   190,  3017,  4528,  3807,  2708,
    4821,  4203,   197,  4418,  4872,   200,  4773,  4772,  4835,  4674,
    3021,  2588,  4203,  4275,  3821,  1256,  3680,   143,  2588,  3112,
    1914,  3826,  3828,  2583,  4877,  3298,  4940,  4932,  3252,  3239,
    4842,  3909,  4455,  1906,  4752,  4203,  4829,  4458,   186,  3912,
    4610,  1403,  3865,  3867,  3399,  2427,  4699,  4372,  3191,   914,
    4854,  4934,  4377,  4666,  2119,  4380,  2245,   252,  2246,  2007,
    2936,    85,  3467,  1058,    88,  3850,  4060,  2691,  2133,  3586,
    2937,  2281,  1591,  2119,  4191,  4192,  2949,  1073,  1609,   205,
    1359,   105,  2943,  1608,  1611,  2264,  2280,  2133,  4205,   113,
    3502,  2963,  4209,  4418,  4211,   119,  4298,  4214,  4215,  2955,
    3512,  3512,  4019,  4589,  1063,  4222,  4223,  4224,  4225,  4226,
    1615,  4118,   307,  3587,   309,  3477,  4565,   243,  3469,   143,
    4808,   247,  4809,  4812,   319,  2940,  2867,  4452,  2775,  4331,
    2865,  3338,   327,  4335,  2180,  3582,  2183,  2643,  4340,   642,
    2313,   336,   268,   269,  1296,  1945,  1627,  4799,   375,    89,
     948,  1621,  2289,  4270,    94,  4357,  4358,    89,   284,  4361,
    1154,  2329,  4118,  2321,  4489,  1414,  2915,  1134,  1134,  4047,
    4372,  2322,   367,  3593,  1415,  4377,   371,  4046,  4380,  3594,
    4297,  3559,  1537,  4385,  4386,  1625,   312,   408,  2333,  2704,
       2,  4069,   132,  2036,  1345,  4203,  4203,   978,  4403,   325,
      -1,   396,    -1,  4320,  4321,  4322,  4323,    -1,    -1,    -1,
      -1,    -1,   152,  4538,    -1,    -1,  4418,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,   166,  3590,    -1,    -1,    -1,  4510,
      -1,    -1,    -1,   183,   268,   269,  4448,  4203,    -1,    -1,
    4452,   191,    -1,    -1,   186,    -1,    -1,    -1,    -1,   454,
     284,    -1,    -1,  4588,    -1,    -1,   206,    -1,   208,    -1,
      -1,    -1,   212,    -1,   400,  3680,    -1,    -1,    -1,  3684,
      -1,  3686,   222,    -1,    -1,   309,    -1,  4489,   312,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4501,
      -1,   325,    -1,    -1,   328,    -1,  2655,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2671,  2672,    -1,    -1,  2675,  4331,    -1,    -1,
    3685,  4448,  2681,    -1,    -1,    -1,  4538,    -1,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,    -1,
      -1,    -1,    -1,  4357,  4358,  4472,    -1,    -1,    -1,  4476,
    4562,  4563,    -1,  4565,    -1,  4567,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,   400,    -1,    -1,    -1,
      85,    -1,  4584,    88,    -1,    -1,  4588,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,
      -1,  2750,    -1,    -1,    -1,  4118,  3761,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,  3776,  3777,  4118,    -1,    -1,    -1,   159,  4630,    -1,
    3785,  4633,    -1,    -1,  3789,  4637,  4638,    -1,   143,  4630,
      -1,    -1,  1683,    -1,    -1,  3800,  4890,    -1,    -1,    -1,
      -1,  3863,    -1,    -1,    -1,  4780,    -1,    -1,    -1,  2994,
      -1,    -1,  4630,    -1,    -1,  4790,   490,   491,   492,  4671,
     494,   495,   496,   497,   498,   499,    -1,    -1,   502,    95,
      -1,    -1,   214,    -1,   508,   101,    -1,    -1,    -1,    -1,
    4203,  3903,    -1,    -1,    -1,    -1,    -1,  4699,    -1,  4824,
     205,    -1,    -1,    -1,  4706,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,  4396,    -1,
      -1,    -1,  1763,    -1,    -1,   141,    -1,  4729,    -1,    -1,
      -1,    -1,    -1,    -1,  4651,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,  4746,    -1,    -1,    -1,   280,    -1,
      -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,  4562,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
    4448,    -1,    -1,    -1,   190,    -1,    -1,   309,  4780,   284,
    4854,   197,    -1,  4854,   200,    -1,    -1,    -1,  4790,  4854,
    4854,  4854,    -1,  1834,    -1,  3130,    -1,    -1,    -1,    -1,
      -1,  4013,  3137,    -1,   336,  4017,    -1,   312,    -1,  4811,
    4812,  4936,  1853,    -1,    -1,    -1,  4890,    -1,    -1,  4890,
     325,    -1,  4824,  4630,    -1,  4890,  4890,  4890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,   252,    -1,    -1,   371,
      -1,    -1,    -1,   375,    -1,    -1,    -1,  4059,    -1,   381,
      -1,    -1,    -1,    -1,    -1,    -1,   388,  4859,  1899,    -1,
    4934,    -1,    -1,  4934,   396,    -1,    -1,  4869,    -1,  4934,
    4934,  4934,  3207,   405,  4630,    -1,    -1,  3026,    -1,    -1,
      -1,   413,    -1,  4885,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,  4047,   309,  4885,   400,    -1,    -1,    -1,    -1,
      -1,    -1,   642,   319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   327,    -1,  4118,  4069,    -1,  1957,  4885,  4073,    -1,
     336,    -1,    -1,    -1,    -1,  4927,    -1,    -1,    -1,    -1,
    4932,    -1,   464,    -1,  4936,    -1,    -1,    -1,  4940,  2804,
    2805,  4932,    -1,    -1,  2809,    -1,    -1,    -1,    -1,  4940,
    3099,   367,  3101,    -1,    -1,   371,    -1,    -1,  2804,  2805,
      -1,    -1,    -1,  2809,  4932,    -1,    -1,    -1,  4885,  4124,
      -1,    -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     396,    -1,  4137,  4138,  2849,  2850,    -1,  4142,  4143,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,  2849,  2850,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,    -1,    -1,  4932,   101,    -1,    -1,    -1,
      -1,    -1,    -1,  4940,  3359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,  3188,
      -1,  3376,    -1,    -1,  3193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,  3394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4222,  4223,  4224,
    4225,  4226,    -1,    -1,    -1,  4230,    -1,  4885,  4885,    -1,
      -1,    -1,    -1,    -1,   824,   825,   826,   827,    -1,   829,
     830,    -1,   832,   833,   834,    -1,   836,    -1,   838,    -1,
     840,    -1,   842,    -1,    -1,   190,   846,   847,   848,    -1,
    2151,    -1,   197,    -1,    -1,   200,   856,  4630,    -1,    -1,
      -1,   861,    -1,   863,  4932,  4932,   866,   127,   868,  4885,
     870,    -1,  4940,  4940,   874,  4630,   876,    -1,   878,   879,
      -1,    -1,    -1,    -1,   108,    -1,   886,    -1,    -1,   889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
    4372,    -1,    -1,   127,    -1,  4377,   108,   252,  4380,    -1,
      -1,    -1,    -1,   913,    -1,    -1,  4932,   917,    -1,    -1,
      -1,    -1,   922,    -1,  4940,   127,   926,    -1,    -1,   929,
      -1,    -1,    -1,  3342,    -1,   159,    -1,  3346,  3347,    -1,
    3349,    -1,  3351,  3352,   944,    -1,    -1,  4885,    -1,    -1,
      -1,  3360,    -1,    -1,   214,   955,    -1,   159,    -1,    -1,
      -1,    -1,   307,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   965,   319,   967,    -1,   969,    -1,    -1,
      -1,  4396,   327,   975,  3393,   245,    -1,    -1,    -1,    -1,
     214,   336,    -1,    -1,  4932,    -1,    -1,   997,    -1,    -1,
      -1,    -1,  4940,    -1,    -1,    -1,   998,   999,    -1,  1009,
    1010,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,   245,   367,    -1,    -1,    -1,   371,    -1,    -1,    -1,
      -1,    -1,    -1,  4448,    -1,    -1,  1036,    -1,  4510,    -1,
    1040,  1041,    -1,   245,  1044,    -1,  3641,    -1,    -1,   309,
     274,   396,    -1,    -1,    -1,    -1,   280,    -1,    -1,  1059,
      -1,    -1,    -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1071,   274,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,  1081,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,   454,
      -1,   371,  4885,   373,    -1,   375,  4588,    -1,    -1,    -1,
      -1,   381,    -1,  3718,    -1,  1117,  3721,    -1,   388,    -1,
    4885,  1131,  1132,    -1,    -1,    -1,   396,  2438,    -1,  1131,
    1132,    -1,    -1,    -1,  1136,   405,    -1,   371,    -1,    -1,
      -1,   375,    -1,   413,    -1,    -1,    -1,   381,    -1,  4932,
      -1,    -1,    -1,    -1,   388,  4630,    -1,  4940,    -1,   371,
      -1,    -1,   396,   375,  1174,    -1,    -1,  4932,    -1,   381,
      -1,   405,  1182,  1183,    -1,  4940,   388,    -1,  1180,   413,
      -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,   405,   464,    -1,    -1,    -1,   927,    79,
      80,   413,   931,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,   941,    85,  1224,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1234,   105,    -1,  1237,   108,    -1,
     464,    -1,    -1,   113,   468,   469,    -1,    -1,    -1,   119,
    1250,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,   464,    -1,  1264,    -1,   468,    -1,  2569,    -1,
    1270,  1271,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,  1284,  1285,  1286,  1287,    -1,  1289,
      -1,  4706,    -1,  1293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,    -1,
    3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,
      -1,  1321,  1322,  1323,    -1,    -1,  3432,    -1,    -1,  3435,
    3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,    -1,
    3465,  1341,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1356,    -1,    -1,  3465,
      -1,    -1,    -1,    -1,    -1,    -1,  1366,    -1,    -1,  3494,
    3495,    -1,    -1,   243,  1366,    -1,    -1,   247,    -1,    -1,
      -1,   243,  4854,    -1,    -1,   247,    -1,    -1,  3494,  3495,
      -1,    -1,    -1,    -1,    -1,    -1,  1396,  1397,   268,   269,
      -1,  1401,    -1,  1403,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,  4890,    -1,
    4885,    -1,   284,    -1,    -1,  1425,    -1,    -1,  1428,    -1,
      -1,  1431,  1432,    -1,    -1,    -1,    -1,  2738,    -1,   309,
      -1,    -1,   312,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    98,
      -1,    -1,  4934,   325,    -1,    -1,    -1,  4932,    -1,    -1,
    4885,   110,  1472,    -1,    -1,  4940,    -1,    -1,    -1,    -1,
      -1,  3890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3898,
    3899,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1500,  1501,    -1,  1503,    -1,   144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4932,   157,    -1,
    1520,    -1,    -1,    -1,    -1,  4940,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    85,    -1,   174,    88,    -1,   400,  4134,
    1540,  1541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4146,    -1,   105,  1554,    -1,   195,    -1,    -1,    -1,
      -1,   113,  1562,  1563,    -1,  1557,    -1,   119,    -1,  1569,
    1562,  1563,  1572,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
     229,   143,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,  1601,    -1,    -1,    -1,  1605,  1606,  1326,    -1,    -1,
      -1,   250,    -1,    95,    -1,  1615,  1616,  1617,    -1,   101,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
      -1,    -1,    -1,  1643,    -1,  1645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1645,    -1,    -1,    -1,    -1,    -1,   141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1402,    -1,  3810,   325,    -1,  4097,    -1,
      -1,   243,    -1,    -1,    -1,   247,   335,    -1,  1417,    -1,
      -1,    -1,    -1,    -1,  3810,    -1,    -1,    -1,   190,    -1,
    1429,    -1,    -1,    -1,   353,   197,   268,   269,   200,  4128,
    4129,    -1,    -1,    -1,    -1,    -1,  1718,    -1,    -1,    -1,
      -1,    -1,   284,    -1,  1726,    -1,    -1,    -1,  3039,   378,
    1740,  1741,    -1,   382,    -1,   384,    -1,  1747,    -1,    -1,
    1750,   390,    -1,    -1,   393,    -1,    -1,   309,    -1,    -1,
     312,    -1,    -1,    -1,    -1,  1765,    -1,    -1,    -1,    -1,
     252,    -1,  1772,   325,    -1,  4184,  4185,    -1,    -1,    -1,
     419,  1773,   421,    -1,  1776,  1777,   425,    -1,    -1,    -1,
      -1,    -1,  1792,    -1,   433,    -1,    -1,    -1,    -1,   438,
    1800,  1801,  1802,  1803,  1804,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,  1813,    -1,    -1,    -1,    -1,  1818,    -1,
      -1,    -1,    -1,    -1,   463,   307,    -1,   309,    -1,    -1,
    1830,    -1,  1832,  3134,    -1,  3136,    -1,   319,    -1,    -1,
    1840,  1841,    -1,    -1,    -1,   327,  1846,  1839,   400,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,  3983,  3984,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,  1592,    -1,    -1,    -1,  3983,  3984,    -1,
      -1,    -1,    -1,    -1,    -1,   367,   105,    -1,  3189,   371,
      -1,    -1,    -1,  1893,   113,    -1,  4305,    -1,  4307,  4308,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4318,
      -1,  1911,  3213,    -1,   396,    -1,    -1,  1917,  1918,  1919,
    1920,    -1,    -1,    -1,   143,    -1,    -1,  1927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1936,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
     108,  1951,    -1,    -1,    -1,    -1,    -1,    -1,  1958,    -1,
    1960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   127,
    1970,    -1,   454,    -1,    -1,  1975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1984,    -1,  1986,    -1,    -1,    -1,
    1990,  1991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   159,    -1,    -1,  2004,    -1,    -1,  2007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2038,    -1,
      -1,    -1,  3343,    -1,    -1,  2045,    -1,  2047,    -1,   268,
     269,  2051,  2052,    -1,  2054,    -1,   214,    -1,    -1,    -1,
    2060,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2076,  2077,    -1,    -1,
    2080,    -1,    -1,    -1,  2084,  2085,    -1,   245,    -1,    -1,
     309,    -1,  2092,   312,    -1,  2095,    -1,    -1,    -1,  2099,
      -1,    -1,    -1,    -1,    -1,    -1,   325,  2107,  2108,   328,
    3411,    -1,    -1,    -1,    -1,  2115,   274,  2117,  2118,  2119,
    2120,  2121,   280,    -1,    -1,    -1,    -1,    -1,  2128,  2129,
    3431,  2131,    -1,  2133,  2134,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,   309,  2152,    -1,    -1,  3456,  2156,  2157,    -1,    -1,
      -1,  2161,    -1,    -1,    -1,  2165,    -1,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,    -1,  2177,    -1,    -1,
      -1,   400,  2182,  2183,    -1,    -1,  2186,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4612,    -1,    -1,  4331,  2207,    -1,    -1,
      -1,    -1,    -1,   371,    -1,  4340,    -1,   375,    -1,    -1,
      -1,    -1,    -1,   381,    -1,  4331,    -1,    -1,    -1,    -1,
     388,    -1,  4357,  4358,  4340,    -1,    -1,  4646,   396,    -1,
      -1,    -1,    -1,  1962,  2244,    -1,  2246,   405,  2248,    -1,
      -1,  4357,  4358,    -1,  1973,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1985,    -1,    -1,  2261,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,  2284,    -1,  2286,   506,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,   105,    -1,
     468,    -1,    -1,  2313,    -1,    -1,   113,  2309,    -1,    -1,
      -1,  2313,   119,    -1,    -1,  2044,    -1,    -1,    -1,  2048,
      -1,  2050,    -1,    -1,  2053,    -1,    -1,  2329,    -1,    -1,
    2340,    -1,    -1,    -1,    -1,  2345,   143,    -1,  2348,  2349,
      -1,    -1,    -1,    -1,  2354,    -1,  2356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2370,    -1,    -1,  2373,    -1,    -1,    -1,    85,    -1,  2379,
      88,  2381,  2382,  2383,    -1,  2385,  2386,    -1,  2388,    -1,
    2390,    -1,  2392,  2393,    -1,    -1,  2396,   105,    -1,    -1,
      -1,    -1,    -1,    -1,  2404,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2431,    -1,    -1,  2434,   143,    -1,  4562,    -1,    -1,
    2440,    -1,    -1,    -1,    -1,  2445,   243,    -1,    -1,    -1,
     247,  2451,    -1,    -1,    -1,  2455,  4562,    -1,  4867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2466,  2467,    -1,    -1,
      -1,   268,   269,  2473,  2474,    -1,    -1,  2477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,  2488,    -1,
    2482,    -1,    -1,    -1,    -1,  2495,    -1,    -1,  2490,    -1,
    2492,    -1,    -1,    -1,    -1,  2505,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,  2514,   312,  2516,  2517,  2518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2527,   325,    -1,
      -1,   328,    -1,    -1,  3835,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,  2544,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2552,  2553,  2554,  2555,  2556,  2557,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,  2567,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2590,    -1,    -1,    -1,  2594,  2595,    -1,    -1,    -1,  2599,
     113,   309,    -1,   400,   312,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    85,
     328,    -1,    88,    -1,    -1,  2625,    -1,    -1,    -1,    -1,
     143,    -1,  2632,  2633,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,  2642,  2643,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
    2660,    -1,  2662,  2663,  2664,  2665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,  2679,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2687,  3989,    -1,
      -1,    -1,   400,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,   504,  2708,    -1,
      -1,    -1,    -1,  2432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2726,    -1,  2720,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2748,    -1,
      -1,    -1,  2752,    -1,    -1,   268,   269,  2757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2767,    -1,    -1,
      -1,   284,    -1,  2773,  2774,    -1,    -1,   243,    -1,  2779,
      -1,   247,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,    -1,   504,    -1,  4099,   312,
      -1,    -1,   268,   269,  2804,  2805,    -1,    -1,    -1,  2809,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,   284,    -1,
      -1,  2821,  2822,  2823,  2824,    -1,  4127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2834,    -1,    -1,  2837,  4139,  2839,
    2840,    -1,    -1,   309,    -1,    95,   312,    -1,    -1,  2849,
    2850,   101,    -1,  2853,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,  2866,    -1,  2868,    -1,
    2870,    -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,   400,  2888,    -1,
      -1,   141,  2892,    -1,    -1,    -1,    -1,    -1,    -1,  2899,
      -1,  2901,  2902,  2903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2921,    -1,    -1,    -1,  2925,    -1,    -1,    -1,  2921,
      -1,    -1,    -1,    -1,   400,    -1,    -1,  2937,    -1,    -1,
     190,    -1,  2942,    -1,    -1,    -1,  2946,   197,    -1,  2949,
     200,    -1,    -1,    -1,    -1,  2955,    -1,    -1,  2958,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2994,    -1,    -1,  2716,    -1,    -1,
      -1,    -1,   252,    -1,   117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,    -1,
      -1,    -1,    -1,  3023,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,  4335,    -1,  3036,    -1,   504,    -1,
      -1,    -1,    -1,    -1,  3044,    -1,  3046,  3047,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,   309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   215,    -1,   217,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,   367,    -1,    -1,
      -1,   371,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
    3130,    -1,    -1,    -1,    -1,    35,    36,  3137,    -1,    -1,
      -1,    41,    -1,    43,    44,    -1,   396,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   454,    -1,    -1,  3207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,  3218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,  3240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3253,  4563,    -1,    -1,    -1,  3266,    -1,  3268,    -1,
      -1,    -1,  3272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3009,  3010,  4593,  3012,    -1,    -1,  3296,  3297,    -1,    -1,
      -1,    -1,    -1,    -1,   204,  3305,    -1,    -1,    -1,  3309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     220,    -1,    -1,  3323,    -1,    -1,    -1,    -1,    -1,  3329,
      -1,    -1,  4633,    -1,    -1,    -1,  4637,  4638,  3338,    -1,
     240,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,  3353,    -1,    -1,  3356,    -1,    -1,  3359,
      -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,  3373,    -1,    -1,  3376,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3392,    -1,  3394,    -1,   296,    -1,    -1,   299,
    3400,   143,    -1,    -1,    -1,    -1,    -1,  3399,  3408,    -1,
      -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,  3418,    -1,
      -1,    -1,    -1,    -1,  3424,    -1,  3426,  3146,    -1,    -1,
      -1,    -1,  3432,    -1,    -1,  3435,  3436,  3437,  3438,  3439,
    3440,  3441,  3442,  3443,  3444,    -1,    -1,    -1,  3448,  3449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3461,    -1,   205,    -1,  3465,    -1,    -1,    -1,  3469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,
      -1,    -1,  3482,    -1,  3484,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,  3493,  3494,  3495,    -1,    -1,    -1,  3499,
      -1,   243,  3502,    -1,    -1,   247,    -1,    -1,    -1,  3509,
    3510,  3511,  3512,  3513,    -1,    -1,    -1,  3517,  3518,    -1,
      -1,    -1,  3522,    -1,    -1,    -1,   268,   269,  3528,   429,
    3530,    -1,  3532,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,   284,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,  3278,
      -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,
      -1,   141,  3582,   325,   484,    -1,  3586,    -1,  3588,    -1,
     490,    -1,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,    -1,   506,   507,   508,   509,
     510,  3611,    -1,    -1,  3614,  3615,  3616,    -1,  3618,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     190,    -1,  3632,  3633,  3634,  3635,    -1,   197,    -1,    -1,
     200,  3641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3371,    -1,    -1,    -1,    85,    -1,   400,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3670,    -1,  3391,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,   252,  3685,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   816,    -1,    -1,    -1,    -1,    -1,  3701,
      -1,   824,    -1,    -1,   143,    -1,    -1,    85,  3718,   832,
      88,  3721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3735,    -1,   105,    -1,    -1,
      95,    -1,    -1,    -1,    -1,   113,   101,   307,    -1,   309,
     863,   119,   494,   495,   496,   497,   498,   499,    -1,   319,
      -1,  3761,    -1,    -1,    -1,    -1,    -1,   327,    -1,  3761,
      -1,    -1,    -1,    -1,    -1,   143,   336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,  3789,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,    -1,    -1,
      -1,    -1,    -1,    -1,   917,    -1,    -1,   367,  3808,    -1,
    3810,   371,    -1,   926,   243,    -1,  3816,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,
      -1,    -1,    -1,    -1,    -1,   190,   396,    -1,  3838,   268,
     269,    -1,   197,    -1,    -1,   200,    -1,  3847,    -1,    -1,
      -1,    -1,  3852,    -1,    -1,   284,  3856,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3868,  3869,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3893,   454,  3895,   325,   252,    -1,   328,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3912,    -1,    -1,    -1,   284,  3909,    -1,    -1,
      -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,  3928,  1042,
      -1,    -1,    -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,    -1,   309,    -1,    -1,   325,  1071,    -1,
     328,    -1,    -1,    -1,   319,  3965,    -1,    -1,    -1,    -1,
      -1,   400,   327,    -1,    -1,  3975,  3976,    -1,    -1,    -1,
      -1,   336,    -1,  3983,  3984,    -1,    -1,    -1,  3988,    -1,
      -1,    -1,    -1,    -1,  3994,  3995,  1256,    -1,  3998,    -1,
    4000,  4001,  4002,  4003,    -1,    -1,    -1,  4007,    -1,    -1,
    4010,    -1,   367,  4013,    -1,    -1,   371,  4017,    -1,    -1,
      -1,    -1,    -1,  4023,    -1,    -1,  4026,    -1,    -1,    -1,
      -1,  4031,   400,    -1,    -1,    -1,    -1,  4037,    -1,    -1,
      -1,   396,    -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4052,    -1,    -1,    -1,    85,    -1,    -1,    88,
    4060,   490,   491,   492,  4064,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,    -1,   504,   105,    -1,    -1,  4079,
      -1,  4073,  4082,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,   454,
      -1,  4101,  4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1224,  3831,  3832,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  1234,   490,   491,   492,  4125,   494,   495,   496,   497,
     498,   499,  4124,    -1,  4134,    -1,   504,    -1,    -1,    -1,
      -1,   206,    -1,  1256,    -1,    -1,  4146,    -1,    -1,    -1,
      -1,    -1,    -1,   218,    -1,  1415,    -1,   222,    -1,    -1,
      -1,    -1,   227,    -1,    -1,  4165,    -1,   232,    -1,    -1,
     235,    -1,   237,    -1,    -1,    -1,  1289,    -1,    -1,  4179,
      -1,    -1,    -1,    -1,    -1,  3904,  3905,  3906,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4213,   243,    -1,    -1,    -1,   247,    -1,
     285,    -1,  4222,  4223,  4224,  4225,  4226,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4230,   268,
     269,    -1,    -1,  1356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4273,  4274,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,  1557,    -1,   328,
      -1,  4301,  1415,  4303,    -1,    -1,    -1,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1443,  4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4340,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,    -1,  4357,  4358,  1472,
      -1,  4361,   105,    -1,    -1,    -1,    -1,    -1,  4368,    -1,
     113,   400,  4372,    -1,    -1,    -1,   119,  4377,   443,    -1,
    4380,  4381,    -1,  4383,    -1,  4385,  4386,  1500,  1501,    -1,
    1503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,   466,    -1,   468,   469,    -1,    -1,  1520,    -1,    -1,
      -1,    -1,  4412,    -1,  4414,    -1,    -1,    -1,  4418,  4419,
    4420,  4421,  4422,  1683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   501,    -1,    -1,   504,
     505,    -1,   507,    -1,  4163,  4164,    -1,  4166,    -1,    -1,
      -1,    -1,  4452,  4453,    -1,    -1,  4448,    -1,    -1,  1572,
    1573,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,    -1,   504,  1736,    -1,    -1,    -1,
      -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,  1601,  4489,
      -1,    -1,  1605,  1606,    -1,    -1,    -1,    -1,  4498,    -1,
     243,  4501,    -1,  1763,   247,    85,    -1,    -1,    88,  4509,
      -1,  4511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4524,   268,   269,    -1,    -1,  4529,
      -1,    -1,    -1,   113,    -1,    -1,    -1,  4537,  4538,   119,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4562,   143,    -1,  4565,   309,  4567,    -1,   312,
    1683,    -1,    -1,    -1,  1834,    -1,  1689,    -1,    -1,    -1,
      -1,    -1,   325,  1696,  4584,   328,    -1,    -1,  4588,    -1,
      -1,  4591,    -1,  1853,    -1,    -1,    -1,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1871,    -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,
    4620,    -1,    -1,  1736,  4624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1899,
      -1,  4641,  4642,  4643,  4644,    -1,    -1,    -1,    -1,    -1,
    1763,  4651,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,
      -1,    -1,  1815,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4729,
      -1,    -1,   312,    -1,    -1,  4735,    -1,  4737,    -1,    -1,
    1853,    -1,    -1,    -1,    -1,   325,  4746,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,  1871,    -1,
      -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,
    4780,  1894,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
    4790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4799,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,
      -1,  4811,  4812,    -1,  4814,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,  4824,    -1,    85,    -1,    -1,    88,
      -1,    -1,  4832,    -1,    -1,    -1,    -1,    -1,  1951,    -1,
      -1,    -1,    -1,    -1,  1957,    -1,    -1,  1960,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,  4859,
     119,    -1,  4581,    -1,    -1,    -1,    -1,    -1,    -1,  4869,
      -1,    -1,  4591,    -1,  4874,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  2151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,   491,   492,    88,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,    -1,    -1,    -1,  4645,  4927,    -1,    -1,
     105,    -1,    -1,    -1,  2047,    -1,  4936,   834,   113,    -1,
      -1,    -1,    -1,   840,   119,    -1,   205,    -1,    -1,    -1,
      -1,   848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   856,
      -1,    -1,    -1,    -1,   861,    -1,    -1,    -1,   143,    -1,
      -1,  2084,  2085,    -1,    -1,    -1,    -1,    -1,    -1,  2092,
      -1,    -1,  2095,    -1,   243,    -1,  2099,    -1,   247,    -1,
      -1,    -1,    -1,    -1,  2107,  2108,    -1,    -1,    -1,    -1,
      -1,  4720,  2115,    -1,    -1,  2118,  2119,  2120,  2121,   268,
     269,    -1,    -1,    -1,    -1,  2128,  2129,    -1,  2131,    -1,
    2133,  2134,    -1,    -1,  2137,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,  2152,
    2153,    -1,    -1,    -1,  2157,    -1,    -1,    -1,  2161,    -1,
      -1,    -1,  2165,   312,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,    -1,  2177,    -1,   325,    -1,   243,    -1,
    2183,    -1,   247,  2186,    -1,     3,    -1,    -1,    -1,    -1,
      -1,     9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,
      18,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
      -1,    -1,  1009,    -1,    -1,    -1,    -1,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,  2248,    -1,   312,    -1,    -1,
      -1,   400,    -1,    -1,  1041,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2421,  1059,    91,    -1,    -1,  2426,  2427,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,  2438,    -1,
      -1,    -1,    -1,    -1,  1081,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,   140,   141,   207,    -1,    -1,    -1,   146,    -1,
     148,    -1,   215,    -1,   217,   400,    -1,    -1,    -1,    -1,
     158,  2344,   160,    -1,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2373,    -1,    -1,   191,    -1,   193,  2379,    -1,    -1,   197,
      -1,    -1,  2385,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,   212,    -1,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2415,    -1,   232,    -1,    -1,    -1,  2421,  2569,
      -1,    -1,    -1,  2426,  2427,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,  2438,    -1,    -1,    -1,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,  2454,    -1,    -1,  2457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   286,   287,
      -1,    -1,    -1,    -1,   292,   113,    -1,  1264,    -1,    -1,
      -1,   119,   300,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,   311,    -1,    -1,    -1,  1284,  1285,  1286,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,    -1,    -1,   364,    -1,   366,    -1,
      -1,    -1,    -1,   371,    -1,    -1,    -1,    85,   376,    -1,
      88,   379,    -1,    -1,  2567,   383,  2569,    -1,    -1,    -1,
     388,   389,    -1,    -1,    -1,    -1,    -1,   105,   396,    -1,
      -1,   399,    -1,    -1,    -1,   113,    -1,    -1,  2738,   407,
      -1,   119,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,   419,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,  1401,   143,    -1,    -1,   436,    -1,
     438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,
     268,   269,    -1,    -1,   452,    -1,  2639,    -1,    -1,   457,
      -1,  1428,   144,    -1,    -1,    -1,   284,    -1,    -1,    -1,
      -1,   469,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   174,    -1,   312,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,    -1,  2687,   503,    -1,   325,    -1,   507,
     328,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   235,    -1,  2738,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,   250,  2752,
      -1,    -1,    -1,    -1,  2757,    -1,   284,    -1,    -1,    -1,
      -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2773,  2774,    -1,   275,    -1,    -1,  2779,    -1,    -1,    -1,
      -1,   309,  1569,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
     328,  2804,  2805,    -1,    -1,    -1,  2809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2821,  2822,
    2823,  2824,    -1,   325,    -1,    -1,  2829,    -1,    -1,  1616,
      -1,  2834,  2835,    -1,  2837,    -1,  2839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,  2849,  2850,    88,    -1,
    2853,   353,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,  2866,    -1,  2868,   504,    -1,    -1,  2872,
      -1,    -1,   400,   113,    -1,    -1,   378,    -1,    -1,   119,
      -1,    -1,   384,    -1,    -1,  2888,    -1,    -1,   390,  3039,
      -1,   393,    -1,    -1,    -1,    -1,  2899,    -1,  2901,  2902,
    2903,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,   421,
      -1,    -1,  2925,   425,    -1,    -1,    -1,    -1,    -1,  3079,
    3080,   433,  3082,   160,  2937,    -1,   438,    -1,    -1,  2942,
      -1,   824,    -1,    -1,    -1,    -1,  2949,    -1,   450,   832,
      -1,    -1,  2955,  1740,    -1,    85,    -1,    -1,    88,    -1,
    1747,   463,   490,   491,   492,   205,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,   105,   504,    -1,    -1,   206,
     863,    -1,    -1,   113,  3134,  1772,  3136,    -1,    -1,   119,
      -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
     227,    -1,    -1,   243,    -1,   232,    -1,   247,   235,    -1,
     237,    -1,    -1,   143,    -1,    -1,    -1,  1804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,  1818,    -1,    -1,   917,    -1,  3039,   264,    -1,  3189,
      -1,    -1,    -1,   926,   284,  1832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,    -1,  3213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,    -1,  3079,  3080,    -1,  3082,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,
    3240,    -1,    -1,    -1,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   329,  3253,    -1,    -1,    -1,    -1,  3111,  3112,
    3113,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3134,    -1,  3136,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,
      -1,    -1,    -1,  1036,   284,    -1,    -1,    -1,    -1,  1042,
     400,    -1,    -1,  1046,    -1,    -1,  3316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
    3330,    -1,   312,    -1,    -1,    -1,  3189,    -1,  1071,    -1,
      -1,    -1,   419,  3343,    -1,   325,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3213,    -1,    -1,    -1,    -1,    -1,   443,  2004,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3235,    -1,    -1,    -1,    -1,  3240,    -1,   466,
      -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,  3252,
    3253,    -1,    -1,    -1,   494,   495,   496,   497,   498,   499,
      -1,  3411,    -1,    -1,  2051,  2052,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,   501,    -1,    -1,   504,   505,    -1,
     507,  3431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,
      -1,    -1,    -1,  3316,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,  3330,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3343,  1224,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1234,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
    3373,    -1,    -1,  1256,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2182,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3408,  1289,    -1,  3411,    -1,
      -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,    -1,    -1,
    2207,  3424,    -1,  3426,    -1,    -1,    -1,    -1,  3431,  3432,
      -1,    -1,  3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,
    3443,  3444,    -1,    -1,    -1,  3448,  3449,    -1,    -1,    -1,
      -1,    -1,   243,  3456,    -1,    -1,   247,  2244,  3461,  2246,
      -1,    -1,  3465,    -1,  3467,    -1,  3469,    -1,    -1,    -1,
      -1,    -1,    -1,  1356,    -1,    -1,  3479,   268,   269,  3482,
      -1,  3484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3492,
    3493,  3494,  3495,   284,    -1,    -1,  3499,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,   309,  3522,
      -1,   312,    -1,    -1,    -1,    -1,    -1,  3530,    85,  3532,
     105,    88,  1415,    -1,   325,  3685,    -1,   328,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
    1443,    -1,   119,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,  3576,    -1,    -1,    -1,    -1,    -1,  3582,
      -1,    -1,    -1,    -1,    -1,  3588,   143,    -1,    -1,  1472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,   400,
      -1,  3614,    -1,    -1,    -1,    -1,    -1,  1500,  1501,    -1,
    1503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2451,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,  3680,    -1,    -1,
      -1,  3684,  3685,  3686,    -1,  3835,   243,    -1,    -1,  1572,
     247,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   284,
      -1,   268,   269,   504,    -1,    -1,    -1,  3867,  1601,    -1,
      -1,    -1,  1605,  1606,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,
      -1,    -1,    -1,   160,    85,    -1,    -1,    88,    -1,    -1,
     325,    -1,   309,   328,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,   325,    -1,
      -1,   328,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1683,   218,   143,    -1,    -1,   222,    -1,  3810,  2595,    -1,
     227,    -1,    -1,  1696,    -1,   232,    -1,    -1,   235,    -1,
     237,    -1,    -1,    -1,    -1,   400,    -1,    -1,  3978,    -1,
      -1,    -1,  3835,    -1,    -1,    -1,    -1,    -1,    -1,  3989,
      -1,    -1,    -1,   400,    -1,  1728,    -1,   264,    -1,    -1,
      -1,    85,    -1,  1736,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3867,  3868,  3869,    -1,   285,    -1,
      -1,   105,    -1,    -1,    -1,   109,    -1,    -1,    -1,   113,
    1763,   222,    -1,    -1,    -1,   119,   227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,   321,    -1,   247,    -1,    -1,   143,
      -1,    -1,   329,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,  3928,    -1,   268,   269,   504,
      -1,    -1,  1815,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,   284,    -1,   502,    -1,    -1,    -1,  4099,
      -1,  1834,    -1,    -1,   188,    -1,    -1,   374,    -1,    -1,
      -1,    -1,  3965,    -1,    -1,    -1,    -1,    -1,   309,    -1,
    1853,   312,  3975,  3976,    -1,  3978,    -1,  4127,    -1,    -1,
    3983,  3984,    -1,    -1,   325,  3988,  3989,   328,  1871,  4139,
      -1,  3994,  3995,    -1,    -1,  3998,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,   243,
    4013,    -1,    -1,   247,  4017,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,  4026,    -1,    -1,   443,    -1,  4031,    -1,
      -1,    -1,    -1,  4183,   268,   269,    -1,    -1,    -1,    -1,
    4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
     284,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1951,    -1,
      -1,    -1,    -1,    -1,  1957,   309,    -1,  1960,   312,  4082,
      -1,    -1,    -1,    -1,   501,    -1,    -1,   504,   505,    -1,
     507,   325,    -1,    -1,   328,    -1,  4099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,  2946,
      -1,    -1,    85,    -1,  2047,    88,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4183,    -1,   105,    -1,    -1,  4335,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
    4203,  2084,  2085,    -1,    -1,    -1,    -1,    -1,    -1,  2092,
      -1,    -1,  2095,    -1,    -1,    -1,  2099,   451,    -1,    -1,
     143,    -1,    -1,    -1,  2107,  2108,    -1,    -1,    -1,    -1,
      -1,    -1,  2115,    -1,    -1,  2118,  2119,  2120,  2121,    85,
      -1,    -1,    88,    -1,    -1,  2128,  2129,    -1,  2131,    -1,
    2133,  2134,    -1,    -1,  2137,    -1,   490,   491,   492,   105,
     494,   495,   496,   497,   498,   499,    -1,   113,  2151,  2152,
      -1,    -1,    -1,   119,  2157,    -1,    -1,    -1,  2161,    -1,
      -1,    -1,  2165,    -1,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,    -1,  2177,  4298,    -1,   143,  4448,    -1,
    2183,    -1,    -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,  4331,    -1,
      -1,    -1,  4335,    -1,    -1,    -1,    -1,  4340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4357,  4358,    -1,    -1,  4361,    -1,
      -1,   284,    -1,    -1,    -1,  2248,    -1,    -1,    -1,  4372,
      -1,    -1,    -1,    -1,  4377,   221,    -1,  4380,    -1,    -1,
      -1,    -1,  4385,  4386,    -1,    -1,   309,    -1,    -1,   312,
    4540,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4563,    -1,  4418,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,   347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,   284,    -1,
      -1,    -1,    -1,  4593,    -1,  4448,    -1,    -1,    -1,  4452,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,   309,    -1,    -1,   312,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,   325,
      -1,    -1,   328,  4633,    -1,  3272,  4489,  4637,  4638,    -1,
    2373,   414,   143,    -1,    -1,    -1,  2379,    -1,  4501,   345,
      -1,    -1,  2385,    -1,    -1,    85,    -1,    -1,    88,    -1,
    3297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,  3309,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,  2415,   113,    -1,  4538,  3323,  4540,  2421,   119,
      -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,  2438,    -1,    -1,    -1,  4562,
    4563,    -1,  4565,   143,  4567,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,  4584,    -1,    -1,    -1,  4588,    -1,    -1,    -1,    -1,
    4593,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4630,    -1,    -1,
    4633,    -1,    -1,   284,  4637,  4638,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   312,    -1,   243,    -1,    -1,    -1,   247,  4671,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,  2567,    -1,  2569,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3509,  3510,  3511,    -1,  4729,    -1,    -1,   309,
      -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4746,    -1,   325,    -1,    -1,   328,   400,
      -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,
      -1,    -1,   342,    -1,  1256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2687,    -1,    -1,    -1,  4811,  4812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      85,    -1,    -1,    88,    -1,  2738,  4859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4869,    -1,    -1,  2752,
     105,    -1,    -1,   108,  2757,    -1,    -1,    -1,   113,    -1,
      -1,    -1,  4885,    -1,   119,    -1,    -1,    -1,    -1,    -1,
    2773,  2774,    -1,    -1,    -1,    -1,  2779,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,  2804,  2805,  1415,  4927,    -1,  2809,    -1,    -1,  4932,
      -1,    -1,    -1,  4936,    -1,    -1,    -1,  4940,  2821,  2822,
    2823,  2824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2834,    -1,    -1,  2837,    -1,  2839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2849,  2850,    -1,    -1,
    2853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    85,
      -1,    -1,    88,  2866,    -1,  2868,    -1,    -1,   106,  2872,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,   113,   243,    -1,
    3797,    -1,   247,   119,    -1,    -1,  2899,    -1,  2901,  2902,
    2903,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,  3816,
      -1,    -1,    -1,   268,   269,   153,    -1,   143,   156,    -1,
      -1,    -1,  2925,    -1,   162,    -1,    -1,    -1,   166,   284,
      -1,  3838,    -1,    -1,  2937,    -1,    -1,    -1,    -1,  2942,
      -1,    -1,    -1,    -1,    -1,    -1,  2949,    -1,   186,    -1,
      -1,    -1,  2955,    -1,   309,    -1,    -1,   312,    -1,    -1,
      89,    -1,    -1,    -1,   202,    94,    -1,    96,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    85,   106,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   235,    -1,   108,
      -1,   227,    -1,   132,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,   142,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,   152,   153,    -1,    -1,   156,    -1,    -1,
      -1,    -1,    -1,   162,   143,    -1,  3039,   166,    -1,    -1,
      -1,    -1,   268,   269,    -1,   400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1683,    -1,   202,    -1,    -1,  3079,  3080,    -1,  3082,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,    -1,  4000,  4001,  4002,  4003,    -1,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1736,    -1,    -1,    -1,    -1,    -1,
      -1,  3134,    -1,  3136,   243,   490,   491,   492,   247,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,
      -1,  1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,   400,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
    3213,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,
      -1,    -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,
      -1,  1853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3343,    -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3373,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,   105,    -1,  4301,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,  3408,   119,    -1,  3411,    -1,
      -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,    -1,    -1,
      -1,  3424,    -1,  3426,    -1,    -1,    -1,    -1,  3431,  3432,
     143,    -1,  3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,
    3443,  3444,    -1,    -1,    -1,  3448,  3449,    -1,    -1,    -1,
      -1,    -1,    -1,  3456,    -1,   693,   694,    -1,  3461,    -1,
      -1,    -1,  3465,    -1,    -1,    -1,  3469,    -1,    -1,    -1,
      -1,    -1,   710,    -1,    -1,    -1,  3479,    -1,    -1,  3482,
      -1,  3484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3492,
    3493,  3494,  3495,    -1,    -1,    -1,  3499,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,
      -1,    -1,    -1,   642,    -1,    -1,    -1,    -1,    -1,  3522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3530,    -1,  3532,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,  2151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   693,   694,    -1,    -1,    -1,    -1,
      -1,   284,    -1,  3576,  2186,    -1,    -1,    -1,    -1,  3582,
      -1,   710,    -1,    -1,    -1,  3588,    -1,    -1,    -1,    -1,
      -1,  4498,   830,    -1,    -1,    -1,   309,    -1,    -1,   312,
      -1,   839,    -1,   841,    -1,   843,    -1,   845,  3611,    -1,
      -1,  3614,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,  4529,    -1,    -1,    -1,   864,    -1,    -1,    -1,
      -1,    -1,    -1,   871,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   880,   881,    -1,    -1,    -1,   885,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   901,    -1,   903,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,
     918,    -1,  3685,    -1,   119,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,   932,    -1,    -1,   935,    -1,   937,
      85,   939,    -1,    88,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,   426,   952,   953,    -1,  4624,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   967,
      -1,   969,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
     998,   999,    -1,    -1,    -1,    -1,    -1,  1005,    -1,  1007,
      -1,   900,   901,    -1,   903,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1038,    -1,    -1,    -1,    -1,    -1,    -1,  3810,   243,  2421,
      -1,    -1,   247,    -1,  2426,  2427,    -1,    -1,    -1,    -1,
     949,    -1,    -1,   952,   953,    -1,  2438,    -1,    -1,    -1,
      -1,    -1,  3835,   268,   269,  1073,   965,    -1,   967,    -1,
     969,    -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,   284,
     979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,  3867,  3868,  3869,    -1,    -1,   998,
     999,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,  1144,    -1,  1146,  1038,
      -1,  1040,  1150,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,   309,  3928,    -1,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2569,    -1,    -1,
      -1,    -1,  3965,   141,    -1,   400,    -1,    -1,    -1,    -1,
      -1,    -1,  3975,  3976,  1212,  3978,    -1,    -1,    -1,    -1,
    3983,  3984,    -1,    -1,    -1,  3988,  3989,    -1,  1117,    -1,
    1228,  3994,  3995,    -1,   172,  3998,    -1,    -1,    95,    -1,
      -1,  1239,  1131,  1132,   101,    -1,  1135,    -1,  1246,    -1,
    4013,    -1,   190,    -1,  4017,   400,    -1,    -1,    -1,   197,
    1258,    -1,   200,  4026,    -1,    -1,    -1,  2639,  4031,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4043,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,
      -1,  1180,  1290,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,   252,   172,    -1,    -1,    -1,  4082,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,    -1,    -1,  4099,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,   295,    -1,   297,
      -1,    -1,    -1,    -1,  4127,    -1,  2738,    -1,    -1,   307,
      -1,   309,    -1,  1371,    -1,  1373,  4139,    -1,  1376,    -1,
    1378,   319,    -1,  1381,  1382,  1383,    -1,    -1,    -1,   327,
      -1,    -1,   249,    -1,    -1,   252,  1394,   335,   336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1407,
      -1,  1409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,    -1,   371,   372,    -1,    -1,    -1,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,    -1,   309,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,   407,
     327,    -1,    -1,    -1,    -1,    -1,    -1,  1366,   335,   336,
      -1,    -1,  1371,    -1,  1373,    -1,    -1,  1376,    -1,  1378,
      -1,    -1,  1381,  1382,  1383,    -1,    -1,  1256,  1387,    -1,
      -1,    -1,    -1,    -1,    -1,  1394,    -1,    -1,    -1,    -1,
     367,    -1,    -1,    -1,   371,   372,   454,    -1,  1407,    -1,
    1409,    -1,    -1,    -1,    -1,  1414,    -1,    -1,    -1,  2901,
    2902,  2903,    -1,    -1,    -1,  4298,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4331,    -1,
      -1,    -1,  4335,    -1,    -1,    -1,    -1,  4340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1591,  4357,  4358,    -1,   454,  4361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,
      -1,    -1,    -1,    -1,  4377,    -1,    -1,  4380,    -1,    -1,
      -1,    -1,  4385,  4386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1648,  1540,  1541,  1651,    -1,  4418,  1415,    -1,    -1,    -1,
      -1,  1659,    -1,    -1,    -1,    -1,    -1,  3039,  1557,    -1,
      -1,    -1,    -1,  1562,  1563,    -1,    -1,    -1,    -1,  1677,
      -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,  4452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,  1714,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4501,    -1,
      -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1643,    -1,  1645,    -1,    -1,    -1,
      -1,    -1,  3134,   131,  3136,    -1,  1655,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4538,   144,  4540,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,   157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4562,
    4563,    -1,  4565,    -1,  4567,    -1,   174,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,  3189,    -1,    -1,
      -1,  4584,    -1,    -1,    -1,  4588,    -1,   195,    -1,  1718,
    4593,    -1,    -1,    -1,    -1,    -1,    -1,  1726,    -1,    -1,
      -1,  3213,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,   235,  3240,    -1,
    4633,    -1,    -1,    -1,  4637,  4638,    -1,    -1,    -1,    -1,
      -1,  3253,   250,    -1,  1773,    -1,    -1,  1776,  1777,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1902,    -1,    -1,    -1,  4671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1915,    -1,    -1,
     288,    -1,    -1,    -1,  1683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,
    1839,    -1,    -1,    -1,    -1,    -1,    -1,   325,  3330,    -1,
     328,  1959,    -1,    -1,    -1,  1963,  4729,    -1,    -1,    -1,
      -1,  3343,    -1,    -1,    -1,    -1,  1974,  1736,  1976,    -1,
    1978,    -1,    -1,  4746,    -1,  1983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,    -1,    -1,   384,  4780,  2016,    -1,
    2018,    -1,   390,    -1,  2022,   393,  2024,  4790,    -1,  2027,
      -1,    -1,    -1,  2031,  2032,    -1,    -1,    -1,    -1,  3411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4811,  4812,
      -1,   419,    -1,   421,   422,    -1,   424,   425,    -1,  3431,
      -1,  4824,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,
     438,    -1,    -1,    -1,    -1,  1834,   444,    -1,    -1,   447,
      -1,    -1,   450,    -1,  3456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1853,   463,  4859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4869,    -1,    -1,    -1,
      -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3492,    -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,  2018,
      -1,    -1,    -1,  2022,    -1,  2024,    -1,    -1,  2027,    -1,
    1899,    -1,  2031,    -1,    -1,    -1,    -1,  2036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3532,    -1,    -1,    -1,  4927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4936,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2189,    -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,
    2189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2198,
      -1,    -1,    -1,  3685,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2341,  2342,    -1,    -1,    -1,  2346,  2347,
      -1,    -1,  2350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2360,    -1,    -1,    -1,    -1,    -1,    -1,  2367,
      -1,    -1,  2261,  2371,  2372,    -1,    -1,  2375,  2376,  2377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2387,
      -1,  2389,  2151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,  2410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2309,    -1,    -1,    -1,  2313,    -1,    -1,    -1,    -1,    -1,
    2319,    -1,  2321,    -1,    -1,  2324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,  2442,  2443,  2444,    -1,    -1,    -1,
    2448,  2449,    -1,    -1,    -1,    -1,    -1,    -1,  2456,    -1,
      -1,  2459,    -1,  3835,    -1,  2463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,  2491,    -1,  3867,     5,    -1,  2496,    -1,
      -1,    -1,    -1,  2501,  2502,  2503,  2504,    -1,  2506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,  2519,  2520,  2521,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,  2530,  2531,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,  2586,    -1,
      -1,    -1,    -1,  2482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2490,    -1,  2492,    -1,    -1,  3978,   824,    -1,    -1,
      -1,    -1,    -1,    -1,   131,   832,    -1,  3989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,   144,   145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,   863,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4026,    -1,    -1,   174,    -1,  4031,
      -1,    -1,  2421,    -1,    -1,    -1,    -1,  2426,  2427,    -1,
      -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,   195,  2438,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,   213,    -1,    -1,    -1,
     917,    -1,    -1,    -1,    -1,  2703,    -1,   224,    -1,   926,
      -1,   220,   229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,
      -1,   240,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,    -1,
      -1,    -1,    -1,   262,    -1,  4127,    -1,    -1,   275,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,   325,    -1,
    2569,  4183,    -1,    -1,  2703,  2704,    -1,    -1,    -1,  1036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2720,    -1,    -1,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,    -1,   382,    -1,   384,    -1,    -1,
      -1,    -1,    -1,   390,    -1,    -1,   393,    -1,   387,    -1,
    2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,   421,    -1,    -1,    -1,   425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,
     429,   438,    -1,    -1,    -1,    -1,  4298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,  2738,
      -1,   490,    -1,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,    -1,    -1,  2995,  2996,   508,
     509,    -1,    -1,    -1,    -1,    -1,    -1,  1224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2916,    -1,    -1,
      -1,    -1,  2921,    -1,    -1,    -1,    -1,    -1,    -1,  1256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3056,  3057,
      -1,    -1,    -1,  3061,    -1,    -1,    -1,    -1,  3066,  3067,
    3068,    -1,  1289,    -1,    -1,    -1,  4448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3102,  3103,  3104,  3105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1356,
    3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   825,   826,  4540,    -1,
     829,   830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   846,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,    -1,  3200,    -1,    -1,    -1,    -1,   866,    -1,    -1,
    3208,   870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,  1443,   886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1472,    -1,    -1,    -1,    -1,
      -1,  4633,    -1,    -1,    -1,  4637,  4638,    -1,    -1,  3267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,
    3039,    -1,    -1,  1500,  1501,    -1,  1503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1520,    -1,    -1,  3304,    -1,  3306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3079,  3080,    -1,  3082,    -1,    -1,    -1,  4699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3341,    -1,    -1,  3344,    -1,    -1,    -1,
      -1,  3240,    -1,    -1,    -1,  1572,    -1,    -1,    -1,    -1,
    3358,    -1,     5,    -1,  3253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3134,    -1,  3136,    -1,    -1,
      -1,    -1,    25,    -1,  1601,    -1,    -1,    -1,  1605,  1606,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
    3189,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3341,    -1,  3213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,  3253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
      -1,    -1,  1443,  1182,  1183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,    -1,
      -1,  1472,    -1,    -1,    -1,    -1,    -1,  3316,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3330,    -1,    -1,    -1,    -1,    -1,   220,    -1,  1500,
    1501,    -1,  1503,    -1,  3343,    -1,    -1,    -1,    -1,    -1,
      -1,  1250,    -1,    -1,    -1,    -1,    -1,   240,    -1,  1520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1270,  1271,    -1,    -1,    -1,    -1,  1834,    -1,   262,
      -1,    -1,    -1,  3621,    -1,  3623,    -1,    -1,  1287,  3627,
      -1,    -1,    -1,    -1,    -1,    -1,  1853,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,
      -1,  1572,  3411,   296,  1871,    -1,   299,    -1,    -1,    -1,
      -1,  3659,    -1,  1322,  1323,    -1,    -1,    -1,    -1,    -1,
    3668,   314,  3431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1601,    -1,  1899,    -1,  1605,  1606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,
      -1,    -1,    -1,    -1,  3593,    -1,    -1,    -1,    -1,    -1,
    3708,  3709,  3710,  3711,  3712,  3713,  3714,    -1,    -1,    -1,
      -1,  3719,  3720,    -1,  3722,  3723,  3724,  3725,  3726,  3727,
    3728,    -1,    -1,  3492,  1951,    -1,    -1,    -1,    -1,  3737,
    1957,  3739,  3740,  1960,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3685,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,  3804,  3805,  3806,    -1,
      -1,  3809,  3701,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,    -1,    -1,    -1,   508,    -1,  2084,  2085,    -1,
      -1,    -1,  3761,    -1,    -1,  2092,    -1,    -1,  2095,    -1,
      -1,    -1,  2099,    -1,    -1,    -1,  3884,    -1,    -1,    -1,
    2107,  2108,    -1,    -1,    -1,    -1,    -1,    -1,  2115,    -1,
      -1,  2118,  2119,  2120,  2121,    -1,    -1,    -1,    -1,    -1,
      -1,  2128,  2129,    -1,  2131,    -1,  2133,  2134,    -1,    -1,
    2137,    -1,    -1,    -1,    -1,    -1,  3685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2151,  2152,    -1,    -1,    -1,    -1,
    2157,    -1,    -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,    -1,
    2177,    -1,    -1,    -1,    -1,    -1,  2183,    -1,    -1,  2186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3867,    -1,
      -1,    -1,  4110,  4111,  4112,  4113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,  4136,    -1,
      -1,  1800,  1801,  1802,  1803,    -1,    -1,    -1,    -1,  4147,
    4148,    -1,    -1,    -1,    -1,    -1,  2373,    -1,  4047,    -1,
      -1,    -1,  2379,    -1,    -1,    -1,    -1,    -1,  2385,    -1,
      -1,  2092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1840,  1841,    -1,  4073,    -1,    -1,  1846,    -1,    -1,
      -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,    -1,    -1,
    2121,    -1,    -1,    -1,  2421,    -1,    -1,  2128,  2129,  2426,
    2427,    -1,    -1,  2134,    -1,    -1,  2137,    -1,    -1,  3978,
      -1,  2438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3989,  2152,    -1,    -1,  1893,  4124,  2157,    -1,    -1,    -1,
    2161,    -1,    -1,    -1,  2165,    -1,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,    -1,  2177,    -1,  1917,  1918,
    1919,  1920,  2183,    -1,    -1,  2186,    -1,    -1,  4266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1256,
      -1,    -1,    -1,  4311,    -1,    -1,  1975,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1984,    -1,  2248,    -1,    -1,
      -1,    -1,  1991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4099,  4230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2567,    -1,  2569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2639,    -1,  4183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,  1415,    -1,
    2687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4508,    -1,    -1,    -1,  4403,    -1,    -1,    -1,    -1,    -1,
      -1,  2738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,
    2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2773,  2774,    -1,  4448,
      -1,    -1,  2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2804,  2805,    -1,
      -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2821,  2822,  2823,  2824,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2834,    -1,    -1,
    2837,    -1,  2839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4628,    -1,  2849,  2850,    -1,    -1,  2853,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2567,    -1,    -1,  2866,
      -1,  2868,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2899,    -1,  2901,  2902,  2903,    -1,    -1,  4448,
      -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,  2925,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2937,    -1,  2381,  2382,  2383,  2942,    -1,    -1,    -1,  2388,
      -1,  2390,  2949,  2392,  2393,    -1,  1683,    -1,  2955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4774,    -1,    -1,    -1,
      -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1763,  4706,    -1,    -1,
      -1,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,  2488,
      -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1415,    -1,  2774,    -1,    -1,    -1,    -1,  2779,    -1,
      -1,    -1,  3079,  3080,    -1,  3082,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4633,    -1,    -1,    -1,  4637,  4638,
      -1,    -1,    -1,    -1,    -1,  2544,    -1,  1834,    -1,    -1,
      -1,  1516,    -1,  2552,  2553,  2554,  2555,  2556,  2557,    -1,
    2821,    -1,  2823,  2824,    -1,    -1,  1853,    -1,    -1,    -1,
      -1,    -1,    -1,  2834,    -1,    -1,  2837,  3134,  2839,  3136,
      -1,    -1,    -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2866,    -1,  2868,    -1,    -1,
      -1,  2872,  1899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3189,  2632,    -1,    -1,    -1,    -1,    -1,    -1,
    2901,  2902,  2903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,
      -1,    -1,    -1,  2662,  2925,  2664,    -1,    -1,    -1,    -1,
    1957,    -1,    -1,    -1,    -1,    -1,  2937,    -1,    -1,    -1,
      -1,  2942,    -1,  3240,    -1,    -1,    -1,    -1,  2949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3253,    -1,    -1,  1256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2767,    -1,
      -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,  1683,
      -1,    -1,    -1,    -1,    -1,    -1,  3343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3373,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3408,    -1,    -1,  3411,    -1,    -1,    -1,  1415,  1763,
      -1,  3418,    -1,    -1,  2151,    -1,    -1,  3424,    -1,  3426,
      -1,    -1,    -1,    -1,  3431,  3432,    -1,    -1,  3435,  3436,
    3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,    -1,    -1,
      -1,  3448,  3449,    -1,    -1,    -1,    -1,    -1,    -1,  3456,
      -1,    -1,    -1,    -1,  3461,    -1,    -1,    -1,  3465,    -1,
      -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3479,    -1,    -1,  3482,    -1,  3484,    -1,    -1,
    1834,    -1,    -1,    -1,    -1,  3492,  3493,  3494,  3495,    -1,
      -1,    -1,  3499,    -1,    -1,  3502,    -1,    -1,    -1,  1853,
      -1,    -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3522,    -1,  1871,    -1,    -1,
      -1,    -1,    -1,  3530,    -1,  3532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3576,
      -1,    -1,    -1,    -1,    -1,  3582,    -1,    -1,    -1,    -1,
      -1,  3588,    -1,    -1,  1999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,  3046,  3047,    -1,
      -1,    -1,    -1,  1957,  3611,    -1,    -1,  3614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2090,  1683,    -1,  3685,    -1,
      -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,  2426,
    2427,    -1,    -1,    -1,    -1,    -1,    -1,  3408,    -1,  2114,
      -1,  2438,    -1,    -1,  2119,    -1,    -1,  3418,    -1,    -1,
      -1,    -1,    -1,  3424,    -1,  3426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2139,  2140,    -1,  2142,    -1,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,  3449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,  3469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,  3479,    -1,
      -1,  3482,    -1,  3484,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3493,    -1,    -1,    -1,    -1,    -1,  3499,    -1,
      -1,  3502,    -1,    -1,    -1,    -1,    -1,  2151,    -1,    -1,
      -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3530,
    2235,  3532,    -1,    -1,    -1,    -1,    -1,  1834,  3835,    -1,
      -1,    -1,  2569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2257,    -1,    -1,    -1,  1853,    -1,    -1,    -1,
      -1,    -1,  2267,    -1,    -1,  2270,    -1,    -1,    -1,    -1,
    3867,  3868,  3869,    -1,  1871,  3576,    -1,    -1,    -1,    -1,
      -1,  3582,    -1,    -1,    -1,    -1,    -1,  3588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3611,    -1,  2639,    -1,  3353,    -1,    -1,  3356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1957,  3400,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3975,  3976,
      -1,  3978,    -1,    -1,    -1,    -1,  3983,  3984,    -1,    -1,
      -1,  3988,  3989,    -1,    -1,    -1,    -1,  3994,  3995,    -1,
      -1,  3998,    -1,    -1,    -1,  1256,    -1,    -1,    -1,    -1,
      -1,  2738,    -1,    -1,    -1,    -1,  4013,    -1,    -1,    -1,
    4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4026,
      -1,    -1,    -1,    -1,  4031,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4043,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,
      -1,    -1,  2426,  2427,    -1,  4082,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2438,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1415,    -1,    -1,  3868,  3869,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,  3633,  3634,  3635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2569,    -1,  3928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1415,
      -1,    -1,    -1,    -1,  3975,  3976,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,    -1,    -1,
      -1,    -1,    -1,  3994,  3995,  2639,    -1,  3998,    -1,    -1,
      -1,  4298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,
    4031,    -1,    -1,    -1,  4331,    -1,    -1,    -1,  4335,    -1,
      -1,    -1,  4043,  4340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3079,  3080,    -1,  3082,    -1,    -1,    -1,    -1,
    4357,  4358,    -1,    -1,  4361,    -1,    -1,    -1,    -1,  3808,
      -1,    -1,  2777,    -1,    -1,  4372,    -1,    -1,    -1,    -1,
    4377,  4082,    -1,  4380,    -1,    -1,    -1,    -1,  4385,  4386,
      -1,    -1,    -1,    -1,  2738,  2800,    -1,  2802,    -1,  2804,
    2805,  2806,    -1,    -1,  2809,    -1,    -1,  3134,  2813,  3136,
      -1,    -1,    -1,    -1,    -1,  2820,    -1,    -1,    -1,    -1,
    2825,  4418,    -1,    -1,  2421,    -1,  2831,    -1,    -1,  2426,
    2427,  2836,  1683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2845,  2438,    -1,    -1,  2849,  2850,    -1,  2852,    -1,    -1,
      -1,  4448,    -1,    -1,    -1,  4452,    -1,    -1,    -1,  2864,
      -1,    -1,  3189,    -1,    -1,    -1,  2871,    -1,  2873,  2874,
    2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1736,  3213,    -1,    -1,    -1,
      -1,    -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2907,    -1,  4501,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1763,  3240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3253,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1683,    -1,    -1,
      -1,  4538,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4562,  4563,    -1,  4565,    -1,
    4567,    -1,  2569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1834,    -1,    -1,    -1,  4584,    -1,  3316,
    1736,  4588,    -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,
      -1,    -1,  1853,  3330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3343,  1763,    -1,    -1,
    1871,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,    -1,
    4637,  4638,  2639,    -1,    -1,    -1,    -1,    -1,  1899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3411,  4386,    -1,    -1,  1834,    -1,
      -1,    -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,    -1,
      -1,    -1,  4699,    -1,  3431,    -1,  1957,  1853,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1871,  4165,    -1,    -1,  3456,
      -1,    -1,  4729,    -1,    -1,  3079,  3080,    -1,  3082,    -1,
    4179,  2738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4746,
      -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4780,    -1,    -1,    -1,    -1,    -1,    -1,
    3134,    -1,  3136,  4790,    -1,    -1,    -1,    -1,    -1,    -1,
    4501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1957,    -1,    -1,  4811,  4812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4824,    -1,    -1,
      -1,    -1,    -1,    -1,  4273,    -1,  3241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4859,    -1,  4565,    -1,    -1,    -1,    -1,  3213,
      -1,    -1,  4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,
    2151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3362,  3685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4671,    -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4420,  4421,  4422,    -1,    -1,  3330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3343,
      -1,    -1,  3407,    -1,    -1,  2151,    -1,    -1,  3413,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3429,  3430,    -1,  3432,    -1,    -1,
    3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,
    3445,    -1,  3039,    -1,    -1,  4746,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3470,    -1,  3411,  3473,    -1,
    3475,    -1,    -1,    -1,    -1,  3480,  3481,    -1,    -1,    -1,
      -1,    -1,  3079,  3080,    -1,  3082,    -1,  3431,    -1,  3494,
    3495,  3496,    -1,  3498,    -1,    -1,  3501,    -1,  4537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3835,    -1,
    4811,  4812,  3456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,  3136,
    3867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3492,    -1,
      -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,  4859,    -1,
      -1,    -1,    -1,    -1,  3569,    -1,    -1,    -1,  4869,    -1,
    2421,    -1,    -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,
      -1,  4620,    -1,    -1,    -1,    -1,    -1,  2438,    -1,    -1,
      -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4642,    -1,  4644,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4927,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3978,    -1,    -1,    -1,    -1,  3253,    -1,    -1,    -1,
      -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,
    2426,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2438,    -1,    -1,    -1,  4735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2569,  3316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3330,    -1,    -1,    -1,  4776,    -1,    -1,
      -1,  3685,    -1,    -1,    -1,    -1,  3343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,
      -1,    -1,    -1,  4832,    -1,    -1,    -1,    -1,    -1,    -1,
    4127,    -1,    -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,
      -1,    -1,  4139,    -1,  3411,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3431,  4874,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,  3456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2738,    -1,    -1,
      -1,  3835,    -1,  2639,    -1,  3492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3867,  3929,    -1,    -1,    -1,  3933,  3934,
    3935,    -1,    -1,  3938,    -1,    -1,    -1,    -1,  3943,  3944,
    3945,  3946,  3947,  3948,  3949,  3950,  3951,  3952,  3953,  3954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3982,  3983,  3984,
    3985,    -1,  3987,    -1,    -1,    -1,  3991,  3992,  3993,    -1,
      -1,  3996,  2738,    -1,  3999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4028,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3978,  4040,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,  3039,    -1,
      -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,
      -1,  3082,    -1,    -1,    -1,    -1,  4563,    -1,  3835,  4183,
      -1,    -1,    -1,    -1,  4249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,
    3867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3134,    -1,  3136,    -1,    -1,    -1,    -1,
    4295,  4296,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,    -1,
    4637,  4638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,    -1,  4331,    -1,    -1,    -1,
      -1,    -1,    -1,  3079,  3080,    -1,  3082,    -1,  3189,    -1,
    4345,    -1,  4347,    -1,    -1,    -1,    -1,  4352,  4353,  4354,
      -1,    -1,  4357,  4358,  4359,  4360,    -1,  4362,    -1,    -1,
      -1,    -1,  3213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3978,    -1,    -1,    -1,    -1,    -1,    -1,  3134,  3240,
    3136,  4335,  3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3316,    -1,  3213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3343,    -1,  3240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,  4448,    -1,    -1,  3253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4561,  4562,    -1,    -1,
    3411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3316,    -1,  4577,  4578,  4579,    -1,    -1,    -1,    -1,    -1,
    3431,    -1,    -1,    -1,  3330,    -1,  4183,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,    -1,    -1,  4540,  3343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,
      -1,    -1,    -1,    -1,  4659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,  4633,
      -1,    -1,    -1,  4637,  4638,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4709,    -1,    -1,    -1,    -1,    -1,
    3456,    -1,    -1,    -1,  4719,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,  4335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3492,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,  4779,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,  4823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3685,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4448,    -1,    -1,    -1,    -1,    -1,  4862,    -1,    -1,
      -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,  3685,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4563,    -1,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3835,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3867,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,    -1,
    4637,  4638,   314,    -1,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,  3835,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,   387,    -1,    -1,    -1,    -1,
      -1,  3867,    79,    80,    -1,    -1,    -1,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,   484,    -1,    -1,    -1,    -1,    -1,   490,    -1,
     177,   178,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,  3978,    -1,    -1,    -1,   508,    -1,    -1,    -1,
      -1,    -1,    -1,  3989,    -1,    -1,    -1,   204,  4099,    -1,
      -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,  4127,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,
      -1,   308,    -1,  4099,    -1,   312,    -1,    -1,   315,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,
      -1,  4127,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,
     397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,
      -1,    -1,    -1,    -1,  4335,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4633,    -1,    -1,    -1,  4637,  4638,    -1,    -1,
      -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,  4593,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,  4633,    -1,    -1,
      -1,  4637,  4638,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     3,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,   509,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,    -1,
      -1,   118,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,   138,    -1,   140,   141,   142,    -1,    -1,    -1,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,
     177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,
     197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,    -1,
      -1,    -1,    -1,   210,   211,   212,    -1,    -1,   215,    -1,
      -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,   286,
     287,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   300,    -1,    -1,   303,   304,   305,    -1,
      -1,   308,    -1,    -1,   311,   312,    -1,    -1,   315,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,
      -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,   359,    -1,    -1,    -1,    -1,   364,    -1,   366,
      -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,   376,
     377,    -1,   379,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,   388,   389,    -1,    -1,    -1,    -1,    -1,    -1,   396,
     397,    -1,   399,   400,    -1,   402,    -1,    -1,    -1,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,   436,
      -1,   438,    -1,    -1,    -1,    -1,   443,    -1,    -1,   446,
      -1,    -1,   449,    -1,    -1,   452,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,   503,    26,    27,    -1,
     507,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,   510,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
      -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,   496,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,    -1,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
     311,   312,   313,    -1,    -1,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,    -1,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   504,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,    -1,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,    -1,
      -1,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,    -1,
     345,    -1,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,   459,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   504,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
     501,   502,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   503,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   503,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,   324,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   504,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   504,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,   496,    -1,    -1,    -1,    -1,    -1,    -1,   503,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   502,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   496,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,    -1,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   496,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   496,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   496,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,     4,   490,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,    -1,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,    -1,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,    -1,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,    -1,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,    -1,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,    -1,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,    -1,   345,
      -1,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
      -1,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
      -1,    -1,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
      -1,   345,    -1,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,    -1,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,    -1,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,    -1,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,    -1,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,   121,    -1,    -1,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,    -1,   136,    -1,
     138,   139,   140,   141,    -1,    -1,    -1,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,    -1,
      -1,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,    -1,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,    -1,    -1,    -1,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,    -1,   306,   307,
      -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,    -1,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,    -1,
     398,   399,   400,   401,    -1,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,    -1,
      -1,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,    -1,   145,   146,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,   232,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,   232,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,   324,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
     324,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,   324,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
     108,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,
     333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,
      -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,
     215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,
     265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,
     305,    -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,
      -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,
      -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   303,   304,   305,    -1,    -1,   308,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,   317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
     331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,
      -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,   432,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
     461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   512,  1048,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   296,   299,   314,   387,   429,   443,   458,   484,   490,
     494,   495,   496,   497,   498,   501,   502,   503,   504,   506,
     507,   508,   509,   510,  1041,  1049,  1077,  1079,  1170,  1180,
    1181,  1183,  1189,  1190,  1078,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   146,   148,   150,   158,   160,
     161,   167,   174,   176,   177,   178,   179,   191,   193,   197,
     203,   204,   210,   211,   212,   215,   218,   220,   226,   228,
     232,   234,   243,   256,   257,   263,   265,   268,   269,   271,
     281,   282,   284,   286,   287,   292,   300,   303,   304,   305,
     308,   311,   312,   315,   317,   330,   331,   332,   333,   334,
     344,   346,   348,   358,   359,   364,   366,   371,   376,   377,
     379,   380,   383,   388,   389,   396,   397,   399,   400,   402,
     407,   415,   419,   427,   428,   432,   434,   436,   438,   443,
     446,   452,   457,   458,   461,   469,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   503,   513,   514,   520,   521,
     523,   524,   525,   526,   527,   528,   529,   531,   532,   536,
     547,   550,   551,   554,   555,   556,   567,   570,   571,   586,
     625,   626,   633,   639,   641,   643,   644,   647,   650,   651,
     655,   656,   665,   669,   670,   671,   675,   676,   678,   679,
     680,   693,   694,   695,   696,   707,   708,   715,   716,   719,
     720,   721,   722,   723,   728,   730,   733,   737,   741,   742,
     752,   753,   756,   761,   772,   791,   794,   795,   796,   799,
     802,   804,   806,   809,   812,   813,   814,   821,   822,   824,
     825,   826,   831,   833,   834,   838,   839,   842,   843,   844,
     846,   847,   848,   849,   851,   854,   855,   860,   866,   869,
     871,   876,   878,   882,   889,   893,   894,   895,   896,   897,
     898,   901,   928,  1045,  1046,  1050,  1052,  1053,  1070,  1071,
    1072,  1073,  1084,  1086,  1090,  1091,  1092,  1093,  1094,  1096,
    1098,  1100,  1101,  1102,  1103,  1105,  1110,  1111,  1115,  1116,
    1125,  1127,  1128,  1129,  1132,  1137,  1140,  1145,  1147,  1148,
    1151,  1153,  1156,  1165,  1183,  1191,    73,  1073,  1081,  1082,
      14,     9,    13,    15,    28,    45,    46,    50,    51,    56,
      65,    67,    69,    70,    72,    91,    92,    93,    94,    95,
      96,    97,    98,   100,   101,   102,   110,   111,   113,   114,
     116,   117,   118,   125,   126,   127,   128,   129,   132,   133,
     134,   136,   138,   139,   140,   141,   146,   147,   148,   149,
     151,   152,   154,   155,   156,   157,   158,   159,   162,   171,
     172,   173,   174,   175,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   207,   208,   209,   210,   212,
     213,   214,   217,   219,   221,   223,   225,   229,   230,   231,
     233,   236,   238,   239,   240,   241,   242,   244,   245,   246,
     248,   249,   250,   251,   252,   253,   255,   259,   260,   261,
     267,   270,   272,   273,   274,   275,   276,   277,   278,   280,
     283,   286,   287,   288,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   306,   307,   310,   311,
     313,   316,   318,   319,   320,   322,   325,   326,   327,   335,
     336,   337,   338,   339,   340,   341,   343,   345,   347,   348,
     349,   351,   352,   353,   354,   355,   356,   357,   359,   360,
     361,   362,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   375,   376,   378,   379,   381,   382,   383,   384,
     385,   386,   387,   388,   390,   391,   392,   393,   394,   396,
     398,   399,   401,   403,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   417,   418,   420,   421,   422,   423,
     424,   425,   429,   431,   433,   436,   437,   438,   439,   440,
     441,   442,   445,   446,   447,   448,   449,   452,   453,   454,
     455,   456,   457,   460,   462,   463,   464,   467,   470,   471,
     472,   473,   474,   484,   485,   486,  1042,  1044,  1045,  1063,
    1064,  1155,  1156,  1157,  1161,  1166,  1167,  1168,  1175,  1177,
    1181,  1183,    29,   258,  1126,    99,   163,   180,  1034,  1065,
    1112,  1113,  1161,  1177,    99,   890,  1033,  1065,  1161,  1174,
      14,   890,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   144,   145,   152,   153,   160,   163,
     164,   165,   166,   168,   169,   170,   180,   182,   188,   192,
     193,   199,   203,   206,   216,   218,   222,   224,   227,   232,
     235,   237,   247,   254,   258,   262,   264,   266,   279,   285,
     289,   290,   309,   314,   321,   323,   324,   328,   329,   342,
     350,   363,   374,   389,   395,   404,   416,   419,   426,   429,
     430,   435,   443,   444,   450,   451,   457,   459,   465,   466,
     468,   469,  1044,  1047,  1157,  1158,  1159,  1163,  1164,  1165,
    1166,  1168,    25,    35,   134,   262,  1152,    38,    40,   309,
    1085,   431,   471,   827,    98,   144,   157,   174,   180,   195,
     213,   224,   229,   235,   250,   275,   325,   353,   378,   384,
     390,   393,   419,   421,   425,   433,   438,   450,   463,   640,
    1113,   179,   827,    99,   890,   461,   856,   323,   349,   827,
     121,   577,   894,    98,   110,   131,   144,   153,   174,   180,
     195,   213,   224,   231,   235,   288,   325,   328,   378,   384,
     393,   421,   422,   424,   425,   433,   438,   444,   447,   450,
     587,   711,   762,   773,  1034,  1054,  1055,  1056,  1065,  1181,
    1183,    14,    99,   348,  1033,  1065,  1069,   408,   890,    99,
     343,   422,   424,   274,   800,   801,  1181,    98,   110,   131,
     144,   157,   174,   195,   213,   224,   229,   235,   250,   325,
     335,   378,   382,   384,   390,   393,   419,   421,   425,   433,
     438,   450,   463,   640,   724,   827,   509,  1095,  1159,   244,
    1069,   160,   179,   210,   461,   503,   855,   861,   869,   871,
     876,   882,   889,   893,  1050,    92,    99,   116,   219,   225,
     227,   247,   276,   306,   351,   365,   494,   495,   738,   739,
     890,  1041,  1043,  1175,  1177,    99,   160,   363,   389,   743,
     744,   745,  1161,  1161,  1038,  1181,   419,   904,   116,   225,
     738,  1161,   431,  1069,   335,   174,   250,   418,   419,   807,
     383,  1161,    99,   134,   394,   427,   431,   457,   539,  1044,
    1045,  1155,  1160,  1166,  1168,  1183,    96,   232,   743,   744,
     349,   827,  1161,   273,    99,   192,   906,     4,    14,   132,
     152,   154,   288,   302,   378,   384,   394,   427,   431,   474,
     537,   538,   539,    99,   394,   427,   431,   539,   431,   324,
     937,  1031,  1161,   904,  1149,  1159,   496,  1161,   228,   503,
     857,   503,  1027,   361,   899,   900,  1033,   894,   895,   898,
     507,   856,   206,   264,   329,   443,   907,   908,   894,   896,
     897,   185,   260,   449,   506,   118,   513,  1093,  1096,  1092,
    1088,   507,  1097,  1099,     5,    25,    35,   134,   196,   262,
    1104,   175,   240,   296,   299,   387,   484,   503,   968,   969,
    1076,  1080,  1170,    73,  1073,  1033,  1065,  1184,   180,  1054,
      21,   451,   497,  1069,  1069,  1184,   451,  1117,  1118,  1119,
      25,   262,   262,  1163,     7,    19,    20,    39,    42,   156,
     193,  1154,  1154,    16,  1093,  1039,  1046,  1155,  1158,  1161,
    1162,  1166,  1167,  1183,   726,  1161,   726,  1034,   352,   726,
     726,  1033,  1161,   173,   419,   751,  1039,  1042,   242,  1031,
     318,    85,   139,   217,   490,   491,   492,   494,   495,   496,
     497,   498,   499,   798,   994,   995,  1161,  1042,  1033,   242,
    1031,  1033,   242,   937,  1033,   386,  1033,   726,   293,  1042,
     242,  1031,   274,    34,   182,   270,   309,   357,   828,   829,
     830,  1031,  1037,  1161,    98,   131,   144,   145,   153,   157,
     174,   195,   213,   224,   229,   250,   275,   325,   378,   382,
     384,   390,   393,   419,   421,   425,   433,   438,   463,   640,
     731,  1181,  1031,   429,  1039,  1033,   503,   726,   433,  1034,
     726,   242,  1033,   173,   419,   422,   424,  1042,   422,   424,
     139,   217,   798,   369,  1042,   533,  1161,  1033,  1033,   386,
    1033,   726,   293,  1042,   390,   419,   463,   157,   250,   229,
     382,   437,   634,    85,  1057,  1058,   508,  1177,  1184,    99,
    1069,  1183,   891,   546,  1161,  1181,   801,   242,  1039,  1033,
     242,   805,   242,  1034,   173,   419,   242,  1039,   242,  1032,
    1033,   150,   139,   217,   242,   798,   125,   242,  1032,   242,
    1033,   242,  1033,   242,  1033,   386,   242,  1033,   242,   293,
    1032,   274,   242,   725,   726,   503,   509,  1185,  1186,  1187,
    1188,  1190,  1095,    71,  1065,  1114,   503,   870,   587,   890,
     861,   457,   461,   855,   862,   863,   864,  1161,   856,  1043,
     739,   740,    99,   739,   890,  1043,   740,    99,   739,   890,
    1043,   740,   740,   740,  1043,  1041,  1041,   266,   451,  1119,
    1120,  1194,  1195,   890,   740,   352,   503,   503,   606,   606,
     606,   323,   429,   506,   606,   937,   938,   739,   890,   739,
     890,   506,   823,  1181,   227,   503,   867,   125,  1033,  1033,
    1031,  1161,   115,   486,   270,   505,   326,   326,   323,   227,
    1181,   429,   222,   734,   323,    83,    84,    85,    87,   107,
     120,   122,   123,   130,   131,   134,   135,   142,   144,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   211,
     215,   216,   220,   234,   262,   263,   265,   281,   289,   290,
     303,   305,   309,   314,   315,   317,   325,   334,   344,   358,
     380,   395,   402,   415,   427,   428,   432,   434,   435,   444,
     450,   458,   476,   477,   478,   479,   480,   481,   482,   483,
     494,   495,   496,   503,   894,   949,   952,   955,   956,   957,
     959,   960,   961,   962,   965,   966,   970,   972,   973,   992,
     996,  1015,  1020,  1028,  1029,  1039,  1040,  1041,  1161,  1173,
    1175,  1177,  1178,  1179,  1180,  1181,   429,   490,  1184,  1181,
     429,   490,  1113,    99,   552,  1030,  1031,   394,   537,   180,
     545,  1181,   546,  1181,   115,   136,   537,   486,   403,   829,
     326,   227,   429,   490,   115,   486,   270,  1194,   830,   503,
    1031,   496,   501,   505,  1021,  1022,   938,  1165,   226,   228,
     461,   852,   853,   855,   226,   858,   180,   970,  1025,  1026,
     899,   506,   503,   859,   504,   504,  1031,    99,   192,   905,
     905,   125,   905,   218,   222,   285,   321,   911,   913,   914,
     923,   925,   926,   907,   908,   227,   266,   937,   939,  1027,
     507,  1087,   496,  1106,  1107,  1109,   509,   509,    25,   262,
     262,   429,   429,   429,   429,   503,   429,   495,   631,  1043,
    1074,  1180,   203,   108,  1061,   125,  1064,  1064,   266,  1119,
    1121,   266,  1119,  1120,  1121,   456,  1130,  1131,  1177,    14,
      37,    84,   494,   495,  1041,  1122,  1123,  1124,  1173,  1175,
    1179,  1180,  1181,  1182,   262,   268,  1033,   429,  1033,     6,
    1033,  1154,  1109,   503,   701,  1022,   336,   367,   396,   505,
     727,   336,   367,   396,   336,   367,   396,   469,   515,   547,
     548,   757,    95,   197,   336,   367,   396,   454,   559,   396,
      95,   197,   449,   530,   472,   242,   937,   127,   159,   214,
     245,   280,   309,   336,   367,   375,   381,   388,   396,   405,
     413,   464,   547,   549,   785,   792,   503,   774,   367,   530,
     211,    95,   101,   141,   190,   197,   200,   252,   307,   309,
     319,   327,   336,   367,   371,   396,   454,   557,   558,   659,
     631,   726,   726,   503,   797,   505,   247,   367,   515,   522,
     336,   367,   211,   126,   172,   249,   295,   297,   307,   335,
     367,   372,   396,   407,   557,   628,   629,   336,   367,   462,
     659,   667,   211,   367,   396,   557,   336,   367,   371,   396,
     151,   189,   337,   423,   323,    95,   101,   197,   336,   367,
     396,   568,   569,   222,   367,   396,   515,   548,   211,   367,
     396,   557,  1033,   507,   283,   182,   324,   473,   506,   828,
     451,   850,   323,  1039,   503,  1033,   173,   419,  1039,   318,
     139,   217,   798,  1033,   386,  1033,   274,   726,   606,   410,
     411,   573,  1181,   503,   701,   702,   137,   120,   122,   123,
     134,   135,   177,   178,   220,   263,   265,   303,   305,   317,
     358,   397,   402,   427,   428,   458,   946,   948,   950,   952,
     954,   956,   957,   958,   960,   961,   965,   966,  1155,  1162,
    1166,  1167,  1183,   227,   503,   697,  1033,   515,   108,   845,
     309,   515,   472,   242,  1031,   515,   726,   726,   697,   587,
     515,   115,   534,   438,   666,   336,   642,   151,   189,   337,
     423,    97,   117,   261,   681,   108,   697,   222,   515,  1031,
     242,   623,  1031,  1031,   726,   150,   763,  1039,  1033,   640,
      74,  1059,  1161,   508,  1060,  1057,   121,   171,   259,   307,
     385,   211,   701,   128,   373,   560,   211,   503,   211,   472,
     211,   774,   211,   506,   242,   725,   242,   726,   242,   726,
     211,   797,  1032,   211,   211,   323,   211,   560,   211,   151,
     189,   337,   423,   211,   323,   211,   222,   242,   242,   546,
     211,   506,   560,   504,  1186,  1187,  1185,   506,   510,   970,
     999,  1118,  1193,  1194,   419,   891,   504,   506,   216,   323,
     435,   543,   546,   631,   865,   861,   740,   890,   740,   890,
    1195,  1196,   740,   890,   740,   890,  1196,   740,   890,   890,
     890,   740,    14,    37,  1169,  1172,  1177,   890,   503,   607,
     608,  1161,   607,    99,   174,   195,   224,   229,   274,   275,
     384,   390,   419,   421,   438,   746,  1030,  1032,   745,   247,
     506,   879,   890,   890,  1181,  1114,   946,  1002,   108,  1032,
     223,   808,   808,   808,   283,  1161,   222,   222,   746,  1032,
     383,  1161,   546,   323,   503,   501,   894,  1003,   460,   963,
     970,  1019,   503,   963,   963,   503,   222,   503,   503,   503,
     951,   951,   346,   894,   503,   503,   953,   503,   503,   503,
     503,   134,   135,   963,   970,   503,   951,   503,   503,   503,
     503,   503,   470,   489,   503,   967,   503,   967,   503,   503,
     894,   503,   503,   503,   503,   503,   503,   503,   503,   970,
     970,   894,   970,   999,  1181,   135,   503,   964,   503,  1181,
      85,    88,   105,   108,   113,   119,   143,   243,   247,   268,
     269,   284,   309,   312,   325,   328,   400,   490,   491,   492,
     494,   495,   496,   497,   498,   499,   994,   996,   998,  1183,
     333,   970,   266,   506,   902,  1194,   503,  1181,  1022,    22,
    1176,  1177,  1023,   320,   323,  1146,  1146,    10,   456,  1133,
    1134,  1136,  1113,  1113,   183,   244,   553,   506,   136,   180,
     546,   108,   180,   288,   544,   631,   966,  1181,  1183,  1181,
     155,   194,   979,   163,   180,   540,   541,   543,   631,   180,
     540,  1194,  1194,   283,  1031,   970,   496,  1036,  1163,  1021,
     156,   372,   729,   268,   504,   506,   856,   504,   506,   900,
    1032,   108,   859,   896,   896,   909,   910,   970,   896,   219,
     306,   920,   357,   398,   449,    99,   915,   970,   916,   918,
     970,   972,   923,   924,   914,   913,   911,   912,   222,   926,
     911,   923,   939,  1031,   108,  1161,   396,  1106,   496,   506,
     507,  1164,  1083,  1086,  1083,   262,   175,   240,   296,   969,
     296,   969,   969,   299,  1041,   296,   299,   387,  1180,   506,
    1075,   179,  1113,   450,  1062,  1064,  1033,    37,  1041,  1135,
    1177,   506,   490,  1033,    14,  1041,  1180,  1041,  1180,   506,
    1093,   503,  1033,   503,  1165,   496,  1002,   336,   367,   396,
     429,   429,   384,  1036,   505,   429,   429,   384,   429,   429,
     421,   537,   840,   222,   232,   247,   376,   758,   759,   137,
     153,   207,   224,   350,   444,   603,   604,   153,   180,   309,
     429,   153,   429,   180,   309,   384,   153,   384,   648,    98,
     131,   144,   157,   195,   224,   229,   325,   384,   390,   393,
     419,   425,   438,   463,   640,  1033,   211,   367,   396,   557,
     323,   631,   388,   280,   429,   429,   314,   631,   184,   267,
     384,   394,   431,   538,   373,   396,   785,   793,   247,   257,
     330,   397,   459,   504,   775,   778,   779,   780,   782,   946,
    1162,   429,   450,  1031,   145,   207,   594,   603,  1161,   145,
     810,   323,   382,   433,   153,   810,   102,   370,   382,   433,
    1031,   252,   319,   726,   503,   429,   429,   503,   563,   421,
     469,   470,   563,   153,   506,   336,   451,   451,   308,   946,
     336,   396,   798,   174,   429,   517,   548,   429,   429,  1031,
     631,   125,   630,   631,   631,   172,   295,   297,   125,   429,
     515,   384,   515,   307,   629,   429,   429,   314,  1181,   659,
     937,   153,   429,   810,   384,   429,   429,   563,   563,   726,
     726,   726,   726,  1031,   114,   456,   114,   114,   429,   114,
     429,   384,   506,   170,   450,   677,  1042,   429,   517,  1031,
     429,   384,   336,   367,   357,   368,   392,   542,   828,  1037,
    1161,  1031,   701,   946,   323,   472,   774,   631,   726,   726,
     797,   268,   323,   151,   189,   337,   423,   323,   726,   268,
     469,   578,   515,   703,   704,  1183,   697,   503,   948,   108,
     107,   947,   175,   299,   484,   503,   968,   727,   951,   726,
     698,   699,  1163,    97,   835,   946,   211,   645,  1033,   309,
     503,   672,   516,   711,   451,   463,   516,  1042,   160,   232,
     535,   586,   625,   680,   741,   761,   831,  1181,   667,   668,
    1033,   291,   726,   726,   726,   726,   319,   185,   260,   436,
     449,   682,   683,   204,   356,   503,   677,   516,   627,   628,
     309,   108,   319,   503,   606,   606,   222,   764,  1037,   503,
     776,   108,   274,   505,  1041,  1060,   469,   470,   892,   385,
    1039,   560,   946,  1034,   242,  1033,  1039,   560,  1032,  1033,
     211,   560,   211,   451,   211,   451,   798,   560,   560,  1032,
    1033,   726,  1033,  1033,  1033,   726,  1032,   677,   211,   211,
     560,   725,   726,   504,   510,  1188,   504,   506,  1194,  1118,
    1031,   171,   861,   863,   890,   890,  1196,   890,   890,  1196,
     890,   890,  1033,    14,   506,  1176,   607,   504,   506,   504,
     230,   391,   420,  1032,   725,   173,   393,   750,   751,  1032,
     318,  1032,  1030,  1030,  1032,   725,   429,   469,   754,    93,
     209,   380,   398,   880,   937,   313,   881,   504,   506,   868,
     871,   876,   882,   893,   429,   744,   743,   744,   227,   233,
     755,  1161,    98,   145,   174,   195,   224,   229,   275,   378,
     384,   390,   419,   421,   438,   463,   640,   735,   999,   502,
     999,  1003,  1004,   503,   465,  1016,  1017,   970,   999,   503,
    1041,  1041,   999,   175,   240,   296,   299,   387,   484,  1005,
    1006,  1181,  1183,  1041,   999,   999,  1041,  1041,   963,   963,
     970,   798,   970,  1007,   494,   495,   971,   972,   992,   996,
    1009,   504,   999,   970,   999,  1010,   427,   486,  1041,  1041,
     970,   124,   227,   279,   430,   970,   999,  1013,   999,   301,
     972,   970,   977,   978,   979,   301,   970,   979,   504,   506,
     396,  1041,  1041,   968,   946,   970,  1163,   427,   112,   416,
    1024,   726,   970,   503,   894,  1014,   192,   194,   216,   309,
     314,   319,   435,   445,   970,   119,   243,   247,   284,   400,
     503,   970,   429,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,    99,   106,   404,   993,   380,   503,   992,
     231,   288,   419,   422,   424,   447,   903,  1031,  1029,   227,
     929,    99,   192,   459,   496,   504,   780,   970,  1000,  1001,
    1162,  1033,  1177,  1021,  1135,   506,   490,  1031,   431,   503,
    1181,   506,  1194,   504,   502,   508,   241,   241,   560,  1093,
    1031,   853,   854,  1031,  1025,   504,   503,   506,   109,   188,
     451,   770,   503,   917,  1043,   324,   319,   927,   927,   506,
     380,   381,   919,   924,   912,   451,   877,   180,   503,   872,
     893,  1161,   503,   883,   884,   885,   886,   887,  1161,   507,
    1107,   947,   510,  1086,   510,   504,   631,   504,    34,  1063,
    1138,  1139,  1177,  1131,  1136,  1184,  1122,   947,  1171,  1187,
    1171,   947,   504,   504,   429,   429,   384,  1042,  1033,  1033,
    1036,  1042,  1033,  1033,  1042,  1034,  1033,   152,   841,   378,
     450,   743,   384,   232,   743,   307,   605,  1033,   451,   765,
     272,   272,   451,   503,   622,   242,  1033,   314,  1042,  1033,
    1033,   970,   314,  1033,  1033,  1033,   429,   649,  1039,   503,
     726,   726,   726,   173,   419,   751,   139,   217,   798,  1033,
     726,  1033,   726,   386,   726,   726,   274,   236,   307,   336,
     367,   455,   652,   653,   654,   937,   429,   810,   384,   314,
     184,   267,  1042,  1033,   323,  1033,   330,  1162,   504,   506,
     780,   782,   779,   782,  1162,   727,  1042,  1032,   367,   557,
     594,   946,  1161,  1033,  1033,    99,   450,  1033,   242,  1033,
     242,  1161,   382,   433,   382,   433,  1033,    99,   450,  1033,
    1031,    95,   197,   396,   660,   661,   662,   663,  1163,  1042,
    1033,   565,   566,  1163,  1033,   322,   141,   322,  1033,   558,
     429,  1035,  1161,  1035,   506,   504,   506,   429,   384,  1034,
    1042,   152,   202,   252,   341,   442,   450,   453,   518,  1183,
    1042,  1033,   367,   396,   557,   628,   631,   726,  1033,   631,
    1033,   631,  1042,  1033,   367,   396,   557,  1033,  1033,  1033,
    1033,  1042,  1033,    95,   101,   197,   336,   367,   396,   336,
     367,   396,   697,   367,   396,   367,   396,   367,   945,  1161,
    1181,  1161,   242,  1161,  1042,  1033,  1033,  1033,    95,   569,
     393,  1042,   367,   396,   557,  1033,  1033,   429,   429,   149,
     441,   357,   268,   108,   726,   268,   268,   451,   451,   268,
     314,   732,  1181,   726,   726,   726,   726,   726,   726,   268,
     732,   322,   227,   429,   572,   503,   574,   575,   504,   506,
     490,   970,   107,   947,   946,   501,   501,   429,   429,  1041,
     951,   504,   506,   490,   682,   152,   201,   277,   278,   291,
     336,   421,   423,   836,   596,  1033,   227,   384,   462,   646,
     653,   654,   211,   504,   594,   673,   674,   393,    96,   247,
     378,   417,   518,   519,   222,  1035,  1031,   534,   328,   587,
     224,  1181,   697,   697,   697,   697,   319,   323,   328,   503,
     697,   943,   944,   945,   393,   211,   210,  1051,   726,   284,
     588,   590,   592,   594,   600,   603,  1161,   469,   470,   618,
     469,   564,  1181,   323,   504,   777,   778,   783,   108,   274,
     375,   468,   784,   785,   786,   323,   546,  1059,   497,   239,
     239,   222,   701,   108,   211,   560,   774,   725,   726,  1035,
     726,  1035,   797,   323,   560,   560,   323,   560,   393,   222,
     546,   560,   970,   892,  1184,  1172,   504,   608,   247,   247,
     247,   472,  1032,   506,   631,   632,   235,   747,   748,  1042,
      96,   755,   209,   398,   209,   398,   380,   449,   298,   946,
    1033,   227,   323,   747,   125,   560,  1039,   419,  1039,   318,
     274,   726,   504,   502,   502,   506,   999,   970,   199,  1017,
    1018,   108,   504,   970,   504,   504,   504,   504,   227,   504,
     504,   504,   504,   504,   506,   504,   342,  1008,   504,   971,
     971,    88,   247,   268,   325,   490,   491,   492,   494,   495,
     496,   497,   498,   499,   996,   971,   504,   504,   222,   227,
    1011,  1012,   504,   486,   504,   504,   108,  1013,   999,  1013,
    1013,   227,   504,   504,  1163,   340,   981,   108,   504,   506,
     970,  1163,   506,   970,  1023,   970,  1161,   504,   504,   486,
     971,   971,   205,   999,   227,   192,   194,   216,   314,   319,
     435,   445,   503,   205,   416,  1024,   970,  1014,   970,   429,
     798,   970,   503,   894,   422,   424,   422,   424,  1031,   904,
     904,   904,   503,   894,   930,   931,   932,   937,   940,   973,
    1039,  1161,   466,   941,  1000,  1000,  1001,   504,   332,   985,
      90,   504,   506,   908,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   173,   301,   346,   438,  1141,
    1142,  1144,  1134,  1135,   829,  1041,   968,   541,   970,   947,
     859,   868,   910,   325,   994,   997,   487,   488,   771,   970,
     919,  1030,   881,   881,   916,   930,   466,   942,   457,   873,
     874,  1161,   374,   875,   887,   888,   506,   929,   490,  1023,
     508,  1089,   507,   506,   490,    30,  1150,   504,   504,   507,
    1042,  1033,  1033,   285,  1032,  1032,   323,  1032,   326,   323,
     252,   503,   604,  1035,   503,   503,   503,   622,   250,   607,
     691,   211,   560,   429,   546,   701,   946,   472,   726,   726,
     726,   797,   151,   189,   337,   423,  1033,   635,  1033,   236,
     455,   429,   429,   635,   652,   659,   367,   396,   557,  1033,
    1033,  1033,   258,   314,   727,   778,   782,   782,   498,   429,
     327,   657,   197,   371,   396,   559,   659,   811,   211,   560,
     211,   560,  1033,  1033,  1033,  1033,   662,   663,   662,   504,
     506,   664,  1181,   504,   506,   490,   505,  1042,   336,   367,
     396,    95,   197,   336,   367,   396,   946,   308,   946,  1042,
    1033,   285,   341,   314,  1181,   341,  1032,   448,   429,   384,
     429,   810,   384,   429,   429,   293,   293,   293,   429,   429,
     384,   429,   429,   384,   429,   384,   429,   384,   429,   560,
     946,    97,   117,   396,   811,   211,   560,   429,  1033,   429,
     384,  1042,  1033,   732,   946,   268,   732,   732,  1035,  1035,
     732,   268,   268,   268,   268,   268,   268,   732,   573,   581,
     582,  1163,   121,   162,   186,   201,   205,   223,   238,   314,
     322,   355,   576,   704,  1183,   325,   494,   495,   631,   700,
     782,   997,  1047,  1181,   504,   501,   504,  1041,   502,   503,
    1041,  1161,  1181,  1192,   504,   699,   700,   323,   285,   490,
     837,   837,   837,   837,   837,   837,   837,   137,   143,   153,
     180,   182,   254,   309,   314,   350,   363,   444,   597,   598,
     599,   515,   546,  1033,   546,   657,  1031,   504,   506,  1033,
    1032,   235,   378,  1032,  1041,   438,   606,   369,   419,   173,
     607,  1031,   683,   705,   706,  1181,   504,   506,  1033,  1031,
    1033,   893,   503,   589,  1031,   504,   506,   322,   563,   322,
     323,   619,   563,   108,   429,  1031,   504,   506,   180,   490,
     787,  1181,   546,   419,   781,   782,   469,   786,   788,   185,
     260,   389,   449,   819,   236,  1055,   893,  1069,   560,   946,
    1033,   560,   560,   451,   560,   451,   560,   560,   726,   726,
    1033,   677,   560,   222,   384,   384,   384,  1032,   751,   506,
    1042,   469,   506,   749,   326,   209,   209,  1032,   746,   560,
    1042,   701,   774,   631,   726,   268,  1003,   504,   426,   970,
     203,   946,   504,   970,   970,   970,  1011,   946,   971,   192,
     194,   309,   319,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   970,   970,  1012,  1011,   967,   967,   946,
     504,   504,   504,   999,   504,   506,   125,   972,   504,  1163,
     978,   347,   414,   980,   504,   506,   462,   974,   108,   504,
     964,  1181,   970,   105,   105,   970,   504,   970,   227,   503,
    1002,   970,   971,   971,   205,   205,   970,   504,   205,   970,
     904,   904,   904,   904,  1031,  1031,  1031,   894,   931,   932,
     108,   933,  1161,   506,   161,   228,   256,   271,   282,   304,
     377,   934,   933,   108,   933,  1161,   503,  1022,   970,   235,
     921,   506,   907,   908,   907,   504,   985,   503,   986,  1161,
     970,   985,  1181,   459,  1001,   504,   506,   490,   504,   502,
    1150,   504,   503,   771,   504,   324,   163,   970,   875,   504,
     506,  1023,  1028,   504,   506,   884,   942,  1025,  1041,   490,
    1108,  1139,  1144,   837,   230,   391,   420,   439,   760,   222,
     760,   970,   503,   610,   611,   767,   973,  1161,   607,   607,
     691,  1037,   504,   182,   254,   309,   692,  1033,  1033,   108,
    1033,   451,   451,   726,   726,   726,   726,   727,  1042,  1033,
     429,   810,   384,   429,   258,   498,   438,  1033,   503,   596,
     309,   563,   173,   309,   409,   412,   563,   438,  1033,  1161,
     661,   566,   700,  1163,   429,   429,   384,   229,   325,   412,
     709,   710,   229,   325,   717,   718,   429,   429,   384,   504,
     504,   504,  1043,  1181,  1181,  1181,  1033,  1033,  1033,  1033,
    1033,  1033,  1033,   222,   222,   369,   222,   242,  1042,  1033,
    1033,  1042,  1033,  1033,  1033,  1033,  1033,  1033,  1033,   143,
     561,  1181,  1181,   438,  1161,  1033,   659,  1033,  1033,   504,
     732,   268,   268,   732,   732,   732,   732,   732,   732,   451,
     579,   580,   504,   506,   496,   503,   543,   583,   631,   845,
    1181,   845,   309,   355,   845,   845,   691,  1041,   469,   470,
     502,  1192,   494,   495,   496,   497,   498,   502,   968,  1031,
     837,   180,  1041,  1181,   180,  1181,   180,  1181,   180,  1181,
     180,  1033,   180,  1033,   180,  1033,   605,   726,  1033,   971,
     183,   244,   182,   314,   272,  1031,   788,   645,   672,   674,
     657,  1032,  1032,   946,   564,  1031,   472,   222,   684,   504,
     506,   945,   657,   319,   503,   870,   469,   624,   591,   593,
     595,   603,  1161,   618,   601,   253,   617,   592,   148,   421,
     620,   893,  1181,   765,   783,   970,   970,   506,   503,   784,
     697,   429,   635,    85,  1066,   504,   560,  1035,  1035,   560,
     560,   393,  1032,  1032,  1032,   631,   232,   748,   755,   227,
     268,   268,   268,   268,   314,   736,  1181,   970,   504,   504,
    1012,   227,   192,   194,   319,   503,   504,   475,   976,   999,
     362,   125,   467,   467,   504,   970,   307,   970,   506,   975,
     948,   968,   971,   971,   970,  1002,   504,   105,   105,   970,
     970,   205,   970,   504,  1031,  1031,  1031,  1031,   504,  1161,
     503,   931,   271,   331,   935,   931,   935,   271,   934,   935,
     271,   503,  1161,   503,  1000,   125,   237,   922,   504,   504,
     985,   987,  1161,  1001,   985,  1142,   495,  1135,  1143,  1180,
    1181,  1181,   798,   319,   893,   874,  1194,   490,   887,   875,
    1188,  1043,   429,   743,   227,   504,   970,   504,   506,   469,
     143,   768,   768,   504,   504,   788,   183,   244,   182,   453,
     560,   946,  1035,  1035,  1033,  1033,  1033,  1033,   438,   658,
     662,   314,   314,  1043,  1161,   946,   560,   560,   490,  1042,
    1033,  1033,  1041,  1041,   946,   506,  1041,  1041,   506,  1042,
    1033,  1033,   429,  1032,  1032,   726,  1032,   211,   726,   946,
     560,   560,   268,   732,   732,   515,   187,   582,   543,   584,
     585,  1181,  1181,   314,   496,   607,  1181,  1181,   502,   229,
     257,   229,   504,  1192,  1192,  1192,  1192,  1192,   227,   690,
    1043,   503,   309,   598,   788,   606,   451,   621,   393,   451,
     108,   503,  1033,   198,   685,   465,   687,  1181,   726,   588,
     624,   173,   307,   504,   506,   469,   619,   208,   248,   503,
     618,   185,   197,   347,  1033,   469,   832,   227,   503,  1181,
     780,   789,   790,  1162,   788,  1031,   255,   636,  1067,  1161,
     560,   560,   560,  1033,   326,   560,   747,   736,   736,   736,
     736,   971,   227,   503,  1002,   503,   504,   506,   504,   972,
     362,   504,   456,   406,   504,   504,   504,   971,   971,   970,
     933,   503,  1032,   931,   323,   451,   936,   931,   271,   931,
     944,   503,   944,  1161,   504,   999,   970,   468,   982,   985,
     985,   339,   988,   504,  1041,  1180,   968,   504,   890,  1027,
     747,   323,   747,   691,   504,   788,   611,   325,   798,   726,
     451,   726,   769,   769,   363,   788,   621,   504,   429,   504,
     506,   561,   700,   503,  1039,   798,   710,   503,   503,   718,
    1033,   469,   369,   469,   469,   222,   561,   732,   574,  1181,
     504,   506,   607,   751,   108,   803,   803,  1031,   691,   970,
     621,   294,   609,   250,  1033,  1035,   893,   657,   380,   408,
     686,   503,   210,   589,   504,   173,   593,   327,   620,    99,
     147,   154,   181,   251,   412,   602,   602,  1030,   619,   381,
     381,   129,   137,   288,   726,   766,   767,   782,   504,   506,
     941,   635,   307,   455,   637,   638,   490,  1068,   560,   971,
    1002,   504,   977,   999,   125,   307,   485,  1032,   504,   970,
     503,   931,   936,   504,   944,   504,   983,   984,  1161,   125,
     907,   985,   749,   760,   560,   768,   621,   503,   726,   770,
     770,  1031,   621,   691,  1033,   662,   451,   562,  1002,   774,
     222,   713,   797,  1002,  1002,   725,   726,   725,   726,  1032,
     560,   585,   803,   111,   246,   222,   504,   228,   338,   401,
     323,   613,   614,   615,   421,   657,   217,   712,   832,   970,
     354,   618,   617,   596,   504,   620,   137,   326,   137,   504,
     506,   784,   789,   193,   455,   635,  1041,  1175,  1183,    85,
     504,   504,   504,   362,   456,   504,  1032,   504,   506,   108,
     999,   356,   381,   989,   227,   769,   466,   612,   798,   771,
     771,   606,   691,   970,   504,   329,   386,   360,   714,   713,
     504,   504,   469,   198,   185,   449,   323,   615,   323,   614,
    1033,   726,   108,   504,  1039,   619,   618,   326,   326,   564,
     767,   788,   100,   261,   820,  1067,   504,   984,   986,   119,
     163,   440,   970,   990,   991,   990,   504,   747,   770,   503,
     691,   504,   609,  1039,   125,   714,   726,   380,   128,   307,
     373,   396,   616,   616,   709,   503,   620,   619,   620,   310,
     503,   815,   817,   822,   871,   876,   882,   893,   991,   380,
     221,   345,   221,   345,   560,   771,   970,   613,   774,   726,
     687,    94,   180,   314,   688,   689,  1041,  1163,  1180,  1181,
     620,   941,   816,   817,   818,   894,   895,   105,   504,   691,
     210,   504,   506,   504,   507,   991,   354,   689,   818,  1039,
     503,   688,   504
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1470 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1472 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1474 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1476 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1478 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1494 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1496 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1498 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1520 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1538 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1540 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1542 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1544 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1546 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1548 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1550 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1554 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1556 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1558 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1594 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1598 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1614 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1622 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1638 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1642 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1662 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1664 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1693 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1715 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1721 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1731 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1735 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1741 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1745 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1755 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1766 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1780 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1787 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1793 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1804 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1810 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1819 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1826 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1832 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1841 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1848 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1855 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1861 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1873 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1884 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1895 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1910 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1970 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1978 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1997 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 2005 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 2053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 2073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 2085 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 2097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 2101 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2123 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2167 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2171 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2203 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2208 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2268 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2322 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2334 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2338 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2409 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2417 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2429 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2445 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2454 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2570 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2574 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2578 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2586 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2594 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2598 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2610 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2654 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2690 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2694 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2722 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2754 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2795 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2802 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2822 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2866 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2874 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2887 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2898 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2953 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2964 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2980 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2984 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 3004 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 3012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 3027 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 3034 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 3038 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 3060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 3076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 3080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 3088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 3092 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3103 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3111 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3123 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3127 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3167 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3178 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3275 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3287 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3311 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("check"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3359 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("check"),(yyvsp[(2) - (6)].str),mm_strdup("("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3430 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3446 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3453 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3476 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3488 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3532 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3570 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3644 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3655 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3666 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3673 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3681 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3697 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3704 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3728 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3735 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3739 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3747 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3810 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3842 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3854 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3861 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3877 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3896 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3900 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3911 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3923 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3953 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3961 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3965 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3977 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3984 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 4000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 4008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 4012 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 4019 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 4027 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 4031 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 4035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 4039 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 4043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 4047 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 4051 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 4055 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 4059 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 4071 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 4083 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 4087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 4091 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4095 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4099 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4103 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4107 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4111 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4119 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4135 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4147 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4163 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4241 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4245 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4249 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4257 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4273 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4281 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4293 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4316 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4343 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4355 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4363 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4407 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4423 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4443 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4519 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4530 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4560 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4564 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4568 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4575 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4583 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4653 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4662 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4671 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4675 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4679 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4687 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4699 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4703 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4707 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4739 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4763 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4775 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4787 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4799 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4811 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4819 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4827 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4831 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4850 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4866 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4874 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4886 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4890 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4894 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4898 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4914 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4921 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4925 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4936 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4940 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4947 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4952 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4967 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4971 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4979 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4991 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4995 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 5003 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 5015 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 5019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 5027 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 5035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 5043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 5047 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 5051 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 5055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 5063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 5067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 5071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 5075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 5079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 5083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5143 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5163 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5179 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5186 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5210 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5222 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5234 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5238 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5242 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5246 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5250 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5342 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5350 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5354 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5358 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5366 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5377 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5425 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5437 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5445 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5449 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5455 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5461 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5467 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5473 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5479 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5485 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5491 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5501 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5512 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5523 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5534 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5545 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5556 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5567 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5583 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5599 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5615 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5626 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5642 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5653 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5669 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5696 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5700 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5707 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5715 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5719 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5727 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5751 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5823 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5843 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5851 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5855 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5863 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5879 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5898 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5906 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5914 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5948 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5956 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5960 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5967 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5983 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5987 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5991 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 6003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 6007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 6011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 6019 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 6027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 6031 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 6038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 6042 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 6049 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6071 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6075 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6083 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6091 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6099 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6103 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6114 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6118 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6125 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6148 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6155 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6159 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6163 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6175 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6182 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6194 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6198 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6218 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6230 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6286 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6294 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6302 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6310 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6314 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6386 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6390 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6394 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6402 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6414 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6422 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6434 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6438 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6445 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6457 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6465 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6473 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6477 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6496 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6500 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6508 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6532 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6540 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6552 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6572 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6584 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6596 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6627 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6646 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6678 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6685 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6689 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6697 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6701 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6705 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6709 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6717 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6721 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6725 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6733 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6737 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6741 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6745 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6753 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6757 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6761 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6765 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6769 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6773 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6777 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6781 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6785 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6789 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6793 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6797 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6801 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6805 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6809 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6813 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6817 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6829 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6833 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6841 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6845 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6853 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6857 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6868 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6875 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6879 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6891 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6903 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6919 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6923 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6927 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6931 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6967 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7055 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7079 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7087 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7091 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7103 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7149 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7161 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7180 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7188 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7208 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7224 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7236 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7244 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7275 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7307 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7315 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7326 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7330 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7338 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7343 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7348 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7353 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7360 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7368 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7376 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7380 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7387 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7411 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7423 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7466 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7486 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7490 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7497 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7505 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7517 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7525 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7537 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7541 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7545 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7549 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7557 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7561 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7576 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7580 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7584 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7588 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7604 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7612 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7620 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7632 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7639 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7643 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7647 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7655 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7663 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7667 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7675 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7699 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7734 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7741 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7767 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7775 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7795 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7815 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7819 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7835 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7851 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7859 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7866 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7872 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7886 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7913 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7915 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7934 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7958 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7982 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8008 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8067 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8074 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8114 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8122 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8134 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8142 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8195 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8199 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8211 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8214 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8234 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8265 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8277 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8297 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8325 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8329 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8353 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8365 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8369 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8377 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8385 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8396 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8400 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8402 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8437 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8449 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8468 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8498 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8505 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8513 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8517 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8525 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8537 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8549 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8561 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8572 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8577 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8597 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8609 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8632 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8664 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8675 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8679 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8686 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8702 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8760 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8795 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8803 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8807 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8813 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8817 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8837 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8841 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8849 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8857 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8861 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8877 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8901 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8908 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8920 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8928 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8932 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8940 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8944 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8952 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8956 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8960 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8968 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8980 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8987 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8991 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8996 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9003 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9014 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9018 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9026 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9034 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9036 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9038 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9058 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9068 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9078 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9120 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9144 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9156 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9234 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9246 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9302 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9314 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9341 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9352 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9360 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9586 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9598 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9851 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9867 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9879 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9891 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9899 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9907 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10082 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10094 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10106 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10165 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10176 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10207 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10219 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10230 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10237 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10246 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10257 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10277 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10293 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10297 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10305 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10325 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10333 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10365 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10377 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10385 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10389 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10397 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10425 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10441 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10453 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10461 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10465 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10489 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10493 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10505 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10512 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10516 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10540 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10552 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10560 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10572 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10579 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10626 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10630 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10650 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10658 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10670 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10682 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10712 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10716 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10724 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10736 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10744 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10747 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10759 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10802 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10882 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10977 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10978 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10984 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10990 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10998 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 11001 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 11007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 11015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2255:

/* Line 1455 of yacc.c  */
#line 12564 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12567 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12573 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12574 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12575 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12577 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12589 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12590 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12599 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12614 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12616 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12619 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2269:

/* Line 1455 of yacc.c  */
#line 12621 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12625 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12637 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12653 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12657 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12667 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12668 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12672 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12684 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12692 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12693 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12696 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12697 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12698 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12701 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12702 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12705 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12706 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12709 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12710 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12714 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12716 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12718 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12720 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12724 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12731 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12738 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12754 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12788 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12797 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12801 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12805 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12817 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12819 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12821 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12823 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12827 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12840 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12848 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12909 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12919 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12920 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12923 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12925 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12926 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12929 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12930 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12931 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12932 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12933 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12940 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12942 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 12949 "preproc.y"
    {;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12951 "preproc.y"
    {;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12953 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12954 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12957 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12958 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12959 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12960 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12963 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12964 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12968 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12974 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12984 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 12994 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 12998 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 13008 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 13012 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 13017 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 13018 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 13022 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 13023 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 13024 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 13027 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 13028 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 13029 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 13030 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 13033 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13034 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 13038 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 13046 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13063 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13071 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13094 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13200 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13234 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13236 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13238 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13242 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13245 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13252 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13295 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13297 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13303 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13312 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13318 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13325 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13330 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 13335 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13336 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13339 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13340 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13341 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13342 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13343 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13344 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13346 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13354 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13361 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13364 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13365 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13366 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 13367 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 13368 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13370 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13378 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13385 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13386 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13387 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2392:

/* Line 1455 of yacc.c  */
#line 13395 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 13397 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13401 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13488 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13490 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13496 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13497 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13498 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13505 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13516 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 13517 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 13518 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13519 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13522 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13528 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13530 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 13537 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13545 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13552 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13553 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13556 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 13561 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 13566 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13573 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13578 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 13585 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2425:

/* Line 1455 of yacc.c  */
#line 13594 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 13600 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13601 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13604 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13605 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13606 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13607 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13608 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13609 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13610 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13611 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 13612 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 13619 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13626 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13638 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13644 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13651 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13658 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13659 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13672 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13683 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13694 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2449:

/* Line 1455 of yacc.c  */
#line 13702 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2450:

/* Line 1455 of yacc.c  */
#line 13707 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2453:

/* Line 1455 of yacc.c  */
#line 13715 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2454:

/* Line 1455 of yacc.c  */
#line 13721 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13729 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13734 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13742 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2460:

/* Line 1455 of yacc.c  */
#line 13749 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2461:

/* Line 1455 of yacc.c  */
#line 13753 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2464:

/* Line 1455 of yacc.c  */
#line 13761 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2465:

/* Line 1455 of yacc.c  */
#line 13767 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13776 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13781 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13791 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13801 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13812 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2471:

/* Line 1455 of yacc.c  */
#line 13813 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2472:

/* Line 1455 of yacc.c  */
#line 13814 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13815 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13816 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2475:

/* Line 1455 of yacc.c  */
#line 13817 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2476:

/* Line 1455 of yacc.c  */
#line 13818 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13819 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13820 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13821 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2483:

/* Line 1455 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2484:

/* Line 1455 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13833 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13834 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13838 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13845 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13847 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13854 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13860 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13870 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13871 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13878 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13884 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13948 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13954 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13960 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13968 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13974 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13980 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13986 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13992 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13998 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2507:

/* Line 1455 of yacc.c  */
#line 14004 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2508:

/* Line 1455 of yacc.c  */
#line 14010 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 14016 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 14026 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2511:

/* Line 1455 of yacc.c  */
#line 14027 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2512:

/* Line 1455 of yacc.c  */
#line 14030 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 14031 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 14032 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 14033 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 14034 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 14035 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2518:

/* Line 1455 of yacc.c  */
#line 14036 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2519:

/* Line 1455 of yacc.c  */
#line 14037 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 14038 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 14039 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2522:

/* Line 1455 of yacc.c  */
#line 14040 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2523:

/* Line 1455 of yacc.c  */
#line 14041 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 14042 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 14043 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 14044 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 14045 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 14046 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 14047 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 14048 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 14049 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 14050 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 14059 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 14060 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 14066 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 14067 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 14068 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 14070 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 14071 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 14074 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 14077 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 14079 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 14080 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 14081 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 14097 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 14098 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 14100 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2567:

/* Line 1455 of yacc.c  */
#line 14110 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2568:

/* Line 1455 of yacc.c  */
#line 14111 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 14132 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14135 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14139 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14147 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14168 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14169 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14170 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14173 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14175 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14176 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14177 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14178 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2609:

/* Line 1455 of yacc.c  */
#line 14185 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2610:

/* Line 1455 of yacc.c  */
#line 14191 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14192 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14196 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14198 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14203 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14213 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14224 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14230 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14231 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14232 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2620:

/* Line 1455 of yacc.c  */
#line 14236 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2621:

/* Line 1455 of yacc.c  */
#line 14268 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14270 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14272 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14276 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14286 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14296 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14305 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14306 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14309 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14311 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14312 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14317 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14319 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14326 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14327 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14329 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14332 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14337 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14338 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14341 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14342 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14345 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14347 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14348 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14349 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14352 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14353 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14355 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14356 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14358 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14359 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14360 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14361 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14367 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14368 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2667:

/* Line 1455 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2668:

/* Line 1455 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14375 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14376 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14377 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14379 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14380 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14391 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2689:

/* Line 1455 of yacc.c  */
#line 14392 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2690:

/* Line 1455 of yacc.c  */
#line 14393 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2691:

/* Line 1455 of yacc.c  */
#line 14394 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2692:

/* Line 1455 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2693:

/* Line 1455 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2694:

/* Line 1455 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2695:

/* Line 1455 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2696:

/* Line 1455 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2697:

/* Line 1455 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2698:

/* Line 1455 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2699:

/* Line 1455 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2700:

/* Line 1455 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2701:

/* Line 1455 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2702:

/* Line 1455 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2703:

/* Line 1455 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2704:

/* Line 1455 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2705:

/* Line 1455 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2706:

/* Line 1455 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2707:

/* Line 1455 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2708:

/* Line 1455 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2709:

/* Line 1455 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2710:

/* Line 1455 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2711:

/* Line 1455 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2712:

/* Line 1455 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2713:

/* Line 1455 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2714:

/* Line 1455 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2715:

/* Line 1455 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2716:

/* Line 1455 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2717:

/* Line 1455 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2718:

/* Line 1455 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2719:

/* Line 1455 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2720:

/* Line 1455 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2721:

/* Line 1455 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2722:

/* Line 1455 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2723:

/* Line 1455 of yacc.c  */
#line 14434 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2724:

/* Line 1455 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2725:

/* Line 1455 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2726:

/* Line 1455 of yacc.c  */
#line 14440 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2727:

/* Line 1455 of yacc.c  */
#line 14450 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2728:

/* Line 1455 of yacc.c  */
#line 14451 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 51262 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14454 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

